var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __require = /* @__PURE__ */ ((x) => typeof require !== "undefined" ? require : typeof Proxy !== "undefined" ? new Proxy(x, {
  get: (a, b) => (typeof require !== "undefined" ? require : a)[b]
}) : x)(function(x) {
  if (typeof require !== "undefined")
    return require.apply(this, arguments);
  throw new Error('Dynamic require of "' + x + '" is not supported');
});
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};

// src/types/core.ts
var FileType = /* @__PURE__ */ ((FileType2) => {
  FileType2["CSS"] = "css";
  FileType2["SCSS"] = "scss";
  FileType2["LESS"] = "less";
  FileType2["HTML"] = "html";
  FileType2["JS"] = "js";
  FileType2["MJS"] = "mjs";
  FileType2["JSX"] = "jsx";
  FileType2["TS"] = "ts";
  FileType2["MTS"] = "mts";
  FileType2["TSX"] = "tsx";
  FileType2["JSON"] = "json";
  FileType2["MD"] = "md";
  return FileType2;
})(FileType || {});
var ChunkType = /* @__PURE__ */ ((ChunkType2) => {
  ChunkType2["AST"] = "ast";
  ChunkType2["STRING"] = "string";
  ChunkType2["JSON"] = "json";
  return ChunkType2;
})(ChunkType || {});
var PluginType = /* @__PURE__ */ ((PluginType2) => {
  PluginType2["COMPONENT"] = "component";
  PluginType2["UTILS"] = "utils";
  PluginType2["I18N"] = "i18n";
  return PluginType2;
})(PluginType || {});

// src/types/deps.ts
var InternalDependencyType = /* @__PURE__ */ ((InternalDependencyType2) => {
  InternalDependencyType2["PAGE"] = "pages";
  InternalDependencyType2["BLOCK"] = "components";
  InternalDependencyType2["COMPONENT"] = "components";
  InternalDependencyType2["UTILS"] = "utils";
  return InternalDependencyType2;
})(InternalDependencyType || {});
var DependencyType = /* @__PURE__ */ ((DependencyType2) => {
  DependencyType2["External"] = "External";
  DependencyType2["Internal"] = "Internal";
  return DependencyType2;
})(DependencyType || {});

// src/types/error.ts
var CodeGeneratorError = class extends Error {
  constructor(message, detail) {
    super(message);
    __publicField(this, "detail");
    this.name = this.constructor.name;
    this.detail = detail;
    Object.setPrototypeOf(this, new.target.prototype);
  }
};
var ComponentValidationError = class extends CodeGeneratorError {
};
var CompatibilityError = class extends CodeGeneratorError {
};
var PublisherError = class extends CodeGeneratorError {
};

// src/types/jsx.ts
var PIECE_TYPE = /* @__PURE__ */ ((PIECE_TYPE2) => {
  PIECE_TYPE2["BEFORE"] = "NodeCodePieceBefore";
  PIECE_TYPE2["TAG"] = "NodeCodePieceTag";
  PIECE_TYPE2["ATTR"] = "NodeCodePieceAttr";
  PIECE_TYPE2["CHILDREN"] = "NodeCodePieceChildren";
  PIECE_TYPE2["AFTER"] = "NodeCodePieceAfter";
  return PIECE_TYPE2;
})(PIECE_TYPE || {});

// src/const/index.ts
var const_exports = {};
__export(const_exports, {
  BUILTIN_SLOT_NAMES: () => BUILTIN_SLOT_NAMES,
  CLASS_DEFINE_CHUNK_NAME: () => CLASS_DEFINE_CHUNK_NAME,
  COMMON_CHUNK_NAME: () => COMMON_CHUNK_NAME,
  COMMON_SUB_MODULE_NAME: () => COMMON_SUB_MODULE_NAME,
  CONTAINER_TYPE: () => CONTAINER_TYPE,
  DEFAULT_LINK_AFTER: () => DEFAULT_LINK_AFTER,
  FILE_TYPE_FAMILY: () => FILE_TYPE_FAMILY,
  FUNCTION_DEFINE_CHUNK_NAME: () => FUNCTION_DEFINE_CHUNK_NAME,
  NATIVE_ELE_PKG: () => NATIVE_ELE_PKG,
  SUPPORT_SCHEMA_VERSION_LIST: () => SUPPORT_SCHEMA_VERSION_LIST,
  isBuiltinSlotName: () => isBuiltinSlotName
});

// src/const/file.ts
var FILE_TYPE_FAMILY = [["tsx" /* TSX */, "ts" /* TS */, "jsx" /* JSX */, "js" /* JS */]];

// src/const/generator.ts
var COMMON_CHUNK_NAME = {
  ExternalDepsImport: "CommonExternalDependencyImport",
  InternalDepsImport: "CommonInternalDependencyImport",
  ImportAliasDefine: "CommonImportAliasDefine",
  FileVarDefine: "CommonFileScopeVarDefine",
  FileUtilDefine: "CommonFileScopeMethodDefine",
  FileMainContent: "CommonFileMainContent",
  FileExport: "CommonFileExport",
  StyleDepsImport: "CommonStyleDepsImport",
  StyleCssContent: "CommonStyleCssContent",
  HtmlContent: "CommonHtmlContent",
  CustomContent: "CommonCustomContent"
};
var CLASS_DEFINE_CHUNK_NAME = {
  Start: "CommonClassDefineStart",
  ConstructorStart: "CommonClassDefineConstructorStart",
  ConstructorContent: "CommonClassDefineConstructorContent",
  ConstructorEnd: "CommonClassDefineConstructorEnd",
  StaticVar: "CommonClassDefineStaticVar",
  StaticMethod: "CommonClassDefineStaticMethod",
  InsVar: "CommonClassDefineInsVar",
  InsVarMethod: "CommonClassDefineInsVarMethod",
  InsMethod: "CommonClassDefineInsMethod",
  InsPrivateMethod: "CommonClassDefineInsPrivateMethod",
  End: "CommonClassDefineEnd"
};
var FUNCTION_DEFINE_CHUNK_NAME = {
  Start: "CommonFunctionDefineStart",
  InsStatement: "CommonFunctionDefineInsStatement",
  End: "CommonFunctionDefineEnd"
};
var DEFAULT_LINK_AFTER = {
  [COMMON_CHUNK_NAME.ExternalDepsImport]: [],
  [COMMON_CHUNK_NAME.InternalDepsImport]: [COMMON_CHUNK_NAME.ExternalDepsImport],
  [COMMON_CHUNK_NAME.ImportAliasDefine]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport
  ],
  [COMMON_CHUNK_NAME.FileVarDefine]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport,
    COMMON_CHUNK_NAME.ImportAliasDefine
  ],
  [COMMON_CHUNK_NAME.FileUtilDefine]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport,
    COMMON_CHUNK_NAME.ImportAliasDefine,
    COMMON_CHUNK_NAME.FileVarDefine
  ],
  [CLASS_DEFINE_CHUNK_NAME.Start]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport,
    COMMON_CHUNK_NAME.ImportAliasDefine,
    COMMON_CHUNK_NAME.FileVarDefine,
    COMMON_CHUNK_NAME.FileUtilDefine
  ],
  [CLASS_DEFINE_CHUNK_NAME.ConstructorStart]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar,
    CLASS_DEFINE_CHUNK_NAME.StaticMethod,
    CLASS_DEFINE_CHUNK_NAME.InsVar,
    CLASS_DEFINE_CHUNK_NAME.InsVarMethod
  ],
  [CLASS_DEFINE_CHUNK_NAME.ConstructorContent]: [CLASS_DEFINE_CHUNK_NAME.ConstructorStart],
  [CLASS_DEFINE_CHUNK_NAME.ConstructorEnd]: [
    CLASS_DEFINE_CHUNK_NAME.ConstructorStart,
    CLASS_DEFINE_CHUNK_NAME.ConstructorContent
  ],
  [CLASS_DEFINE_CHUNK_NAME.StaticVar]: [CLASS_DEFINE_CHUNK_NAME.Start],
  [CLASS_DEFINE_CHUNK_NAME.StaticMethod]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar
  ],
  [CLASS_DEFINE_CHUNK_NAME.InsVar]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar,
    CLASS_DEFINE_CHUNK_NAME.StaticMethod
  ],
  [CLASS_DEFINE_CHUNK_NAME.InsVarMethod]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar,
    CLASS_DEFINE_CHUNK_NAME.StaticMethod,
    CLASS_DEFINE_CHUNK_NAME.InsVar
  ],
  [CLASS_DEFINE_CHUNK_NAME.InsMethod]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar,
    CLASS_DEFINE_CHUNK_NAME.StaticMethod,
    CLASS_DEFINE_CHUNK_NAME.InsVar,
    CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
    CLASS_DEFINE_CHUNK_NAME.ConstructorEnd
  ],
  [CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar,
    CLASS_DEFINE_CHUNK_NAME.StaticMethod,
    CLASS_DEFINE_CHUNK_NAME.InsVar,
    CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
    CLASS_DEFINE_CHUNK_NAME.InsMethod,
    CLASS_DEFINE_CHUNK_NAME.ConstructorEnd
  ],
  [CLASS_DEFINE_CHUNK_NAME.End]: [
    CLASS_DEFINE_CHUNK_NAME.Start,
    CLASS_DEFINE_CHUNK_NAME.StaticVar,
    CLASS_DEFINE_CHUNK_NAME.StaticMethod,
    CLASS_DEFINE_CHUNK_NAME.InsVar,
    CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
    CLASS_DEFINE_CHUNK_NAME.InsMethod,
    CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod,
    CLASS_DEFINE_CHUNK_NAME.ConstructorEnd
  ],
  [FUNCTION_DEFINE_CHUNK_NAME.Start]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport,
    COMMON_CHUNK_NAME.ImportAliasDefine,
    COMMON_CHUNK_NAME.FileVarDefine,
    COMMON_CHUNK_NAME.FileUtilDefine
  ],
  [FUNCTION_DEFINE_CHUNK_NAME.End]: [
    FUNCTION_DEFINE_CHUNK_NAME.InsStatement
  ],
  [COMMON_CHUNK_NAME.FileMainContent]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport,
    COMMON_CHUNK_NAME.ImportAliasDefine,
    COMMON_CHUNK_NAME.FileVarDefine,
    COMMON_CHUNK_NAME.FileUtilDefine,
    CLASS_DEFINE_CHUNK_NAME.End
  ],
  [COMMON_CHUNK_NAME.FileExport]: [
    COMMON_CHUNK_NAME.ExternalDepsImport,
    COMMON_CHUNK_NAME.InternalDepsImport,
    COMMON_CHUNK_NAME.ImportAliasDefine,
    COMMON_CHUNK_NAME.FileVarDefine,
    COMMON_CHUNK_NAME.FileUtilDefine,
    CLASS_DEFINE_CHUNK_NAME.End,
    COMMON_CHUNK_NAME.FileMainContent
  ],
  [COMMON_CHUNK_NAME.StyleDepsImport]: [],
  [COMMON_CHUNK_NAME.StyleCssContent]: [COMMON_CHUNK_NAME.StyleDepsImport],
  [COMMON_CHUNK_NAME.HtmlContent]: []
};
var COMMON_SUB_MODULE_NAME = "index";

// src/const/index.ts
var NATIVE_ELE_PKG = "native";
var CONTAINER_TYPE = {
  COMPONENT: "Component",
  BLOCK: "Block",
  PAGE: "Page"
};
var SUPPORT_SCHEMA_VERSION_LIST = ["0.0.1", "1.0.0"];
var BUILTIN_SLOT_NAMES = [
  "pages",
  "components",
  "router",
  "entry",
  "appConfig",
  "buildConfig",
  "constants",
  "utils",
  "i18n",
  "globalStyle",
  "htmlEntry",
  "packageJSON",
  "lowcode.config",
  "demo"
];
var isBuiltinSlotName = function(name) {
  return BUILTIN_SLOT_NAMES.includes(name);
};

// src/utils/errors.ts
function getErrorMessage(error) {
  if (!error) {
    return null;
  }
  if (error instanceof Error) {
    return error.message;
  }
  if (typeof error === "string") {
    return error;
  }
  if (typeof error === "object" && error !== null) {
    return getErrorMessage(error.message) || getErrorMessage(error.errorMessage) || getErrorMessage(error.detail);
  }
  return null;
}

// src/utils/schema.ts
var schema_exports = {};
__export(schema_exports, {
  ContainerType: () => ContainerType,
  handleSubNodes: () => handleSubNodes,
  isContainerSchema: () => isContainerSchema,
  isNpmInfo: () => isNpmInfo,
  isValidContainerType: () => isValidContainerType
});
import * as _ from "lodash";
import {
  isJSExpression,
  isJSSlot,
  isDOMText,
  isNodeSchema,
  isJSFunction
} from "@gant-lowcode/lowcode-shared";

// src/utils/common.ts
var common_exports = {};
__export(common_exports, {
  camel2dash: () => camel2dash,
  camelize: () => camelize,
  generateID: () => generateID,
  getStaticExprValue: () => getStaticExprValue,
  isExternalDependency: () => isExternalDependency,
  isInternalDependency: () => isInternalDependency,
  isJSExpressionFn: () => isJSExpressionFn,
  uniqueArray: () => uniqueArray,
  upperCaseFirst: () => upperCaseFirst
});
import changeCase from "change-case";
import short from "short-uuid";
function camel2dash(input) {
  return changeCase.paramCase(input);
}
function camelize(str) {
  return changeCase.camelCase(str);
}
function generateID() {
  return short.generate();
}
function upperCaseFirst(inputValue) {
  return changeCase.upperCaseFirst(inputValue);
}
function uniqueArray(arr, by) {
  const map = {};
  arr.forEach((item) => {
    map[by(item)] = item;
  });
  const uniqueKeys = Array.from(new Set(Object.keys(map)));
  const uniqueItems = uniqueKeys.map((key) => map[key]);
  return uniqueItems;
}
function getStaticExprValue(expr) {
  return Function(`"use strict";return (${expr})`)();
}
function isJSExpressionFn(data) {
  return (data == null ? void 0 : data.type) === "JSExpression" && (data == null ? void 0 : data.extType) === "function";
}
function isInternalDependency(dependency) {
  return dependency.dependencyType === "Internal" /* Internal */;
}
function isExternalDependency(dependency) {
  return dependency.dependencyType === "External" /* External */;
}

// src/utils/schema.ts
function isContainerSchema(x) {
  return typeof x === "object" && x && typeof x.componentName === "string" && typeof x.fileName === "string";
}
function isNpmInfo(x) {
  return typeof x === "object" && x && typeof x.package === "string";
}
var noop = () => void 0;
var handleChildrenDefaultOptions = {
  rerun: false
};
var DEFAULT_MAX_DEPTH = 1e5;
function handleSubNodes(children, handlers, options) {
  var _a;
  const opt = {
    ...handleChildrenDefaultOptions,
    ...options || {}
  };
  const maxDepth = (_a = opt.maxDepth) != null ? _a : DEFAULT_MAX_DEPTH;
  if (maxDepth <= 0) {
    throw new Error("handleSubNodes maxDepth reached");
  }
  if (Array.isArray(children)) {
    const list = children;
    return list.map((child) => handleSubNodes(child, handlers, { ...opt, maxDepth: maxDepth - 1 })).reduce((p, c) => p.concat(c), []);
  }
  let result;
  const childrenRes = [];
  if (children === null || children === void 0) {
    return [];
  } else if (isDOMText(children)) {
    const handler = handlers.string || noop;
    result = handler(children);
  } else if (isJSExpression(children)) {
    const handler = handlers.expression || noop;
    result = handler(children);
  } else if (isJSSlot(children)) {
    return handleSubNodes(children.value, handlers, { ...opt, maxDepth: maxDepth - 1 });
  } else if (isNodeSchema(children)) {
    const handler = handlers.node || noop;
    const child = children;
    result = handler(child);
    if (child.children) {
      const childRes = handleSubNodes(child.children, handlers, opt);
      childrenRes.push(...childRes);
    }
    if (child.props) {
      if (Array.isArray(child.props)) {
        child.props.forEach(({ value }) => {
          const childRes = handleCompositeValueInProps(value);
          childrenRes.push(...childRes);
        });
      } else {
        Object.values(child.props).forEach((value) => {
          const childRes = handleCompositeValueInProps(value);
          childrenRes.push(...childRes);
        });
      }
    }
  } else {
    throw new CodeGeneratorError("handleSubNodes got invalid NodeData", children);
  }
  if (result !== void 0) {
    childrenRes.unshift(result);
  }
  return childrenRes;
  function handleCompositeValueInProps(value) {
    if (isJSSlot(value)) {
      return handleSubNodes(value.value, handlers, { ...opt, maxDepth: maxDepth - 1 });
    }
    if (Array.isArray(value)) {
      return _.flatMap(value, (v) => handleCompositeValueInProps(v));
    }
    if (!isJSExpression(value) && !isJSExpressionFn(value) && !isJSFunction(value) && typeof value === "object" && value !== null) {
      return _.flatMap(Object.values(value), (v) => handleCompositeValueInProps(v));
    }
    return [];
  }
}
function isValidContainerType(schema) {
  return ["Page", "Component", "Block"].includes(schema.componentName);
}
var ContainerType = /* @__PURE__ */ ((ContainerType2) => {
  ContainerType2["Page"] = "Page";
  ContainerType2["Component"] = "Component";
  ContainerType2["Block"] = "Block";
  return ContainerType2;
})(ContainerType || {});

// src/analyzer/componentAnalyzer.ts
var componentAnalyzer = (container) => {
  let hasRefAttr = false;
  const nodeValidator = (n) => {
    if (n.props) {
      const props = n.props;
      if (props.ref) {
        hasRefAttr = true;
      }
    }
  };
  nodeValidator(container);
  if (!hasRefAttr && container.children) {
    handleSubNodes(
      container.children,
      {
        node: nodeValidator
      },
      {
        rerun: true
      }
    );
  }
  return {
    isUsingRef: hasRefAttr
  };
};

// src/utils/validate.ts
var validate_exports = {};
__export(validate_exports, {
  ensureValidClassName: () => ensureValidClassName,
  isValidComponentName: () => isValidComponentName,
  isValidIdentifier: () => isValidIdentifier
});
var isValidIdentifier = (name) => {
  return /^[_$a-zA-Z\xA0-\uFFFF][_$a-zA-Z0-9\xA0-\uFFFF]*$/.test(name);
};
var isValidComponentName = (name) => {
  return /^[_$a-zA-Z\xA0-\uFFFF][_$a-zA-Z0-9\xA0-\uFFFF.]*$/.test(name);
};
var ensureValidClassName = (name) => {
  if (!isValidIdentifier(name)) {
    return `$${name.replace(/[^_$a-zA-Z0-9]/g, "")}`;
  }
  return name;
};

// src/parser/SchemaParser.ts
var defaultContainer = {
  containerType: "Component",
  componentName: "Component",
  moduleName: "Index",
  fileName: "Index",
  css: "",
  props: {}
};
function getRootComponentName(typeName, maps) {
  if (maps[typeName]) {
    const rec = maps[typeName];
    if (rec.destructuring) {
      return rec.componentName || typeName;
    }
    const peerName = Object.keys(maps).find((depName) => {
      const depInfo = maps[depName];
      return depName !== typeName && !depInfo.destructuring && depInfo.package === rec.package && depInfo.version === rec.version && depInfo.main === rec.main && depInfo.exportName === rec.exportName && depInfo.subName === rec.subName;
    });
    return peerName || typeName;
  }
  return typeName;
}
function processChildren(schema) {
  if (schema.props) {
    if (Array.isArray(schema.props)) {
    } else {
      const nodeProps = schema.props;
      if (nodeProps.children) {
        if (!schema.children) {
          schema.children = nodeProps.children;
        } else {
          let _children = [];
          if (Array.isArray(schema.children)) {
            _children = _children.concat(schema.children);
          } else {
            _children.push(schema.children);
          }
          if (Array.isArray(nodeProps.children)) {
            _children = _children.concat(
              nodeProps.children
            );
          } else {
            _children.push(nodeProps.children);
          }
          schema.children = _children;
        }
        delete nodeProps.children;
      }
    }
  }
}
function getInternalDep(internalDeps, depName) {
  const dep = internalDeps[depName];
  return dep && dep.type !== "pages" /* PAGE */ ? dep : null;
}
var SchemaParser = class {
  validate(schema) {
    if (SUPPORT_SCHEMA_VERSION_LIST.indexOf(schema.version) < 0) {
      throw new CompatibilityError(
        `Not support schema with version [${schema.version}]`
      );
    }
    return true;
  }
  parse(schemaSrc) {
    const compDeps = {};
    const internalDeps = {};
    let utilsDeps = [];
    const schema = this.decodeSchema(schemaSrc);
    schema.componentsMap.forEach((info) => {
      var _a, _b;
      if (info.componentName) {
        compDeps[info.componentName] = {
          ...info,
          dependencyType: "External" /* External */,
          componentName: info.componentName,
          exportName: (_a = info.exportName) != null ? _a : info.componentName,
          version: info.version || "*",
          destructuring: (_b = info.destructuring) != null ? _b : false
        };
      }
    });
    let containers;
    if (schema.componentsTree.length > 0) {
      const firstRoot = schema.componentsTree[0];
      console.log("----------schema--------", schema);
      if (!firstRoot.fileName && !isValidContainerType(firstRoot)) {
        const container = {
          ...firstRoot,
          ...defaultContainer,
          props: firstRoot.props || defaultContainer.props,
          css: firstRoot.css || defaultContainer.css,
          moduleName: firstRoot.moduleName || defaultContainer.moduleName,
          children: schema.componentsTree
        };
        containers = [container];
      } else {
        containers = schema.componentsTree.map((n) => {
          const subRoot = n;
          let fileName = subRoot.fileName;
          let modulePaths = [];
          if (subRoot.fileName.includes("/")) {
            const paths = subRoot.fileName.split("/");
            modulePaths = paths;
            fileName = paths.pop();
          }
          const container = {
            ...subRoot,
            componentName: getRootComponentName(
              subRoot.componentName,
              compDeps
            ),
            containerType: subRoot.componentName,
            modulePaths,
            moduleName: ensureValidClassName(
              subRoot.componentName === "Component" /* Component */ ? fileName : fileName
            )
          };
          return container;
        });
      }
    } else {
      throw new CodeGeneratorError("Can't find anything to generate.");
    }
    containers = containers.map((con) => ({
      ...con,
      analyzeResult: componentAnalyzer(con)
    }));
    containers.forEach((container) => {
      let type;
      switch (container.containerType) {
        case "Page":
          type = "pages" /* PAGE */;
          break;
        case "Block":
          type = "components" /* BLOCK */;
          break;
        default:
          type = "components" /* COMPONENT */;
          break;
      }
      const dep = {
        type,
        moduleName: container.moduleName,
        destructuring: false,
        exportName: container.moduleName,
        dependencyType: "Internal" /* Internal */
      };
      internalDeps[dep.moduleName] = dep;
    });
    const containersDeps = [].concat(
      ...containers.map((c) => c.deps || [])
    );
    containers.forEach((container) => {
      if (container.children) {
        handleSubNodes(
          container.children,
          {
            node: (i) => processChildren(i)
          },
          {
            rerun: true
          }
        );
      }
    });
    containers.forEach((container) => {
      const depNames = this.getComponentNames(container);
      container.deps = uniqueArray(depNames, (i) => i).map(
        (depName) => getInternalDep(internalDeps, depName) || compDeps[depName]
      ).filter(Boolean);
    });
    const routes = containers.filter((container) => container.containerType === "Page").map((page) => {
      const { meta } = page;
      const moduleName = page.modulePaths && page.modulePaths.length > 0 ? page.modulePaths.concat(page.moduleName).join("/") : page.moduleName;
      if (meta) {
        return {
          path: meta.router || `/${page.moduleName}`,
          fileName: meta.name || page.fileName,
          componentName: moduleName
        };
      }
      return {
        path: page.moduleName,
        fileName: page.fileName,
        componentName: moduleName
      };
    });
    const routerDeps = routes.map((r) => internalDeps[r.componentName] || compDeps[r.componentName]).filter((dep) => !!dep);
    let utils;
    if (schema.utils) {
      utils = schema.utils;
      utilsDeps = schema.utils.filter(
        (u) => u.type !== "function"
      ).map(
        (u) => {
          var _a, _b;
          return {
            ...u.content,
            componentName: u.name,
            version: u.content.version || "*",
            destructuring: (_a = u.content.destructuring) != null ? _a : false,
            exportName: (_b = u.content.exportName) != null ? _b : u.name
          };
        }
      );
    } else {
      utils = [];
    }
    let npms = [];
    containers.forEach((con) => {
      const p = (con.deps || []).map((dep) => {
        return dep.dependencyType === "External" /* External */ ? dep : null;
      }).filter((dep) => dep !== null);
      const npmInfos = p.filter(Boolean).map((i) => ({
        package: i.package,
        version: i.version
      }));
      npms.push(...npmInfos);
    });
    npms.push(
      ...utilsDeps.map((utilsDep) => ({
        package: utilsDep.package,
        version: utilsDep.version
      }))
    );
    npms = uniqueArray(npms, (i) => i.package).filter(Boolean);
    return {
      containers,
      globalUtils: {
        utils,
        deps: utilsDeps
      },
      globalI18n: schema.i18n,
      globalRouter: {
        routes,
        deps: routerDeps
      },
      project: {
        css: schema.css,
        constants: schema.constants,
        config: schema.config || {},
        meta: schema.meta || {},
        i18n: schema.i18n,
        containersDeps,
        utilsDeps,
        packages: npms || [],
        dataSourcesTypes: this.collectDataSourcesTypes(schema),
        projectRemark: this.getProjectRemark(containers)
      }
    };
  }
  getProjectRemark(containers) {
    return {
      isSingleComponent: containers.length === 1 && containers[0].containerType === "Component"
    };
  }
  getComponentNames(children) {
    return handleSubNodes(
      children,
      {
        node: (i) => i.componentName
      },
      {
        rerun: true
      }
    );
  }
  decodeSchema(schemaSrc) {
    let schema;
    if (typeof schemaSrc === "string") {
      try {
        schema = JSON.parse(schemaSrc);
      } catch (error) {
        throw new CodeGeneratorError(
          `Parse schema failed: ${getErrorMessage(error) || "unknown reason"}`
        );
      }
    } else {
      schema = schemaSrc;
    }
    return schema;
  }
  collectDataSourcesTypes(schema) {
    var _a, _b;
    const dataSourcesTypes = /* @__PURE__ */ new Set();
    const defaultDataSourceType = "fetch";
    (_b = (_a = schema.dataSource) == null ? void 0 : _a.list) == null ? void 0 : _b.forEach((ds) => {
      dataSourcesTypes.add(ds.type || defaultDataSourceType);
    });
    schema.componentsTree.forEach((rootNode) => {
      var _a2, _b2;
      (_b2 = (_a2 = rootNode.dataSource) == null ? void 0 : _a2.list) == null ? void 0 : _b2.forEach((ds) => {
        dataSourcesTypes.add(ds.type || defaultDataSourceType);
      });
    });
    return Array.from(dataSourcesTypes.values());
  }
};

// src/utils/resultHelper.ts
var resultHelper_exports = {};
__export(resultHelper_exports, {
  addDirectory: () => addDirectory,
  addFile: () => addFile,
  createResultDir: () => createResultDir,
  createResultFile: () => createResultFile,
  findDir: () => findDir,
  findFile: () => findFile,
  flattenResult: () => flattenResult,
  getFileNameWithExt: () => getFileNameWithExt,
  globDirs: () => globDirs,
  globFiles: () => globFiles,
  mergeJSON: () => mergeJSON,
  removeDirsFromResult: () => removeDirsFromResult,
  removeFilesFromResult: () => removeFilesFromResult,
  scanDirs: () => scanDirs,
  scanFiles: () => scanFiles
});
import nm from "nanomatch";
import { isArray, isObject, mergeWith, union } from "lodash";
function createResultFile(name, ext = "jsx", content = "") {
  return {
    name,
    ext,
    content
  };
}
function createResultDir(name) {
  return {
    name,
    dirs: [],
    files: []
  };
}
function addDirectory(target, dir) {
  const _dir = target.dirs.find((d) => d.name === dir.name);
  if (!_dir) {
    target.dirs.push(dir);
  } else {
    return _dir;
  }
  return dir;
}
function customizer(objValue, srcValue) {
  if (isArray(objValue) && isArray(srcValue)) {
    return union(objValue, srcValue);
  }
  if (isObject(objValue) && isObject(srcValue)) {
    return mergeWith(objValue, srcValue, customizer);
  }
  return srcValue;
}
var mergeJSON = (object1, object2) => {
  return { ...mergeWith(object1, object2, customizer) };
};
function addFile(target, file2) {
  if (target.files.findIndex((f) => f.name === file2.name && f.ext === file2.ext) < 0) {
    target.files.push(file2);
  } else {
    if (file2.ext === "json") {
      const targetFile = target.files.find((f) => f.name === file2.name && f.ext === file2.ext);
      const content = JSON.stringify(mergeJSON(JSON.parse(targetFile.content), JSON.parse(file2.content)), null, 2);
      targetFile.content = content;
    } else {
      throw new CodeGeneratorError(
        `Adding same file to one directory: ${file2.name} -> ${target.name}`
      );
    }
  }
}
function flattenResult(dir, cwd = "") {
  if (!dir.files.length && !dir.dirs.length) {
    return [];
  }
  return [
    ...dir.files.map(
      (file2) => ({
        pathName: joinPath(cwd, `${file2.name}${file2.ext ? `.${file2.ext}` : ""}`),
        content: file2.content
      })
    )
  ].concat(...dir.dirs.map((subDir) => flattenResult(subDir, joinPath(cwd, subDir.name))));
}
function findFile(result, fileGlobExpr, options = {}, resultDirPath = getResultNameOrDefault(result, "")) {
  const maxDepth = !/\/|\*\*/.test(fileGlobExpr) ? 1 : void 0;
  const files = scanFiles(result, resultDirPath, maxDepth);
  for (let [filePath, file2] of files) {
    if (nm.isMatch(filePath, fileGlobExpr, options)) {
      return file2;
    }
  }
  return null;
}
function* globFiles(result, fileGlobExpr, options = {}, resultDirPath = getResultNameOrDefault(result, "")) {
  const files = scanFiles(result, resultDirPath);
  for (let [filePath, file2] of files) {
    if (nm.isMatch(filePath, fileGlobExpr, options)) {
      yield [filePath, file2];
    }
  }
}
function* scanFiles(result, resultDirPath = getResultNameOrDefault(result, ""), maxDepth = 1e4) {
  for (let file2 of result.files) {
    const fileName = getFileNameWithExt(file2);
    yield [joinPath(resultDirPath, fileName), file2];
  }
  for (let subDir of result.dirs) {
    yield* scanFiles(subDir, joinPath(resultDirPath, subDir.name), maxDepth - 1);
  }
}
function getFileNameWithExt(file2) {
  return `${file2.name}${file2.ext ? `.${file2.ext}` : ""}`;
}
function getResultNameOrDefault(result, defaultDir = "/") {
  return result.name && result.name !== "." ? result.name : defaultDir;
}
function joinPath(...pathParts) {
  return pathParts.filter((x) => x !== "" && x !== ".").join("/").replace(/\\+/g, "/").replace(/\/+/g, "/");
}
function* scanDirs(result, resultDirPath = getResultNameOrDefault(result, ""), maxDepth = 1e4) {
  yield [resultDirPath, result];
  for (let subDir of result.dirs) {
    yield* scanDirs(subDir, joinPath(resultDirPath, subDir.name), maxDepth - 1);
  }
}
function* globDirs(result, dirGlobExpr, options = {}, resultDirPath = getResultNameOrDefault(result, "")) {
  const dirs = scanDirs(result, resultDirPath);
  for (let [dirPath, dir] of dirs) {
    if (nm.isMatch(dirPath, dirGlobExpr, options)) {
      yield [dirPath, dir];
    }
  }
}
function findDir(result, dirGlobExpr, options = {}, resultDirPath = getResultNameOrDefault(result, "")) {
  const dirs = scanDirs(result, resultDirPath);
  for (let [dirPath, dir] of dirs) {
    if (nm.isMatch(dirPath, dirGlobExpr, options)) {
      return dir;
    }
  }
  return null;
}
function removeFilesFromResult(result, filePathGlobExpr, globOptions = {}) {
  let removedCount = 0;
  const [dirPath, fileName] = splitPath(filePathGlobExpr);
  const dirs = dirPath ? globDirs(result, dirPath) : [["", result]];
  for (let [, dir] of dirs) {
    const files = globFiles(dir, fileName, globOptions, ".");
    for (let [, file2] of files) {
      dir.files.splice(dir.files.indexOf(file2), 1);
      removedCount += 1;
    }
  }
  return removedCount;
}
function removeDirsFromResult(result, dirPathGlobExpr, globOptions = {}) {
  let removedCount = 0;
  const [dirPath, fileName] = splitPath(dirPathGlobExpr);
  const dirs = dirPath ? globDirs(result, dirPath) : [["", result]];
  for (let [, dir] of dirs) {
    const foundDirs = globDirs(dir, fileName, globOptions, ".");
    for (let [, foundDir] of foundDirs) {
      dir.dirs.splice(dir.dirs.indexOf(foundDir), 1);
      removedCount += 1;
    }
  }
  return removedCount;
}
function splitPath(filePath) {
  const parts = filePath.split("/");
  const fileName = parts.pop() || "";
  return [joinPath(...parts), fileName];
}

// src/generator/ChunkBuilder.ts
function whichFamily(type) {
  const idx = FILE_TYPE_FAMILY.findIndex((family) => family.indexOf(type) >= 0);
  if (idx < 0) {
    return void 0;
  }
  return [idx, FILE_TYPE_FAMILY[idx]];
}
var groupChunks = (chunks) => {
  const tmp = {};
  const col = chunks.reduce((chunksSet, chunk) => {
    const fileKey = chunk.subModule || COMMON_SUB_MODULE_NAME;
    if (!chunksSet[fileKey]) {
      chunksSet[fileKey] = [];
    }
    const res = whichFamily(chunk.fileType);
    const info = {
      chunk
    };
    if (res) {
      const [familyIdx, family] = res;
      const rank = family.indexOf(chunk.fileType);
      if (tmp[fileKey]) {
        if (tmp[fileKey][familyIdx] !== void 0) {
          if (tmp[fileKey][familyIdx] > rank) {
            tmp[fileKey][familyIdx] = rank;
          }
        } else {
          tmp[fileKey][familyIdx] = rank;
        }
      } else {
        tmp[fileKey] = {};
        tmp[fileKey][familyIdx] = rank;
      }
      info.familyIdx = familyIdx;
    }
    chunksSet[fileKey].push(info);
    return chunksSet;
  }, {});
  const result = [];
  Object.keys(col).forEach((key) => {
    const byType = {};
    col[key].forEach((info) => {
      let t3 = info.chunk.fileType;
      if (info.familyIdx !== void 0) {
        t3 = FILE_TYPE_FAMILY[info.familyIdx][tmp[key][info.familyIdx]];
        info.chunk.fileType = t3;
      }
      if (!byType[t3]) {
        byType[t3] = [];
      }
      byType[t3].push(info.chunk);
    });
    result.push(...Object.keys(byType).map((t3) => byType[t3]));
  });
  return result;
};
var ChunkBuilder = class {
  constructor(plugins3 = []) {
    __publicField(this, "plugins");
    this.plugins = plugins3;
  }
  async run(ir, initialStructure = {
    ir,
    chunks: [],
    depNames: [],
    contextData: {}
  }) {
    const structure = initialStructure;
    const finalStructure = await this.plugins.reduce(
      async (previousPluginOperation, plugin) => {
        const modifiedStructure = await previousPluginOperation;
        return plugin(modifiedStructure);
      },
      Promise.resolve(structure)
    );
    const chunks = groupChunks(finalStructure.chunks);
    return {
      chunks
    };
  }
  getPlugins() {
    return this.plugins;
  }
  addPlugin(plugin) {
    this.plugins.push(plugin);
  }
};

// src/generator/CodeBuilder.ts
var CodeBuilder = class {
  constructor(chunkDefinitions = []) {
    __publicField(this, "chunkDefinitions", []);
    __publicField(this, "generators", {
      ["string" /* STRING */]: (str) => str,
      ["json" /* JSON */]: (json) => JSON.stringify(json)
    });
    this.chunkDefinitions = chunkDefinitions;
  }
  link(chunkDefinitions = []) {
    const chunks = chunkDefinitions || this.chunkDefinitions;
    if (chunks.length <= 0) {
      return "";
    }
    const unprocessedChunks = chunks.map((chunk) => {
      return {
        name: chunk.name,
        type: chunk.type,
        content: chunk.content,
        linkAfter: this.cleanupInvalidChunks(chunk.linkAfter, chunks)
      };
    });
    const resultingString = [];
    while (unprocessedChunks.length > 0) {
      let indexToRemove = 0;
      for (let index = 0; index < unprocessedChunks.length; index++) {
        if (unprocessedChunks[index].linkAfter.length <= 0) {
          indexToRemove = index;
          break;
        }
      }
      if (unprocessedChunks[indexToRemove].linkAfter.length > 0) {
        throw new CodeGeneratorError(
          "Operation aborted. Reason: cyclic dependency between chunks."
        );
      }
      const { type, content, name } = unprocessedChunks[indexToRemove];
      const compiledContent = this.generateByType(type, content);
      if (compiledContent) {
        resultingString.push(`${compiledContent}
`);
      }
      unprocessedChunks.splice(indexToRemove, 1);
      if (!unprocessedChunks.some((ch) => ch.name === name)) {
        unprocessedChunks.forEach(
          (ch) => {
            ch.linkAfter = ch.linkAfter.filter((after) => after !== name);
          }
        );
      }
    }
    return resultingString.join("\n");
  }
  generateByType(type, content) {
    if (!content) {
      return "";
    }
    if (Array.isArray(content)) {
      return content.map((contentItem) => this.generateByType(type, contentItem)).join("\n");
    }
    if (!this.generators[type]) {
      throw new Error(
        `Attempted to generate unknown type ${type}. Please register a generator for this type in builder/index.ts`
      );
    }
    return this.generators[type](content);
  }
  cleanupInvalidChunks(linkAfter, chunks) {
    return linkAfter.filter((chunkName) => chunks.some((chunk) => chunk.name === chunkName));
  }
};

// src/generator/ModuleBuilder.ts
function createModuleBuilder(options = {
  plugins: [],
  postProcessors: []
}) {
  const chunkGenerator = new ChunkBuilder(options.plugins);
  const linker = new CodeBuilder();
  const generateModule = async (input) => {
    const moduleMainName = options.mainFileName || COMMON_SUB_MODULE_NAME;
    if (chunkGenerator.getPlugins().length <= 0) {
      throw new CodeGeneratorError(
        "No plugins found. Component generation cannot work without any plugins!"
      );
    }
    let files = [];
    console.log("---input", input);
    const { chunks } = await chunkGenerator.run(input, {
      ir: input,
      chunks: [],
      depNames: [],
      contextData: options.contextData || {}
    });
    chunks.forEach((fileChunkList) => {
      const content = linker.link(fileChunkList);
      const file2 = createResultFile(
        fileChunkList[0].subModule || moduleMainName,
        fileChunkList[0].fileType,
        content
      );
      files.push(file2);
    });
    if (options.postProcessors.length > 0) {
      files = files.map((file2) => {
        let { content, ext: type, name } = file2;
        options.postProcessors.forEach((processer) => {
          content = processer(content, type, name);
        });
        return createResultFile(file2.name, type, content);
      });
    }
    return {
      files
    };
  };
  const generateModuleCode = async (schema) => {
    const schemaParser = new SchemaParser();
    const parseResult = schemaParser.parse(schema);
    const containerInfo = parseResult.containers[0];
    const { files } = await generateModule(containerInfo);
    const dir = createResultDir(containerInfo.moduleName);
    files.forEach((file2) => addFile(dir, file2));
    return dir;
  };
  const linkCodeChunks = (chunks, fileName) => {
    const files = [];
    Object.keys(chunks).forEach((fileKey) => {
      const fileChunkList = chunks[fileKey];
      const content = linker.link(fileChunkList);
      const file2 = createResultFile(
        fileChunkList[0].subModule || fileName,
        fileChunkList[0].fileType,
        content
      );
      files.push(file2);
    });
    return files;
  };
  return {
    generateModule,
    generateModuleCode,
    linkCodeChunks,
    addPlugin: chunkGenerator.addPlugin.bind(chunkGenerator)
  };
}

// src/generator/ProjectBuilder.ts
var ProjectBuilder = class {
  constructor(builderOptions) {
    __publicField(this, "template");
    __publicField(this, "plugins");
    __publicField(this, "postProcessors");
    __publicField(this, "schemaParser");
    __publicField(this, "projectPreProcessors");
    __publicField(this, "projectPostProcessors");
    __publicField(this, "inStrictMode");
    __publicField(this, "mode");
    __publicField(this, "extraContextData");
    let customBuilderOptions = builderOptions;
    if (typeof builderOptions.customizeBuilderOptions === "function") {
      customBuilderOptions = builderOptions.customizeBuilderOptions(builderOptions);
    }
    const {
      template,
      plugins: plugins3,
      postProcessors,
      schemaParser = new SchemaParser(),
      projectPreProcessors = [],
      projectPostProcessors = [],
      mode = "incremental",
      rootPaths = ["src"],
      pagePaths = ["pages"],
      configPaths = [],
      inStrictMode = false,
      extraContextData = {}
    } = customBuilderOptions;
    this.template = template(rootPaths, pagePaths, configPaths);
    this.plugins = plugins3;
    this.postProcessors = postProcessors;
    this.schemaParser = schemaParser;
    this.projectPreProcessors = projectPreProcessors;
    this.projectPostProcessors = projectPostProcessors;
    this.inStrictMode = inStrictMode;
    this.mode = mode;
  }
  async generateProject(originalSchema) {
    var _a, _b, _c;
    const { schemaParser } = this;
    let schema = typeof originalSchema === "string" ? JSON.parse(originalSchema) : originalSchema;
    for (const preProcessor of this.projectPreProcessors) {
      schema = await preProcessor(schema);
    }
    if (!schemaParser.validate(schema)) {
      throw new CodeGeneratorError("Schema is invalid");
    }
    const parseResult = schemaParser.parse(schema);
    let projectRoot = { name: ".", dirs: [], files: [] };
    if (this.mode === "fully") {
      projectRoot = await this.template.generateTemplate(parseResult);
    }
    let buildResult = [];
    const builders = this.createModuleBuilders({
      extraContextData: {
        projectRemark: (_a = parseResult == null ? void 0 : parseResult.project) == null ? void 0 : _a.projectRemark,
        template: this.template
      }
    });
    const containerBuildResult = await Promise.all(
      parseResult.containers.map(async (containerInfo) => {
        let builder;
        let path;
        if (containerInfo.containerType === "Page") {
          builder = builders.pages;
          path = this.template.slots.pages.path.concat(containerInfo.modulePaths || []);
        } else {
          builder = builders.components;
          path = this.template.slots.components.path.concat(containerInfo.modulePaths || []);
        }
        const { files } = await builder.generateModule(containerInfo);
        return {
          moduleName: containerInfo.moduleName,
          path,
          files
        };
      })
    );
    buildResult = buildResult.concat(containerBuildResult);
    if (parseResult.globalRouter && builders.lowcodeConfigJSON) {
      const { files } = await builders.lowcodeConfigJSON.generateModule(
        parseResult
      );
      buildResult.push({
        path: this.template.slots.lowcodeConfigJSON.path,
        files
      });
    }
    if (parseResult.project && builders.constants && this.template.slots.constants) {
      const { files } = await builders.constants.generateModule(
        parseResult.project
      );
      buildResult.push({
        path: this.template.slots.constants.path,
        files
      });
    }
    if (parseResult.globalUtils && builders.utils && this.template.slots.utils) {
      const { files } = await builders.utils.generateModule(
        parseResult.globalUtils
      );
      buildResult.push({
        path: this.template.slots.utils.path,
        files
      });
    }
    if (builders.i18n && this.template.slots.i18n) {
      const { files } = await builders.i18n.generateModule(parseResult.project);
      buildResult.push({
        path: this.template.slots.i18n.path,
        files
      });
    }
    if (parseResult.project && builders.entry) {
      const { files } = await builders.entry.generateModule(
        parseResult.project
      );
      buildResult.push({
        path: this.template.slots.entry.path,
        files
      });
    }
    if (this.mode === "fully") {
      await this.createModeFully(builders, parseResult, buildResult);
    }
    const isSingleComponent = (_c = (_b = parseResult == null ? void 0 : parseResult.project) == null ? void 0 : _b.projectRemark) == null ? void 0 : _c.isSingleComponent;
    buildResult.forEach((moduleInfo) => {
      let targetDir = getDirFromRoot(projectRoot, moduleInfo.path);
      if (moduleInfo.moduleName && !isSingleComponent) {
        let dir = createResultDir(moduleInfo.moduleName);
        dir = addDirectory(targetDir, dir);
        targetDir = dir;
      }
      moduleInfo.files.forEach((file2) => addFile(targetDir, file2));
    });
    let finalResult = projectRoot;
    for (const projectPostProcessor of this.projectPostProcessors) {
      finalResult = await projectPostProcessor(
        finalResult,
        schema,
        originalSchema,
        {
          template: this.template,
          parseResult
        }
      );
    }
    return finalResult;
  }
  async createModeFully(builders, parseResult, buildResult) {
    if (parseResult.globalRouter && builders.router) {
      const { files } = await builders.router.generateModule(
        parseResult.globalRouter
      );
      buildResult.push({
        path: this.template.slots.router.path,
        files
      });
    }
    if (builders.appConfig) {
      const { files } = await builders.appConfig.generateModule(parseResult);
      buildResult.push({
        path: this.template.slots.appConfig.path,
        files
      });
    }
    if (builders.buildConfig) {
      const { files } = await builders.buildConfig.generateModule(parseResult);
      buildResult.push({
        path: this.template.slots.buildConfig.path,
        files
      });
    }
    if (parseResult.project && builders.globalStyle) {
      const { files } = await builders.globalStyle.generateModule(
        parseResult.project
      );
      buildResult.push({
        path: this.template.slots.globalStyle.path,
        files
      });
    }
    if (parseResult.project && builders.htmlEntry) {
      const { files } = await builders.htmlEntry.generateModule(
        parseResult.project
      );
      buildResult.push({
        path: this.template.slots.htmlEntry.path,
        files
      });
    }
    if (parseResult.project && builders.packageJSON) {
      const { files } = await builders.packageJSON.generateModule(
        parseResult.project
      );
      buildResult.push({
        path: this.template.slots.packageJSON.path,
        files
      });
    }
    if (parseResult.project && builders.demo) {
      const { files } = await builders.demo.generateModule(parseResult.project);
      buildResult.push({
        path: this.template.slots.demo.path,
        files
      });
    }
    await this.generateExtraSlots(builders, parseResult, buildResult);
  }
  createModuleBuilders(extraContextData = {}) {
    const builders = {};
    Object.keys(this.plugins).forEach((pluginName) => {
      if (this.plugins[pluginName].length > 0) {
        const options = {};
        if (this.template.slots[pluginName] && this.template.slots[pluginName].fileName) {
          options.mainFileName = this.template.slots[pluginName].fileName;
        }
        builders[pluginName] = createModuleBuilder({
          plugins: this.plugins[pluginName],
          postProcessors: this.postProcessors,
          contextData: {
            inStrictMode: this.inStrictMode,
            tolerateEvalErrors: true,
            evalErrorsHandler: "",
            ...this.extraContextData,
            ...extraContextData
          },
          ...options
        });
      }
    });
    return builders;
  }
  async generateExtraSlots(builders, parseResult, buildResult) {
    for (const slotName in this.template.slots) {
      if (!isBuiltinSlotName(slotName)) {
        const { files } = await builders[slotName].generateModule(parseResult);
        buildResult.push({
          path: this.template.slots[slotName].path,
          files
        });
      }
    }
  }
};
function createProjectBuilder(initOptions) {
  return new ProjectBuilder(initOptions);
}
function getDirFromRoot(root, path) {
  let current = root;
  path.forEach((p) => {
    const exist = current.dirs.find((d) => d.name === p);
    if (exist) {
      current = exist;
    } else {
      let newDir = createResultDir(p);
      newDir = addDirectory(current, newDir);
      current = newDir;
    }
  });
  return current;
}

// src/publisher/disk/index.ts
import * as defaultFs from "fs";

// src/publisher/disk/utils.ts
import * as systemFs from "fs";
import { join } from "path";
var writeFolder = async (folder, currentPath, createProjectFolder = true, fs = systemFs) => {
  const { name, files, dirs } = folder;
  const folderPath = createProjectFolder ? join(currentPath, name) : currentPath;
  if (!fs.existsSync(folderPath)) {
    await createDirectory(folderPath, fs);
  }
  const promises = [
    writeFilesToFolder(folderPath, files, fs),
    writeSubFoldersToFolder(folderPath, dirs, fs)
  ];
  await Promise.all(promises);
};
var writeFilesToFolder = async (folderPath, files, fs) => {
  const promises = files.map((file2) => {
    const fileName = file2.ext ? `${file2.name}.${file2.ext}` : file2.name;
    const filePath = join(folderPath, fileName);
    return writeContentToFile(filePath, file2.content, "utf8", fs);
  });
  await Promise.all(promises);
};
var writeSubFoldersToFolder = async (folderPath, subFolders, fs) => {
  const promises = subFolders.map((subFolder) => {
    return writeFolder(subFolder, folderPath, true, fs);
  });
  await Promise.all(promises);
};
var createDirectory = (pathToDir, fs) => {
  return new Promise((resolve, reject) => {
    fs.mkdir(pathToDir, { recursive: true }, (err) => {
      err ? reject(err) : resolve();
    });
  });
};
var writeContentToFile = (filePath, fileContent, encoding = "utf8", fs) => {
  return new Promise((resolve, reject) => {
    fs.writeFile(filePath, fileContent, { encoding }, (err) => {
      err ? reject(err) : resolve();
    });
  });
};

// src/publisher/disk/index.ts
var createDiskPublisher = (params = {}) => {
  let { project, outputPath = "./" } = params;
  const { fs = defaultFs } = params;
  const getProject = () => {
    if (!project) {
      throw new PublisherError("MissingProject");
    }
    return project;
  };
  const setProject = (projectToSet) => {
    project = projectToSet;
  };
  const getOutputPath = () => {
    return outputPath;
  };
  const setOutputPath = (path) => {
    outputPath = path;
  };
  const publish = async (options = {}) => {
    var _a;
    const projectToPublish = options.project || project;
    if (!projectToPublish) {
      throw new PublisherError("MissingProject");
    }
    const projectOutputPath = options.outputPath || outputPath;
    const overrideProjectSlug = options.projectSlug || params.projectSlug;
    const createProjectFolder = (_a = options.createProjectFolder) != null ? _a : params.createProjectFolder;
    if (overrideProjectSlug) {
      projectToPublish.name = overrideProjectSlug;
    }
    try {
      await writeFolder(projectToPublish, projectOutputPath, createProjectFolder, fs);
      return { success: true, payload: projectOutputPath };
    } catch (error) {
      throw new PublisherError(getErrorMessage(error) || "UnknownError");
    }
  };
  return {
    publish,
    getProject,
    setProject,
    getOutputPath,
    setOutputPath
  };
};

// src/publisher/zip/utils.ts
import JSZip from "jszip";
var isNodeProcess = () => {
  return typeof process === "object" && typeof process.versions === "object" && typeof process.versions.node !== "undefined";
};
var writeZipToDisk = (zipFolderPath, content, zipName) => {
  if (!isNodeProcess()) {
    throw new Error("ZipPublisher: writeZipToDisk is only available in NodeJS");
  }
  const fs = __require("fs");
  const path = __require("path");
  if (!fs.existsSync(zipFolderPath)) {
    fs.mkdirSync(zipFolderPath, { recursive: true });
  }
  const zipPath = path.join(zipFolderPath, `${zipName}.zip`);
  const writeStream = fs.createWriteStream(zipPath);
  writeStream.write(content);
  writeStream.end();
};
var generateProjectZip = async (project) => {
  let zip = new JSZip();
  zip = writeFolderToZip(project, zip, true);
  const zipType = isNodeProcess() ? "nodebuffer" : "blob";
  return zip.generateAsync({ type: zipType });
};
var writeFolderToZip = (folder, parentFolder, ignoreFolder = false) => {
  const zipFolder = ignoreFolder ? parentFolder : parentFolder.folder(folder.name);
  if (zipFolder !== null) {
    folder.files.forEach((file2) => {
      const options = {};
      const fileName = file2.ext ? `${file2.name}.${file2.ext}` : file2.name;
      zipFolder.file(fileName, file2.content, options);
    });
    folder.dirs.forEach((subFolder) => {
      writeFolderToZip(subFolder, zipFolder);
    });
  }
  return parentFolder;
};

// src/publisher/zip/index.ts
import { saveAs } from "file-saver";
var createZipPublisher = (params = {}) => {
  let { project, outputPath } = params;
  const getProject = () => project;
  const setProject = (projectToSet) => {
    project = projectToSet;
  };
  const getOutputPath = () => outputPath;
  const setOutputPath = (path) => {
    outputPath = path;
  };
  const publish = async (options = {}) => {
    const projectToPublish = options.project || project;
    if (!projectToPublish) {
      throw new PublisherError("MissingProject");
    }
    const zipName = options.projectSlug || params.projectSlug || projectToPublish.name;
    try {
      const zipContent = await generateProjectZip(projectToPublish);
      if (isNodeProcess()) {
        const projectOutputPath = options.outputPath || outputPath;
        if (projectOutputPath) {
          await writeZipToDisk(projectOutputPath, zipContent, zipName);
        }
      } else {
        saveAs(zipContent, `${zipName}.zip`);
      }
      return { success: true, payload: zipContent };
    } catch (error) {
      throw new PublisherError(getErrorMessage(error) || "UnknownError");
    }
  };
  return {
    publish,
    getProject,
    setProject,
    getOutputPath,
    setOutputPath
  };
};

// src/plugins/common/esmodule.ts
import { flatMap as flatMap2, camelCase, get } from "lodash";

// src/utils/pathHelper.ts
var pathHelper_exports = {};
__export(pathHelper_exports, {
  getSlotRelativePath: () => getSlotRelativePath,
  relativePath: () => relativePath
});
function relativePath(from, to) {
  const length = Math.min(from.length, to.length);
  let samePartsLength = length;
  for (let i = 0; i < length; i++) {
    if (from[i] !== to[i]) {
      samePartsLength = i;
      break;
    }
  }
  if (samePartsLength === 0) {
    return to;
  }
  let outputParts = [];
  for (let i = samePartsLength; i < from.length; i++) {
    outputParts.push("..");
  }
  outputParts = [...outputParts, ...to.slice(samePartsLength)];
  if (outputParts[0] !== "..") {
    outputParts.unshift(".");
  }
  return outputParts;
}
function getSlotRelativePath(options) {
  var _a;
  const { contextData, from, to, modulePaths = [] } = options;
  const { extraContextData } = contextData || {};
  const isSingleComponent = (_a = extraContextData == null ? void 0 : extraContextData.projectRemark) == null ? void 0 : _a.isSingleComponent;
  const template = extraContextData == null ? void 0 : extraContextData.template;
  let toPath = to ? template.slots[to].path : [];
  if (to) {
    toPath = [...toPath, template.slots[to].fileName];
  }
  let fromPath = from ? [...template.slots[from].path, ...modulePaths] : [...modulePaths];
  if (!isSingleComponent && from && ["components", "pages"].indexOf(from) > -1) {
    fromPath = [...fromPath, "pageName"];
  }
  return relativePath(fromPath, toPath).join("/");
}

// src/plugins/common/esmodule.ts
var DEP_MAIN_BLOCKLIST = ["lib", "lib/index", "es", "es/index", "main"];
var DEFAULT_EXPORT_NAME = "__default__";
function groupDepsByPack(deps) {
  const depMap = {};
  const addDep = (pkg, dep) => {
    if (!depMap[pkg]) {
      depMap[pkg] = [];
    }
    depMap[pkg].push(dep);
  };
  deps.forEach((dep) => {
    if (dep.dependencyType === "Internal" /* Internal */) {
      addDep(
        `${dep.moduleName}${dep.main ? `/${dep.main}` : ""}`,
        dep
      );
    } else {
      let depMain = "";
      if (dep.main && DEP_MAIN_BLOCKLIST.indexOf(dep.main) < 0) {
        depMain = dep.main;
      }
      if (depMain.substring(0, 1) === "/") {
        depMain = depMain.substring(1);
      }
      addDep(
        `${dep.package}${depMain ? `/${depMain}` : ""}`,
        dep
      );
    }
  });
  return depMap;
}
function getDependencyIdentifier(info) {
  return info.aliasName || info.exportName;
}
function getExportNameOfDep(dep) {
  if (dep.destructuring) {
    return dep.exportName || dep.componentName || throwNewError(
      "destructuring dependency must have exportName or componentName"
    );
  }
  if (!dep.subName) {
    return dep.componentName || dep.exportName || throwNewError("dependency item must have componentName or exportName");
  }
  return dep.exportName || `__$${camelCase(
    get(dep, "moduleName") || get(dep, "package") || throwNewError("dep.moduleName or dep.package is undefined")
  )}_default`;
}
function throwNewError(msg) {
  throw new Error(msg);
}
function buildPackageImport(pkg, rootPath, deps, targetFileType, useAliasName) {
  if (!pkg || pkg === "undefined" || pkg === "null") {
    return [];
  }
  const chunks = [];
  const exportItems = {};
  const defaultExportNames = [];
  const depsInfo = deps.map((dep) => {
    const info = {
      exportName: getExportNameOfDep(dep),
      isDefault: !dep.destructuring,
      subName: dep.subName || void 0,
      nodeIdentifier: dep.componentName || void 0,
      source: dep
    };
    if (info.isDefault) {
      if (defaultExportNames.indexOf(info.exportName) < 0) {
        defaultExportNames.push(info.exportName);
      }
    }
    if (!info.subName) {
      if (info.nodeIdentifier === info.exportName) {
        info.nodeIdentifier = void 0;
      }
      if (info.isDefault) {
        info.aliasName = info.nodeIdentifier || info.exportName;
        info.exportName = DEFAULT_EXPORT_NAME;
      }
      if (info.nodeIdentifier) {
        info.aliasName = info.nodeIdentifier;
        info.nodeIdentifier = void 0;
      }
    } else {
      if (info.isDefault) {
        info.aliasName = info.exportName;
        info.exportName = DEFAULT_EXPORT_NAME;
      }
      if (info.nodeIdentifier === `${info.exportName}.${info.subName}`) {
        info.nodeIdentifier = void 0;
      }
    }
    return info;
  });
  depsInfo.forEach((info) => {
    if (!exportItems[info.exportName]) {
      exportItems[info.exportName] = {
        exportName: info.exportName,
        isDefault: info.isDefault,
        aliasNames: [],
        needOriginExport: false
      };
    }
    if (!info.nodeIdentifier && !info.aliasName) {
      exportItems[info.exportName].needOriginExport = true;
    }
  });
  depsInfo.forEach((info) => {
    if (info.aliasName) {
      const { aliasNames } = exportItems[info.exportName];
      if (aliasNames.indexOf(info.aliasName) < 0) {
        aliasNames.push(info.aliasName);
      }
    }
  });
  depsInfo.forEach((info) => {
    if (info.nodeIdentifier) {
      const exportItem = exportItems[info.exportName];
      if (!exportItem.needOriginExport && exportItem.aliasNames.length > 0) {
        info.aliasName = exportItem.aliasNames[0];
      }
    }
  });
  const nodeIdentifiers = depsInfo.map((info) => info.nodeIdentifier).filter(Boolean);
  const conflictInfos = flatMap2(Object.keys(exportItems), (exportName) => {
    const exportItem = exportItems[exportName];
    const usedNames = [
      ...exportItem.aliasNames,
      ...exportItem.needOriginExport || exportItem.aliasNames.length <= 0 ? [exportName] : []
    ];
    const conflictNames = usedNames.filter(
      (n) => nodeIdentifiers.indexOf(n) >= 0
    );
    if (conflictNames.length > 0) {
      return [
        ...conflictNames.indexOf(exportName) >= 0 ? [[exportName, true, exportItem]] : [],
        ...conflictNames.filter((n) => n !== exportName).map((n) => [n, false, exportItem])
      ];
    }
    return [];
  });
  const conflictExports = conflictInfos.filter((c) => c[1]).map((c) => c[0]);
  const conflictAlias = conflictInfos.filter((c) => !c[1]).map((c) => c[0]);
  const solutions = {};
  depsInfo.forEach((info) => {
    if (info.aliasName && conflictAlias.indexOf(info.aliasName) >= 0) {
      let solution = solutions[info.aliasName];
      if (!solution) {
        solution = `${info.aliasName}Alias`;
        const conflictItem = (conflictInfos.find(
          (c) => c[0] === info.aliasName
        ) || [])[2];
        conflictItem.aliasNames = conflictItem.aliasNames.filter(
          (a) => a !== info.aliasName
        );
        conflictItem.aliasNames.push(solution);
        solutions[info.aliasName] = solution;
      }
      info.aliasName = solution;
    }
    if (conflictExports.indexOf(info.exportName) >= 0) {
      let solution = solutions[info.exportName];
      if (!solution) {
        solution = `${info.exportName}Export`;
        const conflictItem = (conflictInfos.find(
          (c) => c[0] === info.exportName
        ) || [])[2];
        conflictItem.aliasNames.push(solution);
        conflictItem.needOriginExport = false;
        solutions[info.exportName] = solution;
      }
      info.aliasName = solution;
    }
  });
  depsInfo.forEach((info) => {
    const name = info.aliasName || info.exportName;
    if (!isValidIdentifier(name)) {
      throw new CodeGeneratorError(`Invalid Identifier [${name}]`);
    }
    if (info.nodeIdentifier && !isValidIdentifier(info.nodeIdentifier)) {
      throw new CodeGeneratorError(
        `Invalid Identifier [${info.nodeIdentifier}]`
      );
    }
  });
  const aliasDefineStatements = {};
  if (useAliasName) {
    Object.keys(exportItems).forEach((exportName) => {
      var _a;
      const aliasList = ((_a = exportItems[exportName]) == null ? void 0 : _a.aliasNames) || [];
      if (aliasList.length > 0) {
        const srcName = exportItems[exportName].needOriginExport ? exportName : aliasList[0];
        const aliasNameList = exportItems[exportName].needOriginExport ? aliasList : aliasList.slice(1);
        aliasNameList.forEach((a) => {
          if (!aliasDefineStatements[a]) {
            aliasDefineStatements[a] = `const ${a} = ${srcName};`;
          }
        });
      }
    });
  }
  function getDefaultExportName(info) {
    if (info.isDefault) {
      return defaultExportNames[0];
    }
    return info.exportName;
  }
  depsInfo.forEach((info) => {
    if (info.nodeIdentifier) {
      const ownerName = getDependencyIdentifier(info);
      chunks.push({
        type: "string" /* STRING */,
        fileType: targetFileType,
        name: COMMON_CHUNK_NAME.ImportAliasDefine,
        content: useAliasName ? `const ${info.nodeIdentifier} = ${ownerName}.${info.subName};` : "",
        linkAfter: [
          COMMON_CHUNK_NAME.ExternalDepsImport,
          COMMON_CHUNK_NAME.InternalDepsImport
        ],
        ext: {
          originalName: `${getDefaultExportName(info)}.${info.subName}`,
          aliasName: info.nodeIdentifier,
          dependency: info.source
        }
      });
    } else if (info.aliasName) {
      if (info.isDefault && defaultExportNames.find((n) => n === info.aliasName)) {
        delete aliasDefineStatements[info.aliasName];
        return;
      }
      let contentStatement = "";
      if (aliasDefineStatements[info.aliasName]) {
        contentStatement = aliasDefineStatements[info.aliasName];
        delete aliasDefineStatements[info.aliasName];
      }
      chunks.push({
        type: "string" /* STRING */,
        fileType: targetFileType,
        name: COMMON_CHUNK_NAME.ImportAliasDefine,
        content: contentStatement,
        linkAfter: [
          COMMON_CHUNK_NAME.ExternalDepsImport,
          COMMON_CHUNK_NAME.InternalDepsImport
        ],
        ext: {
          originalName: getDefaultExportName(info),
          aliasName: info.aliasName,
          dependency: info.source
        }
      });
    }
  });
  Object.keys(aliasDefineStatements).forEach((a) => {
    chunks.push({
      type: "string" /* STRING */,
      fileType: targetFileType,
      name: COMMON_CHUNK_NAME.ImportAliasDefine,
      content: aliasDefineStatements[a],
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport
      ]
    });
  });
  const exportItemList = Object.keys(exportItems).map((k) => exportItems[k]);
  const defaultExport = exportItemList.filter((item) => item.isDefault);
  const otherExports = exportItemList.filter((item) => !item.isDefault);
  const statementL = ["import"];
  if (defaultExport.length > 0) {
    if (useAliasName) {
      statementL.push(defaultExportNames[0]);
    } else {
      statementL.push(defaultExport[0].aliasNames[0]);
    }
    if (otherExports.length > 0) {
      statementL.push(", ");
    }
  }
  if (otherExports.length > 0) {
    const items = otherExports.map((item) => {
      return !useAliasName || item.needOriginExport || item.aliasNames.length <= 0 ? item.exportName : `${item.exportName} as ${item.aliasNames[0]}`;
    });
    statementL.push(`{ ${items.join(", ")} }`);
  }
  statementL.push("from");
  const getInternalDependencyModuleId = () => `${rootPath}${pkg}`;
  if (deps[0].dependencyType === "Internal" /* Internal */) {
    statementL.push(`'${getInternalDependencyModuleId()}';`);
    chunks.push({
      type: "string" /* STRING */,
      fileType: targetFileType,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: statementL.join(" "),
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
  } else {
    statementL.push(`'${pkg}';`);
    chunks.push({
      type: "string" /* STRING */,
      fileType: targetFileType,
      name: COMMON_CHUNK_NAME.ExternalDepsImport,
      content: statementL.join(" "),
      linkAfter: []
    });
  }
  if (defaultExportNames.length > 1) {
    if (deps[0].dependencyType === "Internal" /* Internal */) {
      defaultExportNames.slice(1).forEach((exportName) => {
        chunks.push({
          type: "string" /* STRING */,
          fileType: targetFileType,
          name: COMMON_CHUNK_NAME.InternalDepsImport,
          content: `import ${exportName} from '${getInternalDependencyModuleId()}';`,
          linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
        });
      });
    } else {
      defaultExportNames.slice(1).forEach((exportName) => {
        chunks.push({
          type: "string" /* STRING */,
          fileType: targetFileType,
          name: COMMON_CHUNK_NAME.ExternalDepsImport,
          content: `import ${exportName} from '${pkg}';`,
          linkAfter: []
        });
        chunks.push({
          type: "string" /* STRING */,
          fileType: targetFileType,
          name: COMMON_CHUNK_NAME.ImportAliasDefine,
          content: "",
          linkAfter: [],
          ext: {
            aliasName: exportName,
            originalName: exportName,
            dependency: {
              package: pkg,
              componentName: exportName
            }
          }
        });
      });
    }
  }
  return chunks;
}
var pluginFactory = (config) => {
  const cfg = {
    fileType: "js" /* JS */,
    useAliasName: true,
    ...config || {}
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    if (ir && ir.deps && ir.deps.length > 0) {
      const deps = cfg.filter ? cfg.filter(ir.deps) : ir.deps;
      const packs = groupDepsByPack(deps);
      let rootPath = "@/";
      if (pre.contextData) {
        rootPath = getSlotRelativePath({
          contextData: pre.contextData,
          from: "router",
          to: "pages"
        });
      }
      Object.keys(packs).forEach((pkg) => {
        const chunks = buildPackageImport(
          pkg,
          rootPath,
          packs[pkg],
          cfg.fileType,
          cfg.useAliasName
        );
        next.chunks.push(...chunks);
      });
    }
    return next;
  };
  return plugin;
};
var esmodule_default = pluginFactory;

// src/plugins/common/styleImport.ts
import changeCase2 from "change-case";
var pluginFactory2 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const { chunks } = next;
    if (ir && ir.deps && ir.deps.length > 0) {
      let lowcodeMaterialsStyleAdded = false;
      let fusionUIStyleAdded = false;
      let nextStyleAddedMap = {};
      ir.deps.forEach((dep) => {
        if (dep.package === "@alifd/next" && !nextStyleAddedMap[dep.exportName]) {
          chunks.push({
            type: "string" /* STRING */,
            fileType: "jsx" /* JSX */,
            name: COMMON_CHUNK_NAME.InternalDepsImport,
            content: `import '@alifd/next/lib/${changeCase2.paramCase(dep.exportName)}/style';`,
            linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
          });
          nextStyleAddedMap[dep.exportName] = true;
        } else if (dep.package === "@alilc/lowcode-materials" && !lowcodeMaterialsStyleAdded) {
          chunks.push({
            type: "string" /* STRING */,
            fileType: "jsx" /* JSX */,
            name: COMMON_CHUNK_NAME.InternalDepsImport,
            content: "import '@alilc/lowcode-materials/lib/style';",
            linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
          });
          lowcodeMaterialsStyleAdded = true;
        } else if (dep.package === "@alifd/fusion-ui" && !fusionUIStyleAdded) {
          chunks.push({
            type: "string" /* STRING */,
            fileType: "jsx" /* JSX */,
            name: COMMON_CHUNK_NAME.InternalDepsImport,
            content: "import '@alifd/fusion-ui/lib/style';",
            linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
          });
          fusionUIStyleAdded = true;
        }
      });
    }
    return next;
  };
  return plugin;
};
var styleImport_default = pluginFactory2;

// src/plugins/component/react/containerClass.ts
import changeCase3 from "change-case";

// src/plugins/component/react/const.ts
var REACT_CHUNK_NAME = {
  ClassRenderStart: "ReactComponentClassRenderStart",
  ClassRenderPre: "ReactComponentClassRenderPre",
  ClassRenderEnd: "ReactComponentClassRenderEnd",
  ClassRenderJSX: "ReactComponentClassRenderJSX",
  ClassDidMountStart: "ReactComponentClassDidMountStart",
  ClassDidMountEnd: "ReactComponentClassDidMountEnd",
  ClassDidMountContent: "ReactComponentClassDidMountContent",
  FunctionRenderStart: "ReactComponentFunctionRenderStart",
  FunctionRenderEnd: "ReactComponentFunctionRenderEnd",
  FunctionRenderJSX: "ReactComponentFunctionRenderJSX"
};

// src/plugins/component/react/containerClass.ts
var pluginFactory3 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const componentClassName = ensureValidClassName(
      `${changeCase3.pascalCase(ir.moduleName)}$$${ir.containerType}`
    );
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: CLASS_DEFINE_CHUNK_NAME.Start,
      content: `class ${componentClassName} extends React.Component {`,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    if (ir.containerType === "Component") {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: "jsx" /* JSX */,
        name: CLASS_DEFINE_CHUNK_NAME.InsVar,
        content: `static displayName = '${ir.moduleName}';`,
        linkAfter: [
          CLASS_DEFINE_CHUNK_NAME.Start
        ]
      });
    }
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: CLASS_DEFINE_CHUNK_NAME.End,
      content: "}",
      linkAfter: [
        ...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.End],
        REACT_CHUNK_NAME.ClassRenderEnd,
        REACT_CHUNK_NAME.ClassDidMountEnd
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: CLASS_DEFINE_CHUNK_NAME.ConstructorStart,
      content: "constructor(props, context) { super(props); ",
      linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorStart]]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: CLASS_DEFINE_CHUNK_NAME.ConstructorEnd,
      content: "}",
      linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorEnd]]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: REACT_CHUNK_NAME.ClassDidMountStart,
      content: "componentDidMount() {",
      linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.End]]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: REACT_CHUNK_NAME.ClassDidMountEnd,
      content: "}",
      linkAfter: [REACT_CHUNK_NAME.ClassDidMountContent, REACT_CHUNK_NAME.ClassDidMountStart]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: REACT_CHUNK_NAME.ClassRenderStart,
      content: "render() {",
      linkAfter: [
        ...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.End],
        REACT_CHUNK_NAME.ClassDidMountEnd
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: REACT_CHUNK_NAME.ClassRenderEnd,
      content: "}",
      linkAfter: [
        REACT_CHUNK_NAME.ClassRenderStart,
        REACT_CHUNK_NAME.ClassRenderPre,
        REACT_CHUNK_NAME.ClassRenderJSX
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: COMMON_CHUNK_NAME.FileExport,
      content: `export default ${componentClassName};`,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine,
        CLASS_DEFINE_CHUNK_NAME.End
      ]
    });
    return next;
  };
  return plugin;
};
var containerClass_default = pluginFactory3;

// src/utils/compositeType.ts
var compositeType_exports = {};
__export(compositeType_exports, {
  generateCompositeType: () => generateCompositeType
});
import { isJSExpression as isJSExpression3, isJSFunction as isJSFunction3, isJSSlot as isJSSlot3 } from "@gant-lowcode/lowcode-shared";
import _2 from "lodash";

// src/utils/jsExpression.ts
var jsExpression_exports = {};
__export(jsExpression_exports, {
  generateExpression: () => generateExpression,
  generateFunction: () => generateFunction,
  isBroadJSFunction: () => isBroadJSFunction
});
import * as parser2 from "@babel/parser";
import generate2 from "@babel/generator";
import traverse2 from "@babel/traverse";
import * as t2 from "@babel/types";
import { isJSExpression as isJSExpression2, isJSFunction as isJSFunction2 } from "@gant-lowcode/lowcode-shared";

// src/utils/expressionParser.ts
var expressionParser_exports = {};
__export(expressionParser_exports, {
  ParseError: () => ParseError,
  parseExpression: () => parseExpression2,
  parseExpressionConvertThis2Context: () => parseExpressionConvertThis2Context,
  parseExpressionGetGlobalVariables: () => parseExpressionGetGlobalVariables,
  parseExpressionGetKeywords: () => parseExpressionGetKeywords,
  transformExpressionLocalRef: () => transformExpressionLocalRef
});
import * as parser from "@babel/parser";
import generate from "@babel/generator";
import traverse from "@babel/traverse";
import * as t from "@babel/types";
import { isIdentifier } from "@babel/types";

// src/utils/OrderedSet.ts
var OrderedSet = class {
  constructor(items) {
    __publicField(this, "_set", /* @__PURE__ */ new Set());
    __publicField(this, "_arr", []);
    if (items) {
      this._set = new Set(items);
      this._arr = items.slice(0);
    }
  }
  add(item) {
    if (!this._set.has(item)) {
      this._set.add(item);
      this._arr.push(item);
    }
  }
  delete(item) {
    if (this._set.has(item)) {
      this._set.delete(item);
      this._arr.splice(this._arr.indexOf(item), 1);
    }
  }
  has(item) {
    return this._set.has(item);
  }
  toArray() {
    return this._arr.slice(0);
  }
};

// src/utils/expressionParser.ts
var ParseError = class extends Error {
  constructor(expr, detail) {
    super(`Failed to parse expression "${typeof expr === "string" ? expr : generate(expr)}"`);
    __publicField(this, "expr");
    __publicField(this, "detail");
    this.expr = expr;
    this.detail = detail;
    Object.setPrototypeOf(this, new.target.prototype);
  }
};
var MAYBE_EXPRESSIONS = {
  ArrayExpression: { fields: ["elements"] },
  AssignmentExpression: { fields: ["left", "right"] },
  BinaryExpression: { fields: ["left", "right"] },
  CallExpression: { fields: ["arguments", "callee"] },
  ConditionalExpression: { fields: ["test", "consequent", "alternate"] },
  DoWhileStatement: { fields: ["test"] },
  ExpressionStatement: { fields: ["expression"] },
  ForInStatement: { fields: ["right"] },
  ForStatement: { fields: ["init", "test", "update"] },
  IfStatement: { fields: ["test"] },
  LogicalExpression: { fields: ["left", "right"] },
  MemberExpression: {
    fields: (node) => {
      return node.type === "MemberExpression" && node.computed ? ["object", "property"] : ["object"];
    }
  },
  NewExpression: { fields: ["callee", "arguments"] },
  ObjectMethod: {
    fields: (node) => {
      return node.type === "ObjectMethod" && node.computed ? ["key"] : [];
    }
  },
  ObjectProperty: {
    fields: (node) => {
      return node.type === "ObjectProperty" && node.computed ? ["key", "value"] : ["value"];
    }
  },
  ReturnStatement: { fields: ["argument"] },
  SequenceExpression: { fields: ["expressions"] },
  ParenthesizedExpression: { fields: ["expression"] },
  SwitchCase: { fields: ["test"] },
  SwitchStatement: { fields: ["discriminant"] },
  ThrowStatement: { fields: ["argument"] },
  UnaryExpression: { fields: ["argument"] },
  UpdateExpression: { fields: ["argument"] },
  VariableDeclarator: { fields: ["init"] },
  WhileStatement: { fields: ["test"] },
  WithStatement: { fields: ["object"] },
  AssignmentPattern: { fields: ["right"] },
  ArrowFunctionExpression: { fields: ["body"] },
  ClassExpression: { fields: ["superClass"] },
  ClassDeclaration: { fields: ["superClass"] },
  ExportDefaultDeclaration: { fields: ["declaration"] },
  ForOfStatement: { fields: ["right"] },
  ClassMethod: {
    fields: (node) => {
      return node.type === "ClassMethod" && node.computed ? ["key"] : [];
    }
  },
  SpreadElement: { fields: ["argument"] },
  TaggedTemplateExpression: { fields: ["tag"] },
  TemplateLiteral: { fields: ["expressions"] },
  YieldExpression: { fields: ["argument"] },
  AwaitExpression: { fields: ["argument"] },
  OptionalMemberExpression: {
    fields: (node) => {
      return node.type === "OptionalMemberExpression" && node.computed ? ["object", "property"] : ["object"];
    }
  },
  OptionalCallExpression: { fields: ["callee", "arguments"] },
  JSXSpreadAttribute: { fields: ["argument"] },
  BindExpression: { fields: ["object", "callee"] },
  ClassProperty: {
    fields: (node) => {
      return node.type === "ClassProperty" && node.computed ? ["key", "value"] : ["value"];
    }
  },
  PipelineTopicExpression: { fields: ["expression"] },
  PipelineBareFunction: { fields: ["callee"] },
  ClassPrivateProperty: { fields: ["value"] },
  Decorator: { fields: ["expression"] },
  TupleExpression: { fields: ["elements"] },
  TSDeclareMethod: {
    fields: (node) => {
      return node.type === "TSDeclareMethod" && node.computed ? ["key"] : [];
    }
  },
  TSPropertySignature: {
    fields: (node) => {
      return node.type === "TSPropertySignature" && node.computed ? ["key", "initializer"] : ["initializer"];
    }
  },
  TSMethodSignature: {
    fields: (node) => {
      return node.type === "TSMethodSignature" && node.computed ? ["key"] : [];
    }
  },
  TSAsExpression: { fields: ["expression"] },
  TSTypeAssertion: { fields: ["expression"] },
  TSEnumDeclaration: { fields: ["initializer"] },
  TSEnumMember: { fields: ["initializer"] },
  TSNonNullExpression: { fields: ["expression"] },
  TSExportAssignment: { fields: ["expression"] }
};
var CROSS_THIS_SCOPE_TYPE_NODE = {
  ArrowFunctionExpression: false,
  FunctionExpression: true,
  FunctionDeclaration: true,
  ClassDeclaration: true,
  ClassExpression: true,
  ClassBody: true,
  ClassImplements: true,
  ClassMethod: true,
  ClassPrivateMethod: true,
  ClassProperty: true,
  ClassPrivateProperty: true,
  DeclareClass: true
};
var JS_KEYWORDS = ["arguments", "this", "super"];
function parseExpressionGetKeywords(expr) {
  if (!expr) {
    return [];
  }
  try {
    const keywordVars = new OrderedSet();
    const ast = parser.parse(`!(${expr});`, {
      plugins: [
        "jsx"
      ]
    });
    const addIdentifierIfNeeded = (x) => {
      if (typeof x === "object" && isIdentifier(x) && JS_KEYWORDS.includes(x.name)) {
        keywordVars.add(x.name);
      }
    };
    traverse(ast, {
      enter(path) {
        var _a;
        const { node } = path;
        const expressionFields = (_a = MAYBE_EXPRESSIONS[node.type]) == null ? void 0 : _a.fields;
        if (expressionFields) {
          (typeof expressionFields === "function" ? expressionFields(node) : expressionFields).forEach((fieldName) => {
            const fieldValue = node[fieldName];
            if (typeof fieldValue === "object") {
              if (Array.isArray(fieldValue)) {
                fieldValue.forEach((item) => {
                  addIdentifierIfNeeded(item);
                });
              } else {
                addIdentifierIfNeeded(fieldValue);
              }
            }
          });
        }
      }
    });
    return keywordVars.toArray().filter(Boolean);
  } catch (e) {
    throw new ParseError(expr, e);
  }
}
function parseExpressionGetGlobalVariables(expr, { filter = () => true } = {}) {
  if (!expr) {
    return [];
  }
  try {
    const undeclaredVars = new OrderedSet();
    const ast = parser.parse(`!(${expr});`);
    const addUndeclaredIdentifierIfNeeded = (x, path) => {
      if (typeof x === "object" && isIdentifier(x) && !path.scope.hasBinding(x.name)) {
        undeclaredVars.add(x.name);
      }
    };
    traverse(ast, {
      enter(path) {
        var _a;
        const { node } = path;
        const expressionFields = (_a = MAYBE_EXPRESSIONS[node.type]) == null ? void 0 : _a.fields;
        if (expressionFields) {
          (typeof expressionFields === "function" ? expressionFields(node) : expressionFields).forEach((fieldName) => {
            const fieldValue = node[fieldName];
            if (typeof fieldValue === "object") {
              if (Array.isArray(fieldValue)) {
                fieldValue.forEach((item) => {
                  addUndeclaredIdentifierIfNeeded(item, path);
                });
              } else {
                addUndeclaredIdentifierIfNeeded(fieldValue, path);
              }
            }
          });
        }
      }
    });
    return undeclaredVars.toArray().filter(filter);
  } catch (e) {
    throw new ParseError(expr, e);
  }
}
function parseExpressionConvertThis2Context(expr, contextName = "__$$context", localVariables = []) {
  if (!expr) {
    return expr.toString();
  }
  try {
    const exprAst = typeof expr === "string" ? parser.parseExpression(expr) : expr;
    const exprWrapAst = t.expressionStatement(exprAst);
    const fileAst = t.file(t.program([exprWrapAst]));
    const localVariablesSet = new Set(localVariables);
    let thisScopeLevel = CROSS_THIS_SCOPE_TYPE_NODE[exprAst.type] ? -1 : 0;
    traverse(fileAst, {
      enter(path) {
        if (CROSS_THIS_SCOPE_TYPE_NODE[path.node.type]) {
          thisScopeLevel++;
        }
      },
      exit(path) {
        if (CROSS_THIS_SCOPE_TYPE_NODE[path.node.type]) {
          thisScopeLevel--;
        }
      },
      MemberExpression(path) {
        if (!path.isMemberExpression()) {
          return;
        }
        const obj = path.get("object");
        if (!obj.isThisExpression()) {
          return;
        }
        if (!path.node.computed) {
          const prop = path.get("property");
          if (prop.isIdentifier() && localVariablesSet.has(prop.node.name)) {
            path.replaceWith(t.identifier(prop.node.name));
            return;
          }
        }
        if (thisScopeLevel <= 0) {
          obj.replaceWith(t.identifier(contextName));
        }
      },
      ThisExpression(path) {
        if (!path.isThisExpression()) {
          return;
        }
        if (path.parent.type === "MemberExpression") {
          return;
        }
        if (thisScopeLevel <= 0) {
          path.replaceWith(t.identifier(contextName));
        }
      }
    });
    const { code } = generate(exprWrapAst.expression, { sourceMaps: false });
    return code;
  } catch (e) {
    throw new ParseError(expr, e);
  }
}
function parseExpression2(expr) {
  try {
    return parser.parseExpression(expr);
  } catch (e) {
    throw new ParseError(expr, e);
  }
}
function transformExpressionLocalRef(expr, scope) {
  if (!expr) {
    return expr;
  }
  if (!scope) {
    throw new Error("transform expression without scope");
  }
  try {
    const exprAst = typeof expr === "string" ? parser.parseExpression(expr) : expr;
    const exprWrapAst = t.expressionStatement(exprAst);
    const fileAst = t.file(t.program([exprWrapAst]));
    traverse(fileAst, {
      MemberExpression(path) {
        if (!path.isMemberExpression()) {
          return;
        }
        const obj = path.get("object");
        if (!obj.isThisExpression()) {
          return;
        }
        const prop = path.get("property");
        let memberName = "";
        if (!path.node.computed && prop.isIdentifier()) {
          memberName = prop.node.name;
        } else if (path.node.computed && prop.isStringLiteral()) {
          memberName = prop.node.value;
        }
        if (memberName && scope.bindings && scope.bindings.hasBinding(memberName)) {
          path.replaceWith(t.identifier(memberName));
        }
      }
    });
    const { code } = generate(exprWrapAst.expression, { sourceMaps: false });
    return code;
  } catch (e) {
    throw new ParseError(expr, e);
  }
}

// src/utils/jsExpression.ts
function parseFunction(content) {
  try {
    const ast = parser2.parse(`(${content});`, {
      plugins: [
        "jsx"
      ]
    });
    let resultNode = null;
    traverse2(ast, {
      FunctionExpression(path) {
        resultNode = path.node;
        path.stop();
      }
    });
    return resultNode;
  } catch (e) {
    throw new ParseError(content, e);
  }
}
function transformFuncExpr2MethodMember(methodName, content) {
  const funcNode = parseFunction(content);
  if (funcNode) {
    const targetNode = t2.classMethod(
      "method",
      methodName && t2.identifier(methodName) || funcNode.id || t2.identifier("notDefineName"),
      funcNode.params,
      funcNode.body,
      void 0,
      void 0,
      void 0,
      funcNode.async || void 0
    );
    const { code: resultCode } = generate2(targetNode, { sourceMaps: false });
    return resultCode;
  }
  throw new Error("Can not find Function Statement");
}
function getArrowFunction(content) {
  const funcNode = parseFunction(content);
  if (funcNode) {
    const targetNode = t2.arrowFunctionExpression(
      funcNode.params,
      funcNode.body,
      funcNode.async || void 0
    );
    const { code: resultCode } = generate2(targetNode, { sourceMaps: false });
    return resultCode;
  }
  throw new Error("Can not find Function Statement");
}
function getBodyStatements(content) {
  const funcNode = parseFunction(content);
  if (funcNode) {
    const statements = funcNode.body.body;
    const targetNode = t2.program(statements, void 0, "module", void 0);
    const { code: resultCode } = generate2(targetNode, { sourceMaps: false });
    return resultCode;
  }
  throw new Error("Can not find Function Statement");
}
function isBroadJSFunction(value) {
  return isJSExpressionFn(value) || isJSFunction2(value);
}
function generateExpression(value, scope) {
  var _a;
  if (isJSExpression2(value)) {
    const exprVal = (_a = value.value) == null ? void 0 : _a.trim();
    if (!exprVal) {
      return "null";
    }
    const afterProcessWithLocals = transformExpressionLocalRef(exprVal, scope);
    return afterProcessWithLocals;
  }
  throw new CodeGeneratorError("Not a JSExpression");
}
function getFunctionSource(cfg) {
  return cfg.source || cfg.value || cfg.compiled;
}
function generateFunction(value, config = {
  name: void 0,
  isMember: false,
  isBlock: false,
  isArrow: false,
  isBindExpr: false
}) {
  if (isBroadJSFunction(value)) {
    const functionCfg = value;
    const functionSource = getFunctionSource(functionCfg);
    if (config.isMember) {
      return transformFuncExpr2MethodMember(config.name || "", functionSource);
    }
    if (config.isBlock) {
      return getBodyStatements(functionSource);
    }
    if (config.isArrow) {
      return getArrowFunction(functionSource);
    }
    if (config.isBindExpr) {
      return `(${functionSource}).bind(this)`;
    }
    return functionSource;
  }
  if (isJSExpression2(value)) {
    return value.value;
  }
  throw new CodeGeneratorError("Not a JSFunction or JSExpression");
}

// src/utils/jsSlot.ts
var jsSlot_exports = {};
__export(jsSlot_exports, {
  generateJsSlot: () => generateJsSlot
});
import { isJSSlot as isJSSlot2 } from "@gant-lowcode/lowcode-shared";

// src/utils/jsxHelpers.ts
function unwrapJsExprQuoteInJsx(jsxExpr) {
  if (jsxExpr.length >= 2 && jsxExpr[0] === "{" && jsxExpr[jsxExpr.length - 1] === "}") {
    return jsxExpr.slice(1, jsxExpr.length - 1);
  }
  return jsxExpr;
}

// src/utils/jsSlot.ts
function generateSingleLineComment(commentText) {
  return `/* ${commentText.split("\n").join(" ").replace(/\*\//g, "*-/")}*/`;
}
function generateJsSlot(slot, scope, generator) {
  if (isJSSlot2(slot)) {
    const { title, params, value } = slot;
    const slotScope = params ? scope.createSubScope(params || []) : scope;
    const contentExpr = !value ? "null" : generateNodeDataOrArrayForJsSlot(value, generator, slotScope);
    if (params) {
      return [
        title && generateSingleLineComment(title),
        "(",
        (params || []).join(", "),
        ") => ((__$$context) => (",
        contentExpr,
        "))(",
        `  __$$createChildContext(__$$context, { ${(params || []).join(", ")} }`,
        "))"
      ].filter(Boolean).join("");
    }
    return contentExpr || "[]";
  }
  throw new CodeGeneratorError("Not a JSSlot");
}
function generateNodeDataOrArrayForJsSlot(value, generator, scope) {
  if (Array.isArray(value)) {
    if (value.length === 0) {
      return "[]";
    }
    if (value.length === 1) {
      return unwrapJsExprQuoteInJsx(generator(value, scope)) || "null";
    }
    return `[
${value.map((v) => {
      if (typeof v === "string") {
        return JSON.stringify(v);
      }
      return unwrapJsExprQuoteInJsx(generator(v, scope)) || "null";
    }).join(",\n") || "null"}
]`;
  }
  return unwrapJsExprQuoteInJsx(generator(value, scope)) || "null";
}

// src/utils/aopHelper.ts
function executeFunctionStack(input, scope, funcs, baseFunc, config) {
  const funcList = [];
  if (Array.isArray(funcs)) {
    funcList.push(...funcs);
  } else {
    funcList.push(funcs);
  }
  let next = baseFunc;
  while (funcList.length > 0) {
    const func = funcList.pop();
    if (func) {
      const warppedFunc = ((nextFunc) => (i, s, cfg) => func(i, s, cfg, nextFunc))(next);
      next = warppedFunc;
    }
  }
  return next(input, scope, config);
}

// src/utils/compositeType.ts
function isVariable(v) {
  if (_2.isObject(v) && v.type === "variable") {
    return true;
  }
  return false;
}
function isDataSource(v) {
  return typeof v === "object" && v != null && v.type === "DataSource";
}
function generateArray(value, scope, options = {}) {
  const body = value.map((v) => generateUnknownType(v, scope, options)).join(",");
  return `[${body}]`;
}
function generateObject(value, scope, options = {}) {
  if (value.type === "i18n") {
    if (value.params && typeof value.params === "object") {
      return `this._i18nText(${generateUnknownType(_2.omit(value, "type"), scope, options)})`;
    }
    return `this._i18nText(${JSON.stringify(_2.omit(value, "type"))})`;
  }
  const body = Object.keys(value).map((key) => {
    const propName = JSON.stringify(key);
    const v = generateUnknownType(value[key], scope, options);
    return `${propName}: ${v}`;
  }).join(",\n");
  return `{${body}}`;
}
function generateString(value) {
  return JSON.stringify(value);
}
function generateNumber(value) {
  return String(value);
}
function generateBool(value) {
  return value ? "true" : "false";
}
function genFunction(value) {
  const globalVars = parseExpressionGetKeywords(value.value);
  if (globalVars.includes("arguments")) {
    return generateFunction(value, { isBindExpr: true });
  }
  return generateFunction(value, { isArrow: true });
}
function genJsSlot(value, scope, options = {}) {
  if (options.nodeGenerator) {
    return generateJsSlot(value, scope, options.nodeGenerator);
  }
  return "";
}
function generateUnknownType(value, scope, options = {}) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i;
  if (_2.isUndefined(value)) {
    return "undefined";
  }
  if (_2.isNull(value)) {
    return "null";
  }
  if (_2.isArray(value)) {
    if ((_a = options.handlers) == null ? void 0 : _a.array) {
      return executeFunctionStack(value, scope, options.handlers.array, generateArray, options);
    }
    return generateArray(value, scope, options);
  }
  if (isVariable(value)) {
    const transValue = {
      type: "JSExpression",
      value: value.variable
    };
    if ((_b = options.handlers) == null ? void 0 : _b.expression) {
      const expression = executeFunctionStack(
        transValue,
        scope,
        options.handlers.expression,
        generateExpression,
        options
      );
      return expression || "undefined";
    }
    return generateExpression(transValue, scope);
  }
  if (isJSExpression3(value)) {
    if ((_c = options.handlers) == null ? void 0 : _c.expression) {
      return executeFunctionStack(
        value,
        scope,
        options.handlers.expression,
        generateExpression,
        options
      );
    }
    return generateExpression(value, scope);
  }
  if (isJSFunction3(value) || isJSExpressionFn(value)) {
    if ((_d = options.handlers) == null ? void 0 : _d.function) {
      return executeFunctionStack(value, scope, options.handlers.function, genFunction, options);
    }
    return genFunction(value);
  }
  if (isJSSlot3(value)) {
    if ((_e = options.handlers) == null ? void 0 : _e.slot) {
      return executeFunctionStack(value, scope, options.handlers.slot, genJsSlot, options);
    }
    return genJsSlot(value, scope, options);
  }
  if (isDataSource(value)) {
    return generateUnknownType(
      {
        type: "JSExpression",
        value: `this.dataSourceMap[${JSON.stringify(value.id)}]`
      },
      scope,
      options
    );
  }
  if (_2.isObject(value)) {
    if ((_f = options.handlers) == null ? void 0 : _f.object) {
      return executeFunctionStack(value, scope, options.handlers.object, generateObject, options);
    }
    return generateObject(value, scope, options);
  }
  if (_2.isString(value)) {
    if ((_g = options.handlers) == null ? void 0 : _g.string) {
      return executeFunctionStack(value, scope, options.handlers.string, generateString, options);
    }
    return generateString(value);
  }
  if (_2.isNumber(value)) {
    if ((_h = options.handlers) == null ? void 0 : _h.number) {
      return executeFunctionStack(value, scope, options.handlers.number, generateNumber, options);
    }
    return generateNumber(value);
  }
  if (_2.isBoolean(value)) {
    if ((_i = options.handlers) == null ? void 0 : _i.boolean) {
      return executeFunctionStack(value, scope, options.handlers.boolean, generateBool, options);
    }
    return generateBool(value);
  }
  throw new CodeGeneratorError("Meet unknown composite value type");
}
function generateCompositeType(value, scope, options = {}) {
  const result = generateUnknownType(value, scope, options);
  return result;
}

// src/utils/Scope.ts
var Scope_exports = {};
__export(Scope_exports, {
  Scope: () => Scope
});

// src/utils/ScopeBindings.ts
var ScopeBindings = class {
  constructor(p = null) {
    __publicField(this, "parent");
    __publicField(this, "_bindings", new OrderedSet());
    this.parent = p;
  }
  hasBinding(varName) {
    var _a;
    return this._bindings.has(varName) || !!((_a = this.parent) == null ? void 0 : _a.hasBinding(varName));
  }
  hasOwnBinding(varName) {
    return this._bindings.has(varName);
  }
  addBinding(varName) {
    this._bindings.add(varName);
  }
  removeBinding(varName) {
    this._bindings.delete(varName);
  }
  getAllBindings() {
    const allBindings = new OrderedSet(this._bindings.toArray());
    for (let { parent } = this; parent; parent = parent == null ? void 0 : parent.parent) {
      parent.getAllOwnedBindings().forEach((varName) => {
        allBindings.add(varName);
      });
    }
    return allBindings.toArray();
  }
  getAllOwnedBindings() {
    return this._bindings.toArray();
  }
};

// src/utils/Scope.ts
var Scope = class {
  constructor(parent = null) {
    this.parent = parent;
    __publicField(this, "bindings");
    this.bindings = void 0;
  }
  static createRootScope() {
    return new Scope();
  }
  createSubScope(ownIdentifiers) {
    const originalScopeBindings = this.bindings;
    const newScopeBindings = new ScopeBindings(originalScopeBindings);
    ownIdentifiers.forEach((identifier3) => {
      newScopeBindings.addBinding(identifier3);
    });
    const newScope = new Scope(this);
    newScope.bindings = newScopeBindings;
    return newScope;
  }
};

// src/plugins/component/react/containerInitState.ts
var pluginFactory4 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    implementType: "inConstructor",
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const scope = Scope.createRootScope();
    const state = ir.state || {};
    const fields = Object.keys(state).map((stateName) => {
      const value = generateCompositeType(state[stateName], scope);
      return `${stateName}: ${value},`;
    });
    if (cfg.implementType === "inConstructor") {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
        content: `this.state = { ${fields.join("")} };`,
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorContent]]
      });
    } else if (cfg.implementType === "insMember") {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsVar,
        content: `state = { ${fields.join("")} };`,
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsVar]]
      });
    }
    return next;
  };
  return plugin;
};
var containerInitState_default = pluginFactory4;

// src/plugins/component/react/containerInjectContext.ts
var pluginFactory5 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const scope = Scope.createRootScope();
    const { inStrictMode } = next.contextData;
    if (!inStrictMode) {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsVar,
        content: `
          _context = this;
        `,
        linkAfter: [CLASS_DEFINE_CHUNK_NAME.Start]
      });
    } else {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsVar,
        content: `
          _context = this._createContext();
        `,
        linkAfter: [CLASS_DEFINE_CHUNK_NAME.Start]
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod,
        content: `
          _createContext() {
            const self = this;
            const context = {
              get state() { return self.state; },
              setState(newState, callback) { self.setState(newState, callback); },
              get dataSourceMap() { return self._dataSourceEngine.dataSourceMap || {}; },
              async reloadDataSource() { await self._dataSourceEngine.reloadDataSource(); },
              get utils() { return self.utils; },
              get page() { return context; },
              get component() { return context; },
              get props() { return self.props; },
              get constants() { return self.constants; },
              get $() { return self.$ },
              get $$() { return self.$$ },
              ...this._methods,
            };
  
            return context;
          }
        `,
        linkAfter: DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod]
      });
    }
    return next;
  };
  return plugin;
};
var containerInjectContext_default = pluginFactory5;

// src/plugins/component/react/containerInjectUtils.ts
var pluginFactory6 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    ...config
  };
  const plugin = async (pre) => {
    var _a;
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.contextData.useRefApi = true;
    const useRef = !!((_a = ir.analyzeResult) == null ? void 0 : _a.isUsingRef);
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: `
        import utils${useRef ? ", { RefsManager }" : ""} from '${getSlotRelativePath({
        contextData: next.contextData,
        modulePaths: next.ir.modulePaths,
        from: cfg.scope || "components",
        to: "utils"
      })}';
      `,
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
    if (cfg.preferClassProperty) {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsVar,
        content: "utils = utils;",
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsVar]]
      });
    } else {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
        content: "this.utils = utils;",
        linkAfter: [CLASS_DEFINE_CHUNK_NAME.ConstructorStart]
      });
    }
    if (useRef) {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
        content: "this._refsManager = new RefsManager();",
        linkAfter: [
          ...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorContent]
        ]
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
        content: `
          $ = (refName) => {
            return this._refsManager.get(refName);
          }
        `,
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
        content: `
          $$ = (refName) => {
            return this._refsManager.getAll(refName);
          }
        `,
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
      });
    } else {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
        content: " $ = () => null; ",
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
        content: " $$ = () => [];        ",
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
      });
    }
    return next;
  };
  return plugin;
};
var containerInjectUtils_default = pluginFactory6;

// src/plugins/component/react/containerInjectDataSourceEngine.ts
import { isJSExpression as isJSExpression4, isJSFunction as isJSFunction4 } from "@gant-lowcode/lowcode-shared";
import changeCase4 from "change-case";
var pluginFactory7 = (config) => {
  const cfg = {
    ...config,
    fileType: (config == null ? void 0 : config.fileType) || "jsx" /* JSX */
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const scope = Scope.createRootScope();
    const dataSourceConfig = isValidContainerType(pre.ir) ? pre.ir.dataSource : null;
    const dataSourceItems = dataSourceConfig && dataSourceConfig.list || [];
    const dataSourceEngineOptions = { runtimeConfig: true };
    if (dataSourceItems.length > 0) {
      const requestHandlersMap = {};
      dataSourceItems.forEach((ds) => {
        var _a, _b;
        const dsType = ds.type || "fetch";
        if (!(dsType in requestHandlersMap) && dsType !== "custom") {
          const handlerFactoryName = `__$$create${changeCase4.pascal(dsType)}RequestHandler`;
          requestHandlersMap[dsType] = {
            type: "JSExpression",
            value: handlerFactoryName + (dsType === "urlParams" ? "(window.location.search)" : "()")
          };
          const handlerFactoryExportName = `create${changeCase4.pascal(dsType)}Handler`;
          const handlerPkgName = ((_b = (_a = cfg.datasourceConfig) == null ? void 0 : _a.handlersPackages) == null ? void 0 : _b[dsType]) || `@alilc/lowcode-datasource-${changeCase4.kebab(dsType)}-handler`;
          next.chunks.push({
            type: "string" /* STRING */,
            fileType: "jsx" /* JSX */,
            name: COMMON_CHUNK_NAME.ExternalDepsImport,
            content: `
              import { ${handlerFactoryExportName} as ${handlerFactoryName} } from '${handlerPkgName}';
            `,
            linkAfter: []
          });
        }
      });
      Object.assign(dataSourceEngineOptions, { requestHandlersMap });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: "jsx" /* JSX */,
        name: COMMON_CHUNK_NAME.ExternalDepsImport,
        content: `
          import { create as __$$createDataSourceEngine } from '@alilc/lowcode-datasource-engine/runtime';
        `,
        linkAfter: []
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsVar,
        content: `
          _dataSourceConfig = this._defineDataSourceConfig();
          _dataSourceEngine = __$$createDataSourceEngine(
            this._dataSourceConfig,
            this,
            ${generateCompositeType(dataSourceEngineOptions, scope)}
          );

          get dataSourceMap() {
            return this._dataSourceEngine.dataSourceMap || {};
          }

          reloadDataSource = async () => {
            await this._dataSourceEngine.reloadDataSource();
          }

          `,
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsVar]]
      });
      next.chunks.unshift({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: REACT_CHUNK_NAME.ClassDidMountContent,
        content: `
          this._dataSourceEngine.reloadDataSource();
        `,
        linkAfter: [REACT_CHUNK_NAME.ClassDidMountStart]
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
        content: `
  _defineDataSourceConfig() {
    const _this = this;
    return (${generateCompositeType(
          {
            ...dataSourceConfig,
            list: [
              ...dataSourceItems.map((item) => ({
                ...item,
                isInit: wrapAsFunction(item.isInit, scope),
                options: wrapAsFunction(item.options, scope)
              }))
            ]
          },
          scope,
          {
            handlers: {
              function: (jsFunc) => parseExpressionConvertThis2Context(jsFunc.value, "_this"),
              expression: (jsExpr) => parseExpressionConvertThis2Context(jsExpr.value, "_this")
            }
          }
        )});
  }
        `,
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
      });
    }
    return next;
  };
  return plugin;
};
var containerInjectDataSourceEngine_default = pluginFactory7;
function wrapAsFunction(value, scope) {
  if (isJSExpression4(value) || isJSFunction4(value) || isJSExpressionFn(value)) {
    return {
      type: "JSExpression",
      value: `function(){ return ((${value.value}))}.bind(this)`
    };
  }
  return {
    type: "JSExpression",
    value: `function(){return((${generateCompositeType(value, scope)}))}.bind(this)`
  };
}

// src/plugins/component/react/containerInjectConstants.ts
var pluginFactory8 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: `
        import __$$constants from '${getSlotRelativePath({
        contextData: next.contextData,
        modulePaths: next.ir.modulePaths,
        from: cfg.scope || "components",
        to: "constants"
      })}';
      `,
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: CLASS_DEFINE_CHUNK_NAME.InsVar,
      content: `
        get constants() {
          return __$$constants || {};
        }
        `,
      linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsVar]]
    });
    return next;
  };
  return plugin;
};
var containerInjectConstants_default = pluginFactory8;

// src/plugins/component/react/containerInjectI18n.ts
var pluginFactory9 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: `
        import * as __$$i18n from '${getSlotRelativePath({
        contextData: next.contextData,
        modulePaths: next.ir.modulePaths,
        from: cfg.scope || "components",
        to: "i18n"
      })}';
      `,
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
      content: `
        __$$i18n._inject2(this);
      `,
      linkAfter: [
        ...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorContent]
      ]
    });
    return next;
  };
  return plugin;
};
var containerInjectI18n_default = pluginFactory9;

// src/plugins/component/react/containerLifeCycle.ts
import { isJSExpression as isJSExpression5, isJSFunction as isJSFunction5 } from "@gant-lowcode/lowcode-shared";
var pluginFactory10 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    exportNameMapping: {},
    normalizeNameMapping: {},
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    if (ir.lifeCycles) {
      const { lifeCycles } = ir;
      const chunks = Object.keys(lifeCycles).map((lifeCycleName) => {
        var _a;
        if (!isJSFunction5(lifeCycles[lifeCycleName]) && !isJSExpressionFn(lifeCycles[lifeCycleName]) && !isJSExpression5(lifeCycles[lifeCycleName])) {
          return null;
        }
        let normalizeName;
        if (lifeCycleName === "constructor") {
          normalizeName = lifeCycleName;
        } else {
          normalizeName = cfg.normalizeNameMapping[lifeCycleName] || lifeCycleName;
        }
        if ((_a = cfg == null ? void 0 : cfg.exclude) == null ? void 0 : _a.includes(normalizeName)) {
          return null;
        }
        const exportName = cfg.exportNameMapping[lifeCycleName] || lifeCycleName;
        if (normalizeName === "constructor") {
          return {
            type: "string" /* STRING */,
            fileType: cfg.fileType,
            name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
            content: generateFunction(lifeCycles[lifeCycleName], { isBlock: true }),
            linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorStart]]
          };
        }
        if (normalizeName === "componentDidMount") {
          return {
            type: "string" /* STRING */,
            fileType: cfg.fileType,
            name: REACT_CHUNK_NAME.ClassDidMountContent,
            content: generateFunction(lifeCycles[lifeCycleName], { isBlock: true }),
            linkAfter: [REACT_CHUNK_NAME.ClassDidMountStart]
          };
        }
        if (normalizeName === "render") {
          return {
            type: "string" /* STRING */,
            fileType: cfg.fileType,
            name: REACT_CHUNK_NAME.ClassRenderPre,
            content: generateFunction(lifeCycles[lifeCycleName], { isBlock: true }),
            linkAfter: [REACT_CHUNK_NAME.ClassRenderStart]
          };
        }
        return {
          type: "string" /* STRING */,
          fileType: cfg.fileType,
          name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
          content: generateFunction(lifeCycles[lifeCycleName], {
            name: exportName,
            isMember: true
          }),
          linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
        };
      }).filter((i) => !!i);
      next.chunks.push(...chunks.filter((x) => x !== null));
    }
    return next;
  };
  return plugin;
};
var containerLifeCycle_default = pluginFactory10;

// src/plugins/component/react/containerMethod.ts
var pluginFactory11 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const { inStrictMode } = next.contextData;
    if (!ir.methods) {
      return next;
    }
    const { methods } = ir;
    const chunks = Object.keys(methods).map((methodName) => ({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: CLASS_DEFINE_CHUNK_NAME.InsMethod,
      content: generateFunction(methods[methodName], { name: methodName, isMember: true }),
      linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.InsMethod]]
    }));
    next.chunks.push(...chunks);
    if (inStrictMode) {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
        content: Object.keys(ir.methods).map(
          (methodName) => isValidIdentifier(methodName) ? `.${methodName}` : `[${JSON.stringify(methodName)}]`
        ).map((method) => `this._context${method} = this${method};`).join("\n"),
        linkAfter: [...DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorContent]]
      });
    }
    return next;
  };
  return plugin;
};
var containerMethod_default = pluginFactory11;

// src/utils/nodeToJSX.ts
var nodeToJSX_exports = {};
__export(nodeToJSX_exports, {
  createNodeGenerator: () => createNodeGenerator,
  createReactFunctionNodeGenerator: () => createReactFunctionNodeGenerator,
  createReactNodeGenerator: () => createReactNodeGenerator,
  generateConditionReactCtrl: () => generateConditionReactCtrl,
  generateReactExprInJS: () => generateReactExprInJS,
  generateReactFunctionLoopCtrl: () => generateReactFunctionLoopCtrl,
  generateReactLoopCtrl: () => generateReactLoopCtrl,
  isPureString: () => isPureString
});
import _4 from "lodash";
import { pipe } from "fp-ts/function";
import { isNodeSchema as isNodeSchema2 } from "@gant-lowcode/lowcode-shared";

// src/utils/encodeJsxAttrString.ts
import _3 from "lodash";
var SPECIAL_CHARS = `
\r'"<>&`;
var SPECIAL_CHARS_REG = new RegExp(
  `[${SPECIAL_CHARS.split("").map((c) => `\\x${_3.padStart(c.charCodeAt(0).toString(16), 2, "0")}`).join("")}]`,
  "g"
);
function encodeJsxStringNode(str) {
  return str.replace(SPECIAL_CHARS_REG, (c) => `&#${c.charCodeAt(0)};`);
}

// src/core/jsx/handlers/transformThis2Context.ts
import generate3 from "@babel/generator";
function transformThis2Context(expr, scope, { ignoreRootScope = false } = {}) {
  var _a;
  if (ignoreRootScope && scope.parent == null) {
    return typeof expr === "string" ? expr : generate3(expr).code;
  }
  return parseExpressionConvertThis2Context(
    expr,
    "__$$context",
    ((_a = scope.bindings) == null ? void 0 : _a.getAllBindings()) || []
  );
}

// src/utils/nodeToJSX.ts
function mergeNodeGeneratorConfig(cfg1, cfg2 = {}) {
  const resCfg = {};
  if (cfg1.handlers || cfg2.handlers) {
    resCfg.handlers = {
      ...cfg1.handlers || {},
      ...cfg2.handlers || {}
    };
  }
  if (cfg1.tagMapping || cfg2.tagMapping) {
    resCfg.tagMapping = cfg2.tagMapping || cfg1.tagMapping;
  }
  if (cfg1.attrPlugins || cfg2.attrPlugins) {
    resCfg.attrPlugins = [];
    resCfg.attrPlugins.push(...cfg2.attrPlugins || []);
    resCfg.attrPlugins.push(...cfg1.attrPlugins || []);
  }
  if (cfg1.nodePlugins || cfg2.nodePlugins) {
    resCfg.nodePlugins = [];
    resCfg.nodePlugins.push(...cfg2.nodePlugins || []);
    resCfg.nodePlugins.push(...cfg1.nodePlugins || []);
  }
  return resCfg;
}
function isPureString(v) {
  return v[0] === "'" && v[v.length - 1] === "'" || v[0] === '"' && v[v.length - 1] === '"';
}
function generateAttrValue(attrData, scope, config) {
  const valueStr = generateCompositeType(attrData.attrValue, scope, {
    handlers: config == null ? void 0 : config.handlers,
    nodeGenerator: config == null ? void 0 : config.self
  });
  return [
    {
      type: "NodeCodePieceAttr" /* ATTR */,
      name: attrData.attrName,
      value: valueStr
    }
  ];
}
function generateAttr(attrName, attrValue, scope, config) {
  let pieces;
  if (config == null ? void 0 : config.attrPlugins) {
    pieces = executeFunctionStack(
      { attrName, attrValue },
      scope,
      config.attrPlugins,
      generateAttrValue,
      config
    );
  } else {
    pieces = generateAttrValue({ attrName, attrValue }, scope, config);
  }
  pieces = pieces.map((p) => {
    let newValue;
    if (p.value && isPureString(p.value)) {
      const content = getStaticExprValue(p.value);
      newValue = JSON.stringify(encodeJsxStringNode(content));
    } else {
      newValue = `{${p.value}}`;
    }
    return {
      value: `${p.name}=${newValue}`,
      type: "NodeCodePieceAttr" /* ATTR */
    };
  });
  return pieces;
}
function generateAttrs(nodeItem, scope, config) {
  const { props } = nodeItem;
  let pieces = [];
  if (props) {
    if (!Array.isArray(props)) {
      Object.keys(props).forEach((propName) => {
        if (isValidIdentifier(propName)) {
          pieces = pieces.concat(generateAttr(propName, props[propName], scope, config));
        }
      });
    } else {
      props.forEach((prop) => {
        if (prop.name && isValidIdentifier(prop.name) && !prop.spread) {
          pieces = pieces.concat(generateAttr(prop.name, prop.value, scope, config));
        }
      });
    }
  }
  return pieces;
}
function generateBasicNode(nodeItem, scope, config) {
  const pieces = [];
  const tagName = ((config == null ? void 0 : config.tagMapping) || _4.identity)(nodeItem.componentName);
  pieces.push({
    value: tagName || "",
    type: "NodeCodePieceTag" /* TAG */
  });
  return pieces;
}
function generateSimpleNode(nodeItem, scope, config) {
  const basicParts = generateBasicNode(nodeItem, scope, config) || [];
  const attrParts = generateAttrs(nodeItem, scope, config) || [];
  const childrenParts = [];
  if (nodeItem.children && (config == null ? void 0 : config.self)) {
    const childrenStr = config.self(nodeItem.children, scope);
    childrenParts.push({
      type: "NodeCodePieceChildren" /* CHILDREN */,
      value: childrenStr
    });
  }
  return [...basicParts, ...attrParts, ...childrenParts];
}
function linkPieces(pieces) {
  const tagsPieces = pieces.filter((p) => p.type === "NodeCodePieceTag" /* TAG */);
  if (tagsPieces.length !== 1) {
    throw new CodeGeneratorError("Only one tag definition required", tagsPieces);
  }
  const tagName = tagsPieces[0].value;
  const beforeParts = pieces.filter((p) => p.type === "NodeCodePieceBefore" /* BEFORE */).map((p) => p.value).join("");
  const afterParts = pieces.filter((p) => p.type === "NodeCodePieceAfter" /* AFTER */).map((p) => p.value).join("");
  const childrenParts = pieces.filter((p) => p.type === "NodeCodePieceChildren" /* CHILDREN */).map((p) => p.value).join("");
  let attrsParts = pieces.filter((p) => p.type === "NodeCodePieceAttr" /* ATTR */).map((p) => p.value).join(" ");
  attrsParts = attrsParts ? ` ${attrsParts}` : "";
  if (childrenParts) {
    return `${beforeParts}<${tagName}${attrsParts}>${childrenParts}</${tagName}>${afterParts}`;
  }
  return `${beforeParts}<${tagName}${attrsParts} />${afterParts}`;
}
function generateNodeSchema(nodeItem, scope, config) {
  const pieces = [];
  if (config == null ? void 0 : config.nodePlugins) {
    const res = executeFunctionStack(
      nodeItem,
      scope,
      config.nodePlugins,
      generateSimpleNode,
      config
    );
    pieces.push(...res);
  } else {
    pieces.push(...generateSimpleNode(nodeItem, scope, config));
  }
  return linkPieces(pieces);
}
function generateReactLoopCtrl(nodeItem, scope, config, next) {
  var _a, _b, _c;
  if (nodeItem.loop) {
    const tolerateEvalErrors = (_a = config == null ? void 0 : config.tolerateEvalErrors) != null ? _a : true;
    const loopItemName = ((_b = nodeItem.loopArgs) == null ? void 0 : _b[0]) || "item";
    const loopIndexName = ((_c = nodeItem.loopArgs) == null ? void 0 : _c[1]) || "index";
    const subScope = scope.createSubScope([loopItemName, loopIndexName]);
    const pieces = next ? next(nodeItem, subScope, config) : [];
    const loopDataExpr = pipe(
      nodeItem.loop,
      (expr) => generateCompositeType(expr, scope, {
        handlers: config == null ? void 0 : config.handlers,
        tolerateEvalErrors: false
      }),
      (expr) => transformThis2Context(expr, scope, { ignoreRootScope: true }),
      (expr) => tolerateEvalErrors ? `__$$evalArray(() => (${expr}))` : expr
    );
    pieces.unshift({
      value: `(${loopDataExpr}).map((${loopItemName}, ${loopIndexName}) => ((__$$context) => (`,
      type: "NodeCodePieceBefore" /* BEFORE */
    });
    pieces.push({
      value: `))(__$$createChildContext(__$$context, { ${loopItemName}, ${loopIndexName} })))`,
      type: "NodeCodePieceAfter" /* AFTER */
    });
    return pieces;
  }
  return next ? next(nodeItem, scope, config) : [];
}
function generateReactFunctionLoopCtrl(nodeItem, scope, config, next) {
  var _a, _b, _c;
  if (nodeItem.loop) {
    const tolerateEvalErrors = (_a = config == null ? void 0 : config.tolerateEvalErrors) != null ? _a : true;
    const loopItemName = ((_b = nodeItem.loopArgs) == null ? void 0 : _b[0]) || "item";
    const loopIndexName = ((_c = nodeItem.loopArgs) == null ? void 0 : _c[1]) || "index";
    const subScope = scope.createSubScope([loopItemName, loopIndexName]);
    const pieces = next ? next(nodeItem, subScope, config) : [];
    const loopDataExpr = pipe(
      nodeItem.loop,
      (expr) => generateCompositeType(expr, scope, {
        handlers: config == null ? void 0 : config.handlers,
        tolerateEvalErrors: false
      }),
      (expr) => tolerateEvalErrors ? `__$$evalArray(() => (${expr}))` : expr
    );
    pieces.unshift({
      value: `(${loopDataExpr}).map((${loopItemName}, ${loopIndexName}) => `,
      type: "NodeCodePieceBefore" /* BEFORE */
    });
    pieces.push({
      value: `)`,
      type: "NodeCodePieceAfter" /* AFTER */
    });
    return pieces;
  }
  return next ? next(nodeItem, scope, config) : [];
}
function generateConditionReactCtrl(nodeItem, scope, config, next) {
  const pieces = next ? next(nodeItem, scope, config) : [];
  if (nodeItem.condition != null && nodeItem.condition !== true) {
    const value = generateCompositeType(nodeItem.condition, scope, {
      handlers: config == null ? void 0 : config.handlers
    });
    pieces.unshift({
      value: `!!(${value}) && (`,
      type: "NodeCodePieceBefore" /* BEFORE */
    });
    pieces.push({
      value: ")",
      type: "NodeCodePieceAfter" /* AFTER */
    });
  }
  return pieces;
}
function generateReactExprInJS(nodeItem, scope, config, next) {
  const pieces = next ? next(nodeItem, scope, config) : [];
  if (nodeItem.condition != null && nodeItem.condition !== true || nodeItem.loop != null) {
    pieces.unshift({
      value: "{",
      type: "NodeCodePieceBefore" /* BEFORE */
    });
    pieces.push({
      value: "}",
      type: "NodeCodePieceAfter" /* AFTER */
    });
  }
  return pieces;
}
var handleChildren = (v) => v.join("");
function createNodeGenerator(cfg = {}) {
  const generateNode = (nodeItem, scope) => {
    if (_4.isArray(nodeItem)) {
      const resList = nodeItem.map((n) => generateNode(n, scope));
      return handleChildren(resList);
    }
    if (isNodeSchema2(nodeItem)) {
      return generateNodeSchema(nodeItem, scope, {
        ...cfg,
        self: generateNode
      });
    }
    const valueStr = generateCompositeType(nodeItem, scope, {
      handlers: cfg.handlers,
      nodeGenerator: generateNode
    });
    if (isPureString(valueStr)) {
      return encodeJsxStringNode(getStaticExprValue(valueStr));
    }
    return `{${valueStr}}`;
  };
  return (nodeItem, scope) => unwrapJsExprQuoteInJsx(generateNode(nodeItem, scope));
}
var defaultReactGeneratorConfig = {
  nodePlugins: [generateReactExprInJS, generateReactLoopCtrl, generateConditionReactCtrl]
};
var defaultReactFunctionGeneratorConfig = {
  nodePlugins: [generateReactExprInJS, generateReactFunctionLoopCtrl, generateConditionReactCtrl]
};
function createReactNodeGenerator(cfg) {
  const newCfg = mergeNodeGeneratorConfig(defaultReactGeneratorConfig, cfg);
  return createNodeGenerator(newCfg);
}
function createReactFunctionNodeGenerator(cfg) {
  const newCfg = mergeNodeGeneratorConfig(defaultReactFunctionGeneratorConfig, cfg);
  return createNodeGenerator(newCfg);
}

// src/core/jsx/util/isLiteralAtomicExpr.ts
function isLiteralAtomicExpr(expr) {
  return expr === "null" || expr === "undefined" || expr === "true" || expr === "false" || /^-?\d+(\.\d+)?$/.test(expr);
}

// src/core/jsx/util/isSimpleStraightLiteral.ts
function isSimpleStraightLiteral(expr) {
  switch (expr.type) {
    case "BigIntLiteral":
    case "BooleanLiteral":
    case "DecimalLiteral":
    case "NullLiteral":
    case "NumericLiteral":
    case "RegExpLiteral":
    case "StringLiteral":
      return true;
    default:
      return false;
  }
}

// src/core/jsx/handlers/transformJsExpression.ts
function transformJsExpr(expr, scope, { dontWrapEval = false, dontTransformThis2ContextAtRootScope = false } = {}) {
  if (!expr) {
    return "undefined";
  }
  if (isLiteralAtomicExpr(expr)) {
    return expr;
  }
  const exprAst = parseExpression2(expr);
  if (isSimpleStraightLiteral(exprAst)) {
    return expr;
  }
  if (dontWrapEval) {
    return transformThis2Context(exprAst, scope, {
      ignoreRootScope: dontTransformThis2ContextAtRootScope
    });
  }
  switch (exprAst.type) {
    case "ArrowFunctionExpression":
    case "FunctionExpression":
      return transformThis2Context(exprAst, scope, {
        ignoreRootScope: dontTransformThis2ContextAtRootScope
      });
    default:
      break;
  }
  return `__$$eval(() => (${transformThis2Context(exprAst, scope, {
    ignoreRootScope: dontTransformThis2ContextAtRootScope
  })}))`;
}

// src/plugins/component/react/jsx.ts
var pluginFactory12 = (config) => {
  const cfg = {
    fileType: "jsx" /* JSX */,
    nodeTypeMapping: {},
    ...config
  };
  const { nodeTypeMapping } = cfg;
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const { tolerateEvalErrors = true, evalErrorsHandler = "" } = next.contextData;
    const customHandlers = {
      expression(input, scope2, config2) {
        var _a;
        return transformJsExpr(generateExpression(input, scope2), scope2, {
          dontWrapEval: !((_a = config2 == null ? void 0 : config2.tolerateEvalErrors) != null ? _a : tolerateEvalErrors),
          dontTransformThis2ContextAtRootScope: true
        });
      },
      function(input, scope2) {
        return transformThis2Context(
          generateCompositeType(
            {
              type: "JSFunction",
              value: input.value || "function () {}"
            },
            Scope.createRootScope()
          ),
          scope2,
          { ignoreRootScope: true }
        );
      }
    };
    const generatorPlugins = {
      handlers: customHandlers,
      tagMapping: (v) => nodeTypeMapping[v] || v,
      tolerateEvalErrors
    };
    if (next.contextData.useRefApi) {
      generatorPlugins.attrPlugins = [
        (attrData, scope2, pluginCfg, nextFunc) => {
          if (attrData.attrName === "ref") {
            return [
              {
                name: attrData.attrName,
                value: `this._refsManager.linkRef('${attrData.attrValue}')`,
                type: "NodeCodePieceAttr" /* ATTR */
              }
            ];
          }
          return nextFunc ? nextFunc(attrData, scope2, pluginCfg) : [];
        }
      ];
    }
    const generator = createReactNodeGenerator(generatorPlugins);
    const ir = next.ir;
    const scope = Scope.createRootScope();
    const jsxContent = generator(ir, scope);
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: REACT_CHUNK_NAME.ClassRenderJSX,
      content: `
        const __$$context = this._context || this;
        const { state } = __$$context;
        return ${jsxContent};
      `,
      linkAfter: [REACT_CHUNK_NAME.ClassRenderStart, REACT_CHUNK_NAME.ClassRenderPre]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: COMMON_CHUNK_NAME.CustomContent,
      content: [
        tolerateEvalErrors && `
          function __$$eval(expr) {
            try {
              return expr();
            } catch (error) {
              ${evalErrorsHandler}
            }
          }

          function __$$evalArray(expr) {
            const res = __$$eval(expr);
            return Array.isArray(res) ? res : [];
          }
      `,
        `
        function __$$createChildContext(oldContext, ext) {
          const childContext = {
            ...oldContext,
            ...ext,
          };
          childContext.__proto__ = oldContext;
          return childContext;
        }
      `
      ].filter(Boolean).join("\n"),
      linkAfter: [COMMON_CHUNK_NAME.FileExport]
    });
    return next;
  };
  return plugin;
};
var jsx_default = pluginFactory12;

// src/plugins/component/react/reactCommonDeps.ts
var pluginFactory13 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "tsx" /* TSX */,
      name: COMMON_CHUNK_NAME.ExternalDepsImport,
      content: `
        // \u6CE8\u610F: \u51FA\u7801\u5F15\u64CE\u6CE8\u5165\u7684\u4E34\u65F6\u53D8\u91CF\u9ED8\u8BA4\u90FD\u4EE5 "__$$" \u5F00\u5934\uFF0C\u7981\u6B62\u5728\u642D\u5EFA\u7684\u4EE3\u7801\u4E2D\u76F4\u63A5\u8BBF\u95EE\u3002
        // \u4F8B\u5916\uFF1Areact \u6846\u67B6\u7684\u5BFC\u51FA\u540D\u548C\u5404\u79CD\u7EC4\u4EF6\u540D\u9664\u5916\u3002
        import React from 'react';`,
      linkAfter: []
    });
    return next;
  };
  return plugin;
};
var reactCommonDeps_default = pluginFactory13;

// src/plugins/component/style/css.ts
var pluginFactory14 = (config) => {
  const cfg = {
    fileType: "css" /* CSS */,
    moduleFileType: "tsx" /* TSX */,
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: COMMON_CHUNK_NAME.StyleCssContent,
      content: ir.css,
      linkAfter: [COMMON_CHUNK_NAME.StyleDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.moduleFileType,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: `import './index.${cfg.fileType}';`,
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
    return next;
  };
  return plugin;
};
var css_default = pluginFactory14;

// src/plugins/project/constants.ts
var pluginFactory15 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const scope = Scope.createRootScope();
    const constantStr = generateCompositeType(ir.constants || {}, scope);
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileVarDefine,
      content: `
        const __$$constants = (${constantStr});
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileExport,
      content: `
        export default __$$constants;
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine,
        COMMON_CHUNK_NAME.FileMainContent
      ]
    });
    return next;
  };
  return plugin;
};
var constants_default = pluginFactory15;

// src/plugins/project/i18n.ts
var pluginFactory16 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const i18nStr = ir.i18n ? JSON.stringify(ir.i18n, null, 2) : "{}";
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: `
        const i18nConfig = ${i18nStr};

        let locale = typeof navigator === 'object' && typeof navigator.language === 'string' ? navigator.language : 'zh-CN';

        const getLocale = () => locale;

        const setLocale = (target) => {
          locale = target;
        };

        const isEmptyVariables = variables => (
          Array.isArray(variables) && variables.length === 0
          || typeof variables === 'object' && (!variables || Object.keys(variables).length === 0)
        );

        // \u6309\u4F4E\u4EE3\u7801\u89C4\u8303\u91CC\u9762\u7684\u8981\u6C42\u8FDB\u884C\u53D8\u91CF\u66FF\u6362
        const format = (msg, variables) => (
          typeof msg === 'string'
            ? msg.replace(/\\$?\\{(\\w+)\\}/g, (match, key) => variables?.[key] ?? '')
            : msg
        );

        const i18nFormat = ({ id, defaultMessage, fallback }, variables) => {
          const msg = i18nConfig[locale]?.[id] ??  i18nConfig[locale.replace('-', '_')]?.[id] ??  defaultMessage;
          if (msg == null) {
            console.warn('[i18n]: unknown message id: %o (locale=%o)', id, locale);
            return fallback === undefined ? \`\${id}\` : fallback;
          }

          return format(msg, variables);
        }

        const i18n = (id, params) => {
          return i18nFormat({ id }, params);
        };

        // \u5C06\u56FD\u9645\u5316\u7684\u4E00\u4E9B\u65B9\u6CD5\u6CE8\u5165\u5230\u76EE\u6807\u5BF9\u8C61&\u4E0A\u4E0B\u6587\u4E2D
        const _inject2 = (target) => {
          target.i18n = i18n;
          target.getLocale = getLocale;
          target.setLocale = (locale) => {
            setLocale(locale);
            target.forceUpdate();
          };
          target._i18nText = (t) => {
            // \u4F18\u5148\u53D6\u76F4\u63A5\u4F20\u8FC7\u6765\u7684\u8BED\u6599
            const localMsg = t[locale] ?? t[String(locale).replace('-', '_')]
            if (localMsg != null) {
              return format(localMsg, t.params);
            }

            // \u5176\u6B21\u7528\u9879\u76EE\u7EA7\u522B\u7684
            const projectMsg = i18nFormat({ id: t.key, fallback: null }, t.params);
            if (projectMsg != null) {
              return projectMsg;
            }

            // \u515C\u5E95\u7528 use \u6307\u5B9A\u7684\u6216\u9ED8\u8BA4\u8BED\u8A00\u7684
            return format(t[t.use || "zh-CN"] ?? t.en_US, t.params);
          }

          // \u6CE8\u5165\u5230\u4E0A\u4E0B\u6587\u4E2D\u53BB
          if (target._context && target._context !== target) {
            Object.assign(target._context, {
              i18n,
              getLocale, setLocale: target.setLocale
            });
          }
        }
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileExport,
      content: `
        export {
          getLocale,
          setLocale,
          i18n,
          i18nFormat,
          _inject2,
        };
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine,
        COMMON_CHUNK_NAME.FileMainContent
      ]
    });
    return next;
  };
  return plugin;
};
var i18n_default = pluginFactory16;

// src/plugins/project/utils.ts
var pluginFactory17 = (baseFramework) => {
  const plugin = async (pre) => {
    const framework = baseFramework || "react";
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.ExternalDepsImport,
      content: `
        import { createRef } from '${framework}';
      `,
      linkAfter: []
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileUtilDefine,
      content: `
        export class RefsManager {
          constructor() {
            this.refInsStore = {};
          }

          clearNullRefs() {
            Object.keys(this.refInsStore).forEach((refName) => {
              const filteredInsList = this.refInsStore[refName].filter(insRef => !!insRef.current);
              if (filteredInsList.length > 0) {
                this.refInsStore[refName] = filteredInsList;
              } else {
                delete this.refInsStore[refName];
              }
            });
          }

          get(refName) {
            this.clearNullRefs();
            if (this.refInsStore[refName] && this.refInsStore[refName].length > 0) {
              return this.refInsStore[refName][0].current;
            }

            return null;
          }

          getAll(refName) {
            this.clearNullRefs();
            if (this.refInsStore[refName] && this.refInsStore[refName].length > 0) {
              return this.refInsStore[refName].map(i => i.current);
            }

            return [];
          }

          linkRef(refName) {
            const refIns = createRef();
            this.refInsStore[refName] = this.refInsStore[refName] || [];
            this.refInsStore[refName].push(refIns);
            return refIns;
          }
        }
      `,
      linkAfter: [...DEFAULT_LINK_AFTER[COMMON_CHUNK_NAME.FileUtilDefine]]
    });
    if (ir.utils) {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: "js" /* JS */,
        name: COMMON_CHUNK_NAME.FileExport,
        content: `
          export default {
        `,
        linkAfter: [
          COMMON_CHUNK_NAME.ExternalDepsImport,
          COMMON_CHUNK_NAME.InternalDepsImport,
          COMMON_CHUNK_NAME.ImportAliasDefine,
          COMMON_CHUNK_NAME.FileVarDefine,
          COMMON_CHUNK_NAME.FileUtilDefine,
          COMMON_CHUNK_NAME.FileMainContent
        ]
      });
      ir.utils.forEach((util) => {
        if (util.type === "function") {
          next.chunks.push({
            type: "string" /* STRING */,
            fileType: "js" /* JS */,
            name: COMMON_CHUNK_NAME.FileVarDefine,
            content: `
              const ${util.name} = ${util.content.value};
            `,
            linkAfter: [
              COMMON_CHUNK_NAME.ExternalDepsImport,
              COMMON_CHUNK_NAME.InternalDepsImport,
              COMMON_CHUNK_NAME.ImportAliasDefine
            ]
          });
        }
        next.chunks.push({
          type: "string" /* STRING */,
          fileType: "js" /* JS */,
          name: COMMON_CHUNK_NAME.FileExport,
          content: `${util.name},`,
          linkAfter: [
            COMMON_CHUNK_NAME.ExternalDepsImport,
            COMMON_CHUNK_NAME.InternalDepsImport,
            COMMON_CHUNK_NAME.ImportAliasDefine,
            COMMON_CHUNK_NAME.FileVarDefine,
            COMMON_CHUNK_NAME.FileUtilDefine,
            COMMON_CHUNK_NAME.FileMainContent
          ]
        });
      });
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: "js" /* JS */,
        name: COMMON_CHUNK_NAME.FileExport,
        content: `
          };
        `,
        linkAfter: [
          COMMON_CHUNK_NAME.ExternalDepsImport,
          COMMON_CHUNK_NAME.InternalDepsImport,
          COMMON_CHUNK_NAME.ImportAliasDefine,
          COMMON_CHUNK_NAME.FileVarDefine,
          COMMON_CHUNK_NAME.FileUtilDefine,
          COMMON_CHUNK_NAME.FileMainContent
        ]
      });
    }
    return next;
  };
  return plugin;
};
var utils_default = pluginFactory17;

// src/utils/templateHelper.ts
var templateHelper_exports = {};
__export(templateHelper_exports, {
  insertFile: () => insertFile,
  runFileGenerator: () => runFileGenerator
});
function insertFile(root, path, file2) {
  let current = root;
  path.forEach((pathNode) => {
    const dir = current.dirs.find((d) => d.name === pathNode);
    if (dir) {
      current = dir;
    } else {
      let newDir = createResultDir(pathNode);
      newDir = addDirectory(current, newDir);
      current = newDir;
    }
  });
  addFile(current, file2);
}
function runFileGenerator(root, fun) {
  try {
    const result = fun();
    const [path, file2] = result;
    insertFile(root, path, file2);
  } catch (error) {
    throw new Error(`Error: ${typeof fun}`);
  }
}

// src/plugins/project/framework/gant-legacy/template/files/.editorconfig.ts
function getFile() {
  return [
    ["."],
    {
      name: ".editorconfig",
      ext: "",
      content: "# http://editorconfig.org\nroot = true\n\n[*]\nindent_style = space\nindent_size = 2\nend_of_line = lf\ncharset = utf-8\ntrim_trailing_whitespace = true\ninsert_final_newline = true\n\n[*.md]\ntrim_trailing_whitespace = false\n\n[Makefile]\nindent_style = tab\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/.gitignore.ts
function getFile2() {
  return [
    ["."],
    {
      name: ".gitignore",
      ext: "",
      content: "# See https://help.github.com/articles/ignoring-files/ for more about ignoring files.\n\n# dependencies\n/node_modules\n/npm-debug.log*\n/yarn-error.log\n/yarn.lock\n/package-lock.json\n\n# production\n/dist\n\n# misc\n.DS_Store\n\n# umi\n/src/.umi\n/src/.umi-production\n/src/.umi-test\n/.env.local\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/.prettierignore.ts
function getFile3() {
  return [
    ["."],
    {
      name: ".prettierignore",
      ext: "",
      content: "**/*.md\n**/*.svg\n**/*.ejs\n**/*.html\npackage.json\n.umi\n.umi-production\n.umi-test\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/.prettierrc.ts
function getFile4() {
  return [
    ["."],
    {
      name: ".prettierrc",
      ext: "",
      content: '{\n  "singleQuote": true,\n  "trailingComma": "all",\n  "printWidth": 80,\n  "overrides": [\n    {\n      "files": ".prettierrc",\n      "options": { "parser": "json" }\n    }\n  ]\n}\n'
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/.umirc.ts.ts
function getFile5() {
  return [
    ["."],
    {
      name: ".umirc",
      ext: "ts",
      content: "import { defineConfig } from 'umi';\n\nexport default defineConfig({\n  nodeModulesTransform: {\n    type: 'none',\n  },\n  routes: [\n    { path: '/', component: '@/pages/index' },\n  ],\n  fastRefresh: {},\n});\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/package.json.ts
function getFile6() {
  return [
    ["."],
    {
      name: "package",
      ext: "json",
      content: `{
  "private": true,
  "scripts": {
    "start": "umi dev",
    "build": "umi build",
    "postinstall": "umi generate tmp",
    "prettier": "prettier --write '**/*.{js,jsx,tsx,ts,less,md,json}'",
    "test": "umi-test",
    "test:coverage": "umi-test --coverage"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,less,md,json}": [
      "prettier --write"
    ],
    "*.ts?(x)": [
      "prettier --parser=typescript --write"
    ]
  },
  "dependencies": {
    "@ant-design/pro-layout": "^6.5.0",
    "react": "17.x",
    "react-dom": "17.x",
    "umi": "^3.5.43"
  },
  "devDependencies": {
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.0",
    "@umijs/preset-react": "1.x",
    "@umijs/test": "^3.5.43",
    "lint-staged": "^10.0.7",
    "prettier": "^2.2.0",
    "typescript": "^4.1.2",
    "yorkie": "^2.0.0"
  }
}
`
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/pnpm-lock.yaml.ts
function getFile7() {
  return [
    ["."],
    {
      name: "pnpm-lock",
      ext: "yaml",
      content: "lockfileVersion: '9.0'\n\nsettings:\n  autoInstallPeers: true\n  excludeLinksFromLockfile: false\n\nimporters:\n\n  .:\n    dependencies:\n      '@ant-design/pro-layout':\n        specifier: ^6.5.0\n        version: 6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react:\n        specifier: 17.x\n        version: 17.0.2\n      react-dom:\n        specifier: 17.x\n        version: 17.0.2(react@17.0.2)\n      umi:\n        specifier: ^3.5.43\n        version: 3.5.43(react-router@5.2.0(react@16.14.0))\n    devDependencies:\n      '@types/react':\n        specifier: ^17.0.0\n        version: 17.0.83\n      '@types/react-dom':\n        specifier: ^17.0.0\n        version: 17.0.26(@types/react@17.0.83)\n      '@umijs/preset-react':\n        specifier: 1.x\n        version: 1.8.32(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/test':\n        specifier: ^3.5.43\n        version: 3.5.43\n      lint-staged:\n        specifier: ^10.0.7\n        version: 10.5.4\n      prettier:\n        specifier: ^2.2.0\n        version: 2.8.8\n      typescript:\n        specifier: ^4.1.2\n        version: 4.9.5\n      yorkie:\n        specifier: ^2.0.0\n        version: 2.0.0\n\npackages:\n\n  '@ahooksjs/use-request@2.8.15':\n    resolution: {integrity: sha512-xhVaM4fyIiAMdVFuuU5i3CFUdFa/IblF+fvITVMFaUEO3w/V5tVCAF6WIA3T03n1/RPuzRkA7Ao1PFtSGtGelw==}\n    peerDependencies:\n      react: ^16.8.0 || ^17.0.0\n\n  '@ampproject/remapping@2.3.0':\n    resolution: {integrity: sha512-30iZtAPgz+LTIYoeivqYo853f02jBYSd5uGnGpkFV0M3xOt9aN73erkgYAmZU43x4VfqcnLxW9Kpg3R5LC4YYw==}\n    engines: {node: '>=6.0.0'}\n\n  '@ant-design/colors@6.0.0':\n    resolution: {integrity: sha512-qAZRvPzfdWHtfameEGP2Qvuf838NhergR35o+EuVyB5XvSA98xod5r4utvi4TJ3ywmevm290g9nsCG5MryrdWQ==}\n\n  '@ant-design/icons-svg@4.4.2':\n    resolution: {integrity: sha512-vHbT+zJEVzllwP+CM+ul7reTEfBR0vgxFe7+lREAsAA7YGsYpboiq2sQNeQeRvh09GfQgs/GyFEvZpJ9cLXpXA==}\n\n  '@ant-design/icons@4.8.3':\n    resolution: {integrity: sha512-HGlIQZzrEbAhpJR6+IGdzfbPym94Owr6JZkJ2QCCnOkPVIWMO2xgIVcOKnl8YcpijIo39V7l2qQL5fmtw56cMw==}\n    engines: {node: '>=8'}\n    peerDependencies:\n      react: '>=16.0.0'\n      react-dom: '>=16.0.0'\n\n  '@ant-design/pro-layout@6.38.22':\n    resolution: {integrity: sha512-rsxY2E0BTyRE7IO67VACWVPSfdtDnTaWtECuMnc4ctL+xmnzbnnr0zEHVQ+S58BxLnCqO3IyOsSc0nFl2hHsnQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  '@ant-design/pro-provider@1.10.0':\n    resolution: {integrity: sha512-gbQtq+Qlnob6aEghiWX/kXEzNhe4eOFlv5Ue2/xsal+22qvot/kFoOB652TD76fMI7vlkoema1pTKsvD5Uji6A==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  '@ant-design/pro-utils@1.45.3':\n    resolution: {integrity: sha512-W2qtyckdkHTWGVXfFfqb9s/ahq3o4GlIZC3+WDiGUgqJTsUkwY69yV67E2ZfAro1XRXblUzbvxIv96M7bEAfFg==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  '@ant-design/react-slick@1.0.2':\n    resolution: {integrity: sha512-Wj8onxL/T8KQLFFiCA4t8eIRGpRR+UPgOdac2sYzonv+i0n3kXHmvHLLiOYL655DQx2Umii9Y9nNgL7ssu5haQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  '@babel/code-frame@7.26.2':\n    resolution: {integrity: sha512-RJlIHRueQgwWitWgF8OdFYGZX328Ax5BCemNGlqHfplnRT9ESi8JkFlvaVYbS+UubVY6dpv87Fs2u5M29iNFVQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/compat-data@7.26.3':\n    resolution: {integrity: sha512-nHIxvKPniQXpmQLb0vhY3VaFb3S0YrTAwpOWJZh1wn3oJPjJk9Asva204PsBdmAE8vpzfHudT8DB0scYvy9q0g==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/core@7.18.6':\n    resolution: {integrity: sha512-cQbWBpxcbbs/IUredIPkHiAGULLV8iwgNRMFzvbhEXISp4f3rUUXE5+TIw6KwUWUR3DwyI6gmBRnmAtYaWehwQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/generator@7.26.3':\n    resolution: {integrity: sha512-6FF/urZvD0sTeO7k6/B15pMLC4CHUv1426lzr3N01aHJTl046uCAh9LXW/fzeXXjPNCJ6iABW5XaWOsIZB93aQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-compilation-targets@7.25.9':\n    resolution: {integrity: sha512-j9Db8Suy6yV/VHa4qzrj9yZfZxhLWQdVnRlXxmKLYlhWUVB1sB2G5sxuWYXk/whHD9iW76PmNzxZ4UCnTQTVEQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-module-imports@7.25.9':\n    resolution: {integrity: sha512-tnUA4RsrmflIM6W6RFTLFSXITtl0wKjgpnLgXyowocVPrbYrLUXSBXDgTs8BlbmIzIdlBySRQjINYs2BAkiLtw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-module-transforms@7.26.0':\n    resolution: {integrity: sha512-xO+xu6B5K2czEnQye6BHA7DolFFmS3LB7stHZFaOLb1pAwO1HWLS8fXA+eh0A2yIvltPVmx3eNNDBJA2SLHXFw==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  '@babel/helper-plugin-utils@7.25.9':\n    resolution: {integrity: sha512-kSMlyUVdWe25rEsRGviIgOWnoT/nfABVWlqt9N19/dIPWViAOW2s9wznP5tURbs/IDuNk4gPy3YdYRgH3uxhBw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-string-parser@7.25.9':\n    resolution: {integrity: sha512-4A/SCr/2KLd5jrtOMFzaKjVtAei3+2r/NChoBNoZ3EyP/+GlhoaEGoWOZUmFmoITP7zOJyHIMm+DYRd8o3PvHA==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-validator-identifier@7.25.9':\n    resolution: {integrity: sha512-Ed61U6XJc3CVRfkERJWDz4dJwKe7iLmmJsbOGu9wSloNSFttHV0I8g6UAgb7qnK5ly5bGLPd4oXZlxCdANBOWQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-validator-option@7.25.9':\n    resolution: {integrity: sha512-e/zv1co8pp55dNdEcCynfj9X7nyUKUXoUEwfXqaZt0omVOmDe9oOTdKStH4GmAw6zxMFs50ZayuMfHDKlO7Tfw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helpers@7.26.0':\n    resolution: {integrity: sha512-tbhNuIxNcVb21pInl3ZSjksLCvgdZy9KwJ8brv993QtIVKJBBkYXz4q4ZbAv31GdnC+R90np23L5FbEBlthAEw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/parser@7.26.3':\n    resolution: {integrity: sha512-WJ/CvmY8Mea8iDXo6a7RK2wbmJITT5fN3BEkRuFlxVyNx8jOKIIhmC4fSkTcPcf8JyavbBwIe6OpiCOBXt/IcA==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  '@babel/plugin-syntax-async-generators@7.8.4':\n    resolution: {integrity: sha512-tycmZxkGfZaxhMRbXlPXuVFpdWlXpir2W4AMhSJgRKzk/eDlIXOhb2LHWoLpDF7TEHylV5zNhykX6KAgHJmTNw==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-bigint@7.8.3':\n    resolution: {integrity: sha512-wnTnFlG+YxQm3vDxpGE57Pj0srRU4sHE/mDkt1qv2YJJSeUAec2ma4WLUnUPeKjyrfntVwe/N6dCXpU+zL3Npg==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-class-properties@7.12.13':\n    resolution: {integrity: sha512-fm4idjKla0YahUNgFNLCB0qySdsoPiZP3iQE3rky0mBUtMZ23yDJ9SJdg6dXTSDnulOVqiF3Hgr9nbXvXTQZYA==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-class-static-block@7.14.5':\n    resolution: {integrity: sha512-b+YyPmr6ldyNnM6sqYeMWE+bgJcJpO6yS4QD7ymxgH34GBPNDM/THBh8iunyvKIZztiwLH4CJZ0RxTk9emgpjw==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-import-attributes@7.26.0':\n    resolution: {integrity: sha512-e2dttdsJ1ZTpi3B9UYGLw41hifAubg19AtCu/2I/F1QNVclOBr1dYpTdmdyZ84Xiz43BS/tCUkMAZNLv12Pi+A==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-import-meta@7.10.4':\n    resolution: {integrity: sha512-Yqfm+XDx0+Prh3VSeEQCPU81yC+JWZ2pDPFSS4ZdpfZhp4MkFMaDC1UqseovEKwSUpnIL7+vK+Clp7bfh0iD7g==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-json-strings@7.8.3':\n    resolution: {integrity: sha512-lY6kdGpWHvjoe2vk4WrAapEuBR69EMxZl+RoGRhrFGNYVK8mOPAW8VfbT/ZgrFbXlDNiiaxQnAtgVCZ6jv30EA==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-logical-assignment-operators@7.10.4':\n    resolution: {integrity: sha512-d8waShlpFDinQ5MtvGU9xDAOzKH47+FFoney2baFIoMr952hKOLp1HR7VszoZvOsV/4+RRszNY7D17ba0te0ig==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-nullish-coalescing-operator@7.8.3':\n    resolution: {integrity: sha512-aSff4zPII1u2QD7y+F8oDsz19ew4IGEJg9SVW+bqwpwtfFleiQDMdzA/R+UlWDzfnHFCxxleFT0PMIrR36XLNQ==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-numeric-separator@7.10.4':\n    resolution: {integrity: sha512-9H6YdfkcK/uOnY/K7/aA2xpzaAgkQn37yzWUMRK7OaPOqOpGS1+n0H5hxT9AUw9EsSjPW8SVyMJwYRtWs3X3ug==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-object-rest-spread@7.8.3':\n    resolution: {integrity: sha512-XoqMijGZb9y3y2XskN+P1wUGiVwWZ5JmoDRwx5+3GmEplNyVM2s2Dg8ILFQm8rWM48orGy5YpI5Bl8U1y7ydlA==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-optional-catch-binding@7.8.3':\n    resolution: {integrity: sha512-6VPD0Pc1lpTqw0aKoeRTMiB+kWhAoT24PA+ksWSBrFtl5SIRVpZlwN3NNPQjehA2E/91FV3RjLWoVTglWcSV3Q==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-optional-chaining@7.8.3':\n    resolution: {integrity: sha512-KoK9ErH1MBlCPxV0VANkXW2/dw4vlbGDrFgz8bmUsBGYkFRcbRwMh6cIJubdPrkxRwuGdtCk0v/wPTKbQgBjkg==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-private-property-in-object@7.14.5':\n    resolution: {integrity: sha512-0wVnp9dxJ72ZUJDV27ZfbSj6iHLoytYZmh3rFcxNnvsJF3ktkzLDZPy/mA17HGsaQT3/DQsWYX1f1QGWkCoVUg==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-top-level-await@7.14.5':\n    resolution: {integrity: sha512-hx++upLv5U1rgYfwe1xBQUhRmU41NEvpUvrp8jkrSCdvGSnM5/qdRMtylJ6PG5OFkBaHkbTAKTnd3/YyESRHFw==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/runtime@7.18.6':\n    resolution: {integrity: sha512-t9wi7/AW6XtKahAe20Yw0/mMljKq0B1r2fPdvaAdV/KPDZewFXdaaa6K7lxmZBZ8FBNpCiAT6iHPmd6QO9bKfQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/runtime@7.26.0':\n    resolution: {integrity: sha512-FDSOghenHTiToteC/QRlv2q3DhPZ/oOXTBoirfWNx1Cx3TMVcGWQtMMmQcSvb/JjpNeGzx8Pq/b4fKEJuWm1sw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/template@7.25.9':\n    resolution: {integrity: sha512-9DGttpmPvIxBb/2uwpVo3dqJ+O6RooAFOS+lB+xDqoE2PVCE8nfoHMdZLpfCQRLwvohzXISPZcgxt80xLfsuwg==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/traverse@7.26.4':\n    resolution: {integrity: sha512-fH+b7Y4p3yqvApJALCPJcwb0/XaOSgtK4pzV6WVjPR5GLFQBRI7pfoX2V2iM48NXvX07NUxxm1Vw98YjqTcU5w==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/types@7.26.3':\n    resolution: {integrity: sha512-vN5p+1kl59GVKMvTHt55NzzmYVxprfJD+ql7U9NFIfKCBkYE55LYtS+WtPlaYOyzydrKI8Nezd+aZextrd+FMA==}\n    engines: {node: '>=6.9.0'}\n\n  '@bcoe/v8-coverage@0.2.3':\n    resolution: {integrity: sha512-0hYQ8SB4Db5zvZB4axdMHGwEaQjkZzFjQiN9LVYvIFB2nSUHW9tYpxWriPrWDASIxiaXax83REcLxuSdnGPZtw==}\n\n  '@bloomberg/record-tuple-polyfill@0.0.3':\n    resolution: {integrity: sha512-sBnCqW0nqofE47mxFnw+lvx6kzsQstwaQMVkh66qm/A6IlsnH7WsyGuVXTou8RF2wL4W7ybOoHPvP2WgIo6rhQ==}\n\n  '@cnakazawa/watch@1.0.4':\n    resolution: {integrity: sha512-v9kIhKwjeZThiWrLmj0y17CWoyddASLj9O2yvbZkbvw/N3rWOYy9zkV66ursAoVr0mV15bL8g0c4QZUE6cdDoQ==}\n    engines: {node: '>=0.1.95'}\n    hasBin: true\n\n  '@csstools/convert-colors@1.4.0':\n    resolution: {integrity: sha512-5a6wqoJV/xEdbRNKVo6I4hO3VjyDq//8q2f9I6PBAvMesJHFauXDorcNCsr9RzvsZnaWi5NYCcfyqP1QeFHFbw==}\n    engines: {node: '>=4.0.0'}\n\n  '@ctrl/tinycolor@3.6.1':\n    resolution: {integrity: sha512-SITSV6aIXsuVNV3f3O0f2n/cgyEDWoSqtZMYiAmcsYHydcKrOz3gUxB/iXd/Qf08+IZX4KpgNbvUdMBmWz+kcA==}\n    engines: {node: '>=10'}\n\n  '@formatjs/intl-displaynames@1.2.10':\n    resolution: {integrity: sha512-GROA2RP6+7Ouu0WnHFF78O5XIU7pBfI19WM1qm93l6MFWibUk67nCfVCK3VAYJkLy8L8ZxjkYT11VIAfvSz8wg==}\n\n  '@formatjs/intl-listformat@1.4.8':\n    resolution: {integrity: sha512-WNMQlEg0e50VZrGIkgD5n7+DAMGt3boKi1GJALfhFMymslJb5i+5WzWxyj/3a929Z6MAFsmzRIJjKuv+BxKAOQ==}\n\n  '@formatjs/intl-pluralrules@1.5.9':\n    resolution: {integrity: sha512-37E1ZG+Oqo3qrpUfumzNcFTV+V+NCExmTkkQ9Zw4FSlvJ4WhbbeYdieVapUVz9M0cLy8XrhCkfuM/Kn03iKReg==}\n\n  '@formatjs/intl-relativetimeformat@4.5.16':\n    resolution: {integrity: sha512-IQ0haY97oHAH5OYUdykNiepdyEWj3SAT+Fp9ZpR85ov2JNiFx+12WWlxlVS8ehdyncC2ZMt/SwFIy2huK2+6/A==}\n\n  '@formatjs/intl-unified-numberformat@3.3.7':\n    resolution: {integrity: sha512-KnWgLRHzCAgT9eyt3OS34RHoyD7dPDYhRcuKn+/6Kv2knDF8Im43J6vlSW6Hm1w63fNq3ZIT1cFk7RuVO3Psag==}\n    deprecated: We have renamed the package to @formatjs/intl-numberformat\n\n  '@formatjs/intl-utils@2.3.0':\n    resolution: {integrity: sha512-KWk80UPIzPmUg+P0rKh6TqspRw0G6eux1PuJr+zz47ftMaZ9QDwbGzHZbtzWkl5hgayM/qrKRutllRC7D/vVXQ==}\n    deprecated: the package is rather renamed to @formatjs/ecma-abstract with some changes in functionality (primarily selectUnit is removed and we don't plan to make any further changes to this package\n\n  '@istanbuljs/load-nyc-config@1.1.0':\n    resolution: {integrity: sha512-VjeHSlIzpv/NyD3N0YuHfXOPDIixcA1q2ZV98wsMqcYlPmv2n3Yb2lYP9XMElnaFVXg5A7YLTeLu6V84uQDjmQ==}\n    engines: {node: '>=8'}\n\n  '@istanbuljs/schema@0.1.3':\n    resolution: {integrity: sha512-ZXRY4jNvVgSVQ8DL3LTcakaAtXwTVUxE81hslsyD2AtoXW/wVob10HkOJ1X/pAlcI7D+2YoZKg5do8G/w6RYgA==}\n    engines: {node: '>=8'}\n\n  '@jest/console@26.6.2':\n    resolution: {integrity: sha512-IY1R2i2aLsLr7Id3S6p2BA82GNWryt4oSvEXLAKc+L2zdi89dSkE8xC1C+0kpATG4JhBJREnQOH7/zmccM2B0g==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/core@26.6.3':\n    resolution: {integrity: sha512-xvV1kKbhfUqFVuZ8Cyo+JPpipAHHAV3kcDBftiduK8EICXmTFddryy3P7NfZt8Pv37rA9nEJBKCCkglCPt/Xjw==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/environment@26.6.2':\n    resolution: {integrity: sha512-nFy+fHl28zUrRsCeMB61VDThV1pVTtlEokBRgqPrcT1JNq4yRNIyTHfyht6PqtUvY9IsuLGTrbG8kPXjSZIZwA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/fake-timers@26.6.2':\n    resolution: {integrity: sha512-14Uleatt7jdzefLPYM3KLcnUl1ZNikaKq34enpb5XG9i81JpppDb5muZvonvKyrl7ftEHkKS5L5/eB/kxJ+bvA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/globals@26.6.2':\n    resolution: {integrity: sha512-85Ltnm7HlB/KesBUuALwQ68YTU72w9H2xW9FjZ1eL1U3lhtefjjl5c2MiUbpXt/i6LaPRvoOFJ22yCBSfQ0JIA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/reporters@26.6.2':\n    resolution: {integrity: sha512-h2bW53APG4HvkOnVMo8q3QXa6pcaNt1HkwVsOPMBV6LD/q9oSpxNSYZQYkAnjdMjrJ86UuYeLo+aEZClV6opnw==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/source-map@26.6.2':\n    resolution: {integrity: sha512-YwYcCwAnNmOVsZ8mr3GfnzdXDAl4LaenZP5z+G0c8bzC9/dugL8zRmxZzdoTl4IaS3CryS1uWnROLPFmb6lVvA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/test-result@26.6.2':\n    resolution: {integrity: sha512-5O7H5c/7YlojphYNrK02LlDIV2GNPYisKwHm2QTKjNZeEzezCbwYs9swJySv2UfPMyZ0VdsmMv7jIlD/IKYQpQ==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/test-sequencer@26.6.3':\n    resolution: {integrity: sha512-YHlVIjP5nfEyjlrSr8t/YdNfU/1XEt7c5b4OxcXCjyRhjzLYu/rO69/WHPuYcbCWkz8kAeZVZp2N2+IOLLEPGw==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/transform@26.6.2':\n    resolution: {integrity: sha512-E9JjhUgNzvuQ+vVAL21vlyfy12gP0GhazGgJC4h6qUt1jSdUXGWJ1wfu/X7Sd8etSgxV4ovT1pb9v5D6QW4XgA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/types@26.6.2':\n    resolution: {integrity: sha512-fC6QCp7Sc5sX6g8Tvbmj4XUTbyrik0akgRy03yjXbQaBWWNWGE7SGtJk98m0N8nzegD/7SggrUlivxo5ax4KWQ==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jridgewell/gen-mapping@0.3.8':\n    resolution: {integrity: sha512-imAbBGkb+ebQyxKgzv5Hu2nmROxoDOXHh80evxdoXNOrvAnVx7zimzc1Oo5h9RlfV4vPXaE2iM5pOFbvOCClWA==}\n    engines: {node: '>=6.0.0'}\n\n  '@jridgewell/resolve-uri@3.1.2':\n    resolution: {integrity: sha512-bRISgCIjP20/tbWSPWMEi54QVPRZExkuD9lJL+UIxUKtwVJA8wW1Trb1jMs1RFXo1CBTNZ/5hpC9QvmKWdopKw==}\n    engines: {node: '>=6.0.0'}\n\n  '@jridgewell/set-array@1.2.1':\n    resolution: {integrity: sha512-R8gLRTZeyp03ymzP/6Lil/28tGeGEzhx1q2k703KGWRAI1VdvPIXdG70VJc2pAMw3NA6JKL5hhFu1sJX0Mnn/A==}\n    engines: {node: '>=6.0.0'}\n\n  '@jridgewell/source-map@0.3.6':\n    resolution: {integrity: sha512-1ZJTZebgqllO79ue2bm3rIGud/bOe0pP5BjSRCRxxYkEZS8STV7zN84UBbiYu7jy+eCKSnVIUgoWWE/tt+shMQ==}\n\n  '@jridgewell/sourcemap-codec@1.5.0':\n    resolution: {integrity: sha512-gv3ZRaISU3fjPAgNsriBRqGWQL6quFx04YMPW/zD8XMLsU32mhCCbfbO6KZFLjvYpCZ8zyDEgqsgf+PwPaM7GQ==}\n\n  '@jridgewell/trace-mapping@0.3.25':\n    resolution: {integrity: sha512-vNk6aEwybGtawWmy/PzwnGDOjCkLWSD2wqvjGGAgOAwCGWySYXfYoxt00IJkTF+8Lb57DwOb3Aa0o9CApepiYQ==}\n\n  '@qixian.cs/path-to-regexp@6.1.0':\n    resolution: {integrity: sha512-2jIiLiVZB1jnY7IIRQKtoV8Gnr7XIhk4mC88ONGunZE3hYt5IHUG4BE/6+JiTBjjEWQLBeWnZB8hGpppkufiVw==}\n\n  '@rc-component/portal@1.1.2':\n    resolution: {integrity: sha512-6f813C0IsasTZms08kfA8kPAGxbbkYToa8ALaiDIGGECU4i9hj8Plgbx0sNJDrey3EtHO30hmdaxtT0138xZcg==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  '@sinonjs/commons@1.8.6':\n    resolution: {integrity: sha512-Ky+XkAkqPZSm3NLBeUng77EBQl3cmeJhITaGHdYH8kjVB+aun3S4XBRti2zt17mtt0mIUDiNxYeoJm6drVvBJQ==}\n\n  '@sinonjs/fake-timers@6.0.1':\n    resolution: {integrity: sha512-MZPUxrmFubI36XS1DI3qmI0YdN1gks62JtFZvxR67ljjSNCeK6U08Zx4msEWOXuofgqUt6zPHSi1H9fbjR/NRA==}\n\n  '@tootallnate/once@1.1.2':\n    resolution: {integrity: sha512-RbzJvlNzmRq5c3O09UipeuXno4tA1FE6ikOjxZK0tuxVv3412l64l5t1W5pj4+rJq9vpkm/kwiR07aZXnsKPxw==}\n    engines: {node: '>= 6'}\n\n  '@types/babel__core@7.20.5':\n    resolution: {integrity: sha512-qoQprZvz5wQFJwMDqeseRXWv3rqMvhgpbXFfVyWhbx9X47POIA6i/+dXefEmZKoAgOaTdaIgNSMqMIU61yRyzA==}\n\n  '@types/babel__generator@7.6.8':\n    resolution: {integrity: sha512-ASsj+tpEDsEiFr1arWrlN6V3mdfjRMZt6LtK/Vp/kreFLnr5QH5+DhvD5nINYZXzwJvXeGq+05iUXcAzVrqWtw==}\n\n  '@types/babel__template@7.4.4':\n    resolution: {integrity: sha512-h/NUaSyG5EyxBIp8YRxo4RMe2/qQgvyowRwVMzhYhBCONbW8PUsg4lkFMrhgZhUe5z3L3MiLDuvyJ/CaPa2A8A==}\n\n  '@types/babel__traverse@7.20.6':\n    resolution: {integrity: sha512-r1bzfrm0tomOI8g1SzvCaQHo6Lcv6zu0EA+W2kHrt8dyrHQxGzBBL4kdkzIS+jBMV+EYcMAEAqXqYaLJq5rOZg==}\n\n  '@types/graceful-fs@4.1.9':\n    resolution: {integrity: sha512-olP3sd1qOEe5dXTSaFvQG+02VdRXcdytWLAZsAq1PecU8uqQAhkrnbli7DagjtXKW/Bl7YJbUsa8MPcuc8LHEQ==}\n\n  '@types/history@4.7.11':\n    resolution: {integrity: sha512-qjDJRrmvBMiTx+jyLxvLfJU7UznFuokDv4f3WRuriHKERccVpFU+8XMQUAbDzoiJCsmexxRExQeMwwCdamSKDA==}\n\n  '@types/history@5.0.0':\n    resolution: {integrity: sha512-hy8b7Y1J8OGe6LbAjj3xniQrj3v6lsivCcrmf4TzSgPzLkhIeKgc5IZnT7ReIqmEuodjfO8EYAuoFvIrHi/+jQ==}\n    deprecated: This is a stub types definition. history provides its own type definitions, so you do not need this installed.\n\n  '@types/hoist-non-react-statics@3.3.6':\n    resolution: {integrity: sha512-lPByRJUer/iN/xa4qpyL0qmL11DqNW81iU/IG1S3uvRUq4oKagz8VCxZjiWkumgt66YT3vOdDgZ0o32sGKtCEw==}\n\n  '@types/invariant@2.2.37':\n    resolution: {integrity: sha512-IwpIMieE55oGWiXkQPSBY1nw1nFs6bsKXTFskNY8sdS17K24vyEBRQZEwlRS7ZmXCWnJcQtbxWzly+cODWGs2A==}\n\n  '@types/isomorphic-fetch@0.0.35':\n    resolution: {integrity: sha512-DaZNUvLDCAnCTjgwxgiL1eQdxIKEpNLOlTNtAgnZc50bG2copGhRrFN9/PxPBuJe+tZVLCbQ7ls0xveXVRPkvw==}\n\n  '@types/istanbul-lib-coverage@2.0.6':\n    resolution: {integrity: sha512-2QF/t/auWm0lsy8XtKVPG19v3sSOQlJe/YHZgfjb/KBBHOGSV+J2q/S671rcq9uTBrLAXmZpqJiaQbMT+zNU1w==}\n\n  '@types/istanbul-lib-report@3.0.3':\n    resolution: {integrity: sha512-NQn7AHQnk/RSLOxrBbGyJM/aVQ+pjj5HCgasFxc0K/KhoATfQ/47AyUl15I2yBUpihjmas+a+VJBOqecrFH+uA==}\n\n  '@types/istanbul-reports@3.0.4':\n    resolution: {integrity: sha512-pk2B1NWalF9toCRu6gjBzR69syFjP4Od8WRAX+0mmf9lAjCRicLOWc+ZrxZHx/0XRjotgkF9t6iaMJ+aXcOdZQ==}\n\n  '@types/json-schema@7.0.15':\n    resolution: {integrity: sha512-5+fP8P8MFNC+AyZCDxrB2pkZFPGzqQWUzpSeuuVLvm8VMcorNYavBqoFcxK8bQz4Qsbn4oUEEem4wDLfcysGHA==}\n\n  '@types/node@22.10.2':\n    resolution: {integrity: sha512-Xxr6BBRCAOQixvonOye19wnzyDiUtTeqldOOmj3CkeblonbccA12PFwlufvRdrpjXxqnmUaeiU5EOA+7s5diUQ==}\n\n  '@types/normalize-package-data@2.4.4':\n    resolution: {integrity: sha512-37i+OaWTh9qeK4LSHPsyRC7NahnGotNuZvjLSgcPzblpHB3rrCJxAOgI5gCdKm7coonsaX1Of0ILiTcnZjbfxA==}\n\n  '@types/parse-json@4.0.2':\n    resolution: {integrity: sha512-dISoDXWWQwUquiKsyZ4Ng+HX2KsPL7LyHKHQwgGFEA3IaKac4Obd+h2a/a6waisAoepJlBcx9paWqjA8/HVjCw==}\n\n  '@types/prettier@2.7.3':\n    resolution: {integrity: sha512-+68kP9yzs4LMp7VNh8gdzMSPZFL44MLGqiHWvttYJe+6qnuVr4Ek9wSBQoveqY/r+LwjCcU29kNVkidwim+kYA==}\n\n  '@types/prop-types@15.7.14':\n    resolution: {integrity: sha512-gNMvNH49DJ7OJYv+KAKn0Xp45p8PLl6zo2YnvDIbTd4J6MER2BmWN49TG7n9LvkyihINxeKW8+3bfS2yDC9dzQ==}\n\n  '@types/react-dom@16.9.25':\n    resolution: {integrity: sha512-ZK//eAPhwft9Ul2/Zj+6O11YR6L4JX0J2sVeBC9Ft7x7HFN7xk7yUV/zDxqV6rjvqgl6r8Dq7oQImxtyf/Mzcw==}\n    peerDependencies:\n      '@types/react': ^16.0.0\n\n  '@types/react-dom@17.0.26':\n    resolution: {integrity: sha512-Z+2VcYXJwOqQ79HreLU/1fyQ88eXSSFh6I3JdrEHQIfYSI0kCQpTGvOrbE6jFGGYXKsHuwY9tBa/w5Uo6KzrEg==}\n    peerDependencies:\n      '@types/react': ^17.0.0\n\n  '@types/react-helmet@6.1.11':\n    resolution: {integrity: sha512-0QcdGLddTERotCXo3VFlUSWO3ztraw8nZ6e3zJSgG7apwV5xt+pJUS8ewPBqT4NYB1optGLprNQzFleIY84u/g==}\n\n  '@types/react-redux@7.1.34':\n    resolution: {integrity: sha512-GdFaVjEbYv4Fthm2ZLvj1VSCedV7TqE5y1kNwnjSdBOTXuRSgowux6J8TAct15T3CKBr63UMk+2CO7ilRhyrAQ==}\n\n  '@types/react-router-config@5.0.2':\n    resolution: {integrity: sha512-WOSetDV3YPxbkVJAdv/bqExJjmcdCi/vpCJh3NfQOy1X15vHMSiMioXIcGekXDJJYhqGUMDo9e337mh508foAA==}\n\n  '@types/react-router-dom@5.1.7':\n    resolution: {integrity: sha512-D5mHD6TbdV/DNHYsnwBTv+y73ei+mMjrkGrla86HthE4/PVvL1J94Bu3qABU+COXzpL23T1EZapVVpwHuBXiUg==}\n\n  '@types/react-router-dom@5.3.3':\n    resolution: {integrity: sha512-kpqnYK4wcdm5UaWI3fLcELopqLrHgLqNsdpHauzlQktfkHL3npOSwtj1Uz9oKBAzs7lFtVkV8j83voAz2D8fhw==}\n\n  '@types/react-router@5.1.12':\n    resolution: {integrity: sha512-0bhXQwHYfMeJlCh7mGhc0VJTRm0Gk+Z8T00aiP4702mDUuLs9SMhnd2DitpjWFjdOecx2UXtICK14H9iMnziGA==}\n\n  '@types/react-router@5.1.20':\n    resolution: {integrity: sha512-jGjmu/ZqS7FjSH6owMcD5qpq19+1RS9DeVRqfl1FeBMxTDQAGwlMWOcs52NDoXaNKyG3d1cYQFMs9rCrb88o9Q==}\n\n  '@types/react@16.14.62':\n    resolution: {integrity: sha512-BWf7hqninZav6nerxXj+NeZT/mTpDeG6Lk2zREHAy63CrnXoOGPGtNqTFYFN/sqpSaREDP5otVV88axIXmKfGA==}\n\n  '@types/react@17.0.83':\n    resolution: {integrity: sha512-l0m4ArKJvmFtR4e8UmKrj1pB4tUgOhJITf+mADyF/p69Ts1YAR/E+G9XEM0mHXKVRa1dQNHseyyDNzeuAXfXQw==}\n\n  '@types/scheduler@0.16.8':\n    resolution: {integrity: sha512-WZLiwShhwLRmeV6zH+GkbOFT6Z6VklCItrDioxUnv+u4Ll+8vKeFySoFyK/0ctcRpOmwAicELfmys1sDc/Rw+A==}\n\n  '@types/stack-utils@2.0.3':\n    resolution: {integrity: sha512-9aEbYZ3TbYMznPdcdr3SmIrLXwC/AKZXQeCf9Pgao5CKb8CyHuEX5jzWPTkvregvhRJHcpRO6BFoGW9ycaOkYw==}\n\n  '@types/yargs-parser@21.0.3':\n    resolution: {integrity: sha512-I4q9QU9MQv4oEOz4tAHJtNz1cwuLxn2F3xcc2iV5WdqLPpUnj30aUuxt1mAxYTG+oe8CZMV/+6rU4S4gRDzqtQ==}\n\n  '@types/yargs@15.0.19':\n    resolution: {integrity: sha512-2XUaGVmyQjgyAZldf0D0c14vvo/yv0MhQBSTJcejMMaitsn3nxCB6TmH4G0ZQf+uxROOa9mpanoSm8h6SG/1ZA==}\n\n  '@umijs/ast@3.5.43':\n    resolution: {integrity: sha512-P+yperHXuPCewEhgzKRXOxhpQmcK06J2PuLs7XaeQatpUTP//omJeIAcSHV8Rr9ynuvYnz9lS1qKqjgfjmZ8bA==}\n\n  '@umijs/babel-plugin-auto-css-modules@3.5.43':\n    resolution: {integrity: sha512-u1JTVqgABY3cSCWsaRumnPINZzgUE5WDTsm7BYXf5a+mdZQiv87pCU2jC6S4OabMqm3mR75gJc5wLR4sFnlkrA==}\n\n  '@umijs/babel-plugin-import-to-await-require@3.5.43':\n    resolution: {integrity: sha512-PhPTS/i2yBEdZbsSp6Cj3cEcxwLOcacjzUgkH+g9vvVwMSAgMqkI1Tx57Y70LZorE4PeUNl5yeS9hGm24JAMQA==}\n\n  '@umijs/babel-plugin-lock-core-js-3@3.5.43':\n    resolution: {integrity: sha512-hOb6cyCrn/4SQ2qGc6RBOG7aPtMHqyuy2iJonzFobdbkOW5nOnYfK/F3oeSJqn/amynFr3W6cUdflyg3Mn5lRQ==}\n\n  '@umijs/babel-plugin-no-anonymous-default-export@3.5.43':\n    resolution: {integrity: sha512-itH+IV96AChX7zKDLEKNi6IEHL+RT8DsP8BSH3oDGWRE0OM4VlpM42N195bsMtOtdl7kCb9HUP1Bg1J/+hHwsw==}\n\n  '@umijs/babel-preset-umi@3.5.43':\n    resolution: {integrity: sha512-raFsiPYy70QNKM4jSo+qdO3wkZr9PCsSSz/+CGTUPkpre5sk6ISDcuXdvEJ92viMe1Xk1+LaPcnbJqIdu7EClA==}\n\n  '@umijs/bundler-utils@3.5.43':\n    resolution: {integrity: sha512-Vw1qR+4KBQx/M1NwlDrMPydyBoA/qLT+nxZKAeIwCjkJT42QSJn38OMDqsRKRPkuoL5tLN4Ss+PbXoJ5evLWoA==}\n\n  '@umijs/bundler-webpack@3.5.43':\n    resolution: {integrity: sha512-Sf15PCMSbt0QMnRcNGIU+Nd6dha5aBZPdOE7IdlWLXJ9rSICNuhblD2P5L8MscwomOXYvsPKzNGI92MUyfjq5w==}\n    hasBin: true\n\n  '@umijs/case-sensitive-paths-webpack-plugin@1.0.1':\n    resolution: {integrity: sha512-kDKJ8yTarxwxGJDInG33hOpaQRZ//XpNuuznQ/1Mscypw6kappzFmrBr2dOYave++K7JHouoANF354UpbEQw0Q==}\n\n  '@umijs/core@3.5.43':\n    resolution: {integrity: sha512-YT/ZrYZl5xrffW3WyDzsrec0FMhebjDoJSA7A2X2WX8lmsIhjzrVEDeR265+t5J+OH7joB8pMMiV/tvhVPHb7w==}\n\n  '@umijs/deps@3.5.43':\n    resolution: {integrity: sha512-1UugbYw+Emcq1AngzLgCvpMDdIVjpBVGwdrWDcxt3zjSR/2teRbaMdzUEqaMaqMWYVMbZKorARuyit5hZorrXQ==}\n\n  '@umijs/plugin-access@2.4.3':\n    resolution: {integrity: sha512-6FON4aHzVFs/vtFK5Sdnw+FBolfoYi8wV8V9Q8x2T19NwjZtjXSPjt0gtrG4jdx4LRsSV2DKLaMGoJYbNr94aA==}\n    peerDependencies:\n      '@umijs/plugin-initial-state': 2.x\n      '@umijs/plugin-model': 2.x\n      umi: 3.x\n\n  '@umijs/plugin-analytics@0.2.2':\n    resolution: {integrity: sha512-dVDzUfgIdEwdCC6a5IsMYpIPI+bEZjBEqIhAvw9dic6Vk77w9RxQxyRfW11dDmdXLAwWphp22NntQNt1ejZPtg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-antd@0.13.0':\n    resolution: {integrity: sha512-7tooYtOylVatrzMWCJtk8JFQL90i94OD0FgZYpKBbM7keThH8prYkSkDJFIDkuGfZ6pl6BJT8ESnYLxf2OiQUw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-crossorigin@1.2.1':\n    resolution: {integrity: sha512-4oXNFBLOCH1FHTgFi7EDmlcjjYMthOQlrTT+mSbNeMzvl0P/WKldSJsYAUXUTg+I7vlbb5bNby4dpHKK37JcbQ==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-dva@0.13.0':\n    resolution: {integrity: sha512-cpGq8vzN8AmyWxexWLQ+WGqfT0WMCiryvU5EcNGbx1/Ub9aICUfPBpB46cxJrxjDCjUzuVslRNb2pdgI0xXUXg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-helmet@1.1.3':\n    resolution: {integrity: sha512-X4GRFlvOb8DxMDm1vExfpWOvxl6bp0oZz114DyhwnMSriJ8RcHAigTjtVJHYxJpKv7P6KayN3n13J4w/XZGWMg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-initial-state@2.4.0':\n    resolution: {integrity: sha512-UHH5fTL9skm4771R3xvWCrjd5xiQ7OdJ83G0P1YZLhuNbh0cAFVT8SPTU8dA9o8TTAZ66IEq7axhWl1cGxVsXw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-layout@0.18.1':\n    resolution: {integrity: sha512-15YTcFpic0v15nFzlg6G8nvMCveBtcBL77Wr9wXYJdgR0iU7dnO7T4OqbLwgEc1uHxtGhTVibi6nSGelX56zCg==}\n    peerDependencies:\n      '@ant-design/icons': ^4.0.0\n      '@ant-design/pro-layout': ^6.0.0\n      '@umijs/plugin-initial-state': 2.x\n      '@umijs/plugin-locale': 0.x\n      '@umijs/plugin-model': 2.x\n      umi: 3.x\n\n  '@umijs/plugin-locale@0.15.2':\n    resolution: {integrity: sha512-/m3ik0NKbE/PHFPKPqSBEwGi5RUB6Dz2T7jepDXhU8ycV0zUPGbDbChUx1r/3t5zveZIND1s/7A49Apb+ujUmg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-model@2.6.2':\n    resolution: {integrity: sha512-MKLAgYIoBkciavxTqJY6VOhvnNQv7jp+olNmXqqZ3I3WsLg7jo33NCOAA3ej103kmo9ZvD9R1aakl7e9WKsdAw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-request@2.8.0':\n    resolution: {integrity: sha512-bwJg0rFbMZcizO+fHbSNz6X/U6suR84ciLIo9zLtRMuradx/yanMnz+ckh2dlZvTlGYrckkJwWgoSFxWlU8yyA==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-test@1.0.2':\n    resolution: {integrity: sha512-EIV86Xmw/Cn8vRLXha+ct0PfY6gRRKov5lanvt1B2L5t6xAqnTd03AxmB7i1Go9vDcFxDBheuDf/nyGiT/xTFw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/preset-built-in@3.5.43':\n    resolution: {integrity: sha512-h9DVc5MjdUON7/xH3bxq76AHDPBTLjntDWBrW6xn+OhDT4j8/YFXrDQwaCwihCJe1eNUBLoVUjWIEIthw7g1Gg==}\n    peerDependencies:\n      react: 16.x || 17.x\n\n  '@umijs/preset-react@1.8.32':\n    resolution: {integrity: sha512-f/jJRxIRzRrZ040GMdBuV3byvtbx35oWymDT5A/q/e+QmjCrs6c9XCRktGInKIhZycqI/GuA6eLaxXIKvu6b9A==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/renderer-mpa@3.5.43':\n    resolution: {integrity: sha512-posQsrkFru/Q9Jft42w4pr/MEFsImd9DlKOV9zYil1ZM6JBS3/hKMmCeSd2Uku7+KgSS/8HSfc4qX/GyeRTzwA==}\n    peerDependencies:\n      react: 16.x || 17.x\n      react-dom: 16.x || 17.x\n\n  '@umijs/renderer-react@3.5.43':\n    resolution: {integrity: sha512-nadGLVbc6qrEX5pd+qY4nr9Mzl7x2hhxec2JeAd2Bg0JkZYNC8H4crTfe844uLm3MvqAtAhomGhN5c0ejDEBhA==}\n    peerDependencies:\n      react: 16.x || 17.x\n      react-dom: 16.x || 17.x\n\n  '@umijs/route-utils@2.2.2':\n    resolution: {integrity: sha512-cMk6qizy0pfpiwpVCvNQB0BKBUJEH33pDv5q5k2tSleSDw2abkJkTu2Kd5hKzoESLuFK43oGeOfcplZqm2bRxw==}\n\n  '@umijs/runtime@3.5.43':\n    resolution: {integrity: sha512-jCmkF5QcqbqzJgtd12Hy6XthLTAcaD4feMHnzM+UqTE74N7lfD13P0brXHrGqkcLbI1NgUs+9rKYIUa56w6jpw==}\n    peerDependencies:\n      react: 16.x || 17.x\n\n  '@umijs/server@3.5.43':\n    resolution: {integrity: sha512-aUSNqnO6WvhgIU6jK1+2YCNkuP6UgiEhTaT/VkSPZdCjagfov2ZfJQ0xWl8x7tocuAaBph6UvXFJWjCQvZ5pHw==}\n\n  '@umijs/ssr-darkreader@4.9.45':\n    resolution: {integrity: sha512-XlcwzSYQ/SRZpHdwIyMDS4FOGX5kP4U/2g2mykyn/iPQTK4xTiQAyBu6UnnDnn7d5P8s7Atzh1C7H0ETNOypJg==}\n\n  '@umijs/test@3.5.43':\n    resolution: {integrity: sha512-9jrziC5ngjrfiJFSdhNDMYcQNrnCQoph/Bu8lZsuBmBQwswN3YqVqefDc4fh4Kl1e4OisKtDfUDtUro8ZApaRQ==}\n    hasBin: true\n\n  '@umijs/types@3.5.43':\n    resolution: {integrity: sha512-XVZuT1X+VpPYrdlDEeginBwBNZaYUDtt3WOyFvfGmBEdqD0iNx0ZgyWmJBhlfRcck5+oYkFpOzmmRIROux2zlA==}\n\n  '@umijs/use-params@1.0.9':\n    resolution: {integrity: sha512-QlN0RJSBVQBwLRNxbxjQ5qzqYIGn+K7USppMoIOVlf7fxXHsnQZ2bEsa6Pm74bt6DVQxpUE8HqvdStn6Y9FV1w==}\n    peerDependencies:\n      react: '*'\n\n  '@umijs/utils@3.5.43':\n    resolution: {integrity: sha512-LQrCkZEa9Fb0zhId1n6CdU489tzJp4/usHVvVcTwjah7jF48zrHXD4OClGjSxvZ63d+3950mZY5IWE9UZVhnDg==}\n\n  abab@2.0.6:\n    resolution: {integrity: sha512-j2afSsaIENvHZN2B8GOpF566vZ5WVk5opAiMTvWgaQT8DkbOqsTfvNAvHoRGU2zzP8cPoqys+xHTRDWW8L+/BA==}\n    deprecated: Use your platform's native atob() and btoa() methods instead\n\n  acorn-globals@6.0.0:\n    resolution: {integrity: sha512-ZQl7LOWaF5ePqqcX4hLuv/bLXYQNfNWw2c0/yX/TsPRKamzHcTGQnlCjHT3TsmkOUVEPS3crCxiPfdzE/Trlhg==}\n\n  acorn-walk@7.2.0:\n    resolution: {integrity: sha512-OPdCF6GsMIP+Az+aWfAAOEt2/+iVDKE7oy6lJ098aoe59oAmK76qV6Gw60SbZ8jHuG2wH058GF4pLFbYamYrVA==}\n    engines: {node: '>=0.4.0'}\n\n  acorn@7.4.1:\n    resolution: {integrity: sha512-nQyp0o1/mNdbTO1PO6kHkwSrmgZ0MT/jCCpNiwbUjGoRN4dlBhqJtoQuCnEOKzgTVwg0ZWiCoQy6SxMebQVh8A==}\n    engines: {node: '>=0.4.0'}\n    hasBin: true\n\n  acorn@8.14.0:\n    resolution: {integrity: sha512-cl669nCJTZBsL97OF4kUQm5g5hC2uihk0NxY3WENAC0TYdILVkAyHymAntgxGkl7K+t0cXIrH5siy5S4XkFycA==}\n    engines: {node: '>=0.4.0'}\n    hasBin: true\n\n  add-dom-event-listener@1.1.0:\n    resolution: {integrity: sha512-WCxx1ixHT0GQU9hb0KI/mhgRQhnU+U3GvwY6ZvVjYq8rsihIGoaIOUbY0yMPBxLH5MDtr0kz3fisWGNcbWW7Jw==}\n\n  agent-base@6.0.2:\n    resolution: {integrity: sha512-RZNwNclF7+MS/8bDg70amg32dyeZGZxiDuQmZxKLAlQjr3jGyLx+4Kkk58UO7D2QdgFIQCovuSuZESne6RG6XQ==}\n    engines: {node: '>= 6.0.0'}\n\n  aggregate-error@3.1.0:\n    resolution: {integrity: sha512-4I7Td01quW/RpocfNayFdFVk1qSuoh0E7JrbRJ16nH01HhKFQ88INq9Sd+nd72zqRySlr9BmDA8xlEJ6vJMrYA==}\n    engines: {node: '>=8'}\n\n  ajv-errors@1.0.1:\n    resolution: {integrity: sha512-DCRfO/4nQ+89p/RK43i8Ezd41EqdGIU4ld7nGF8OQ14oc/we5rEntLCUa7+jrn3nn83BosfwZA0wb4pon2o8iQ==}\n    peerDependencies:\n      ajv: '>=5.0.0'\n\n  ajv-keywords@3.5.2:\n    resolution: {integrity: sha512-5p6WTN0DdTGVQk6VjcEju19IgaHudalcfabD7yhDGeA6bcQnmL+CpveLJq/3hvfwd1aof6L386Ougkx6RfyMIQ==}\n    peerDependencies:\n      ajv: ^6.9.1\n\n  ajv@6.12.6:\n    resolution: {integrity: sha512-j3fVLgvTo527anyYyJOGTYJbG+vnnQYvE0m5mmkc1TK+nxAppkCLMIL0aZ4dblVCNoGShhm+kzE4ZUykBoMg4g==}\n\n  ansi-colors@4.1.3:\n    resolution: {integrity: sha512-/6w/C21Pm1A7aZitlI5Ni/2J6FFQN8i1Cvz3kHABAAbw93v/NlvKdVOqz7CCWz/3iv/JplRSEEZ83XION15ovw==}\n    engines: {node: '>=6'}\n\n  ansi-escapes@4.3.2:\n    resolution: {integrity: sha512-gKXj5ALrKWQLsYG9jlTRmR/xKluxHV+Z9QEwNIgCfM1/uwPMCuzVVnh5mwTd+OuBZcwSIMbqssNWRm1lE51QaQ==}\n    engines: {node: '>=8'}\n\n  ansi-html@0.0.9:\n    resolution: {integrity: sha512-ozbS3LuenHVxNRh/wdnN16QapUHzauqSomAl1jwwJRRsGwFwtj644lIhxfWu0Fy0acCij2+AEgHvjscq3dlVXg==}\n    engines: {'0': node >= 0.8.0}\n    hasBin: true\n\n  ansi-regex@5.0.1:\n    resolution: {integrity: sha512-quJQXlTSUGL2LH9SUXo8VwsY4soanhgo6LNSm84E1LBcE8s3O0wpdiRzyR9z/ZZJMlMWv37qOOb9pdJlMUEKFQ==}\n    engines: {node: '>=8'}\n\n  ansi-styles@3.2.1:\n    resolution: {integrity: sha512-VT0ZI6kZRdTh8YyJw3SMbYm/u+NqfsAxEpWO0Pf9sq8/e94WxxOpPKx9FR1FlyCtOVDNOQ+8ntlqFxiRc+r5qA==}\n    engines: {node: '>=4'}\n\n  ansi-styles@4.3.0:\n    resolution: {integrity: sha512-zbB9rCJAT1rbjiVDb2hqKFHNYLxgtk8NURxZ3IZwD3F6NtxbXZQCnnSi1Lkx+IDohdPlFp222wVALIheZJQSEg==}\n    engines: {node: '>=8'}\n\n  antd-mobile@2.3.4:\n    resolution: {integrity: sha512-Uw02Ghc+DPzaQceJQ+5p1ZnQFafvILA0chTTen7m7c89Uzbw6Ny3zsVZDE1gfteNEIsL4JpPe0I/+aI3Q/nPAA==}\n\n  antd@4.24.16:\n    resolution: {integrity: sha512-zZrK4UYxHtU6tGOOf0uG/kBRx1kTvypfuSB3GqE/SBQxFhZ/TZ+yj7Z1qwI8vGfMtUUJdLeuoCAqGDa1zPsXnQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  anymatch@2.0.0:\n    resolution: {integrity: sha512-5teOsQWABXHHBFP9y3skS5P3d/WfWXpv3FUpy+LorMrNYaT9pI4oLMQX7jzQ2KklNpGpWHzdCXTDT2Y3XGlZBw==}\n\n  anymatch@3.1.3:\n    resolution: {integrity: sha512-KMReFUr0B4t+D+OBkjR3KYqvocp2XaSzO55UcB6mgQMd3KbcE+mWTyvVV7D/zsdEbNnV6acZUutkiHQXvTr1Rw==}\n    engines: {node: '>= 8'}\n\n  arch@2.2.0:\n    resolution: {integrity: sha512-Of/R0wqp83cgHozfIYLbBMnej79U/SVGOOyuB3VVFv1NRM/PSFMK12x9KVtiYzJqmnU5WR2qp0Z5rHb7sWGnFQ==}\n\n  argparse@1.0.10:\n    resolution: {integrity: sha512-o5Roy6tNG4SL/FOkCAN6RzjiakZS25RLYFrcMttJqbdd8BWrnA+fGz57iN5Pb06pvBGvl5gQ0B48dJlslXvoTg==}\n\n  arr-diff@4.0.0:\n    resolution: {integrity: sha512-YVIQ82gZPGBebQV/a8dar4AitzCQs0jjXwMPZllpXMaGjXPYVUawSxQrRsjhjupyVxEvbHgUmIhKVlND+j02kA==}\n    engines: {node: '>=0.10.0'}\n\n  arr-flatten@1.1.0:\n    resolution: {integrity: sha512-L3hKV5R/p5o81R7O02IGnwpDmkp6E982XhtbuwSe3O4qOtMMMtodicASA1Cny2U+aCXcNpml+m4dPsvsJ3jatg==}\n    engines: {node: '>=0.10.0'}\n\n  arr-union@3.1.0:\n    resolution: {integrity: sha512-sKpyeERZ02v1FeCZT8lrfJq5u6goHCtpTAzPwJYe7c8SPFOboNjNg1vz2L4VTn9T4PQxEx13TbXLmYUcS6Ug7Q==}\n    engines: {node: '>=0.10.0'}\n\n  array-tree-filter@2.1.0:\n    resolution: {integrity: sha512-4ROwICNlNw/Hqa9v+rk5h22KjmzB1JGTMVKP2AKJBOCgb0yL0ASf0+YvCcLNNwquOHNX48jkeZIJ3a+oOQqKcw==}\n\n  array-unique@0.3.2:\n    resolution: {integrity: sha512-SleRWjh9JUud2wH1hPs9rZBZ33H6T9HOiL0uwGnGx9FpE6wKGyfWugmbkEOIs6qWrZhg0LWeLziLrEwQJhs5mQ==}\n    engines: {node: '>=0.10.0'}\n\n  asap@2.0.6:\n    resolution: {integrity: sha512-BSHWgDSAiKs50o2Re8ppvp3seVHXSRM44cdSsT9FfNEUUZLOGWVCsiWaRPWM1Znn+mqZ1OfVZ3z3DWEzSp7hRA==}\n\n  asn1.js@4.10.1:\n    resolution: {integrity: sha512-p32cOF5q0Zqs9uBiONKYLm6BClCoBCM5O9JfeUSlnQLBTxYdTK+pW+nXflm8UkKd2UYlEbYz5qEi0JuZR9ckSw==}\n\n  assert@1.5.1:\n    resolution: {integrity: sha512-zzw1uCAgLbsKwBfFc8CX78DDg+xZeBksSO3vwVIDDN5i94eOrPsSSyiVhmsSABFDM/OcpE2aagCat9dnWQLG1A==}\n\n  assign-symbols@1.0.0:\n    resolution: {integrity: sha512-Q+JC7Whu8HhmTdBph/Tq59IoRtoy6KAm5zzPv00WdujX82lbAL8K7WVjne7vdCsAmbF4AYaDOPyO3k0kl8qIrw==}\n    engines: {node: '>=0.10.0'}\n\n  astral-regex@2.0.0:\n    resolution: {integrity: sha512-Z7tMw1ytTXt5jqMcOP+OQteU1VuNK9Y02uuJtKQ1Sv69jXQKKg5cibLwGJow8yzZP+eAc18EmLGPal0bp36rvQ==}\n    engines: {node: '>=8'}\n\n  async-validator@4.2.5:\n    resolution: {integrity: sha512-7HhHjtERjqlNbZtqNqy2rckN/SpOOlmDliet+lP7k+eKZEjPk3DgyeU9lIXLdeLz0uBbbVp+9Qdow9wJWgwwfg==}\n\n  asynckit@0.4.0:\n    resolution: {integrity: sha512-Oei9OH4tRh0YqU3GxhX79dM/mwVgvbZJaSNaRk+bshkj0S5cfHcgYakreBjrHwatXKbz+IoIdYLxrKim2MjW0Q==}\n\n  atob@2.1.2:\n    resolution: {integrity: sha512-Wm6ukoaOGJi/73p/cl2GvLjTI5JM1k/O14isD73YML8StrH/7/lRFgmg8nICZgD3bZZvjwCGxtMOD3wWNAu8cg==}\n    engines: {node: '>= 4.5.0'}\n    hasBin: true\n\n  autoprefixer@9.8.8:\n    resolution: {integrity: sha512-eM9d/swFopRt5gdJ7jrpCwgvEMIayITpojhkkSMRsFHYuH5bkSQ4p/9qTEHtmNudUZh22Tehu7I6CxAW0IXTKA==}\n    hasBin: true\n\n  babel-jest@26.6.3:\n    resolution: {integrity: sha512-pl4Q+GAVOHwvjrck6jKjvmGhnO3jHX/xuB9d27f+EJZ/6k+6nMuPjorrYp7s++bKKdANwzElBWnLWaObvTnaZA==}\n    engines: {node: '>= 10.14.2'}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  babel-plugin-dva-hmr@0.4.2:\n    resolution: {integrity: sha512-QP5W0IT9LDFgoqkXD0g7wn/FMn7zO562P8qys23twXri4i3E1SGOQ3z7jqcPrqzfTZHx+Ufr+cXy9oI6OLMYZg==}\n    peerDependencies:\n      redbox-react: 1.x\n\n  babel-plugin-istanbul@6.1.1:\n    resolution: {integrity: sha512-Y1IQok9821cC9onCx5otgFfRm7Lm+I+wwxOx738M/WLPZ9Q42m4IG5W0FNX8WLL2gYMZo3JkuXIH2DOpWM+qwA==}\n    engines: {node: '>=8'}\n\n  babel-plugin-jest-hoist@26.6.2:\n    resolution: {integrity: sha512-PO9t0697lNTmcEHH69mdtYiOIkkOlj9fySqfO3K1eCcdISevLAE0xY59VLLUj0SoiPiTX/JU2CYFpILydUa5Lw==}\n    engines: {node: '>= 10.14.2'}\n\n  babel-preset-current-node-syntax@1.1.0:\n    resolution: {integrity: sha512-ldYss8SbBlWva1bs28q78Ju5Zq1F+8BrqBZZ0VFhLBvhh6lCpC2o3gDJi/5DRLs9FgYZCnmPYIVFU4lRXCkyUw==}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  babel-preset-jest@26.6.2:\n    resolution: {integrity: sha512-YvdtlVm9t3k777c5NPQIv6cxFFFapys25HiUmuSgHwIZhfifweR5c5Sf5nwE3MAbfu327CYSvps8Yx6ANLyleQ==}\n    engines: {node: '>= 10.14.2'}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  babel-runtime@6.26.0:\n    resolution: {integrity: sha512-ITKNuq2wKlW1fJg9sSW52eepoYgZBggvOAHC0u/CYu/qxQ9EVzThCgR69BnSXLHjy2f7SY5zaQ4yt7H9ZVxY2g==}\n\n  balanced-match@1.0.2:\n    resolution: {integrity: sha512-3oSeUO0TMV67hN1AmbXsK4yaqU7tjiHlbxRDZOpH0KW9+CeX4bRAaX0Anxt0tx2MrpRpWwQaPwIlISEJhYU5Pw==}\n\n  base64-js@1.5.1:\n    resolution: {integrity: sha512-AKpaYlHn8t4SVbOHCy+b5+KKgvR4vrsD8vbvrbiQJps7fKDTkjkDry6ji0rUJjC0kzbNePLwzxq8iypo41qeWA==}\n\n  base@0.11.2:\n    resolution: {integrity: sha512-5T6P4xPgpp0YDFvSWwEZ4NoE3aM4QBQXDzmVbraCkFj8zHM+mba8SyqB5DbZWyR7mYHo6Y7BdQo3MoA4m0TeQg==}\n    engines: {node: '>=0.10.0'}\n\n  big.js@5.2.2:\n    resolution: {integrity: sha512-vyL2OymJxmarO8gxMr0mhChsO9QGwhynfuu4+MHTAW6czfq9humCB7rKpUjDd9YUiDPU4mzpyupFSvOClAwbmQ==}\n\n  binary-extensions@2.3.0:\n    resolution: {integrity: sha512-Ceh+7ox5qe7LJuLHoY0feh3pHuUDHAcRUeyL2VYghZwfpkNIy/+8Ocg0a3UuSoYzavmylwuLWQOf3hl0jjMMIw==}\n    engines: {node: '>=8'}\n\n  bn.js@4.12.1:\n    resolution: {integrity: sha512-k8TVBiPkPJT9uHLdOKfFpqcfprwBFOAAXXozRubr7R7PfIuKvQlzcI4M0pALeqXN09vdaMbUdUj+pass+uULAg==}\n\n  bn.js@5.2.1:\n    resolution: {integrity: sha512-eXRvHzWyYPBuB4NBy0cmYQjGitUrtqwbvlzP3G6VFnNRbsZQIxQ10PbKKHt8gZ/HW/D/747aDl+QkDqg3KQLMQ==}\n\n  brace-expansion@1.1.11:\n    resolution: {integrity: sha512-iCuPHDFgrHX7H2vEI/5xpz07zSHB00TpugqhmYtVmMO6518mCuRMoOYFldEBl0g187ufozdaHgWKcYFb61qGiA==}\n\n  braces@2.3.2:\n    resolution: {integrity: sha512-aNdbnj9P8PjdXU4ybaWLK2IF3jc/EoDYbC7AazW6to3TRsfXxscC9UXOB5iDiEQrkyIbWp2SLQda4+QAa7nc3w==}\n    engines: {node: '>=0.10.0'}\n\n  braces@3.0.3:\n    resolution: {integrity: sha512-yQbXgO/OSZVD2IsiLlro+7Hf6Q18EJrKSEsdoMzKePKXct3gvD8oLcOQdIzGupr5Fj+EDe8gO/lxc1BzfMpxvA==}\n    engines: {node: '>=8'}\n\n  brorand@1.1.0:\n    resolution: {integrity: sha512-cKV8tMCEpQs4hK/ik71d6LrPOnpkpGBR0wzxqr68g2m/LB2GxVYQroAjMJZRVM1Y4BCjCKc3vAamxSzOY2RP+w==}\n\n  browser-process-hrtime@1.0.0:\n    resolution: {integrity: sha512-9o5UecI3GhkpM6DrXr69PblIuWxPKk9Y0jHBRhdocZ2y7YECBFCsHm79Pr3OyR2AvjhDkabFJaDJMYRazHgsow==}\n\n  browserify-aes@1.2.0:\n    resolution: {integrity: sha512-+7CHXqGuspUn/Sl5aO7Ea0xWGAtETPXNSAjHo48JfLdPWcMng33Xe4znFvQweqc/uzk5zSOI3H52CYnjCfb5hA==}\n\n  browserify-cipher@1.0.1:\n    resolution: {integrity: sha512-sPhkz0ARKbf4rRQt2hTpAHqn47X3llLkUGn+xEJzLjwY8LRs2p0v7ljvI5EyoRO/mexrNunNECisZs+gw2zz1w==}\n\n  browserify-des@1.0.2:\n    resolution: {integrity: sha512-BioO1xf3hFwz4kc6iBhI3ieDFompMhrMlnDFC4/0/vd5MokpuAc3R+LYbwTA9A5Yc9pq9UYPqffKpW2ObuwX5A==}\n\n  browserify-rsa@4.1.1:\n    resolution: {integrity: sha512-YBjSAiTqM04ZVei6sXighu679a3SqWORA3qZTEqZImnlkDIFtKc6pNutpjyZ8RJTjQtuYfeetkxM11GwoYXMIQ==}\n    engines: {node: '>= 0.10'}\n\n  browserify-sign@4.2.3:\n    resolution: {integrity: sha512-JWCZW6SKhfhjJxO8Tyiiy+XYB7cqd2S5/+WeYHsKdNKFlCBhKbblba1A/HN/90YwtxKc8tCErjffZl++UNmGiw==}\n    engines: {node: '>= 0.12'}\n\n  browserify-zlib@0.2.0:\n    resolution: {integrity: sha512-Z942RysHXmJrhqk88FmKBVq/v5tqmSkDz7p54G/MGyjMnCFFnC79XWNbg+Vta8W6Wb2qtSZTSxIGkJrRpCFEiA==}\n\n  browserslist@4.24.2:\n    resolution: {integrity: sha512-ZIc+Q62revdMcqC6aChtW4jz3My3klmCO1fEmINZY/8J3EpBg5/A/D0AKmBveUh6pgoeycoMkVMko84tuYS+Gg==}\n    engines: {node: ^6 || ^7 || ^8 || ^9 || ^10 || ^11 || ^12 || >=13.7}\n    hasBin: true\n\n  bser@2.1.1:\n    resolution: {integrity: sha512-gQxTNE/GAfIIrmHLUE3oJyp5FO6HRBfhjnw4/wMmA63ZGDJnWBmgY/lyQBpnDUkGmAhbSe39tx2d/iTOAfglwQ==}\n\n  buffer-from@1.1.2:\n    resolution: {integrity: sha512-E+XQCRwSbaaiChtv6k6Dwgc+bx+Bs6vuKJHHl5kox/BaKbhiXzqQOwK4cO22yElGp2OCmjwVhT3HmxgyPGnJfQ==}\n\n  buffer-xor@1.0.3:\n    resolution: {integrity: sha512-571s0T7nZWK6vB67HI5dyUF7wXiNcfaPPPTl6zYCNApANjIvYJTg7hlud/+cJpdAhS7dVzqMLmfhfHR3rAcOjQ==}\n\n  buffer@4.9.2:\n    resolution: {integrity: sha512-xq+q3SRMOxGivLhBNaUdC64hDTQwejJ+H0T/NB1XMtTVEwNTrfFF3gAxiyW0Bu/xWEGhjVKgUcMhCrUy2+uCWg==}\n\n  builtin-status-codes@3.0.0:\n    resolution: {integrity: sha512-HpGFw18DgFWlncDfjTa2rcQ4W88O1mC8e8yZ2AvQY5KDaktSTwo+KRf6nHK6FRI5FyRyb/5T6+TSxfP7QyGsmQ==}\n\n  cache-base@1.0.1:\n    resolution: {integrity: sha512-AKcdTnFSWATd5/GCPRxr2ChwIJ85CeyrEyjRHlKxQ56d4XJMGym0uAiKn0xbLOGOl3+yRpOTi484dVCEc5AUzQ==}\n    engines: {node: '>=0.10.0'}\n\n  call-bind-apply-helpers@1.0.1:\n    resolution: {integrity: sha512-BhYE+WDaywFg2TBWYNXAE+8B1ATnThNBqXHP5nQu0jWJdVvY2hvkpyB3qOmtmDePiS5/BDQ8wASEWGMWRG148g==}\n    engines: {node: '>= 0.4'}\n\n  call-bind@1.0.8:\n    resolution: {integrity: sha512-oKlSFMcMwpUg2ednkhQ454wfWiU/ul3CkJe/PEHcTKuiX6RpbehUiFMXu13HalGZxfUwCQzZG747YXBn1im9ww==}\n    engines: {node: '>= 0.4'}\n\n  call-bound@1.0.2:\n    resolution: {integrity: sha512-0lk0PHFe/uz0vl527fG9CgdE9WdafjDbCXvBbs+LUv000TVt2Jjhqbs4Jwm8gz070w8xXyEAxrPOMullsxXeGg==}\n    engines: {node: '>= 0.4'}\n\n  caller-callsite@2.0.0:\n    resolution: {integrity: sha512-JuG3qI4QOftFsZyOn1qq87fq5grLIyk1JYd5lJmdA+fG7aQ9pA/i3JIJGcO3q0MrRcHlOt1U+ZeHW8Dq9axALQ==}\n    engines: {node: '>=4'}\n\n  caller-path@2.0.0:\n    resolution: {integrity: sha512-MCL3sf6nCSXOwCTzvPKhN18TU7AHTvdtam8DAogxcrJ8Rjfbbg7Lgng64H9Iy+vUV6VGFClN/TyxBkAebLRR4A==}\n    engines: {node: '>=4'}\n\n  callsites@2.0.0:\n    resolution: {integrity: sha512-ksWePWBloaWPxJYQ8TL0JHvtci6G5QTKwQ95RcWAa/lzoAKuAOflGdAK92hpHXjkwb8zLxoLNUoNYZgVsaJzvQ==}\n    engines: {node: '>=4'}\n\n  callsites@3.1.0:\n    resolution: {integrity: sha512-P8BjAsXvZS+VIDUI11hHCQEv74YT67YUi5JJFNWIqL235sBmjX4+qx9Muvls5ivyNENctx46xQLQ3aTuE7ssaQ==}\n    engines: {node: '>=6'}\n\n  camelcase@5.3.1:\n    resolution: {integrity: sha512-L28STB170nwWS63UjtlEOE3dldQApaJXZkOI1uMFfzf3rRuPegHaHesyee+YxQ+W6SvRDQV6UrdOdRiR153wJg==}\n    engines: {node: '>=6'}\n\n  camelcase@6.3.0:\n    resolution: {integrity: sha512-Gmy6FhYlCY7uOElZUSbxo2UCDH8owEk996gkbrpsgGtrJLM3J7jGxl9Ic7Qwwj4ivOE5AWZWRMecDdF7hqGjFA==}\n    engines: {node: '>=10'}\n\n  caniuse-lite@1.0.30001688:\n    resolution: {integrity: sha512-Nmqpru91cuABu/DTCXbM2NSRHzM2uVHfPnhJ/1zEAJx/ILBRVmz3pzH4N7DZqbdG0gWClsCC05Oj0mJ/1AWMbA==}\n\n  capture-exit@2.0.0:\n    resolution: {integrity: sha512-PiT/hQmTonHhl/HFGN+Lx3JJUznrVYJ3+AQsnthneZbvW7x+f08Tk7yLJTLEOUvBTbduLeeBkxEaYXUOUrRq6g==}\n    engines: {node: 6.* || 8.* || >= 10.*}\n\n  chalk@2.4.2:\n    resolution: {integrity: sha512-Mti+f9lpJNcwF4tWV8/OrTTtF1gZi+f8FqlyAdouralcFWFQWF2+NgCHShjkCb+IFBLq9buZwE1xckQU4peSuQ==}\n    engines: {node: '>=4'}\n\n  chalk@4.1.2:\n    resolution: {integrity: sha512-oKnbhFyRIXpUuez8iBMmyEa4nbj4IOQyuhc/wy9kY7/WVPcwIO9VA668Pu8RkO7+0G76SLROeyw9CpQ061i4mA==}\n    engines: {node: '>=10'}\n\n  char-regex@1.0.2:\n    resolution: {integrity: sha512-kWWXztvZ5SBQV+eRgKFeh8q5sLuZY2+8WUIzlxWVTg+oGwY14qylx1KbKzHd8P6ZYkAg0xyIDU9JMHhyJMZ1jw==}\n    engines: {node: '>=10'}\n\n  chokidar@3.5.1:\n    resolution: {integrity: sha512-9+s+Od+W0VJJzawDma/gvBNQqkTiqYTWLuZoyAsivsI4AaWTCzHG06/TMjsf1cYe9Cb97UCEhjz7HvnPk2p/tw==}\n    engines: {node: '>= 8.10.0'}\n\n  ci-info@1.6.0:\n    resolution: {integrity: sha512-vsGdkwSCDpWmP80ncATX7iea5DWQemg1UgCW5J8tqjU3lYw4FBYuj89J0CTVomA7BEfvSZd84GmHko+MxFQU2A==}\n\n  ci-info@2.0.0:\n    resolution: {integrity: sha512-5tK7EtrZ0N+OLFMthtqOj4fI2Jeb88C4CAZPu25LDVUgXJ0A3Js4PMGqrn0JU1W0Mh1/Z8wZzYPxqUrXeBboCQ==}\n\n  cipher-base@1.0.6:\n    resolution: {integrity: sha512-3Ek9H3X6pj5TgenXYtNWdaBon1tgYCaebd+XPg0keyjEbEfkD4KkmAxkQ/i1vYvxdcT5nscLBfq9VJRmCBcFSw==}\n    engines: {node: '>= 0.10'}\n\n  cjs-module-lexer@0.6.0:\n    resolution: {integrity: sha512-uc2Vix1frTfnuzxxu1Hp4ktSvM3QaI4oXl4ZUqL1wjTu/BGki9TrCWoqLTg/drR1KwAEarXuRFCG2Svr1GxPFw==}\n\n  class-utils@0.3.6:\n    resolution: {integrity: sha512-qOhPa/Fj7s6TY8H8esGu5QNpMMQxz79h+urzrNYN6mn+9BnxlDGf5QZ+XeCDsxSjPqsSR56XOZOJmpeurnLMeg==}\n    engines: {node: '>=0.10.0'}\n\n  classnames@2.5.1:\n    resolution: {integrity: sha512-saHYOzhIQs6wy2sVxTM6bUDsQO4F50V9RQ22qBpEdCW+I+/Wmke2HOl6lS6dTpdxVhb88/I6+Hs+438c3lfUow==}\n\n  clean-stack@2.2.0:\n    resolution: {integrity: sha512-4diC9HaTE+KRAMWhDhrGOECgWZxoevMc5TlkObMqNSsVU62PYzXZ/SMTjzyGAFF1YusgxGcSWTEXBhp0CPwQ1A==}\n    engines: {node: '>=6'}\n\n  cli-cursor@3.1.0:\n    resolution: {integrity: sha512-I/zHAwsKf9FqGoXM4WWRACob9+SNukZTd94DWF57E4toouRulbCxcUh6RKUEOQlYTHJnzkPMySvPNaaSLNfLZw==}\n    engines: {node: '>=8'}\n\n  cli-truncate@2.1.0:\n    resolution: {integrity: sha512-n8fOixwDD6b/ObinzTrp1ZKFzbgvKZvuz/TvejnLn1aQfC6r52XEx85FmuC+3HI+JM7coBRXUvNqEU2PHVrHpg==}\n    engines: {node: '>=8'}\n\n  clipboardy@2.3.0:\n    resolution: {integrity: sha512-mKhiIL2DrQIsuXMgBgnfEHOZOryC7kY7YO//TN6c63wlEm3NG5tz+YgY5rVi29KCmq/QQjKYvM7a19+MDOTHOQ==}\n    engines: {node: '>=8'}\n\n  cliui@6.0.0:\n    resolution: {integrity: sha512-t6wbgtoCXvAzst7QgXxJYqPt0usEfbgQdftEPbLL/cvv6HPE5VgvqCuAIDR0NgU52ds6rFwqrgakNLrHEjCbrQ==}\n\n  co@4.6.0:\n    resolution: {integrity: sha512-QVb0dM5HvG+uaxitm8wONl7jltx8dqhfU33DcqtOZcLSVIKSDDLDi7+0LbAKiyI8hD9u42m2YxXSkMGWThaecQ==}\n    engines: {iojs: '>= 1.0.0', node: '>= 0.12.0'}\n\n  collect-v8-coverage@1.0.2:\n    resolution: {integrity: sha512-lHl4d5/ONEbLlJvaJNtsF/Lz+WvB07u2ycqTYbdrq7UypDXailES4valYb2eWiJFxZlVmpGekfqoxQhzyFdT4Q==}\n\n  collection-visit@1.0.0:\n    resolution: {integrity: sha512-lNkKvzEeMBBjUGHZ+q6z9pSJla0KWAQPvtzhEV9+iGyQYG+pBpl7xKDhxoNSOZH2hhv0v5k0y2yAM4o4SjoSkw==}\n    engines: {node: '>=0.10.0'}\n\n  color-convert@1.9.3:\n    resolution: {integrity: sha512-QfAUtd+vFdAtFQcC8CCyYt1fYWxSqAiK2cSD6zDB8N3cpsEBAvRxp9zOGg6G/SHHJYAT88/az/IuDGALsNVbGg==}\n\n  color-convert@2.0.1:\n    resolution: {integrity: sha512-RRECPsj7iu/xb5oKYcsFHSppFNnsj/52OVTRKb4zP5onXwVF3zVmmToNcOfGC+CRDpfK/U584fMg38ZHCaElKQ==}\n    engines: {node: '>=7.0.0'}\n\n  color-name@1.1.3:\n    resolution: {integrity: sha512-72fSenhMw2HZMTVHeCA9KCmpEIbzWiQsjN+BHcBbS9vr1mtt+vJjPdksIBNUmKAW8TFUDPJK5SUU3QhE9NEXDw==}\n\n  color-name@1.1.4:\n    resolution: {integrity: sha512-dOy+3AuW3a2wNbZHIuMZpTcgjGuLU/uBL/ubcZF9OXbDo8ff4O8yVp5Bf0efS8uEoYo5q4Fx7dY9OgQGXgAsQA==}\n\n  colorette@2.0.20:\n    resolution: {integrity: sha512-IfEDxwoWIjkeXL1eXcDiow4UbKjhLdq6/EuSVR9GMN7KVH3r9gQ83e73hsz1Nd1T3ijd5xv1wcWRYO+D6kCI2w==}\n\n  combined-stream@1.0.8:\n    resolution: {integrity: sha512-FQN4MRfuJeHf7cBbBMJFXhKSDq+2kAArBlmRBvcvFE5BB1HZKXtSFASDhdlz9zOYwxh8lDdnvmMOe/+5cdoEdg==}\n    engines: {node: '>= 0.8'}\n\n  commander@2.20.3:\n    resolution: {integrity: sha512-GpVkmM8vF2vQUkj2LvZmD35JxeJOLCwJ9cUkugyk2nuhbv3+mJvpLYYt+0+USMxE+oj+ey/lJEnhZw75x/OMcQ==}\n\n  commander@6.2.1:\n    resolution: {integrity: sha512-U7VdrJFnJgo4xjrHpTzu0yrHPGImdsmD95ZlgYSEajAn2JKzDhDTPG9kBTefmObL2w/ngeZnilk+OV9CG3d7UA==}\n    engines: {node: '>= 6'}\n\n  component-classes@1.2.6:\n    resolution: {integrity: sha512-hPFGULxdwugu1QWW3SvVOCUHLzO34+a2J6Wqy0c5ASQkfi9/8nZcBB0ZohaEbXOQlCflMAEMmEWk7u7BVs4koA==}\n\n  component-emitter@1.3.1:\n    resolution: {integrity: sha512-T0+barUSQRTUQASh8bx02dl+DhF54GtIDY13Y3m9oWTklKbb3Wv974meRpeZ3lp1JpLVECWWNHC4vaG2XHXouQ==}\n\n  component-indexof@0.0.3:\n    resolution: {integrity: sha512-puDQKvx/64HZXb4hBwIcvQLaLgux8o1CbWl39s41hrIIZDl1lJiD5jc22gj3RBeGK0ovxALDYpIbyjqDUUl0rw==}\n\n  compute-scroll-into-view@1.0.20:\n    resolution: {integrity: sha512-UCB0ioiyj8CRjtrvaceBLqqhZCVP+1B8+NWQhmdsm0VXOJtobBCf1dBQmebCCo34qZmUwZfIH2MZLqNHazrfjg==}\n\n  concat-map@0.0.1:\n    resolution: {integrity: sha512-/Srv4dswyQNBfohGpz9o6Yb3Gz3SrUDqBH5rTuhGR7ahtlbYKnVxw2bCFMRljaA7EXHaXZ8wsHdodFvbkhKmqg==}\n\n  connected-react-router@6.5.2:\n    resolution: {integrity: sha512-qzsLPZCofSI80fwy+HgxtEgSGS4ndYUUZAWaw1dqaOGPLKX/FVwIOEb7q+hjHdnZ4v5pKZcNv5GG4urjujIoyA==}\n    peerDependencies:\n      history: ^4.7.2\n      react: ^16.4.0\n      react-redux: ^6.0.0 || ^7.1.0\n      react-router: ^4.3.1 || ^5.0.0\n      redux: ^3.6.0 || ^4.0.0\n\n  console-browserify@1.2.0:\n    resolution: {integrity: sha512-ZMkYO/LkF17QvCPqM0gxw8yUzigAOZOSWSHg91FH6orS7vcEj5dVZTidN2fQ14yBSdg97RqhSNwLUXInd52OTA==}\n\n  constants-browserify@1.0.0:\n    resolution: {integrity: sha512-xFxOwqIzR/e1k1gLiWEophSCMqXcwVHIH7akf7b/vxcUeGunlj3hvZaaqxwHsTgn+IndtkQJgSztIDWeumWJDQ==}\n\n  convert-source-map@1.9.0:\n    resolution: {integrity: sha512-ASFBup0Mz1uyiIjANan1jzLQami9z1PoYSZCiiYW2FczPbenXc45FZdBZLzOT+r6+iciuEModtmCti+hjaAk0A==}\n\n  copy-descriptor@0.1.1:\n    resolution: {integrity: sha512-XgZ0pFcakEUlbwQEVNg3+QAis1FyTL3Qel9FYy8pSkQqoG3PNoT0bOCQtOXcOkur21r2Eq2kI+IE+gsmAEVlYw==}\n    engines: {node: '>=0.10.0'}\n\n  copy-to-clipboard@3.3.3:\n    resolution: {integrity: sha512-2KV8NhB5JqC3ky0r9PMCAZKbUHSwtEo4CwCs0KXgruG43gX5PMqDEBbVU4OUzw2MuAWUfsuFmWvEKG5QRfSnJA==}\n\n  core-js-pure@3.39.0:\n    resolution: {integrity: sha512-7fEcWwKI4rJinnK+wLTezeg2smbFFdSBP6E2kQZNbnzM2s1rpKQ6aaRteZSSg7FLU3P0HGGVo/gbpfanU36urg==}\n\n  core-js@1.2.7:\n    resolution: {integrity: sha512-ZiPp9pZlgxpWRu0M+YWbm6+aQ84XEfH1JRXvfOc/fILWI0VKhLC2LX13X1NYq4fULzLMq7Hfh43CSo2/aIaUPA==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-js@2.6.12:\n    resolution: {integrity: sha512-Kb2wC0fvsWfQrgk8HU5lW6U/Lcs8+9aaYcy4ZFc6DDlo4nZ7n70dEgE5rtR0oG6ufKDUnrwfWL1mXR5ljDatrQ==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-js@3.6.5:\n    resolution: {integrity: sha512-vZVEEwZoIsI+vPEuoF9Iqf5H7/M3eeQqWlQnYa8FSKKePuYTf5MWnxb5SDAzCa60b3JBRS5g9b+Dq7b1y/RCrA==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-js@3.8.2:\n    resolution: {integrity: sha512-FfApuSRgrR6G5s58casCBd9M2k+4ikuu4wbW6pJyYU7bd9zvFc9qf7vr5xmrZOhT9nn+8uwlH1oRR9jTnFoA3A==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-util-is@1.0.3:\n    resolution: {integrity: sha512-ZQBvi1DcpJ4GDqanjucZ2Hj3wEO5pZDS89BWbkcrvdxksJorwUDDZamX9ldFkp9aw2lmBDLgkObEA4DWNJ9FYQ==}\n\n  cosmiconfig@5.2.1:\n    resolution: {integrity: sha512-H65gsXo1SKjf8zmrJ67eJk8aIRKV5ff2D4uKZIBZShbhGSpEmsQOPW/SKMKYhSTrqR7ufy6RP69rPogdaPh/kA==}\n    engines: {node: '>=4'}\n\n  cosmiconfig@7.1.0:\n    resolution: {integrity: sha512-AdmX6xUzdNASswsFtmwSt7Vj8po9IuqXm0UXz7QKPuEUmPB4XyjGfaAr2PSuELMwkRMVH1EpIkX5bTZGRB3eCA==}\n    engines: {node: '>=10'}\n\n  create-ecdh@4.0.4:\n    resolution: {integrity: sha512-mf+TCx8wWc9VpuxfP2ht0iSISLZnt0JgWlrOKZiNqyUZWnjIaCIVNQArMHnCZKfEYRg6IM7A+NeJoN8gf/Ws0A==}\n\n  create-hash@1.2.0:\n    resolution: {integrity: sha512-z00bCGNHDG8mHAkP7CtT1qVu+bFQUPjYq/4Iv3C3kWjTFV10zIjfSoeqXo9Asws8gwSHDGj/hl2u4OGIjapeCg==}\n\n  create-hmac@1.1.7:\n    resolution: {integrity: sha512-MJG9liiZ+ogc4TzUwuvbER1JRdgvUFSB5+VR/g5h82fGaIRWMWddtKBHi7/sVhfjQZ6SehlyhvQYrcYkaUIpLg==}\n\n  create-react-class@15.7.0:\n    resolution: {integrity: sha512-QZv4sFWG9S5RUvkTYWbflxeZX+JG7Cz0Tn33rQBJ+WFQTqTfUTjMjiv9tnfXazjsO5r0KhPs+AqCjyrQX6h2ng==}\n\n  cross-spawn@5.1.0:\n    resolution: {integrity: sha512-pTgQJ5KC0d2hcY8eyL1IzlBPYjTkyH72XRZPnLyKus2mBfNjQs3klqbJU2VILqZryAZUt9JOb3h/mWMy23/f5A==}\n\n  cross-spawn@6.0.6:\n    resolution: {integrity: sha512-VqCUuhcd1iB+dsv8gxPttb5iZh/D0iubSP21g36KXdEuf6I5JiioesUVjpCdHV9MZRUfVFlvwtIUyPfxo5trtw==}\n    engines: {node: '>=4.8'}\n\n  cross-spawn@7.0.6:\n    resolution: {integrity: sha512-uV2QOWP2nWzsy2aMp8aRibhi9dlzF5Hgh5SHaB9OiTGEyDTiJJyx0uy51QXdyWbtAHNua4XJzUKca3OzKUd3vA==}\n    engines: {node: '>= 8'}\n\n  crypto-browserify@3.12.1:\n    resolution: {integrity: sha512-r4ESw/IlusD17lgQi1O20Fa3qNnsckR126TdUuBgAu7GBYSIPvdNyONd3Zrxh0xCwA4+6w/TDArBPsMvhur+KQ==}\n    engines: {node: '>= 0.10'}\n\n  css-animation@1.6.1:\n    resolution: {integrity: sha512-/48+/BaEaHRY6kNQ2OIPzKf9A6g8WjZYjhiNDNuIVbsm5tXCGIAsHDjB4Xu1C4vXJtUWZo26O68OQkDpNBaPog==}\n\n  css-blank-pseudo@0.1.4:\n    resolution: {integrity: sha512-LHz35Hr83dnFeipc7oqFDmsjHdljj3TQtxGGiNWSOsTLIAubSm4TEz8qCaKFpk7idaQ1GfWscF4E6mgpBysA1w==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  css-has-pseudo@0.10.0:\n    resolution: {integrity: sha512-Z8hnfsZu4o/kt+AuFzeGpLVhFOGO9mluyHBaA2bA8aCGTwah5sT3WV/fTHH8UNZUytOIImuGPrl/prlb4oX4qQ==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  css-prefers-color-scheme@3.1.1:\n    resolution: {integrity: sha512-MTu6+tMs9S3EUqzmqLXEcgNRbNkkD/TGFvowpeoWJn5Vfq7FMgsmRQs9X5NXAURiOBmOxm/lLjsDNXDE6k9bhg==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  cssdb@4.4.0:\n    resolution: {integrity: sha512-LsTAR1JPEM9TpGhl/0p3nQecC2LJ0kD8X5YARu1hk/9I1gril5vDtMZyNxcEpxxDj34YNck/ucjuoUd66K03oQ==}\n\n  cssesc@2.0.0:\n    resolution: {integrity: sha512-MsCAG1z9lPdoO/IUMLSBWBSVxVtJ1395VGIQ+Fc2gNdkQ1hNDnQdw3YhA71WJCBW1vdwA0cAnk/DnW6bqoEUYg==}\n    engines: {node: '>=4'}\n    hasBin: true\n\n  cssesc@3.0.0:\n    resolution: {integrity: sha512-/Tb/JcjK111nNScGob5MNtsntNM1aCNUDipB/TkwZFhyDrrE47SOx/18wF2bbjgc3ZzCSKW1T5nt5EbFoAz/Vg==}\n    engines: {node: '>=4'}\n    hasBin: true\n\n  cssom@0.3.8:\n    resolution: {integrity: sha512-b0tGHbfegbhPJpxpiBPU2sCkigAqtM9O121le6bbOlgyV+NyGyCmVfJ6QW9eRjz8CpNfWEOYBIMIGRYkLwsIYg==}\n\n  cssom@0.4.4:\n    resolution: {integrity: sha512-p3pvU7r1MyyqbTk+WbNJIgJjG2VmTIaB10rI93LzVPrmDJKkzKYMtxxyAvQXR/NS6otuzveI7+7BBq3SjBS2mw==}\n\n  cssstyle@2.3.0:\n    resolution: {integrity: sha512-AZL67abkUzIuvcHqk7c09cezpGNcxUxU4Ioi/05xHk4DQeTkWmGYftIE6ctU6AEt+Gn4n1lDStOtj7FKycP71A==}\n    engines: {node: '>=8'}\n\n  csstype@3.1.3:\n    resolution: {integrity: sha512-M1uQkMl8rQK/szD0LNhtqxIPLpimGm8sOBwU7lLnCpSbTyY3yeU1Vc7l4KT5zT4s/yOxHH5O7tIuuLOCnLADRw==}\n\n  data-urls@2.0.0:\n    resolution: {integrity: sha512-X5eWTSXO/BJmpdIKCRuKUgSCgAN0OwliVK3yPKbwIWU1Tdw5BRajxlzMidvh+gwko9AfQ9zIj52pzF91Q3YAvQ==}\n    engines: {node: '>=10'}\n\n  date-fns@2.30.0:\n    resolution: {integrity: sha512-fnULvOpxnC5/Vg3NCiWelDsLiUc9bRwAPs/+LfTLNvetFCtCTN+yQz15C/fs4AwX1R9K5GLtLfn8QW+dWisaAw==}\n    engines: {node: '>=0.11'}\n\n  dayjs@1.11.13:\n    resolution: {integrity: sha512-oaMBel6gjolK862uaPQOVTA7q3TZhuSvuMQAAglQDOWYO9A91IrAOUJEyKVlqJlHE0vq5p5UXxzdPfMH/x6xNg==}\n\n  debug@2.6.9:\n    resolution: {integrity: sha512-bC7ElrdJaJnPbAP+1EotYvqZsb3ecl5wi6Bfi6BJTUcNowp6cvspg0jXznRTKDjm/E7AdgFBVeAPVMNcKGsHMA==}\n    peerDependencies:\n      supports-color: '*'\n    peerDependenciesMeta:\n      supports-color:\n        optional: true\n\n  debug@4.4.0:\n    resolution: {integrity: sha512-6WTZ/IxCY/T6BALoZHaE4ctp9xm+Z5kY/pzYaCHRFeyVhojxlrm+46y68HA6hr0TcwEssoxNiDEUJQjfPZ/RYA==}\n    engines: {node: '>=6.0'}\n    peerDependencies:\n      supports-color: '*'\n    peerDependenciesMeta:\n      supports-color:\n        optional: true\n\n  decamelize@1.2.0:\n    resolution: {integrity: sha512-z2S+W9X73hAUUki+N+9Za2lBlun89zigOyGrsax+KUQ6wKW4ZoWpEYBkGhQjwAjjDCkWxhY0VKEhk8wzY7F5cA==}\n    engines: {node: '>=0.10.0'}\n\n  decimal.js@10.4.3:\n    resolution: {integrity: sha512-VBBaLc1MgL5XpzgIP7ny5Z6Nx3UrRkIViUkPUdtl9aya5amy3De1gsUUSB1g3+3sExYNjCAsAznmukyxCb1GRA==}\n\n  decode-uri-component@0.2.2:\n    resolution: {integrity: sha512-FqUYQ+8o158GyGTrMFJms9qh3CqTKvAqgqsTnkLI8sKu0028orqBhxNMFkFen0zGyg6epACD32pjVk58ngIErQ==}\n    engines: {node: '>=0.10'}\n\n  dedent@0.7.0:\n    resolution: {integrity: sha512-Q6fKUPqnAHAyhiUgFU7BUzLiv0kd8saH9al7tnu5Q/okj6dnupxyTgFIBjVzJATdfIAm9NAsvXNzjaKa+bxVyA==}\n\n  deepmerge@1.5.2:\n    resolution: {integrity: sha512-95k0GDqvBjZavkuvzx/YqVLv/6YYa17fz6ILMSf7neqQITCPbnfEnQvEgMPNjH4kgobe7+WIL0yJEHku+H3qtQ==}\n    engines: {node: '>=0.10.0'}\n\n  deepmerge@4.3.1:\n    resolution: {integrity: sha512-3sUqbMEc77XqpdNO7FRyRog+eW3ph+GYCbj+rK+uYyRMuwsVy0rMiVtPn+QJlKFvWP/1PYpapqYn0Me2knFn+A==}\n    engines: {node: '>=0.10.0'}\n\n  define-data-property@1.1.4:\n    resolution: {integrity: sha512-rBMvIzlpA8v6E+SJZoo++HAYqsLrkg7MSfIinMPFhmkorw7X+dOXVJQs+QT69zGkzMyfDnIMN2Wid1+NbL3T+A==}\n    engines: {node: '>= 0.4'}\n\n  define-properties@1.2.1:\n    resolution: {integrity: sha512-8QmQKqEASLd5nx0U1B1okLElbUuuttJ/AnYmRXbbbGDWh6uS208EjD4Xqq/I9wK7u0v6O08XhTWnt5XtEbR6Dg==}\n    engines: {node: '>= 0.4'}\n\n  define-property@0.2.5:\n    resolution: {integrity: sha512-Rr7ADjQZenceVOAKop6ALkkRAmH1A4Gx9hV/7ZujPUN2rkATqFO0JZLZInbAjpZYoJ1gUx8MRMQVkYemcbMSTA==}\n    engines: {node: '>=0.10.0'}\n\n  define-property@1.0.0:\n    resolution: {integrity: sha512-cZTYKFWspt9jZsMscWo8sc/5lbPC9Q0N5nBLgb+Yd915iL3udB1uFgS3B8YCx66UVHq018DAVFoee7x+gxggeA==}\n    engines: {node: '>=0.10.0'}\n\n  define-property@2.0.2:\n    resolution: {integrity: sha512-jwK2UV4cnPpbcG7+VRARKTZPUWowwXA8bzH5NP6ud0oeAxyYPuGZUAC7hMugpCdz4BeSZl2Dl9k66CHJ/46ZYQ==}\n    engines: {node: '>=0.10.0'}\n\n  delayed-stream@1.0.0:\n    resolution: {integrity: sha512-ZySD7Nf91aLB0RxL4KGrKHBXl7Eds1DAmEdcoVawXnLD7SDhpNgtuII2aAkg7a7QS41jxPSZ17p4VdGnMHk3MQ==}\n    engines: {node: '>=0.4.0'}\n\n  des.js@1.1.0:\n    resolution: {integrity: sha512-r17GxjhUCjSRy8aiJpr8/UadFIzMzJGexI3Nmz4ADi9LYSFx4gTBp80+NaX/YsXWWLhpZ7v/v/ubEc/bCNfKwg==}\n\n  detect-newline@3.1.0:\n    resolution: {integrity: sha512-TLz+x/vEXm/Y7P7wn1EJFNLxYpUD4TgMosxY6fAVJUnJMbupHBOncxyWUG9OpTaH9EBD7uFI5LfEgmMOc54DsA==}\n    engines: {node: '>=8'}\n\n  diff-sequences@26.6.2:\n    resolution: {integrity: sha512-Mv/TDa3nZ9sbc5soK+OoA74BsS3mL37yixCvUAQkiuA4Wz6YtwP/K47n2rv2ovzHZvoiQeA5FTQOschKkEwB0Q==}\n    engines: {node: '>= 10.14.2'}\n\n  diffie-hellman@5.0.3:\n    resolution: {integrity: sha512-kqag/Nl+f3GwyK25fhUMYj81BUOrZ9IuJsjIcDE5icNM9FJHAVm3VcUDxdLPoQtTuUylWm6ZIknYJwwaPxsUzg==}\n\n  dom-align@1.12.4:\n    resolution: {integrity: sha512-R8LUSEay/68zE5c8/3BDxiTEvgb4xZTF0RKmAHfiEVN3klfIpXfi2/QCoiWPccVQ0J/ZGdz9OjzL4uJEP/MRAw==}\n\n  dom-walk@0.1.2:\n    resolution: {integrity: sha512-6QvTW9mrGeIegrFXdtQi9pk7O/nSK6lSdXW2eqUspN5LWD7UTji2Fqw5V2YLjBpHEoU9Xl/eUWNpDeZvoyOv2w==}\n\n  domain-browser@1.2.0:\n    resolution: {integrity: sha512-jnjyiM6eRyZl2H+W8Q/zLMA481hzi0eszAaBUzIVnmYVDBbnLxVNnfu1HgEBvCbL+71FrxMl3E6lpKH7Ge3OXA==}\n    engines: {node: '>=0.4', npm: '>=1.2'}\n\n  domexception@2.0.1:\n    resolution: {integrity: sha512-yxJ2mFy/sibVQlu5qHjOkf9J3K6zgmCxgJ94u2EdvDOV09H+32LtRswEcUsmUWN72pVLOEnTSRaIVVzVQgS0dg==}\n    engines: {node: '>=8'}\n    deprecated: Use your platform's native DOMException instead\n\n  dunder-proto@1.0.0:\n    resolution: {integrity: sha512-9+Sj30DIu+4KvHqMfLUGLFYL2PkURSYMVXJyXe92nFRvlYq5hBjLEhblKB+vkd/WVlUYMWigiY07T91Fkk0+4A==}\n    engines: {node: '>= 0.4'}\n\n  dva-core@2.0.4:\n    resolution: {integrity: sha512-Zh39llFyItu9HKXKfCZVf9UFtDTcypdAjGBew1S+wK8BGVzFpm1GPTdd6uIMeg7O6STtCvt2Qv+RwUut1GFynA==}\n    peerDependencies:\n      redux: 4.x\n\n  dva-immer@0.5.2:\n    resolution: {integrity: sha512-xg23ktGsrdzgiU0ACl8vFm2+E2GBWbtXndXRKM9wtHDR+yMH27NfttVuAZQWvv4aaj6f5/bC+TdsZ9t7n6cAhQ==}\n    peerDependencies:\n      dva: ^2.5.0-0\n\n  dva-loading@3.0.25:\n    resolution: {integrity: sha512-RYbpSjvPj2NF+3YSc9QkDpwM1wO8uRAVfU6VGSgIxA2kA/Xd6yoY+VQM7GDRnvCvT579pESeBZBXk+8WKWOdDA==}\n    peerDependencies:\n      dva-core: ^1.1.0 || ^1.5.0-0 || ^1.6.0-0\n\n  dva@2.6.0-beta.23:\n    resolution: {integrity: sha512-noeOz3Erxpc6YLEsyyS//zGszeRYWKEvZoeCZ0LaCvWrV7Cxah9Xt/I9V1SS9eYDySaSgTUOoU+dLweQpCScAA==}\n    peerDependencies:\n      react: ^16.8.4\n      react-dom: ^16.8.4\n\n  electron-to-chromium@1.5.73:\n    resolution: {integrity: sha512-8wGNxG9tAG5KhGd3eeA0o6ixhiNdgr0DcHWm85XPCphwZgD1lIEoi6t3VERayWao7SF7AAZTw6oARGJeVjH8Kg==}\n\n  elliptic@6.6.1:\n    resolution: {integrity: sha512-RaddvvMatK2LJHqFJ+YA4WysVN5Ita9E35botqIYspQ4TkRAlCicdzKOjlyv/1Za5RyTNn7di//eEV0uTAfe3g==}\n\n  emittery@0.7.2:\n    resolution: {integrity: sha512-A8OG5SR/ij3SsJdWDJdkkSYUjQdCUx6APQXem0SaEePBSRg4eymGYwBkKo1Y6DU+af/Jn2dBQqDBvjnr9Vi8nQ==}\n    engines: {node: '>=10'}\n\n  emoji-regex@8.0.0:\n    resolution: {integrity: sha512-MSjYzcWNOA0ewAHpz0MxpYFvwg6yjy1NG3xteoqz644VCo/RPgnr1/GGt+ic3iJTzQ8Eu3TdM14SawnVUmGE6A==}\n\n  emojis-list@3.0.0:\n    resolution: {integrity: sha512-/kyM18EfinwXZbno9FyUGeFh87KC8HRQBQGildHZbEuRyWFOmv1U10o9BBp8XVZDVNNuQKyIGIu5ZYAAXJ0V2Q==}\n    engines: {node: '>= 4'}\n\n  encoding@0.1.13:\n    resolution: {integrity: sha512-ETBauow1T35Y/WZMkio9jiM0Z5xjHHmJ4XmjZOq1l/dXz3lr2sRn87nJy20RupqSh1F2m3HHPSp8ShIPQJrJ3A==}\n\n  end-of-stream@1.4.4:\n    resolution: {integrity: sha512-+uw1inIHVPQoaVuHzRyXd21icM+cnt4CzD5rW+NC1wjOUSTOs+Te7FOv7AhN7vS9x/oIyhLP5PR1H+phQAHu5Q==}\n\n  enquirer@2.4.1:\n    resolution: {integrity: sha512-rRqJg/6gd538VHvR3PSrdRBb/1Vy2YfzHqzvbhGIQpDRKIa4FgV/54b5Q1xYSxOOwKvjXweS26E0Q+nAMwp2pQ==}\n    engines: {node: '>=8.6'}\n\n  error-ex@1.3.2:\n    resolution: {integrity: sha512-7dFHNmqeFSEt2ZBsCriorKnn3Z2pj+fd9kmI6QoWw4//DL+icEBfc0U7qJCisqrTsKTjw4fNFy2pW9OqStD84g==}\n\n  error-stack-parser@1.3.6:\n    resolution: {integrity: sha512-xhuSYd8wLgOXwNgjcPeXMPL/IiiA1Huck+OPvClpJViVNNlJVtM41o+1emp7bPvlCJwCatFX2DWc05/DgfbWzA==}\n\n  error-stack-parser@2.1.4:\n    resolution: {integrity: sha512-Sk5V6wVazPhq5MhpO+AUxJn5x7XSXGl1R93Vn7i+zS15KDVxQijejNCrz8340/2bgLBjR9GtEG8ZVKONDjcqGQ==}\n\n  es-define-property@1.0.1:\n    resolution: {integrity: sha512-e3nRfgfUZ4rNGL232gUgX06QNyyez04KdjFrF+LTRoOXmrOgFKDg4BCdsjW8EnT69eqdYGmRpJwiPVYNrCaW3g==}\n    engines: {node: '>= 0.4'}\n\n  es-errors@1.3.0:\n    resolution: {integrity: sha512-Zf5H2Kxt2xjTvbJvP2ZWLEICxA6j+hAmMzIlypy4xcBg1vKVnx89Wy0GbS+kf5cwCVFFzdCFh2XSCFNULS6csw==}\n    engines: {node: '>= 0.4'}\n\n  es-module-lexer@0.7.1:\n    resolution: {integrity: sha512-MgtWFl5No+4S3TmhDmCz2ObFGm6lEpTnzbQi+Dd+pw4mlTIZTmM2iAs5gRlmx5zS9luzobCSBSI90JM/1/JgOw==}\n\n  es-object-atoms@1.0.0:\n    resolution: {integrity: sha512-MZ4iQ6JwHOBQjahnjwaC1ZtIBH+2ohjamzAO3oaHcXYup7qxjF2fixyH+Q71voWHeOkI2q/TnJao/KfXYIZWbw==}\n    engines: {node: '>= 0.4'}\n\n  es5-imcompatible-versions@0.1.90:\n    resolution: {integrity: sha512-2MPI0t/VV4j/oz1qbMekb4gCW81dewTpM2XJHKnPpZiPGu+1rVWmhTnwcq1vt8AFwWrkNF4RE7OZ9ibnKFYKwg==}\n\n  esbuild@0.12.15:\n    resolution: {integrity: sha512-72V4JNd2+48eOVCXx49xoSWHgC3/cCy96e7mbXKY+WOWghN00cCmlGnwVLRhRHorvv0dgCyuMYBZlM2xDM5OQw==}\n    hasBin: true\n\n  escalade@3.2.0:\n    resolution: {integrity: sha512-WUj2qlxaQtO4g6Pq5c29GTcWGDyd8itL8zTlipgECz3JesAiiOKotd8JU6otB3PACgG6xkJUyVhboMS+bje/jA==}\n    engines: {node: '>=6'}\n\n  escape-string-regexp@1.0.5:\n    resolution: {integrity: sha512-vbRorB5FUQWvla16U8R/qgaFIya2qGzwDrNmCZuYKrbdSUMG6I1ZCGQRefkRVhuOkIGVne7BQ35DSfo1qvJqFg==}\n    engines: {node: '>=0.8.0'}\n\n  escape-string-regexp@2.0.0:\n    resolution: {integrity: sha512-UpzcLCXolUWcNu5HtVMHYdXJjArjsF9C0aNnquZYY4uW/Vu0miy5YoWvbV345HauVvcAUnpRuhMMcqTcGOY2+w==}\n    engines: {node: '>=8'}\n\n  escodegen@2.1.0:\n    resolution: {integrity: sha512-2NlIDTwUWJN0mRPQOdtQBzbUHvdGY2P1VXSyU83Q3xKxM7WHX2Ql8dKq782Q9TgQUNOLEzEYu9bzLNj1q88I5w==}\n    engines: {node: '>=6.0'}\n    hasBin: true\n\n  esprima@4.0.1:\n    resolution: {integrity: sha512-eGuFFw7Upda+g4p+QHvnW0RyTX/SVeJBDM/gCtMARO0cLuT2HcEKnTPvhjV6aGeqrCB/sbNop0Kszm0jsaWU4A==}\n    engines: {node: '>=4'}\n    hasBin: true\n\n  estraverse@5.3.0:\n    resolution: {integrity: sha512-MMdARuVEQziNTeJD8DgMqmhwR11BRQ/cBP+pLtYdSTnf3MIO8fFeiINEbX36ZdNlfU/7A9f3gUw49B3oQsvwBA==}\n    engines: {node: '>=4.0'}\n\n  esutils@2.0.3:\n    resolution: {integrity: sha512-kVscqXk4OCp68SZ0dkgEKVi6/8ij300KBWTJq32P/dYeWTSwK41WyTxalN1eRmA5Z9UU/LX9D7FWSmV9SAYx6g==}\n    engines: {node: '>=0.10.0'}\n\n  events@3.3.0:\n    resolution: {integrity: sha512-mQw+2fkQbALzQ7V0MY0IqdnXNOeTtP4r0lN9z7AAawCXgqea7bDii20AYrIBrFd/Hx0M2Ocz6S111CaFkUcb0Q==}\n    engines: {node: '>=0.8.x'}\n\n  evp_bytestokey@1.0.3:\n    resolution: {integrity: sha512-/f2Go4TognH/KvCISP7OUsHn85hT9nUkxxA9BEWxFn+Oj9o8ZNLm/40hdlgSLyuOimsrTKLUMEorQexp/aPQeA==}\n\n  exec-sh@0.3.6:\n    resolution: {integrity: sha512-nQn+hI3yp+oD0huYhKwvYI32+JFeq+XkNcD1GAo3Y/MjxsfVGmrrzrnzjWiNY6f+pUCP440fThsFh5gZrRAU/w==}\n\n  execa@0.8.0:\n    resolution: {integrity: sha512-zDWS+Rb1E8BlqqhALSt9kUhss8Qq4nN3iof3gsOdyINksElaPyNBtKUMTR62qhvgVWR0CqCX7sdnKe4MnUbFEA==}\n    engines: {node: '>=4'}\n\n  execa@1.0.0:\n    resolution: {integrity: sha512-adbxcyWV46qiHyvSp50TKt05tB4tK3HcmF7/nxfAdhnox83seTDbwnaqKO4sXRy7roHAIFqJP/Rw/AuEbX61LA==}\n    engines: {node: '>=6'}\n\n  execa@4.1.0:\n    resolution: {integrity: sha512-j5W0//W7f8UxAn8hXVnwG8tLwdiUy4FJLcSupCg6maBYZDpyBvTApK7KyuI4bKj8KOh1r2YH+6ucuYtJv1bTZA==}\n    engines: {node: '>=10'}\n\n  exenv@1.2.2:\n    resolution: {integrity: sha512-Z+ktTxTwv9ILfgKCk32OX3n/doe+OcLTRtqK9pcL+JsP3J1/VW8Uvl4ZjLlKqeW4rzK4oesDOGMEMRIZqtP4Iw==}\n\n  exit@0.1.2:\n    resolution: {integrity: sha512-Zk/eNKV2zbjpKzrsQ+n1G6poVbErQxJ0LBOJXaKZ1EViLzH+hrLu9cdXI4zw9dBQJslwBEpbQ2P1oS7nDxs6jQ==}\n    engines: {node: '>= 0.8.0'}\n\n  expand-brackets@2.1.4:\n    resolution: {integrity: sha512-w/ozOKR9Obk3qoWeY/WDi6MFta9AoMR+zud60mdnbniMcBxRuFJyDt2LdX/14A1UABeqk+Uk+LDfUpvoGKppZA==}\n    engines: {node: '>=0.10.0'}\n\n  expect@26.6.2:\n    resolution: {integrity: sha512-9/hlOBkQl2l/PLHJx6JjoDF6xPKcJEsUlWKb23rKE7KzeDqUZKXKNMW27KIue5JMdBV9HgmoJPcc8HtO85t9IA==}\n    engines: {node: '>= 10.14.2'}\n\n  extend-shallow@2.0.1:\n    resolution: {integrity: sha512-zCnTtlxNoAiDc3gqY2aYAWFx7XWWiasuF2K8Me5WbN8otHKTUKBwjPtNpRs/rbUZm7KxWAaNj7P1a/p52GbVug==}\n    engines: {node: '>=0.10.0'}\n\n  extend-shallow@3.0.2:\n    resolution: {integrity: sha512-BwY5b5Ql4+qZoefgMj2NUmx+tehVTH/Kf4k1ZEtOHNFcm2wSxMRo992l6X3TIgni2eZVTZ85xMOjF31fwZAj6Q==}\n    engines: {node: '>=0.10.0'}\n\n  extglob@2.0.4:\n    resolution: {integrity: sha512-Nmb6QXkELsuBr24CJSkilo6UHHgbekK5UiZgfE6UHD3Eb27YC6oD+bhcT+tJ6cl8dmsgdQxnWlcry8ksBIBLpw==}\n    engines: {node: '>=0.10.0'}\n\n  fast-deep-equal@3.1.1:\n    resolution: {integrity: sha512-8UEa58QDLauDNfpbrX55Q9jrGHThw2ZMdOky5Gl1CDtVeJDPVrG4Jxx1N8jw2gkWaff5UUuX1KJd+9zGe2B+ZA==}\n\n  fast-deep-equal@3.1.3:\n    resolution: {integrity: sha512-f3qQ9oQy9j2AhBe/H9VC91wLmKBCCU/gDOnKNAYG5hswO7BLKj09Hc5HYNz9cGI++xlpDCIgDaitVs03ATR84Q==}\n\n  fast-json-stable-stringify@2.1.0:\n    resolution: {integrity: sha512-lhd/wF+Lk98HZoTCtlVraHtfh5XYijIjalXck7saUtuanSDyLMxnHhSXEDJqHxD7msR8D0uCmqlkwjCV8xvwHw==}\n\n  fb-watchman@2.0.2:\n    resolution: {integrity: sha512-p5161BqbuCaSnB8jIbzQHOlpgsPmK5rJVDfDKO91Axs5NC1uu3HRQm6wt9cd9/+GtQQIO53JdGXXoyDpTAsgYA==}\n\n  fbjs@0.8.18:\n    resolution: {integrity: sha512-EQaWFK+fEPSoibjNy8IxUtaFOMXcWsY0JaVrQoZR9zC8N2Ygf9iDITPWjUTVIax95b6I742JFLqASHfsag/vKA==}\n\n  fill-range@4.0.0:\n    resolution: {integrity: sha512-VcpLTWqWDiTerugjj8e3+esbg+skS3M9e54UuR3iCeIDMXCLTsAH8hTSzDQU/X6/6t3eYkOKoZSef2PlU6U1XQ==}\n    engines: {node: '>=0.10.0'}\n\n  fill-range@7.1.1:\n    resolution: {integrity: sha512-YsGpe3WHLK8ZYi4tWDg2Jy3ebRz2rXowDxnld4bkQB00cc/1Zw9AWnC0i9ztDJitivtQvaI9KaLyKrc+hBW0yg==}\n    engines: {node: '>=8'}\n\n  filter-obj@1.1.0:\n    resolution: {integrity: sha512-8rXg1ZnX7xzy2NGDVkBVaAy+lSlPNwad13BtgSlLuxfIslyt5Vg64U7tFcCt4WS1R0hvtnQybT/IyCkGZ3DpXQ==}\n    engines: {node: '>=0.10.0'}\n\n  find-up@4.1.0:\n    resolution: {integrity: sha512-PpOwAdQ/YlXQ2vj8a3h8IipDuYRi3wceVQQGYWxNINccq40Anw7BlsEXCMbt1Zt+OLA6Fq9suIpIWD0OsnISlw==}\n    engines: {node: '>=8'}\n\n  flatten@1.0.3:\n    resolution: {integrity: sha512-dVsPA/UwQ8+2uoFe5GHtiBMu48dWLTdsuEd7CKGlZlD78r1TTWBvDuFaFGKCo/ZfEr95Uk56vZoX86OsHkUeIg==}\n    deprecated: flatten is deprecated in favor of utility frameworks such as lodash.\n\n  for-in@1.0.2:\n    resolution: {integrity: sha512-7EwmXrOjyL+ChxMhmG5lnW9MPt1aIeZEwKhQzoBUdTV0N3zuwWDZYVJatDvZ2OyzPUvdIAZDsCetk3coyMfcnQ==}\n    engines: {node: '>=0.10.0'}\n\n  form-data@3.0.2:\n    resolution: {integrity: sha512-sJe+TQb2vIaIyO783qN6BlMYWMw3WBOHA1Ay2qxsnjuafEOQFJ2JakedOQirT6D5XPRxDvS7AHYyem9fTpb4LQ==}\n    engines: {node: '>= 6'}\n\n  fragment-cache@0.2.1:\n    resolution: {integrity: sha512-GMBAbW9antB8iZRHLoGw0b3HANt57diZYFO/HL1JGIC1MjKrdmhxvrJbupnVvpys0zsz7yBApXdQyfepKly2kA==}\n    engines: {node: '>=0.10.0'}\n\n  fs.realpath@1.0.0:\n    resolution: {integrity: sha512-OO0pH2lK6a0hZnAdau5ItzHPI6pUlvI7jMVnxUQRtw4owF2wk8lOSabtGDCTP4Ggrg2MbGnWO9X8K1t4+fGMDw==}\n\n  fsevents@2.3.3:\n    resolution: {integrity: sha512-5xoDfX+fL7faATnagmWPpbFtwh/R77WmMMqqHGS65C3vvB0YHrgF+B1YmZ3441tMj5n63k0212XNoJwzlhffQw==}\n    engines: {node: ^8.16.0 || ^10.6.0 || >=11.0.0}\n    os: [darwin]\n\n  function-bind@1.1.2:\n    resolution: {integrity: sha512-7XHNxH7qX9xG5mIwxkhumTox/MIRNcOgDrxWsMt2pAr23WHp6MrRlN7FBSFpCpr+oVO0F744iUgR82nJMfG2SA==}\n\n  gensync@1.0.0-beta.2:\n    resolution: {integrity: sha512-3hN7NaskYvMDLQY55gnW3NQ+mesEAepTqlg+VEbj7zzqEMBVNhzcGYYeqFo/TlYz6eQiFcp1HcsCZO+nGgS8zg==}\n    engines: {node: '>=6.9.0'}\n\n  get-caller-file@2.0.5:\n    resolution: {integrity: sha512-DyFP3BM/3YHTQOCUL/w0OZHR0lpKeGrxotcHWcqNEdnltqFwXVfhEBQ94eIo34AfQpo0rGki4cyIiftY06h2Fg==}\n    engines: {node: 6.* || 8.* || >= 10.*}\n\n  get-intrinsic@1.2.6:\n    resolution: {integrity: sha512-qxsEs+9A+u85HhllWJJFicJfPDhRmjzoYdl64aMWW9yRIJmSyxdn8IEkuIM530/7T+lv0TIHd8L6Q/ra0tEoeA==}\n    engines: {node: '>= 0.4'}\n\n  get-own-enumerable-property-symbols@3.0.2:\n    resolution: {integrity: sha512-I0UBV/XOz1XkIJHEUDMZAbzCThU/H8DxmSfmdGcKPnVhu2VfFqr34jr9777IyaTYvxjedWhqVIilEDsCdP5G6g==}\n\n  get-package-type@0.1.0:\n    resolution: {integrity: sha512-pjzuKtY64GYfWizNAJ0fr9VqttZkNiK2iS430LtIHzjBEr6bX8Am2zm4sW4Ro5wjWW5cAlRL1qAMTcXbjNAO2Q==}\n    engines: {node: '>=8.0.0'}\n\n  get-stream@3.0.0:\n    resolution: {integrity: sha512-GlhdIUuVakc8SJ6kK0zAFbiGzRFzNnY4jUuEbV9UROo4Y+0Ny4fjvcZFVTeDA4odpFyOQzaw6hXukJSq/f28sQ==}\n    engines: {node: '>=4'}\n\n  get-stream@4.1.0:\n    resolution: {integrity: sha512-GMat4EJ5161kIy2HevLlr4luNjBgvmj413KaQA7jt4V8B4RDsfpHk7WQ9GVqfYyyx8OS/L66Kox+rJRNklLK7w==}\n    engines: {node: '>=6'}\n\n  get-stream@5.2.0:\n    resolution: {integrity: sha512-nBF+F1rAZVCu/p7rjzgA+Yb4lfYXrpl7a6VmJrU8wF9I1CKvP/QwPNZHnOlwbTkY6dvtFIzFMSyQXbLoTQPRpA==}\n    engines: {node: '>=8'}\n\n  get-value@2.0.6:\n    resolution: {integrity: sha512-Ln0UQDlxH1BapMu3GPtf7CuYNwRZf2gwCuPqbyG6pB8WfmFpzqcy4xtAaAMUhnNqjMKTiCPZG2oMT3YSx8U2NA==}\n    engines: {node: '>=0.10.0'}\n\n  glob-parent@5.1.2:\n    resolution: {integrity: sha512-AOIgSQCepiJYwP3ARnGx+5VnTu2HBYdzbGP45eLw1vr3zB3vZLeyed1sC9hnbcOc9/SrMyM5RPQrkGz4aS9Zow==}\n    engines: {node: '>= 6'}\n\n  glob@7.2.3:\n    resolution: {integrity: sha512-nFR0zLpU2YCaRxwoCJvL6UvCH2JFyFVIvwTLsIf21AuHlMskA1hhTdk+LlYJtOlYt9v6dvszD2BGRqBL+iQK9Q==}\n    deprecated: Glob versions prior to v9 are no longer supported\n\n  global@4.4.0:\n    resolution: {integrity: sha512-wv/LAoHdRE3BeTGz53FAamhGlPLhlssK45usmGFThIi4XqnBmjKQ16u+RNbP7WvigRZDxUsM0J3gcQ5yicaL0w==}\n\n  globals@11.12.0:\n    resolution: {integrity: sha512-WOBp/EEGUiIsJSp7wcv/y6MO+lV9UoncWqxuFfm8eBwzWNgyfBd6Gz+IeKQ9jCmyhoH99g15M3T+QaVHFjizVA==}\n    engines: {node: '>=4'}\n\n  gopd@1.2.0:\n    resolution: {integrity: sha512-ZUKRh6/kUFoAiTAtTYPZJ3hw9wNxx+BIBOijnlG9PnrJsCcSjs1wyyD6vJpaYtgnzDrKYRSqf3OO6Rfa93xsRg==}\n    engines: {node: '>= 0.4'}\n\n  graceful-fs@4.2.11:\n    resolution: {integrity: sha512-RbJ5/jmFcNNCcDV5o9eTnBLJ/HszWV0P73bc+Ff4nS/rJj+YaS6IGyiOL0VoBYX+l1Wrl3k63h/KrH+nhJ0XvQ==}\n\n  growly@1.3.0:\n    resolution: {integrity: sha512-+xGQY0YyAWCnqy7Cd++hc2JqMYzlm0dG30Jd0beaA64sROr8C4nt8Yc9V5Ro3avlSUDTN0ulqP/VBKi1/lLygw==}\n\n  harmony-reflect@1.6.2:\n    resolution: {integrity: sha512-HIp/n38R9kQjDEziXyDTuW3vvoxxyxjxFzXLrBr18uB47GnSt+G9D29fqrpM5ZkspMcPICud3XsBJQ4Y2URg8g==}\n\n  has-flag@3.0.0:\n    resolution: {integrity: sha512-sKJf1+ceQBr4SMkvQnBDNDtf4TXpVhVGateu0t918bl30FnbE2m4vNLX+VWe/dpjlb+HugGYzW7uQXH98HPEYw==}\n    engines: {node: '>=4'}\n\n  has-flag@4.0.0:\n    resolution: {integrity: sha512-EykJT/Q1KjTWctppgIAgfSO0tKVuZUjhgMr17kqTumMl6Afv3EISleU7qZUzoXDFTAHTDC4NOoG/ZxU3EvlMPQ==}\n    engines: {node: '>=8'}\n\n  has-property-descriptors@1.0.2:\n    resolution: {integrity: sha512-55JNKuIW+vq4Ke1BjOTjM2YctQIvCT7GFzHwmfZPGo5wnrgkid0YQtnAleFSqumZm4az3n2BS+erby5ipJdgrg==}\n\n  has-symbols@1.1.0:\n    resolution: {integrity: sha512-1cDNdwJ2Jaohmb3sg4OmKaMBwuC48sYni5HUw2DvsC8LjGTLK9h+eb1X6RyuOHe4hT0ULCW68iomhjUoKUqlPQ==}\n    engines: {node: '>= 0.4'}\n\n  has-value@0.3.1:\n    resolution: {integrity: sha512-gpG936j8/MzaeID5Yif+577c17TxaDmhuyVgSwtnL/q8UUTySg8Mecb+8Cf1otgLoD7DDH75axp86ER7LFsf3Q==}\n    engines: {node: '>=0.10.0'}\n\n  has-value@1.0.0:\n    resolution: {integrity: sha512-IBXk4GTsLYdQ7Rvt+GRBrFSVEkmuOUy4re0Xjd9kJSUQpnTrWR4/y9RpfexN9vkAPMFuQoeWKwqzPozRTlasGw==}\n    engines: {node: '>=0.10.0'}\n\n  has-values@0.1.4:\n    resolution: {integrity: sha512-J8S0cEdWuQbqD9//tlZxiMuMNmxB8PlEwvYwuxsTmR1G5RXUePEX/SJn7aD0GMLieuZYSwNH0cQuJGwnYunXRQ==}\n    engines: {node: '>=0.10.0'}\n\n  has-values@1.0.0:\n    resolution: {integrity: sha512-ODYZC64uqzmtfGMEAX/FvZiRyWLpAC3vYnNunURUnkGVTS+mI0smVsWaPydRBsE3g+ok7h960jChO8mFcWlHaQ==}\n    engines: {node: '>=0.10.0'}\n\n  hash-base@3.0.5:\n    resolution: {integrity: sha512-vXm0l45VbcHEVlTCzs8M+s0VeYsB2lnlAaThoLKGXr3bE/VWDOelNUnycUPEhKEaXARL2TEFjBOyUiM6+55KBg==}\n    engines: {node: '>= 0.10'}\n\n  hash.js@1.1.7:\n    resolution: {integrity: sha512-taOaskGt4z4SOANNseOviYDvjEJinIkRgmp7LbKP2YTTmVxWBl87s/uzK9r+44BclBSp2X7K1hqeNfz9JbBeXA==}\n\n  hasown@2.0.2:\n    resolution: {integrity: sha512-0hJU9SCPvmMzIBdZFqNPXWa6dqh7WdH0cII9y+CyS8rG3nL48Bclra9HmKhVVUHyPWNH5Y7xDwAB7bfgSjkUMQ==}\n    engines: {node: '>= 0.4'}\n\n  history-with-query@4.10.4:\n    resolution: {integrity: sha512-JnskQK8X+PbRFHSdDAExhoJyhLnlLZL+UuHQuQhys+Se9/ukRDRBWU4JVTjsiIfbv1fcEmR3oqKW56OYmk5M5w==}\n\n  history@4.10.1:\n    resolution: {integrity: sha512-36nwAD620w12kuzPAsyINPWJqlNbij+hpK1k9XRloDtym8mxzGYl2c17LnV6IAGB2Dmg4tEa7G7DlawS0+qjew==}\n\n  history@5.3.0:\n    resolution: {integrity: sha512-ZqaKwjjrAYUYfLG+htGaIIZ4nioX2L70ZUMIFysS3xvBsSG4x/n1V6TXV3N8ZYNuFGlDirFg32T7B6WOUPDYcQ==}\n\n  hmac-drbg@1.0.1:\n    resolution: {integrity: sha512-Tti3gMqLdZfhOQY1Mzf/AanLiqh1WTiJgEj26ZuYQ9fbkLomzGchCws4FyrSd4VkpBfiNhaE1On+lOz894jvXg==}\n\n  hoist-non-react-statics@3.3.2:\n    resolution: {integrity: sha512-/gGivxi8JPKWNm/W0jSmzcMPpfpPLc3dY/6GxhX2hQ9iGj3aDfklV4ET7NjKpSinLpJ5vafa9iiGIEZg10SfBw==}\n\n  hosted-git-info@2.8.9:\n    resolution: {integrity: sha512-mxIDAb9Lsm6DoOJ7xH+5+X4y1LU/4Hi50L9C5sIswK3JzULS4bwk1FvjdBgvYR4bzT4tuUQiC15FE2f5HbLvYw==}\n\n  html-encoding-sniffer@2.0.1:\n    resolution: {integrity: sha512-D5JbOMBIR/TVZkubHT+OyT2705QvogUW4IBn6nHd756OwieSF9aDYFj4dv6HHEVGYbHaLETa3WggZYWWMyy3ZQ==}\n    engines: {node: '>=10'}\n\n  html-entities@2.5.2:\n    resolution: {integrity: sha512-K//PSRMQk4FZ78Kyau+mZurHn3FH0Vwr+H36eE0rPbeYkRRi9YxceYPhuN60UwWorxyKHhqoAJl2OFKa4BVtaA==}\n\n  html-escaper@2.0.2:\n    resolution: {integrity: sha512-H2iMtd0I4Mt5eYiapRdIDjp+XzelXQ0tFE4JS7YFwFevXXMmOp9myNrUvCg0D6ws8iqkRPBfKHgbwig1SmlLfg==}\n\n  http-proxy-agent@4.0.1:\n    resolution: {integrity: sha512-k0zdNgqWTGA6aeIRVpvfVob4fL52dTfaehylg0Y4UvSySvOq/Y+BOyPrgpUrA7HylqvU8vIZGsRuXmspskV0Tg==}\n    engines: {node: '>= 6'}\n\n  https-browserify@1.0.0:\n    resolution: {integrity: sha512-J+FkSdyD+0mA0N+81tMotaRMfSL9SGi+xpD3T6YApKsc3bGSXJlfXri3VyFOeYkfLRQisDk1W+jIFFKBeUBbBg==}\n\n  https-proxy-agent@5.0.1:\n    resolution: {integrity: sha512-dFcAjpTQFgoLMzC2VwU+C/CbS7uRL0lWmxDITmqm7C+7F0Odmj6s9l6alZc6AELXhrnggM2CeWSXHGOdX2YtwA==}\n    engines: {node: '>= 6'}\n\n  human-signals@1.1.1:\n    resolution: {integrity: sha512-SEQu7vl8KjNL2eoGBLF3+wAjpsNfA9XMlXAYj/3EdaNfAlxKthD1xjEQfGOUhllCGGJVNY34bRr6lPINhNjyZw==}\n    engines: {node: '>=8.12.0'}\n\n  iconv-lite@0.4.24:\n    resolution: {integrity: sha512-v3MXnZAcvnywkTUEZomIActle7RXXeedOR31wwl7VlyoXO4Qi9arvSenNQWne1TcRwhCL1HwLI21bEqdpj8/rA==}\n    engines: {node: '>=0.10.0'}\n\n  iconv-lite@0.6.3:\n    resolution: {integrity: sha512-4fCk79wshMdzMp2rH06qWrJE4iolqLhCUH+OiuIgU++RB0+94NlDL81atO7GX55uUKueo0txHNtvEyI6D7WdMw==}\n    engines: {node: '>=0.10.0'}\n\n  identity-obj-proxy@3.0.0:\n    resolution: {integrity: sha512-00n6YnVHKrinT9t0d9+5yZC6UBNJANpYEQvL2LlX6Ab9lnmxzIRcEmTPuyGScvl1+jKuCICX1Z0Ab1pPKKdikA==}\n    engines: {node: '>=4'}\n\n  ieee754@1.2.1:\n    resolution: {integrity: sha512-dcyqhDvX1C46lXZcVqCpK+FtMRQVdIMN6/Df5js2zouUsqG7I6sFxitIC+7KYK29KdXOLHdu9zL4sFnoVQnqaA==}\n\n  immer@7.0.15:\n    resolution: {integrity: sha512-yM7jo9+hvYgvdCQdqvhCNRRio0SCXc8xDPzA25SvKWa7b1WVPjLwQs1VYU5JPXjcJPTqAa5NP5dqpORGYBQ2AA==}\n\n  immutable@3.8.2:\n    resolution: {integrity: sha512-15gZoQ38eYjEjxkorfbcgBKBL6R7T459OuK+CpcWt7O3KF4uPCx2tD0uFETlUDIyo+1789crbMhTvQBSR5yBMg==}\n    engines: {node: '>=0.10.0'}\n\n  import-cwd@2.1.0:\n    resolution: {integrity: sha512-Ew5AZzJQFqrOV5BTW3EIoHAnoie1LojZLXKcCQ/yTRyVZosBhK1x1ViYjHGf5pAFOq8ZyChZp6m/fSN7pJyZtg==}\n    engines: {node: '>=4'}\n\n  import-fresh@2.0.0:\n    resolution: {integrity: sha512-eZ5H8rcgYazHbKC3PG4ClHNykCSxtAhxSSEM+2mb+7evD2CKF5V7c0dNum7AdpDh0ZdICwZY9sRSn8f+KH96sg==}\n    engines: {node: '>=4'}\n\n  import-fresh@3.3.0:\n    resolution: {integrity: sha512-veYYhQa+D1QBKznvhUHxb8faxlrwUnxseDAbAp457E0wLNio2bOSKnjYDhMj+YiAq61xrMGhQk9iXVk5FzgQMw==}\n    engines: {node: '>=6'}\n\n  import-from@2.1.0:\n    resolution: {integrity: sha512-0vdnLL2wSGnhlRmzHJAg5JHjt1l2vYhzJ7tNLGbeVg0fse56tpGaH0uzH+r9Slej+BSXXEHvBKDEnVSLLE9/+w==}\n    engines: {node: '>=4'}\n\n  import-local@3.2.0:\n    resolution: {integrity: sha512-2SPlun1JUPWoM6t3F0dw0FkCF/jWY8kttcY4f599GLTSjh2OCuuhdTkJQsEcZzBqbXZGKMK2OqW1oZsjtf/gQA==}\n    engines: {node: '>=8'}\n    hasBin: true\n\n  imurmurhash@0.1.4:\n    resolution: {integrity: sha512-JmXMZ6wuvDmLiHEml9ykzqO6lwFbof0GG4IkcGaENdCRDDmMVnny7s5HsIgHCbaq0w2MyPhDqkhTUgS2LU2PHA==}\n    engines: {node: '>=0.8.19'}\n\n  indent-string@4.0.0:\n    resolution: {integrity: sha512-EdDDZu4A2OyIK7Lr/2zG+w5jmbuk1DVBnEwREQvBzspBJkCEbRa8GxU1lghYcaGJCnRWibjDXlq779X1/y5xwg==}\n    engines: {node: '>=8'}\n\n  indexes-of@1.0.1:\n    resolution: {integrity: sha512-bup+4tap3Hympa+JBJUG7XuOsdNQ6fxt0MHyXMKuLBKn0OqsTfvUxkUrroEX1+B2VsSHvCjiIcZVxRtYa4nllA==}\n\n  inflight@1.0.6:\n    resolution: {integrity: sha512-k92I/b08q4wvFscXCLvqfsHCrjrF7yiXsQuIVvVE7N82W3+aqpzuUdBbfhWcy/FZR3/4IgflMgKLOsvPDrGCJA==}\n    deprecated: This module is not supported, and leaks memory. Do not use it. Check out lru-cache if you want a good and tested way to coalesce async requests by a key value, which is much more comprehensive and powerful.\n\n  inherits@2.0.3:\n    resolution: {integrity: sha512-x00IRNXNy63jwGkJmzPigoySHbaqpNuzKbBOmzK+g2OdZpQ9w+sxCN+VSB3ja7IAge2OP2qpfxTjeNcyjmW1uw==}\n\n  inherits@2.0.4:\n    resolution: {integrity: sha512-k/vGaX4/Yla3WzyMCvTQOXYeIHvqOKtnqBduzTHpzpQZzAskKMhZ2K+EnBiSM9zGSoIFeMpXKxa4dYeZIQqewQ==}\n\n  intl-format-cache@4.3.1:\n    resolution: {integrity: sha512-OEUYNA7D06agqPOYhbTkl0T8HA3QKSuwWh1HiClEnpd9vw7N+3XsQt5iZ0GUEchp5CW1fQk/tary+NsbF3yQ1Q==}\n\n  intl-messageformat-parser@3.6.4:\n    resolution: {integrity: sha512-RgPGwue0mJtoX2Ax8EmMzJzttxjnva7gx0Q7mKJ4oALrTZvtmCeAw5Msz2PcjW4dtCh/h7vN/8GJCxZO1uv+OA==}\n    deprecated: We've written a new parser that's 6x faster and is backwards compatible. Please use @formatjs/icu-messageformat-parser\n\n  intl-messageformat@7.8.4:\n    resolution: {integrity: sha512-yS0cLESCKCYjseCOGXuV4pxJm/buTfyCJ1nzQjryHmSehlptbZbn9fnlk1I9peLopZGGbjj46yHHiTAEZ1qOTA==}\n\n  intl@1.2.5:\n    resolution: {integrity: sha512-rK0KcPHeBFBcqsErKSpvZnrOmWOj+EmDkyJ57e90YWaQNqbcivcqmKDlHEeNprDWOsKzPsh1BfSpPQdDvclHVw==}\n\n  invariant@2.2.4:\n    resolution: {integrity: sha512-phJfQVBuaJM5raOpJjSfkiD6BpbCE4Ns//LaXl6wGYtUBY83nWS6Rf9tXm2e8VaK60JEjYldbPif/A2B1C2gNA==}\n\n  is-accessor-descriptor@1.0.1:\n    resolution: {integrity: sha512-YBUanLI8Yoihw923YeFUS5fs0fF2f5TSFTNiYAAzhhDscDa3lEqYuz1pDOEP5KvX94I9ey3vsqjJcLVFVU+3QA==}\n    engines: {node: '>= 0.10'}\n\n  is-arrayish@0.2.1:\n    resolution: {integrity: sha512-zz06S8t0ozoDXMG+ube26zeCTNXcKIPJZJi8hBrF4idCLms4CG9QtK7qBl1boi5ODzFpjswb5JPmHCbMpjaYzg==}\n\n  is-binary-path@2.1.0:\n    resolution: {integrity: sha512-ZMERYes6pDydyuGidse7OsHxtbI7WVeUEozgR/g7rd0xUimYNlvZRE/K2MgZTjWy725IfelLeVcEM97mmtRGXw==}\n    engines: {node: '>=8'}\n\n  is-buffer@1.1.6:\n    resolution: {integrity: sha512-NcdALwpXkTm5Zvvbk7owOUSvVvBKDgKP5/ewfXEznmQFfs4ZRmanOeKBTjRVjka3QFoN6XJ+9F3USqfHqTaU5w==}\n\n  is-ci@1.2.1:\n    resolution: {integrity: sha512-s6tfsaQaQi3JNciBH6shVqEDvhGut0SUXr31ag8Pd8BBbVVlcGfWhpPmEOoM6RJ5TFhbypvf5yyRw/VXW1IiWg==}\n    hasBin: true\n\n  is-ci@2.0.0:\n    resolution: {integrity: sha512-YfJT7rkpQB0updsdHLGWrvhBJfcfzNNawYDNIyQXJz0IViGf75O8EBPKSdvw2rF+LGCsX4FZ8tcr3b19LcZq4w==}\n    hasBin: true\n\n  is-core-module@2.15.1:\n    resolution: {integrity: sha512-z0vtXSwucUJtANQWldhbtbt7BnL0vxiFjIdDLAatwhDYty2bad6s+rijD6Ri4YuYJubLzIJLUidCh09e1djEVQ==}\n    engines: {node: '>= 0.4'}\n\n  is-data-descriptor@1.0.1:\n    resolution: {integrity: sha512-bc4NlCDiCr28U4aEsQ3Qs2491gVq4V8G7MQyws968ImqjKuYtTJXrl7Vq7jsN7Ly/C3xj5KWFrY7sHNeDkAzXw==}\n    engines: {node: '>= 0.4'}\n\n  is-descriptor@0.1.7:\n    resolution: {integrity: sha512-C3grZTvObeN1xud4cRWl366OMXZTj0+HGyk4hvfpx4ZHt1Pb60ANSXqCK7pdOTeUQpRzECBSTphqvD7U+l22Eg==}\n    engines: {node: '>= 0.4'}\n\n  is-descriptor@1.0.3:\n    resolution: {integrity: sha512-JCNNGbwWZEVaSPtS45mdtrneRWJFp07LLmykxeFV5F6oBvNF8vHSfJuJgoT472pSfk+Mf8VnlrspaFBHWM8JAw==}\n    engines: {node: '>= 0.4'}\n\n  is-directory@0.3.1:\n    resolution: {integrity: sha512-yVChGzahRFvbkscn2MlwGismPO12i9+znNruC5gVEntG3qu0xQMzsGg/JFbrsqDOHtHFPci+V5aP5T9I+yeKqw==}\n    engines: {node: '>=0.10.0'}\n\n  is-docker@2.2.1:\n    resolution: {integrity: sha512-F+i2BKsFrH66iaUFc0woD8sLy8getkwTwtOBjvs56Cx4CgJDeKQeqfz8wAYiSb8JOprWhHH5p77PbmYCvvUuXQ==}\n    engines: {node: '>=8'}\n    hasBin: true\n\n  is-extendable@0.1.1:\n    resolution: {integrity: sha512-5BMULNob1vgFX6EjQw5izWDxrecWK9AM72rugNr0TFldMOi0fj6Jk+zeKIt0xGj4cEfQIJth4w3OKWOJ4f+AFw==}\n    engines: {node: '>=0.10.0'}\n\n  is-extendable@1.0.1:\n    resolution: {integrity: sha512-arnXMxT1hhoKo9k1LZdmlNyJdDDfy2v0fXjFlmok4+i8ul/6WlbVge9bhM74OpNPQPMGUToDtz+KXa1PneJxOA==}\n    engines: {node: '>=0.10.0'}\n\n  is-extglob@2.1.1:\n    resolution: {integrity: sha512-SbKbANkN603Vi4jEZv49LeVJMn4yGwsbzZworEoyEiutsN3nJYdbO36zfhGJ6QEDpOZIFkDtnq5JRxmvl3jsoQ==}\n    engines: {node: '>=0.10.0'}\n\n  is-fullwidth-code-point@3.0.0:\n    resolution: {integrity: sha512-zymm5+u+sCsSWyD9qNaejV3DFvhCKclKdizYaJUuHA83RLjb7nSuGnddCHGv0hk+KY7BMAlsWeK4Ueg6EV6XQg==}\n    engines: {node: '>=8'}\n\n  is-generator-fn@2.1.0:\n    resolution: {integrity: sha512-cTIB4yPYL/Grw0EaSzASzg6bBy9gqCofvWN8okThAYIxKJZC+udlRAmGbM0XLeniEJSs8uEgHPGuHSe1XsOLSQ==}\n    engines: {node: '>=6'}\n\n  is-glob@4.0.3:\n    resolution: {integrity: sha512-xelSayHH36ZgE7ZWhli7pW34hNbNl8Ojv5KVmkJD4hBdD3th8Tfk9vYasLM+mXWOZhFkgZfxhLSnrwRr4elSSg==}\n    engines: {node: '>=0.10.0'}\n\n  is-number@3.0.0:\n    resolution: {integrity: sha512-4cboCqIpliH+mAvFNegjZQ4kgKc3ZUhQVr3HvWbSh5q3WH2v82ct+T2Y1hdU5Gdtorx/cLifQjqCbL7bpznLTg==}\n    engines: {node: '>=0.10.0'}\n\n  is-number@7.0.0:\n    resolution: {integrity: sha512-41Cifkg6e8TylSpdtTpeLVMqvSBEVzTttHvERD741+pnZ8ANv0004MRL43QKPDlK9cGvNp6NZWZUBlbGXYxxng==}\n    engines: {node: '>=0.12.0'}\n\n  is-obj@1.0.1:\n    resolution: {integrity: sha512-l4RyHgRqGN4Y3+9JHVrNqO+tN0rV5My76uW5/nuO4K1b6vw5G8d/cmFjP9tRfEsdhZNt0IFdZuK/c2Vr4Nb+Qg==}\n    engines: {node: '>=0.10.0'}\n\n  is-plain-obj@1.1.0:\n    resolution: {integrity: sha512-yvkRyxmFKEOQ4pNXCmJG5AEQNlXJS5LaONXo5/cLdTZdWvsZ1ioJEonLGAosKlMWE8lwUy/bJzMjcw8az73+Fg==}\n    engines: {node: '>=0.10.0'}\n\n  is-plain-object@2.0.4:\n    resolution: {integrity: sha512-h5PpgXkWitc38BBMYawTYMWJHFZJVnBquFE57xFpjB8pJFiF6gZ+bU+WyI/yqXiFR5mdLsgYNaPe8uao6Uv9Og==}\n    engines: {node: '>=0.10.0'}\n\n  is-potential-custom-element-name@1.0.1:\n    resolution: {integrity: sha512-bCYeRA2rVibKZd+s2625gGnGF/t7DSqDs4dP7CrLA1m7jKWz6pps0LpYLJN8Q64HtmPKJ1hrN3nzPNKFEKOUiQ==}\n\n  is-regexp@1.0.0:\n    resolution: {integrity: sha512-7zjFAPO4/gwyQAAgRRmqeEeyIICSdmCqa3tsVHMdBzaXXRiqopZL4Cyghg/XulGWrtABTpbnYYzzIRffLkP4oA==}\n    engines: {node: '>=0.10.0'}\n\n  is-stream@1.1.0:\n    resolution: {integrity: sha512-uQPm8kcs47jx38atAcWTVxyltQYoPT68y9aWYdV6yWXSyW8mzSat0TL6CiWdZeCdF3KrAvpVtnHbTv4RN+rqdQ==}\n    engines: {node: '>=0.10.0'}\n\n  is-stream@2.0.1:\n    resolution: {integrity: sha512-hFoiJiTl63nn+kstHGBtewWSKnQLpyb155KHheA1l39uvtO9nWIop1p3udqPcUd/xbF1VLMO4n7OI6p7RbngDg==}\n    engines: {node: '>=8'}\n\n  is-typedarray@1.0.0:\n    resolution: {integrity: sha512-cyA56iCMHAh5CdzjJIa4aohJyeO1YbwLi3Jc35MmRU6poroFjIGZzUzupGiRPOjgHg9TLu43xbpwXk523fMxKA==}\n\n  is-unicode-supported@0.1.0:\n    resolution: {integrity: sha512-knxG2q4UC3u8stRGyAVJCOdxFmv5DZiRcdlIaAQXAbSfJya+OhopNotLQrstBhququ4ZpuKbDc/8S6mgXgPFPw==}\n    engines: {node: '>=10'}\n\n  is-windows@1.0.2:\n    resolution: {integrity: sha512-eXK1UInq2bPmjyX6e3VHIzMLobc4J94i4AWn+Hpq3OU5KkrRC96OAcR3PRJ/pGu6m8TRnBHP9dkXQVsT/COVIA==}\n    engines: {node: '>=0.10.0'}\n\n  is-wsl@2.2.0:\n    resolution: {integrity: sha512-fKzAra0rGJUUBwGBgNkHZuToZcn+TtXHpeCgmkMJMMYx1sQDYaCSyjJBSCa2nH1DGm7s3n1oBnohoVTBaN7Lww==}\n    engines: {node: '>=8'}\n\n  isarray@0.0.1:\n    resolution: {integrity: sha512-D2S+3GLxWH+uhrNEcoh/fnmYeP8E8/zHl644d/jdA0g2uyXvy3sb0qxotE+ne0LtccHknQzWwZEzhak7oJ0COQ==}\n\n  isarray@1.0.0:\n    resolution: {integrity: sha512-VLghIWNM6ELQzo7zwmcg0NmTVyWKYjvIeM83yjp0wRDTmUnrM678fQbcKBo6n2CJEF0szoG//ytg+TKla89ALQ==}\n\n  isexe@2.0.0:\n    resolution: {integrity: sha512-RHxMLp9lnKHGHRng9QFhRCMbYAcVpn69smSGcq3f36xjgVVWThj4qqLbTLlq7Ssj8B+fIQ1EuCEGI2lKsyQeIw==}\n\n  isobject@2.1.0:\n    resolution: {integrity: sha512-+OUdGJlgjOBZDfxnDjYYG6zp487z0JGNQq3cYQYg5f5hKR+syHMsaztzGeml/4kGG55CSpKSpWTY+jYGgsHLgA==}\n    engines: {node: '>=0.10.0'}\n\n  isobject@3.0.1:\n    resolution: {integrity: sha512-WhB9zCku7EGTj/HQQRz5aUQEUeoQZH2bWcltRErOpymJ4boYE6wL9Tbr23krRPSZ+C5zqNSrSw+Cc7sZZ4b7vg==}\n    engines: {node: '>=0.10.0'}\n\n  isomorphic-fetch@2.2.1:\n    resolution: {integrity: sha512-9c4TNAKYXM5PRyVcwUZrF3W09nQ+sO7+jydgs4ZGW9dhsLG2VOlISJABombdQqQRXCwuYG3sYV/puGf5rp0qmA==}\n\n  istanbul-lib-coverage@3.2.2:\n    resolution: {integrity: sha512-O8dpsF+r0WV/8MNRKfnmrtCWhuKjxrq2w+jpzBL5UZKTi2LeVWnWOmWRxFlesJONmc+wLAGvKQZEOanko0LFTg==}\n    engines: {node: '>=8'}\n\n  istanbul-lib-instrument@4.0.3:\n    resolution: {integrity: sha512-BXgQl9kf4WTCPCCpmFGoJkz/+uhvm7h7PFKUYxh7qarQd3ER33vHG//qaE8eN25l07YqZPpHXU9I09l/RD5aGQ==}\n    engines: {node: '>=8'}\n\n  istanbul-lib-instrument@5.2.1:\n    resolution: {integrity: sha512-pzqtp31nLv/XFOzXGuvhCb8qhjmTVo5vjVk19XE4CRlSWz0KoeJ3bw9XsA7nOp9YBf4qHjwBxkDzKcME/J29Yg==}\n    engines: {node: '>=8'}\n\n  istanbul-lib-report@3.0.1:\n    resolution: {integrity: sha512-GCfE1mtsHGOELCU8e/Z7YWzpmybrx/+dSTfLrvY8qRmaY6zXTKWn6WQIjaAFw069icm6GVMNkgu0NzI4iPZUNw==}\n    engines: {node: '>=10'}\n\n  istanbul-lib-source-maps@4.0.1:\n    resolution: {integrity: sha512-n3s8EwkdFIJCG3BPKBYvskgXGoy88ARzvegkitk60NxRdwltLOTaH7CUiMRXvwYorl0Q712iEjcWB+fK/MrWVw==}\n    engines: {node: '>=10'}\n\n  istanbul-reports@3.1.7:\n    resolution: {integrity: sha512-BewmUXImeuRk2YY0PVbxgKAysvhRPUQE0h5QRM++nVWyubKGV0l8qQ5op8+B2DOmwSe63Jivj0BjkPQVf8fP5g==}\n    engines: {node: '>=8'}\n\n  javascript-stringify@2.1.0:\n    resolution: {integrity: sha512-JVAfqNPTvNq3sB/VHQJAFxN/sPgKnsKrCwyRt15zwNCdrMMJDdcEOdubuy+DuJYYdm0ox1J4uzEuYKkN+9yhVg==}\n\n  jest-changed-files@26.6.2:\n    resolution: {integrity: sha512-fDS7szLcY9sCtIip8Fjry9oGf3I2ht/QT21bAHm5Dmf0mD4X3ReNUf17y+bO6fR8WgbIZTlbyG1ak/53cbRzKQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-cli@26.6.3:\n    resolution: {integrity: sha512-GF9noBSa9t08pSyl3CY4frMrqp+aQXFGFkf5hEPbh/pIUFYWMK6ZLTfbmadxJVcJrdRoChlWQsA2VkJcDFK8hg==}\n    engines: {node: '>= 10.14.2'}\n    hasBin: true\n\n  jest-config@26.6.3:\n    resolution: {integrity: sha512-t5qdIj/bCj2j7NFVHb2nFB4aUdfucDn3JRKgrZnplb8nieAirAzRSHP8uDEd+qV6ygzg9Pz4YG7UTJf94LPSyg==}\n    engines: {node: '>= 10.14.2'}\n    peerDependencies:\n      ts-node: '>=9.0.0'\n    peerDependenciesMeta:\n      ts-node:\n        optional: true\n\n  jest-diff@26.6.2:\n    resolution: {integrity: sha512-6m+9Z3Gv9wN0WFVasqjCL/06+EFCMTqDEUl/b87HYK2rAPTyfz4ZIuSlPhY51PIQRWx5TaxeF1qmXKe9gfN3sA==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-docblock@26.0.0:\n    resolution: {integrity: sha512-RDZ4Iz3QbtRWycd8bUEPxQsTlYazfYn/h5R65Fc6gOfwozFhoImx+affzky/FFBuqISPTqjXomoIGJVKBWoo0w==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-each@26.6.2:\n    resolution: {integrity: sha512-Mer/f0KaATbjl8MCJ+0GEpNdqmnVmDYqCTJYTvoo7rqmRiDllmp2AYN+06F93nXcY3ur9ShIjS+CO/uD+BbH4A==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-environment-jsdom@26.6.2:\n    resolution: {integrity: sha512-jgPqCruTlt3Kwqg5/WVFyHIOJHsiAvhcp2qiR2QQstuG9yWox5+iHpU3ZrcBxW14T4fe5Z68jAfLRh7joCSP2Q==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-environment-node@26.6.2:\n    resolution: {integrity: sha512-zhtMio3Exty18dy8ee8eJ9kjnRyZC1N4C1Nt/VShN1apyXc8rWGtJ9lI7vqiWcyyXS4BVSEn9lxAM2D+07/Tag==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-get-type@26.3.0:\n    resolution: {integrity: sha512-TpfaviN1R2pQWkIihlfEanwOXK0zcxrKEE4MlU6Tn7keoXdN6/3gK/xl0yEh8DOunn5pOVGKf8hB4R9gVh04ig==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-haste-map@26.6.2:\n    resolution: {integrity: sha512-easWIJXIw71B2RdR8kgqpjQrbMRWQBgiBwXYEhtGUTaX+doCjBheluShdDMeR8IMfJiTqH4+zfhtg29apJf/8w==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-jasmine2@26.6.3:\n    resolution: {integrity: sha512-kPKUrQtc8aYwBV7CqBg5pu+tmYXlvFlSFYn18ev4gPFtrRzB15N2gW/Roew3187q2w2eHuu0MU9TJz6w0/nPEg==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-leak-detector@26.6.2:\n    resolution: {integrity: sha512-i4xlXpsVSMeKvg2cEKdfhh0H39qlJlP5Ex1yQxwF9ubahboQYMgTtz5oML35AVA3B4Eu+YsmwaiKVev9KCvLxg==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-matcher-utils@26.6.2:\n    resolution: {integrity: sha512-llnc8vQgYcNqDrqRDXWwMr9i7rS5XFiCwvh6DTP7Jqa2mqpcCBBlpCbn+trkG0KNhPu/h8rzyBkriOtBstvWhw==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-message-util@26.6.2:\n    resolution: {integrity: sha512-rGiLePzQ3AzwUshu2+Rn+UMFk0pHN58sOG+IaJbk5Jxuqo3NYO1U2/MIR4S1sKgsoYSXSzdtSa0TgrmtUwEbmA==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-mock@26.6.2:\n    resolution: {integrity: sha512-YyFjePHHp1LzpzYcmgqkJ0nm0gg/lJx2aZFzFy1S6eUqNjXsOqTK10zNRff2dNfssgokjkG65OlWNcIlgd3zew==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-pnp-resolver@1.2.3:\n    resolution: {integrity: sha512-+3NpwQEnRoIBtx4fyhblQDPgJI0H1IEIkX7ShLUjPGA7TtUTvI1oiKi3SR4oBR0hQhQR80l4WAe5RrXBwWMA8w==}\n    engines: {node: '>=6'}\n    peerDependencies:\n      jest-resolve: '*'\n    peerDependenciesMeta:\n      jest-resolve:\n        optional: true\n\n  jest-regex-util@26.0.0:\n    resolution: {integrity: sha512-Gv3ZIs/nA48/Zvjrl34bf+oD76JHiGDUxNOVgUjh3j890sblXryjY4rss71fPtD/njchl6PSE2hIhvyWa1eT0A==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-resolve-dependencies@26.6.3:\n    resolution: {integrity: sha512-pVwUjJkxbhe4RY8QEWzN3vns2kqyuldKpxlxJlzEYfKSvY6/bMvxoFrYYzUO1Gx28yKWN37qyV7rIoIp2h8fTg==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-resolve@26.6.2:\n    resolution: {integrity: sha512-sOxsZOq25mT1wRsfHcbtkInS+Ek7Q8jCHUB0ZUTP0tc/c41QHriU/NunqMfCUWsL4H3MHpvQD4QR9kSYhS7UvQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-runner@26.6.3:\n    resolution: {integrity: sha512-atgKpRHnaA2OvByG/HpGA4g6CSPS/1LK0jK3gATJAoptC1ojltpmVlYC3TYgdmGp+GLuhzpH30Gvs36szSL2JQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-runtime@26.6.3:\n    resolution: {integrity: sha512-lrzyR3N8sacTAMeonbqpnSka1dHNux2uk0qqDXVkMv2c/A3wYnvQ4EXuI013Y6+gSKSCxdaczvf4HF0mVXHRdw==}\n    engines: {node: '>= 10.14.2'}\n    hasBin: true\n\n  jest-serializer@26.6.2:\n    resolution: {integrity: sha512-S5wqyz0DXnNJPd/xfIzZ5Xnp1HrJWBczg8mMfMpN78OJ5eDxXyf+Ygld9wX1DnUWbIbhM1YDY95NjR4CBXkb2g==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-snapshot@26.6.2:\n    resolution: {integrity: sha512-OLhxz05EzUtsAmOMzuupt1lHYXCNib0ECyuZ/PZOx9TrZcC8vL0x+DUG3TL+GLX3yHG45e6YGjIm0XwDc3q3og==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-util@26.6.2:\n    resolution: {integrity: sha512-MDW0fKfsn0OI7MS7Euz6h8HNDXVQ0gaM9uW6RjfDmd1DAFcaxX9OqIakHIqhbnmF08Cf2DLDG+ulq8YQQ0Lp0Q==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-validate@26.6.2:\n    resolution: {integrity: sha512-NEYZ9Aeyj0i5rQqbq+tpIOom0YS1u2MVu6+euBsvpgIme+FOfRmoC4R5p0JiAUpaFvFy24xgrpMknarR/93XjQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-watcher@26.6.2:\n    resolution: {integrity: sha512-WKJob0P/Em2csiVthsI68p6aGKTIcsfjH9Gsx1f0A3Italz43e3ho0geSAVsmj09RWOELP1AZ/DXyJgOgDKxXQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-worker@24.9.0:\n    resolution: {integrity: sha512-51PE4haMSXcHohnSMdM42anbvZANYTqMrr52tVKPqqsPJMzoP6FYYDVqahX/HrAoKEKz3uUPzSvKs9A3qR4iVw==}\n    engines: {node: '>= 6'}\n\n  jest-worker@26.6.2:\n    resolution: {integrity: sha512-KWYVV1c4i+jbMpaBC+U++4Va0cp8OisU185o73T1vo99hqi7w8tSJfUXYswwqqrjzwxa6KpRK54WhPvwf5w6PQ==}\n    engines: {node: '>= 10.13.0'}\n\n  jest@26.6.3:\n    resolution: {integrity: sha512-lGS5PXGAzR4RF7V5+XObhqz2KZIDUA1yD0DG6pBVmy10eh0ZIXQImRuzocsI/N2XZ1GrLFwTS27In2i2jlpq1Q==}\n    engines: {node: '>= 10.14.2'}\n    hasBin: true\n\n  js-tokens@4.0.0:\n    resolution: {integrity: sha512-RdJUflcE3cUzKiMqQgsCu06FPu9UdIJO0beYbPhHN4k6apgJtifcoCtT9bcxOpYBtpD2kCM6Sbzg4CausW/PKQ==}\n\n  js-yaml@3.14.1:\n    resolution: {integrity: sha512-okMH7OXXJ7YrN9Ok3/SXrnu4iX9yOk+25nqX4imS2npuvTYDmo/QEZoqwZkYaIDk3jVvBOTOIEgEhaLOynBS9g==}\n    hasBin: true\n\n  jsdom@16.7.0:\n    resolution: {integrity: sha512-u9Smc2G1USStM+s/x1ru5Sxrl6mPYCbByG1U/hUmqaVsm4tbNyS7CicOSRyuGQYZhTu0h84qkZZQ/I+dzizSVw==}\n    engines: {node: '>=10'}\n    peerDependencies:\n      canvas: ^2.5.0\n    peerDependenciesMeta:\n      canvas:\n        optional: true\n\n  jsesc@3.1.0:\n    resolution: {integrity: sha512-/sM3dO2FOzXjKQhJuo0Q173wf2KOo8t4I8vHy6lF9poUp7bKT0/NHE8fPX23PwfhnykfqnC2xRxOnVw5XuGIaA==}\n    engines: {node: '>=6'}\n    hasBin: true\n\n  json-parse-better-errors@1.0.2:\n    resolution: {integrity: sha512-mrqyZKfX5EhL7hvqcV6WG1yYjnjeuYDzDhhcAAUrq8Po85NBQBJP+ZDUT75qZQ98IkUoBqdkExkukOU7Ts2wrw==}\n\n  json-parse-even-better-errors@2.3.1:\n    resolution: {integrity: sha512-xyFwyhro/JEof6Ghe2iz2NcXoj2sloNsWr/XsERDK/oiPCfaNhl5ONfp+jQdAZRQQ0IJWNzH9zIZF7li91kh2w==}\n\n  json-schema-traverse@0.4.1:\n    resolution: {integrity: sha512-xbbCH5dCYU5T8LcEhhuh7HJ88HXuW3qsI3Y0zOZFKfZEHcpWiHU/Jxzk629Brsab/mMiHQti9wMP+845RPe3Vg==}\n\n  json2mq@0.2.0:\n    resolution: {integrity: sha512-SzoRg7ux5DWTII9J2qkrZrqV1gt+rTaoufMxEzXbS26Uid0NwaJd123HcoB80TgubEppxxIGdNxCx50fEoEWQA==}\n\n  json5@1.0.2:\n    resolution: {integrity: sha512-g1MWMLBiz8FKi1e4w0UyVL3w+iJceWAFBAaBnnGKOpNa5f8TLktkbre1+s6oICydWAm+HRUGTmI+//xv2hvXYA==}\n    hasBin: true\n\n  json5@2.2.3:\n    resolution: {integrity: sha512-XmOWe7eyHYH14cLdVPoyg+GOH3rYX++KpzrylJwSW98t3Nk+U8XOl8FWKOgwtzdb8lXGf6zYwDUzeHMWfxasyg==}\n    engines: {node: '>=6'}\n    hasBin: true\n\n  kind-of@3.2.2:\n    resolution: {integrity: sha512-NOW9QQXMoZGg/oqnVNoNTTIFEIid1627WCffUBJEdMxYApq7mNE7CpzucIPc+ZQg25Phej7IJSmX3hO+oblOtQ==}\n    engines: {node: '>=0.10.0'}\n\n  kind-of@4.0.0:\n    resolution: {integrity: sha512-24XsCxmEbRwEDbz/qz3stgin8TTzZ1ESR56OMCN0ujYg+vRutNSiOj9bHH9u85DKgXguraugV5sFuvbD4FW/hw==}\n    engines: {node: '>=0.10.0'}\n\n  kind-of@6.0.3:\n    resolution: {integrity: sha512-dcS1ul+9tmeD95T+x28/ehLgd9mENa3LsvDTtzm3vyBEO7RPptvAD+t44WVXaUjTBRcrpFeFlC8WCruUR456hw==}\n    engines: {node: '>=0.10.0'}\n\n  kleur@3.0.3:\n    resolution: {integrity: sha512-eTIzlVOSUR+JxdDFepEYcBMtZ9Qqdef+rnzWdRZuMbOywu5tO2w2N7rqjoANZ5k9vywhL6Br1VRjUIgTQx4E8w==}\n    engines: {node: '>=6'}\n\n  leven@3.1.0:\n    resolution: {integrity: sha512-qsda+H8jTaUaN/x5vzW2rzc+8Rw4TAQ/4KjB46IwK5VH+IlVeeeje/EoZRpiXvIqjFgK84QffqPztGI3VBLG1A==}\n    engines: {node: '>=6'}\n\n  lines-and-columns@1.2.4:\n    resolution: {integrity: sha512-7ylylesZQ/PV29jhEDl3Ufjo6ZX7gCqJr5F7PKrqc93v7fzSymt1BpwEU8nAUXs8qzzvqhbjhK5QZg6Mt/HkBg==}\n\n  lint-staged@10.5.4:\n    resolution: {integrity: sha512-EechC3DdFic/TdOPgj/RB3FicqE6932LTHCUm0Y2fsD9KGlLB+RwJl2q1IYBIvEsKzDOgn0D4gll+YxG5RsrKg==}\n    hasBin: true\n\n  listr2@3.14.0:\n    resolution: {integrity: sha512-TyWI8G99GX9GjE54cJ+RrNMcIFBfwMPxc3XTFiAYGN4s10hWROGtOg7+O6u6LE3mNkyld7RSLE6nrKBvTfcs3g==}\n    engines: {node: '>=10.0.0'}\n    peerDependencies:\n      enquirer: '>= 2.3.0 < 3'\n    peerDependenciesMeta:\n      enquirer:\n        optional: true\n\n  loader-utils@1.4.2:\n    resolution: {integrity: sha512-I5d00Pd/jwMD2QCduo657+YM/6L3KZu++pmX9VFncxaxvHcru9jx1lBaFft+r4Mt2jK0Yhp41XlRAihzPxHNCg==}\n    engines: {node: '>=4.0.0'}\n\n  locate-path@5.0.0:\n    resolution: {integrity: sha512-t7hw9pI+WvuwNJXwk5zVHpyhIqzg2qTlklJOf0mVxGSbe3Fp2VieZcduNYjaLDoy6p9uGpQEGWG87WpMKlNq8g==}\n    engines: {node: '>=8'}\n\n  lodash.debounce@4.0.8:\n    resolution: {integrity: sha512-FT1yDzDYEoYWhnSGnpE/4Kj1fLZkDFyqRb7fNt6FdYOSxlUWAtp42Eh6Wb0rGIv/m9Bgo7x4GhQbm5Ys4SG5ow==}\n\n  lodash.isequal@4.5.0:\n    resolution: {integrity: sha512-pDo3lu8Jhfjqls6GkMgpahsF9kCyayhgykjyLMNFTKWrpVdAQtYyB4muAMWozBB4ig/dtWAmsMxLEI8wuz+DYQ==}\n\n  lodash.merge@4.6.2:\n    resolution: {integrity: sha512-0KpjqXRVvrYyCsX1swR/XTK0va6VQkQM6MNo7PqW77ByjAhoARA8EfrP1N4+KlKj8YS0ZUCtRT/YUuhyYDujIQ==}\n\n  lodash.throttle@4.1.1:\n    resolution: {integrity: sha512-wIkUCfVKpVsWo3JSZlc+8MB5it+2AN5W8J7YVMST30UrvcQNZ1Okbj+rbVniijTWE6FGYy4XJq/rHkas8qJMLQ==}\n\n  lodash@4.17.21:\n    resolution: {integrity: sha512-v2kDEe57lecTulaDIuNTPy3Ry4gLGJ6Z1O3vE1krgXZNrsQ+LFTGHVxVjcXPs17LhbZVGedAJv8XZ1tvj5FvSg==}\n\n  log-symbols@4.1.0:\n    resolution: {integrity: sha512-8XPvpAA8uyhfteu8pIvQxpJZ7SYYdpUivZpGy6sFsBuKRY/7rQGavedeB8aK+Zkyq6upMFVL/9AW6vOYzfRyLg==}\n    engines: {node: '>=10'}\n\n  log-update@4.0.0:\n    resolution: {integrity: sha512-9fkkDevMefjg0mmzWFBW8YkFP91OrizzkW3diF7CpG+S2EYdy4+TVfGwz1zeF8x7hCx1ovSPTOE9Ngib74qqUg==}\n    engines: {node: '>=10'}\n\n  loose-envify@1.4.0:\n    resolution: {integrity: sha512-lyuxPGr/Wfhrlem2CL/UcnUc1zcqKAImBDzukY7Y5F/yQiNdko6+fRLevlw1HgMySw7f611UIY408EtxRSoK3Q==}\n    hasBin: true\n\n  lru-cache@4.1.5:\n    resolution: {integrity: sha512-sWZlbEP2OsHNkXrMl5GYk/jKk70MBng6UU4YI/qGDYbgf6YbP4EvmqISbXCoJiRKs+1bSpFHVgQxvJ17F2li5g==}\n\n  lru-cache@5.1.1:\n    resolution: {integrity: sha512-KpNARQA3Iwv+jTA0utUVVbrh+Jlrr1Fv0e56GGzAFOXN7dk/FviaDW8LHmK52DlcH4WP2n6gI8vN1aesBFgo9w==}\n\n  make-dir@4.0.0:\n    resolution: {integrity: sha512-hXdUTZYIVOt1Ex//jAQi+wTZZpUpwBj/0QsOzqegb3rGMMeJiSEu5xLHnYfBrRV4RH2+OCSOO95Is/7x1WJ4bw==}\n    engines: {node: '>=10'}\n\n  makeerror@1.0.12:\n    resolution: {integrity: sha512-JmqCvUhmt43madlpFzG4BQzG2Z3m6tvQDNKdClZnO3VbIudJYmxsT0FNJMeiB2+JTSlTQTSbU8QdesVmwJcmLg==}\n\n  map-cache@0.2.2:\n    resolution: {integrity: sha512-8y/eV9QQZCiyn1SprXSrCmqJN0yNRATe+PO8ztwqrvrbdRLA3eYJF0yaR0YayLWkMbsQSKWS9N2gPcGEc4UsZg==}\n    engines: {node: '>=0.10.0'}\n\n  map-visit@1.0.0:\n    resolution: {integrity: sha512-4y7uGv8bd2WdM9vpQsiQNo41Ln1NvhvDRuVt0k2JZQ+ezN2uaQes7lZeZ+QQUHOLQAtDaBJ+7wCbi+ab/KFs+w==}\n    engines: {node: '>=0.10.0'}\n\n  math-intrinsics@1.0.0:\n    resolution: {integrity: sha512-4MqMiKP90ybymYvsut0CH2g4XWbfLtmlCkXmtmdcDCxNB+mQcu1w/1+L/VD7vi/PSv7X2JYV7SCcR+jiPXnQtA==}\n    engines: {node: '>= 0.4'}\n\n  md5.js@1.3.5:\n    resolution: {integrity: sha512-xitP+WxNPcTTOgnTJcrhM0xvdPepipPSf3I8EIpGKeFLjt3PlJLIDG3u8EX53ZIubkb+5U2+3rELYpEhHhzdkg==}\n\n  memoize-one@5.2.1:\n    resolution: {integrity: sha512-zYiwtZUcYyXKo/np96AGZAckk+FWWsUdJ3cHGGmld7+AhvcWmQyGCYUh1hc4Q/pkOhb65dQR/pqCyK0cOaHz4Q==}\n\n  merge-stream@2.0.0:\n    resolution: {integrity: sha512-abv/qOcuPfk3URPfDzmZU1LKmuw8kT+0nIHvKrKgFrwifol/doWcdA4ZqsWQ8ENrFKkd67Mfpo/LovbIUsbt3w==}\n\n  micromatch@3.1.10:\n    resolution: {integrity: sha512-MWikgl9n9M3w+bpsY3He8L+w9eF9338xRl8IAO5viDizwSzziFEyUzo2xrrloB64ADbTf8uA8vRqqttDTOmccg==}\n    engines: {node: '>=0.10.0'}\n\n  micromatch@4.0.8:\n    resolution: {integrity: sha512-PXwfBhYu0hBCPw8Dn0E+WDYb7af3dSLVWKi3HGv84IdF4TyFoC0ysxFd0Goxw7nSv4T/PzEJQxsYsEiFCKo2BA==}\n    engines: {node: '>=8.6'}\n\n  miller-rabin@4.0.1:\n    resolution: {integrity: sha512-115fLhvZVqWwHPbClyntxEVfVDfl9DLLTuJvq3g2O/Oxi8AiNouAHvDSzHS0viUJc+V5vm3eq91Xwqn9dp4jRA==}\n    hasBin: true\n\n  mime-db@1.52.0:\n    resolution: {integrity: sha512-sPU4uV7dYlvtWJxwwxHD0PuihVNiE7TyAbQ5SWxDCB9mUYvOgroQOwYQQOKPJ8CIbE+1ETVlOoK1UC2nU3gYvg==}\n    engines: {node: '>= 0.6'}\n\n  mime-types@2.1.35:\n    resolution: {integrity: sha512-ZDY+bPm5zTTF+YpCrAU9nK0UgICYPT0QtT1NZWFv4s++TNkcgVaT0g6+4R2uI4MjQjzysHB1zxuWL50hzaeXiw==}\n    engines: {node: '>= 0.6'}\n\n  mime@1.4.1:\n    resolution: {integrity: sha512-KI1+qOZu5DcW6wayYHSzR/tXKCDC5Om4s1z2QJjDULzLcmf3DvzS7oluY4HCTrc+9FiKmWUgeNLg7W3uIQvxtQ==}\n    hasBin: true\n\n  mimic-fn@2.1.0:\n    resolution: {integrity: sha512-OqbOk5oEQeAZ8WXWydlu9HJjz9WVdEIvamMCcXmuqUYjTknH/sqsWvhQ3vgwKFRR1HpjvNBKQ37nbJgYzGqGcg==}\n    engines: {node: '>=6'}\n\n  min-document@2.19.0:\n    resolution: {integrity: sha512-9Wy1B3m3f66bPPmU5hdA4DR4PB2OfDU/+GS3yAB7IQozE3tqXaVv2zOjgla7MEGSRv95+ILmOuvhLkOK6wJtCQ==}\n\n  mini-create-react-context@0.4.1:\n    resolution: {integrity: sha512-YWCYEmd5CQeHGSAKrYvXgmzzkrvssZcuuQDDeqkT+PziKGMgE+0MCCtcKbROzocGBG1meBLl2FotlRwf4gAzbQ==}\n    deprecated: Package no longer supported. Contact Support at https://www.npmjs.com/support for more info.\n    peerDependencies:\n      prop-types: ^15.0.0\n      react: ^0.14.0 || ^15.0.0 || ^16.0.0 || ^17.0.0\n\n  minimalistic-assert@1.0.1:\n    resolution: {integrity: sha512-UtJcAD4yEaGtjPezWuO9wC4nwUnVH/8/Im3yEHQP4b67cXlD/Qr9hdITCU1xDbSEXg2XKNaP8jsReV7vQd00/A==}\n\n  minimalistic-crypto-utils@1.0.1:\n    resolution: {integrity: sha512-JIYlbt6g8i5jKfJ3xz7rF0LXmv2TkDxBLUkiBeZ7bAx4GnnNMr8xFpGnOxn6GhTEHx3SjRrZEoU+j04prX1ktg==}\n\n  minimatch@3.1.2:\n    resolution: {integrity: sha512-J7p63hRiAjw1NDEww1W7i37+ByIrOWO5XQQAzZ3VOcL0PNybwpfmV/N05zFAzwQ9USyEcX6t3UO+K5aqBQOIHw==}\n\n  minimist@1.2.8:\n    resolution: {integrity: sha512-2yyAR8qBkN3YuheJanUpWC5U3bb5osDywNB8RzDVlDwDHbocAJveqqj1u8+SVD7jkWT4yvsHCpWqqWqAxb0zCA==}\n\n  mixin-deep@1.3.2:\n    resolution: {integrity: sha512-WRoDn//mXBiJ1H40rqa3vH0toePwSsGb45iInWlTySa+Uu4k3tYUSxa2v1KqAiLtvlrSzaExqS1gtk96A9zvEA==}\n    engines: {node: '>=0.10.0'}\n\n  moment@2.30.1:\n    resolution: {integrity: sha512-uEmtNhbDOrWPFS+hdjFCBfy9f2YoyzRpwcl+DqpC6taX21FzsTLQVbMV/W7PzNSX6x/bhC1zA3c2UQ5NzH6how==}\n\n  ms@2.0.0:\n    resolution: {integrity: sha512-Tpp60P6IUJDTuOq/5Z8cdskzJujfwqfOTkrwIwj7IRISpnkJnT6SyJ4PCPnGMoFjC9ddhal5KVIYtAt97ix05A==}\n\n  ms@2.1.3:\n    resolution: {integrity: sha512-6FlzubTLZG3J2a/NVCAleEhjzq5oxgHyaCU9yYXvcLsvoVaHJq/s5xXI6/XXP6tz7R9xAOtHnSO/tXtF3WRTlA==}\n\n  nanomatch@1.2.13:\n    resolution: {integrity: sha512-fpoe2T0RbHwBTBUOftAfBPaDEi06ufaUai0mE6Yn1kacc3SnTErfb/h+X94VXzI64rKFHYImXSvdwGGCmwOqCA==}\n    engines: {node: '>=0.10.0'}\n\n  natural-compare@1.4.0:\n    resolution: {integrity: sha512-OWND8ei3VtNC9h7V60qff3SVobHr996CTwgxubgyQYEpg290h9J0buyECNNJexkFm5sOajh5G116RYA1c8ZMSw==}\n\n  nice-try@1.0.5:\n    resolution: {integrity: sha512-1nh45deeb5olNY7eX82BkPO7SSxR5SSYJiPTrTdFUVYwAl8CKMA5N9PjTYkHiRjisVcxcQ1HXdLhx2qxxJzLNQ==}\n\n  node-fetch@1.7.3:\n    resolution: {integrity: sha512-NhZ4CsKx7cYm2vSrBAr2PvFOe6sWDf0UYLRqA6svUYg7+/TSfVAu49jYC4BvQ4Sms9SZgdqGBgroqfDhJdTyKQ==}\n\n  node-int64@0.4.0:\n    resolution: {integrity: sha512-O5lz91xSOeoXP6DulyHfllpq+Eg00MWitZIbtPfoSEvqIHdl5gfcY6hYzDWnj0qD5tz52PI08u9qUvSVeUBeHw==}\n\n  node-libs-browser@2.2.1:\n    resolution: {integrity: sha512-h/zcD8H9kaDZ9ALUWwlBUDo6TKF8a7qBSCSEGfjTVIYeqsioSKaAX+BN7NgiMGp6iSIXZ3PxgCu8KS3b71YK5Q==}\n\n  node-notifier@8.0.2:\n    resolution: {integrity: sha512-oJP/9NAdd9+x2Q+rfphB2RJCHjod70RcRLjosiPMMu5gjIfwVnOUGq2nbTjTUbmy0DJ/tFIVT30+Qe3nzl4TJg==}\n\n  node-releases@2.0.19:\n    resolution: {integrity: sha512-xxOWJsBKtzAq7DY0J+DTzuz58K8e7sJbdgwkbMWQe8UYB6ekmsQ45q0M/tJDsGaZmbC+l7n57UV8Hl5tHxO9uw==}\n\n  normalize-package-data@2.5.0:\n    resolution: {integrity: sha512-/5CMN3T0R4XTj4DcGaexo+roZSdSFW/0AOOTROrjxzCG1wrWXEsGbRKevjlIL+ZDE4sZlJr5ED4YW0yqmkK+eA==}\n\n  normalize-path@1.0.0:\n    resolution: {integrity: sha512-7WyT0w8jhpDStXRq5836AMmihQwq2nrUVQrgjvUo/p/NZf9uy/MeJ246lBJVmWuYXMlJuG9BNZHF0hWjfTbQUA==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-path@2.1.1:\n    resolution: {integrity: sha512-3pKJwH184Xo/lnH6oyP1q2pMd7HcypqqmRs91/6/i2CGtWwIKGCkOOMTm/zXbgTEWHw1uNpNi/igc3ePOYHb6w==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-path@3.0.0:\n    resolution: {integrity: sha512-6eZs5Ls3WtCisHWp9S2GUy8dqkpGi4BVSz3GaqiE6ezub0512ESztXUwUB6C6IKbQkY2Pnb/mD4WYojCRwcwLA==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-range@0.1.2:\n    resolution: {integrity: sha512-bdok/XvKII3nUpklnV6P2hxtMNrCboOjAcyBuQnWEhO665FwrSNRxU+AqpsyvO6LgGYPspN+lu5CLtw4jPRKNA==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-url@1.9.1:\n    resolution: {integrity: sha512-A48My/mtCklowHBlI8Fq2jFWK4tX4lJ5E6ytFsSOq1fzpvT0SQSgKhSg7lN5c2uYFOrUAOQp6zhhJnpp1eMloQ==}\n    engines: {node: '>=4'}\n\n  normalize.css@7.0.0:\n    resolution: {integrity: sha512-LYaFZxj2Q1Q9e1VJ0f6laG46Rt5s9URhKyckNaA2vZnL/0gwQHWhM7ALQkp3WBQKM5sXRLQ5Ehrfkp+E/ZiCRg==}\n\n  npm-run-path@2.0.2:\n    resolution: {integrity: sha512-lJxZYlT4DW/bRUtFh1MQIWqmLwQfAxnqWG4HhEdjMlkrJYnJn0Jrr2u3mgxqaWsdiBc76TYkTG/mhrnYTuzfHw==}\n    engines: {node: '>=4'}\n\n  npm-run-path@4.0.1:\n    resolution: {integrity: sha512-S48WzZW777zhNIrn7gxOlISNAqi9ZC/uQFnRdbeIHhZhCA6UqpkOT8T1G7BvfdgP4Er8gF4sUbaS0i7QvIfCWw==}\n    engines: {node: '>=8'}\n\n  num2fraction@1.2.2:\n    resolution: {integrity: sha512-Y1wZESM7VUThYY+4W+X4ySH2maqcA+p7UR+w8VWNWVAd6lwuXXWz/w/Cz43J/dI2I+PS6wD5N+bJUF+gjWvIqg==}\n\n  nwsapi@2.2.16:\n    resolution: {integrity: sha512-F1I/bimDpj3ncaNDhfyMWuFqmQDBwDB0Fogc2qpL3BWvkQteFD/8BzWuIRl83rq0DXfm8SGt/HFhLXZyljTXcQ==}\n\n  object-assign@4.1.1:\n    resolution: {integrity: sha512-rJgTQnkUnH1sFw8yT6VSU3zD3sWmu6sZhIseY8VX+GRu3P6F7Fu+JNDoXfklElbLJSnc3FUQHVe4cU5hj+BcUg==}\n    engines: {node: '>=0.10.0'}\n\n  object-copy@0.1.0:\n    resolution: {integrity: sha512-79LYn6VAb63zgtmAteVOWo9Vdj71ZVBy3Pbse+VqxDpEP83XuujMrGqHIwAXJ5I/aM0zU7dIyIAhifVTPrNItQ==}\n    engines: {node: '>=0.10.0'}\n\n  object-inspect@1.13.3:\n    resolution: {integrity: sha512-kDCGIbxkDSXE3euJZZXzc6to7fCrKHNI/hSRQnRuQ+BWjFNzZwiFF8fj/6o2t2G9/jTj8PSIYTfCLelLZEeRpA==}\n    engines: {node: '>= 0.4'}\n\n  object-keys@1.1.1:\n    resolution: {integrity: sha512-NuAESUOUMrlIXOfHKzD6bpPu3tYt3xvjNdRIQ+FeT0lNb4K8WR70CaDxhuNguS2XG+GjkyMwOzsN5ZktImfhLA==}\n    engines: {node: '>= 0.4'}\n\n  object-visit@1.0.1:\n    resolution: {integrity: sha512-GBaMwwAVK9qbQN3Scdo0OyvgPW7l3lnaVMj84uTOZlswkX0KpF6fyDBJhtTthf7pymztoN36/KEr1DyhF96zEA==}\n    engines: {node: '>=0.10.0'}\n\n  object.assign@4.1.5:\n    resolution: {integrity: sha512-byy+U7gp+FVwmyzKPYhW2h5l3crpmGsxl7X2s8y43IgxvG4g3QZ6CffDtsNQy1WsmZpQbO+ybo0AlW7TY6DcBQ==}\n    engines: {node: '>= 0.4'}\n\n  object.pick@1.3.0:\n    resolution: {integrity: sha512-tqa/UMy/CCoYmj+H5qc07qvSL9dqcs/WZENZ1JbtWBlATP+iVOe778gE6MSijnyCnORzDuX6hU+LA4SZ09YjFQ==}\n    engines: {node: '>=0.10.0'}\n\n  omit.js@2.0.2:\n    resolution: {integrity: sha512-hJmu9D+bNB40YpL9jYebQl4lsTW6yEHRTroJzNLqQJYHm7c+NQnJGfZmIWh8S3q3KoaxV1aLhV6B3+0N0/kyJg==}\n\n  once@1.4.0:\n    resolution: {integrity: sha512-lNaJgI+2Q5URQBkccEKHTQOPaXdUxnZZElQTZY0MFUAuaEqe1E+Nyvgdz/aIyNi6Z9MzO5dv1H8n58/GELp3+w==}\n\n  onetime@5.1.2:\n    resolution: {integrity: sha512-kbpaSSGJTWdAY5KPVeMOKXSrPtr8C8C7wodJbcsd51jRnmD+GZu8Y0VoU6Dm5Z4vWr0Ig/1NKuWRKf7j5aaYSg==}\n    engines: {node: '>=6'}\n\n  os-browserify@0.3.0:\n    resolution: {integrity: sha512-gjcpUc3clBf9+210TRaDWbf+rZZZEshZ+DlXMRCeAjp0xhTrnQsKHypIy1J3d5hKdUzj69t708EHtU8P6bUn0A==}\n\n  p-each-series@2.2.0:\n    resolution: {integrity: sha512-ycIL2+1V32th+8scbpTvyHNaHe02z0sjgh91XXjAk+ZeXoPN4Z46DVUnzdso0aX4KckKw0FNNFHdjZ2UsZvxiA==}\n    engines: {node: '>=8'}\n\n  p-finally@1.0.0:\n    resolution: {integrity: sha512-LICb2p9CB7FS+0eR1oqWnHhp0FljGLZCWBE9aix0Uye9W8LTQPwMTYVGWQWIw9RdQiDg4+epXQODwIYJtSJaow==}\n    engines: {node: '>=4'}\n\n  p-limit@2.3.0:\n    resolution: {integrity: sha512-//88mFWSJx8lxCzwdAABTJL2MyWB12+eIY7MDL2SqLmAkeKU9qxRvWuSyTjm3FUmpBEMuFfckAIqEaVGUDxb6w==}\n    engines: {node: '>=6'}\n\n  p-locate@4.1.0:\n    resolution: {integrity: sha512-R79ZZ/0wAxKGu3oYMlz8jy/kbhsNrS7SKZ7PxEHBgJ5+F2mtFW2fK2cOtBh1cHYkQsbzFV7I+EoRKe6Yt0oK7A==}\n    engines: {node: '>=8'}\n\n  p-map@4.0.0:\n    resolution: {integrity: sha512-/bjOqmgETBYB5BoEeGVea8dmvHb2m9GLy1E9W43yeyfP6QQCZGFNa+XRceJEuDB6zqr+gKpIAmlLebMpykw/MQ==}\n    engines: {node: '>=10'}\n\n  p-try@2.2.0:\n    resolution: {integrity: sha512-R4nPAVTAU0B9D35/Gk3uJf/7XYbQcyohSKdvAxIRSNghFl4e71hVoGnBNQz9cWaXxO2I10KTC+3jMdvvoKw6dQ==}\n    engines: {node: '>=6'}\n\n  pako@1.0.11:\n    resolution: {integrity: sha512-4hLB8Py4zZce5s4yd9XzopqwVv/yGNhV1Bl8NTmCq1763HeK2+EwVTv+leGeL13Dnh2wfbqowVPXCIO0z4taYw==}\n\n  parent-module@1.0.1:\n    resolution: {integrity: sha512-GQ2EWRpQV8/o+Aw8YqtfZZPfNRWZYkbidE9k5rpl/hC3vtHHBfGm2Ifi6qWV+coDGkrUKZAxE3Lot5kcsRlh+g==}\n    engines: {node: '>=6'}\n\n  parse-asn1@5.1.7:\n    resolution: {integrity: sha512-CTM5kuWR3sx9IFamcl5ErfPl6ea/N8IYwiJ+vpeB2g+1iknv7zBl5uPwbMbRVznRVbrNY6lGuDoE5b30grmbqg==}\n    engines: {node: '>= 0.10'}\n\n  parse-json@4.0.0:\n    resolution: {integrity: sha512-aOIos8bujGN93/8Ox/jPLh7RwVnPEysynVFE+fQZyg6jKELEHwzgKdLRFHUgXJL6kylijVSBC4BvN9OmsB48Rw==}\n    engines: {node: '>=4'}\n\n  parse-json@5.2.0:\n    resolution: {integrity: sha512-ayCKvm/phCGxOkYRSCM82iDwct8/EonSEgCSxWxD7ve6jHggsFl4fZVQBPRNgQoKiuV/odhFrGzQXZwbifC8Rg==}\n    engines: {node: '>=8'}\n\n  parse5@6.0.1:\n    resolution: {integrity: sha512-Ofn/CTFzRGTTxwpNEs9PP93gXShHcTq255nzRYSKe8AkVpZY7e1fpmTfOyoIvjP5HG7Z2ZM7VS9PPhQGW2pOpw==}\n\n  pascalcase@0.1.1:\n    resolution: {integrity: sha512-XHXfu/yOQRy9vYOtUDVMN60OEJjW013GoObG1o+xwQTpB9eYJX/BjXMsdW13ZDPruFhYYn0AG22w0xgQMwl3Nw==}\n    engines: {node: '>=0.10.0'}\n\n  path-browserify@0.0.1:\n    resolution: {integrity: sha512-BapA40NHICOS+USX9SN4tyhq+A2RrN/Ws5F0Z5aMHDp98Fl86lX8Oti8B7uN93L4Ifv4fHOEA+pQw87gmMO/lQ==}\n\n  path-exists@4.0.0:\n    resolution: {integrity: sha512-ak9Qy5Q7jYb2Wwcey5Fpvg2KoAc/ZIhLSLOSBmRmygPsGwkVVt0fZa0qrtMz+m6tJTAHfZQ8FnmB4MG4LWy7/w==}\n    engines: {node: '>=8'}\n\n  path-is-absolute@1.0.1:\n    resolution: {integrity: sha512-AVbw3UJ2e9bq64vSaS9Am0fje1Pa8pbGqTTsmXfaIiMpnr5DlDhfJOuLj9Sf95ZPVDAUerDfEk88MPmPe7UCQg==}\n    engines: {node: '>=0.10.0'}\n\n  path-key@2.0.1:\n    resolution: {integrity: sha512-fEHGKCSmUSDPv4uoj8AlD+joPlq3peND+HRYyxFz4KPw4z926S/b8rIuFs2FYJg3BwsxJf6A9/3eIdLaYC+9Dw==}\n    engines: {node: '>=4'}\n\n  path-key@3.1.1:\n    resolution: {integrity: sha512-ojmeN0qd+y0jszEtoY48r0Peq5dwMEkIlCOu6Q5f41lfkswXuKtYrhgoTpLnyIcHm24Uhqx+5Tqm2InSwLhE6Q==}\n    engines: {node: '>=8'}\n\n  path-parse@1.0.7:\n    resolution: {integrity: sha512-LDJzPVEEEPR+y48z93A0Ed0yXb8pAByGWo/k5YYdYgpY2/2EsOsksJrq7lOHxryrVOn1ejG6oAp8ahvOIQD8sw==}\n\n  path-to-regexp@1.9.0:\n    resolution: {integrity: sha512-xIp7/apCFJuUHdDLWe8O1HIkb0kQrOMb/0u6FXQjemHn/ii5LrIzU6bdECnsiTF/GjZkMEKg1xdiZwNqDYlZ6g==}\n\n  path-to-regexp@2.4.0:\n    resolution: {integrity: sha512-G6zHoVqC6GGTQkZwF4lkuEyMbVOjoBKAEybQUypI1WTkqinCOrq2x6U2+phkJ1XsEMTy4LjtwPI7HW+NVrRR2w==}\n\n  path-type@4.0.0:\n    resolution: {integrity: sha512-gDKb8aZMDeD/tZWs9P6+q0J9Mwkdl6xMV8TjnGP3qJVJ06bdMgkbBlLU8IdfOsIsFz2BW1rNVT3XuNEl8zPAvw==}\n    engines: {node: '>=8'}\n\n  pbkdf2@3.1.2:\n    resolution: {integrity: sha512-iuh7L6jA7JEGu2WxDwtQP1ddOpaJNC4KlDEFfdQajSGgGPNi4OyDc2R7QnbY2bR9QjBVGwgvTdNJZoE7RaxUMA==}\n    engines: {node: '>=0.12'}\n\n  performance-now@2.1.0:\n    resolution: {integrity: sha512-7EAHlyLHI56VEIdK57uwHdHKIaAGbnXPiw0yWbarQZOKaKpvUIgW0jWRVLiatnM+XXlSwsanIBH/hzGMJulMow==}\n\n  picocolors@0.2.1:\n    resolution: {integrity: sha512-cMlDqaLEqfSaW8Z7N5Jw+lyIW869EzT73/F5lhtY9cLGoVxSXznfgfXMO0Z5K0o0Q2TkTXq+0KFsdnSe3jDViA==}\n\n  picocolors@1.1.1:\n    resolution: {integrity: sha512-xceH2snhtb5M9liqDsmEw56le376mTZkEX/jEb/RxNFyegNul7eNslCXP9FDj/Lcu0X8KEyMceP2ntpaHrDEVA==}\n\n  picomatch@2.3.1:\n    resolution: {integrity: sha512-JU3teHTNjmE2VCGFzuY8EXzCDVwEqB2a8fsIvwaStHhAWJEeVd1o1QD80CU6+ZdEXXSLbSsuLwJjkCBWqRQUVA==}\n    engines: {node: '>=8.6'}\n\n  pirates@4.0.6:\n    resolution: {integrity: sha512-saLsH7WeYYPiD25LDuLRRY/i+6HaPYr6G1OUlN39otzkSTxKnubR9RTxS3/Kk50s1g2JTgFwWQDQyplC5/SHZg==}\n    engines: {node: '>= 6'}\n\n  pkg-dir@4.2.0:\n    resolution: {integrity: sha512-HRDzbaKjC+AOWVXxAU/x54COGeIv9eb+6CkDSQoNTt4XyWoIJvuPsXizxu/Fr23EiekbtZwmh1IcIG/l/a10GQ==}\n    engines: {node: '>=8'}\n\n  please-upgrade-node@3.2.0:\n    resolution: {integrity: sha512-gQR3WpIgNIKwBMVLkpMUeR3e1/E1y42bqDQZfql+kDeXd8COYfM8PQA4X6y7a8u9Ua9FHmsrrmirW2vHs45hWg==}\n\n  posix-character-classes@0.1.1:\n    resolution: {integrity: sha512-xTgYBc3fuo7Yt7JbiuFxSYGToMoz8fLoE6TC9Wx1P/u+LfeThMOAqmuyECnlBaaJb+u1m9hHiXUEtwW4OzfUJg==}\n    engines: {node: '>=0.10.0'}\n\n  postcss-attribute-case-insensitive@4.0.2:\n    resolution: {integrity: sha512-clkFxk/9pcdb4Vkn0hAHq3YnxBQ2p0CGD1dy24jN+reBck+EWxMbxSUqN4Yj7t0w8csl87K6p0gxBe1utkJsYA==}\n\n  postcss-color-functional-notation@2.0.1:\n    resolution: {integrity: sha512-ZBARCypjEDofW4P6IdPVTLhDNXPRn8T2s1zHbZidW6rPaaZvcnCS2soYFIQJrMZSxiePJ2XIYTlcb2ztr/eT2g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-gray@5.0.0:\n    resolution: {integrity: sha512-q6BuRnAGKM/ZRpfDascZlIZPjvwsRye7UDNalqVz3s7GDxMtqPY6+Q871liNxsonUw8oC61OG+PSaysYpl1bnw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-hex-alpha@5.0.3:\n    resolution: {integrity: sha512-PF4GDel8q3kkreVXKLAGNpHKilXsZ6xuu+mOQMHWHLPNyjiUBOr75sp5ZKJfmv1MCus5/DWUGcK9hm6qHEnXYw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-mod-function@3.0.3:\n    resolution: {integrity: sha512-YP4VG+xufxaVtzV6ZmhEtc+/aTXH3d0JLpnYfxqTvwZPbJhWqp8bSY3nfNzNRFLgB4XSaBA82OE4VjOOKpCdVQ==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-rebeccapurple@4.0.1:\n    resolution: {integrity: sha512-aAe3OhkS6qJXBbqzvZth2Au4V3KieR5sRQ4ptb2b2O8wgvB3SJBsdG+jsn2BZbbwekDG8nTfcCNKcSfe/lEy8g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-custom-media@7.0.8:\n    resolution: {integrity: sha512-c9s5iX0Ge15o00HKbuRuTqNndsJUbaXdiNsksnVH8H4gdc+zbLzr/UasOwNG6CTDpLFekVY4672eWdiiWu2GUg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-custom-properties@8.0.11:\n    resolution: {integrity: sha512-nm+o0eLdYqdnJ5abAJeXp4CEU1c1k+eB2yMCvhgzsds/e0umabFrN6HoTy/8Q4K5ilxERdl/JD1LO5ANoYBeMA==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-custom-selectors@5.1.2:\n    resolution: {integrity: sha512-DSGDhqinCqXqlS4R7KGxL1OSycd1lydugJ1ky4iRXPHdBRiozyMHrdu0H3o7qNOCiZwySZTUI5MV0T8QhCLu+w==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-dir-pseudo-class@5.0.0:\n    resolution: {integrity: sha512-3pm4oq8HYWMZePJY+5ANriPs3P07q+LW6FAdTlkFH2XqDdP4HeeJYMOzn0HYLhRSjBO3fhiqSwwU9xEULSrPgw==}\n    engines: {node: '>=4.0.0'}\n\n  postcss-double-position-gradients@1.0.0:\n    resolution: {integrity: sha512-G+nV8EnQq25fOI8CH/B6krEohGWnF5+3A6H/+JEpOncu5dCnkS1QQ6+ct3Jkaepw1NGVqqOZH6lqrm244mCftA==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-env-function@2.0.2:\n    resolution: {integrity: sha512-rwac4BuZlITeUbiBq60h/xbLzXY43qOsIErngWa4l7Mt+RaSkT7QBjXVGTcBHupykkblHMDrBFh30zchYPaOUw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-flexbugs-fixes@4.2.1:\n    resolution: {integrity: sha512-9SiofaZ9CWpQWxOwRh1b/r85KD5y7GgvsNt1056k6OYLvWUun0czCvogfJgylC22uJTwW1KzY3Gz65NZRlvoiQ==}\n\n  postcss-focus-visible@4.0.0:\n    resolution: {integrity: sha512-Z5CkWBw0+idJHSV6+Bgf2peDOFf/x4o+vX/pwcNYrWpXFrSfTkQ3JQ1ojrq9yS+upnAlNRHeg8uEwFTgorjI8g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-focus-within@3.0.0:\n    resolution: {integrity: sha512-W0APui8jQeBKbCGZudW37EeMCjDeVxKgiYfIIEo8Bdh5SpB9sxds/Iq8SEuzS0Q4YFOlG7EPFulbbxujpkrV2w==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-font-variant@4.0.1:\n    resolution: {integrity: sha512-I3ADQSTNtLTTd8uxZhtSOrTCQ9G4qUVKPjHiDk0bV75QSxXjVWiJVJ2VLdspGUi9fbW9BcjKJoRvxAH1pckqmA==}\n\n  postcss-gap-properties@2.0.0:\n    resolution: {integrity: sha512-QZSqDaMgXCHuHTEzMsS2KfVDOq7ZFiknSpkrPJY6jmxbugUPTuSzs/vuE5I3zv0WAS+3vhrlqhijiprnuQfzmg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-image-set-function@3.0.1:\n    resolution: {integrity: sha512-oPTcFFip5LZy8Y/whto91L9xdRHCWEMs3e1MdJxhgt4jy2WYXfhkng59fH5qLXSCPN8k4n94p1Czrfe5IOkKUw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-initial@3.0.4:\n    resolution: {integrity: sha512-3RLn6DIpMsK1l5UUy9jxQvoDeUN4gP939tDcKUHD/kM8SGSKbFAnvkpFpj3Bhtz3HGk1jWY5ZNWX6mPta5M9fg==}\n\n  postcss-lab-function@2.0.1:\n    resolution: {integrity: sha512-whLy1IeZKY+3fYdqQFuDBf8Auw+qFuVnChWjmxm/UhHWqNHZx+B99EwxTvGYmUBqe3Fjxs4L1BoZTJmPu6usVg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-load-config@2.1.2:\n    resolution: {integrity: sha512-/rDeGV6vMUo3mwJZmeHfEDvwnTKKqQ0S7OHUi/kJvvtx3aWtyWG2/0ZWnzCt2keEclwN6Tf0DST2v9kITdOKYw==}\n    engines: {node: '>= 4'}\n\n  postcss-loader@3.0.0:\n    resolution: {integrity: sha512-cLWoDEY5OwHcAjDnkyRQzAXfs2jrKjXpO/HQFcc5b5u/r7aa471wdmChmwfnv7x2u840iat/wi0lQ5nbRgSkUA==}\n    engines: {node: '>= 6'}\n\n  postcss-logical@3.0.0:\n    resolution: {integrity: sha512-1SUKdJc2vuMOmeItqGuNaC+N8MzBWFWEkAnRnLpFYj1tGGa7NqyVBujfRtgNa2gXR+6RkGUiB2O5Vmh7E2RmiA==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-media-minmax@4.0.0:\n    resolution: {integrity: sha512-fo9moya6qyxsjbFAYl97qKO9gyre3qvbMnkOZeZwlsW6XYFsvs2DMGDlchVLfAd8LHPZDxivu/+qW2SMQeTHBw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-nesting@7.0.1:\n    resolution: {integrity: sha512-FrorPb0H3nuVq0Sff7W2rnc3SmIcruVC6YwpcS+k687VxyxO33iE1amna7wHuRVzM8vfiYofXSBHNAZ3QhLvYg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-overflow-shorthand@2.0.0:\n    resolution: {integrity: sha512-aK0fHc9CBNx8jbzMYhshZcEv8LtYnBIRYQD5i7w/K/wS9c2+0NSR6B3OVMu5y0hBHYLcMGjfU+dmWYNKH0I85g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-page-break@2.0.0:\n    resolution: {integrity: sha512-tkpTSrLpfLfD9HvgOlJuigLuk39wVTbbd8RKcy8/ugV2bNBUW3xU+AIqyxhDrQr1VUj1RmyJrBn1YWrqUm9zAQ==}\n\n  postcss-place@4.0.1:\n    resolution: {integrity: sha512-Zb6byCSLkgRKLODj/5mQugyuj9bvAAw9LqJJjgwz5cYryGeXfFZfSXoP1UfveccFmeq0b/2xxwcTEVScnqGxBg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-preset-env@6.7.0:\n    resolution: {integrity: sha512-eU4/K5xzSFwUFJ8hTdTQzo2RBLbDVt83QZrAvI07TULOkmyQlnYlpwep+2yIK+K+0KlZO4BvFcleOCCcUtwchg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-pseudo-class-any-link@6.0.0:\n    resolution: {integrity: sha512-lgXW9sYJdLqtmw23otOzrtbDXofUdfYzNm4PIpNE322/swES3VU9XlXHeJS46zT2onFO7V1QFdD4Q9LiZj8mew==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-replace-overflow-wrap@3.0.0:\n    resolution: {integrity: sha512-2T5hcEHArDT6X9+9dVSPQdo7QHzG4XKclFT8rU5TzJPDN7RIRTbO9c4drUISOVemLj03aezStHCR2AIcr8XLpw==}\n\n  postcss-safe-parser@4.0.2:\n    resolution: {integrity: sha512-Uw6ekxSWNLCPesSv/cmqf2bY/77z11O7jZGPax3ycZMFU/oi2DMH9i89AdHc1tRwFg/arFoEwX0IS3LCUxJh1g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-selector-matches@4.0.0:\n    resolution: {integrity: sha512-LgsHwQR/EsRYSqlwdGzeaPKVT0Ml7LAT6E75T8W8xLJY62CE4S/l03BWIt3jT8Taq22kXP08s2SfTSzaraoPww==}\n\n  postcss-selector-not@4.0.1:\n    resolution: {integrity: sha512-YolvBgInEK5/79C+bdFMyzqTg6pkYqDbzZIST/PDMqa/o3qtXenD05apBG2jLgT0/BQ77d4U2UK12jWpilqMAQ==}\n\n  postcss-selector-parser@5.0.0:\n    resolution: {integrity: sha512-w+zLE5Jhg6Liz8+rQOWEAwtwkyqpfnmsinXjXg6cY7YIONZZtgvE0v2O0uhQBs0peNomOJwWRKt6JBfTdTd3OQ==}\n    engines: {node: '>=4'}\n\n  postcss-selector-parser@6.1.2:\n    resolution: {integrity: sha512-Q8qQfPiZ+THO/3ZrOrO0cJJKfpYCagtMUkXbnEfmgUjwXg6z/WBeOyS9APBBPCTSiDV+s4SwQGu8yFsiMRIudg==}\n    engines: {node: '>=4'}\n\n  postcss-value-parser@4.2.0:\n    resolution: {integrity: sha512-1NNCs6uurfkVbeXG4S8JFT9t19m45ICnif8zWLd5oPSZ50QnwMfK+H3jv408d4jw/7Bttv5axS5IiHoLaVNHeQ==}\n\n  postcss-values-parser@2.0.1:\n    resolution: {integrity: sha512-2tLuBsA6P4rYTNKCXYG/71C7j1pU6pK503suYOmn4xYrQIzW+opD+7FAFNuGSdZC/3Qfy334QbeMu7MEb8gOxg==}\n    engines: {node: '>=6.14.4'}\n\n  postcss@7.0.32:\n    resolution: {integrity: sha512-03eXong5NLnNCD05xscnGKGDZ98CyzoqPSMjOe6SuoQY7Z2hIj0Ld1g/O/UQRuOle2aRtiIRDg9tDcTGAkLfKw==}\n    engines: {node: '>=6.0.0'}\n\n  prepend-http@1.0.4:\n    resolution: {integrity: sha512-PhmXi5XmoyKw1Un4E+opM2KcsJInDvKyuOumcjjw3waw86ZNjHwVUOOWLc4bCzLdcKNaWBH9e99sbWzDQsVaYg==}\n    engines: {node: '>=0.10.0'}\n\n  prettier@2.2.1:\n    resolution: {integrity: sha512-PqyhM2yCjg/oKkFPtTGUojv7gnZAoG80ttl45O6x2Ug/rMJw4wcc9k6aaf2hibP7BGVCCM33gZoGjyvt9mm16Q==}\n    engines: {node: '>=10.13.0'}\n    hasBin: true\n\n  prettier@2.8.8:\n    resolution: {integrity: sha512-tdN8qQGvNjw4CHbY+XXk0JgCXn9QiF21a55rBe5LJAU+kDyC4WQn4+awm2Xfk2lQMk5fKup9XgzTZtGkjBdP9Q==}\n    engines: {node: '>=10.13.0'}\n    hasBin: true\n\n  pretty-format@26.6.2:\n    resolution: {integrity: sha512-7AeGuCYNGmycyQbCqd/3PWH4eOoX/OiCa0uphp57NVTeAGdJGaAliecxwBDHYQCIvrW7aDBZCYeNTP/WX69mkg==}\n    engines: {node: '>= 10'}\n\n  process-nextick-args@2.0.1:\n    resolution: {integrity: sha512-3ouUOpQhtgrbOa17J7+uxOTpITYWaGP7/AhoR3+A+/1e9skrzelGi/dXzEYyvbxubEF6Wn2ypscTKiKJFFn1ag==}\n\n  process@0.11.10:\n    resolution: {integrity: sha512-cdGef/drWFoydD1JsMzuFf8100nZl+GT+yacc2bEced5f9Rjk4z+WtFUTBu9PhOi9j/jfmBPu0mMEY4wIdAF8A==}\n    engines: {node: '>= 0.6.0'}\n\n  promise@7.3.1:\n    resolution: {integrity: sha512-nolQXZ/4L+bP/UGlkfaIujX9BKxGwmQ9OT4mOt5yvy8iK1h3wqTEJCijzGANTCCl9nWjY41juyAn2K3Q1hLLTg==}\n\n  prompts@2.4.2:\n    resolution: {integrity: sha512-NxNv/kLguCA7p3jE8oL2aEBsrJWgAakBpgmgK6lpPWV+WuOmY6r2/zbAVnP+T8bQlA0nzHXSJSJW0Hq7ylaD2Q==}\n    engines: {node: '>= 6'}\n\n  prop-types@15.8.1:\n    resolution: {integrity: sha512-oj87CgZICdulUohogVAR7AjlC0327U4el4L6eAvOqCeudMDVU0NThNaV+b9Df4dXgSP1gXMTnPdhfe/2qDH5cg==}\n\n  pseudomap@1.0.2:\n    resolution: {integrity: sha512-b/YwNhb8lk1Zz2+bXXpS/LK9OisiZZ1SNsSLxN1x2OXVEhW2Ckr/7mWE5vrC1ZTiJlD9g19jWszTmJsB+oEpFQ==}\n\n  psl@1.15.0:\n    resolution: {integrity: sha512-JZd3gMVBAVQkSs6HdNZo9Sdo0LNcQeMNP3CozBJb3JYC/QUYZTnKxP+f8oWRX4rHP5EurWxqAHTSwUCjlNKa1w==}\n\n  public-encrypt@4.0.3:\n    resolution: {integrity: sha512-zVpa8oKZSz5bTMTFClc1fQOnyyEzpl5ozpi1B5YcvBrdohMjH2rfsBtyXcuNuwjsDIXmBYlF2N5FlJYhR29t8Q==}\n\n  pump@3.0.2:\n    resolution: {integrity: sha512-tUPXtzlGM8FE3P0ZL6DVs/3P58k9nk8/jZeQCurTJylQA8qFYzHFfhBJkuqyE0FifOsQ0uKWekiZ5g8wtr28cw==}\n\n  punycode@1.4.1:\n    resolution: {integrity: sha512-jmYNElW7yvO7TV33CjSmvSiE2yco3bV2czu/OzDKdMNVZQWfxCblURLhf+47syQRBntjfLdd/H0egrzIG+oaFQ==}\n\n  punycode@2.3.1:\n    resolution: {integrity: sha512-vYt7UD1U9Wg6138shLtLOvdAu+8DsC/ilFtEVHcH+wydcSpNE20AfSOduf6MkRFahL5FY7X1oU7nKVZFtfq8Fg==}\n    engines: {node: '>=6'}\n\n  qs@6.13.1:\n    resolution: {integrity: sha512-EJPeIn0CYrGu+hli1xilKAPXODtJ12T0sP63Ijx2/khC2JtuaN3JyNIpvmnkmaEtha9ocbG4A4cMcr+TvqvwQg==}\n    engines: {node: '>=0.6'}\n\n  query-string@4.3.4:\n    resolution: {integrity: sha512-O2XLNDBIg1DnTOa+2XrIwSiXEV8h2KImXUnjhhn2+UsvZ+Es2uyd5CCRTNQlDGbzUQOW3aYCBx9rVA6dzsiY7Q==}\n    engines: {node: '>=0.10.0'}\n\n  query-string@6.14.1:\n    resolution: {integrity: sha512-XDxAeVmpfu1/6IjyT/gXHOl+S0vQ9owggJ30hhWKdHAsNPOcasn5o9BW0eejZqL2e4vMjhAxoW3jVHcD6mbcYw==}\n    engines: {node: '>=6'}\n\n  querystring-es3@0.2.1:\n    resolution: {integrity: sha512-773xhDQnZBMFobEiztv8LIl70ch5MSF/jUQVlhwFyBILqq96anmoctVIYz+ZRp0qbCKATTn6ev02M3r7Ga5vqA==}\n    engines: {node: '>=0.4.x'}\n\n  querystringify@2.2.0:\n    resolution: {integrity: sha512-FIqgj2EUvTa7R50u0rGsyTftzjYmv/a3hO345bZNrqabNqjtgiDMgmo4mkUjd+nzU5oF3dClKqFIPUKybUyqoQ==}\n\n  raf@3.4.1:\n    resolution: {integrity: sha512-Sq4CW4QhwOHE8ucn6J34MqtZCeWFP2aQSmrlroYgqAV1PjStIhJXxYuTgUIfkEk7zTLjmIjLmU5q+fbD1NnOJA==}\n\n  randombytes@2.1.0:\n    resolution: {integrity: sha512-vYl3iOX+4CKUWuxGi9Ukhie6fsqXqS9FE2Zaic4tNFD2N2QQaXOMFbuKK4QmDHC0JO6B1Zp41J0LpT0oR68amQ==}\n\n  randomfill@1.0.4:\n    resolution: {integrity: sha512-87lcbR8+MhcWcUiQ+9e+Rwx8MyR2P7qnt15ynUlbm3TU/fjbgz4GsvfSUDTemtCCtVCqb4ZcEFlyPNTh9bBTLw==}\n\n  rc-align@2.4.5:\n    resolution: {integrity: sha512-nv9wYUYdfyfK+qskThf4BQUSIadeI/dCsfaMZfNEoxm9HwOIioQ+LyqmMK6jWHAZQgOzMLaqawhuBXlF63vgjw==}\n\n  rc-align@4.0.15:\n    resolution: {integrity: sha512-wqJtVH60pka/nOX7/IspElA8gjPNQKIx/ZqJ6heATCkXpe1Zg4cPVrMD2vC96wjsFFL8WsmhPbx9tdMo1qqlIA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-animate@2.11.1:\n    resolution: {integrity: sha512-1NyuCGFJG/0Y+9RKh5y/i/AalUCA51opyyS/jO2seELpgymZm2u9QV3xwODwEuzkmeQ1BDPxMLmYLcTJedPlkQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-cascader@3.7.3:\n    resolution: {integrity: sha512-KBpT+kzhxDW+hxPiNk4zaKa99+Lie2/8nnI11XF+FIOPl4Bj9VlFZi61GrnWzhLGA7VEN+dTxAkNOjkySDa0dA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-checkbox@2.0.3:\n    resolution: {integrity: sha512-sSDV5AcxK5CxBTyUNj9pb0zfhdgLLsWKHwJG18ikeGoIwklcxXvIF6cI/KGVbPLFDa8mPS5WLOlLRqbq/1/ouw==}\n\n  rc-checkbox@3.0.1:\n    resolution: {integrity: sha512-k7nxDWxYF+jDI0ZcCvuvj71xONmWRVe5+1MKcERRR9MRyP3tZ69b+yUCSXXh+sik4/Hc9P5wHr2nnUoGS2zBjA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-collapse@1.9.3:\n    resolution: {integrity: sha512-8cG+FzudmgFCC9zRGKXJZA36zoI9Dmyjp6UDi8N80sXUch0JOpsZDxgcFzw4HPpPpK/dARtTilEe9zyuspnW0w==}\n\n  rc-collapse@3.4.2:\n    resolution: {integrity: sha512-jpTwLgJzkhAgp2Wpi3xmbTbbYExg6fkptL67Uu5LCRVEj6wqmy0DHTjjeynsjOLsppHGHu41t1ELntZ0lEvS/Q==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-dialog@9.0.4:\n    resolution: {integrity: sha512-pmnPRZKd9CGzGgf4a1ysBvMhxm8Afx5fF6M7AzLtJ0qh8X1bshurDlqnK4MBNAB4hAeAMMbz6Ytb1rkGMvKFbQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-drawer@6.3.0:\n    resolution: {integrity: sha512-uBZVb3xTAR+dBV53d/bUhTctCw3pwcwJoM7g5aX+7vgwt2zzVzoJ6aqFjYJpBlZ9zp0dVYN8fV+hykFE7c4lig==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-dropdown@4.0.1:\n    resolution: {integrity: sha512-OdpXuOcme1rm45cR0Jzgfl1otzmU4vuBVb+etXM8vcaULGokAKVpKlw8p6xzspG7jGd/XxShvq+N3VNEfk/l5g==}\n    peerDependencies:\n      react: '>=16.11.0'\n      react-dom: '>=16.11.0'\n\n  rc-field-form@1.38.2:\n    resolution: {integrity: sha512-O83Oi1qPyEv31Sg+Jwvsj6pXc8uQI2BtIAkURr5lvEYHVggXJhdU/nynK8wY1gbw0qR48k731sN5ON4egRCROA==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-gesture@0.0.22:\n    resolution: {integrity: sha512-6G6qrCE0MUTXyjh/powj91XkjRjoFL4HiJLPU5lALXHvGX+/efcUjGYUrHrrw0mwQdmrmg4POqnY/bibns+G3g==}\n\n  rc-image@5.13.0:\n    resolution: {integrity: sha512-iZTOmw5eWo2+gcrJMMcnd7SsxVHl3w5xlyCgsULUdJhJbnuI8i/AL0tVOsE7aLn9VfOh1qgDT3mC2G75/c7mqg==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-input-number@7.3.11:\n    resolution: {integrity: sha512-aMWPEjFeles6PQnMqP5eWpxzsvHm9rh1jQOWXExUEIxhX62Fyl/ptifLHOn17+waDG1T/YUb6flfJbvwRhHrbA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-input@0.1.4:\n    resolution: {integrity: sha512-FqDdNz+fV2dKNgfXzcSLKvC+jEs1709t7nD+WdfjrdSaOcefpgc7BUJYadc3usaING+b7ediMTfKxuJBsEFbXA==}\n    peerDependencies:\n      react: '>=16.0.0'\n      react-dom: '>=16.0.0'\n\n  rc-mentions@1.13.1:\n    resolution: {integrity: sha512-FCkaWw6JQygtOz0+Vxz/M/NWqrWHB9LwqlY2RtcuFqWJNFK9njijOOzTSsBGANliGufVUzx/xuPHmZPBV0+Hgw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-menu@9.8.4:\n    resolution: {integrity: sha512-lmw2j8I2fhdIzHmC9ajfImfckt0WDb2KVJJBBRIsxPEw2kGkEfjLMUoB1NgiNT/Q5cC8PdjGOGQjHJIJMwyNMw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-motion@2.9.4:\n    resolution: {integrity: sha512-TAPUUufDqhPO669qJobI0d9U0XZ/VPNQyZTivUxxzU1EyuPe3PtHSx7Kb902KuzQgu7sS18z8GguaxZEALV/ww==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-notification@4.6.1:\n    resolution: {integrity: sha512-NSmFYwrrdY3+un1GvDAJQw62Xi9LNMSsoQyo95tuaYrcad5Bn9gJUL8AREufRxSQAQnr64u3LtP3EUyLYT6bhw==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-overflow@1.3.2:\n    resolution: {integrity: sha512-nsUm78jkYAoPygDAcGZeC2VwIg/IBGSodtOY3pMof4W3M9qRJgqaDYm03ZayHlde3I6ipliAxbN0RUcGf5KOzw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-pagination@3.2.0:\n    resolution: {integrity: sha512-5tIXjB670WwwcAJzAqp2J+cOBS9W3cH/WU1EiYwXljuZ4vtZXKlY2Idq8FZrnYBz8KhN3vwPo9CoV/SJS6SL1w==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-picker@2.7.6:\n    resolution: {integrity: sha512-H9if/BUJUZBOhPfWcPeT15JUI3/ntrG9muzERrXDkSoWmDj4yzmBvumozpxYrHwjcKnjyDGAke68d+whWwvhHA==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-progress@3.4.2:\n    resolution: {integrity: sha512-iAGhwWU+tsayP+Jkl9T4+6rHeQTG9kDz8JAHZk4XtQOcYN5fj9H34NXNEdRdZx94VUDHMqCb1yOIvi8eJRh67w==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-rate@2.9.3:\n    resolution: {integrity: sha512-2THssUSnRhtqIouQIIXqsZGzRczvp4WsH4WvGuhiwm+LG2fVpDUJliP9O1zeDOZvYfBE/Bup4SgHun/eCkbjgQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-resize-observer@1.4.1:\n    resolution: {integrity: sha512-JbAeFDsaaZRPwaTlXnCqgeO9c6E7qoaE/hxsub08cdnnPn6767c/j9+r/TifUdfvwXtdcfHygKbZ7ecM/PXo/Q==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-segmented@2.3.0:\n    resolution: {integrity: sha512-I3FtM5Smua/ESXutFfb8gJ8ZPcvFR+qUgeeGFQHBOvRiRKyAk4aBE5nfqrxXx+h8/vn60DQjOt6i4RNtrbOobg==}\n    peerDependencies:\n      react: '>=16.0.0'\n      react-dom: '>=16.0.0'\n\n  rc-select@14.1.18:\n    resolution: {integrity: sha512-4JgY3oG2Yz68ECMUSCON7mtxuJvCSj+LJpHEg/AONaaVBxIIrmI/ZTuMJkyojall/X50YdBe5oMKqHHPNiPzEg==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '*'\n      react-dom: '*'\n\n  rc-slider@10.0.1:\n    resolution: {integrity: sha512-igTKF3zBet7oS/3yNiIlmU8KnZ45npmrmHlUUio8PNbIhzMcsh+oE/r2UD42Y6YD2D/s+kzCQkzQrPD6RY435Q==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-slider@8.2.0:\n    resolution: {integrity: sha512-rnO36M3VhMoPWh1kRuCeJoluT4duAW7+5aLaAn9oLu2pKEKsuOFUh5DmA2kEo88UmvPV6nr7HHDeZuC8SNM/lA==}\n\n  rc-steps@5.0.0:\n    resolution: {integrity: sha512-9TgRvnVYirdhbV0C3syJFj9EhCRqoJAsxt4i1rED5o8/ZcSv5TLIYyo4H8MCjLPvbe2R+oBAm/IYBEtC+OS1Rw==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-swipeout@2.0.11:\n    resolution: {integrity: sha512-d37Lgn4RX4OOQyuA2BFo0rGlUwrmZk5q83srH3ixJ1Y1jidr2GKjgJDbNeGUVZPNfYBL91Elu6+xfVGftWf4Lg==}\n\n  rc-switch@3.2.2:\n    resolution: {integrity: sha512-+gUJClsZZzvAHGy1vZfnwySxj+MjLlGRyXKXScrtCTcmiYNPzxDFOxdQ/3pK1Kt/0POvwJ/6ALOR8gwdXGhs+A==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-table@7.26.0:\n    resolution: {integrity: sha512-0cD8e6S+DTGAt5nBZQIPFYEaIukn17sfa5uFL98faHlH/whZzD8ii3dbFL4wmUDEL4BLybhYop+QUfZJ4CPvNQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-tabs@12.5.10:\n    resolution: {integrity: sha512-Ay0l0jtd4eXepFH9vWBvinBjqOpqzcsJTerBGwJy435P2S90Uu38q8U/mvc1sxUEVOXX5ZCFbxcWPnfG3dH+tQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-textarea@0.4.7:\n    resolution: {integrity: sha512-IQPd1CDI3mnMlkFyzt2O4gQ2lxUsnBAeJEoZGJnkkXgORNqyM9qovdrCj9NzcRfpHgLdzaEbU3AmobNFGUznwQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-tooltip@3.7.3:\n    resolution: {integrity: sha512-dE2ibukxxkrde7wH9W8ozHKUO4aQnPZ6qBHtrTH9LoO836PjDdiaWO73fgPB05VfJs9FbZdmGPVEbXCeOP99Ww==}\n\n  rc-tooltip@5.2.2:\n    resolution: {integrity: sha512-jtQzU/18S6EI3lhSGoDYhPqNpWajMtS5VV/ld1LwyfrDByQpYmw/LW6U7oFXXLukjfDHQ7Ju705A82PRNFWYhg==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-tree-select@5.5.5:\n    resolution: {integrity: sha512-k2av7jF6tW9bIO4mQhaVdV4kJ1c54oxV3/hHVU+oD251Gb5JN+m1RbJFTMf1o0rAFqkvto33rxMdpafaGKQRJw==}\n    peerDependencies:\n      react: '*'\n      react-dom: '*'\n\n  rc-tree@5.7.12:\n    resolution: {integrity: sha512-LXA5nY2hG5koIAlHW5sgXgLpOMz+bFRbnZZ+cCg0tQs4Wv1AmY7EDi1SK7iFXhslYockbqUerQan82jljoaItg==}\n    engines: {node: '>=10.x'}\n    peerDependencies:\n      react: '*'\n      react-dom: '*'\n\n  rc-trigger@2.6.5:\n    resolution: {integrity: sha512-m6Cts9hLeZWsTvWnuMm7oElhf+03GOjOLfTuU0QmdB9ZrW7jR2IpI5rpNM7i9MvAAlMAmTx5Zr7g3uu/aMvZAw==}\n\n  rc-trigger@5.3.4:\n    resolution: {integrity: sha512-mQv+vas0TwKcjAO2izNPkqR4j86OemLRmvL2nOzdP9OWNWA1ivoTt5hzFqYNW9zACwmTezRiN8bttrC7cZzYSw==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-upload@4.3.6:\n    resolution: {integrity: sha512-Bt7ESeG5tT3IY82fZcP+s0tQU2xmo1W6P3S8NboUUliquJLQYLkUcsaExi3IlBVr43GQMCjo30RA2o0i70+NjA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-util@4.21.1:\n    resolution: {integrity: sha512-Z+vlkSQVc1l8O2UjR3WQ+XdWlhj5q9BMQNLk2iOBch75CqPfrJyGtcWMcnhRlNuDu0Ndtt4kLVO8JI8BrABobg==}\n\n  rc-util@5.44.1:\n    resolution: {integrity: sha512-h6z91oGfWJPZgunkFBWSobfL0CkyLeaUNWP1ru7b05GMUSe2uHgTk0EiFEQ11v+zJBrORuXFl6Htf949ZSDdOw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-virtual-list@3.16.0:\n    resolution: {integrity: sha512-tRpWBC0msU+MxFxnD6+y4v0P17Yzplf+mbiHrqRvfVanx0S4o0XV+2zu4vv7hM9nNfcucO+MPHivqpRT2lfnFQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  react-dom@16.14.0:\n    resolution: {integrity: sha512-1gCeQXDLoIqMgqD3IO2Ah9bnf0w9kzhwN5q4FGnHZ67hBm9yePzB5JJAIQCc8x3pFnNlwFq4RidZggNAAkzWWw==}\n    peerDependencies:\n      react: ^16.14.0\n\n  react-dom@17.0.2:\n    resolution: {integrity: sha512-s4h96KtLDUQlsENhMn1ar8t2bEa+q/YAtj8pPPdIjPDGBDIVNsrD9aXNWqspUe6AzKCIG0C1HZZLqLV7qpOBGA==}\n    peerDependencies:\n      react: 17.0.2\n\n  react-fast-compare@3.2.2:\n    resolution: {integrity: sha512-nsO+KSNgo1SbJqJEYRE9ERzo7YtYbou/OqjSQKxV7jcKox7+usiUVZOAC+XnDOABXggQTno0Y1CpVnuWEc1boQ==}\n\n  react-helmet@6.1.0:\n    resolution: {integrity: sha512-4uMzEY9nlDlgxr61NL3XbKRy1hEkXmKNXhjbAIOVw5vcFrsdYbH2FEwcNyWvWinl103nXgzYNlns9ca+8kFiWw==}\n    peerDependencies:\n      react: '>=16.3.0'\n\n  react-intl@3.12.1:\n    resolution: {integrity: sha512-cgumW29mwROIqyp8NXStYsoIm27+8FqnxykiLSawWjOxGIBeLuN/+p2srei5SRIumcJefOkOIHP+NDck05RgHg==}\n    peerDependencies:\n      react: ^16.3.0\n\n  react-is@16.13.1:\n    resolution: {integrity: sha512-24e6ynE2H+OKt4kqsOvNd8kBpV65zoxbA4BVsEOB3ARVWQki/DHzaUoC5KuON/BiccDaCCTZBuOcfZs70kR8bQ==}\n\n  react-is@17.0.2:\n    resolution: {integrity: sha512-w2GsyukL62IJnlaff/nRegPQR94C/XXamvMWmSHRJ4y7Ts/4ocGRmTHvOs8PSE6pB3dWOrD/nueuU5sduBsQ4w==}\n\n  react-is@18.3.1:\n    resolution: {integrity: sha512-/LLMVyas0ljjAtoYiPqYiL8VWXzUUdThrmU5+n20DZv+a+ClRoevUzw5JxU+Ieh5/c87ytoTBV9G1FiKfNJdmg==}\n\n  react-lifecycles-compat@3.0.4:\n    resolution: {integrity: sha512-fBASbA6LnOU9dOU2eW7aQ8xmYBSXUIWr+UmF9b1efZBazGNO+rcXT/icdKnYm2pTwcRylVUYwW7H1PHfLekVzA==}\n\n  react-native-swipeout@2.3.6:\n    resolution: {integrity: sha512-t9suUCspzck4vp2pWggWe0frS/QOtX6yYCawHnEes75A7dZCEE74bxX2A1bQzGH9cUMjq6xsdfC94RbiDKIkJg==}\n    deprecated: Package no longer supported. Use at your own risk or consider using https://github.com/software-mansion/react-native-gesture-handler\n\n  react-redux@7.2.9:\n    resolution: {integrity: sha512-Gx4L3uM182jEEayZfRbI/G11ZpYdNAnBs70lFVMNdHJI76XYtR+7m0MN+eAs7UHBPhWXcnFPaS+9owSCJQHNpQ==}\n    peerDependencies:\n      react: ^16.8.3 || ^17 || ^18\n      react-dom: '*'\n      react-native: '*'\n    peerDependenciesMeta:\n      react-dom:\n        optional: true\n      react-native:\n        optional: true\n\n  react-refresh@0.10.0:\n    resolution: {integrity: sha512-PgidR3wST3dDYKr6b4pJoqQFpPGNKDSCDx4cZoshjXipw3LzO7mG1My2pwEzz2JVkF+inx3xRpDeQLFQGH/hsQ==}\n    engines: {node: '>=0.10.0'}\n\n  react-router-config@5.1.1:\n    resolution: {integrity: sha512-DuanZjaD8mQp1ppHjgnnUnyOlqYXZVjnov/JzFhjLEwd3Z4dYjMSnqrEzzGThH47vpCOqPPwJM2FtthLeJ8Pbg==}\n    peerDependencies:\n      react: '>=15'\n      react-router: '>=5'\n\n  react-router-dom@5.2.0:\n    resolution: {integrity: sha512-gxAmfylo2QUjcwxI63RhQ5G85Qqt4voZpUXSEqCwykV0baaOTQDR1f0PmY8AELqIyVc0NEZUj0Gov5lNGcXgsA==}\n    peerDependencies:\n      react: '>=15'\n\n  react-router-dom@5.3.4:\n    resolution: {integrity: sha512-m4EqFMHv/Ih4kpcBCONHbkT68KoAeHN4p3lAGoNryfHi0dMy0kCzEZakiKRsvg5wHZ/JLrLW8o8KomWiz/qbYQ==}\n    peerDependencies:\n      react: '>=15'\n\n  react-router@5.2.0:\n    resolution: {integrity: sha512-smz1DUuFHRKdcJC0jobGo8cVbhO3x50tCL4icacOlcwDOEQPq4TMqwx3sY1TP+DvtTgz4nm3thuo7A+BK2U0Dw==}\n    peerDependencies:\n      react: '>=15'\n\n  react-router@5.3.4:\n    resolution: {integrity: sha512-Ys9K+ppnJah3QuaRiLxk+jDWOR1MekYQrlytiXxC1RyfbdsZkS5pvKAzCCr031xHixZwpnsYNT5xysdFHQaYsA==}\n    peerDependencies:\n      react: '>=15'\n\n  react-side-effect@2.1.2:\n    resolution: {integrity: sha512-PVjOcvVOyIILrYoyGEpDN3vmYNLdy1CajSFNt4TDsVQC5KpTijDvWVoR+/7Rz2xT978D8/ZtFceXxzsPwZEDvw==}\n    peerDependencies:\n      react: ^16.3.0 || ^17.0.0 || ^18.0.0\n\n  react-sortable-hoc@2.0.0:\n    resolution: {integrity: sha512-JZUw7hBsAHXK7PTyErJyI7SopSBFRcFHDjWW5SWjcugY0i6iH7f+eJkY8cJmGMlZ1C9xz1J3Vjz0plFpavVeRg==}\n    peerDependencies:\n      prop-types: ^15.5.7\n      react: ^16.3.0 || ^17.0.0\n      react-dom: ^16.3.0 || ^17.0.0\n\n  react-tween-state@0.1.5:\n    resolution: {integrity: sha512-sJQpjsdn0wjlDIUpfpb7jQGnOG8hAEW2e8k0KPA+xmf5KFa6Xat2JldbmxBhaqP0S/uIXhVE5ymKyH/b9X8nYA==}\n\n  react@16.14.0:\n    resolution: {integrity: sha512-0X2CImDkJGApiAlcf0ODKIneSwBPhqJawOa5wCtKbu7ZECrmS26NvtSILynQ66cgkT/RJ4LidJOc3bUESwmU8g==}\n    engines: {node: '>=0.10.0'}\n\n  react@17.0.2:\n    resolution: {integrity: sha512-gnhPt75i/dq/z3/6q/0asP78D0u592D5L1pd7M8P+dck6Fu/jJeL6iVVK23fptSUZj8Vjf++7wXA8UNclGQcbA==}\n    engines: {node: '>=0.10.0'}\n\n  read-pkg-up@7.0.1:\n    resolution: {integrity: sha512-zK0TB7Xd6JpCLmlLmufqykGE+/TlOePD6qKClNW7hHDKFh/J7/7gCWGR7joEQEW1bKq3a3yUZSObOoWLFQ4ohg==}\n    engines: {node: '>=8'}\n\n  read-pkg@5.2.0:\n    resolution: {integrity: sha512-Ug69mNOpfvKDAc2Q8DRpMjjzdtrnv9HcSMX+4VsZxD1aZ6ZzrIE7rlzXBtWTyhULSMKg076AW6WR5iZpD0JiOg==}\n    engines: {node: '>=8'}\n\n  readable-stream@2.3.8:\n    resolution: {integrity: sha512-8p0AUk4XODgIewSi0l8Epjs+EVnWiK7NoDIEGU0HhE7+ZyY8D1IMY7odu5lRrFXGg71L15KG8QrPmum45RTtdA==}\n\n  readdirp@3.5.0:\n    resolution: {integrity: sha512-cMhu7c/8rdhkHXWsY+osBhfSy0JikwpHK/5+imo+LpeasTF8ouErHrlYkwT0++njiyuDvc7OFY5T3ukvZ8qmFQ==}\n    engines: {node: '>=8.10.0'}\n\n  redbox-react@1.6.0:\n    resolution: {integrity: sha512-mLjM5eYR41yOp5YKHpd3syFeGq6B4Wj5vZr64nbLvTZW5ZLff4LYk7VE4ITpVxkZpCY6OZuqh0HiP3A3uEaCpg==}\n    peerDependencies:\n      react: ^0.14.0 || ^15.0.0 || ^16.0.0-beta || ^16.0.0\n      react-dom: ^0.14.0 || ^15.0.0 || ^16.0.0-beta || ^16.0.0\n\n  redux-saga@0.16.2:\n    resolution: {integrity: sha512-iIjKnRThI5sKPEASpUvySemjzwqwI13e3qP7oLub+FycCRDysLSAOwt958niZW6LhxfmS6Qm1BzbU70w/Koc4w==}\n\n  redux@4.2.1:\n    resolution: {integrity: sha512-LAUYz4lc+Do8/g7aeRa8JkyDErK6ekstQaqWQrNRW//MY1TvCEpMtpTWvlQ+FPbWCx+Xixu/6SHt5N0HR+SB4w==}\n\n  regenerate-unicode-properties@10.0.1:\n    resolution: {integrity: sha512-vn5DU6yg6h8hP/2OkQo3K7uVILvY4iu0oI4t3HFa81UPkhGJwkRwM10JEc3upjdhHjs/k8GJY1sRBhk5sr69Bw==}\n    engines: {node: '>=4'}\n\n  regenerate@1.4.2:\n    resolution: {integrity: sha512-zrceR/XhGYU/d/opr2EKO7aRHUeiBI8qjtfHqADTwZd6Szfy16la6kqD0MIUs5z5hx6AaKa+PixpPrR289+I0A==}\n\n  regenerator-runtime@0.11.1:\n    resolution: {integrity: sha512-MguG95oij0fC3QV3URf4V2SDYGJhJnJGqvIIgdECeODCT98wSWDAJ94SSuVpYQUoTcGUIL6L4yNB7j1DFFHSBg==}\n\n  regenerator-runtime@0.13.11:\n    resolution: {integrity: sha512-kY1AZVr2Ra+t+piVaJ4gxaFaReZVH40AKNo7UCX6W+dEwBo/2oZJzqfuN1qLq1oL45o56cPaTXELwrTh8Fpggg==}\n\n  regenerator-runtime@0.13.5:\n    resolution: {integrity: sha512-ZS5w8CpKFinUzOwW3c83oPeVXoNsrLsaCoLtJvAClH135j/R77RuymhiSErhm2lKcwSCIpmvIWSbDkIfAqKQlA==}\n\n  regenerator-runtime@0.14.1:\n    resolution: {integrity: sha512-dYnhHh0nJoMfnkZs6GmmhFknAGRrLznOu5nc9ML+EJxGvrx6H7teuevqVqCuPcPK//3eDrrjQhehXVx9cnkGdw==}\n\n  regex-not@1.0.2:\n    resolution: {integrity: sha512-J6SDjUgDxQj5NusnOtdFxDwN/+HWykR8GELwctJ7mdqhcyy1xEc4SRFHUXvxTp661YaVKAjfRLZ9cCqS6tn32A==}\n    engines: {node: '>=0.10.0'}\n\n  remove-trailing-separator@1.1.0:\n    resolution: {integrity: sha512-/hS+Y0u3aOfIETiaiirUFwDBDzmXPvO+jAfKTitUngIPzdKc6Z0LoFjM/CK5PL4C+eKwHohlHAb6H0VFfmmUsw==}\n\n  repeat-element@1.1.4:\n    resolution: {integrity: sha512-LFiNfRcSu7KK3evMyYOuCzv3L10TW7yC1G2/+StMjK8Y6Vqd2MG7r/Qjw4ghtuCOjFvlnms/iMmLqpvW/ES/WQ==}\n    engines: {node: '>=0.10.0'}\n\n  repeat-string@1.6.1:\n    resolution: {integrity: sha512-PV0dzCYDNfRi1jCDbJzpW7jNNDRuCOG/jI5ctQcGKt/clZD+YcPS3yIlWuTJMmESC8aevCFmWJy5wjAFgNqN6w==}\n    engines: {node: '>=0.10'}\n\n  require-directory@2.1.1:\n    resolution: {integrity: sha512-fGxEI7+wsG9xrvdjsrlmL22OMTTiHRwAMroiEeMgq8gzoLC/PQr7RsRDSTLUg/bZAZtF+TVIkHc6/4RIKrui+Q==}\n    engines: {node: '>=0.10.0'}\n\n  require-main-filename@2.0.0:\n    resolution: {integrity: sha512-NKN5kMDylKuldxYLSUfrbo5Tuzh4hd+2E8NPPX02mZtn1VuREQToYe/ZdlJy+J3uCpfaiGF05e7B8W0iXbQHmg==}\n\n  requires-port@1.0.0:\n    resolution: {integrity: sha512-KigOCHcocU3XODJxsu8i/j8T9tzT4adHiecwORRQ0ZZFcp7ahwXuRU1m+yuO90C5ZUyGeGfocHDI14M3L3yDAQ==}\n\n  resize-observer-polyfill@1.5.1:\n    resolution: {integrity: sha512-LwZrotdHOo12nQuZlHEmtuXdqGoOD0OhaxopaNFxWzInpEgaLWoVuAMbTzixuosCx2nEG58ngzW3vxdWoxIgdg==}\n\n  resolve-cwd@3.0.0:\n    resolution: {integrity: sha512-OrZaX2Mb+rJCpH/6CpSqt9xFVpN++x01XnN2ie9g6P5/3xelLAkXWVADpdz1IHD/KFfEXyE6V0U01OQ3UO2rEg==}\n    engines: {node: '>=8'}\n\n  resolve-from@3.0.0:\n    resolution: {integrity: sha512-GnlH6vxLymXJNMBo7XP1fJIzBFbdYt49CuTwmB/6N53t+kMPRMFKz783LlQ4tv28XoQfMWinAJX6WCGf2IlaIw==}\n    engines: {node: '>=4'}\n\n  resolve-from@4.0.0:\n    resolution: {integrity: sha512-pb/MYmXstAkysRFx8piNI1tGFNQIFA3vkE3Gq4EuA1dF6gHp/+vgZqsCGJapvy8N3Q+4o7FwvquPJcnZ7RYy4g==}\n    engines: {node: '>=4'}\n\n  resolve-from@5.0.0:\n    resolution: {integrity: sha512-qYg9KP24dD5qka9J47d0aVky0N+b4fTU89LN9iDnjB5waksiC49rvMB0PrUJQGoTmH50XPiqOvAjDfaijGxYZw==}\n    engines: {node: '>=8'}\n\n  resolve-pathname@3.0.0:\n    resolution: {integrity: sha512-C7rARubxI8bXFNB/hqcp/4iUeIXJhJZvFPFPiSPRnhU5UPxzMFIl+2E6yY6c4k9giDJAhtV+enfA+G89N6Csng==}\n\n  resolve-url@0.2.1:\n    resolution: {integrity: sha512-ZuF55hVUQaaczgOIwqWzkEcEidmlD/xl44x1UZnhOXcYuFN2S6+rcxpG+C1N3So0wvNI3DmJICUFfu2SxhBmvg==}\n    deprecated: https://github.com/lydell/resolve-url#deprecated\n\n  resolve@1.22.8:\n    resolution: {integrity: sha512-oKWePCxqpd6FlLvGV1VU0x7bkPmmCNolxzjMf4NczoDnQcIWrAF+cPtZn5i6n+RfD2d9i0tzpKnG6Yk168yIyw==}\n    hasBin: true\n\n  restore-cursor@3.1.0:\n    resolution: {integrity: sha512-l+sSefzHpj5qimhFSE5a8nufZYAM3sBSVMAPtYkmC+4EH2anSGaEMXSD0izRQbu9nfyQ9y5JrVmp7E8oZrUjvA==}\n    engines: {node: '>=8'}\n\n  ret@0.1.15:\n    resolution: {integrity: sha512-TTlYpa+OL+vMMNG24xSlQGEJ3B/RzEfUlLct7b5G/ytav+wPrplCpVMFuwzXbkecJrb6IYo1iFb0S9v37754mg==}\n    engines: {node: '>=0.12'}\n\n  rfdc@1.4.1:\n    resolution: {integrity: sha512-q1b3N5QkRUWUl7iyylaaj3kOpIT0N2i9MqIEQXP73GVsN9cw3fdx8X63cEmWhJGi2PPCF23Ijp7ktmd39rawIA==}\n\n  rimraf@3.0.2:\n    resolution: {integrity: sha512-JZkJMZkAGFFPP2YqXZXPbMlMBgsxzE8ILs4lMIX/2o0L9UBw9O/Y3o6wFw/i9YLapcUJWwqbi3kdxIPdC62TIA==}\n    deprecated: Rimraf versions prior to v4 are no longer supported\n    hasBin: true\n\n  ripemd160@2.0.2:\n    resolution: {integrity: sha512-ii4iagi25WusVoiC4B4lq7pbXfAp3D9v5CwfkY33vffw2+pkDjY1D8GaN7spsxvCSx8dkPqOZCEZyfxcmJG2IA==}\n\n  rmc-align@1.0.0:\n    resolution: {integrity: sha512-3gEa5/+hqqoEVoeQ25KoRc8DOsXIdSaVpaBq1zQFaV941LR3xvZIRTlxTDT/IagYwoGM1KZea/jd7cNMYP34Rg==}\n\n  rmc-calendar@1.1.4:\n    resolution: {integrity: sha512-xxQZaPFDnpHt4IFO8mukYrXSgC1W8LcNVp+EoX4iyeOJFimungOKB/iP5/cy+st8yXq8lUgk9TXsHNtM6Xo6ZA==}\n\n  rmc-cascader@5.0.3:\n    resolution: {integrity: sha512-PxDhMjWViDdG4SMZqoXtAthGwgDyYnyxxZEE17IDDYsiCHpWtOhoIL8nsI+/hZ212UT/XF2LpqCsOlMoJiYk+w==}\n\n  rmc-date-picker@6.0.10:\n    resolution: {integrity: sha512-/9+I6lm3EDEl6M7862V6++zFuxwsM0UEq8wSHbotYIPPmyB/65gx1cviblghOv2QfB0O9+U2w3qEJlRP/WsMrA==}\n\n  rmc-dialog@1.1.1:\n    resolution: {integrity: sha512-28aJqtPTX6v13Z/aU1WBy1AFIXkE74PxZXde7JvtEIy9hQDTjH8fqOi822BpzAbXCyNE7jF9iFomy3H2ClsDJA==}\n\n  rmc-drawer@0.4.11:\n    resolution: {integrity: sha512-YfB9XEJ8iM0MMuLWAK4313uOxSM8NAljC8Cqun1KamXutglYTuRviUuTLNSOzV8HHPp5kNpsVduvPCGLWXvThw==}\n    engines: {node: '>=4.0.0'}\n\n  rmc-feedback@2.0.0:\n    resolution: {integrity: sha512-5PWOGOW7VXks/l3JzlOU9NIxRpuaSS8d9zA3UULUCuTKnpwBHNvv1jSJzxgbbCQeYzROWUpgKI4za3X4C/mKmQ==}\n\n  rmc-input-number@1.0.5:\n    resolution: {integrity: sha512-prPkEtoOVde77GnEnEaBeWjBobMOPgGqU5bd0gxfp1kt1pUN740mMpVAcH7uxpJjVfmw+kuGWtiz4S7CueagSg==}\n\n  rmc-list-view@0.11.5:\n    resolution: {integrity: sha512-eMOC5394tLNawcdEEhF7boMpQgpjJGDdL5lS+LblAWdBec7Q4EYkUdnrKNbt+O9k5RGM6nSLAGZK5oB4FN85Lg==}\n\n  rmc-notification@1.0.0:\n    resolution: {integrity: sha512-9sPxjltFvtRLt2v312Hu7OXwk53pHkBYgINRDmnJ3A5NF1qtJeCCcdN0Xr0fzJ6sbQvtGju822tWHdzYA9u7Vw==}\n\n  rmc-nuka-carousel@3.0.1:\n    resolution: {integrity: sha512-w2EPTERMUUZqcUSKFuejjin7xsMlhrLrtS0A/igTXpFJGq3kemDKcRi7q3pSYDuZBHYBl5iV4UqsLLkjdFtrYA==}\n\n  rmc-picker@5.0.10:\n    resolution: {integrity: sha512-KZ70+WjcaZHnG5GyCxWCPFWAZ12s6NqyrbW73LeqH0WEqaTMMs0sOrk2f4mQAZ/CGT0XcFN6VZLw7Ozoxfn7LA==}\n\n  rmc-pull-to-refresh@1.0.13:\n    resolution: {integrity: sha512-iYLsURiR7G/sKmRA6p2kq6ZXicn7Hyeo6VQFljssV1eMW+fzDgihhaz0kv5mza0f88vphGJvjOihT9E6+xGb6Q==}\n\n  rmc-steps@1.0.1:\n    resolution: {integrity: sha512-8ijtwp4D1CYTtI2yerXJYqCv+GQbiBc9T12nrFngd/vM0y+58CnznGphTAueF6IWf7qbxBwcjTrcFgg7bP2YGA==}\n\n  rmc-tabs@1.2.29:\n    resolution: {integrity: sha512-wiJS9WSJi9JH9GQO+FqncX+zaHP31qHa/S8nDW9UXUx0qbCX294QcJEnvfB+WmsfUws7rXjs6sOQp5EDiObnHg==}\n\n  rmc-tooltip@1.0.1:\n    resolution: {integrity: sha512-fSDArf2BlMVrHExmBiqb2TkCRJHshvXFJQ/7tMraLellwaJLNiwrxtWpW329k3S+zTtoVG8UxFS1TjBGEsMzRg==}\n\n  rmc-trigger@1.0.12:\n    resolution: {integrity: sha512-AccQniX7PX7Pm8hBhHEsnf3JU6CA61Xc7fAt2WbO+oXrGaI/jqN8C3COhhOXG54S5iTOjLS26j858zshwAxR9A==}\n\n  rsvp@4.8.5:\n    resolution: {integrity: sha512-nfMOlASu9OnRJo1mbEk2cz0D56a1MBNrJ7orjRZQG10XDyuvwksKbuXNp6qa+kbn839HwjwhBzhFmdsaEAfauA==}\n    engines: {node: 6.* || >= 7.*}\n\n  rxjs@7.8.1:\n    resolution: {integrity: sha512-AA3TVj+0A2iuIoQkWEK/tqFjBq2j+6PO6Y0zJcvzLAFhEFIO3HL0vls9hWLncZbAAbK0mar7oZ4V079I/qPMxg==}\n\n  safe-buffer@5.1.2:\n    resolution: {integrity: sha512-Gd2UZBJDkXlY7GbJxfsE8/nvKkUEU1G38c1siN6QP6a9PT9MmHB8GnpscSmMJSoF8LOIrt8ud/wPtojys4G6+g==}\n\n  safe-buffer@5.2.1:\n    resolution: {integrity: sha512-rp3So07KcdmmKbGvgaNxQSJr7bGVSVk5S9Eq1F+ppbRo70+YeaDxkw5Dd8NPN+GD6bjnYm2VuPuCXmpuYvmCXQ==}\n\n  safe-regex@1.1.0:\n    resolution: {integrity: sha512-aJXcif4xnaNUzvUuC5gcb46oTS7zvg4jpMTnuqtrEPlR3vFr4pxtdTwaF1Qs3Enjn9HK+ZlwQui+a7z0SywIzg==}\n\n  safer-buffer@2.1.2:\n    resolution: {integrity: sha512-YZo3K82SD7Riyi0E1EQPojLz7kpepnSQI9IyPbHHg1XXXevb5dJI7tpyN2ADxGcQbHG7vcyRHk0cbwqcQriUtg==}\n\n  sane@4.1.0:\n    resolution: {integrity: sha512-hhbzAgTIX8O7SHfp2c8/kREfEn4qO/9q8C9beyY6+tvZ87EpoZ3i1RIEvp27YBswnNbY9mWd6paKVmKbAgLfZA==}\n    engines: {node: 6.* || 8.* || >= 10.*}\n    deprecated: some dependency vulnerabilities fixed, support for node < 10 dropped, and newer ECMAScript syntax/features added\n    hasBin: true\n\n  saxes@5.0.1:\n    resolution: {integrity: sha512-5LBh1Tls8c9xgGjw3QrMwETmTMVk0oFgvrFSvWx62llR2hcEInrKNZ2GZCCuuy2lvWrdl5jhbpeqc5hRYKFOcw==}\n    engines: {node: '>=10'}\n\n  scheduler@0.19.1:\n    resolution: {integrity: sha512-n/zwRWRYSUj0/3g/otKDRPMh6qv2SYMWNq85IEa8iZyAv8od9zDYpGSnpBEjNgcMNq6Scbu5KfIPxNF72R/2EA==}\n\n  scheduler@0.20.2:\n    resolution: {integrity: sha512-2eWfGgAqqWFGqtdMmcL5zCMK1U8KlXv8SQFGglL3CEtd0aDVDWgeF/YoCmvln55m5zSk3J/20hTaSBeSObsQDQ==}\n\n  schema-utils@1.0.0:\n    resolution: {integrity: sha512-i27Mic4KovM/lnGsy8whRCHhc7VicJajAjTrYg11K9zfZXnYIt4k5F+kZkwjnrhKzLic/HLU4j11mjsz2G/75g==}\n    engines: {node: '>= 4'}\n\n  schema-utils@3.3.0:\n    resolution: {integrity: sha512-pN/yOAvcC+5rQ5nERGuwrjLlYvLTbCibnZ1I7B1LaiAz9BRBlE9GMgE/eqV30P7aJQUf7Ddimy/RsbYO/GrVGg==}\n    engines: {node: '>= 10.13.0'}\n\n  scroll-into-view-if-needed@2.2.31:\n    resolution: {integrity: sha512-dGCXy99wZQivjmjIqihaBQNjryrz5rueJY7eHfTdyWEiR4ttYpsajb14rn9s5d4DY4EcY6+4+U/maARBXJedkA==}\n\n  seamless-immutable@7.1.4:\n    resolution: {integrity: sha512-XiUO1QP4ki4E2PHegiGAlu6r82o5A+6tRh7IkGGTVg/h+UoeX4nFBeCGPOhb4CYjvkqsfm/TUtvOMYC1xmV30A==}\n\n  semver-compare@1.0.0:\n    resolution: {integrity: sha512-YM3/ITh2MJ5MtzaM429anh+x2jiLVjqILF4m4oyQB18W7Ggea7BfqdH/wGMK7dDiMghv/6WG7znWMwUDzJiXow==}\n\n  semver@5.7.2:\n    resolution: {integrity: sha512-cBznnQ9KjJqU67B52RMC65CMarK2600WFnbkcaiwWq3xy/5haFJlshgnpjovMVJ+Hff49d8GEn0b87C5pDQ10g==}\n    hasBin: true\n\n  semver@6.3.1:\n    resolution: {integrity: sha512-BR7VvDCVHO+q2xBEWskxS6DJE1qRnb7DxzUrogb71CWoSficBxYsiAGd+Kl0mmq/MprG9yArRkyrQxTO6XjMzA==}\n    hasBin: true\n\n  semver@7.6.3:\n    resolution: {integrity: sha512-oVekP1cKtI+CTDvHWYFUcMtsK/00wmAEfyqKfNdARm8u1wNVhSgaX7A8d4UuIlUI5e84iEwOhs7ZPYRmzU9U6A==}\n    engines: {node: '>=10'}\n    hasBin: true\n\n  set-blocking@2.0.0:\n    resolution: {integrity: sha512-KiKBS8AnWGEyLzofFfmvKwpdPzqiy16LvQfK3yv/fVH7Bj13/wl3JSR1J+rfgRE9q7xUJK4qvgS8raSOeLUehw==}\n\n  set-function-length@1.2.2:\n    resolution: {integrity: sha512-pgRc4hJ4/sNjWCSS9AmnS40x3bNMDTknHgL5UaMBTMyJnU90EgWh1Rz+MC9eFu4BuN/UwZjKQuY/1v3rM7HMfg==}\n    engines: {node: '>= 0.4'}\n\n  set-value@2.0.1:\n    resolution: {integrity: sha512-JxHc1weCN68wRY0fhCoXpyK55m/XPHafOmK4UWD7m2CI14GMcFypt4w/0+NV5f/ZMby2F6S2wwA7fgynh9gWSw==}\n    engines: {node: '>=0.10.0'}\n\n  setimmediate@1.0.5:\n    resolution: {integrity: sha512-MATJdZp8sLqDl/68LfQmbP8zKPLQNV6BIZoIgrscFDQ+RsvK/BxeDQOgyxKKoh0y/8h3BqVFnCqQ/gd+reiIXA==}\n\n  sha.js@2.4.11:\n    resolution: {integrity: sha512-QMEp5B7cftE7APOjk5Y6xgrbWu+WkLVQwk8JNjZ8nKRciZaByEW6MubieAiToS7+dwvrjGhH8jRXz3MVd0AYqQ==}\n    hasBin: true\n\n  shallow-equal@1.2.1:\n    resolution: {integrity: sha512-S4vJDjHHMBaiZuT9NPb616CSmLf618jawtv3sufLl6ivK8WocjAo58cXwbRV1cgqxH0Qbv+iUt6m05eqEa2IRA==}\n\n  shallowequal@1.1.0:\n    resolution: {integrity: sha512-y0m1JoUZSlPAjXVtPPW70aZWfIL/dSP7AFkRnniLCrK/8MDKog3TySTBmckD+RObVxH0v4Tox67+F14PdED2oQ==}\n\n  shebang-command@1.2.0:\n    resolution: {integrity: sha512-EV3L1+UQWGor21OmnvojK36mhg+TyIKDh3iFBKBohr5xeXIhNBcx8oWdgkTEEQ+BEFFYdLRuqMfd5L84N1V5Vg==}\n    engines: {node: '>=0.10.0'}\n\n  shebang-command@2.0.0:\n    resolution: {integrity: sha512-kHxr2zZpYtdmrN1qDjrrX/Z1rR1kG8Dx+gkpK1G4eXmvXswmcE1hTWBWYUzlraYw1/yZp6YuDY77YtvbN0dmDA==}\n    engines: {node: '>=8'}\n\n  shebang-regex@1.0.0:\n    resolution: {integrity: sha512-wpoSFAxys6b2a2wHZ1XpDSgD7N9iVjg29Ph9uV/uaP9Ex/KXlkTZTeddxDPSYQpgvzKLGJke2UU0AzoGCjNIvQ==}\n    engines: {node: '>=0.10.0'}\n\n  shebang-regex@3.0.0:\n    resolution: {integrity: sha512-7++dFhtcx3353uBaq8DDR4NuxBetBzC7ZQOhmTQInHEd6bSrXdiEyzCvG07Z44UYdLShWUyXt5M/yhz8ekcb1A==}\n    engines: {node: '>=8'}\n\n  shellwords@0.1.1:\n    resolution: {integrity: sha512-vFwSUfQvqybiICwZY5+DAWIPLKsWO31Q91JSKl3UYv+K5c2QRPzn0qzec6QPu1Qc9eHYItiP3NdJqNVqetYAww==}\n\n  side-channel-list@1.0.0:\n    resolution: {integrity: sha512-FCLHtRD/gnpCiCHEiJLOwdmFP+wzCmDEkc9y7NsYxeF4u7Btsn1ZuwgwJGxImImHicJArLP4R0yX4c2KCrMrTA==}\n    engines: {node: '>= 0.4'}\n\n  side-channel-map@1.0.1:\n    resolution: {integrity: sha512-VCjCNfgMsby3tTdo02nbjtM/ewra6jPHmpThenkTYh8pG9ucZ/1P8So4u4FGBek/BjpOVsDCMoLA/iuBKIFXRA==}\n    engines: {node: '>= 0.4'}\n\n  side-channel-weakmap@1.0.2:\n    resolution: {integrity: sha512-WPS/HvHQTYnHisLo9McqBHOJk2FkHO/tlpvldyrnem4aeQp4hai3gythswg6p01oSoTl58rcpiFAjF2br2Ak2A==}\n    engines: {node: '>= 0.4'}\n\n  side-channel@1.1.0:\n    resolution: {integrity: sha512-ZX99e6tRweoUXqR+VBrslhda51Nh5MTQwou5tnUDgbtyM0dBgmhEDtWGP/xbKn6hqfPRHujUNwz5fy/wbbhnpw==}\n    engines: {node: '>= 0.4'}\n\n  signal-exit@3.0.7:\n    resolution: {integrity: sha512-wnD2ZE+l+SPC/uoS0vXeE9L1+0wuaMqKlfz9AMUo38JsyLSBWSFcHR1Rri62LZc12vLr1gb3jl7iwQhgwpAbGQ==}\n\n  sisteransi@1.0.5:\n    resolution: {integrity: sha512-bLGGlR1QxBcynn2d5YmDX4MGjlZvy2MRBDRNHLJ8VI6l6+9FUiyTFNJ0IveOSP0bcXgVDPRcfGqA0pjaqUpfVg==}\n\n  slash@3.0.0:\n    resolution: {integrity: sha512-g9Q1haeby36OSStwb4ntCGGGaKsaVSjQ68fBxoQcutl5fS1vuY18H3wSt3jFyFtrkx+Kz0V1G85A4MyAdDMi2Q==}\n    engines: {node: '>=8'}\n\n  slice-ansi@3.0.0:\n    resolution: {integrity: sha512-pSyv7bSTC7ig9Dcgbw9AuRNUb5k5V6oDudjZoMBSr13qpLBG7tB+zgCkARjq7xIUgdz5P1Qe8u+rSGdouOOIyQ==}\n    engines: {node: '>=8'}\n\n  slice-ansi@4.0.0:\n    resolution: {integrity: sha512-qMCMfhY040cVHT43K9BFygqYbUPFZKHOg7K73mtTWJRb8pyP3fzf4Ixd5SzdEJQ6MRUg/WBnOLxghZtKKurENQ==}\n    engines: {node: '>=10'}\n\n  snapdragon-node@2.1.1:\n    resolution: {integrity: sha512-O27l4xaMYt/RSQ5TR3vpWCAB5Kb/czIcqUFOM/C4fYcLnbZUc1PkjTAMjof2pBWaSTwOUd6qUHcFGVGj7aIwnw==}\n    engines: {node: '>=0.10.0'}\n\n  snapdragon-util@3.0.1:\n    resolution: {integrity: sha512-mbKkMdQKsjX4BAL4bRYTj21edOf8cN7XHdYUJEe+Zn99hVEYcMvKPct1IqNe7+AZPirn8BCDOQBHQZknqmKlZQ==}\n    engines: {node: '>=0.10.0'}\n\n  snapdragon@0.8.2:\n    resolution: {integrity: sha512-FtyOnWN/wCHTVXOMwvSv26d+ko5vWlIDD6zoUJ7LW8vh+ZBC8QdljveRP+crNrtBwioEUWy/4dMtbBjA4ioNlg==}\n    engines: {node: '>=0.10.0'}\n\n  sort-keys@1.1.2:\n    resolution: {integrity: sha512-vzn8aSqKgytVik0iwdBEi+zevbTYZogewTUM6dtpmGwEcdzbub/TX4bCzRhebDCRC3QzXgJsLRKB2V/Oof7HXg==}\n    engines: {node: '>=0.10.0'}\n\n  source-map-resolve@0.5.3:\n    resolution: {integrity: sha512-Htz+RnsXWk5+P2slx5Jh3Q66vhQj1Cllm0zvnaY98+NFx+Dv2CF/f5O/t8x+KaNdrdIAsruNzoh/KpialbqAnw==}\n    deprecated: See https://github.com/lydell/source-map-resolve#deprecated\n\n  source-map-support@0.5.21:\n    resolution: {integrity: sha512-uBHU3L3czsIyYXKX88fdrGovxdSCoTGDRZ6SYXtSRxLZUzHg5P/66Ht6uoUlHu9EZod+inXhKo3qQgwXUT/y1w==}\n\n  source-map-url@0.4.1:\n    resolution: {integrity: sha512-cPiFOTLUKvJFIg4SKVScy4ilPPW6rFgMgfuZJPNoDuMs3nC1HbMUycBoJw77xFIp6z1UJQJOfx6C9GMH80DiTw==}\n    deprecated: See https://github.com/lydell/source-map-url#deprecated\n\n  source-map@0.5.6:\n    resolution: {integrity: sha512-MjZkVp0NHr5+TPihLcadqnlVoGIoWo4IBHptutGh9wI3ttUYvCG26HkSuDi+K6lsZ25syXJXcctwgyVCt//xqA==}\n    engines: {node: '>=0.10.0'}\n\n  source-map@0.5.7:\n    resolution: {integrity: sha512-LbrmJOMUSdEVxIKvdcJzQC+nQhe8FUZQTXQy6+I75skNgn3OoQ0DZA8YnFa7gp8tqtL3KPf1kmo0R5DoApeSGQ==}\n    engines: {node: '>=0.10.0'}\n\n  source-map@0.6.1:\n    resolution: {integrity: sha512-UjgapumWlbMhkBgzT7Ykc5YXUT46F0iKu8SGXq0bcwP5dz/h0Plj6enJqjz1Zbq2l5WaqYnrVbwWOWMyF3F47g==}\n    engines: {node: '>=0.10.0'}\n\n  source-map@0.7.4:\n    resolution: {integrity: sha512-l3BikUxvPOcn5E74dZiq5BGsTb5yEwhaTSzccU6t4sDOH8NWJCstKO5QT2CvtFoK6F0saL7p9xHAqHOlCPJygA==}\n    engines: {node: '>= 8'}\n\n  sourcemapped-stacktrace@1.1.11:\n    resolution: {integrity: sha512-O0pcWjJqzQFVsisPlPXuNawJHHg9N9UgpJ/aDmvi9+vnS3x1C0NhwkVFzzZ1VN0Xo+bekyweoqYvBw5ZBKiNnQ==}\n\n  spdx-correct@3.2.0:\n    resolution: {integrity: sha512-kN9dJbvnySHULIluDHy32WHRUu3Og7B9sbY7tsFLctQkIqnMh3hErYgdMjTYuqmcXX+lK5T1lnUt3G7zNswmZA==}\n\n  spdx-exceptions@2.5.0:\n    resolution: {integrity: sha512-PiU42r+xO4UbUS1buo3LPJkjlO7430Xn5SVAhdpzzsPHsjbYVflnnFdATgabnLude+Cqu25p6N+g2lw/PFsa4w==}\n\n  spdx-expression-parse@3.0.1:\n    resolution: {integrity: sha512-cbqHunsQWnJNE6KhVSMsMeH5H/L9EpymbzqTQ3uLwNCLZ1Q481oWaofqH7nO6V07xlXwY6PhQdQ2IedWx/ZK4Q==}\n\n  spdx-license-ids@3.0.20:\n    resolution: {integrity: sha512-jg25NiDV/1fLtSgEgyvVyDunvaNHbuwF9lfNV17gSmPFAlYzdfNBlLtLzXTevwkPj7DhGbmN9VnmJIgLnhvaBw==}\n\n  split-on-first@1.1.0:\n    resolution: {integrity: sha512-43ZssAJaMusuKWL8sKUBQXHWOpq8d6CfN/u1p4gUzfJkM05C8rxTmYrkIPTXapZpORA6LkkzcUulJ8FqA7Uudw==}\n    engines: {node: '>=6'}\n\n  split-string@3.1.0:\n    resolution: {integrity: sha512-NzNVhJDYpwceVVii8/Hu6DKfD2G+NrQHlS/V/qgv763EYudVwEcMQNxd2lh+0VrUByXN/oJkl5grOhYWvQUYiw==}\n    engines: {node: '>=0.10.0'}\n\n  sprintf-js@1.0.3:\n    resolution: {integrity: sha512-D9cPgkvLlV3t3IzL0D0YLvGA9Ahk4PcvVwUbN0dSGr1aP0Nrt4AEnTUbuGvquEC0mA64Gqt1fzirlRs5ibXx8g==}\n\n  stack-utils@2.0.6:\n    resolution: {integrity: sha512-XlkWvfIm6RmsWtNJx+uqtKLS8eqFbxUg0ZzLXqY0caEy9l7hruX8IpiDnjsLavoBgqCCR71TqWO8MaXYheJ3RQ==}\n    engines: {node: '>=10'}\n\n  stackframe@0.3.1:\n    resolution: {integrity: sha512-XmoiF4T5nuWEp2x2w92WdGjdHGY/cZa6LIbRsDRQR/Xlk4uW0PAUlH1zJYVffocwKpCdwyuypIp25xsSXEtZHw==}\n\n  stackframe@1.3.4:\n    resolution: {integrity: sha512-oeVtt7eWQS+Na6F//S4kJ2K2VbRlS9D43mAlMyVpVWovy9o+jfgH8O9agzANzaiLjclA0oYzUXEM4PurhSUChw==}\n\n  static-extend@0.1.2:\n    resolution: {integrity: sha512-72E9+uLc27Mt718pMHt9VMNiAL4LMsmDbBva8mxWUCkT07fSzEGMYUCk0XWY6lp0j6RBAG4cJ3mWuZv2OE3s0g==}\n    engines: {node: '>=0.10.0'}\n\n  stream-browserify@2.0.2:\n    resolution: {integrity: sha512-nX6hmklHs/gr2FuxYDltq8fJA1GDlxKQCz8O/IM4atRqBH8OORmBNgfvW5gG10GT/qQ9u0CzIvr2X5Pkt6ntqg==}\n\n  stream-http@2.8.3:\n    resolution: {integrity: sha512-+TSkfINHDo4J+ZobQLWiMouQYB+UVYFttRA94FpEzzJ7ZdqcL4uUUQ7WkdkI4DSozGmgBUE/a47L+38PenXhUw==}\n\n  strict-uri-encode@1.1.0:\n    resolution: {integrity: sha512-R3f198pcvnB+5IpnBlRkphuE9n46WyVl8I39W/ZUTZLz4nqSP/oLYUrcnJrw462Ds8he4YKMov2efsTIw1BDGQ==}\n    engines: {node: '>=0.10.0'}\n\n  strict-uri-encode@2.0.0:\n    resolution: {integrity: sha512-QwiXZgpRcKkhTj2Scnn++4PKtWsH0kpzZ62L2R6c/LUVYv7hVnZqcg2+sMuT6R7Jusu1vviK/MFsu6kNJfWlEQ==}\n    engines: {node: '>=4'}\n\n  string-argv@0.3.1:\n    resolution: {integrity: sha512-a1uQGz7IyVy9YwhqjZIZu1c8JO8dNIe20xBmSS6qu9kv++k3JGzCVmprbNN5Kn+BgzD5E7YYwg1CcjuJMRNsvg==}\n    engines: {node: '>=0.6.19'}\n\n  string-convert@0.2.1:\n    resolution: {integrity: sha512-u/1tdPl4yQnPBjnVrmdLo9gtuLvELKsAoRapekWggdiQNvvvum+jYF329d84NAa660KQw7pB2n36KrIKVoXa3A==}\n\n  string-length@4.0.2:\n    resolution: {integrity: sha512-+l6rNN5fYHNhZZy41RXsYptCjA2Igmq4EG7kZAYFQI1E1VTXarr6ZPXBg6eq7Y6eK4FEhY6AJlyuFIb/v/S0VQ==}\n    engines: {node: '>=10'}\n\n  string-width@4.2.3:\n    resolution: {integrity: sha512-wKyQRQpjJ0sIp62ErSZdGsjMJWsap5oRNihHhu6G7JVO/9jIB6UyevL+tXuOqrng8j/cxKTWyWUwvSTriiZz/g==}\n    engines: {node: '>=8'}\n\n  string_decoder@1.1.1:\n    resolution: {integrity: sha512-n/ShnvDi6FHbbVfviro+WojiFzv+s8MPMHBczVePfUpDJLwoLT0ht1l4YwBCbi8pJAveEEdnkHyPyTP/mzRfwg==}\n\n  string_decoder@1.3.0:\n    resolution: {integrity: sha512-hkRX8U1WjJFd8LsDJ2yQ/wWWxaopEsABU1XfkM8A+j0+85JAGppt16cr1Whg6KIbb4okU6Mql6BOj+uup/wKeA==}\n\n  stringify-object@3.3.0:\n    resolution: {integrity: sha512-rHqiFh1elqCQ9WPLIC8I0Q/g/wj5J1eMkyoiD6eoQApWHP0FtlK7rqnhmabL5VUY9JQCcqwwvlOaSuutekgyrw==}\n    engines: {node: '>=4'}\n\n  strip-ansi@6.0.1:\n    resolution: {integrity: sha512-Y38VPSHcqkFrCpFnQ9vuSXmquuv5oXOKpGeT6aGrr3o3Gc9AlVa6JBfUSOCnbxGGZF+/0ooI7KrPuUSztUdU5A==}\n    engines: {node: '>=8'}\n\n  strip-bom@4.0.0:\n    resolution: {integrity: sha512-3xurFv5tEgii33Zi8Jtp55wEIILR9eh34FAW00PZf+JnSsTmV/ioewSgQl97JHvgjoRGwPShsWm+IdrxB35d0w==}\n    engines: {node: '>=8'}\n\n  strip-eof@1.0.0:\n    resolution: {integrity: sha512-7FCwGGmx8mD5xQd3RPUvnSpUXHM3BWuzjtpD4TXsfcZ9EL4azvVVUscFYwD9nx8Kh+uCBC00XBtAykoMHwTh8Q==}\n    engines: {node: '>=0.10.0'}\n\n  strip-final-newline@2.0.0:\n    resolution: {integrity: sha512-BrpvfNAE3dcvq7ll3xVumzjKjZQ5tI1sEUIKr3Uoks0XUl45St3FlatVqef9prk4jRDzhW6WZg+3bk93y6pLjA==}\n    engines: {node: '>=6'}\n\n  strip-indent@2.0.0:\n    resolution: {integrity: sha512-RsSNPLpq6YUL7QYy44RnPVTn/lcVZtb48Uof3X5JLbF4zD/Gs7ZFDv2HWol+leoQN2mT86LAzSshGfkTlSOpsA==}\n    engines: {node: '>=4'}\n\n  supports-color@5.5.0:\n    resolution: {integrity: sha512-QjVjwdXIt408MIiAqCX4oUKsgU2EqAGzs2Ppkm4aQYbjm+ZEWEcW4SfFNTr4uMNZma0ey4f5lgLrkB0aX0QMow==}\n    engines: {node: '>=4'}\n\n  supports-color@6.1.0:\n    resolution: {integrity: sha512-qe1jfm1Mg7Nq/NSh6XE24gPXROEVsWHxC1LIx//XNlD9iw7YZQGjZNjYN7xGaEG6iKdA8EtNFW6R0gjnVXp+wQ==}\n    engines: {node: '>=6'}\n\n  supports-color@7.2.0:\n    resolution: {integrity: sha512-qpCAvRl9stuOHveKsn7HncJRvv501qIacKzQlO/+Lwxc9+0q2wLyv4Dfvt80/DPn2pqOBsJdDiogXGR9+OvwRw==}\n    engines: {node: '>=8'}\n\n  supports-hyperlinks@2.3.0:\n    resolution: {integrity: sha512-RpsAZlpWcDwOPQA22aCH4J0t7L8JmAvsCxfOSEwm7cQs3LshN36QaTkwd70DnBOXDWGssw2eUoc8CaRWT0XunA==}\n    engines: {node: '>=8'}\n\n  supports-preserve-symlinks-flag@1.0.0:\n    resolution: {integrity: sha512-ot0WnXS9fgdkgIcePe6RHNk1WA8+muPa6cSjeR3V8K27q9BB1rTE3R1p7Hv0z1ZyAc8s6Vvv8DIyWf681MAt0w==}\n    engines: {node: '>= 0.4'}\n\n  swr@1.3.0:\n    resolution: {integrity: sha512-dkghQrOl2ORX9HYrMDtPa7LTVHJjCTeZoB1dqTbnnEDlSvN8JEKpYIYurDfvbQFUUS8Cg8PceFVZNkW0KNNYPw==}\n    peerDependencies:\n      react: ^16.11.0 || ^17.0.0 || ^18.0.0\n\n  symbol-tree@3.2.4:\n    resolution: {integrity: sha512-9QNk5KwDF+Bvz+PyObkmSYjI5ksVUYtjW7AU22r2NKcfLJcXp96hkDWU3+XndOsUb+AQ9QhfzfCT2O+CNWT5Tw==}\n\n  terminal-link@2.1.1:\n    resolution: {integrity: sha512-un0FmiRUQNr5PJqy9kP7c40F5BOfpGlYTrxonDChEZB7pzZxRNp/bt+ymiy9/npwXya9KH99nJ/GXFIiUkYGFQ==}\n    engines: {node: '>=8'}\n\n  terser@5.14.2:\n    resolution: {integrity: sha512-oL0rGeM/WFQCUd0y2QrWxYnq7tfSuKBiqTjRPWrRgB46WD/kiwHwF8T23z78H6Q6kGCuuHcPB+KULHRdxvVGQA==}\n    engines: {node: '>=10'}\n    hasBin: true\n\n  test-exclude@6.0.0:\n    resolution: {integrity: sha512-cAGWPIyOHU6zlmg88jwm7VRyXnMN7iV68OGAbYDk/Mh/xC/pzVPlQtY6ngoIH/5/tciuhGfvESU8GrHrcxD56w==}\n    engines: {node: '>=8'}\n\n  throat@5.0.0:\n    resolution: {integrity: sha512-fcwX4mndzpLQKBS1DVYhGAcYaYt7vsHNIvQV+WXMvnow5cgjPphq5CaayLaGsjRdSCKZFNGt7/GYAuXaNOiYCA==}\n\n  throttle-debounce@5.0.2:\n    resolution: {integrity: sha512-B71/4oyj61iNH0KeCamLuE2rmKuTO5byTOSVwECM5FA7TiAiAW+UqTKZ9ERueC4qvgSttUhdmq1mXC3kJqGX7A==}\n    engines: {node: '>=12.22'}\n\n  through@2.3.8:\n    resolution: {integrity: sha512-w89qg7PI8wAdvX60bMDP+bFoD5Dvhm9oLheFp5O4a2QF0cSBGsBX4qZmadPMvVqlLJBBci+WqGGOAPvcDeNSVg==}\n\n  timers-browserify@2.0.12:\n    resolution: {integrity: sha512-9phl76Cqm6FhSX9Xe1ZUAMLtm1BLkKj2Qd5ApyWkXzsMRaA7dgr81kf4wJmQf/hAvg8EEyJxDo3du/0KlhPiKQ==}\n    engines: {node: '>=0.6.0'}\n\n  tiny-invariant@1.3.3:\n    resolution: {integrity: sha512-+FbBPE1o9QAYvviau/qC5SE3caw21q3xkvWKBtja5vgqOWIHHJ3ioaq1VPfn/Szqctz2bU/oYeKd9/z5BL+PVg==}\n\n  tiny-warning@1.0.3:\n    resolution: {integrity: sha512-lBN9zLN/oAf68o3zNXYrdCt1kP8WsiGW8Oo2ka41b2IM5JL/S1CTyX1rW0mb/zSuJun0ZUrDxx4sqvYS2FWzPA==}\n\n  tmpl@1.0.5:\n    resolution: {integrity: sha512-3f0uOEAQwIqGuWW2MVzYg8fV/QNnc/IpuJNG837rLuczAaLVHslWHZQj4IGiEl5Hs3kkbhwL9Ab7Hrsmuj+Smw==}\n\n  to-arraybuffer@1.0.1:\n    resolution: {integrity: sha512-okFlQcoGTi4LQBG/PgSYblw9VOyptsz2KJZqc6qtgGdes8VktzUQkj4BI2blit072iS8VODNcMA+tvnS9dnuMA==}\n\n  to-object-path@0.3.0:\n    resolution: {integrity: sha512-9mWHdnGRuh3onocaHzukyvCZhzvr6tiflAy/JRFXcJX0TjgfWA9pk9t8CMbzmBE4Jfw58pXbkngtBtqYxzNEyg==}\n    engines: {node: '>=0.10.0'}\n\n  to-regex-range@2.1.1:\n    resolution: {integrity: sha512-ZZWNfCjUokXXDGXFpZehJIkZqq91BcULFq/Pi7M5i4JnxXdhMKAK682z8bCW3o8Hj1wuuzoKcW3DfVzaP6VuNg==}\n    engines: {node: '>=0.10.0'}\n\n  to-regex-range@5.0.1:\n    resolution: {integrity: sha512-65P7iz6X5yEr1cwcgvQxbbIw7Uk3gOy5dIdtZ4rDveLqhrdJP+Li/Hx6tyK0NEb+2GCyneCMJiGqrADCSNk8sQ==}\n    engines: {node: '>=8.0'}\n\n  to-regex@3.0.2:\n    resolution: {integrity: sha512-FWtleNAtZ/Ki2qtqej2CXTOayOH9bHDQF+Q48VpWyDXjbYxA4Yz8iDB31zXOBUlOHHKidDbqGVrTUvQMPmBGBw==}\n    engines: {node: '>=0.10.0'}\n\n  toggle-selection@1.0.6:\n    resolution: {integrity: sha512-BiZS+C1OS8g/q2RRbJmy59xpyghNBqrr6k5L/uKBGRsTfxmu3ffiRnd8mlGPUVayg8pvfi5urfnu8TU7DVOkLQ==}\n\n  tough-cookie@4.1.4:\n    resolution: {integrity: sha512-Loo5UUvLD9ScZ6jh8beX1T6sO1w2/MpCRpEP7V280GKMVUQ0Jzar2U3UJPsrdbziLEMMhu3Ujnq//rhiFuIeag==}\n    engines: {node: '>=6'}\n\n  tr46@2.1.0:\n    resolution: {integrity: sha512-15Ih7phfcdP5YxqiB+iDtLoaTz4Nd35+IiAv0kQ5FNKHzXgdWqPoTIqEDDJmXceQt4JZk6lVPT8lnDlPpGDppw==}\n    engines: {node: '>=8'}\n\n  tslib@2.8.1:\n    resolution: {integrity: sha512-oJFu94HQb+KVduSUQL7wnpmqnfmLsOA/nAh6b6EH0wCEoK0/mPeXU6c3wKDV83MkOuHPRHtSXKKU99IBazS/2w==}\n\n  tty-browserify@0.0.0:\n    resolution: {integrity: sha512-JVa5ijo+j/sOoHGjw0sxw734b1LhBkQ3bvUGNdxnVXDCX81Yx7TFgnZygxrIIWn23hbfTaMYLwRmAxFyDuFmIw==}\n\n  tween-functions@1.2.0:\n    resolution: {integrity: sha512-PZBtLYcCLtEcjL14Fzb1gSxPBeL7nWvGhO5ZFPGqziCcr8uvHp0NDmdjBchp6KHL+tExcg0m3NISmKxhU394dA==}\n\n  type-detect@4.0.8:\n    resolution: {integrity: sha512-0fr/mIH1dlO+x7TlcMy+bIDqKPsw/70tVyeHW787goQjhmqaZe10uwLujubK9q9Lg6Fiho1KUKDYz0Z7k7g5/g==}\n    engines: {node: '>=4'}\n\n  type-fest@0.21.3:\n    resolution: {integrity: sha512-t0rzBq87m3fVcduHDUFhKmyyX+9eo6WQjZvf51Ea/M0Q7+T374Jp1aUiyUl0GKxp8M/OETVHSDvmkyPgvX+X2w==}\n    engines: {node: '>=10'}\n\n  type-fest@0.6.0:\n    resolution: {integrity: sha512-q+MB8nYR1KDLrgr4G5yemftpMC7/QLqVndBmEEdqzmNj5dcFOO4Oo8qlwZE3ULT3+Zim1F8Kq4cBnikNhlCMlg==}\n    engines: {node: '>=8'}\n\n  type-fest@0.8.1:\n    resolution: {integrity: sha512-4dbzIzqvjtgiM5rw1k5rEHtBANKmdudhGyBEajN01fEyhaAIhsoKNy6y7+IN93IfpFtwY9iqi7kD+xwKhQsNJA==}\n    engines: {node: '>=8'}\n\n  typedarray-to-buffer@3.1.5:\n    resolution: {integrity: sha512-zdu8XMNEDepKKR+XYOXAVPtWui0ly0NtohUscw+UmaHiAWT8hrV1rr//H6V+0DvJ3OQ19S979M0laLfX8rm82Q==}\n\n  typescript@4.9.5:\n    resolution: {integrity: sha512-1FXk9E2Hm+QzZQ7z+McJiHL4NW1F2EzMu9Nq9i3zAaGqibafqYwCVU6WyWAuyQRRzOlxou8xZSyXLEN8oKj24g==}\n    engines: {node: '>=4.2.0'}\n    hasBin: true\n\n  ua-parser-js@0.7.39:\n    resolution: {integrity: sha512-IZ6acm6RhQHNibSt7+c09hhvsKy9WUr4DVbeq9U8o71qxyYtJpQeDxQnMrVqnIFMLcQjHO0I9wgfO2vIahht4w==}\n    hasBin: true\n\n  umi-request@1.4.0:\n    resolution: {integrity: sha512-OknwtQZddZHi0Ggi+Vr/olJ7HNMx4AzlywyK0W3NZBT7B0stjeZ9lcztA85dBgdAj3KVk8uPJPZSnGaDjELhrA==}\n\n  umi@3.5.43:\n    resolution: {integrity: sha512-WWusH/o3MTGIJ+S6MiUquz5OwOAQKVdgGHD0CwYBBXcUmwodeZ1mpQSfj8u7VO/OLgVfCmBw8ENsdaWEK6OMtw==}\n    hasBin: true\n\n  undici-types@6.20.0:\n    resolution: {integrity: sha512-Ny6QZ2Nju20vw1SRHe3d9jVu6gJ+4e3+MMpqu7pqE5HT6WsTSlce++GQmK5UXS8mzV8DSYHrQH+Xrf2jVcuKNg==}\n\n  union-value@1.0.1:\n    resolution: {integrity: sha512-tJfXmxMeWYnczCVs7XAEvIV7ieppALdyepWMkHkwciRpZraG/xwT+s2JN8+pr1+8jCRf80FFzvr+MpQeeoF4Xg==}\n    engines: {node: '>=0.10.0'}\n\n  uniq@1.0.1:\n    resolution: {integrity: sha512-Gw+zz50YNKPDKXs+9d+aKAjVwpjNwqzvNpLigIruT4HA9lMZNdMqs9x07kKHB/L9WRzqp4+DlTU5s4wG2esdoA==}\n\n  universalify@0.2.0:\n    resolution: {integrity: sha512-CJ1QgKmNg3CwvAv/kOFmtnEN05f0D/cn9QntgNOQlQF9dgvVTHj3t+8JPdjqawCHk7V/KA+fbUqzZ9XWhcqPUg==}\n    engines: {node: '>= 4.0.0'}\n\n  unset-value@1.0.0:\n    resolution: {integrity: sha512-PcA2tsuGSF9cnySLHTLSh2qrQiJ70mn+r+Glzxv2TWZblxsxCC52BDlZoPCsz7STd9pN7EZetkWZBAvk4cgZdQ==}\n    engines: {node: '>=0.10.0'}\n\n  unstated-next@1.1.0:\n    resolution: {integrity: sha512-AAn47ZncPvgBGOvMcn8tSRxsrqwf2VdAPxLASTuLJvZt4rhKfDvUkmYZLGfclImSfTVMv7tF4ynaVxin0JjDCA==}\n\n  update-browserslist-db@1.1.1:\n    resolution: {integrity: sha512-R8UzCaa9Az+38REPiJ1tXlImTJXlVfgHZsglwBD/k6nj76ctsH1E3q4doGrukiLQd3sGQYu56r5+lo5r94l29A==}\n    hasBin: true\n    peerDependencies:\n      browserslist: '>= 4.21.0'\n\n  uri-js@4.4.1:\n    resolution: {integrity: sha512-7rKUyy33Q1yc98pQ1DAmLtwX109F7TIfWlW1Ydo8Wl1ii1SeHieeh0HHfPeL2fMXK6z0s8ecKs9frCuLJvndBg==}\n\n  urix@0.1.0:\n    resolution: {integrity: sha512-Am1ousAhSLBeB9cG/7k7r2R0zj50uDRlZHPGbazid5s9rlF1F/QKYObEKSIunSjIOkJZqwRRLpvewjEkM7pSqg==}\n    deprecated: Please see https://github.com/lydell/urix#deprecated\n\n  url-parse@1.5.10:\n    resolution: {integrity: sha512-WypcfiRhfeUP9vvF0j6rw0J3hrWrw6iZv3+22h6iRMJ/8z1Tj6XfLP4DsUix5MhMPnXpiHDoKyoZ/bdCkwBCiQ==}\n\n  url@0.11.4:\n    resolution: {integrity: sha512-oCwdVC7mTuWiPyjLUz/COz5TLk6wgp0RCsN+wHZ2Ekneac9w8uuV0njcbbie2ME+Vs+d6duwmYuR3HgQXs1fOg==}\n    engines: {node: '>= 0.4'}\n\n  use-json-comparison@1.0.6:\n    resolution: {integrity: sha512-xPadt5yMRbEmVfOSGFSMqjjICrq7nLbfSH3rYIXsrtcuFX7PmbYDN/ku8ObBn3v8o/yZelO1OxUS5+5TI3+fUw==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  use-media-antd-query@1.1.0:\n    resolution: {integrity: sha512-B6kKZwNV4R+l4Rl11sWO7HqOay9alzs1Vp1b4YJqjz33YxbltBCZtt/yxXxkXN9rc1S7OeEL/GbwC30Wmqhw6Q==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  use-subscription@1.5.1:\n    resolution: {integrity: sha512-Xv2a1P/yReAjAbhylMfFplFKj9GssgTwN7RlcTxBujFQcloStWNDQdc4g4NRWH9xS4i/FDk04vQBptAXoF3VcA==}\n    peerDependencies:\n      react: ^16.8.0 || ^17.0.0\n\n  use@3.1.1:\n    resolution: {integrity: sha512-cwESVXlO3url9YWlFW/TA9cshCEhtu7IKJ/p5soJ/gGpj7vbvFrAY/eIioQ6Dw23KjZhYgiIo8HOs1nQ2vr/oQ==}\n    engines: {node: '>=0.10.0'}\n\n  util-deprecate@1.0.2:\n    resolution: {integrity: sha512-EPD5q1uXyFxJpCrLnCc1nHnq3gOa6DZBocAIiI2TaSCA7VCJ1UJDMagCzIkXNsUYfD1daK//LTEQ8xiIbrHtcw==}\n\n  util@0.10.4:\n    resolution: {integrity: sha512-0Pm9hTQ3se5ll1XihRic3FDIku70C+iHUdT/W926rSgHV5QgXsYbKZN8MSC3tJtSkhuROzvsQjAaFENRXr+19A==}\n\n  util@0.11.1:\n    resolution: {integrity: sha512-HShAsny+zS2TZfaXxD9tYj4HQGlBezXZMZuM/S5PKLLoZkShZiGk9o5CzukI1LVHZvjdvZ2Sj1aW/Ndn2NB/HQ==}\n\n  uuid@8.3.2:\n    resolution: {integrity: sha512-+NYs2QeMWy+GWFOEm9xnn6HCDp0l7QBD7ml8zLUmJ+93Q5NF0NocErnwkTkXVFNiX3/fpC6afS8Dhb/gz7R7eg==}\n    hasBin: true\n\n  v8-compile-cache@2.3.0:\n    resolution: {integrity: sha512-l8lCEmLcLYZh4nbunNZvQCJc5pv7+RCwa8q/LdUx8u7lsWvPDKmpodJAJNwkAhJC//dFY48KuIEmjtd4RViDrA==}\n\n  v8-to-istanbul@7.1.2:\n    resolution: {integrity: sha512-TxNb7YEUwkLXCQYeudi6lgQ/SZrzNO4kMdlqVxaZPUIUjCv6iSSypUQX70kNBSERpQ8fk48+d61FXk+tgqcWow==}\n    engines: {node: '>=10.10.0'}\n\n  validate-npm-package-license@3.0.4:\n    resolution: {integrity: sha512-DpKm2Ui/xN7/HQKCtpZxoRWBhZ9Z0kqtygG8XCgNQ8ZlDnxuQmWhj566j8fN4Cu3/JmbhsDo7fcAJq4s9h27Ew==}\n\n  value-equal@1.0.1:\n    resolution: {integrity: sha512-NOJ6JZCAWr0zlxZt+xqCHNTEKOsrks2HQd4MqhP1qy4z1SkbEP467eNx6TgDKXMvUOb+OENfJCZwM+16n7fRfw==}\n\n  vm-browserify@1.1.2:\n    resolution: {integrity: sha512-2ham8XPWTONajOR0ohOKOHXkm3+gaBmGut3SRuu75xLd/RRaY6vqgh8NBYYk7+RW3u5AtzPQZG8F10LHkl0lAQ==}\n\n  w3c-hr-time@1.0.2:\n    resolution: {integrity: sha512-z8P5DvDNjKDoFIHK7q8r8lackT6l+jo/Ye3HOle7l9nICP9lf1Ci25fy9vHd0JOWewkIFzXIEig3TdKT7JQ5fQ==}\n    deprecated: Use your platform's native performance.now() and performance.timeOrigin.\n\n  w3c-xmlserializer@2.0.0:\n    resolution: {integrity: sha512-4tzD0mF8iSiMiNs30BiLO3EpfGLZUT2MSX/G+o7ZywDzliWQ3OPtTZ0PTC3B3ca1UAf4cJMHB+2Bf56EriJuRA==}\n    engines: {node: '>=10'}\n\n  walker@1.0.8:\n    resolution: {integrity: sha512-ts/8E8l5b7kY0vlWLewOkDXMmPdLcVV4GmOQLyxuSswIJsweeFZtAsMF7k1Nszz+TYBQrlYRmzOnr398y1JemQ==}\n\n  warning@3.0.0:\n    resolution: {integrity: sha512-jMBt6pUrKn5I+OGgtQ4YZLdhIeJmObddh6CsibPxyQ5yPZm1XExSyzC1LCNX7BzhxWgiHmizBWJTHJIjMjTQYQ==}\n\n  warning@4.0.3:\n    resolution: {integrity: sha512-rpJyN222KWIvHJ/F53XSZv0Zl/accqHR8et1kpaMTD/fLCRxtV8iX8czMzY7sVZupTI3zcUTg8eycS2kNF9l6w==}\n\n  webidl-conversions@5.0.0:\n    resolution: {integrity: sha512-VlZwKPCkYKxQgeSbH5EyngOmRp7Ww7I9rQLERETtf5ofd9pGeswWiOtogpEO850jziPRarreGxn5QIiTqpb2wA==}\n    engines: {node: '>=8'}\n\n  webidl-conversions@6.1.0:\n    resolution: {integrity: sha512-qBIvFLGiBpLjfwmYAaHPXsn+ho5xZnGvyGvsarywGNc8VyQJUMHJ8OBKGGrPER0okBeMDaan4mNBlgBROxuI8w==}\n    engines: {node: '>=10.4'}\n\n  webpack-chain@6.5.1:\n    resolution: {integrity: sha512-7doO/SRtLu8q5WM0s7vPKPWX580qhi0/yBHkOxNkv50f6qB76Zy9o2wRTrrPULqYTvQlVHuvbA8v+G5ayuUDsA==}\n    engines: {node: '>=8'}\n    deprecated: Package no longer supported. Contact Support at https://www.npmjs.com/support for more info.\n\n  whatwg-encoding@1.0.5:\n    resolution: {integrity: sha512-b5lim54JOPN9HtzvK9HFXvBma/rnfFeqsic0hSpjtDbVxR3dJKLc+KB4V6GgiGOvl7CY/KNh8rxSo9DKQrnUEw==}\n\n  whatwg-fetch@3.6.20:\n    resolution: {integrity: sha512-EqhiFU6daOA8kpjOWTL0olhVOF3i7OrFzSYiGsEMB8GcXS+RrzauAERX65xMeNWVqxA6HXH2m69Z9LaKKdisfg==}\n\n  whatwg-mimetype@2.3.0:\n    resolution: {integrity: sha512-M4yMwr6mAnQz76TbJm914+gPpB/nCwvZbJU28cUD6dR004SAxDLOOSUaB1JDRqLtaOV/vi0IC5lEAGFgrjGv/g==}\n\n  whatwg-url@8.7.0:\n    resolution: {integrity: sha512-gAojqb/m9Q8a5IV96E3fHJM70AzCkgt4uXYX2O7EmuyOnLrViCQlsEBmF9UQIu3/aeAIp2U17rtbpZWNntQqdg==}\n    engines: {node: '>=10'}\n\n  which-module@2.0.1:\n    resolution: {integrity: sha512-iBdZ57RDvnOR9AGBhML2vFZf7h8vmBjhoaZqODJBFWHVtKkDmKuHai3cx5PgVMrX5YDNp27AofYbAwctSS+vhQ==}\n\n  which@1.3.1:\n    resolution: {integrity: sha512-HxJdYWq1MTIQbJ3nw0cqssHoTNU267KlrDuGZ1WYlxDStUtKUhOaJmh112/TZmHxxUfuJqPXSOm7tDyas0OSIQ==}\n    hasBin: true\n\n  which@2.0.2:\n    resolution: {integrity: sha512-BLI3Tl1TW3Pvl70l3yq3Y64i+awpwXqsGBYWkkqMtnbXgrMD+yj7rhW0kuEDxzJaYXGjEW5ogapKNMEKNMjibA==}\n    engines: {node: '>= 8'}\n    hasBin: true\n\n  wrap-ansi@6.2.0:\n    resolution: {integrity: sha512-r6lPcBGxZXlIcymEu7InxDMhdW0KDxpLgoFLcguasxCaJ/SOIZwINatK9KY/tf+ZrlywOKU0UDj3ATXUBfxJXA==}\n    engines: {node: '>=8'}\n\n  wrap-ansi@7.0.0:\n    resolution: {integrity: sha512-YVGIj2kamLSTxw6NsZjoBxfSwsn0ycdesmc4p+Q21c5zPuZ1pl+NfxVdxPtdHvmNVOQ6XSYG4AUtyt/Fi7D16Q==}\n    engines: {node: '>=10'}\n\n  wrappy@1.0.2:\n    resolution: {integrity: sha512-l4Sp/DRseor9wL6EvV2+TuQn63dMkPjZ/sp9XkghTEbV9KlPS1xUsZ3u7/IQO4wxtcFB4bgpQPRcR3QCvezPcQ==}\n\n  write-file-atomic@3.0.3:\n    resolution: {integrity: sha512-AvHcyZ5JnSfq3ioSyjrBkH9yW4m7Ayk8/9My/DD9onKeu/94fwrMocemO2QAJFAlnnDN+ZDS+ZjAR5ua1/PV/Q==}\n\n  ws@7.5.10:\n    resolution: {integrity: sha512-+dbF1tHwZpXcbOJdVOkzLDxZP1ailvSxM6ZweXTegylPny803bFhA+vqBYw4s31NSAk4S2Qz+AKXK9a4wkdjcQ==}\n    engines: {node: '>=8.3.0'}\n    peerDependencies:\n      bufferutil: ^4.0.1\n      utf-8-validate: ^5.0.2\n    peerDependenciesMeta:\n      bufferutil:\n        optional: true\n      utf-8-validate:\n        optional: true\n\n  xml-name-validator@3.0.0:\n    resolution: {integrity: sha512-A5CUptxDsvxKJEU3yO6DuWBSJz/qizqzJKOMIfUJHETbBw/sFaDxgd6fxm1ewUaM0jZ444Fc5vC5ROYurg/4Pw==}\n\n  xmlchars@2.2.0:\n    resolution: {integrity: sha512-JZnDKK8B0RCDw84FNdDAIpZK+JuJw+s7Lz8nksI7SIuU3UXJJslUthsi+uWBUYOwPFwW7W7PRLRfUKpxjtjFCw==}\n\n  xtend@4.0.2:\n    resolution: {integrity: sha512-LKYU1iAXJXUgAXn9URjiu+MWhyUXHsvfp7mcuYm9dSUKK0/CjtrUwFAxD82/mCWbtLsGjFIad0wIsod4zrTAEQ==}\n    engines: {node: '>=0.4'}\n\n  y18n@4.0.3:\n    resolution: {integrity: sha512-JKhqTOwSrqNA1NY5lSztJ1GrBiUodLMmIZuLiDaMRJ+itFd+ABVE8XBjOvIWL+rSqNDC74LCSFmlb/U4UZ4hJQ==}\n\n  yallist@2.1.2:\n    resolution: {integrity: sha512-ncTzHV7NvsQZkYe1DW7cbDLm0YpzHmZF5r/iyP3ZnQtMiJ+pjzisCiMNI+Sj+xQF5pXhSHxSB3uDbsBTzY/c2A==}\n\n  yallist@3.1.1:\n    resolution: {integrity: sha512-a4UGQaWPH59mOXUYnAG2ewncQS4i4F43Tv3JoAM+s2VDAmS9NsK8GpDMLrCHPksFT7h3K6TOoUNn2pb7RoXx4g==}\n\n  yaml@1.10.2:\n    resolution: {integrity: sha512-r3vXyErRCYJ7wg28yvBY5VSoAF8ZvlcW9/BwUzEtUsjvX/DKs24dIkuwjtuprwJJHsbyUbLApepYTR1BN4uHrg==}\n    engines: {node: '>= 6'}\n\n  yargs-parser@18.1.3:\n    resolution: {integrity: sha512-o50j0JeToy/4K6OZcaQmW6lyXXKhq7csREXcDwk2omFPJEwUNOVtJKvmDr9EI1fAJZUyZcRF7kxGBWmRXudrCQ==}\n    engines: {node: '>=6'}\n\n  yargs@15.4.1:\n    resolution: {integrity: sha512-aePbxDmcYW++PaqBsJ+HYUFwCdv4LVvdnhBy78E57PIor8/OVvhMrADFFEDh8DHDFRv/O9i3lPhsENjO7QX0+A==}\n    engines: {node: '>=8'}\n\n  yorkie@2.0.0:\n    resolution: {integrity: sha512-jcKpkthap6x63MB4TxwCyuIGkV0oYP/YRyuQU5UO0Yz/E/ZAu+653/uov+phdmO54n6BcvFRyyt0RRrWdN2mpw==}\n    engines: {node: '>=4'}\n\n  zscroller@0.4.8:\n    resolution: {integrity: sha512-G5NiNLKx2+QhhvZi2yV1jjVXY50otktxkseX2hG2N/eixohOUk0AY8ZpbAxNqS9oJS/NxItCsowupy2tsXxAMw==}\n\nsnapshots:\n\n  '@ahooksjs/use-request@2.8.15(react@17.0.2)':\n    dependencies:\n      lodash.debounce: 4.0.8\n      lodash.throttle: 4.1.1\n      react: 17.0.2\n\n  '@ampproject/remapping@2.3.0':\n    dependencies:\n      '@jridgewell/gen-mapping': 0.3.8\n      '@jridgewell/trace-mapping': 0.3.25\n\n  '@ant-design/colors@6.0.0':\n    dependencies:\n      '@ctrl/tinycolor': 3.6.1\n\n  '@ant-design/icons-svg@4.4.2': {}\n\n  '@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@ant-design/colors': 6.0.0\n      '@ant-design/icons-svg': 4.4.2\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      lodash: 4.17.21\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  '@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-provider': 1.10.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-utils': 1.45.3(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@babel/runtime': 7.26.0\n      '@umijs/route-utils': 2.2.2\n      '@umijs/ssr-darkreader': 4.9.45\n      '@umijs/use-params': 1.0.9(react@17.0.2)\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      lodash.merge: 4.6.2\n      omit.js: 2.0.2\n      path-to-regexp: 2.4.0\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      swr: 1.3.0(react@17.0.2)\n      unstated-next: 1.1.0\n      use-json-comparison: 1.0.6(react@17.0.2)\n      use-media-antd-query: 1.1.0(react@17.0.2)\n      warning: 4.0.3\n    transitivePeerDependencies:\n      - prop-types\n      - react-dom\n\n  '@ant-design/pro-provider@1.10.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@babel/runtime': 7.26.0\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      swr: 1.3.0(react@17.0.2)\n    transitivePeerDependencies:\n      - react-dom\n\n  '@ant-design/pro-utils@1.45.3(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-provider': 1.10.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@babel/runtime': 7.26.0\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      moment: 2.30.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-sortable-hoc: 2.0.0(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      swr: 1.3.0(react@17.0.2)\n    transitivePeerDependencies:\n      - prop-types\n\n  '@ant-design/react-slick@1.0.2(react@17.0.2)':\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      json2mq: 0.2.0\n      react: 17.0.2\n      resize-observer-polyfill: 1.5.1\n      throttle-debounce: 5.0.2\n\n  '@babel/code-frame@7.26.2':\n    dependencies:\n      '@babel/helper-validator-identifier': 7.25.9\n      js-tokens: 4.0.0\n      picocolors: 1.1.1\n\n  '@babel/compat-data@7.26.3': {}\n\n  '@babel/core@7.18.6':\n    dependencies:\n      '@ampproject/remapping': 2.3.0\n      '@babel/code-frame': 7.26.2\n      '@babel/generator': 7.26.3\n      '@babel/helper-compilation-targets': 7.25.9\n      '@babel/helper-module-transforms': 7.26.0(@babel/core@7.18.6)\n      '@babel/helpers': 7.26.0\n      '@babel/parser': 7.26.3\n      '@babel/template': 7.25.9\n      '@babel/traverse': 7.26.4\n      '@babel/types': 7.26.3\n      convert-source-map: 1.9.0\n      debug: 4.4.0\n      gensync: 1.0.0-beta.2\n      json5: 2.2.3\n      semver: 6.3.1\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/generator@7.26.3':\n    dependencies:\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n      '@jridgewell/gen-mapping': 0.3.8\n      '@jridgewell/trace-mapping': 0.3.25\n      jsesc: 3.1.0\n\n  '@babel/helper-compilation-targets@7.25.9':\n    dependencies:\n      '@babel/compat-data': 7.26.3\n      '@babel/helper-validator-option': 7.25.9\n      browserslist: 4.24.2\n      lru-cache: 5.1.1\n      semver: 6.3.1\n\n  '@babel/helper-module-imports@7.25.9':\n    dependencies:\n      '@babel/traverse': 7.26.4\n      '@babel/types': 7.26.3\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/helper-module-transforms@7.26.0(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-module-imports': 7.25.9\n      '@babel/helper-validator-identifier': 7.25.9\n      '@babel/traverse': 7.26.4\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/helper-plugin-utils@7.25.9': {}\n\n  '@babel/helper-string-parser@7.25.9': {}\n\n  '@babel/helper-validator-identifier@7.25.9': {}\n\n  '@babel/helper-validator-option@7.25.9': {}\n\n  '@babel/helpers@7.26.0':\n    dependencies:\n      '@babel/template': 7.25.9\n      '@babel/types': 7.26.3\n\n  '@babel/parser@7.26.3':\n    dependencies:\n      '@babel/types': 7.26.3\n\n  '@babel/plugin-syntax-async-generators@7.8.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-bigint@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-class-properties@7.12.13(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-class-static-block@7.14.5(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-import-attributes@7.26.0(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-import-meta@7.10.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-json-strings@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-logical-assignment-operators@7.10.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-nullish-coalescing-operator@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-numeric-separator@7.10.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-object-rest-spread@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-optional-catch-binding@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-optional-chaining@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-private-property-in-object@7.14.5(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-top-level-await@7.14.5(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/runtime@7.18.6':\n    dependencies:\n      regenerator-runtime: 0.13.11\n\n  '@babel/runtime@7.26.0':\n    dependencies:\n      regenerator-runtime: 0.14.1\n\n  '@babel/template@7.25.9':\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n\n  '@babel/traverse@7.26.4':\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      '@babel/generator': 7.26.3\n      '@babel/parser': 7.26.3\n      '@babel/template': 7.25.9\n      '@babel/types': 7.26.3\n      debug: 4.4.0\n      globals: 11.12.0\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/types@7.26.3':\n    dependencies:\n      '@babel/helper-string-parser': 7.25.9\n      '@babel/helper-validator-identifier': 7.25.9\n\n  '@bcoe/v8-coverage@0.2.3': {}\n\n  '@bloomberg/record-tuple-polyfill@0.0.3': {}\n\n  '@cnakazawa/watch@1.0.4':\n    dependencies:\n      exec-sh: 0.3.6\n      minimist: 1.2.8\n\n  '@csstools/convert-colors@1.4.0': {}\n\n  '@ctrl/tinycolor@3.6.1': {}\n\n  '@formatjs/intl-displaynames@1.2.10':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-listformat@1.4.8':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-pluralrules@1.5.9':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-relativetimeformat@4.5.16':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-unified-numberformat@3.3.7':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-utils@2.3.0': {}\n\n  '@istanbuljs/load-nyc-config@1.1.0':\n    dependencies:\n      camelcase: 5.3.1\n      find-up: 4.1.0\n      get-package-type: 0.1.0\n      js-yaml: 3.14.1\n      resolve-from: 5.0.0\n\n  '@istanbuljs/schema@0.1.3': {}\n\n  '@jest/console@26.6.2':\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      jest-message-util: 26.6.2\n      jest-util: 26.6.2\n      slash: 3.0.0\n\n  '@jest/core@26.6.3':\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/reporters': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      ansi-escapes: 4.3.2\n      chalk: 4.1.2\n      exit: 0.1.2\n      graceful-fs: 4.2.11\n      jest-changed-files: 26.6.2\n      jest-config: 26.6.3\n      jest-haste-map: 26.6.2\n      jest-message-util: 26.6.2\n      jest-regex-util: 26.0.0\n      jest-resolve: 26.6.2\n      jest-resolve-dependencies: 26.6.3\n      jest-runner: 26.6.3\n      jest-runtime: 26.6.3\n      jest-snapshot: 26.6.2\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      jest-watcher: 26.6.2\n      micromatch: 4.0.8\n      p-each-series: 2.2.0\n      rimraf: 3.0.2\n      slash: 3.0.0\n      strip-ansi: 6.0.1\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@jest/environment@26.6.2':\n    dependencies:\n      '@jest/fake-timers': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      jest-mock: 26.6.2\n\n  '@jest/fake-timers@26.6.2':\n    dependencies:\n      '@jest/types': 26.6.2\n      '@sinonjs/fake-timers': 6.0.1\n      '@types/node': 22.10.2\n      jest-message-util: 26.6.2\n      jest-mock: 26.6.2\n      jest-util: 26.6.2\n\n  '@jest/globals@26.6.2':\n    dependencies:\n      '@jest/environment': 26.6.2\n      '@jest/types': 26.6.2\n      expect: 26.6.2\n\n  '@jest/reporters@26.6.2':\n    dependencies:\n      '@bcoe/v8-coverage': 0.2.3\n      '@jest/console': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      collect-v8-coverage: 1.0.2\n      exit: 0.1.2\n      glob: 7.2.3\n      graceful-fs: 4.2.11\n      istanbul-lib-coverage: 3.2.2\n      istanbul-lib-instrument: 4.0.3\n      istanbul-lib-report: 3.0.1\n      istanbul-lib-source-maps: 4.0.1\n      istanbul-reports: 3.1.7\n      jest-haste-map: 26.6.2\n      jest-resolve: 26.6.2\n      jest-util: 26.6.2\n      jest-worker: 26.6.2\n      slash: 3.0.0\n      source-map: 0.6.1\n      string-length: 4.0.2\n      terminal-link: 2.1.1\n      v8-to-istanbul: 7.1.2\n    optionalDependencies:\n      node-notifier: 8.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  '@jest/source-map@26.6.2':\n    dependencies:\n      callsites: 3.1.0\n      graceful-fs: 4.2.11\n      source-map: 0.6.1\n\n  '@jest/test-result@26.6.2':\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/istanbul-lib-coverage': 2.0.6\n      collect-v8-coverage: 1.0.2\n\n  '@jest/test-sequencer@26.6.3':\n    dependencies:\n      '@jest/test-result': 26.6.2\n      graceful-fs: 4.2.11\n      jest-haste-map: 26.6.2\n      jest-runner: 26.6.3\n      jest-runtime: 26.6.3\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@jest/transform@26.6.2':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@jest/types': 26.6.2\n      babel-plugin-istanbul: 6.1.1\n      chalk: 4.1.2\n      convert-source-map: 1.9.0\n      fast-json-stable-stringify: 2.1.0\n      graceful-fs: 4.2.11\n      jest-haste-map: 26.6.2\n      jest-regex-util: 26.0.0\n      jest-util: 26.6.2\n      micromatch: 4.0.8\n      pirates: 4.0.6\n      slash: 3.0.0\n      source-map: 0.6.1\n      write-file-atomic: 3.0.3\n    transitivePeerDependencies:\n      - supports-color\n\n  '@jest/types@26.6.2':\n    dependencies:\n      '@types/istanbul-lib-coverage': 2.0.6\n      '@types/istanbul-reports': 3.0.4\n      '@types/node': 22.10.2\n      '@types/yargs': 15.0.19\n      chalk: 4.1.2\n\n  '@jridgewell/gen-mapping@0.3.8':\n    dependencies:\n      '@jridgewell/set-array': 1.2.1\n      '@jridgewell/sourcemap-codec': 1.5.0\n      '@jridgewell/trace-mapping': 0.3.25\n\n  '@jridgewell/resolve-uri@3.1.2': {}\n\n  '@jridgewell/set-array@1.2.1': {}\n\n  '@jridgewell/source-map@0.3.6':\n    dependencies:\n      '@jridgewell/gen-mapping': 0.3.8\n      '@jridgewell/trace-mapping': 0.3.25\n\n  '@jridgewell/sourcemap-codec@1.5.0': {}\n\n  '@jridgewell/trace-mapping@0.3.25':\n    dependencies:\n      '@jridgewell/resolve-uri': 3.1.2\n      '@jridgewell/sourcemap-codec': 1.5.0\n\n  '@qixian.cs/path-to-regexp@6.1.0': {}\n\n  '@rc-component/portal@1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  '@sinonjs/commons@1.8.6':\n    dependencies:\n      type-detect: 4.0.8\n\n  '@sinonjs/fake-timers@6.0.1':\n    dependencies:\n      '@sinonjs/commons': 1.8.6\n\n  '@tootallnate/once@1.1.2': {}\n\n  '@types/babel__core@7.20.5':\n    dependencies:\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n      '@types/babel__generator': 7.6.8\n      '@types/babel__template': 7.4.4\n      '@types/babel__traverse': 7.20.6\n\n  '@types/babel__generator@7.6.8':\n    dependencies:\n      '@babel/types': 7.26.3\n\n  '@types/babel__template@7.4.4':\n    dependencies:\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n\n  '@types/babel__traverse@7.20.6':\n    dependencies:\n      '@babel/types': 7.26.3\n\n  '@types/graceful-fs@4.1.9':\n    dependencies:\n      '@types/node': 22.10.2\n\n  '@types/history@4.7.11': {}\n\n  '@types/history@5.0.0':\n    dependencies:\n      history: 5.3.0\n\n  '@types/hoist-non-react-statics@3.3.6':\n    dependencies:\n      '@types/react': 17.0.83\n      hoist-non-react-statics: 3.3.2\n\n  '@types/invariant@2.2.37': {}\n\n  '@types/isomorphic-fetch@0.0.35': {}\n\n  '@types/istanbul-lib-coverage@2.0.6': {}\n\n  '@types/istanbul-lib-report@3.0.3':\n    dependencies:\n      '@types/istanbul-lib-coverage': 2.0.6\n\n  '@types/istanbul-reports@3.0.4':\n    dependencies:\n      '@types/istanbul-lib-report': 3.0.3\n\n  '@types/json-schema@7.0.15': {}\n\n  '@types/node@22.10.2':\n    dependencies:\n      undici-types: 6.20.0\n\n  '@types/normalize-package-data@2.4.4': {}\n\n  '@types/parse-json@4.0.2': {}\n\n  '@types/prettier@2.7.3': {}\n\n  '@types/prop-types@15.7.14': {}\n\n  '@types/react-dom@16.9.25(@types/react@16.14.62)':\n    dependencies:\n      '@types/react': 16.14.62\n\n  '@types/react-dom@17.0.26(@types/react@17.0.83)':\n    dependencies:\n      '@types/react': 17.0.83\n\n  '@types/react-helmet@6.1.11':\n    dependencies:\n      '@types/react': 17.0.83\n\n  '@types/react-redux@7.1.34':\n    dependencies:\n      '@types/hoist-non-react-statics': 3.3.6\n      '@types/react': 17.0.83\n      hoist-non-react-statics: 3.3.2\n      redux: 4.2.1\n\n  '@types/react-router-config@5.0.2':\n    dependencies:\n      '@types/history': 5.0.0\n      '@types/react': 17.0.83\n      '@types/react-router': 5.1.20\n\n  '@types/react-router-dom@5.1.7':\n    dependencies:\n      '@types/history': 5.0.0\n      '@types/react': 17.0.83\n      '@types/react-router': 5.1.12\n\n  '@types/react-router-dom@5.3.3':\n    dependencies:\n      '@types/history': 4.7.11\n      '@types/react': 17.0.83\n      '@types/react-router': 5.1.20\n\n  '@types/react-router@5.1.12':\n    dependencies:\n      '@types/history': 5.0.0\n      '@types/react': 17.0.83\n\n  '@types/react-router@5.1.20':\n    dependencies:\n      '@types/history': 4.7.11\n      '@types/react': 17.0.83\n\n  '@types/react@16.14.62':\n    dependencies:\n      '@types/prop-types': 15.7.14\n      '@types/scheduler': 0.16.8\n      csstype: 3.1.3\n\n  '@types/react@17.0.83':\n    dependencies:\n      '@types/prop-types': 15.7.14\n      '@types/scheduler': 0.16.8\n      csstype: 3.1.3\n\n  '@types/scheduler@0.16.8': {}\n\n  '@types/stack-utils@2.0.3': {}\n\n  '@types/yargs-parser@21.0.3': {}\n\n  '@types/yargs@15.0.19':\n    dependencies:\n      '@types/yargs-parser': 21.0.3\n\n  '@umijs/ast@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-plugin-auto-css-modules@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-plugin-import-to-await-require@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-plugin-lock-core-js-3@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n      core-js: 3.6.5\n\n  '@umijs/babel-plugin-no-anonymous-default-export@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-preset-umi@3.5.43':\n    dependencies:\n      '@babel/runtime': 7.18.6\n      '@umijs/babel-plugin-auto-css-modules': 3.5.43\n      '@umijs/babel-plugin-import-to-await-require': 3.5.43\n      '@umijs/babel-plugin-lock-core-js-3': 3.5.43\n      '@umijs/babel-plugin-no-anonymous-default-export': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/utils': 3.5.43\n\n  '@umijs/bundler-utils@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n    transitivePeerDependencies:\n      - react\n      - react-dom\n      - react-router\n\n  '@umijs/bundler-webpack@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@umijs/bundler-utils': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/case-sensitive-paths-webpack-plugin': 1.0.1\n      '@umijs/deps': 3.5.43\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n      jest-worker: 26.6.2\n      node-libs-browser: 2.2.1\n      normalize-url: 1.9.1\n      postcss: 7.0.32\n      postcss-flexbugs-fixes: 4.2.1\n      postcss-loader: 3.0.0\n      postcss-preset-env: 6.7.0\n      postcss-safe-parser: 4.0.2\n      terser: 5.14.2\n      webpack-chain: 6.5.1\n    transitivePeerDependencies:\n      - react\n      - react-dom\n      - react-router\n\n  '@umijs/case-sensitive-paths-webpack-plugin@1.0.1': {}\n\n  '@umijs/core@3.5.43':\n    dependencies:\n      '@umijs/ast': 3.5.43\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/utils': 3.5.43\n\n  '@umijs/deps@3.5.43':\n    dependencies:\n      '@bloomberg/record-tuple-polyfill': 0.0.3\n      chokidar: 3.5.1\n      clipboardy: 2.3.0\n      esbuild: 0.12.15\n      jest-worker: 24.9.0\n      prettier: 2.2.1\n      regenerate: 1.4.2\n      regenerate-unicode-properties: 10.0.1\n\n  '@umijs/plugin-access@2.4.3(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@umijs/plugin-initial-state': 2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-model': 2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-analytics@0.2.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-antd@0.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      antd-mobile: 2.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      semver: 7.6.3\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  '@umijs/plugin-crossorigin@1.2.1(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-dva@0.13.0(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      babel-plugin-dva-hmr: 0.4.2(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))\n      dva: 2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)\n      dva-immer: 0.5.2(dva@2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2))\n      dva-loading: 3.0.25(dva-core@2.0.4(redux@4.2.1))\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - dva-core\n      - react\n      - react-dom\n      - react-native\n      - react-router\n      - redbox-react\n\n  '@umijs/plugin-helmet@1.1.3(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@types/react-helmet': 6.1.11\n      react-helmet: 6.1.0(react@17.0.2)\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - react\n\n  '@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-layout@0.18.1(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-locale@0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-layout': 6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@umijs/plugin-initial-state': 2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-locale': 0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-model': 2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/route-utils': 2.2.2\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      lodash: 4.17.21\n      path-to-regexp: 1.9.0\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  '@umijs/plugin-locale@0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@formatjs/intl-pluralrules': 1.5.9\n      '@formatjs/intl-relativetimeformat': 4.5.16\n      intl: 1.2.5\n      moment: 2.30.1\n      react-intl: 3.12.1(react@17.0.2)\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n      warning: 4.0.3\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  '@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      fast-deep-equal: 3.1.1\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-request@2.8.0(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@ahooksjs/use-request': 2.8.15(react@17.0.2)\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n      umi-request: 1.4.0\n    transitivePeerDependencies:\n      - react\n\n  '@umijs/plugin-test@1.0.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@umijs/test': 3.5.43\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@umijs/preset-built-in@3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@types/react-router-config': 5.0.2\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/bundler-webpack': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/renderer-mpa': 3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)\n      '@umijs/renderer-react': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      '@umijs/server': 3.5.43\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n      ansi-html: 0.0.9\n      core-js: 3.6.5\n      core-js-pure: 3.39.0\n      error-stack-parser: 2.1.4\n      es-module-lexer: 0.7.1\n      es5-imcompatible-versions: 0.1.90\n      history-with-query: 4.10.4\n      html-entities: 2.5.2\n      mime: 1.4.1\n      react: 16.14.0\n      react-refresh: 0.10.0\n      react-router: 5.2.0(react@17.0.2)\n      react-router-config: 5.1.1(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      react-router-dom: 5.2.0(react@16.14.0)\n      regenerator-runtime: 0.13.5\n      schema-utils: 3.3.0\n    transitivePeerDependencies:\n      - react-dom\n\n  '@umijs/preset-react@1.8.32(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@umijs/plugin-access': 2.4.3(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-analytics': 0.2.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-antd': 0.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-crossorigin': 1.2.1(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-dva': 0.13.0(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-helmet': 1.1.3(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-initial-state': 2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-layout': 0.18.1(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-locale@0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-locale': 0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-model': 2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-request': 2.8.0(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-test': 1.0.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - '@ant-design/icons'\n      - '@ant-design/pro-layout'\n      - bufferutil\n      - canvas\n      - dva-core\n      - react\n      - react-dom\n      - react-native\n      - react-router\n      - redbox-react\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@umijs/renderer-mpa@3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@types/react': 16.14.62\n      '@types/react-dom': 16.9.25(@types/react@16.14.62)\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      react: 16.14.0\n      react-dom: 16.14.0(react@16.14.0)\n\n  '@umijs/renderer-react@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@types/react': 16.14.62\n      '@types/react-dom': 16.9.25(@types/react@16.14.62)\n      '@types/react-router-config': 5.0.2\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      react: 16.14.0\n      react-dom: 16.14.0(react@16.14.0)\n      react-router-config: 5.1.1(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n    transitivePeerDependencies:\n      - react-router\n\n  '@umijs/route-utils@2.2.2':\n    dependencies:\n      '@qixian.cs/path-to-regexp': 6.1.0\n      fast-deep-equal: 3.1.3\n      lodash.isequal: 4.5.0\n      memoize-one: 5.2.1\n\n  '@umijs/runtime@3.5.43(react@16.14.0)':\n    dependencies:\n      '@types/react-router': 5.1.12\n      '@types/react-router-dom': 5.1.7\n      history-with-query: 4.10.4\n      react: 16.14.0\n      react-router: 5.2.0(react@16.14.0)\n      react-router-dom: 5.2.0(react@16.14.0)\n      use-subscription: 1.5.1(react@16.14.0)\n\n  '@umijs/server@3.5.43':\n    dependencies:\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/utils': 3.5.43\n\n  '@umijs/ssr-darkreader@4.9.45': {}\n\n  '@umijs/test@3.5.43':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/utils': 3.5.43\n      babel-jest: 26.6.3(@babel/core@7.18.6)\n      core-js: 3.8.2\n      identity-obj-proxy: 3.0.0\n      jest: 26.6.3\n      jest-cli: 26.6.3\n      regenerator-runtime: 0.13.11\n      whatwg-fetch: 3.6.20\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@umijs/types@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/renderer-react': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/server': 3.5.43\n      '@umijs/utils': 3.5.43\n      webpack-chain: 6.5.1\n    transitivePeerDependencies:\n      - react\n      - react-dom\n      - react-router\n\n  '@umijs/use-params@1.0.9(react@17.0.2)':\n    dependencies:\n      react: 17.0.2\n\n  '@umijs/utils@3.5.43':\n    dependencies:\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/deps': 3.5.43\n\n  abab@2.0.6: {}\n\n  acorn-globals@6.0.0:\n    dependencies:\n      acorn: 7.4.1\n      acorn-walk: 7.2.0\n\n  acorn-walk@7.2.0: {}\n\n  acorn@7.4.1: {}\n\n  acorn@8.14.0: {}\n\n  add-dom-event-listener@1.1.0:\n    dependencies:\n      object-assign: 4.1.1\n\n  agent-base@6.0.2:\n    dependencies:\n      debug: 4.4.0\n    transitivePeerDependencies:\n      - supports-color\n\n  aggregate-error@3.1.0:\n    dependencies:\n      clean-stack: 2.2.0\n      indent-string: 4.0.0\n\n  ajv-errors@1.0.1(ajv@6.12.6):\n    dependencies:\n      ajv: 6.12.6\n\n  ajv-keywords@3.5.2(ajv@6.12.6):\n    dependencies:\n      ajv: 6.12.6\n\n  ajv@6.12.6:\n    dependencies:\n      fast-deep-equal: 3.1.3\n      fast-json-stable-stringify: 2.1.0\n      json-schema-traverse: 0.4.1\n      uri-js: 4.4.1\n\n  ansi-colors@4.1.3: {}\n\n  ansi-escapes@4.3.2:\n    dependencies:\n      type-fest: 0.21.3\n\n  ansi-html@0.0.9: {}\n\n  ansi-regex@5.0.1: {}\n\n  ansi-styles@3.2.1:\n    dependencies:\n      color-convert: 1.9.3\n\n  ansi-styles@4.3.0:\n    dependencies:\n      color-convert: 2.0.1\n\n  antd-mobile@2.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      array-tree-filter: 2.1.0\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      normalize.css: 7.0.0\n      rc-checkbox: 2.0.3\n      rc-collapse: 1.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-slider: 8.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-swipeout: 2.0.11\n      rmc-calendar: 1.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-cascader: 5.0.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-date-picker: 6.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-dialog: 1.1.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-drawer: 0.4.11\n      rmc-feedback: 2.0.0\n      rmc-input-number: 1.0.5\n      rmc-list-view: 0.11.5\n      rmc-notification: 1.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-nuka-carousel: 3.0.1\n      rmc-picker: 5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-pull-to-refresh: 1.0.13\n      rmc-steps: 1.0.1\n      rmc-tabs: 1.2.29\n      rmc-tooltip: 1.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  antd@4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@ant-design/colors': 6.0.0\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/react-slick': 1.0.2(react@17.0.2)\n      '@babel/runtime': 7.26.0\n      '@ctrl/tinycolor': 3.6.1\n      classnames: 2.5.1\n      copy-to-clipboard: 3.3.3\n      lodash: 4.17.21\n      moment: 2.30.1\n      rc-cascader: 3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-checkbox: 3.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-collapse: 3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-dialog: 9.0.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-drawer: 6.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-dropdown: 4.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-field-form: 1.38.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-image: 5.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-input: 0.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-input-number: 7.3.11(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-mentions: 1.13.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-menu: 9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-notification: 4.6.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-pagination: 3.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-picker: 2.7.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-progress: 3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-rate: 2.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-segmented: 2.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-select: 14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-slider: 10.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-steps: 5.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-switch: 3.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-table: 7.26.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tabs: 12.5.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-textarea: 0.4.7(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tooltip: 5.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree: 5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree-select: 5.5.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-upload: 4.3.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      scroll-into-view-if-needed: 2.2.31\n\n  anymatch@2.0.0:\n    dependencies:\n      micromatch: 3.1.10\n      normalize-path: 2.1.1\n    transitivePeerDependencies:\n      - supports-color\n\n  anymatch@3.1.3:\n    dependencies:\n      normalize-path: 3.0.0\n      picomatch: 2.3.1\n\n  arch@2.2.0: {}\n\n  argparse@1.0.10:\n    dependencies:\n      sprintf-js: 1.0.3\n\n  arr-diff@4.0.0: {}\n\n  arr-flatten@1.1.0: {}\n\n  arr-union@3.1.0: {}\n\n  array-tree-filter@2.1.0: {}\n\n  array-unique@0.3.2: {}\n\n  asap@2.0.6: {}\n\n  asn1.js@4.10.1:\n    dependencies:\n      bn.js: 4.12.1\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n\n  assert@1.5.1:\n    dependencies:\n      object.assign: 4.1.5\n      util: 0.10.4\n\n  assign-symbols@1.0.0: {}\n\n  astral-regex@2.0.0: {}\n\n  async-validator@4.2.5: {}\n\n  asynckit@0.4.0: {}\n\n  atob@2.1.2: {}\n\n  autoprefixer@9.8.8:\n    dependencies:\n      browserslist: 4.24.2\n      caniuse-lite: 1.0.30001688\n      normalize-range: 0.1.2\n      num2fraction: 1.2.2\n      picocolors: 0.2.1\n      postcss: 7.0.32\n      postcss-value-parser: 4.2.0\n\n  babel-jest@26.6.3(@babel/core@7.18.6):\n    dependencies:\n      '@babel/core': 7.18.6\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/babel__core': 7.20.5\n      babel-plugin-istanbul: 6.1.1\n      babel-preset-jest: 26.6.2(@babel/core@7.18.6)\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      slash: 3.0.0\n    transitivePeerDependencies:\n      - supports-color\n\n  babel-plugin-dva-hmr@0.4.2(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)):\n    dependencies:\n      redbox-react: 1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n\n  babel-plugin-istanbul@6.1.1:\n    dependencies:\n      '@babel/helper-plugin-utils': 7.25.9\n      '@istanbuljs/load-nyc-config': 1.1.0\n      '@istanbuljs/schema': 0.1.3\n      istanbul-lib-instrument: 5.2.1\n      test-exclude: 6.0.0\n    transitivePeerDependencies:\n      - supports-color\n\n  babel-plugin-jest-hoist@26.6.2:\n    dependencies:\n      '@babel/template': 7.25.9\n      '@babel/types': 7.26.3\n      '@types/babel__core': 7.20.5\n      '@types/babel__traverse': 7.20.6\n\n  babel-preset-current-node-syntax@1.1.0(@babel/core@7.18.6):\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/plugin-syntax-async-generators': 7.8.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-bigint': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-class-properties': 7.12.13(@babel/core@7.18.6)\n      '@babel/plugin-syntax-class-static-block': 7.14.5(@babel/core@7.18.6)\n      '@babel/plugin-syntax-import-attributes': 7.26.0(@babel/core@7.18.6)\n      '@babel/plugin-syntax-import-meta': 7.10.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-json-strings': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-logical-assignment-operators': 7.10.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-nullish-coalescing-operator': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-numeric-separator': 7.10.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-object-rest-spread': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-optional-catch-binding': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-optional-chaining': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-private-property-in-object': 7.14.5(@babel/core@7.18.6)\n      '@babel/plugin-syntax-top-level-await': 7.14.5(@babel/core@7.18.6)\n\n  babel-preset-jest@26.6.2(@babel/core@7.18.6):\n    dependencies:\n      '@babel/core': 7.18.6\n      babel-plugin-jest-hoist: 26.6.2\n      babel-preset-current-node-syntax: 1.1.0(@babel/core@7.18.6)\n\n  babel-runtime@6.26.0:\n    dependencies:\n      core-js: 2.6.12\n      regenerator-runtime: 0.11.1\n\n  balanced-match@1.0.2: {}\n\n  base64-js@1.5.1: {}\n\n  base@0.11.2:\n    dependencies:\n      cache-base: 1.0.1\n      class-utils: 0.3.6\n      component-emitter: 1.3.1\n      define-property: 1.0.0\n      isobject: 3.0.1\n      mixin-deep: 1.3.2\n      pascalcase: 0.1.1\n\n  big.js@5.2.2: {}\n\n  binary-extensions@2.3.0: {}\n\n  bn.js@4.12.1: {}\n\n  bn.js@5.2.1: {}\n\n  brace-expansion@1.1.11:\n    dependencies:\n      balanced-match: 1.0.2\n      concat-map: 0.0.1\n\n  braces@2.3.2:\n    dependencies:\n      arr-flatten: 1.1.0\n      array-unique: 0.3.2\n      extend-shallow: 2.0.1\n      fill-range: 4.0.0\n      isobject: 3.0.1\n      repeat-element: 1.1.4\n      snapdragon: 0.8.2\n      snapdragon-node: 2.1.1\n      split-string: 3.1.0\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  braces@3.0.3:\n    dependencies:\n      fill-range: 7.1.1\n\n  brorand@1.1.0: {}\n\n  browser-process-hrtime@1.0.0: {}\n\n  browserify-aes@1.2.0:\n    dependencies:\n      buffer-xor: 1.0.3\n      cipher-base: 1.0.6\n      create-hash: 1.2.0\n      evp_bytestokey: 1.0.3\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  browserify-cipher@1.0.1:\n    dependencies:\n      browserify-aes: 1.2.0\n      browserify-des: 1.0.2\n      evp_bytestokey: 1.0.3\n\n  browserify-des@1.0.2:\n    dependencies:\n      cipher-base: 1.0.6\n      des.js: 1.1.0\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  browserify-rsa@4.1.1:\n    dependencies:\n      bn.js: 5.2.1\n      randombytes: 2.1.0\n      safe-buffer: 5.2.1\n\n  browserify-sign@4.2.3:\n    dependencies:\n      bn.js: 5.2.1\n      browserify-rsa: 4.1.1\n      create-hash: 1.2.0\n      create-hmac: 1.1.7\n      elliptic: 6.6.1\n      hash-base: 3.0.5\n      inherits: 2.0.4\n      parse-asn1: 5.1.7\n      readable-stream: 2.3.8\n      safe-buffer: 5.2.1\n\n  browserify-zlib@0.2.0:\n    dependencies:\n      pako: 1.0.11\n\n  browserslist@4.24.2:\n    dependencies:\n      caniuse-lite: 1.0.30001688\n      electron-to-chromium: 1.5.73\n      node-releases: 2.0.19\n      update-browserslist-db: 1.1.1(browserslist@4.24.2)\n\n  bser@2.1.1:\n    dependencies:\n      node-int64: 0.4.0\n\n  buffer-from@1.1.2: {}\n\n  buffer-xor@1.0.3: {}\n\n  buffer@4.9.2:\n    dependencies:\n      base64-js: 1.5.1\n      ieee754: 1.2.1\n      isarray: 1.0.0\n\n  builtin-status-codes@3.0.0: {}\n\n  cache-base@1.0.1:\n    dependencies:\n      collection-visit: 1.0.0\n      component-emitter: 1.3.1\n      get-value: 2.0.6\n      has-value: 1.0.0\n      isobject: 3.0.1\n      set-value: 2.0.1\n      to-object-path: 0.3.0\n      union-value: 1.0.1\n      unset-value: 1.0.0\n\n  call-bind-apply-helpers@1.0.1:\n    dependencies:\n      es-errors: 1.3.0\n      function-bind: 1.1.2\n\n  call-bind@1.0.8:\n    dependencies:\n      call-bind-apply-helpers: 1.0.1\n      es-define-property: 1.0.1\n      get-intrinsic: 1.2.6\n      set-function-length: 1.2.2\n\n  call-bound@1.0.2:\n    dependencies:\n      call-bind: 1.0.8\n      get-intrinsic: 1.2.6\n\n  caller-callsite@2.0.0:\n    dependencies:\n      callsites: 2.0.0\n\n  caller-path@2.0.0:\n    dependencies:\n      caller-callsite: 2.0.0\n\n  callsites@2.0.0: {}\n\n  callsites@3.1.0: {}\n\n  camelcase@5.3.1: {}\n\n  camelcase@6.3.0: {}\n\n  caniuse-lite@1.0.30001688: {}\n\n  capture-exit@2.0.0:\n    dependencies:\n      rsvp: 4.8.5\n\n  chalk@2.4.2:\n    dependencies:\n      ansi-styles: 3.2.1\n      escape-string-regexp: 1.0.5\n      supports-color: 5.5.0\n\n  chalk@4.1.2:\n    dependencies:\n      ansi-styles: 4.3.0\n      supports-color: 7.2.0\n\n  char-regex@1.0.2: {}\n\n  chokidar@3.5.1:\n    dependencies:\n      anymatch: 3.1.3\n      braces: 3.0.3\n      glob-parent: 5.1.2\n      is-binary-path: 2.1.0\n      is-glob: 4.0.3\n      normalize-path: 3.0.0\n      readdirp: 3.5.0\n    optionalDependencies:\n      fsevents: 2.3.3\n\n  ci-info@1.6.0: {}\n\n  ci-info@2.0.0: {}\n\n  cipher-base@1.0.6:\n    dependencies:\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  cjs-module-lexer@0.6.0: {}\n\n  class-utils@0.3.6:\n    dependencies:\n      arr-union: 3.1.0\n      define-property: 0.2.5\n      isobject: 3.0.1\n      static-extend: 0.1.2\n\n  classnames@2.5.1: {}\n\n  clean-stack@2.2.0: {}\n\n  cli-cursor@3.1.0:\n    dependencies:\n      restore-cursor: 3.1.0\n\n  cli-truncate@2.1.0:\n    dependencies:\n      slice-ansi: 3.0.0\n      string-width: 4.2.3\n\n  clipboardy@2.3.0:\n    dependencies:\n      arch: 2.2.0\n      execa: 1.0.0\n      is-wsl: 2.2.0\n\n  cliui@6.0.0:\n    dependencies:\n      string-width: 4.2.3\n      strip-ansi: 6.0.1\n      wrap-ansi: 6.2.0\n\n  co@4.6.0: {}\n\n  collect-v8-coverage@1.0.2: {}\n\n  collection-visit@1.0.0:\n    dependencies:\n      map-visit: 1.0.0\n      object-visit: 1.0.1\n\n  color-convert@1.9.3:\n    dependencies:\n      color-name: 1.1.3\n\n  color-convert@2.0.1:\n    dependencies:\n      color-name: 1.1.4\n\n  color-name@1.1.3: {}\n\n  color-name@1.1.4: {}\n\n  colorette@2.0.20: {}\n\n  combined-stream@1.0.8:\n    dependencies:\n      delayed-stream: 1.0.0\n\n  commander@2.20.3: {}\n\n  commander@6.2.1: {}\n\n  component-classes@1.2.6:\n    dependencies:\n      component-indexof: 0.0.3\n\n  component-emitter@1.3.1: {}\n\n  component-indexof@0.0.3: {}\n\n  compute-scroll-into-view@1.0.20: {}\n\n  concat-map@0.0.1: {}\n\n  connected-react-router@6.5.2(history@4.10.1)(react-redux@7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)(redux@4.2.1):\n    dependencies:\n      history: 4.10.1\n      immutable: 3.8.2\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-redux: 7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react-router: 5.2.0(react@17.0.2)\n      redux: 4.2.1\n      seamless-immutable: 7.1.4\n\n  console-browserify@1.2.0: {}\n\n  constants-browserify@1.0.0: {}\n\n  convert-source-map@1.9.0: {}\n\n  copy-descriptor@0.1.1: {}\n\n  copy-to-clipboard@3.3.3:\n    dependencies:\n      toggle-selection: 1.0.6\n\n  core-js-pure@3.39.0: {}\n\n  core-js@1.2.7: {}\n\n  core-js@2.6.12: {}\n\n  core-js@3.6.5: {}\n\n  core-js@3.8.2: {}\n\n  core-util-is@1.0.3: {}\n\n  cosmiconfig@5.2.1:\n    dependencies:\n      import-fresh: 2.0.0\n      is-directory: 0.3.1\n      js-yaml: 3.14.1\n      parse-json: 4.0.0\n\n  cosmiconfig@7.1.0:\n    dependencies:\n      '@types/parse-json': 4.0.2\n      import-fresh: 3.3.0\n      parse-json: 5.2.0\n      path-type: 4.0.0\n      yaml: 1.10.2\n\n  create-ecdh@4.0.4:\n    dependencies:\n      bn.js: 4.12.1\n      elliptic: 6.6.1\n\n  create-hash@1.2.0:\n    dependencies:\n      cipher-base: 1.0.6\n      inherits: 2.0.4\n      md5.js: 1.3.5\n      ripemd160: 2.0.2\n      sha.js: 2.4.11\n\n  create-hmac@1.1.7:\n    dependencies:\n      cipher-base: 1.0.6\n      create-hash: 1.2.0\n      inherits: 2.0.4\n      ripemd160: 2.0.2\n      safe-buffer: 5.2.1\n      sha.js: 2.4.11\n\n  create-react-class@15.7.0:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  cross-spawn@5.1.0:\n    dependencies:\n      lru-cache: 4.1.5\n      shebang-command: 1.2.0\n      which: 1.3.1\n\n  cross-spawn@6.0.6:\n    dependencies:\n      nice-try: 1.0.5\n      path-key: 2.0.1\n      semver: 5.7.2\n      shebang-command: 1.2.0\n      which: 1.3.1\n\n  cross-spawn@7.0.6:\n    dependencies:\n      path-key: 3.1.1\n      shebang-command: 2.0.0\n      which: 2.0.2\n\n  crypto-browserify@3.12.1:\n    dependencies:\n      browserify-cipher: 1.0.1\n      browserify-sign: 4.2.3\n      create-ecdh: 4.0.4\n      create-hash: 1.2.0\n      create-hmac: 1.1.7\n      diffie-hellman: 5.0.3\n      hash-base: 3.0.5\n      inherits: 2.0.4\n      pbkdf2: 3.1.2\n      public-encrypt: 4.0.3\n      randombytes: 2.1.0\n      randomfill: 1.0.4\n\n  css-animation@1.6.1:\n    dependencies:\n      babel-runtime: 6.26.0\n      component-classes: 1.2.6\n\n  css-blank-pseudo@0.1.4:\n    dependencies:\n      postcss: 7.0.32\n\n  css-has-pseudo@0.10.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  css-prefers-color-scheme@3.1.1:\n    dependencies:\n      postcss: 7.0.32\n\n  cssdb@4.4.0: {}\n\n  cssesc@2.0.0: {}\n\n  cssesc@3.0.0: {}\n\n  cssom@0.3.8: {}\n\n  cssom@0.4.4: {}\n\n  cssstyle@2.3.0:\n    dependencies:\n      cssom: 0.3.8\n\n  csstype@3.1.3: {}\n\n  data-urls@2.0.0:\n    dependencies:\n      abab: 2.0.6\n      whatwg-mimetype: 2.3.0\n      whatwg-url: 8.7.0\n\n  date-fns@2.30.0:\n    dependencies:\n      '@babel/runtime': 7.26.0\n\n  dayjs@1.11.13: {}\n\n  debug@2.6.9:\n    dependencies:\n      ms: 2.0.0\n\n  debug@4.4.0:\n    dependencies:\n      ms: 2.1.3\n\n  decamelize@1.2.0: {}\n\n  decimal.js@10.4.3: {}\n\n  decode-uri-component@0.2.2: {}\n\n  dedent@0.7.0: {}\n\n  deepmerge@1.5.2: {}\n\n  deepmerge@4.3.1: {}\n\n  define-data-property@1.1.4:\n    dependencies:\n      es-define-property: 1.0.1\n      es-errors: 1.3.0\n      gopd: 1.2.0\n\n  define-properties@1.2.1:\n    dependencies:\n      define-data-property: 1.1.4\n      has-property-descriptors: 1.0.2\n      object-keys: 1.1.1\n\n  define-property@0.2.5:\n    dependencies:\n      is-descriptor: 0.1.7\n\n  define-property@1.0.0:\n    dependencies:\n      is-descriptor: 1.0.3\n\n  define-property@2.0.2:\n    dependencies:\n      is-descriptor: 1.0.3\n      isobject: 3.0.1\n\n  delayed-stream@1.0.0: {}\n\n  des.js@1.1.0:\n    dependencies:\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n\n  detect-newline@3.1.0: {}\n\n  diff-sequences@26.6.2: {}\n\n  diffie-hellman@5.0.3:\n    dependencies:\n      bn.js: 4.12.1\n      miller-rabin: 4.0.1\n      randombytes: 2.1.0\n\n  dom-align@1.12.4: {}\n\n  dom-walk@0.1.2: {}\n\n  domain-browser@1.2.0: {}\n\n  domexception@2.0.1:\n    dependencies:\n      webidl-conversions: 5.0.0\n\n  dunder-proto@1.0.0:\n    dependencies:\n      call-bind-apply-helpers: 1.0.1\n      es-errors: 1.3.0\n      gopd: 1.2.0\n\n  dva-core@2.0.4(redux@4.2.1):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      flatten: 1.0.3\n      global: 4.4.0\n      invariant: 2.2.4\n      is-plain-object: 2.0.4\n      redux: 4.2.1\n      redux-saga: 0.16.2\n      warning: 3.0.0\n\n  dva-immer@0.5.2(dva@2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      dva: 2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)\n      immer: 7.0.15\n\n  dva-loading@3.0.25(dva-core@2.0.4(redux@4.2.1)):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      dva-core: 2.0.4(redux@4.2.1)\n\n  dva@2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@types/isomorphic-fetch': 0.0.35\n      '@types/react-redux': 7.1.34\n      '@types/react-router-dom': 5.3.3\n      connected-react-router: 6.5.2(history@4.10.1)(react-redux@7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)(redux@4.2.1)\n      dva-core: 2.0.4(redux@4.2.1)\n      global: 4.4.0\n      history: 4.10.1\n      invariant: 2.2.4\n      isomorphic-fetch: 2.2.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-redux: 7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react-router-dom: 5.3.4(react@17.0.2)\n      redux: 4.2.1\n    transitivePeerDependencies:\n      - react-native\n      - react-router\n\n  electron-to-chromium@1.5.73: {}\n\n  elliptic@6.6.1:\n    dependencies:\n      bn.js: 4.12.1\n      brorand: 1.1.0\n      hash.js: 1.1.7\n      hmac-drbg: 1.0.1\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n      minimalistic-crypto-utils: 1.0.1\n\n  emittery@0.7.2: {}\n\n  emoji-regex@8.0.0: {}\n\n  emojis-list@3.0.0: {}\n\n  encoding@0.1.13:\n    dependencies:\n      iconv-lite: 0.6.3\n\n  end-of-stream@1.4.4:\n    dependencies:\n      once: 1.4.0\n\n  enquirer@2.4.1:\n    dependencies:\n      ansi-colors: 4.1.3\n      strip-ansi: 6.0.1\n\n  error-ex@1.3.2:\n    dependencies:\n      is-arrayish: 0.2.1\n\n  error-stack-parser@1.3.6:\n    dependencies:\n      stackframe: 0.3.1\n\n  error-stack-parser@2.1.4:\n    dependencies:\n      stackframe: 1.3.4\n\n  es-define-property@1.0.1: {}\n\n  es-errors@1.3.0: {}\n\n  es-module-lexer@0.7.1: {}\n\n  es-object-atoms@1.0.0:\n    dependencies:\n      es-errors: 1.3.0\n\n  es5-imcompatible-versions@0.1.90: {}\n\n  esbuild@0.12.15: {}\n\n  escalade@3.2.0: {}\n\n  escape-string-regexp@1.0.5: {}\n\n  escape-string-regexp@2.0.0: {}\n\n  escodegen@2.1.0:\n    dependencies:\n      esprima: 4.0.1\n      estraverse: 5.3.0\n      esutils: 2.0.3\n    optionalDependencies:\n      source-map: 0.6.1\n\n  esprima@4.0.1: {}\n\n  estraverse@5.3.0: {}\n\n  esutils@2.0.3: {}\n\n  events@3.3.0: {}\n\n  evp_bytestokey@1.0.3:\n    dependencies:\n      md5.js: 1.3.5\n      safe-buffer: 5.2.1\n\n  exec-sh@0.3.6: {}\n\n  execa@0.8.0:\n    dependencies:\n      cross-spawn: 5.1.0\n      get-stream: 3.0.0\n      is-stream: 1.1.0\n      npm-run-path: 2.0.2\n      p-finally: 1.0.0\n      signal-exit: 3.0.7\n      strip-eof: 1.0.0\n\n  execa@1.0.0:\n    dependencies:\n      cross-spawn: 6.0.6\n      get-stream: 4.1.0\n      is-stream: 1.1.0\n      npm-run-path: 2.0.2\n      p-finally: 1.0.0\n      signal-exit: 3.0.7\n      strip-eof: 1.0.0\n\n  execa@4.1.0:\n    dependencies:\n      cross-spawn: 7.0.6\n      get-stream: 5.2.0\n      human-signals: 1.1.1\n      is-stream: 2.0.1\n      merge-stream: 2.0.0\n      npm-run-path: 4.0.1\n      onetime: 5.1.2\n      signal-exit: 3.0.7\n      strip-final-newline: 2.0.0\n\n  exenv@1.2.2: {}\n\n  exit@0.1.2: {}\n\n  expand-brackets@2.1.4:\n    dependencies:\n      debug: 2.6.9\n      define-property: 0.2.5\n      extend-shallow: 2.0.1\n      posix-character-classes: 0.1.1\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  expect@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      ansi-styles: 4.3.0\n      jest-get-type: 26.3.0\n      jest-matcher-utils: 26.6.2\n      jest-message-util: 26.6.2\n      jest-regex-util: 26.0.0\n\n  extend-shallow@2.0.1:\n    dependencies:\n      is-extendable: 0.1.1\n\n  extend-shallow@3.0.2:\n    dependencies:\n      assign-symbols: 1.0.0\n      is-extendable: 1.0.1\n\n  extglob@2.0.4:\n    dependencies:\n      array-unique: 0.3.2\n      define-property: 1.0.0\n      expand-brackets: 2.1.4\n      extend-shallow: 2.0.1\n      fragment-cache: 0.2.1\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  fast-deep-equal@3.1.1: {}\n\n  fast-deep-equal@3.1.3: {}\n\n  fast-json-stable-stringify@2.1.0: {}\n\n  fb-watchman@2.0.2:\n    dependencies:\n      bser: 2.1.1\n\n  fbjs@0.8.18:\n    dependencies:\n      core-js: 1.2.7\n      isomorphic-fetch: 2.2.1\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      promise: 7.3.1\n      setimmediate: 1.0.5\n      ua-parser-js: 0.7.39\n\n  fill-range@4.0.0:\n    dependencies:\n      extend-shallow: 2.0.1\n      is-number: 3.0.0\n      repeat-string: 1.6.1\n      to-regex-range: 2.1.1\n\n  fill-range@7.1.1:\n    dependencies:\n      to-regex-range: 5.0.1\n\n  filter-obj@1.1.0: {}\n\n  find-up@4.1.0:\n    dependencies:\n      locate-path: 5.0.0\n      path-exists: 4.0.0\n\n  flatten@1.0.3: {}\n\n  for-in@1.0.2: {}\n\n  form-data@3.0.2:\n    dependencies:\n      asynckit: 0.4.0\n      combined-stream: 1.0.8\n      mime-types: 2.1.35\n\n  fragment-cache@0.2.1:\n    dependencies:\n      map-cache: 0.2.2\n\n  fs.realpath@1.0.0: {}\n\n  fsevents@2.3.3:\n    optional: true\n\n  function-bind@1.1.2: {}\n\n  gensync@1.0.0-beta.2: {}\n\n  get-caller-file@2.0.5: {}\n\n  get-intrinsic@1.2.6:\n    dependencies:\n      call-bind-apply-helpers: 1.0.1\n      dunder-proto: 1.0.0\n      es-define-property: 1.0.1\n      es-errors: 1.3.0\n      es-object-atoms: 1.0.0\n      function-bind: 1.1.2\n      gopd: 1.2.0\n      has-symbols: 1.1.0\n      hasown: 2.0.2\n      math-intrinsics: 1.0.0\n\n  get-own-enumerable-property-symbols@3.0.2: {}\n\n  get-package-type@0.1.0: {}\n\n  get-stream@3.0.0: {}\n\n  get-stream@4.1.0:\n    dependencies:\n      pump: 3.0.2\n\n  get-stream@5.2.0:\n    dependencies:\n      pump: 3.0.2\n\n  get-value@2.0.6: {}\n\n  glob-parent@5.1.2:\n    dependencies:\n      is-glob: 4.0.3\n\n  glob@7.2.3:\n    dependencies:\n      fs.realpath: 1.0.0\n      inflight: 1.0.6\n      inherits: 2.0.4\n      minimatch: 3.1.2\n      once: 1.4.0\n      path-is-absolute: 1.0.1\n\n  global@4.4.0:\n    dependencies:\n      min-document: 2.19.0\n      process: 0.11.10\n\n  globals@11.12.0: {}\n\n  gopd@1.2.0: {}\n\n  graceful-fs@4.2.11: {}\n\n  growly@1.3.0:\n    optional: true\n\n  harmony-reflect@1.6.2: {}\n\n  has-flag@3.0.0: {}\n\n  has-flag@4.0.0: {}\n\n  has-property-descriptors@1.0.2:\n    dependencies:\n      es-define-property: 1.0.1\n\n  has-symbols@1.1.0: {}\n\n  has-value@0.3.1:\n    dependencies:\n      get-value: 2.0.6\n      has-values: 0.1.4\n      isobject: 2.1.0\n\n  has-value@1.0.0:\n    dependencies:\n      get-value: 2.0.6\n      has-values: 1.0.0\n      isobject: 3.0.1\n\n  has-values@0.1.4: {}\n\n  has-values@1.0.0:\n    dependencies:\n      is-number: 3.0.0\n      kind-of: 4.0.0\n\n  hash-base@3.0.5:\n    dependencies:\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  hash.js@1.1.7:\n    dependencies:\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n\n  hasown@2.0.2:\n    dependencies:\n      function-bind: 1.1.2\n\n  history-with-query@4.10.4:\n    dependencies:\n      '@babel/runtime': 7.26.0\n      loose-envify: 1.4.0\n      query-string: 6.14.1\n      resolve-pathname: 3.0.0\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n      value-equal: 1.0.1\n\n  history@4.10.1:\n    dependencies:\n      '@babel/runtime': 7.26.0\n      loose-envify: 1.4.0\n      resolve-pathname: 3.0.0\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n      value-equal: 1.0.1\n\n  history@5.3.0:\n    dependencies:\n      '@babel/runtime': 7.26.0\n\n  hmac-drbg@1.0.1:\n    dependencies:\n      hash.js: 1.1.7\n      minimalistic-assert: 1.0.1\n      minimalistic-crypto-utils: 1.0.1\n\n  hoist-non-react-statics@3.3.2:\n    dependencies:\n      react-is: 16.13.1\n\n  hosted-git-info@2.8.9: {}\n\n  html-encoding-sniffer@2.0.1:\n    dependencies:\n      whatwg-encoding: 1.0.5\n\n  html-entities@2.5.2: {}\n\n  html-escaper@2.0.2: {}\n\n  http-proxy-agent@4.0.1:\n    dependencies:\n      '@tootallnate/once': 1.1.2\n      agent-base: 6.0.2\n      debug: 4.4.0\n    transitivePeerDependencies:\n      - supports-color\n\n  https-browserify@1.0.0: {}\n\n  https-proxy-agent@5.0.1:\n    dependencies:\n      agent-base: 6.0.2\n      debug: 4.4.0\n    transitivePeerDependencies:\n      - supports-color\n\n  human-signals@1.1.1: {}\n\n  iconv-lite@0.4.24:\n    dependencies:\n      safer-buffer: 2.1.2\n\n  iconv-lite@0.6.3:\n    dependencies:\n      safer-buffer: 2.1.2\n\n  identity-obj-proxy@3.0.0:\n    dependencies:\n      harmony-reflect: 1.6.2\n\n  ieee754@1.2.1: {}\n\n  immer@7.0.15: {}\n\n  immutable@3.8.2: {}\n\n  import-cwd@2.1.0:\n    dependencies:\n      import-from: 2.1.0\n\n  import-fresh@2.0.0:\n    dependencies:\n      caller-path: 2.0.0\n      resolve-from: 3.0.0\n\n  import-fresh@3.3.0:\n    dependencies:\n      parent-module: 1.0.1\n      resolve-from: 4.0.0\n\n  import-from@2.1.0:\n    dependencies:\n      resolve-from: 3.0.0\n\n  import-local@3.2.0:\n    dependencies:\n      pkg-dir: 4.2.0\n      resolve-cwd: 3.0.0\n\n  imurmurhash@0.1.4: {}\n\n  indent-string@4.0.0: {}\n\n  indexes-of@1.0.1: {}\n\n  inflight@1.0.6:\n    dependencies:\n      once: 1.4.0\n      wrappy: 1.0.2\n\n  inherits@2.0.3: {}\n\n  inherits@2.0.4: {}\n\n  intl-format-cache@4.3.1: {}\n\n  intl-messageformat-parser@3.6.4:\n    dependencies:\n      '@formatjs/intl-unified-numberformat': 3.3.7\n\n  intl-messageformat@7.8.4:\n    dependencies:\n      intl-format-cache: 4.3.1\n      intl-messageformat-parser: 3.6.4\n\n  intl@1.2.5: {}\n\n  invariant@2.2.4:\n    dependencies:\n      loose-envify: 1.4.0\n\n  is-accessor-descriptor@1.0.1:\n    dependencies:\n      hasown: 2.0.2\n\n  is-arrayish@0.2.1: {}\n\n  is-binary-path@2.1.0:\n    dependencies:\n      binary-extensions: 2.3.0\n\n  is-buffer@1.1.6: {}\n\n  is-ci@1.2.1:\n    dependencies:\n      ci-info: 1.6.0\n\n  is-ci@2.0.0:\n    dependencies:\n      ci-info: 2.0.0\n\n  is-core-module@2.15.1:\n    dependencies:\n      hasown: 2.0.2\n\n  is-data-descriptor@1.0.1:\n    dependencies:\n      hasown: 2.0.2\n\n  is-descriptor@0.1.7:\n    dependencies:\n      is-accessor-descriptor: 1.0.1\n      is-data-descriptor: 1.0.1\n\n  is-descriptor@1.0.3:\n    dependencies:\n      is-accessor-descriptor: 1.0.1\n      is-data-descriptor: 1.0.1\n\n  is-directory@0.3.1: {}\n\n  is-docker@2.2.1: {}\n\n  is-extendable@0.1.1: {}\n\n  is-extendable@1.0.1:\n    dependencies:\n      is-plain-object: 2.0.4\n\n  is-extglob@2.1.1: {}\n\n  is-fullwidth-code-point@3.0.0: {}\n\n  is-generator-fn@2.1.0: {}\n\n  is-glob@4.0.3:\n    dependencies:\n      is-extglob: 2.1.1\n\n  is-number@3.0.0:\n    dependencies:\n      kind-of: 3.2.2\n\n  is-number@7.0.0: {}\n\n  is-obj@1.0.1: {}\n\n  is-plain-obj@1.1.0: {}\n\n  is-plain-object@2.0.4:\n    dependencies:\n      isobject: 3.0.1\n\n  is-potential-custom-element-name@1.0.1: {}\n\n  is-regexp@1.0.0: {}\n\n  is-stream@1.1.0: {}\n\n  is-stream@2.0.1: {}\n\n  is-typedarray@1.0.0: {}\n\n  is-unicode-supported@0.1.0: {}\n\n  is-windows@1.0.2: {}\n\n  is-wsl@2.2.0:\n    dependencies:\n      is-docker: 2.2.1\n\n  isarray@0.0.1: {}\n\n  isarray@1.0.0: {}\n\n  isexe@2.0.0: {}\n\n  isobject@2.1.0:\n    dependencies:\n      isarray: 1.0.0\n\n  isobject@3.0.1: {}\n\n  isomorphic-fetch@2.2.1:\n    dependencies:\n      node-fetch: 1.7.3\n      whatwg-fetch: 3.6.20\n\n  istanbul-lib-coverage@3.2.2: {}\n\n  istanbul-lib-instrument@4.0.3:\n    dependencies:\n      '@babel/core': 7.18.6\n      '@istanbuljs/schema': 0.1.3\n      istanbul-lib-coverage: 3.2.2\n      semver: 6.3.1\n    transitivePeerDependencies:\n      - supports-color\n\n  istanbul-lib-instrument@5.2.1:\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/parser': 7.26.3\n      '@istanbuljs/schema': 0.1.3\n      istanbul-lib-coverage: 3.2.2\n      semver: 6.3.1\n    transitivePeerDependencies:\n      - supports-color\n\n  istanbul-lib-report@3.0.1:\n    dependencies:\n      istanbul-lib-coverage: 3.2.2\n      make-dir: 4.0.0\n      supports-color: 7.2.0\n\n  istanbul-lib-source-maps@4.0.1:\n    dependencies:\n      debug: 4.4.0\n      istanbul-lib-coverage: 3.2.2\n      source-map: 0.6.1\n    transitivePeerDependencies:\n      - supports-color\n\n  istanbul-reports@3.1.7:\n    dependencies:\n      html-escaper: 2.0.2\n      istanbul-lib-report: 3.0.1\n\n  javascript-stringify@2.1.0: {}\n\n  jest-changed-files@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      execa: 4.1.0\n      throat: 5.0.0\n\n  jest-cli@26.6.3:\n    dependencies:\n      '@jest/core': 26.6.3\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      exit: 0.1.2\n      graceful-fs: 4.2.11\n      import-local: 3.2.0\n      is-ci: 2.0.0\n      jest-config: 26.6.3\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      prompts: 2.4.2\n      yargs: 15.4.1\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-config@26.6.3:\n    dependencies:\n      '@babel/core': 7.18.6\n      '@jest/test-sequencer': 26.6.3\n      '@jest/types': 26.6.2\n      babel-jest: 26.6.3(@babel/core@7.18.6)\n      chalk: 4.1.2\n      deepmerge: 4.3.1\n      glob: 7.2.3\n      graceful-fs: 4.2.11\n      jest-environment-jsdom: 26.6.2\n      jest-environment-node: 26.6.2\n      jest-get-type: 26.3.0\n      jest-jasmine2: 26.6.3\n      jest-regex-util: 26.0.0\n      jest-resolve: 26.6.2\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      micromatch: 4.0.8\n      pretty-format: 26.6.2\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - utf-8-validate\n\n  jest-diff@26.6.2:\n    dependencies:\n      chalk: 4.1.2\n      diff-sequences: 26.6.2\n      jest-get-type: 26.3.0\n      pretty-format: 26.6.2\n\n  jest-docblock@26.0.0:\n    dependencies:\n      detect-newline: 3.1.0\n\n  jest-each@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      jest-get-type: 26.3.0\n      jest-util: 26.6.2\n      pretty-format: 26.6.2\n\n  jest-environment-jsdom@26.6.2:\n    dependencies:\n      '@jest/environment': 26.6.2\n      '@jest/fake-timers': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      jest-mock: 26.6.2\n      jest-util: 26.6.2\n      jsdom: 16.7.0\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - utf-8-validate\n\n  jest-environment-node@26.6.2:\n    dependencies:\n      '@jest/environment': 26.6.2\n      '@jest/fake-timers': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      jest-mock: 26.6.2\n      jest-util: 26.6.2\n\n  jest-get-type@26.3.0: {}\n\n  jest-haste-map@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/graceful-fs': 4.1.9\n      '@types/node': 22.10.2\n      anymatch: 3.1.3\n      fb-watchman: 2.0.2\n      graceful-fs: 4.2.11\n      jest-regex-util: 26.0.0\n      jest-serializer: 26.6.2\n      jest-util: 26.6.2\n      jest-worker: 26.6.2\n      micromatch: 4.0.8\n      sane: 4.1.0\n      walker: 1.0.8\n    optionalDependencies:\n      fsevents: 2.3.3\n    transitivePeerDependencies:\n      - supports-color\n\n  jest-jasmine2@26.6.3:\n    dependencies:\n      '@babel/traverse': 7.26.4\n      '@jest/environment': 26.6.2\n      '@jest/source-map': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      co: 4.6.0\n      expect: 26.6.2\n      is-generator-fn: 2.1.0\n      jest-each: 26.6.2\n      jest-matcher-utils: 26.6.2\n      jest-message-util: 26.6.2\n      jest-runtime: 26.6.3\n      jest-snapshot: 26.6.2\n      jest-util: 26.6.2\n      pretty-format: 26.6.2\n      throat: 5.0.0\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-leak-detector@26.6.2:\n    dependencies:\n      jest-get-type: 26.3.0\n      pretty-format: 26.6.2\n\n  jest-matcher-utils@26.6.2:\n    dependencies:\n      chalk: 4.1.2\n      jest-diff: 26.6.2\n      jest-get-type: 26.3.0\n      pretty-format: 26.6.2\n\n  jest-message-util@26.6.2:\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      '@jest/types': 26.6.2\n      '@types/stack-utils': 2.0.3\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      micromatch: 4.0.8\n      pretty-format: 26.6.2\n      slash: 3.0.0\n      stack-utils: 2.0.6\n\n  jest-mock@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n\n  jest-pnp-resolver@1.2.3(jest-resolve@26.6.2):\n    optionalDependencies:\n      jest-resolve: 26.6.2\n\n  jest-regex-util@26.0.0: {}\n\n  jest-resolve-dependencies@26.6.3:\n    dependencies:\n      '@jest/types': 26.6.2\n      jest-regex-util: 26.0.0\n      jest-snapshot: 26.6.2\n    transitivePeerDependencies:\n      - supports-color\n\n  jest-resolve@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      jest-pnp-resolver: 1.2.3(jest-resolve@26.6.2)\n      jest-util: 26.6.2\n      read-pkg-up: 7.0.1\n      resolve: 1.22.8\n      slash: 3.0.0\n\n  jest-runner@26.6.3:\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/environment': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      emittery: 0.7.2\n      exit: 0.1.2\n      graceful-fs: 4.2.11\n      jest-config: 26.6.3\n      jest-docblock: 26.0.0\n      jest-haste-map: 26.6.2\n      jest-leak-detector: 26.6.2\n      jest-message-util: 26.6.2\n      jest-resolve: 26.6.2\n      jest-runtime: 26.6.3\n      jest-util: 26.6.2\n      jest-worker: 26.6.2\n      source-map-support: 0.5.21\n      throat: 5.0.0\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-runtime@26.6.3:\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/environment': 26.6.2\n      '@jest/fake-timers': 26.6.2\n      '@jest/globals': 26.6.2\n      '@jest/source-map': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/yargs': 15.0.19\n      chalk: 4.1.2\n      cjs-module-lexer: 0.6.0\n      collect-v8-coverage: 1.0.2\n      exit: 0.1.2\n      glob: 7.2.3\n      graceful-fs: 4.2.11\n      jest-config: 26.6.3\n      jest-haste-map: 26.6.2\n      jest-message-util: 26.6.2\n      jest-mock: 26.6.2\n      jest-regex-util: 26.0.0\n      jest-resolve: 26.6.2\n      jest-snapshot: 26.6.2\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      slash: 3.0.0\n      strip-bom: 4.0.0\n      yargs: 15.4.1\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-serializer@26.6.2:\n    dependencies:\n      '@types/node': 22.10.2\n      graceful-fs: 4.2.11\n\n  jest-snapshot@26.6.2:\n    dependencies:\n      '@babel/types': 7.26.3\n      '@jest/types': 26.6.2\n      '@types/babel__traverse': 7.20.6\n      '@types/prettier': 2.7.3\n      chalk: 4.1.2\n      expect: 26.6.2\n      graceful-fs: 4.2.11\n      jest-diff: 26.6.2\n      jest-get-type: 26.3.0\n      jest-haste-map: 26.6.2\n      jest-matcher-utils: 26.6.2\n      jest-message-util: 26.6.2\n      jest-resolve: 26.6.2\n      natural-compare: 1.4.0\n      pretty-format: 26.6.2\n      semver: 7.6.3\n    transitivePeerDependencies:\n      - supports-color\n\n  jest-util@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      is-ci: 2.0.0\n      micromatch: 4.0.8\n\n  jest-validate@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      camelcase: 6.3.0\n      chalk: 4.1.2\n      jest-get-type: 26.3.0\n      leven: 3.1.0\n      pretty-format: 26.6.2\n\n  jest-watcher@26.6.2:\n    dependencies:\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      ansi-escapes: 4.3.2\n      chalk: 4.1.2\n      jest-util: 26.6.2\n      string-length: 4.0.2\n\n  jest-worker@24.9.0:\n    dependencies:\n      merge-stream: 2.0.0\n      supports-color: 6.1.0\n\n  jest-worker@26.6.2:\n    dependencies:\n      '@types/node': 22.10.2\n      merge-stream: 2.0.0\n      supports-color: 7.2.0\n\n  jest@26.6.3:\n    dependencies:\n      '@jest/core': 26.6.3\n      import-local: 3.2.0\n      jest-cli: 26.6.3\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  js-tokens@4.0.0: {}\n\n  js-yaml@3.14.1:\n    dependencies:\n      argparse: 1.0.10\n      esprima: 4.0.1\n\n  jsdom@16.7.0:\n    dependencies:\n      abab: 2.0.6\n      acorn: 8.14.0\n      acorn-globals: 6.0.0\n      cssom: 0.4.4\n      cssstyle: 2.3.0\n      data-urls: 2.0.0\n      decimal.js: 10.4.3\n      domexception: 2.0.1\n      escodegen: 2.1.0\n      form-data: 3.0.2\n      html-encoding-sniffer: 2.0.1\n      http-proxy-agent: 4.0.1\n      https-proxy-agent: 5.0.1\n      is-potential-custom-element-name: 1.0.1\n      nwsapi: 2.2.16\n      parse5: 6.0.1\n      saxes: 5.0.1\n      symbol-tree: 3.2.4\n      tough-cookie: 4.1.4\n      w3c-hr-time: 1.0.2\n      w3c-xmlserializer: 2.0.0\n      webidl-conversions: 6.1.0\n      whatwg-encoding: 1.0.5\n      whatwg-mimetype: 2.3.0\n      whatwg-url: 8.7.0\n      ws: 7.5.10\n      xml-name-validator: 3.0.0\n    transitivePeerDependencies:\n      - bufferutil\n      - supports-color\n      - utf-8-validate\n\n  jsesc@3.1.0: {}\n\n  json-parse-better-errors@1.0.2: {}\n\n  json-parse-even-better-errors@2.3.1: {}\n\n  json-schema-traverse@0.4.1: {}\n\n  json2mq@0.2.0:\n    dependencies:\n      string-convert: 0.2.1\n\n  json5@1.0.2:\n    dependencies:\n      minimist: 1.2.8\n\n  json5@2.2.3: {}\n\n  kind-of@3.2.2:\n    dependencies:\n      is-buffer: 1.1.6\n\n  kind-of@4.0.0:\n    dependencies:\n      is-buffer: 1.1.6\n\n  kind-of@6.0.3: {}\n\n  kleur@3.0.3: {}\n\n  leven@3.1.0: {}\n\n  lines-and-columns@1.2.4: {}\n\n  lint-staged@10.5.4:\n    dependencies:\n      chalk: 4.1.2\n      cli-truncate: 2.1.0\n      commander: 6.2.1\n      cosmiconfig: 7.1.0\n      debug: 4.4.0\n      dedent: 0.7.0\n      enquirer: 2.4.1\n      execa: 4.1.0\n      listr2: 3.14.0(enquirer@2.4.1)\n      log-symbols: 4.1.0\n      micromatch: 4.0.8\n      normalize-path: 3.0.0\n      please-upgrade-node: 3.2.0\n      string-argv: 0.3.1\n      stringify-object: 3.3.0\n    transitivePeerDependencies:\n      - supports-color\n\n  listr2@3.14.0(enquirer@2.4.1):\n    dependencies:\n      cli-truncate: 2.1.0\n      colorette: 2.0.20\n      log-update: 4.0.0\n      p-map: 4.0.0\n      rfdc: 1.4.1\n      rxjs: 7.8.1\n      through: 2.3.8\n      wrap-ansi: 7.0.0\n    optionalDependencies:\n      enquirer: 2.4.1\n\n  loader-utils@1.4.2:\n    dependencies:\n      big.js: 5.2.2\n      emojis-list: 3.0.0\n      json5: 1.0.2\n\n  locate-path@5.0.0:\n    dependencies:\n      p-locate: 4.1.0\n\n  lodash.debounce@4.0.8: {}\n\n  lodash.isequal@4.5.0: {}\n\n  lodash.merge@4.6.2: {}\n\n  lodash.throttle@4.1.1: {}\n\n  lodash@4.17.21: {}\n\n  log-symbols@4.1.0:\n    dependencies:\n      chalk: 4.1.2\n      is-unicode-supported: 0.1.0\n\n  log-update@4.0.0:\n    dependencies:\n      ansi-escapes: 4.3.2\n      cli-cursor: 3.1.0\n      slice-ansi: 4.0.0\n      wrap-ansi: 6.2.0\n\n  loose-envify@1.4.0:\n    dependencies:\n      js-tokens: 4.0.0\n\n  lru-cache@4.1.5:\n    dependencies:\n      pseudomap: 1.0.2\n      yallist: 2.1.2\n\n  lru-cache@5.1.1:\n    dependencies:\n      yallist: 3.1.1\n\n  make-dir@4.0.0:\n    dependencies:\n      semver: 7.6.3\n\n  makeerror@1.0.12:\n    dependencies:\n      tmpl: 1.0.5\n\n  map-cache@0.2.2: {}\n\n  map-visit@1.0.0:\n    dependencies:\n      object-visit: 1.0.1\n\n  math-intrinsics@1.0.0: {}\n\n  md5.js@1.3.5:\n    dependencies:\n      hash-base: 3.0.5\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  memoize-one@5.2.1: {}\n\n  merge-stream@2.0.0: {}\n\n  micromatch@3.1.10:\n    dependencies:\n      arr-diff: 4.0.0\n      array-unique: 0.3.2\n      braces: 2.3.2\n      define-property: 2.0.2\n      extend-shallow: 3.0.2\n      extglob: 2.0.4\n      fragment-cache: 0.2.1\n      kind-of: 6.0.3\n      nanomatch: 1.2.13\n      object.pick: 1.3.0\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  micromatch@4.0.8:\n    dependencies:\n      braces: 3.0.3\n      picomatch: 2.3.1\n\n  miller-rabin@4.0.1:\n    dependencies:\n      bn.js: 4.12.1\n      brorand: 1.1.0\n\n  mime-db@1.52.0: {}\n\n  mime-types@2.1.35:\n    dependencies:\n      mime-db: 1.52.0\n\n  mime@1.4.1: {}\n\n  mimic-fn@2.1.0: {}\n\n  min-document@2.19.0:\n    dependencies:\n      dom-walk: 0.1.2\n\n  mini-create-react-context@0.4.1(prop-types@15.8.1)(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      prop-types: 15.8.1\n      react: 16.14.0\n      tiny-warning: 1.0.3\n\n  mini-create-react-context@0.4.1(prop-types@15.8.1)(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      tiny-warning: 1.0.3\n\n  minimalistic-assert@1.0.1: {}\n\n  minimalistic-crypto-utils@1.0.1: {}\n\n  minimatch@3.1.2:\n    dependencies:\n      brace-expansion: 1.1.11\n\n  minimist@1.2.8: {}\n\n  mixin-deep@1.3.2:\n    dependencies:\n      for-in: 1.0.2\n      is-extendable: 1.0.1\n\n  moment@2.30.1: {}\n\n  ms@2.0.0: {}\n\n  ms@2.1.3: {}\n\n  nanomatch@1.2.13:\n    dependencies:\n      arr-diff: 4.0.0\n      array-unique: 0.3.2\n      define-property: 2.0.2\n      extend-shallow: 3.0.2\n      fragment-cache: 0.2.1\n      is-windows: 1.0.2\n      kind-of: 6.0.3\n      object.pick: 1.3.0\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  natural-compare@1.4.0: {}\n\n  nice-try@1.0.5: {}\n\n  node-fetch@1.7.3:\n    dependencies:\n      encoding: 0.1.13\n      is-stream: 1.1.0\n\n  node-int64@0.4.0: {}\n\n  node-libs-browser@2.2.1:\n    dependencies:\n      assert: 1.5.1\n      browserify-zlib: 0.2.0\n      buffer: 4.9.2\n      console-browserify: 1.2.0\n      constants-browserify: 1.0.0\n      crypto-browserify: 3.12.1\n      domain-browser: 1.2.0\n      events: 3.3.0\n      https-browserify: 1.0.0\n      os-browserify: 0.3.0\n      path-browserify: 0.0.1\n      process: 0.11.10\n      punycode: 1.4.1\n      querystring-es3: 0.2.1\n      readable-stream: 2.3.8\n      stream-browserify: 2.0.2\n      stream-http: 2.8.3\n      string_decoder: 1.3.0\n      timers-browserify: 2.0.12\n      tty-browserify: 0.0.0\n      url: 0.11.4\n      util: 0.11.1\n      vm-browserify: 1.1.2\n\n  node-notifier@8.0.2:\n    dependencies:\n      growly: 1.3.0\n      is-wsl: 2.2.0\n      semver: 7.6.3\n      shellwords: 0.1.1\n      uuid: 8.3.2\n      which: 2.0.2\n    optional: true\n\n  node-releases@2.0.19: {}\n\n  normalize-package-data@2.5.0:\n    dependencies:\n      hosted-git-info: 2.8.9\n      resolve: 1.22.8\n      semver: 5.7.2\n      validate-npm-package-license: 3.0.4\n\n  normalize-path@1.0.0: {}\n\n  normalize-path@2.1.1:\n    dependencies:\n      remove-trailing-separator: 1.1.0\n\n  normalize-path@3.0.0: {}\n\n  normalize-range@0.1.2: {}\n\n  normalize-url@1.9.1:\n    dependencies:\n      object-assign: 4.1.1\n      prepend-http: 1.0.4\n      query-string: 4.3.4\n      sort-keys: 1.1.2\n\n  normalize.css@7.0.0: {}\n\n  npm-run-path@2.0.2:\n    dependencies:\n      path-key: 2.0.1\n\n  npm-run-path@4.0.1:\n    dependencies:\n      path-key: 3.1.1\n\n  num2fraction@1.2.2: {}\n\n  nwsapi@2.2.16: {}\n\n  object-assign@4.1.1: {}\n\n  object-copy@0.1.0:\n    dependencies:\n      copy-descriptor: 0.1.1\n      define-property: 0.2.5\n      kind-of: 3.2.2\n\n  object-inspect@1.13.3: {}\n\n  object-keys@1.1.1: {}\n\n  object-visit@1.0.1:\n    dependencies:\n      isobject: 3.0.1\n\n  object.assign@4.1.5:\n    dependencies:\n      call-bind: 1.0.8\n      define-properties: 1.2.1\n      has-symbols: 1.1.0\n      object-keys: 1.1.1\n\n  object.pick@1.3.0:\n    dependencies:\n      isobject: 3.0.1\n\n  omit.js@2.0.2: {}\n\n  once@1.4.0:\n    dependencies:\n      wrappy: 1.0.2\n\n  onetime@5.1.2:\n    dependencies:\n      mimic-fn: 2.1.0\n\n  os-browserify@0.3.0: {}\n\n  p-each-series@2.2.0: {}\n\n  p-finally@1.0.0: {}\n\n  p-limit@2.3.0:\n    dependencies:\n      p-try: 2.2.0\n\n  p-locate@4.1.0:\n    dependencies:\n      p-limit: 2.3.0\n\n  p-map@4.0.0:\n    dependencies:\n      aggregate-error: 3.1.0\n\n  p-try@2.2.0: {}\n\n  pako@1.0.11: {}\n\n  parent-module@1.0.1:\n    dependencies:\n      callsites: 3.1.0\n\n  parse-asn1@5.1.7:\n    dependencies:\n      asn1.js: 4.10.1\n      browserify-aes: 1.2.0\n      evp_bytestokey: 1.0.3\n      hash-base: 3.0.5\n      pbkdf2: 3.1.2\n      safe-buffer: 5.2.1\n\n  parse-json@4.0.0:\n    dependencies:\n      error-ex: 1.3.2\n      json-parse-better-errors: 1.0.2\n\n  parse-json@5.2.0:\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      error-ex: 1.3.2\n      json-parse-even-better-errors: 2.3.1\n      lines-and-columns: 1.2.4\n\n  parse5@6.0.1: {}\n\n  pascalcase@0.1.1: {}\n\n  path-browserify@0.0.1: {}\n\n  path-exists@4.0.0: {}\n\n  path-is-absolute@1.0.1: {}\n\n  path-key@2.0.1: {}\n\n  path-key@3.1.1: {}\n\n  path-parse@1.0.7: {}\n\n  path-to-regexp@1.9.0:\n    dependencies:\n      isarray: 0.0.1\n\n  path-to-regexp@2.4.0: {}\n\n  path-type@4.0.0: {}\n\n  pbkdf2@3.1.2:\n    dependencies:\n      create-hash: 1.2.0\n      create-hmac: 1.1.7\n      ripemd160: 2.0.2\n      safe-buffer: 5.2.1\n      sha.js: 2.4.11\n\n  performance-now@2.1.0: {}\n\n  picocolors@0.2.1: {}\n\n  picocolors@1.1.1: {}\n\n  picomatch@2.3.1: {}\n\n  pirates@4.0.6: {}\n\n  pkg-dir@4.2.0:\n    dependencies:\n      find-up: 4.1.0\n\n  please-upgrade-node@3.2.0:\n    dependencies:\n      semver-compare: 1.0.0\n\n  posix-character-classes@0.1.1: {}\n\n  postcss-attribute-case-insensitive@4.0.2:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 6.1.2\n\n  postcss-color-functional-notation@2.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-gray@5.0.0:\n    dependencies:\n      '@csstools/convert-colors': 1.4.0\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-hex-alpha@5.0.3:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-mod-function@3.0.3:\n    dependencies:\n      '@csstools/convert-colors': 1.4.0\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-rebeccapurple@4.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-custom-media@7.0.8:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-custom-properties@8.0.11:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-custom-selectors@5.1.2:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  postcss-dir-pseudo-class@5.0.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  postcss-double-position-gradients@1.0.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-env-function@2.0.2:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-flexbugs-fixes@4.2.1:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-focus-visible@4.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-focus-within@3.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-font-variant@4.0.1:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-gap-properties@2.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-image-set-function@3.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-initial@3.0.4:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-lab-function@2.0.1:\n    dependencies:\n      '@csstools/convert-colors': 1.4.0\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-load-config@2.1.2:\n    dependencies:\n      cosmiconfig: 5.2.1\n      import-cwd: 2.1.0\n\n  postcss-loader@3.0.0:\n    dependencies:\n      loader-utils: 1.4.2\n      postcss: 7.0.32\n      postcss-load-config: 2.1.2\n      schema-utils: 1.0.0\n\n  postcss-logical@3.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-media-minmax@4.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-nesting@7.0.1:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-overflow-shorthand@2.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-page-break@2.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-place@4.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-preset-env@6.7.0:\n    dependencies:\n      autoprefixer: 9.8.8\n      browserslist: 4.24.2\n      caniuse-lite: 1.0.30001688\n      css-blank-pseudo: 0.1.4\n      css-has-pseudo: 0.10.0\n      css-prefers-color-scheme: 3.1.1\n      cssdb: 4.4.0\n      postcss: 7.0.32\n      postcss-attribute-case-insensitive: 4.0.2\n      postcss-color-functional-notation: 2.0.1\n      postcss-color-gray: 5.0.0\n      postcss-color-hex-alpha: 5.0.3\n      postcss-color-mod-function: 3.0.3\n      postcss-color-rebeccapurple: 4.0.1\n      postcss-custom-media: 7.0.8\n      postcss-custom-properties: 8.0.11\n      postcss-custom-selectors: 5.1.2\n      postcss-dir-pseudo-class: 5.0.0\n      postcss-double-position-gradients: 1.0.0\n      postcss-env-function: 2.0.2\n      postcss-focus-visible: 4.0.0\n      postcss-focus-within: 3.0.0\n      postcss-font-variant: 4.0.1\n      postcss-gap-properties: 2.0.0\n      postcss-image-set-function: 3.0.1\n      postcss-initial: 3.0.4\n      postcss-lab-function: 2.0.1\n      postcss-logical: 3.0.0\n      postcss-media-minmax: 4.0.0\n      postcss-nesting: 7.0.1\n      postcss-overflow-shorthand: 2.0.0\n      postcss-page-break: 2.0.0\n      postcss-place: 4.0.1\n      postcss-pseudo-class-any-link: 6.0.0\n      postcss-replace-overflow-wrap: 3.0.0\n      postcss-selector-matches: 4.0.0\n      postcss-selector-not: 4.0.1\n\n  postcss-pseudo-class-any-link@6.0.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  postcss-replace-overflow-wrap@3.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-safe-parser@4.0.2:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-selector-matches@4.0.0:\n    dependencies:\n      balanced-match: 1.0.2\n      postcss: 7.0.32\n\n  postcss-selector-not@4.0.1:\n    dependencies:\n      balanced-match: 1.0.2\n      postcss: 7.0.32\n\n  postcss-selector-parser@5.0.0:\n    dependencies:\n      cssesc: 2.0.0\n      indexes-of: 1.0.1\n      uniq: 1.0.1\n\n  postcss-selector-parser@6.1.2:\n    dependencies:\n      cssesc: 3.0.0\n      util-deprecate: 1.0.2\n\n  postcss-value-parser@4.2.0: {}\n\n  postcss-values-parser@2.0.1:\n    dependencies:\n      flatten: 1.0.3\n      indexes-of: 1.0.1\n      uniq: 1.0.1\n\n  postcss@7.0.32:\n    dependencies:\n      chalk: 2.4.2\n      source-map: 0.6.1\n      supports-color: 6.1.0\n\n  prepend-http@1.0.4: {}\n\n  prettier@2.2.1: {}\n\n  prettier@2.8.8: {}\n\n  pretty-format@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      ansi-regex: 5.0.1\n      ansi-styles: 4.3.0\n      react-is: 17.0.2\n\n  process-nextick-args@2.0.1: {}\n\n  process@0.11.10: {}\n\n  promise@7.3.1:\n    dependencies:\n      asap: 2.0.6\n\n  prompts@2.4.2:\n    dependencies:\n      kleur: 3.0.3\n      sisteransi: 1.0.5\n\n  prop-types@15.8.1:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      react-is: 16.13.1\n\n  pseudomap@1.0.2: {}\n\n  psl@1.15.0:\n    dependencies:\n      punycode: 2.3.1\n\n  public-encrypt@4.0.3:\n    dependencies:\n      bn.js: 4.12.1\n      browserify-rsa: 4.1.1\n      create-hash: 1.2.0\n      parse-asn1: 5.1.7\n      randombytes: 2.1.0\n      safe-buffer: 5.2.1\n\n  pump@3.0.2:\n    dependencies:\n      end-of-stream: 1.4.4\n      once: 1.4.0\n\n  punycode@1.4.1: {}\n\n  punycode@2.3.1: {}\n\n  qs@6.13.1:\n    dependencies:\n      side-channel: 1.1.0\n\n  query-string@4.3.4:\n    dependencies:\n      object-assign: 4.1.1\n      strict-uri-encode: 1.1.0\n\n  query-string@6.14.1:\n    dependencies:\n      decode-uri-component: 0.2.2\n      filter-obj: 1.1.0\n      split-on-first: 1.1.0\n      strict-uri-encode: 2.0.0\n\n  querystring-es3@0.2.1: {}\n\n  querystringify@2.2.0: {}\n\n  raf@3.4.1:\n    dependencies:\n      performance-now: 2.1.0\n\n  randombytes@2.1.0:\n    dependencies:\n      safe-buffer: 5.2.1\n\n  randomfill@1.0.4:\n    dependencies:\n      randombytes: 2.1.0\n      safe-buffer: 5.2.1\n\n  rc-align@2.4.5:\n    dependencies:\n      babel-runtime: 6.26.0\n      dom-align: 1.12.4\n      prop-types: 15.8.1\n      rc-util: 4.21.1\n\n  rc-align@4.0.15(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      dom-align: 1.12.4\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      resize-observer-polyfill: 1.5.1\n\n  rc-animate@2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      css-animation: 1.6.1\n      prop-types: 15.8.1\n      raf: 3.4.1\n      rc-util: 4.21.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-lifecycles-compat: 3.0.4\n\n  rc-cascader@3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      array-tree-filter: 2.1.0\n      classnames: 2.5.1\n      rc-select: 14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree: 5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-checkbox@2.0.3:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-util: 4.21.1\n\n  rc-checkbox@3.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-collapse@1.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      classnames: 2.5.1\n      css-animation: 1.6.1\n      prop-types: 15.8.1\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-collapse@3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-dialog@9.0.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@rc-component/portal': 1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-drawer@6.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@rc-component/portal': 1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-dropdown@4.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-field-form@1.38.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      async-validator: 4.2.5\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-gesture@0.0.22:\n    dependencies:\n      babel-runtime: 6.26.0\n\n  rc-image@5.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@rc-component/portal': 1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      rc-dialog: 9.0.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-input-number@7.3.11(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-input@0.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-mentions@1.13.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-menu: 9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-textarea: 0.4.7(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-menu@9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-overflow: 1.3.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-motion@2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-notification@4.6.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-overflow@1.3.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-pagination@3.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-picker@2.7.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      date-fns: 2.30.0\n      dayjs: 1.11.13\n      moment: 2.30.1\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-progress@3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-rate@2.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-resize-observer@1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      resize-observer-polyfill: 1.5.1\n\n  rc-segmented@2.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-select@14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-overflow: 1.3.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-virtual-list: 3.16.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-slider@10.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-slider@8.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-tooltip: 3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n      shallowequal: 1.1.0\n      warning: 3.0.0\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-steps@5.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-swipeout@2.0.11:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      rc-gesture: 0.0.22\n      react-native-swipeout: 2.3.6\n\n  rc-switch@3.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-table@7.26.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-tabs@12.5.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-dropdown: 4.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-menu: 9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-textarea@0.4.7(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-tooltip@3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      prop-types: 15.8.1\n      rc-trigger: 2.6.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-tooltip@5.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-tree-select@5.5.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-select: 14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree: 5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-tree@5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-virtual-list: 3.16.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-trigger@2.6.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-align: 2.4.5\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n      react-lifecycles-compat: 3.0.4\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-trigger@5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-align: 4.0.15(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-upload@4.3.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-util@4.21.1:\n    dependencies:\n      add-dom-event-listener: 1.1.0\n      prop-types: 15.8.1\n      react-is: 16.13.1\n      react-lifecycles-compat: 3.0.4\n      shallowequal: 1.1.0\n\n  rc-util@5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-is: 18.3.1\n\n  rc-virtual-list@3.16.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  react-dom@16.14.0(react@16.14.0):\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n      react: 16.14.0\n      scheduler: 0.19.1\n\n  react-dom@17.0.2(react@17.0.2):\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      react: 17.0.2\n      scheduler: 0.20.2\n\n  react-fast-compare@3.2.2: {}\n\n  react-helmet@6.1.0(react@17.0.2):\n    dependencies:\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-fast-compare: 3.2.2\n      react-side-effect: 2.1.2(react@17.0.2)\n\n  react-intl@3.12.1(react@17.0.2):\n    dependencies:\n      '@formatjs/intl-displaynames': 1.2.10\n      '@formatjs/intl-listformat': 1.4.8\n      '@formatjs/intl-relativetimeformat': 4.5.16\n      '@formatjs/intl-unified-numberformat': 3.3.7\n      '@formatjs/intl-utils': 2.3.0\n      '@types/hoist-non-react-statics': 3.3.6\n      '@types/invariant': 2.2.37\n      hoist-non-react-statics: 3.3.2\n      intl-format-cache: 4.3.1\n      intl-messageformat: 7.8.4\n      intl-messageformat-parser: 3.6.4\n      react: 17.0.2\n      shallow-equal: 1.2.1\n\n  react-is@16.13.1: {}\n\n  react-is@17.0.2: {}\n\n  react-is@18.3.1: {}\n\n  react-lifecycles-compat@3.0.4: {}\n\n  react-native-swipeout@2.3.6:\n    dependencies:\n      create-react-class: 15.7.0\n      prop-types: 15.8.1\n      react-tween-state: 0.1.5\n\n  react-redux@7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@types/react-redux': 7.1.34\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-is: 17.0.2\n    optionalDependencies:\n      react-dom: 17.0.2(react@17.0.2)\n\n  react-refresh@0.10.0: {}\n\n  react-router-config@5.1.1(react-router@5.2.0(react@16.14.0))(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      react: 16.14.0\n      react-router: 5.2.0(react@17.0.2)\n\n  react-router-dom@5.2.0(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      loose-envify: 1.4.0\n      prop-types: 15.8.1\n      react: 16.14.0\n      react-router: 5.2.0(react@16.14.0)\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router-dom@5.3.4(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      loose-envify: 1.4.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-router: 5.3.4(react@17.0.2)\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router@5.2.0(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      mini-create-react-context: 0.4.1(prop-types@15.8.1)(react@16.14.0)\n      path-to-regexp: 1.9.0\n      prop-types: 15.8.1\n      react: 16.14.0\n      react-is: 16.13.1\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router@5.2.0(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      mini-create-react-context: 0.4.1(prop-types@15.8.1)(react@17.0.2)\n      path-to-regexp: 1.9.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-is: 16.13.1\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router@5.3.4(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      path-to-regexp: 1.9.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-is: 16.13.1\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-side-effect@2.1.2(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  react-sortable-hoc@2.0.0(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      invariant: 2.2.4\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  react-tween-state@0.1.5:\n    dependencies:\n      raf: 3.4.1\n      tween-functions: 1.2.0\n\n  react@16.14.0:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n\n  react@17.0.2:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  read-pkg-up@7.0.1:\n    dependencies:\n      find-up: 4.1.0\n      read-pkg: 5.2.0\n      type-fest: 0.8.1\n\n  read-pkg@5.2.0:\n    dependencies:\n      '@types/normalize-package-data': 2.4.4\n      normalize-package-data: 2.5.0\n      parse-json: 5.2.0\n      type-fest: 0.6.0\n\n  readable-stream@2.3.8:\n    dependencies:\n      core-util-is: 1.0.3\n      inherits: 2.0.4\n      isarray: 1.0.0\n      process-nextick-args: 2.0.1\n      safe-buffer: 5.1.2\n      string_decoder: 1.1.1\n      util-deprecate: 1.0.2\n\n  readdirp@3.5.0:\n    dependencies:\n      picomatch: 2.3.1\n\n  redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      error-stack-parser: 1.3.6\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      sourcemapped-stacktrace: 1.1.11\n\n  redux-saga@0.16.2: {}\n\n  redux@4.2.1:\n    dependencies:\n      '@babel/runtime': 7.26.0\n\n  regenerate-unicode-properties@10.0.1:\n    dependencies:\n      regenerate: 1.4.2\n\n  regenerate@1.4.2: {}\n\n  regenerator-runtime@0.11.1: {}\n\n  regenerator-runtime@0.13.11: {}\n\n  regenerator-runtime@0.13.5: {}\n\n  regenerator-runtime@0.14.1: {}\n\n  regex-not@1.0.2:\n    dependencies:\n      extend-shallow: 3.0.2\n      safe-regex: 1.1.0\n\n  remove-trailing-separator@1.1.0: {}\n\n  repeat-element@1.1.4: {}\n\n  repeat-string@1.6.1: {}\n\n  require-directory@2.1.1: {}\n\n  require-main-filename@2.0.0: {}\n\n  requires-port@1.0.0: {}\n\n  resize-observer-polyfill@1.5.1: {}\n\n  resolve-cwd@3.0.0:\n    dependencies:\n      resolve-from: 5.0.0\n\n  resolve-from@3.0.0: {}\n\n  resolve-from@4.0.0: {}\n\n  resolve-from@5.0.0: {}\n\n  resolve-pathname@3.0.0: {}\n\n  resolve-url@0.2.1: {}\n\n  resolve@1.22.8:\n    dependencies:\n      is-core-module: 2.15.1\n      path-parse: 1.0.7\n      supports-preserve-symlinks-flag: 1.0.0\n\n  restore-cursor@3.1.0:\n    dependencies:\n      onetime: 5.1.2\n      signal-exit: 3.0.7\n\n  ret@0.1.15: {}\n\n  rfdc@1.4.1: {}\n\n  rimraf@3.0.2:\n    dependencies:\n      glob: 7.2.3\n\n  ripemd160@2.0.2:\n    dependencies:\n      hash-base: 3.0.5\n      inherits: 2.0.4\n\n  rmc-align@1.0.0:\n    dependencies:\n      babel-runtime: 6.26.0\n      dom-align: 1.12.4\n      rc-util: 4.21.1\n\n  rmc-calendar@1.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-date-picker: 6.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-cascader@5.0.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      array-tree-filter: 2.1.0\n      babel-runtime: 6.26.0\n      rmc-picker: 5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-date-picker@6.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rmc-picker: 5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-dialog@1.1.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-drawer@0.4.11:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n\n  rmc-feedback@2.0.0:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n\n  rmc-input-number@1.0.5:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      rmc-feedback: 2.0.0\n\n  rmc-list-view@0.11.5:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      fbjs: 0.8.18\n      prop-types: 15.8.1\n      warning: 3.0.0\n      zscroller: 0.4.8\n\n  rmc-notification@1.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-nuka-carousel@3.0.1:\n    dependencies:\n      exenv: 1.2.2\n      raf: 3.4.1\n\n  rmc-picker@5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      rmc-dialog: 1.1.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-feedback: 2.0.0\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-pull-to-refresh@1.0.13:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n\n  rmc-steps@1.0.1:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n\n  rmc-tabs@1.2.29:\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-gesture: 0.0.22\n\n  rmc-tooltip@1.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rmc-trigger: 1.0.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-trigger@1.0.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n      rmc-align: 1.0.0\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rsvp@4.8.5: {}\n\n  rxjs@7.8.1:\n    dependencies:\n      tslib: 2.8.1\n\n  safe-buffer@5.1.2: {}\n\n  safe-buffer@5.2.1: {}\n\n  safe-regex@1.1.0:\n    dependencies:\n      ret: 0.1.15\n\n  safer-buffer@2.1.2: {}\n\n  sane@4.1.0:\n    dependencies:\n      '@cnakazawa/watch': 1.0.4\n      anymatch: 2.0.0\n      capture-exit: 2.0.0\n      exec-sh: 0.3.6\n      execa: 1.0.0\n      fb-watchman: 2.0.2\n      micromatch: 3.1.10\n      minimist: 1.2.8\n      walker: 1.0.8\n    transitivePeerDependencies:\n      - supports-color\n\n  saxes@5.0.1:\n    dependencies:\n      xmlchars: 2.2.0\n\n  scheduler@0.19.1:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  scheduler@0.20.2:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  schema-utils@1.0.0:\n    dependencies:\n      ajv: 6.12.6\n      ajv-errors: 1.0.1(ajv@6.12.6)\n      ajv-keywords: 3.5.2(ajv@6.12.6)\n\n  schema-utils@3.3.0:\n    dependencies:\n      '@types/json-schema': 7.0.15\n      ajv: 6.12.6\n      ajv-keywords: 3.5.2(ajv@6.12.6)\n\n  scroll-into-view-if-needed@2.2.31:\n    dependencies:\n      compute-scroll-into-view: 1.0.20\n\n  seamless-immutable@7.1.4: {}\n\n  semver-compare@1.0.0: {}\n\n  semver@5.7.2: {}\n\n  semver@6.3.1: {}\n\n  semver@7.6.3: {}\n\n  set-blocking@2.0.0: {}\n\n  set-function-length@1.2.2:\n    dependencies:\n      define-data-property: 1.1.4\n      es-errors: 1.3.0\n      function-bind: 1.1.2\n      get-intrinsic: 1.2.6\n      gopd: 1.2.0\n      has-property-descriptors: 1.0.2\n\n  set-value@2.0.1:\n    dependencies:\n      extend-shallow: 2.0.1\n      is-extendable: 0.1.1\n      is-plain-object: 2.0.4\n      split-string: 3.1.0\n\n  setimmediate@1.0.5: {}\n\n  sha.js@2.4.11:\n    dependencies:\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  shallow-equal@1.2.1: {}\n\n  shallowequal@1.1.0: {}\n\n  shebang-command@1.2.0:\n    dependencies:\n      shebang-regex: 1.0.0\n\n  shebang-command@2.0.0:\n    dependencies:\n      shebang-regex: 3.0.0\n\n  shebang-regex@1.0.0: {}\n\n  shebang-regex@3.0.0: {}\n\n  shellwords@0.1.1:\n    optional: true\n\n  side-channel-list@1.0.0:\n    dependencies:\n      es-errors: 1.3.0\n      object-inspect: 1.13.3\n\n  side-channel-map@1.0.1:\n    dependencies:\n      call-bound: 1.0.2\n      es-errors: 1.3.0\n      get-intrinsic: 1.2.6\n      object-inspect: 1.13.3\n\n  side-channel-weakmap@1.0.2:\n    dependencies:\n      call-bound: 1.0.2\n      es-errors: 1.3.0\n      get-intrinsic: 1.2.6\n      object-inspect: 1.13.3\n      side-channel-map: 1.0.1\n\n  side-channel@1.1.0:\n    dependencies:\n      es-errors: 1.3.0\n      object-inspect: 1.13.3\n      side-channel-list: 1.0.0\n      side-channel-map: 1.0.1\n      side-channel-weakmap: 1.0.2\n\n  signal-exit@3.0.7: {}\n\n  sisteransi@1.0.5: {}\n\n  slash@3.0.0: {}\n\n  slice-ansi@3.0.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      astral-regex: 2.0.0\n      is-fullwidth-code-point: 3.0.0\n\n  slice-ansi@4.0.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      astral-regex: 2.0.0\n      is-fullwidth-code-point: 3.0.0\n\n  snapdragon-node@2.1.1:\n    dependencies:\n      define-property: 1.0.0\n      isobject: 3.0.1\n      snapdragon-util: 3.0.1\n\n  snapdragon-util@3.0.1:\n    dependencies:\n      kind-of: 3.2.2\n\n  snapdragon@0.8.2:\n    dependencies:\n      base: 0.11.2\n      debug: 2.6.9\n      define-property: 0.2.5\n      extend-shallow: 2.0.1\n      map-cache: 0.2.2\n      source-map: 0.5.7\n      source-map-resolve: 0.5.3\n      use: 3.1.1\n    transitivePeerDependencies:\n      - supports-color\n\n  sort-keys@1.1.2:\n    dependencies:\n      is-plain-obj: 1.1.0\n\n  source-map-resolve@0.5.3:\n    dependencies:\n      atob: 2.1.2\n      decode-uri-component: 0.2.2\n      resolve-url: 0.2.1\n      source-map-url: 0.4.1\n      urix: 0.1.0\n\n  source-map-support@0.5.21:\n    dependencies:\n      buffer-from: 1.1.2\n      source-map: 0.6.1\n\n  source-map-url@0.4.1: {}\n\n  source-map@0.5.6: {}\n\n  source-map@0.5.7: {}\n\n  source-map@0.6.1: {}\n\n  source-map@0.7.4: {}\n\n  sourcemapped-stacktrace@1.1.11:\n    dependencies:\n      source-map: 0.5.6\n\n  spdx-correct@3.2.0:\n    dependencies:\n      spdx-expression-parse: 3.0.1\n      spdx-license-ids: 3.0.20\n\n  spdx-exceptions@2.5.0: {}\n\n  spdx-expression-parse@3.0.1:\n    dependencies:\n      spdx-exceptions: 2.5.0\n      spdx-license-ids: 3.0.20\n\n  spdx-license-ids@3.0.20: {}\n\n  split-on-first@1.1.0: {}\n\n  split-string@3.1.0:\n    dependencies:\n      extend-shallow: 3.0.2\n\n  sprintf-js@1.0.3: {}\n\n  stack-utils@2.0.6:\n    dependencies:\n      escape-string-regexp: 2.0.0\n\n  stackframe@0.3.1: {}\n\n  stackframe@1.3.4: {}\n\n  static-extend@0.1.2:\n    dependencies:\n      define-property: 0.2.5\n      object-copy: 0.1.0\n\n  stream-browserify@2.0.2:\n    dependencies:\n      inherits: 2.0.4\n      readable-stream: 2.3.8\n\n  stream-http@2.8.3:\n    dependencies:\n      builtin-status-codes: 3.0.0\n      inherits: 2.0.4\n      readable-stream: 2.3.8\n      to-arraybuffer: 1.0.1\n      xtend: 4.0.2\n\n  strict-uri-encode@1.1.0: {}\n\n  strict-uri-encode@2.0.0: {}\n\n  string-argv@0.3.1: {}\n\n  string-convert@0.2.1: {}\n\n  string-length@4.0.2:\n    dependencies:\n      char-regex: 1.0.2\n      strip-ansi: 6.0.1\n\n  string-width@4.2.3:\n    dependencies:\n      emoji-regex: 8.0.0\n      is-fullwidth-code-point: 3.0.0\n      strip-ansi: 6.0.1\n\n  string_decoder@1.1.1:\n    dependencies:\n      safe-buffer: 5.1.2\n\n  string_decoder@1.3.0:\n    dependencies:\n      safe-buffer: 5.2.1\n\n  stringify-object@3.3.0:\n    dependencies:\n      get-own-enumerable-property-symbols: 3.0.2\n      is-obj: 1.0.1\n      is-regexp: 1.0.0\n\n  strip-ansi@6.0.1:\n    dependencies:\n      ansi-regex: 5.0.1\n\n  strip-bom@4.0.0: {}\n\n  strip-eof@1.0.0: {}\n\n  strip-final-newline@2.0.0: {}\n\n  strip-indent@2.0.0: {}\n\n  supports-color@5.5.0:\n    dependencies:\n      has-flag: 3.0.0\n\n  supports-color@6.1.0:\n    dependencies:\n      has-flag: 3.0.0\n\n  supports-color@7.2.0:\n    dependencies:\n      has-flag: 4.0.0\n\n  supports-hyperlinks@2.3.0:\n    dependencies:\n      has-flag: 4.0.0\n      supports-color: 7.2.0\n\n  supports-preserve-symlinks-flag@1.0.0: {}\n\n  swr@1.3.0(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  symbol-tree@3.2.4: {}\n\n  terminal-link@2.1.1:\n    dependencies:\n      ansi-escapes: 4.3.2\n      supports-hyperlinks: 2.3.0\n\n  terser@5.14.2:\n    dependencies:\n      '@jridgewell/source-map': 0.3.6\n      acorn: 8.14.0\n      commander: 2.20.3\n      source-map-support: 0.5.21\n\n  test-exclude@6.0.0:\n    dependencies:\n      '@istanbuljs/schema': 0.1.3\n      glob: 7.2.3\n      minimatch: 3.1.2\n\n  throat@5.0.0: {}\n\n  throttle-debounce@5.0.2: {}\n\n  through@2.3.8: {}\n\n  timers-browserify@2.0.12:\n    dependencies:\n      setimmediate: 1.0.5\n\n  tiny-invariant@1.3.3: {}\n\n  tiny-warning@1.0.3: {}\n\n  tmpl@1.0.5: {}\n\n  to-arraybuffer@1.0.1: {}\n\n  to-object-path@0.3.0:\n    dependencies:\n      kind-of: 3.2.2\n\n  to-regex-range@2.1.1:\n    dependencies:\n      is-number: 3.0.0\n      repeat-string: 1.6.1\n\n  to-regex-range@5.0.1:\n    dependencies:\n      is-number: 7.0.0\n\n  to-regex@3.0.2:\n    dependencies:\n      define-property: 2.0.2\n      extend-shallow: 3.0.2\n      regex-not: 1.0.2\n      safe-regex: 1.1.0\n\n  toggle-selection@1.0.6: {}\n\n  tough-cookie@4.1.4:\n    dependencies:\n      psl: 1.15.0\n      punycode: 2.3.1\n      universalify: 0.2.0\n      url-parse: 1.5.10\n\n  tr46@2.1.0:\n    dependencies:\n      punycode: 2.3.1\n\n  tslib@2.8.1: {}\n\n  tty-browserify@0.0.0: {}\n\n  tween-functions@1.2.0: {}\n\n  type-detect@4.0.8: {}\n\n  type-fest@0.21.3: {}\n\n  type-fest@0.6.0: {}\n\n  type-fest@0.8.1: {}\n\n  typedarray-to-buffer@3.1.5:\n    dependencies:\n      is-typedarray: 1.0.0\n\n  typescript@4.9.5: {}\n\n  ua-parser-js@0.7.39: {}\n\n  umi-request@1.4.0:\n    dependencies:\n      isomorphic-fetch: 2.2.1\n      qs: 6.13.1\n\n  umi@3.5.43(react-router@5.2.0(react@16.14.0)):\n    dependencies:\n      '@umijs/bundler-webpack': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/preset-built-in': 3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n      react: 16.14.0\n      react-dom: 16.14.0(react@16.14.0)\n      v8-compile-cache: 2.3.0\n    transitivePeerDependencies:\n      - react-router\n\n  undici-types@6.20.0: {}\n\n  union-value@1.0.1:\n    dependencies:\n      arr-union: 3.1.0\n      get-value: 2.0.6\n      is-extendable: 0.1.1\n      set-value: 2.0.1\n\n  uniq@1.0.1: {}\n\n  universalify@0.2.0: {}\n\n  unset-value@1.0.0:\n    dependencies:\n      has-value: 0.3.1\n      isobject: 3.0.1\n\n  unstated-next@1.1.0: {}\n\n  update-browserslist-db@1.1.1(browserslist@4.24.2):\n    dependencies:\n      browserslist: 4.24.2\n      escalade: 3.2.0\n      picocolors: 1.1.1\n\n  uri-js@4.4.1:\n    dependencies:\n      punycode: 2.3.1\n\n  urix@0.1.0: {}\n\n  url-parse@1.5.10:\n    dependencies:\n      querystringify: 2.2.0\n      requires-port: 1.0.0\n\n  url@0.11.4:\n    dependencies:\n      punycode: 1.4.1\n      qs: 6.13.1\n\n  use-json-comparison@1.0.6(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  use-media-antd-query@1.1.0(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  use-subscription@1.5.1(react@16.14.0):\n    dependencies:\n      object-assign: 4.1.1\n      react: 16.14.0\n\n  use@3.1.1: {}\n\n  util-deprecate@1.0.2: {}\n\n  util@0.10.4:\n    dependencies:\n      inherits: 2.0.3\n\n  util@0.11.1:\n    dependencies:\n      inherits: 2.0.3\n\n  uuid@8.3.2:\n    optional: true\n\n  v8-compile-cache@2.3.0: {}\n\n  v8-to-istanbul@7.1.2:\n    dependencies:\n      '@types/istanbul-lib-coverage': 2.0.6\n      convert-source-map: 1.9.0\n      source-map: 0.7.4\n\n  validate-npm-package-license@3.0.4:\n    dependencies:\n      spdx-correct: 3.2.0\n      spdx-expression-parse: 3.0.1\n\n  value-equal@1.0.1: {}\n\n  vm-browserify@1.1.2: {}\n\n  w3c-hr-time@1.0.2:\n    dependencies:\n      browser-process-hrtime: 1.0.0\n\n  w3c-xmlserializer@2.0.0:\n    dependencies:\n      xml-name-validator: 3.0.0\n\n  walker@1.0.8:\n    dependencies:\n      makeerror: 1.0.12\n\n  warning@3.0.0:\n    dependencies:\n      loose-envify: 1.4.0\n\n  warning@4.0.3:\n    dependencies:\n      loose-envify: 1.4.0\n\n  webidl-conversions@5.0.0: {}\n\n  webidl-conversions@6.1.0: {}\n\n  webpack-chain@6.5.1:\n    dependencies:\n      deepmerge: 1.5.2\n      javascript-stringify: 2.1.0\n\n  whatwg-encoding@1.0.5:\n    dependencies:\n      iconv-lite: 0.4.24\n\n  whatwg-fetch@3.6.20: {}\n\n  whatwg-mimetype@2.3.0: {}\n\n  whatwg-url@8.7.0:\n    dependencies:\n      lodash: 4.17.21\n      tr46: 2.1.0\n      webidl-conversions: 6.1.0\n\n  which-module@2.0.1: {}\n\n  which@1.3.1:\n    dependencies:\n      isexe: 2.0.0\n\n  which@2.0.2:\n    dependencies:\n      isexe: 2.0.0\n\n  wrap-ansi@6.2.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      string-width: 4.2.3\n      strip-ansi: 6.0.1\n\n  wrap-ansi@7.0.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      string-width: 4.2.3\n      strip-ansi: 6.0.1\n\n  wrappy@1.0.2: {}\n\n  write-file-atomic@3.0.3:\n    dependencies:\n      imurmurhash: 0.1.4\n      is-typedarray: 1.0.0\n      signal-exit: 3.0.7\n      typedarray-to-buffer: 3.1.5\n\n  ws@7.5.10: {}\n\n  xml-name-validator@3.0.0: {}\n\n  xmlchars@2.2.0: {}\n\n  xtend@4.0.2: {}\n\n  y18n@4.0.3: {}\n\n  yallist@2.1.2: {}\n\n  yallist@3.1.1: {}\n\n  yaml@1.10.2: {}\n\n  yargs-parser@18.1.3:\n    dependencies:\n      camelcase: 5.3.1\n      decamelize: 1.2.0\n\n  yargs@15.4.1:\n    dependencies:\n      cliui: 6.0.0\n      decamelize: 1.2.0\n      find-up: 4.1.0\n      get-caller-file: 2.0.5\n      require-directory: 2.1.1\n      require-main-filename: 2.0.0\n      set-blocking: 2.0.0\n      string-width: 4.2.3\n      which-module: 2.0.1\n      y18n: 4.0.3\n      yargs-parser: 18.1.3\n\n  yorkie@2.0.0:\n    dependencies:\n      execa: 0.8.0\n      is-ci: 1.2.1\n      normalize-path: 1.0.0\n      strip-indent: 2.0.0\n\n  zscroller@0.4.8:\n    dependencies:\n      babel-runtime: 6.26.0\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/README.md.ts
function getFile8() {
  return [
    ["."],
    {
      name: "README",
      ext: "md",
      content: "# umi project\n\n## Getting Started\n\nInstall dependencies,\n\n```bash\n$ yarn\n```\n\nStart the dev server,\n\n```bash\n$ yarn start\n```\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/tsconfig.json.ts
function getFile9() {
  return [
    ["."],
    {
      name: "tsconfig",
      ext: "json",
      content: '{\n  "compilerOptions": {\n    "target": "esnext",\n    "module": "esnext",\n    "moduleResolution": "node",\n    "resolveJsonModule": true,\n    "importHelpers": true,\n    "jsx": "react-jsx",\n    "esModuleInterop": true,\n    "sourceMap": true,\n    "baseUrl": "./",\n    "strict": true,\n    "paths": {\n      "@/*": ["src/*"],\n      "@@/*": ["src/.umi/*"]\n    },\n    "allowSyntheticDefaultImports": true\n  },\n  "include": [\n    "mock/**/*",\n    "src/**/*",\n    "config/**/*",\n    ".umirc.ts",\n    "typings.d.ts"\n  ],\n  "exclude": [\n    "node_modules",\n    "lib",\n    "es",\n    "dist",\n    "typings",\n    "**/__test__",\n    "test",\n    "docs",\n    "tests"\n  ]\n}\n'
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/files/typings.d.ts.ts
function getFile10() {
  return [
    ["."],
    {
      name: "typings.d",
      ext: "ts",
      content: "declare module '*.css';\ndeclare module '*.less';\ndeclare module '*.png';\ndeclare module '*.svg' {\n  export function ReactComponent(\n    props: React.SVGProps<SVGSVGElement>,\n  ): React.ReactElement;\n  const url: string;\n  export default url;\n}\n"
    }
  ];
}

// src/plugins/project/framework/gant-legacy/template/static-files.ts
function generateStaticFiles(root = createResultDir(".")) {
  runFileGenerator(root, getFile);
  runFileGenerator(root, getFile2);
  runFileGenerator(root, getFile3);
  runFileGenerator(root, getFile4);
  runFileGenerator(root, getFile5);
  runFileGenerator(root, getFile6);
  runFileGenerator(root, getFile7);
  runFileGenerator(root, getFile8);
  runFileGenerator(root, getFile9);
  runFileGenerator(root, getFile10);
  return root;
}

// src/plugins/project/framework/gant-legacy/template/index.ts
var gantChunkTemplate = (rootPaths = ["src"], pagePaths = ["pages"], configPaths = []) => ({
  slots: {
    root: {
      path: [rootPaths[0]]
    },
    components: {
      path: [...rootPaths, "components"]
    },
    pages: {
      path: [...rootPaths, ...pagePaths]
    },
    router: {
      path: rootPaths,
      fileName: "routes"
    },
    entry: {
      path: rootPaths,
      fileName: "lowcode-app"
    },
    constants: {
      path: [...rootPaths, "lowcode-common"],
      fileName: "constants"
    },
    utils: {
      path: [...rootPaths, "lowcode-common"],
      fileName: "utils"
    },
    i18n: {
      path: [...rootPaths, "lowcode-common"],
      fileName: "i18n"
    },
    globalStyle: {
      path: [...rootPaths, "lowcode-common"],
      fileName: "global"
    },
    htmlEntry: {
      path: ["public"],
      fileName: "index"
    },
    packageJSON: {
      path: [],
      fileName: "package"
    },
    lowcodeConfigJSON: {
      path: [...rootPaths, ...configPaths],
      fileName: "lowcode.config"
    }
  },
  generateTemplate() {
    return generateStaticFiles();
  }
});
var template_default = gantChunkTemplate;

// src/plugins/project/framework/gant-legacy/plugins/entry.ts
var pluginFactory18 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "ts" /* TS */,
      name: COMMON_CHUNK_NAME.ExternalDepsImport,
      content: `
        import { withKeyboardRedirect } from '@/utils/utils';
      `,
      linkAfter: []
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "ts" /* TS */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: `
        window.lc_navigate = (event, itemPath) => {
          withKeyboardRedirect(event, itemPath);
        };
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    return next;
  };
  return plugin;
};
var entry_default = pluginFactory18;

// src/plugins/project/framework/gant-legacy/plugins/globalStyle.ts
var pluginFactory19 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "scss" /* SCSS */,
      name: COMMON_CHUNK_NAME.StyleDepsImport,
      content: `
        
      `,
      linkAfter: []
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "scss" /* SCSS */,
      name: COMMON_CHUNK_NAME.StyleCssContent,
      content: `
        body {
          -webkit-font-smoothing: antialiased;
        }
      `,
      linkAfter: [COMMON_CHUNK_NAME.StyleDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "scss" /* SCSS */,
      name: COMMON_CHUNK_NAME.StyleCssContent,
      content: ir.css || "",
      linkAfter: [COMMON_CHUNK_NAME.StyleDepsImport]
    });
    return next;
  };
  return plugin;
};
var globalStyle_default = pluginFactory19;

// src/utils/dataSource.ts
var dataSource_exports = {};
__export(dataSource_exports, {
  buildDataSourceDependencies: () => buildDataSourceDependencies
});
import changeCase5 from "change-case";
function buildDataSourceDependencies(ir, cfg = {}) {
  return {
    [cfg.enginePackage || "@alilc/lowcode-datasource-engine"]: cfg.engineVersion || "^1.0.0",
    ...(ir.dataSourcesTypes || []).reduce(
      (acc, dsType) => {
        var _a;
        return {
          ...acc,
          [getDataSourceHandlerPackageName(dsType)]: ((_a = cfg.handlersVersion) == null ? void 0 : _a[dsType]) || "^1.0.0"
        };
      },
      {}
    )
  };
  function getDataSourceHandlerPackageName(dsType) {
    var _a;
    return ((_a = cfg.handlersPackages) == null ? void 0 : _a[dsType]) || `@alilc/lowcode-datasource-${changeCase5.kebab(dsType)}-handler`;
  }
}

// src/plugins/project/framework/gant-legacy/plugins/packageJSON.ts
var pluginFactory20 = (cfg) => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const packageJson = {
      name: (cfg == null ? void 0 : cfg.packageName) || "gant-lowcode-demo-app",
      version: (cfg == null ? void 0 : cfg.packageVersion) || "0.1.5",
      dependencies: {
        ...buildDataSourceDependencies(ir, cfg == null ? void 0 : cfg.datasourceConfig)
      },
      devDependencies: {}
    };
    ir.packages.forEach((packageInfo) => {
      packageJson.dependencies[packageInfo.package] = packageInfo.version;
    });
    next.chunks.push({
      type: "json" /* JSON */,
      fileType: "json" /* JSON */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: packageJson,
      linkAfter: []
    });
    return next;
  };
  return plugin;
};
var packageJSON_default = pluginFactory20;

// src/plugins/project/framework/gant-legacy/plugins/lowcodeConfigJSON.ts
var pluginFactory21 = (cfg) => {
  const plugin = async (pre) => {
    var _a, _b;
    const next = {
      ...pre
    };
    const ir = next.ir;
    const rootPath = getSlotRelativePath({
      contextData: next.contextData,
      from: "root",
      to: "pages"
    });
    const lowcodeConfigJSON = {
      name: (cfg == null ? void 0 : cfg.packageName) || "gant-lowcode-app",
      version: (cfg == null ? void 0 : cfg.packageVersion) || "0.0.0",
      routes: (_a = ir.globalRouter) == null ? void 0 : _a.routes.map((route) => ({
        path: `/**/${route.path}`,
        name: route.fileName,
        component: `${rootPath}${route.componentName}`
      })),
      dependencies: {
        ...buildDataSourceDependencies(ir.project, cfg == null ? void 0 : cfg.datasourceConfig)
      },
      ...((_b = ir.project) == null ? void 0 : _b.config) || {}
    };
    ir.project.packages.forEach((packageInfo) => {
      lowcodeConfigJSON.dependencies[packageInfo.package] = packageInfo.version;
    });
    next.chunks.push({
      type: "json" /* JSON */,
      fileType: "json" /* JSON */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: lowcodeConfigJSON,
      linkAfter: []
    });
    return next;
  };
  return plugin;
};
var lowcodeConfigJSON_default = pluginFactory21;

// src/plugins/project/framework/gant-legacy/plugins/router.ts
var pluginFactory22 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: `
        import BasicLayout from '@/layouts/BasicLayout';
      `,
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileVarDefine,
      content: `
        const routerConfig = [
          {
            path: '/',
            component: BasicLayout,
            children: [
              ${ir.routes.map(
        (route) => `
                    {
                      path: '${route.path}',
                      component: ${route.componentName},
                    }
                  `
      ).join(",")}
            ],
          },
        ];
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileExport,
      content: `
        export default routerConfig;
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.FileUtilDefine,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileMainContent
      ]
    });
    return next;
  };
  return plugin;
};
var router_default = pluginFactory22;

// src/plugins/project/framework/gant-legacy/index.ts
var gant_legacy_default = {
  template: template_default,
  plugins: {
    entry: entry_default,
    globalStyle: globalStyle_default,
    packageJSON: packageJSON_default,
    lowcodeConfigJSON: lowcodeConfigJSON_default,
    router: router_default
  }
};

// src/postprocessor/prettier/index.ts
import prettier from "prettier";
import parserBabel from "prettier/parser-babel";
import parserPostCss from "prettier/parser-postcss";
import parserHtml from "prettier/parser-html";
var PARSERS = ["css", "scss", "less", "json", "html", "vue"];
var factory = (config) => {
  const cfg = {
    customFileTypeParser: {},
    ...config
  };
  const codePrettier = (content, fileType) => {
    let parser3;
    if (fileType === "js" || fileType === "jsx" || fileType === "ts" || fileType === "tsx") {
      parser3 = "babel-ts";
    } else if (fileType === "json") {
      parser3 = "json-stringify";
    } else if (PARSERS.indexOf(fileType) >= 0) {
      parser3 = fileType;
    } else if (cfg.customFileTypeParser[fileType]) {
      parser3 = cfg.customFileTypeParser[fileType];
    } else {
      return content;
    }
    return prettier.format(content, {
      parser: parser3,
      plugins: [parserBabel, parserPostCss, parserHtml, ...cfg.plugins || []],
      singleQuote: true,
      jsxSingleQuote: false
    });
  };
  return codePrettier;
};
var prettier_default = factory;

// src/solutions/gant.ts
function createGantChunkProjectBuilder(options) {
  return createProjectBuilder({
    mode: options == null ? void 0 : options.mode,
    inStrictMode: options == null ? void 0 : options.inStrictMode,
    rootPaths: options == null ? void 0 : options.rootPaths,
    pagePaths: options == null ? void 0 : options.pagePaths,
    configPaths: options == null ? void 0 : options.configPaths,
    extraContextData: { ...options },
    template: gant_legacy_default.template,
    plugins: {
      components: [
        reactCommonDeps_default(),
        esmodule_default({
          fileType: "tsx"
        }),
        styleImport_default(),
        containerClass_default(),
        containerInjectContext_default(),
        containerInjectUtils_default(),
        containerInjectDataSourceEngine_default(),
        containerInjectI18n_default(),
        containerInjectConstants_default(),
        containerInitState_default(),
        containerLifeCycle_default(),
        containerMethod_default(),
        jsx_default({
          nodeTypeMapping: {
            Div: "div",
            Component: "div",
            Page: "div",
            Block: "div"
          }
        }),
        css_default()
      ],
      pages: [
        reactCommonDeps_default(),
        esmodule_default({
          fileType: "tsx"
        }),
        styleImport_default(),
        containerClass_default(),
        containerInjectContext_default(),
        containerInjectUtils_default({ scope: "pages" }),
        containerInjectDataSourceEngine_default(),
        containerInjectI18n_default({ scope: "pages" }),
        containerInjectConstants_default({ scope: "pages" }),
        containerInitState_default(),
        containerLifeCycle_default(),
        containerMethod_default(),
        jsx_default({
          nodeTypeMapping: {
            Div: "div",
            Component: "div",
            Page: "div",
            Block: "div"
          }
        }),
        css_default()
      ],
      router: [esmodule_default(), gant_legacy_default.plugins.router()],
      entry: [gant_legacy_default.plugins.entry()],
      constants: [constants_default()],
      utils: [esmodule_default(), utils_default("react")],
      i18n: [i18n_default()],
      globalStyle: [gant_legacy_default.plugins.globalStyle()],
      packageJSON: [gant_legacy_default.plugins.packageJSON()]
    },
    postProcessors: [prettier_default()],
    customizeBuilderOptions: options == null ? void 0 : options.customizeBuilderOptions
  });
}
var plugins = {
  containerClass: containerClass_default,
  containerInjectContext: containerInjectContext_default,
  containerInjectUtils: containerInjectUtils_default,
  containerInjectDataSourceEngine: containerInjectDataSourceEngine_default,
  containerInjectI18n: containerInjectI18n_default,
  containerInjectConstants: containerInjectConstants_default,
  containerInitState: containerInitState_default,
  containerLifeCycle: containerLifeCycle_default,
  containerMethod: containerMethod_default,
  jsx: jsx_default,
  commonDeps: reactCommonDeps_default,
  reactCommonDeps: reactCommonDeps_default
};

// src/plugins/component/react/containerFunction.ts
import changeCase6 from "change-case";
var pluginFactory23 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const componentClassName = ensureValidClassName(
      `${changeCase6.pascalCase(ir.moduleName)}$$${ir.containerType}`
    );
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "tsx" /* TSX */,
      name: FUNCTION_DEFINE_CHUNK_NAME.Start,
      content: `export default function ${componentClassName}(props) {`,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "tsx" /* TSX */,
      name: FUNCTION_DEFINE_CHUNK_NAME.End,
      content: "}",
      linkAfter: [
        REACT_CHUNK_NAME.FunctionRenderJSX,
        ...DEFAULT_LINK_AFTER[FUNCTION_DEFINE_CHUNK_NAME.End]
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "tsx" /* TSX */,
      name: COMMON_CHUNK_NAME.FileExport,
      content: "",
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine,
        FUNCTION_DEFINE_CHUNK_NAME.End
      ]
    });
    return next;
  };
  return plugin;
};
var containerFunction_default = pluginFactory23;

// src/plugins/component/react/containerStatement.ts
import { get as get2, isEmpty, set } from "lodash";
var pluginFactory24 = (config) => {
  const cfg = {
    fileType: "tsx" /* TSX */,
    ...config
  };
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const { inStrictMode } = next.contextData;
    if (!ir.statements) {
      return next;
    }
    const { statements } = ir;
    const imports = {};
    const chunks = statements.map((statement) => {
      if (statement.dependencies) {
        statement.dependencies.forEach((dep) => {
          const existing = get2(imports, dep.package) || /* @__PURE__ */ new Set();
          existing.add(dep.importName);
          set(imports, dep.package, existing);
        });
      }
      return {
        type: "string" /* STRING */,
        fileType: cfg.fileType,
        name: FUNCTION_DEFINE_CHUNK_NAME.InsStatement,
        content: statement.value,
        linkAfter: [...DEFAULT_LINK_AFTER[FUNCTION_DEFINE_CHUNK_NAME.Start]]
      };
    });
    next.chunks.push(...chunks);
    if (!isEmpty(imports)) {
      next.chunks.push({
        type: "string" /* STRING */,
        fileType: "tsx" /* TSX */,
        name: COMMON_CHUNK_NAME.ExternalDepsImport,
        content: Object.entries(imports).reduce((acc, [pkg, exportNames]) => {
          const names = Array.from(exportNames).join(", ");
          return `${acc}import { ${names} } from '${pkg}';
`;
        }, ""),
        linkAfter: []
      });
    }
    return next;
  };
  return plugin;
};
var containerStatement_default = pluginFactory24;

// src/plugins/component/react/functionJsx.ts
var pluginFactory25 = (config) => {
  const cfg = {
    fileType: "tsx" /* TSX */,
    nodeTypeMapping: {},
    ...config
  };
  const { nodeTypeMapping } = cfg;
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const { tolerateEvalErrors = true, evalErrorsHandler = "" } = next.contextData;
    const customHandlers = {
      expression(input, scope2, config2) {
        var _a;
        return transformJsExpr(generateExpression(input, scope2), scope2, {
          dontWrapEval: !((_a = config2 == null ? void 0 : config2.tolerateEvalErrors) != null ? _a : tolerateEvalErrors),
          dontTransformThis2ContextAtRootScope: true
        });
      },
      function(input, scope2) {
        return transformThis2Context(
          generateCompositeType(
            {
              type: "JSFunction",
              value: input.value || "function () {}"
            },
            Scope.createRootScope()
          ),
          scope2,
          { ignoreRootScope: true }
        );
      }
    };
    const generatorPlugins = {
      handlers: customHandlers,
      tagMapping: (v) => nodeTypeMapping[v] || v,
      tolerateEvalErrors
    };
    if (next.contextData.useRefApi) {
      generatorPlugins.attrPlugins = [
        (attrData, scope2, pluginCfg, nextFunc) => {
          if (attrData.attrName === "ref") {
            return [
              {
                name: attrData.attrName,
                value: `this._refsManager.linkRef('${attrData.attrValue}')`,
                type: "NodeCodePieceAttr" /* ATTR */
              }
            ];
          }
          return nextFunc ? nextFunc(attrData, scope2, pluginCfg) : [];
        }
      ];
    }
    const generator = createReactFunctionNodeGenerator(generatorPlugins);
    const ir = next.ir;
    const scope = Scope.createRootScope();
    const jsxContent = generator(ir, scope);
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: REACT_CHUNK_NAME.FunctionRenderJSX,
      content: `return ${jsxContent};`,
      linkAfter: [FUNCTION_DEFINE_CHUNK_NAME.Start, FUNCTION_DEFINE_CHUNK_NAME.InsStatement]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: cfg.fileType,
      name: COMMON_CHUNK_NAME.CustomContent,
      content: [
        tolerateEvalErrors && `
          function __$$eval(expr) {
            try {
              return expr();
            } catch (error) {
              ${evalErrorsHandler}
            }
          }

          function __$$evalArray(expr) {
            const res = __$$eval(expr);
            return Array.isArray(res) ? res : [];
          }
      `
      ].filter(Boolean).join("\n"),
      linkAfter: [COMMON_CHUNK_NAME.FileExport]
    });
    return next;
  };
  return plugin;
};
var functionJsx_default = pluginFactory25;

// src/solutions/gant-legacy.ts
function createGantChunkProjectBuilder2(options) {
  return createProjectBuilder({
    mode: options == null ? void 0 : options.mode,
    inStrictMode: options == null ? void 0 : options.inStrictMode,
    rootPaths: options == null ? void 0 : options.rootPaths,
    pagePaths: options == null ? void 0 : options.pagePaths,
    configPaths: options == null ? void 0 : options.configPaths,
    extraContextData: { ...options },
    template: gant_legacy_default.template,
    plugins: {
      components: [
        reactCommonDeps_default(),
        esmodule_default({
          fileType: "tsx"
        }),
        styleImport_default(),
        containerFunction_default(),
        containerMethod_default(),
        jsx_default({
          nodeTypeMapping: {
            Div: "div",
            Component: "div",
            Page: "div",
            Block: "div"
          }
        }),
        css_default()
      ],
      pages: [
        reactCommonDeps_default(),
        esmodule_default({
          fileType: "tsx"
        }),
        styleImport_default(),
        containerFunction_default(),
        containerStatement_default(),
        functionJsx_default({
          nodeTypeMapping: {
            Div: "div",
            Component: "div",
            Page: "div",
            Block: "div"
          }
        }),
        css_default()
      ],
      router: [esmodule_default(), gant_legacy_default.plugins.router()],
      entry: [gant_legacy_default.plugins.entry()],
      constants: [constants_default()],
      utils: [esmodule_default(), utils_default("react")],
      i18n: [i18n_default()],
      globalStyle: [gant_legacy_default.plugins.globalStyle()],
      packageJSON: [gant_legacy_default.plugins.packageJSON()],
      lowcodeConfigJSON: [gant_legacy_default.plugins.lowcodeConfigJSON()]
    },
    postProcessors: [prettier_default()],
    customizeBuilderOptions: options == null ? void 0 : options.customizeBuilderOptions
  });
}
var plugins2 = {
  containerClass: containerClass_default,
  containerInjectContext: containerInjectContext_default,
  containerInjectUtils: containerInjectUtils_default,
  containerInjectDataSourceEngine: containerInjectDataSourceEngine_default,
  containerInjectI18n: containerInjectI18n_default,
  containerInjectConstants: containerInjectConstants_default,
  containerInitState: containerInitState_default,
  containerLifeCycle: containerLifeCycle_default,
  containerMethod: containerMethod_default,
  jsx: jsx_default,
  commonDeps: reactCommonDeps_default,
  reactCommonDeps: reactCommonDeps_default
};

// src/plugins/common/requireUtils.ts
var pluginFactory26 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "jsx" /* JSX */,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: "import * from 'react';",
      linkAfter: []
    });
    return next;
  };
  return plugin;
};
var requireUtils_default = pluginFactory26;

// src/utils/index.ts
var utils_exports = {};
__export(utils_exports, {
  common: () => common_exports,
  compositeType: () => compositeType_exports,
  dataSource: () => dataSource_exports,
  expressionParser: () => expressionParser_exports,
  jsExpression: () => jsExpression_exports,
  jsSlot: () => jsSlot_exports,
  nodeToJSX: () => nodeToJSX_exports,
  pathHelper: () => pathHelper_exports,
  resultHelper: () => resultHelper_exports,
  schema: () => schema_exports,
  scope: () => Scope_exports,
  templateHelper: () => templateHelper_exports,
  validate: () => validate_exports,
  version: () => version_exports
});

// src/utils/version.ts
var version_exports = {};
__export(version_exports, {
  calcCompatibleVersion: () => calcCompatibleVersion
});
import semver from "semver";
function calcCompatibleVersion(v1, v2) {
  if (!v1 && !v2) {
    return "*";
  }
  if (!v1 || v1 === "*") {
    return v2 || "*";
  }
  if (!v2 || v2 === "*") {
    return v1;
  }
  if (v1 === v2) {
    return v1;
  }
  if (!semver.intersects(v1, v2, { loose: true })) {
    throw new Error(`no compatible versions for "${v1}" and "${v2}"`);
  }
  if (semver.subset(v1, v2, { loose: true })) {
    return v1;
  }
  return v2;
}

// src/plugins/project/framework/gant/template/files/.editorconfig.ts
function getFile11() {
  return [
    ["."],
    {
      name: ".editorconfig",
      ext: "",
      content: "# http://editorconfig.org\nroot = true\n\n[*]\nindent_style = space\nindent_size = 2\nend_of_line = lf\ncharset = utf-8\ntrim_trailing_whitespace = true\ninsert_final_newline = true\n\n[*.md]\ntrim_trailing_whitespace = false\n\n[Makefile]\nindent_style = tab\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/files/.gitignore.ts
function getFile12() {
  return [
    ["."],
    {
      name: ".gitignore",
      ext: "",
      content: "# See https://help.github.com/articles/ignoring-files/ for more about ignoring files.\n\n# dependencies\n/node_modules\n/npm-debug.log*\n/yarn-error.log\n/yarn.lock\n/package-lock.json\n\n# production\n/dist\n\n# misc\n.DS_Store\n\n# umi\n/src/.umi\n/src/.umi-production\n/src/.umi-test\n/.env.local\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/files/.prettierignore.ts
function getFile13() {
  return [
    ["."],
    {
      name: ".prettierignore",
      ext: "",
      content: "**/*.md\n**/*.svg\n**/*.ejs\n**/*.html\npackage.json\n.umi\n.umi-production\n.umi-test\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/files/.prettierrc.ts
function getFile14() {
  return [
    ["."],
    {
      name: ".prettierrc",
      ext: "",
      content: '{\n  "singleQuote": true,\n  "trailingComma": "all",\n  "printWidth": 80,\n  "overrides": [\n    {\n      "files": ".prettierrc",\n      "options": { "parser": "json" }\n    }\n  ]\n}\n'
    }
  ];
}

// src/plugins/project/framework/gant/template/files/.umirc.ts.ts
function getFile15() {
  return [
    ["."],
    {
      name: ".umirc",
      ext: "ts",
      content: "import { defineConfig } from 'umi';\n\nexport default defineConfig({\n  nodeModulesTransform: {\n    type: 'none',\n  },\n  routes: [\n    { path: '/', component: '@/pages/index' },\n  ],\n  fastRefresh: {},\n});\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/files/package.json.ts
function getFile16() {
  return [
    ["."],
    {
      name: "package",
      ext: "json",
      content: `{
  "private": true,
  "scripts": {
    "start": "umi dev",
    "build": "umi build",
    "postinstall": "umi generate tmp",
    "prettier": "prettier --write '**/*.{js,jsx,tsx,ts,less,md,json}'",
    "test": "umi-test",
    "test:coverage": "umi-test --coverage"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,less,md,json}": [
      "prettier --write"
    ],
    "*.ts?(x)": [
      "prettier --parser=typescript --write"
    ]
  },
  "dependencies": {
    "@ant-design/pro-layout": "^6.5.0",
    "react": "17.x",
    "react-dom": "17.x",
    "umi": "^3.5.43"
  },
  "devDependencies": {
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.0",
    "@umijs/preset-react": "1.x",
    "@umijs/test": "^3.5.43",
    "lint-staged": "^10.0.7",
    "prettier": "^2.2.0",
    "typescript": "^4.1.2",
    "yorkie": "^2.0.0"
  }
}
`
    }
  ];
}

// src/plugins/project/framework/gant/template/files/pnpm-lock.yaml.ts
function getFile17() {
  return [
    ["."],
    {
      name: "pnpm-lock",
      ext: "yaml",
      content: "lockfileVersion: '9.0'\n\nsettings:\n  autoInstallPeers: true\n  excludeLinksFromLockfile: false\n\nimporters:\n\n  .:\n    dependencies:\n      '@ant-design/pro-layout':\n        specifier: ^6.5.0\n        version: 6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react:\n        specifier: 17.x\n        version: 17.0.2\n      react-dom:\n        specifier: 17.x\n        version: 17.0.2(react@17.0.2)\n      umi:\n        specifier: ^3.5.43\n        version: 3.5.43(react-router@5.2.0(react@16.14.0))\n    devDependencies:\n      '@types/react':\n        specifier: ^17.0.0\n        version: 17.0.83\n      '@types/react-dom':\n        specifier: ^17.0.0\n        version: 17.0.26(@types/react@17.0.83)\n      '@umijs/preset-react':\n        specifier: 1.x\n        version: 1.8.32(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/test':\n        specifier: ^3.5.43\n        version: 3.5.43\n      lint-staged:\n        specifier: ^10.0.7\n        version: 10.5.4\n      prettier:\n        specifier: ^2.2.0\n        version: 2.8.8\n      typescript:\n        specifier: ^4.1.2\n        version: 4.9.5\n      yorkie:\n        specifier: ^2.0.0\n        version: 2.0.0\n\npackages:\n\n  '@ahooksjs/use-request@2.8.15':\n    resolution: {integrity: sha512-xhVaM4fyIiAMdVFuuU5i3CFUdFa/IblF+fvITVMFaUEO3w/V5tVCAF6WIA3T03n1/RPuzRkA7Ao1PFtSGtGelw==}\n    peerDependencies:\n      react: ^16.8.0 || ^17.0.0\n\n  '@ampproject/remapping@2.3.0':\n    resolution: {integrity: sha512-30iZtAPgz+LTIYoeivqYo853f02jBYSd5uGnGpkFV0M3xOt9aN73erkgYAmZU43x4VfqcnLxW9Kpg3R5LC4YYw==}\n    engines: {node: '>=6.0.0'}\n\n  '@ant-design/colors@6.0.0':\n    resolution: {integrity: sha512-qAZRvPzfdWHtfameEGP2Qvuf838NhergR35o+EuVyB5XvSA98xod5r4utvi4TJ3ywmevm290g9nsCG5MryrdWQ==}\n\n  '@ant-design/icons-svg@4.4.2':\n    resolution: {integrity: sha512-vHbT+zJEVzllwP+CM+ul7reTEfBR0vgxFe7+lREAsAA7YGsYpboiq2sQNeQeRvh09GfQgs/GyFEvZpJ9cLXpXA==}\n\n  '@ant-design/icons@4.8.3':\n    resolution: {integrity: sha512-HGlIQZzrEbAhpJR6+IGdzfbPym94Owr6JZkJ2QCCnOkPVIWMO2xgIVcOKnl8YcpijIo39V7l2qQL5fmtw56cMw==}\n    engines: {node: '>=8'}\n    peerDependencies:\n      react: '>=16.0.0'\n      react-dom: '>=16.0.0'\n\n  '@ant-design/pro-layout@6.38.22':\n    resolution: {integrity: sha512-rsxY2E0BTyRE7IO67VACWVPSfdtDnTaWtECuMnc4ctL+xmnzbnnr0zEHVQ+S58BxLnCqO3IyOsSc0nFl2hHsnQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  '@ant-design/pro-provider@1.10.0':\n    resolution: {integrity: sha512-gbQtq+Qlnob6aEghiWX/kXEzNhe4eOFlv5Ue2/xsal+22qvot/kFoOB652TD76fMI7vlkoema1pTKsvD5Uji6A==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  '@ant-design/pro-utils@1.45.3':\n    resolution: {integrity: sha512-W2qtyckdkHTWGVXfFfqb9s/ahq3o4GlIZC3+WDiGUgqJTsUkwY69yV67E2ZfAro1XRXblUzbvxIv96M7bEAfFg==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  '@ant-design/react-slick@1.0.2':\n    resolution: {integrity: sha512-Wj8onxL/T8KQLFFiCA4t8eIRGpRR+UPgOdac2sYzonv+i0n3kXHmvHLLiOYL655DQx2Umii9Y9nNgL7ssu5haQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  '@babel/code-frame@7.26.2':\n    resolution: {integrity: sha512-RJlIHRueQgwWitWgF8OdFYGZX328Ax5BCemNGlqHfplnRT9ESi8JkFlvaVYbS+UubVY6dpv87Fs2u5M29iNFVQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/compat-data@7.26.3':\n    resolution: {integrity: sha512-nHIxvKPniQXpmQLb0vhY3VaFb3S0YrTAwpOWJZh1wn3oJPjJk9Asva204PsBdmAE8vpzfHudT8DB0scYvy9q0g==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/core@7.18.6':\n    resolution: {integrity: sha512-cQbWBpxcbbs/IUredIPkHiAGULLV8iwgNRMFzvbhEXISp4f3rUUXE5+TIw6KwUWUR3DwyI6gmBRnmAtYaWehwQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/generator@7.26.3':\n    resolution: {integrity: sha512-6FF/urZvD0sTeO7k6/B15pMLC4CHUv1426lzr3N01aHJTl046uCAh9LXW/fzeXXjPNCJ6iABW5XaWOsIZB93aQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-compilation-targets@7.25.9':\n    resolution: {integrity: sha512-j9Db8Suy6yV/VHa4qzrj9yZfZxhLWQdVnRlXxmKLYlhWUVB1sB2G5sxuWYXk/whHD9iW76PmNzxZ4UCnTQTVEQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-module-imports@7.25.9':\n    resolution: {integrity: sha512-tnUA4RsrmflIM6W6RFTLFSXITtl0wKjgpnLgXyowocVPrbYrLUXSBXDgTs8BlbmIzIdlBySRQjINYs2BAkiLtw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-module-transforms@7.26.0':\n    resolution: {integrity: sha512-xO+xu6B5K2czEnQye6BHA7DolFFmS3LB7stHZFaOLb1pAwO1HWLS8fXA+eh0A2yIvltPVmx3eNNDBJA2SLHXFw==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  '@babel/helper-plugin-utils@7.25.9':\n    resolution: {integrity: sha512-kSMlyUVdWe25rEsRGviIgOWnoT/nfABVWlqt9N19/dIPWViAOW2s9wznP5tURbs/IDuNk4gPy3YdYRgH3uxhBw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-string-parser@7.25.9':\n    resolution: {integrity: sha512-4A/SCr/2KLd5jrtOMFzaKjVtAei3+2r/NChoBNoZ3EyP/+GlhoaEGoWOZUmFmoITP7zOJyHIMm+DYRd8o3PvHA==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-validator-identifier@7.25.9':\n    resolution: {integrity: sha512-Ed61U6XJc3CVRfkERJWDz4dJwKe7iLmmJsbOGu9wSloNSFttHV0I8g6UAgb7qnK5ly5bGLPd4oXZlxCdANBOWQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helper-validator-option@7.25.9':\n    resolution: {integrity: sha512-e/zv1co8pp55dNdEcCynfj9X7nyUKUXoUEwfXqaZt0omVOmDe9oOTdKStH4GmAw6zxMFs50ZayuMfHDKlO7Tfw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/helpers@7.26.0':\n    resolution: {integrity: sha512-tbhNuIxNcVb21pInl3ZSjksLCvgdZy9KwJ8brv993QtIVKJBBkYXz4q4ZbAv31GdnC+R90np23L5FbEBlthAEw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/parser@7.26.3':\n    resolution: {integrity: sha512-WJ/CvmY8Mea8iDXo6a7RK2wbmJITT5fN3BEkRuFlxVyNx8jOKIIhmC4fSkTcPcf8JyavbBwIe6OpiCOBXt/IcA==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  '@babel/plugin-syntax-async-generators@7.8.4':\n    resolution: {integrity: sha512-tycmZxkGfZaxhMRbXlPXuVFpdWlXpir2W4AMhSJgRKzk/eDlIXOhb2LHWoLpDF7TEHylV5zNhykX6KAgHJmTNw==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-bigint@7.8.3':\n    resolution: {integrity: sha512-wnTnFlG+YxQm3vDxpGE57Pj0srRU4sHE/mDkt1qv2YJJSeUAec2ma4WLUnUPeKjyrfntVwe/N6dCXpU+zL3Npg==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-class-properties@7.12.13':\n    resolution: {integrity: sha512-fm4idjKla0YahUNgFNLCB0qySdsoPiZP3iQE3rky0mBUtMZ23yDJ9SJdg6dXTSDnulOVqiF3Hgr9nbXvXTQZYA==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-class-static-block@7.14.5':\n    resolution: {integrity: sha512-b+YyPmr6ldyNnM6sqYeMWE+bgJcJpO6yS4QD7ymxgH34GBPNDM/THBh8iunyvKIZztiwLH4CJZ0RxTk9emgpjw==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-import-attributes@7.26.0':\n    resolution: {integrity: sha512-e2dttdsJ1ZTpi3B9UYGLw41hifAubg19AtCu/2I/F1QNVclOBr1dYpTdmdyZ84Xiz43BS/tCUkMAZNLv12Pi+A==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-import-meta@7.10.4':\n    resolution: {integrity: sha512-Yqfm+XDx0+Prh3VSeEQCPU81yC+JWZ2pDPFSS4ZdpfZhp4MkFMaDC1UqseovEKwSUpnIL7+vK+Clp7bfh0iD7g==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-json-strings@7.8.3':\n    resolution: {integrity: sha512-lY6kdGpWHvjoe2vk4WrAapEuBR69EMxZl+RoGRhrFGNYVK8mOPAW8VfbT/ZgrFbXlDNiiaxQnAtgVCZ6jv30EA==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-logical-assignment-operators@7.10.4':\n    resolution: {integrity: sha512-d8waShlpFDinQ5MtvGU9xDAOzKH47+FFoney2baFIoMr952hKOLp1HR7VszoZvOsV/4+RRszNY7D17ba0te0ig==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-nullish-coalescing-operator@7.8.3':\n    resolution: {integrity: sha512-aSff4zPII1u2QD7y+F8oDsz19ew4IGEJg9SVW+bqwpwtfFleiQDMdzA/R+UlWDzfnHFCxxleFT0PMIrR36XLNQ==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-numeric-separator@7.10.4':\n    resolution: {integrity: sha512-9H6YdfkcK/uOnY/K7/aA2xpzaAgkQn37yzWUMRK7OaPOqOpGS1+n0H5hxT9AUw9EsSjPW8SVyMJwYRtWs3X3ug==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-object-rest-spread@7.8.3':\n    resolution: {integrity: sha512-XoqMijGZb9y3y2XskN+P1wUGiVwWZ5JmoDRwx5+3GmEplNyVM2s2Dg8ILFQm8rWM48orGy5YpI5Bl8U1y7ydlA==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-optional-catch-binding@7.8.3':\n    resolution: {integrity: sha512-6VPD0Pc1lpTqw0aKoeRTMiB+kWhAoT24PA+ksWSBrFtl5SIRVpZlwN3NNPQjehA2E/91FV3RjLWoVTglWcSV3Q==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-optional-chaining@7.8.3':\n    resolution: {integrity: sha512-KoK9ErH1MBlCPxV0VANkXW2/dw4vlbGDrFgz8bmUsBGYkFRcbRwMh6cIJubdPrkxRwuGdtCk0v/wPTKbQgBjkg==}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-private-property-in-object@7.14.5':\n    resolution: {integrity: sha512-0wVnp9dxJ72ZUJDV27ZfbSj6iHLoytYZmh3rFcxNnvsJF3ktkzLDZPy/mA17HGsaQT3/DQsWYX1f1QGWkCoVUg==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/plugin-syntax-top-level-await@7.14.5':\n    resolution: {integrity: sha512-hx++upLv5U1rgYfwe1xBQUhRmU41NEvpUvrp8jkrSCdvGSnM5/qdRMtylJ6PG5OFkBaHkbTAKTnd3/YyESRHFw==}\n    engines: {node: '>=6.9.0'}\n    peerDependencies:\n      '@babel/core': ^7.0.0-0\n\n  '@babel/runtime@7.18.6':\n    resolution: {integrity: sha512-t9wi7/AW6XtKahAe20Yw0/mMljKq0B1r2fPdvaAdV/KPDZewFXdaaa6K7lxmZBZ8FBNpCiAT6iHPmd6QO9bKfQ==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/runtime@7.26.0':\n    resolution: {integrity: sha512-FDSOghenHTiToteC/QRlv2q3DhPZ/oOXTBoirfWNx1Cx3TMVcGWQtMMmQcSvb/JjpNeGzx8Pq/b4fKEJuWm1sw==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/template@7.25.9':\n    resolution: {integrity: sha512-9DGttpmPvIxBb/2uwpVo3dqJ+O6RooAFOS+lB+xDqoE2PVCE8nfoHMdZLpfCQRLwvohzXISPZcgxt80xLfsuwg==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/traverse@7.26.4':\n    resolution: {integrity: sha512-fH+b7Y4p3yqvApJALCPJcwb0/XaOSgtK4pzV6WVjPR5GLFQBRI7pfoX2V2iM48NXvX07NUxxm1Vw98YjqTcU5w==}\n    engines: {node: '>=6.9.0'}\n\n  '@babel/types@7.26.3':\n    resolution: {integrity: sha512-vN5p+1kl59GVKMvTHt55NzzmYVxprfJD+ql7U9NFIfKCBkYE55LYtS+WtPlaYOyzydrKI8Nezd+aZextrd+FMA==}\n    engines: {node: '>=6.9.0'}\n\n  '@bcoe/v8-coverage@0.2.3':\n    resolution: {integrity: sha512-0hYQ8SB4Db5zvZB4axdMHGwEaQjkZzFjQiN9LVYvIFB2nSUHW9tYpxWriPrWDASIxiaXax83REcLxuSdnGPZtw==}\n\n  '@bloomberg/record-tuple-polyfill@0.0.3':\n    resolution: {integrity: sha512-sBnCqW0nqofE47mxFnw+lvx6kzsQstwaQMVkh66qm/A6IlsnH7WsyGuVXTou8RF2wL4W7ybOoHPvP2WgIo6rhQ==}\n\n  '@cnakazawa/watch@1.0.4':\n    resolution: {integrity: sha512-v9kIhKwjeZThiWrLmj0y17CWoyddASLj9O2yvbZkbvw/N3rWOYy9zkV66ursAoVr0mV15bL8g0c4QZUE6cdDoQ==}\n    engines: {node: '>=0.1.95'}\n    hasBin: true\n\n  '@csstools/convert-colors@1.4.0':\n    resolution: {integrity: sha512-5a6wqoJV/xEdbRNKVo6I4hO3VjyDq//8q2f9I6PBAvMesJHFauXDorcNCsr9RzvsZnaWi5NYCcfyqP1QeFHFbw==}\n    engines: {node: '>=4.0.0'}\n\n  '@ctrl/tinycolor@3.6.1':\n    resolution: {integrity: sha512-SITSV6aIXsuVNV3f3O0f2n/cgyEDWoSqtZMYiAmcsYHydcKrOz3gUxB/iXd/Qf08+IZX4KpgNbvUdMBmWz+kcA==}\n    engines: {node: '>=10'}\n\n  '@formatjs/intl-displaynames@1.2.10':\n    resolution: {integrity: sha512-GROA2RP6+7Ouu0WnHFF78O5XIU7pBfI19WM1qm93l6MFWibUk67nCfVCK3VAYJkLy8L8ZxjkYT11VIAfvSz8wg==}\n\n  '@formatjs/intl-listformat@1.4.8':\n    resolution: {integrity: sha512-WNMQlEg0e50VZrGIkgD5n7+DAMGt3boKi1GJALfhFMymslJb5i+5WzWxyj/3a929Z6MAFsmzRIJjKuv+BxKAOQ==}\n\n  '@formatjs/intl-pluralrules@1.5.9':\n    resolution: {integrity: sha512-37E1ZG+Oqo3qrpUfumzNcFTV+V+NCExmTkkQ9Zw4FSlvJ4WhbbeYdieVapUVz9M0cLy8XrhCkfuM/Kn03iKReg==}\n\n  '@formatjs/intl-relativetimeformat@4.5.16':\n    resolution: {integrity: sha512-IQ0haY97oHAH5OYUdykNiepdyEWj3SAT+Fp9ZpR85ov2JNiFx+12WWlxlVS8ehdyncC2ZMt/SwFIy2huK2+6/A==}\n\n  '@formatjs/intl-unified-numberformat@3.3.7':\n    resolution: {integrity: sha512-KnWgLRHzCAgT9eyt3OS34RHoyD7dPDYhRcuKn+/6Kv2knDF8Im43J6vlSW6Hm1w63fNq3ZIT1cFk7RuVO3Psag==}\n    deprecated: We have renamed the package to @formatjs/intl-numberformat\n\n  '@formatjs/intl-utils@2.3.0':\n    resolution: {integrity: sha512-KWk80UPIzPmUg+P0rKh6TqspRw0G6eux1PuJr+zz47ftMaZ9QDwbGzHZbtzWkl5hgayM/qrKRutllRC7D/vVXQ==}\n    deprecated: the package is rather renamed to @formatjs/ecma-abstract with some changes in functionality (primarily selectUnit is removed and we don't plan to make any further changes to this package\n\n  '@istanbuljs/load-nyc-config@1.1.0':\n    resolution: {integrity: sha512-VjeHSlIzpv/NyD3N0YuHfXOPDIixcA1q2ZV98wsMqcYlPmv2n3Yb2lYP9XMElnaFVXg5A7YLTeLu6V84uQDjmQ==}\n    engines: {node: '>=8'}\n\n  '@istanbuljs/schema@0.1.3':\n    resolution: {integrity: sha512-ZXRY4jNvVgSVQ8DL3LTcakaAtXwTVUxE81hslsyD2AtoXW/wVob10HkOJ1X/pAlcI7D+2YoZKg5do8G/w6RYgA==}\n    engines: {node: '>=8'}\n\n  '@jest/console@26.6.2':\n    resolution: {integrity: sha512-IY1R2i2aLsLr7Id3S6p2BA82GNWryt4oSvEXLAKc+L2zdi89dSkE8xC1C+0kpATG4JhBJREnQOH7/zmccM2B0g==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/core@26.6.3':\n    resolution: {integrity: sha512-xvV1kKbhfUqFVuZ8Cyo+JPpipAHHAV3kcDBftiduK8EICXmTFddryy3P7NfZt8Pv37rA9nEJBKCCkglCPt/Xjw==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/environment@26.6.2':\n    resolution: {integrity: sha512-nFy+fHl28zUrRsCeMB61VDThV1pVTtlEokBRgqPrcT1JNq4yRNIyTHfyht6PqtUvY9IsuLGTrbG8kPXjSZIZwA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/fake-timers@26.6.2':\n    resolution: {integrity: sha512-14Uleatt7jdzefLPYM3KLcnUl1ZNikaKq34enpb5XG9i81JpppDb5muZvonvKyrl7ftEHkKS5L5/eB/kxJ+bvA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/globals@26.6.2':\n    resolution: {integrity: sha512-85Ltnm7HlB/KesBUuALwQ68YTU72w9H2xW9FjZ1eL1U3lhtefjjl5c2MiUbpXt/i6LaPRvoOFJ22yCBSfQ0JIA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/reporters@26.6.2':\n    resolution: {integrity: sha512-h2bW53APG4HvkOnVMo8q3QXa6pcaNt1HkwVsOPMBV6LD/q9oSpxNSYZQYkAnjdMjrJ86UuYeLo+aEZClV6opnw==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/source-map@26.6.2':\n    resolution: {integrity: sha512-YwYcCwAnNmOVsZ8mr3GfnzdXDAl4LaenZP5z+G0c8bzC9/dugL8zRmxZzdoTl4IaS3CryS1uWnROLPFmb6lVvA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/test-result@26.6.2':\n    resolution: {integrity: sha512-5O7H5c/7YlojphYNrK02LlDIV2GNPYisKwHm2QTKjNZeEzezCbwYs9swJySv2UfPMyZ0VdsmMv7jIlD/IKYQpQ==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/test-sequencer@26.6.3':\n    resolution: {integrity: sha512-YHlVIjP5nfEyjlrSr8t/YdNfU/1XEt7c5b4OxcXCjyRhjzLYu/rO69/WHPuYcbCWkz8kAeZVZp2N2+IOLLEPGw==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/transform@26.6.2':\n    resolution: {integrity: sha512-E9JjhUgNzvuQ+vVAL21vlyfy12gP0GhazGgJC4h6qUt1jSdUXGWJ1wfu/X7Sd8etSgxV4ovT1pb9v5D6QW4XgA==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jest/types@26.6.2':\n    resolution: {integrity: sha512-fC6QCp7Sc5sX6g8Tvbmj4XUTbyrik0akgRy03yjXbQaBWWNWGE7SGtJk98m0N8nzegD/7SggrUlivxo5ax4KWQ==}\n    engines: {node: '>= 10.14.2'}\n\n  '@jridgewell/gen-mapping@0.3.8':\n    resolution: {integrity: sha512-imAbBGkb+ebQyxKgzv5Hu2nmROxoDOXHh80evxdoXNOrvAnVx7zimzc1Oo5h9RlfV4vPXaE2iM5pOFbvOCClWA==}\n    engines: {node: '>=6.0.0'}\n\n  '@jridgewell/resolve-uri@3.1.2':\n    resolution: {integrity: sha512-bRISgCIjP20/tbWSPWMEi54QVPRZExkuD9lJL+UIxUKtwVJA8wW1Trb1jMs1RFXo1CBTNZ/5hpC9QvmKWdopKw==}\n    engines: {node: '>=6.0.0'}\n\n  '@jridgewell/set-array@1.2.1':\n    resolution: {integrity: sha512-R8gLRTZeyp03ymzP/6Lil/28tGeGEzhx1q2k703KGWRAI1VdvPIXdG70VJc2pAMw3NA6JKL5hhFu1sJX0Mnn/A==}\n    engines: {node: '>=6.0.0'}\n\n  '@jridgewell/source-map@0.3.6':\n    resolution: {integrity: sha512-1ZJTZebgqllO79ue2bm3rIGud/bOe0pP5BjSRCRxxYkEZS8STV7zN84UBbiYu7jy+eCKSnVIUgoWWE/tt+shMQ==}\n\n  '@jridgewell/sourcemap-codec@1.5.0':\n    resolution: {integrity: sha512-gv3ZRaISU3fjPAgNsriBRqGWQL6quFx04YMPW/zD8XMLsU32mhCCbfbO6KZFLjvYpCZ8zyDEgqsgf+PwPaM7GQ==}\n\n  '@jridgewell/trace-mapping@0.3.25':\n    resolution: {integrity: sha512-vNk6aEwybGtawWmy/PzwnGDOjCkLWSD2wqvjGGAgOAwCGWySYXfYoxt00IJkTF+8Lb57DwOb3Aa0o9CApepiYQ==}\n\n  '@qixian.cs/path-to-regexp@6.1.0':\n    resolution: {integrity: sha512-2jIiLiVZB1jnY7IIRQKtoV8Gnr7XIhk4mC88ONGunZE3hYt5IHUG4BE/6+JiTBjjEWQLBeWnZB8hGpppkufiVw==}\n\n  '@rc-component/portal@1.1.2':\n    resolution: {integrity: sha512-6f813C0IsasTZms08kfA8kPAGxbbkYToa8ALaiDIGGECU4i9hj8Plgbx0sNJDrey3EtHO30hmdaxtT0138xZcg==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  '@sinonjs/commons@1.8.6':\n    resolution: {integrity: sha512-Ky+XkAkqPZSm3NLBeUng77EBQl3cmeJhITaGHdYH8kjVB+aun3S4XBRti2zt17mtt0mIUDiNxYeoJm6drVvBJQ==}\n\n  '@sinonjs/fake-timers@6.0.1':\n    resolution: {integrity: sha512-MZPUxrmFubI36XS1DI3qmI0YdN1gks62JtFZvxR67ljjSNCeK6U08Zx4msEWOXuofgqUt6zPHSi1H9fbjR/NRA==}\n\n  '@tootallnate/once@1.1.2':\n    resolution: {integrity: sha512-RbzJvlNzmRq5c3O09UipeuXno4tA1FE6ikOjxZK0tuxVv3412l64l5t1W5pj4+rJq9vpkm/kwiR07aZXnsKPxw==}\n    engines: {node: '>= 6'}\n\n  '@types/babel__core@7.20.5':\n    resolution: {integrity: sha512-qoQprZvz5wQFJwMDqeseRXWv3rqMvhgpbXFfVyWhbx9X47POIA6i/+dXefEmZKoAgOaTdaIgNSMqMIU61yRyzA==}\n\n  '@types/babel__generator@7.6.8':\n    resolution: {integrity: sha512-ASsj+tpEDsEiFr1arWrlN6V3mdfjRMZt6LtK/Vp/kreFLnr5QH5+DhvD5nINYZXzwJvXeGq+05iUXcAzVrqWtw==}\n\n  '@types/babel__template@7.4.4':\n    resolution: {integrity: sha512-h/NUaSyG5EyxBIp8YRxo4RMe2/qQgvyowRwVMzhYhBCONbW8PUsg4lkFMrhgZhUe5z3L3MiLDuvyJ/CaPa2A8A==}\n\n  '@types/babel__traverse@7.20.6':\n    resolution: {integrity: sha512-r1bzfrm0tomOI8g1SzvCaQHo6Lcv6zu0EA+W2kHrt8dyrHQxGzBBL4kdkzIS+jBMV+EYcMAEAqXqYaLJq5rOZg==}\n\n  '@types/graceful-fs@4.1.9':\n    resolution: {integrity: sha512-olP3sd1qOEe5dXTSaFvQG+02VdRXcdytWLAZsAq1PecU8uqQAhkrnbli7DagjtXKW/Bl7YJbUsa8MPcuc8LHEQ==}\n\n  '@types/history@4.7.11':\n    resolution: {integrity: sha512-qjDJRrmvBMiTx+jyLxvLfJU7UznFuokDv4f3WRuriHKERccVpFU+8XMQUAbDzoiJCsmexxRExQeMwwCdamSKDA==}\n\n  '@types/history@5.0.0':\n    resolution: {integrity: sha512-hy8b7Y1J8OGe6LbAjj3xniQrj3v6lsivCcrmf4TzSgPzLkhIeKgc5IZnT7ReIqmEuodjfO8EYAuoFvIrHi/+jQ==}\n    deprecated: This is a stub types definition. history provides its own type definitions, so you do not need this installed.\n\n  '@types/hoist-non-react-statics@3.3.6':\n    resolution: {integrity: sha512-lPByRJUer/iN/xa4qpyL0qmL11DqNW81iU/IG1S3uvRUq4oKagz8VCxZjiWkumgt66YT3vOdDgZ0o32sGKtCEw==}\n\n  '@types/invariant@2.2.37':\n    resolution: {integrity: sha512-IwpIMieE55oGWiXkQPSBY1nw1nFs6bsKXTFskNY8sdS17K24vyEBRQZEwlRS7ZmXCWnJcQtbxWzly+cODWGs2A==}\n\n  '@types/isomorphic-fetch@0.0.35':\n    resolution: {integrity: sha512-DaZNUvLDCAnCTjgwxgiL1eQdxIKEpNLOlTNtAgnZc50bG2copGhRrFN9/PxPBuJe+tZVLCbQ7ls0xveXVRPkvw==}\n\n  '@types/istanbul-lib-coverage@2.0.6':\n    resolution: {integrity: sha512-2QF/t/auWm0lsy8XtKVPG19v3sSOQlJe/YHZgfjb/KBBHOGSV+J2q/S671rcq9uTBrLAXmZpqJiaQbMT+zNU1w==}\n\n  '@types/istanbul-lib-report@3.0.3':\n    resolution: {integrity: sha512-NQn7AHQnk/RSLOxrBbGyJM/aVQ+pjj5HCgasFxc0K/KhoATfQ/47AyUl15I2yBUpihjmas+a+VJBOqecrFH+uA==}\n\n  '@types/istanbul-reports@3.0.4':\n    resolution: {integrity: sha512-pk2B1NWalF9toCRu6gjBzR69syFjP4Od8WRAX+0mmf9lAjCRicLOWc+ZrxZHx/0XRjotgkF9t6iaMJ+aXcOdZQ==}\n\n  '@types/json-schema@7.0.15':\n    resolution: {integrity: sha512-5+fP8P8MFNC+AyZCDxrB2pkZFPGzqQWUzpSeuuVLvm8VMcorNYavBqoFcxK8bQz4Qsbn4oUEEem4wDLfcysGHA==}\n\n  '@types/node@22.10.2':\n    resolution: {integrity: sha512-Xxr6BBRCAOQixvonOye19wnzyDiUtTeqldOOmj3CkeblonbccA12PFwlufvRdrpjXxqnmUaeiU5EOA+7s5diUQ==}\n\n  '@types/normalize-package-data@2.4.4':\n    resolution: {integrity: sha512-37i+OaWTh9qeK4LSHPsyRC7NahnGotNuZvjLSgcPzblpHB3rrCJxAOgI5gCdKm7coonsaX1Of0ILiTcnZjbfxA==}\n\n  '@types/parse-json@4.0.2':\n    resolution: {integrity: sha512-dISoDXWWQwUquiKsyZ4Ng+HX2KsPL7LyHKHQwgGFEA3IaKac4Obd+h2a/a6waisAoepJlBcx9paWqjA8/HVjCw==}\n\n  '@types/prettier@2.7.3':\n    resolution: {integrity: sha512-+68kP9yzs4LMp7VNh8gdzMSPZFL44MLGqiHWvttYJe+6qnuVr4Ek9wSBQoveqY/r+LwjCcU29kNVkidwim+kYA==}\n\n  '@types/prop-types@15.7.14':\n    resolution: {integrity: sha512-gNMvNH49DJ7OJYv+KAKn0Xp45p8PLl6zo2YnvDIbTd4J6MER2BmWN49TG7n9LvkyihINxeKW8+3bfS2yDC9dzQ==}\n\n  '@types/react-dom@16.9.25':\n    resolution: {integrity: sha512-ZK//eAPhwft9Ul2/Zj+6O11YR6L4JX0J2sVeBC9Ft7x7HFN7xk7yUV/zDxqV6rjvqgl6r8Dq7oQImxtyf/Mzcw==}\n    peerDependencies:\n      '@types/react': ^16.0.0\n\n  '@types/react-dom@17.0.26':\n    resolution: {integrity: sha512-Z+2VcYXJwOqQ79HreLU/1fyQ88eXSSFh6I3JdrEHQIfYSI0kCQpTGvOrbE6jFGGYXKsHuwY9tBa/w5Uo6KzrEg==}\n    peerDependencies:\n      '@types/react': ^17.0.0\n\n  '@types/react-helmet@6.1.11':\n    resolution: {integrity: sha512-0QcdGLddTERotCXo3VFlUSWO3ztraw8nZ6e3zJSgG7apwV5xt+pJUS8ewPBqT4NYB1optGLprNQzFleIY84u/g==}\n\n  '@types/react-redux@7.1.34':\n    resolution: {integrity: sha512-GdFaVjEbYv4Fthm2ZLvj1VSCedV7TqE5y1kNwnjSdBOTXuRSgowux6J8TAct15T3CKBr63UMk+2CO7ilRhyrAQ==}\n\n  '@types/react-router-config@5.0.2':\n    resolution: {integrity: sha512-WOSetDV3YPxbkVJAdv/bqExJjmcdCi/vpCJh3NfQOy1X15vHMSiMioXIcGekXDJJYhqGUMDo9e337mh508foAA==}\n\n  '@types/react-router-dom@5.1.7':\n    resolution: {integrity: sha512-D5mHD6TbdV/DNHYsnwBTv+y73ei+mMjrkGrla86HthE4/PVvL1J94Bu3qABU+COXzpL23T1EZapVVpwHuBXiUg==}\n\n  '@types/react-router-dom@5.3.3':\n    resolution: {integrity: sha512-kpqnYK4wcdm5UaWI3fLcELopqLrHgLqNsdpHauzlQktfkHL3npOSwtj1Uz9oKBAzs7lFtVkV8j83voAz2D8fhw==}\n\n  '@types/react-router@5.1.12':\n    resolution: {integrity: sha512-0bhXQwHYfMeJlCh7mGhc0VJTRm0Gk+Z8T00aiP4702mDUuLs9SMhnd2DitpjWFjdOecx2UXtICK14H9iMnziGA==}\n\n  '@types/react-router@5.1.20':\n    resolution: {integrity: sha512-jGjmu/ZqS7FjSH6owMcD5qpq19+1RS9DeVRqfl1FeBMxTDQAGwlMWOcs52NDoXaNKyG3d1cYQFMs9rCrb88o9Q==}\n\n  '@types/react@16.14.62':\n    resolution: {integrity: sha512-BWf7hqninZav6nerxXj+NeZT/mTpDeG6Lk2zREHAy63CrnXoOGPGtNqTFYFN/sqpSaREDP5otVV88axIXmKfGA==}\n\n  '@types/react@17.0.83':\n    resolution: {integrity: sha512-l0m4ArKJvmFtR4e8UmKrj1pB4tUgOhJITf+mADyF/p69Ts1YAR/E+G9XEM0mHXKVRa1dQNHseyyDNzeuAXfXQw==}\n\n  '@types/scheduler@0.16.8':\n    resolution: {integrity: sha512-WZLiwShhwLRmeV6zH+GkbOFT6Z6VklCItrDioxUnv+u4Ll+8vKeFySoFyK/0ctcRpOmwAicELfmys1sDc/Rw+A==}\n\n  '@types/stack-utils@2.0.3':\n    resolution: {integrity: sha512-9aEbYZ3TbYMznPdcdr3SmIrLXwC/AKZXQeCf9Pgao5CKb8CyHuEX5jzWPTkvregvhRJHcpRO6BFoGW9ycaOkYw==}\n\n  '@types/yargs-parser@21.0.3':\n    resolution: {integrity: sha512-I4q9QU9MQv4oEOz4tAHJtNz1cwuLxn2F3xcc2iV5WdqLPpUnj30aUuxt1mAxYTG+oe8CZMV/+6rU4S4gRDzqtQ==}\n\n  '@types/yargs@15.0.19':\n    resolution: {integrity: sha512-2XUaGVmyQjgyAZldf0D0c14vvo/yv0MhQBSTJcejMMaitsn3nxCB6TmH4G0ZQf+uxROOa9mpanoSm8h6SG/1ZA==}\n\n  '@umijs/ast@3.5.43':\n    resolution: {integrity: sha512-P+yperHXuPCewEhgzKRXOxhpQmcK06J2PuLs7XaeQatpUTP//omJeIAcSHV8Rr9ynuvYnz9lS1qKqjgfjmZ8bA==}\n\n  '@umijs/babel-plugin-auto-css-modules@3.5.43':\n    resolution: {integrity: sha512-u1JTVqgABY3cSCWsaRumnPINZzgUE5WDTsm7BYXf5a+mdZQiv87pCU2jC6S4OabMqm3mR75gJc5wLR4sFnlkrA==}\n\n  '@umijs/babel-plugin-import-to-await-require@3.5.43':\n    resolution: {integrity: sha512-PhPTS/i2yBEdZbsSp6Cj3cEcxwLOcacjzUgkH+g9vvVwMSAgMqkI1Tx57Y70LZorE4PeUNl5yeS9hGm24JAMQA==}\n\n  '@umijs/babel-plugin-lock-core-js-3@3.5.43':\n    resolution: {integrity: sha512-hOb6cyCrn/4SQ2qGc6RBOG7aPtMHqyuy2iJonzFobdbkOW5nOnYfK/F3oeSJqn/amynFr3W6cUdflyg3Mn5lRQ==}\n\n  '@umijs/babel-plugin-no-anonymous-default-export@3.5.43':\n    resolution: {integrity: sha512-itH+IV96AChX7zKDLEKNi6IEHL+RT8DsP8BSH3oDGWRE0OM4VlpM42N195bsMtOtdl7kCb9HUP1Bg1J/+hHwsw==}\n\n  '@umijs/babel-preset-umi@3.5.43':\n    resolution: {integrity: sha512-raFsiPYy70QNKM4jSo+qdO3wkZr9PCsSSz/+CGTUPkpre5sk6ISDcuXdvEJ92viMe1Xk1+LaPcnbJqIdu7EClA==}\n\n  '@umijs/bundler-utils@3.5.43':\n    resolution: {integrity: sha512-Vw1qR+4KBQx/M1NwlDrMPydyBoA/qLT+nxZKAeIwCjkJT42QSJn38OMDqsRKRPkuoL5tLN4Ss+PbXoJ5evLWoA==}\n\n  '@umijs/bundler-webpack@3.5.43':\n    resolution: {integrity: sha512-Sf15PCMSbt0QMnRcNGIU+Nd6dha5aBZPdOE7IdlWLXJ9rSICNuhblD2P5L8MscwomOXYvsPKzNGI92MUyfjq5w==}\n    hasBin: true\n\n  '@umijs/case-sensitive-paths-webpack-plugin@1.0.1':\n    resolution: {integrity: sha512-kDKJ8yTarxwxGJDInG33hOpaQRZ//XpNuuznQ/1Mscypw6kappzFmrBr2dOYave++K7JHouoANF354UpbEQw0Q==}\n\n  '@umijs/core@3.5.43':\n    resolution: {integrity: sha512-YT/ZrYZl5xrffW3WyDzsrec0FMhebjDoJSA7A2X2WX8lmsIhjzrVEDeR265+t5J+OH7joB8pMMiV/tvhVPHb7w==}\n\n  '@umijs/deps@3.5.43':\n    resolution: {integrity: sha512-1UugbYw+Emcq1AngzLgCvpMDdIVjpBVGwdrWDcxt3zjSR/2teRbaMdzUEqaMaqMWYVMbZKorARuyit5hZorrXQ==}\n\n  '@umijs/plugin-access@2.4.3':\n    resolution: {integrity: sha512-6FON4aHzVFs/vtFK5Sdnw+FBolfoYi8wV8V9Q8x2T19NwjZtjXSPjt0gtrG4jdx4LRsSV2DKLaMGoJYbNr94aA==}\n    peerDependencies:\n      '@umijs/plugin-initial-state': 2.x\n      '@umijs/plugin-model': 2.x\n      umi: 3.x\n\n  '@umijs/plugin-analytics@0.2.2':\n    resolution: {integrity: sha512-dVDzUfgIdEwdCC6a5IsMYpIPI+bEZjBEqIhAvw9dic6Vk77w9RxQxyRfW11dDmdXLAwWphp22NntQNt1ejZPtg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-antd@0.13.0':\n    resolution: {integrity: sha512-7tooYtOylVatrzMWCJtk8JFQL90i94OD0FgZYpKBbM7keThH8prYkSkDJFIDkuGfZ6pl6BJT8ESnYLxf2OiQUw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-crossorigin@1.2.1':\n    resolution: {integrity: sha512-4oXNFBLOCH1FHTgFi7EDmlcjjYMthOQlrTT+mSbNeMzvl0P/WKldSJsYAUXUTg+I7vlbb5bNby4dpHKK37JcbQ==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-dva@0.13.0':\n    resolution: {integrity: sha512-cpGq8vzN8AmyWxexWLQ+WGqfT0WMCiryvU5EcNGbx1/Ub9aICUfPBpB46cxJrxjDCjUzuVslRNb2pdgI0xXUXg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-helmet@1.1.3':\n    resolution: {integrity: sha512-X4GRFlvOb8DxMDm1vExfpWOvxl6bp0oZz114DyhwnMSriJ8RcHAigTjtVJHYxJpKv7P6KayN3n13J4w/XZGWMg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-initial-state@2.4.0':\n    resolution: {integrity: sha512-UHH5fTL9skm4771R3xvWCrjd5xiQ7OdJ83G0P1YZLhuNbh0cAFVT8SPTU8dA9o8TTAZ66IEq7axhWl1cGxVsXw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-layout@0.18.1':\n    resolution: {integrity: sha512-15YTcFpic0v15nFzlg6G8nvMCveBtcBL77Wr9wXYJdgR0iU7dnO7T4OqbLwgEc1uHxtGhTVibi6nSGelX56zCg==}\n    peerDependencies:\n      '@ant-design/icons': ^4.0.0\n      '@ant-design/pro-layout': ^6.0.0\n      '@umijs/plugin-initial-state': 2.x\n      '@umijs/plugin-locale': 0.x\n      '@umijs/plugin-model': 2.x\n      umi: 3.x\n\n  '@umijs/plugin-locale@0.15.2':\n    resolution: {integrity: sha512-/m3ik0NKbE/PHFPKPqSBEwGi5RUB6Dz2T7jepDXhU8ycV0zUPGbDbChUx1r/3t5zveZIND1s/7A49Apb+ujUmg==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-model@2.6.2':\n    resolution: {integrity: sha512-MKLAgYIoBkciavxTqJY6VOhvnNQv7jp+olNmXqqZ3I3WsLg7jo33NCOAA3ej103kmo9ZvD9R1aakl7e9WKsdAw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-request@2.8.0':\n    resolution: {integrity: sha512-bwJg0rFbMZcizO+fHbSNz6X/U6suR84ciLIo9zLtRMuradx/yanMnz+ckh2dlZvTlGYrckkJwWgoSFxWlU8yyA==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/plugin-test@1.0.2':\n    resolution: {integrity: sha512-EIV86Xmw/Cn8vRLXha+ct0PfY6gRRKov5lanvt1B2L5t6xAqnTd03AxmB7i1Go9vDcFxDBheuDf/nyGiT/xTFw==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/preset-built-in@3.5.43':\n    resolution: {integrity: sha512-h9DVc5MjdUON7/xH3bxq76AHDPBTLjntDWBrW6xn+OhDT4j8/YFXrDQwaCwihCJe1eNUBLoVUjWIEIthw7g1Gg==}\n    peerDependencies:\n      react: 16.x || 17.x\n\n  '@umijs/preset-react@1.8.32':\n    resolution: {integrity: sha512-f/jJRxIRzRrZ040GMdBuV3byvtbx35oWymDT5A/q/e+QmjCrs6c9XCRktGInKIhZycqI/GuA6eLaxXIKvu6b9A==}\n    peerDependencies:\n      umi: 3.x\n\n  '@umijs/renderer-mpa@3.5.43':\n    resolution: {integrity: sha512-posQsrkFru/Q9Jft42w4pr/MEFsImd9DlKOV9zYil1ZM6JBS3/hKMmCeSd2Uku7+KgSS/8HSfc4qX/GyeRTzwA==}\n    peerDependencies:\n      react: 16.x || 17.x\n      react-dom: 16.x || 17.x\n\n  '@umijs/renderer-react@3.5.43':\n    resolution: {integrity: sha512-nadGLVbc6qrEX5pd+qY4nr9Mzl7x2hhxec2JeAd2Bg0JkZYNC8H4crTfe844uLm3MvqAtAhomGhN5c0ejDEBhA==}\n    peerDependencies:\n      react: 16.x || 17.x\n      react-dom: 16.x || 17.x\n\n  '@umijs/route-utils@2.2.2':\n    resolution: {integrity: sha512-cMk6qizy0pfpiwpVCvNQB0BKBUJEH33pDv5q5k2tSleSDw2abkJkTu2Kd5hKzoESLuFK43oGeOfcplZqm2bRxw==}\n\n  '@umijs/runtime@3.5.43':\n    resolution: {integrity: sha512-jCmkF5QcqbqzJgtd12Hy6XthLTAcaD4feMHnzM+UqTE74N7lfD13P0brXHrGqkcLbI1NgUs+9rKYIUa56w6jpw==}\n    peerDependencies:\n      react: 16.x || 17.x\n\n  '@umijs/server@3.5.43':\n    resolution: {integrity: sha512-aUSNqnO6WvhgIU6jK1+2YCNkuP6UgiEhTaT/VkSPZdCjagfov2ZfJQ0xWl8x7tocuAaBph6UvXFJWjCQvZ5pHw==}\n\n  '@umijs/ssr-darkreader@4.9.45':\n    resolution: {integrity: sha512-XlcwzSYQ/SRZpHdwIyMDS4FOGX5kP4U/2g2mykyn/iPQTK4xTiQAyBu6UnnDnn7d5P8s7Atzh1C7H0ETNOypJg==}\n\n  '@umijs/test@3.5.43':\n    resolution: {integrity: sha512-9jrziC5ngjrfiJFSdhNDMYcQNrnCQoph/Bu8lZsuBmBQwswN3YqVqefDc4fh4Kl1e4OisKtDfUDtUro8ZApaRQ==}\n    hasBin: true\n\n  '@umijs/types@3.5.43':\n    resolution: {integrity: sha512-XVZuT1X+VpPYrdlDEeginBwBNZaYUDtt3WOyFvfGmBEdqD0iNx0ZgyWmJBhlfRcck5+oYkFpOzmmRIROux2zlA==}\n\n  '@umijs/use-params@1.0.9':\n    resolution: {integrity: sha512-QlN0RJSBVQBwLRNxbxjQ5qzqYIGn+K7USppMoIOVlf7fxXHsnQZ2bEsa6Pm74bt6DVQxpUE8HqvdStn6Y9FV1w==}\n    peerDependencies:\n      react: '*'\n\n  '@umijs/utils@3.5.43':\n    resolution: {integrity: sha512-LQrCkZEa9Fb0zhId1n6CdU489tzJp4/usHVvVcTwjah7jF48zrHXD4OClGjSxvZ63d+3950mZY5IWE9UZVhnDg==}\n\n  abab@2.0.6:\n    resolution: {integrity: sha512-j2afSsaIENvHZN2B8GOpF566vZ5WVk5opAiMTvWgaQT8DkbOqsTfvNAvHoRGU2zzP8cPoqys+xHTRDWW8L+/BA==}\n    deprecated: Use your platform's native atob() and btoa() methods instead\n\n  acorn-globals@6.0.0:\n    resolution: {integrity: sha512-ZQl7LOWaF5ePqqcX4hLuv/bLXYQNfNWw2c0/yX/TsPRKamzHcTGQnlCjHT3TsmkOUVEPS3crCxiPfdzE/Trlhg==}\n\n  acorn-walk@7.2.0:\n    resolution: {integrity: sha512-OPdCF6GsMIP+Az+aWfAAOEt2/+iVDKE7oy6lJ098aoe59oAmK76qV6Gw60SbZ8jHuG2wH058GF4pLFbYamYrVA==}\n    engines: {node: '>=0.4.0'}\n\n  acorn@7.4.1:\n    resolution: {integrity: sha512-nQyp0o1/mNdbTO1PO6kHkwSrmgZ0MT/jCCpNiwbUjGoRN4dlBhqJtoQuCnEOKzgTVwg0ZWiCoQy6SxMebQVh8A==}\n    engines: {node: '>=0.4.0'}\n    hasBin: true\n\n  acorn@8.14.0:\n    resolution: {integrity: sha512-cl669nCJTZBsL97OF4kUQm5g5hC2uihk0NxY3WENAC0TYdILVkAyHymAntgxGkl7K+t0cXIrH5siy5S4XkFycA==}\n    engines: {node: '>=0.4.0'}\n    hasBin: true\n\n  add-dom-event-listener@1.1.0:\n    resolution: {integrity: sha512-WCxx1ixHT0GQU9hb0KI/mhgRQhnU+U3GvwY6ZvVjYq8rsihIGoaIOUbY0yMPBxLH5MDtr0kz3fisWGNcbWW7Jw==}\n\n  agent-base@6.0.2:\n    resolution: {integrity: sha512-RZNwNclF7+MS/8bDg70amg32dyeZGZxiDuQmZxKLAlQjr3jGyLx+4Kkk58UO7D2QdgFIQCovuSuZESne6RG6XQ==}\n    engines: {node: '>= 6.0.0'}\n\n  aggregate-error@3.1.0:\n    resolution: {integrity: sha512-4I7Td01quW/RpocfNayFdFVk1qSuoh0E7JrbRJ16nH01HhKFQ88INq9Sd+nd72zqRySlr9BmDA8xlEJ6vJMrYA==}\n    engines: {node: '>=8'}\n\n  ajv-errors@1.0.1:\n    resolution: {integrity: sha512-DCRfO/4nQ+89p/RK43i8Ezd41EqdGIU4ld7nGF8OQ14oc/we5rEntLCUa7+jrn3nn83BosfwZA0wb4pon2o8iQ==}\n    peerDependencies:\n      ajv: '>=5.0.0'\n\n  ajv-keywords@3.5.2:\n    resolution: {integrity: sha512-5p6WTN0DdTGVQk6VjcEju19IgaHudalcfabD7yhDGeA6bcQnmL+CpveLJq/3hvfwd1aof6L386Ougkx6RfyMIQ==}\n    peerDependencies:\n      ajv: ^6.9.1\n\n  ajv@6.12.6:\n    resolution: {integrity: sha512-j3fVLgvTo527anyYyJOGTYJbG+vnnQYvE0m5mmkc1TK+nxAppkCLMIL0aZ4dblVCNoGShhm+kzE4ZUykBoMg4g==}\n\n  ansi-colors@4.1.3:\n    resolution: {integrity: sha512-/6w/C21Pm1A7aZitlI5Ni/2J6FFQN8i1Cvz3kHABAAbw93v/NlvKdVOqz7CCWz/3iv/JplRSEEZ83XION15ovw==}\n    engines: {node: '>=6'}\n\n  ansi-escapes@4.3.2:\n    resolution: {integrity: sha512-gKXj5ALrKWQLsYG9jlTRmR/xKluxHV+Z9QEwNIgCfM1/uwPMCuzVVnh5mwTd+OuBZcwSIMbqssNWRm1lE51QaQ==}\n    engines: {node: '>=8'}\n\n  ansi-html@0.0.9:\n    resolution: {integrity: sha512-ozbS3LuenHVxNRh/wdnN16QapUHzauqSomAl1jwwJRRsGwFwtj644lIhxfWu0Fy0acCij2+AEgHvjscq3dlVXg==}\n    engines: {'0': node >= 0.8.0}\n    hasBin: true\n\n  ansi-regex@5.0.1:\n    resolution: {integrity: sha512-quJQXlTSUGL2LH9SUXo8VwsY4soanhgo6LNSm84E1LBcE8s3O0wpdiRzyR9z/ZZJMlMWv37qOOb9pdJlMUEKFQ==}\n    engines: {node: '>=8'}\n\n  ansi-styles@3.2.1:\n    resolution: {integrity: sha512-VT0ZI6kZRdTh8YyJw3SMbYm/u+NqfsAxEpWO0Pf9sq8/e94WxxOpPKx9FR1FlyCtOVDNOQ+8ntlqFxiRc+r5qA==}\n    engines: {node: '>=4'}\n\n  ansi-styles@4.3.0:\n    resolution: {integrity: sha512-zbB9rCJAT1rbjiVDb2hqKFHNYLxgtk8NURxZ3IZwD3F6NtxbXZQCnnSi1Lkx+IDohdPlFp222wVALIheZJQSEg==}\n    engines: {node: '>=8'}\n\n  antd-mobile@2.3.4:\n    resolution: {integrity: sha512-Uw02Ghc+DPzaQceJQ+5p1ZnQFafvILA0chTTen7m7c89Uzbw6Ny3zsVZDE1gfteNEIsL4JpPe0I/+aI3Q/nPAA==}\n\n  antd@4.24.16:\n    resolution: {integrity: sha512-zZrK4UYxHtU6tGOOf0uG/kBRx1kTvypfuSB3GqE/SBQxFhZ/TZ+yj7Z1qwI8vGfMtUUJdLeuoCAqGDa1zPsXnQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  anymatch@2.0.0:\n    resolution: {integrity: sha512-5teOsQWABXHHBFP9y3skS5P3d/WfWXpv3FUpy+LorMrNYaT9pI4oLMQX7jzQ2KklNpGpWHzdCXTDT2Y3XGlZBw==}\n\n  anymatch@3.1.3:\n    resolution: {integrity: sha512-KMReFUr0B4t+D+OBkjR3KYqvocp2XaSzO55UcB6mgQMd3KbcE+mWTyvVV7D/zsdEbNnV6acZUutkiHQXvTr1Rw==}\n    engines: {node: '>= 8'}\n\n  arch@2.2.0:\n    resolution: {integrity: sha512-Of/R0wqp83cgHozfIYLbBMnej79U/SVGOOyuB3VVFv1NRM/PSFMK12x9KVtiYzJqmnU5WR2qp0Z5rHb7sWGnFQ==}\n\n  argparse@1.0.10:\n    resolution: {integrity: sha512-o5Roy6tNG4SL/FOkCAN6RzjiakZS25RLYFrcMttJqbdd8BWrnA+fGz57iN5Pb06pvBGvl5gQ0B48dJlslXvoTg==}\n\n  arr-diff@4.0.0:\n    resolution: {integrity: sha512-YVIQ82gZPGBebQV/a8dar4AitzCQs0jjXwMPZllpXMaGjXPYVUawSxQrRsjhjupyVxEvbHgUmIhKVlND+j02kA==}\n    engines: {node: '>=0.10.0'}\n\n  arr-flatten@1.1.0:\n    resolution: {integrity: sha512-L3hKV5R/p5o81R7O02IGnwpDmkp6E982XhtbuwSe3O4qOtMMMtodicASA1Cny2U+aCXcNpml+m4dPsvsJ3jatg==}\n    engines: {node: '>=0.10.0'}\n\n  arr-union@3.1.0:\n    resolution: {integrity: sha512-sKpyeERZ02v1FeCZT8lrfJq5u6goHCtpTAzPwJYe7c8SPFOboNjNg1vz2L4VTn9T4PQxEx13TbXLmYUcS6Ug7Q==}\n    engines: {node: '>=0.10.0'}\n\n  array-tree-filter@2.1.0:\n    resolution: {integrity: sha512-4ROwICNlNw/Hqa9v+rk5h22KjmzB1JGTMVKP2AKJBOCgb0yL0ASf0+YvCcLNNwquOHNX48jkeZIJ3a+oOQqKcw==}\n\n  array-unique@0.3.2:\n    resolution: {integrity: sha512-SleRWjh9JUud2wH1hPs9rZBZ33H6T9HOiL0uwGnGx9FpE6wKGyfWugmbkEOIs6qWrZhg0LWeLziLrEwQJhs5mQ==}\n    engines: {node: '>=0.10.0'}\n\n  asap@2.0.6:\n    resolution: {integrity: sha512-BSHWgDSAiKs50o2Re8ppvp3seVHXSRM44cdSsT9FfNEUUZLOGWVCsiWaRPWM1Znn+mqZ1OfVZ3z3DWEzSp7hRA==}\n\n  asn1.js@4.10.1:\n    resolution: {integrity: sha512-p32cOF5q0Zqs9uBiONKYLm6BClCoBCM5O9JfeUSlnQLBTxYdTK+pW+nXflm8UkKd2UYlEbYz5qEi0JuZR9ckSw==}\n\n  assert@1.5.1:\n    resolution: {integrity: sha512-zzw1uCAgLbsKwBfFc8CX78DDg+xZeBksSO3vwVIDDN5i94eOrPsSSyiVhmsSABFDM/OcpE2aagCat9dnWQLG1A==}\n\n  assign-symbols@1.0.0:\n    resolution: {integrity: sha512-Q+JC7Whu8HhmTdBph/Tq59IoRtoy6KAm5zzPv00WdujX82lbAL8K7WVjne7vdCsAmbF4AYaDOPyO3k0kl8qIrw==}\n    engines: {node: '>=0.10.0'}\n\n  astral-regex@2.0.0:\n    resolution: {integrity: sha512-Z7tMw1ytTXt5jqMcOP+OQteU1VuNK9Y02uuJtKQ1Sv69jXQKKg5cibLwGJow8yzZP+eAc18EmLGPal0bp36rvQ==}\n    engines: {node: '>=8'}\n\n  async-validator@4.2.5:\n    resolution: {integrity: sha512-7HhHjtERjqlNbZtqNqy2rckN/SpOOlmDliet+lP7k+eKZEjPk3DgyeU9lIXLdeLz0uBbbVp+9Qdow9wJWgwwfg==}\n\n  asynckit@0.4.0:\n    resolution: {integrity: sha512-Oei9OH4tRh0YqU3GxhX79dM/mwVgvbZJaSNaRk+bshkj0S5cfHcgYakreBjrHwatXKbz+IoIdYLxrKim2MjW0Q==}\n\n  atob@2.1.2:\n    resolution: {integrity: sha512-Wm6ukoaOGJi/73p/cl2GvLjTI5JM1k/O14isD73YML8StrH/7/lRFgmg8nICZgD3bZZvjwCGxtMOD3wWNAu8cg==}\n    engines: {node: '>= 4.5.0'}\n    hasBin: true\n\n  autoprefixer@9.8.8:\n    resolution: {integrity: sha512-eM9d/swFopRt5gdJ7jrpCwgvEMIayITpojhkkSMRsFHYuH5bkSQ4p/9qTEHtmNudUZh22Tehu7I6CxAW0IXTKA==}\n    hasBin: true\n\n  babel-jest@26.6.3:\n    resolution: {integrity: sha512-pl4Q+GAVOHwvjrck6jKjvmGhnO3jHX/xuB9d27f+EJZ/6k+6nMuPjorrYp7s++bKKdANwzElBWnLWaObvTnaZA==}\n    engines: {node: '>= 10.14.2'}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  babel-plugin-dva-hmr@0.4.2:\n    resolution: {integrity: sha512-QP5W0IT9LDFgoqkXD0g7wn/FMn7zO562P8qys23twXri4i3E1SGOQ3z7jqcPrqzfTZHx+Ufr+cXy9oI6OLMYZg==}\n    peerDependencies:\n      redbox-react: 1.x\n\n  babel-plugin-istanbul@6.1.1:\n    resolution: {integrity: sha512-Y1IQok9821cC9onCx5otgFfRm7Lm+I+wwxOx738M/WLPZ9Q42m4IG5W0FNX8WLL2gYMZo3JkuXIH2DOpWM+qwA==}\n    engines: {node: '>=8'}\n\n  babel-plugin-jest-hoist@26.6.2:\n    resolution: {integrity: sha512-PO9t0697lNTmcEHH69mdtYiOIkkOlj9fySqfO3K1eCcdISevLAE0xY59VLLUj0SoiPiTX/JU2CYFpILydUa5Lw==}\n    engines: {node: '>= 10.14.2'}\n\n  babel-preset-current-node-syntax@1.1.0:\n    resolution: {integrity: sha512-ldYss8SbBlWva1bs28q78Ju5Zq1F+8BrqBZZ0VFhLBvhh6lCpC2o3gDJi/5DRLs9FgYZCnmPYIVFU4lRXCkyUw==}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  babel-preset-jest@26.6.2:\n    resolution: {integrity: sha512-YvdtlVm9t3k777c5NPQIv6cxFFFapys25HiUmuSgHwIZhfifweR5c5Sf5nwE3MAbfu327CYSvps8Yx6ANLyleQ==}\n    engines: {node: '>= 10.14.2'}\n    peerDependencies:\n      '@babel/core': ^7.0.0\n\n  babel-runtime@6.26.0:\n    resolution: {integrity: sha512-ITKNuq2wKlW1fJg9sSW52eepoYgZBggvOAHC0u/CYu/qxQ9EVzThCgR69BnSXLHjy2f7SY5zaQ4yt7H9ZVxY2g==}\n\n  balanced-match@1.0.2:\n    resolution: {integrity: sha512-3oSeUO0TMV67hN1AmbXsK4yaqU7tjiHlbxRDZOpH0KW9+CeX4bRAaX0Anxt0tx2MrpRpWwQaPwIlISEJhYU5Pw==}\n\n  base64-js@1.5.1:\n    resolution: {integrity: sha512-AKpaYlHn8t4SVbOHCy+b5+KKgvR4vrsD8vbvrbiQJps7fKDTkjkDry6ji0rUJjC0kzbNePLwzxq8iypo41qeWA==}\n\n  base@0.11.2:\n    resolution: {integrity: sha512-5T6P4xPgpp0YDFvSWwEZ4NoE3aM4QBQXDzmVbraCkFj8zHM+mba8SyqB5DbZWyR7mYHo6Y7BdQo3MoA4m0TeQg==}\n    engines: {node: '>=0.10.0'}\n\n  big.js@5.2.2:\n    resolution: {integrity: sha512-vyL2OymJxmarO8gxMr0mhChsO9QGwhynfuu4+MHTAW6czfq9humCB7rKpUjDd9YUiDPU4mzpyupFSvOClAwbmQ==}\n\n  binary-extensions@2.3.0:\n    resolution: {integrity: sha512-Ceh+7ox5qe7LJuLHoY0feh3pHuUDHAcRUeyL2VYghZwfpkNIy/+8Ocg0a3UuSoYzavmylwuLWQOf3hl0jjMMIw==}\n    engines: {node: '>=8'}\n\n  bn.js@4.12.1:\n    resolution: {integrity: sha512-k8TVBiPkPJT9uHLdOKfFpqcfprwBFOAAXXozRubr7R7PfIuKvQlzcI4M0pALeqXN09vdaMbUdUj+pass+uULAg==}\n\n  bn.js@5.2.1:\n    resolution: {integrity: sha512-eXRvHzWyYPBuB4NBy0cmYQjGitUrtqwbvlzP3G6VFnNRbsZQIxQ10PbKKHt8gZ/HW/D/747aDl+QkDqg3KQLMQ==}\n\n  brace-expansion@1.1.11:\n    resolution: {integrity: sha512-iCuPHDFgrHX7H2vEI/5xpz07zSHB00TpugqhmYtVmMO6518mCuRMoOYFldEBl0g187ufozdaHgWKcYFb61qGiA==}\n\n  braces@2.3.2:\n    resolution: {integrity: sha512-aNdbnj9P8PjdXU4ybaWLK2IF3jc/EoDYbC7AazW6to3TRsfXxscC9UXOB5iDiEQrkyIbWp2SLQda4+QAa7nc3w==}\n    engines: {node: '>=0.10.0'}\n\n  braces@3.0.3:\n    resolution: {integrity: sha512-yQbXgO/OSZVD2IsiLlro+7Hf6Q18EJrKSEsdoMzKePKXct3gvD8oLcOQdIzGupr5Fj+EDe8gO/lxc1BzfMpxvA==}\n    engines: {node: '>=8'}\n\n  brorand@1.1.0:\n    resolution: {integrity: sha512-cKV8tMCEpQs4hK/ik71d6LrPOnpkpGBR0wzxqr68g2m/LB2GxVYQroAjMJZRVM1Y4BCjCKc3vAamxSzOY2RP+w==}\n\n  browser-process-hrtime@1.0.0:\n    resolution: {integrity: sha512-9o5UecI3GhkpM6DrXr69PblIuWxPKk9Y0jHBRhdocZ2y7YECBFCsHm79Pr3OyR2AvjhDkabFJaDJMYRazHgsow==}\n\n  browserify-aes@1.2.0:\n    resolution: {integrity: sha512-+7CHXqGuspUn/Sl5aO7Ea0xWGAtETPXNSAjHo48JfLdPWcMng33Xe4znFvQweqc/uzk5zSOI3H52CYnjCfb5hA==}\n\n  browserify-cipher@1.0.1:\n    resolution: {integrity: sha512-sPhkz0ARKbf4rRQt2hTpAHqn47X3llLkUGn+xEJzLjwY8LRs2p0v7ljvI5EyoRO/mexrNunNECisZs+gw2zz1w==}\n\n  browserify-des@1.0.2:\n    resolution: {integrity: sha512-BioO1xf3hFwz4kc6iBhI3ieDFompMhrMlnDFC4/0/vd5MokpuAc3R+LYbwTA9A5Yc9pq9UYPqffKpW2ObuwX5A==}\n\n  browserify-rsa@4.1.1:\n    resolution: {integrity: sha512-YBjSAiTqM04ZVei6sXighu679a3SqWORA3qZTEqZImnlkDIFtKc6pNutpjyZ8RJTjQtuYfeetkxM11GwoYXMIQ==}\n    engines: {node: '>= 0.10'}\n\n  browserify-sign@4.2.3:\n    resolution: {integrity: sha512-JWCZW6SKhfhjJxO8Tyiiy+XYB7cqd2S5/+WeYHsKdNKFlCBhKbblba1A/HN/90YwtxKc8tCErjffZl++UNmGiw==}\n    engines: {node: '>= 0.12'}\n\n  browserify-zlib@0.2.0:\n    resolution: {integrity: sha512-Z942RysHXmJrhqk88FmKBVq/v5tqmSkDz7p54G/MGyjMnCFFnC79XWNbg+Vta8W6Wb2qtSZTSxIGkJrRpCFEiA==}\n\n  browserslist@4.24.2:\n    resolution: {integrity: sha512-ZIc+Q62revdMcqC6aChtW4jz3My3klmCO1fEmINZY/8J3EpBg5/A/D0AKmBveUh6pgoeycoMkVMko84tuYS+Gg==}\n    engines: {node: ^6 || ^7 || ^8 || ^9 || ^10 || ^11 || ^12 || >=13.7}\n    hasBin: true\n\n  bser@2.1.1:\n    resolution: {integrity: sha512-gQxTNE/GAfIIrmHLUE3oJyp5FO6HRBfhjnw4/wMmA63ZGDJnWBmgY/lyQBpnDUkGmAhbSe39tx2d/iTOAfglwQ==}\n\n  buffer-from@1.1.2:\n    resolution: {integrity: sha512-E+XQCRwSbaaiChtv6k6Dwgc+bx+Bs6vuKJHHl5kox/BaKbhiXzqQOwK4cO22yElGp2OCmjwVhT3HmxgyPGnJfQ==}\n\n  buffer-xor@1.0.3:\n    resolution: {integrity: sha512-571s0T7nZWK6vB67HI5dyUF7wXiNcfaPPPTl6zYCNApANjIvYJTg7hlud/+cJpdAhS7dVzqMLmfhfHR3rAcOjQ==}\n\n  buffer@4.9.2:\n    resolution: {integrity: sha512-xq+q3SRMOxGivLhBNaUdC64hDTQwejJ+H0T/NB1XMtTVEwNTrfFF3gAxiyW0Bu/xWEGhjVKgUcMhCrUy2+uCWg==}\n\n  builtin-status-codes@3.0.0:\n    resolution: {integrity: sha512-HpGFw18DgFWlncDfjTa2rcQ4W88O1mC8e8yZ2AvQY5KDaktSTwo+KRf6nHK6FRI5FyRyb/5T6+TSxfP7QyGsmQ==}\n\n  cache-base@1.0.1:\n    resolution: {integrity: sha512-AKcdTnFSWATd5/GCPRxr2ChwIJ85CeyrEyjRHlKxQ56d4XJMGym0uAiKn0xbLOGOl3+yRpOTi484dVCEc5AUzQ==}\n    engines: {node: '>=0.10.0'}\n\n  call-bind-apply-helpers@1.0.1:\n    resolution: {integrity: sha512-BhYE+WDaywFg2TBWYNXAE+8B1ATnThNBqXHP5nQu0jWJdVvY2hvkpyB3qOmtmDePiS5/BDQ8wASEWGMWRG148g==}\n    engines: {node: '>= 0.4'}\n\n  call-bind@1.0.8:\n    resolution: {integrity: sha512-oKlSFMcMwpUg2ednkhQ454wfWiU/ul3CkJe/PEHcTKuiX6RpbehUiFMXu13HalGZxfUwCQzZG747YXBn1im9ww==}\n    engines: {node: '>= 0.4'}\n\n  call-bound@1.0.2:\n    resolution: {integrity: sha512-0lk0PHFe/uz0vl527fG9CgdE9WdafjDbCXvBbs+LUv000TVt2Jjhqbs4Jwm8gz070w8xXyEAxrPOMullsxXeGg==}\n    engines: {node: '>= 0.4'}\n\n  caller-callsite@2.0.0:\n    resolution: {integrity: sha512-JuG3qI4QOftFsZyOn1qq87fq5grLIyk1JYd5lJmdA+fG7aQ9pA/i3JIJGcO3q0MrRcHlOt1U+ZeHW8Dq9axALQ==}\n    engines: {node: '>=4'}\n\n  caller-path@2.0.0:\n    resolution: {integrity: sha512-MCL3sf6nCSXOwCTzvPKhN18TU7AHTvdtam8DAogxcrJ8Rjfbbg7Lgng64H9Iy+vUV6VGFClN/TyxBkAebLRR4A==}\n    engines: {node: '>=4'}\n\n  callsites@2.0.0:\n    resolution: {integrity: sha512-ksWePWBloaWPxJYQ8TL0JHvtci6G5QTKwQ95RcWAa/lzoAKuAOflGdAK92hpHXjkwb8zLxoLNUoNYZgVsaJzvQ==}\n    engines: {node: '>=4'}\n\n  callsites@3.1.0:\n    resolution: {integrity: sha512-P8BjAsXvZS+VIDUI11hHCQEv74YT67YUi5JJFNWIqL235sBmjX4+qx9Muvls5ivyNENctx46xQLQ3aTuE7ssaQ==}\n    engines: {node: '>=6'}\n\n  camelcase@5.3.1:\n    resolution: {integrity: sha512-L28STB170nwWS63UjtlEOE3dldQApaJXZkOI1uMFfzf3rRuPegHaHesyee+YxQ+W6SvRDQV6UrdOdRiR153wJg==}\n    engines: {node: '>=6'}\n\n  camelcase@6.3.0:\n    resolution: {integrity: sha512-Gmy6FhYlCY7uOElZUSbxo2UCDH8owEk996gkbrpsgGtrJLM3J7jGxl9Ic7Qwwj4ivOE5AWZWRMecDdF7hqGjFA==}\n    engines: {node: '>=10'}\n\n  caniuse-lite@1.0.30001688:\n    resolution: {integrity: sha512-Nmqpru91cuABu/DTCXbM2NSRHzM2uVHfPnhJ/1zEAJx/ILBRVmz3pzH4N7DZqbdG0gWClsCC05Oj0mJ/1AWMbA==}\n\n  capture-exit@2.0.0:\n    resolution: {integrity: sha512-PiT/hQmTonHhl/HFGN+Lx3JJUznrVYJ3+AQsnthneZbvW7x+f08Tk7yLJTLEOUvBTbduLeeBkxEaYXUOUrRq6g==}\n    engines: {node: 6.* || 8.* || >= 10.*}\n\n  chalk@2.4.2:\n    resolution: {integrity: sha512-Mti+f9lpJNcwF4tWV8/OrTTtF1gZi+f8FqlyAdouralcFWFQWF2+NgCHShjkCb+IFBLq9buZwE1xckQU4peSuQ==}\n    engines: {node: '>=4'}\n\n  chalk@4.1.2:\n    resolution: {integrity: sha512-oKnbhFyRIXpUuez8iBMmyEa4nbj4IOQyuhc/wy9kY7/WVPcwIO9VA668Pu8RkO7+0G76SLROeyw9CpQ061i4mA==}\n    engines: {node: '>=10'}\n\n  char-regex@1.0.2:\n    resolution: {integrity: sha512-kWWXztvZ5SBQV+eRgKFeh8q5sLuZY2+8WUIzlxWVTg+oGwY14qylx1KbKzHd8P6ZYkAg0xyIDU9JMHhyJMZ1jw==}\n    engines: {node: '>=10'}\n\n  chokidar@3.5.1:\n    resolution: {integrity: sha512-9+s+Od+W0VJJzawDma/gvBNQqkTiqYTWLuZoyAsivsI4AaWTCzHG06/TMjsf1cYe9Cb97UCEhjz7HvnPk2p/tw==}\n    engines: {node: '>= 8.10.0'}\n\n  ci-info@1.6.0:\n    resolution: {integrity: sha512-vsGdkwSCDpWmP80ncATX7iea5DWQemg1UgCW5J8tqjU3lYw4FBYuj89J0CTVomA7BEfvSZd84GmHko+MxFQU2A==}\n\n  ci-info@2.0.0:\n    resolution: {integrity: sha512-5tK7EtrZ0N+OLFMthtqOj4fI2Jeb88C4CAZPu25LDVUgXJ0A3Js4PMGqrn0JU1W0Mh1/Z8wZzYPxqUrXeBboCQ==}\n\n  cipher-base@1.0.6:\n    resolution: {integrity: sha512-3Ek9H3X6pj5TgenXYtNWdaBon1tgYCaebd+XPg0keyjEbEfkD4KkmAxkQ/i1vYvxdcT5nscLBfq9VJRmCBcFSw==}\n    engines: {node: '>= 0.10'}\n\n  cjs-module-lexer@0.6.0:\n    resolution: {integrity: sha512-uc2Vix1frTfnuzxxu1Hp4ktSvM3QaI4oXl4ZUqL1wjTu/BGki9TrCWoqLTg/drR1KwAEarXuRFCG2Svr1GxPFw==}\n\n  class-utils@0.3.6:\n    resolution: {integrity: sha512-qOhPa/Fj7s6TY8H8esGu5QNpMMQxz79h+urzrNYN6mn+9BnxlDGf5QZ+XeCDsxSjPqsSR56XOZOJmpeurnLMeg==}\n    engines: {node: '>=0.10.0'}\n\n  classnames@2.5.1:\n    resolution: {integrity: sha512-saHYOzhIQs6wy2sVxTM6bUDsQO4F50V9RQ22qBpEdCW+I+/Wmke2HOl6lS6dTpdxVhb88/I6+Hs+438c3lfUow==}\n\n  clean-stack@2.2.0:\n    resolution: {integrity: sha512-4diC9HaTE+KRAMWhDhrGOECgWZxoevMc5TlkObMqNSsVU62PYzXZ/SMTjzyGAFF1YusgxGcSWTEXBhp0CPwQ1A==}\n    engines: {node: '>=6'}\n\n  cli-cursor@3.1.0:\n    resolution: {integrity: sha512-I/zHAwsKf9FqGoXM4WWRACob9+SNukZTd94DWF57E4toouRulbCxcUh6RKUEOQlYTHJnzkPMySvPNaaSLNfLZw==}\n    engines: {node: '>=8'}\n\n  cli-truncate@2.1.0:\n    resolution: {integrity: sha512-n8fOixwDD6b/ObinzTrp1ZKFzbgvKZvuz/TvejnLn1aQfC6r52XEx85FmuC+3HI+JM7coBRXUvNqEU2PHVrHpg==}\n    engines: {node: '>=8'}\n\n  clipboardy@2.3.0:\n    resolution: {integrity: sha512-mKhiIL2DrQIsuXMgBgnfEHOZOryC7kY7YO//TN6c63wlEm3NG5tz+YgY5rVi29KCmq/QQjKYvM7a19+MDOTHOQ==}\n    engines: {node: '>=8'}\n\n  cliui@6.0.0:\n    resolution: {integrity: sha512-t6wbgtoCXvAzst7QgXxJYqPt0usEfbgQdftEPbLL/cvv6HPE5VgvqCuAIDR0NgU52ds6rFwqrgakNLrHEjCbrQ==}\n\n  co@4.6.0:\n    resolution: {integrity: sha512-QVb0dM5HvG+uaxitm8wONl7jltx8dqhfU33DcqtOZcLSVIKSDDLDi7+0LbAKiyI8hD9u42m2YxXSkMGWThaecQ==}\n    engines: {iojs: '>= 1.0.0', node: '>= 0.12.0'}\n\n  collect-v8-coverage@1.0.2:\n    resolution: {integrity: sha512-lHl4d5/ONEbLlJvaJNtsF/Lz+WvB07u2ycqTYbdrq7UypDXailES4valYb2eWiJFxZlVmpGekfqoxQhzyFdT4Q==}\n\n  collection-visit@1.0.0:\n    resolution: {integrity: sha512-lNkKvzEeMBBjUGHZ+q6z9pSJla0KWAQPvtzhEV9+iGyQYG+pBpl7xKDhxoNSOZH2hhv0v5k0y2yAM4o4SjoSkw==}\n    engines: {node: '>=0.10.0'}\n\n  color-convert@1.9.3:\n    resolution: {integrity: sha512-QfAUtd+vFdAtFQcC8CCyYt1fYWxSqAiK2cSD6zDB8N3cpsEBAvRxp9zOGg6G/SHHJYAT88/az/IuDGALsNVbGg==}\n\n  color-convert@2.0.1:\n    resolution: {integrity: sha512-RRECPsj7iu/xb5oKYcsFHSppFNnsj/52OVTRKb4zP5onXwVF3zVmmToNcOfGC+CRDpfK/U584fMg38ZHCaElKQ==}\n    engines: {node: '>=7.0.0'}\n\n  color-name@1.1.3:\n    resolution: {integrity: sha512-72fSenhMw2HZMTVHeCA9KCmpEIbzWiQsjN+BHcBbS9vr1mtt+vJjPdksIBNUmKAW8TFUDPJK5SUU3QhE9NEXDw==}\n\n  color-name@1.1.4:\n    resolution: {integrity: sha512-dOy+3AuW3a2wNbZHIuMZpTcgjGuLU/uBL/ubcZF9OXbDo8ff4O8yVp5Bf0efS8uEoYo5q4Fx7dY9OgQGXgAsQA==}\n\n  colorette@2.0.20:\n    resolution: {integrity: sha512-IfEDxwoWIjkeXL1eXcDiow4UbKjhLdq6/EuSVR9GMN7KVH3r9gQ83e73hsz1Nd1T3ijd5xv1wcWRYO+D6kCI2w==}\n\n  combined-stream@1.0.8:\n    resolution: {integrity: sha512-FQN4MRfuJeHf7cBbBMJFXhKSDq+2kAArBlmRBvcvFE5BB1HZKXtSFASDhdlz9zOYwxh8lDdnvmMOe/+5cdoEdg==}\n    engines: {node: '>= 0.8'}\n\n  commander@2.20.3:\n    resolution: {integrity: sha512-GpVkmM8vF2vQUkj2LvZmD35JxeJOLCwJ9cUkugyk2nuhbv3+mJvpLYYt+0+USMxE+oj+ey/lJEnhZw75x/OMcQ==}\n\n  commander@6.2.1:\n    resolution: {integrity: sha512-U7VdrJFnJgo4xjrHpTzu0yrHPGImdsmD95ZlgYSEajAn2JKzDhDTPG9kBTefmObL2w/ngeZnilk+OV9CG3d7UA==}\n    engines: {node: '>= 6'}\n\n  component-classes@1.2.6:\n    resolution: {integrity: sha512-hPFGULxdwugu1QWW3SvVOCUHLzO34+a2J6Wqy0c5ASQkfi9/8nZcBB0ZohaEbXOQlCflMAEMmEWk7u7BVs4koA==}\n\n  component-emitter@1.3.1:\n    resolution: {integrity: sha512-T0+barUSQRTUQASh8bx02dl+DhF54GtIDY13Y3m9oWTklKbb3Wv974meRpeZ3lp1JpLVECWWNHC4vaG2XHXouQ==}\n\n  component-indexof@0.0.3:\n    resolution: {integrity: sha512-puDQKvx/64HZXb4hBwIcvQLaLgux8o1CbWl39s41hrIIZDl1lJiD5jc22gj3RBeGK0ovxALDYpIbyjqDUUl0rw==}\n\n  compute-scroll-into-view@1.0.20:\n    resolution: {integrity: sha512-UCB0ioiyj8CRjtrvaceBLqqhZCVP+1B8+NWQhmdsm0VXOJtobBCf1dBQmebCCo34qZmUwZfIH2MZLqNHazrfjg==}\n\n  concat-map@0.0.1:\n    resolution: {integrity: sha512-/Srv4dswyQNBfohGpz9o6Yb3Gz3SrUDqBH5rTuhGR7ahtlbYKnVxw2bCFMRljaA7EXHaXZ8wsHdodFvbkhKmqg==}\n\n  connected-react-router@6.5.2:\n    resolution: {integrity: sha512-qzsLPZCofSI80fwy+HgxtEgSGS4ndYUUZAWaw1dqaOGPLKX/FVwIOEb7q+hjHdnZ4v5pKZcNv5GG4urjujIoyA==}\n    peerDependencies:\n      history: ^4.7.2\n      react: ^16.4.0\n      react-redux: ^6.0.0 || ^7.1.0\n      react-router: ^4.3.1 || ^5.0.0\n      redux: ^3.6.0 || ^4.0.0\n\n  console-browserify@1.2.0:\n    resolution: {integrity: sha512-ZMkYO/LkF17QvCPqM0gxw8yUzigAOZOSWSHg91FH6orS7vcEj5dVZTidN2fQ14yBSdg97RqhSNwLUXInd52OTA==}\n\n  constants-browserify@1.0.0:\n    resolution: {integrity: sha512-xFxOwqIzR/e1k1gLiWEophSCMqXcwVHIH7akf7b/vxcUeGunlj3hvZaaqxwHsTgn+IndtkQJgSztIDWeumWJDQ==}\n\n  convert-source-map@1.9.0:\n    resolution: {integrity: sha512-ASFBup0Mz1uyiIjANan1jzLQami9z1PoYSZCiiYW2FczPbenXc45FZdBZLzOT+r6+iciuEModtmCti+hjaAk0A==}\n\n  copy-descriptor@0.1.1:\n    resolution: {integrity: sha512-XgZ0pFcakEUlbwQEVNg3+QAis1FyTL3Qel9FYy8pSkQqoG3PNoT0bOCQtOXcOkur21r2Eq2kI+IE+gsmAEVlYw==}\n    engines: {node: '>=0.10.0'}\n\n  copy-to-clipboard@3.3.3:\n    resolution: {integrity: sha512-2KV8NhB5JqC3ky0r9PMCAZKbUHSwtEo4CwCs0KXgruG43gX5PMqDEBbVU4OUzw2MuAWUfsuFmWvEKG5QRfSnJA==}\n\n  core-js-pure@3.39.0:\n    resolution: {integrity: sha512-7fEcWwKI4rJinnK+wLTezeg2smbFFdSBP6E2kQZNbnzM2s1rpKQ6aaRteZSSg7FLU3P0HGGVo/gbpfanU36urg==}\n\n  core-js@1.2.7:\n    resolution: {integrity: sha512-ZiPp9pZlgxpWRu0M+YWbm6+aQ84XEfH1JRXvfOc/fILWI0VKhLC2LX13X1NYq4fULzLMq7Hfh43CSo2/aIaUPA==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-js@2.6.12:\n    resolution: {integrity: sha512-Kb2wC0fvsWfQrgk8HU5lW6U/Lcs8+9aaYcy4ZFc6DDlo4nZ7n70dEgE5rtR0oG6ufKDUnrwfWL1mXR5ljDatrQ==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-js@3.6.5:\n    resolution: {integrity: sha512-vZVEEwZoIsI+vPEuoF9Iqf5H7/M3eeQqWlQnYa8FSKKePuYTf5MWnxb5SDAzCa60b3JBRS5g9b+Dq7b1y/RCrA==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-js@3.8.2:\n    resolution: {integrity: sha512-FfApuSRgrR6G5s58casCBd9M2k+4ikuu4wbW6pJyYU7bd9zvFc9qf7vr5xmrZOhT9nn+8uwlH1oRR9jTnFoA3A==}\n    deprecated: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.\n\n  core-util-is@1.0.3:\n    resolution: {integrity: sha512-ZQBvi1DcpJ4GDqanjucZ2Hj3wEO5pZDS89BWbkcrvdxksJorwUDDZamX9ldFkp9aw2lmBDLgkObEA4DWNJ9FYQ==}\n\n  cosmiconfig@5.2.1:\n    resolution: {integrity: sha512-H65gsXo1SKjf8zmrJ67eJk8aIRKV5ff2D4uKZIBZShbhGSpEmsQOPW/SKMKYhSTrqR7ufy6RP69rPogdaPh/kA==}\n    engines: {node: '>=4'}\n\n  cosmiconfig@7.1.0:\n    resolution: {integrity: sha512-AdmX6xUzdNASswsFtmwSt7Vj8po9IuqXm0UXz7QKPuEUmPB4XyjGfaAr2PSuELMwkRMVH1EpIkX5bTZGRB3eCA==}\n    engines: {node: '>=10'}\n\n  create-ecdh@4.0.4:\n    resolution: {integrity: sha512-mf+TCx8wWc9VpuxfP2ht0iSISLZnt0JgWlrOKZiNqyUZWnjIaCIVNQArMHnCZKfEYRg6IM7A+NeJoN8gf/Ws0A==}\n\n  create-hash@1.2.0:\n    resolution: {integrity: sha512-z00bCGNHDG8mHAkP7CtT1qVu+bFQUPjYq/4Iv3C3kWjTFV10zIjfSoeqXo9Asws8gwSHDGj/hl2u4OGIjapeCg==}\n\n  create-hmac@1.1.7:\n    resolution: {integrity: sha512-MJG9liiZ+ogc4TzUwuvbER1JRdgvUFSB5+VR/g5h82fGaIRWMWddtKBHi7/sVhfjQZ6SehlyhvQYrcYkaUIpLg==}\n\n  create-react-class@15.7.0:\n    resolution: {integrity: sha512-QZv4sFWG9S5RUvkTYWbflxeZX+JG7Cz0Tn33rQBJ+WFQTqTfUTjMjiv9tnfXazjsO5r0KhPs+AqCjyrQX6h2ng==}\n\n  cross-spawn@5.1.0:\n    resolution: {integrity: sha512-pTgQJ5KC0d2hcY8eyL1IzlBPYjTkyH72XRZPnLyKus2mBfNjQs3klqbJU2VILqZryAZUt9JOb3h/mWMy23/f5A==}\n\n  cross-spawn@6.0.6:\n    resolution: {integrity: sha512-VqCUuhcd1iB+dsv8gxPttb5iZh/D0iubSP21g36KXdEuf6I5JiioesUVjpCdHV9MZRUfVFlvwtIUyPfxo5trtw==}\n    engines: {node: '>=4.8'}\n\n  cross-spawn@7.0.6:\n    resolution: {integrity: sha512-uV2QOWP2nWzsy2aMp8aRibhi9dlzF5Hgh5SHaB9OiTGEyDTiJJyx0uy51QXdyWbtAHNua4XJzUKca3OzKUd3vA==}\n    engines: {node: '>= 8'}\n\n  crypto-browserify@3.12.1:\n    resolution: {integrity: sha512-r4ESw/IlusD17lgQi1O20Fa3qNnsckR126TdUuBgAu7GBYSIPvdNyONd3Zrxh0xCwA4+6w/TDArBPsMvhur+KQ==}\n    engines: {node: '>= 0.10'}\n\n  css-animation@1.6.1:\n    resolution: {integrity: sha512-/48+/BaEaHRY6kNQ2OIPzKf9A6g8WjZYjhiNDNuIVbsm5tXCGIAsHDjB4Xu1C4vXJtUWZo26O68OQkDpNBaPog==}\n\n  css-blank-pseudo@0.1.4:\n    resolution: {integrity: sha512-LHz35Hr83dnFeipc7oqFDmsjHdljj3TQtxGGiNWSOsTLIAubSm4TEz8qCaKFpk7idaQ1GfWscF4E6mgpBysA1w==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  css-has-pseudo@0.10.0:\n    resolution: {integrity: sha512-Z8hnfsZu4o/kt+AuFzeGpLVhFOGO9mluyHBaA2bA8aCGTwah5sT3WV/fTHH8UNZUytOIImuGPrl/prlb4oX4qQ==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  css-prefers-color-scheme@3.1.1:\n    resolution: {integrity: sha512-MTu6+tMs9S3EUqzmqLXEcgNRbNkkD/TGFvowpeoWJn5Vfq7FMgsmRQs9X5NXAURiOBmOxm/lLjsDNXDE6k9bhg==}\n    engines: {node: '>=6.0.0'}\n    hasBin: true\n\n  cssdb@4.4.0:\n    resolution: {integrity: sha512-LsTAR1JPEM9TpGhl/0p3nQecC2LJ0kD8X5YARu1hk/9I1gril5vDtMZyNxcEpxxDj34YNck/ucjuoUd66K03oQ==}\n\n  cssesc@2.0.0:\n    resolution: {integrity: sha512-MsCAG1z9lPdoO/IUMLSBWBSVxVtJ1395VGIQ+Fc2gNdkQ1hNDnQdw3YhA71WJCBW1vdwA0cAnk/DnW6bqoEUYg==}\n    engines: {node: '>=4'}\n    hasBin: true\n\n  cssesc@3.0.0:\n    resolution: {integrity: sha512-/Tb/JcjK111nNScGob5MNtsntNM1aCNUDipB/TkwZFhyDrrE47SOx/18wF2bbjgc3ZzCSKW1T5nt5EbFoAz/Vg==}\n    engines: {node: '>=4'}\n    hasBin: true\n\n  cssom@0.3.8:\n    resolution: {integrity: sha512-b0tGHbfegbhPJpxpiBPU2sCkigAqtM9O121le6bbOlgyV+NyGyCmVfJ6QW9eRjz8CpNfWEOYBIMIGRYkLwsIYg==}\n\n  cssom@0.4.4:\n    resolution: {integrity: sha512-p3pvU7r1MyyqbTk+WbNJIgJjG2VmTIaB10rI93LzVPrmDJKkzKYMtxxyAvQXR/NS6otuzveI7+7BBq3SjBS2mw==}\n\n  cssstyle@2.3.0:\n    resolution: {integrity: sha512-AZL67abkUzIuvcHqk7c09cezpGNcxUxU4Ioi/05xHk4DQeTkWmGYftIE6ctU6AEt+Gn4n1lDStOtj7FKycP71A==}\n    engines: {node: '>=8'}\n\n  csstype@3.1.3:\n    resolution: {integrity: sha512-M1uQkMl8rQK/szD0LNhtqxIPLpimGm8sOBwU7lLnCpSbTyY3yeU1Vc7l4KT5zT4s/yOxHH5O7tIuuLOCnLADRw==}\n\n  data-urls@2.0.0:\n    resolution: {integrity: sha512-X5eWTSXO/BJmpdIKCRuKUgSCgAN0OwliVK3yPKbwIWU1Tdw5BRajxlzMidvh+gwko9AfQ9zIj52pzF91Q3YAvQ==}\n    engines: {node: '>=10'}\n\n  date-fns@2.30.0:\n    resolution: {integrity: sha512-fnULvOpxnC5/Vg3NCiWelDsLiUc9bRwAPs/+LfTLNvetFCtCTN+yQz15C/fs4AwX1R9K5GLtLfn8QW+dWisaAw==}\n    engines: {node: '>=0.11'}\n\n  dayjs@1.11.13:\n    resolution: {integrity: sha512-oaMBel6gjolK862uaPQOVTA7q3TZhuSvuMQAAglQDOWYO9A91IrAOUJEyKVlqJlHE0vq5p5UXxzdPfMH/x6xNg==}\n\n  debug@2.6.9:\n    resolution: {integrity: sha512-bC7ElrdJaJnPbAP+1EotYvqZsb3ecl5wi6Bfi6BJTUcNowp6cvspg0jXznRTKDjm/E7AdgFBVeAPVMNcKGsHMA==}\n    peerDependencies:\n      supports-color: '*'\n    peerDependenciesMeta:\n      supports-color:\n        optional: true\n\n  debug@4.4.0:\n    resolution: {integrity: sha512-6WTZ/IxCY/T6BALoZHaE4ctp9xm+Z5kY/pzYaCHRFeyVhojxlrm+46y68HA6hr0TcwEssoxNiDEUJQjfPZ/RYA==}\n    engines: {node: '>=6.0'}\n    peerDependencies:\n      supports-color: '*'\n    peerDependenciesMeta:\n      supports-color:\n        optional: true\n\n  decamelize@1.2.0:\n    resolution: {integrity: sha512-z2S+W9X73hAUUki+N+9Za2lBlun89zigOyGrsax+KUQ6wKW4ZoWpEYBkGhQjwAjjDCkWxhY0VKEhk8wzY7F5cA==}\n    engines: {node: '>=0.10.0'}\n\n  decimal.js@10.4.3:\n    resolution: {integrity: sha512-VBBaLc1MgL5XpzgIP7ny5Z6Nx3UrRkIViUkPUdtl9aya5amy3De1gsUUSB1g3+3sExYNjCAsAznmukyxCb1GRA==}\n\n  decode-uri-component@0.2.2:\n    resolution: {integrity: sha512-FqUYQ+8o158GyGTrMFJms9qh3CqTKvAqgqsTnkLI8sKu0028orqBhxNMFkFen0zGyg6epACD32pjVk58ngIErQ==}\n    engines: {node: '>=0.10'}\n\n  dedent@0.7.0:\n    resolution: {integrity: sha512-Q6fKUPqnAHAyhiUgFU7BUzLiv0kd8saH9al7tnu5Q/okj6dnupxyTgFIBjVzJATdfIAm9NAsvXNzjaKa+bxVyA==}\n\n  deepmerge@1.5.2:\n    resolution: {integrity: sha512-95k0GDqvBjZavkuvzx/YqVLv/6YYa17fz6ILMSf7neqQITCPbnfEnQvEgMPNjH4kgobe7+WIL0yJEHku+H3qtQ==}\n    engines: {node: '>=0.10.0'}\n\n  deepmerge@4.3.1:\n    resolution: {integrity: sha512-3sUqbMEc77XqpdNO7FRyRog+eW3ph+GYCbj+rK+uYyRMuwsVy0rMiVtPn+QJlKFvWP/1PYpapqYn0Me2knFn+A==}\n    engines: {node: '>=0.10.0'}\n\n  define-data-property@1.1.4:\n    resolution: {integrity: sha512-rBMvIzlpA8v6E+SJZoo++HAYqsLrkg7MSfIinMPFhmkorw7X+dOXVJQs+QT69zGkzMyfDnIMN2Wid1+NbL3T+A==}\n    engines: {node: '>= 0.4'}\n\n  define-properties@1.2.1:\n    resolution: {integrity: sha512-8QmQKqEASLd5nx0U1B1okLElbUuuttJ/AnYmRXbbbGDWh6uS208EjD4Xqq/I9wK7u0v6O08XhTWnt5XtEbR6Dg==}\n    engines: {node: '>= 0.4'}\n\n  define-property@0.2.5:\n    resolution: {integrity: sha512-Rr7ADjQZenceVOAKop6ALkkRAmH1A4Gx9hV/7ZujPUN2rkATqFO0JZLZInbAjpZYoJ1gUx8MRMQVkYemcbMSTA==}\n    engines: {node: '>=0.10.0'}\n\n  define-property@1.0.0:\n    resolution: {integrity: sha512-cZTYKFWspt9jZsMscWo8sc/5lbPC9Q0N5nBLgb+Yd915iL3udB1uFgS3B8YCx66UVHq018DAVFoee7x+gxggeA==}\n    engines: {node: '>=0.10.0'}\n\n  define-property@2.0.2:\n    resolution: {integrity: sha512-jwK2UV4cnPpbcG7+VRARKTZPUWowwXA8bzH5NP6ud0oeAxyYPuGZUAC7hMugpCdz4BeSZl2Dl9k66CHJ/46ZYQ==}\n    engines: {node: '>=0.10.0'}\n\n  delayed-stream@1.0.0:\n    resolution: {integrity: sha512-ZySD7Nf91aLB0RxL4KGrKHBXl7Eds1DAmEdcoVawXnLD7SDhpNgtuII2aAkg7a7QS41jxPSZ17p4VdGnMHk3MQ==}\n    engines: {node: '>=0.4.0'}\n\n  des.js@1.1.0:\n    resolution: {integrity: sha512-r17GxjhUCjSRy8aiJpr8/UadFIzMzJGexI3Nmz4ADi9LYSFx4gTBp80+NaX/YsXWWLhpZ7v/v/ubEc/bCNfKwg==}\n\n  detect-newline@3.1.0:\n    resolution: {integrity: sha512-TLz+x/vEXm/Y7P7wn1EJFNLxYpUD4TgMosxY6fAVJUnJMbupHBOncxyWUG9OpTaH9EBD7uFI5LfEgmMOc54DsA==}\n    engines: {node: '>=8'}\n\n  diff-sequences@26.6.2:\n    resolution: {integrity: sha512-Mv/TDa3nZ9sbc5soK+OoA74BsS3mL37yixCvUAQkiuA4Wz6YtwP/K47n2rv2ovzHZvoiQeA5FTQOschKkEwB0Q==}\n    engines: {node: '>= 10.14.2'}\n\n  diffie-hellman@5.0.3:\n    resolution: {integrity: sha512-kqag/Nl+f3GwyK25fhUMYj81BUOrZ9IuJsjIcDE5icNM9FJHAVm3VcUDxdLPoQtTuUylWm6ZIknYJwwaPxsUzg==}\n\n  dom-align@1.12.4:\n    resolution: {integrity: sha512-R8LUSEay/68zE5c8/3BDxiTEvgb4xZTF0RKmAHfiEVN3klfIpXfi2/QCoiWPccVQ0J/ZGdz9OjzL4uJEP/MRAw==}\n\n  dom-walk@0.1.2:\n    resolution: {integrity: sha512-6QvTW9mrGeIegrFXdtQi9pk7O/nSK6lSdXW2eqUspN5LWD7UTji2Fqw5V2YLjBpHEoU9Xl/eUWNpDeZvoyOv2w==}\n\n  domain-browser@1.2.0:\n    resolution: {integrity: sha512-jnjyiM6eRyZl2H+W8Q/zLMA481hzi0eszAaBUzIVnmYVDBbnLxVNnfu1HgEBvCbL+71FrxMl3E6lpKH7Ge3OXA==}\n    engines: {node: '>=0.4', npm: '>=1.2'}\n\n  domexception@2.0.1:\n    resolution: {integrity: sha512-yxJ2mFy/sibVQlu5qHjOkf9J3K6zgmCxgJ94u2EdvDOV09H+32LtRswEcUsmUWN72pVLOEnTSRaIVVzVQgS0dg==}\n    engines: {node: '>=8'}\n    deprecated: Use your platform's native DOMException instead\n\n  dunder-proto@1.0.0:\n    resolution: {integrity: sha512-9+Sj30DIu+4KvHqMfLUGLFYL2PkURSYMVXJyXe92nFRvlYq5hBjLEhblKB+vkd/WVlUYMWigiY07T91Fkk0+4A==}\n    engines: {node: '>= 0.4'}\n\n  dva-core@2.0.4:\n    resolution: {integrity: sha512-Zh39llFyItu9HKXKfCZVf9UFtDTcypdAjGBew1S+wK8BGVzFpm1GPTdd6uIMeg7O6STtCvt2Qv+RwUut1GFynA==}\n    peerDependencies:\n      redux: 4.x\n\n  dva-immer@0.5.2:\n    resolution: {integrity: sha512-xg23ktGsrdzgiU0ACl8vFm2+E2GBWbtXndXRKM9wtHDR+yMH27NfttVuAZQWvv4aaj6f5/bC+TdsZ9t7n6cAhQ==}\n    peerDependencies:\n      dva: ^2.5.0-0\n\n  dva-loading@3.0.25:\n    resolution: {integrity: sha512-RYbpSjvPj2NF+3YSc9QkDpwM1wO8uRAVfU6VGSgIxA2kA/Xd6yoY+VQM7GDRnvCvT579pESeBZBXk+8WKWOdDA==}\n    peerDependencies:\n      dva-core: ^1.1.0 || ^1.5.0-0 || ^1.6.0-0\n\n  dva@2.6.0-beta.23:\n    resolution: {integrity: sha512-noeOz3Erxpc6YLEsyyS//zGszeRYWKEvZoeCZ0LaCvWrV7Cxah9Xt/I9V1SS9eYDySaSgTUOoU+dLweQpCScAA==}\n    peerDependencies:\n      react: ^16.8.4\n      react-dom: ^16.8.4\n\n  electron-to-chromium@1.5.73:\n    resolution: {integrity: sha512-8wGNxG9tAG5KhGd3eeA0o6ixhiNdgr0DcHWm85XPCphwZgD1lIEoi6t3VERayWao7SF7AAZTw6oARGJeVjH8Kg==}\n\n  elliptic@6.6.1:\n    resolution: {integrity: sha512-RaddvvMatK2LJHqFJ+YA4WysVN5Ita9E35botqIYspQ4TkRAlCicdzKOjlyv/1Za5RyTNn7di//eEV0uTAfe3g==}\n\n  emittery@0.7.2:\n    resolution: {integrity: sha512-A8OG5SR/ij3SsJdWDJdkkSYUjQdCUx6APQXem0SaEePBSRg4eymGYwBkKo1Y6DU+af/Jn2dBQqDBvjnr9Vi8nQ==}\n    engines: {node: '>=10'}\n\n  emoji-regex@8.0.0:\n    resolution: {integrity: sha512-MSjYzcWNOA0ewAHpz0MxpYFvwg6yjy1NG3xteoqz644VCo/RPgnr1/GGt+ic3iJTzQ8Eu3TdM14SawnVUmGE6A==}\n\n  emojis-list@3.0.0:\n    resolution: {integrity: sha512-/kyM18EfinwXZbno9FyUGeFh87KC8HRQBQGildHZbEuRyWFOmv1U10o9BBp8XVZDVNNuQKyIGIu5ZYAAXJ0V2Q==}\n    engines: {node: '>= 4'}\n\n  encoding@0.1.13:\n    resolution: {integrity: sha512-ETBauow1T35Y/WZMkio9jiM0Z5xjHHmJ4XmjZOq1l/dXz3lr2sRn87nJy20RupqSh1F2m3HHPSp8ShIPQJrJ3A==}\n\n  end-of-stream@1.4.4:\n    resolution: {integrity: sha512-+uw1inIHVPQoaVuHzRyXd21icM+cnt4CzD5rW+NC1wjOUSTOs+Te7FOv7AhN7vS9x/oIyhLP5PR1H+phQAHu5Q==}\n\n  enquirer@2.4.1:\n    resolution: {integrity: sha512-rRqJg/6gd538VHvR3PSrdRBb/1Vy2YfzHqzvbhGIQpDRKIa4FgV/54b5Q1xYSxOOwKvjXweS26E0Q+nAMwp2pQ==}\n    engines: {node: '>=8.6'}\n\n  error-ex@1.3.2:\n    resolution: {integrity: sha512-7dFHNmqeFSEt2ZBsCriorKnn3Z2pj+fd9kmI6QoWw4//DL+icEBfc0U7qJCisqrTsKTjw4fNFy2pW9OqStD84g==}\n\n  error-stack-parser@1.3.6:\n    resolution: {integrity: sha512-xhuSYd8wLgOXwNgjcPeXMPL/IiiA1Huck+OPvClpJViVNNlJVtM41o+1emp7bPvlCJwCatFX2DWc05/DgfbWzA==}\n\n  error-stack-parser@2.1.4:\n    resolution: {integrity: sha512-Sk5V6wVazPhq5MhpO+AUxJn5x7XSXGl1R93Vn7i+zS15KDVxQijejNCrz8340/2bgLBjR9GtEG8ZVKONDjcqGQ==}\n\n  es-define-property@1.0.1:\n    resolution: {integrity: sha512-e3nRfgfUZ4rNGL232gUgX06QNyyez04KdjFrF+LTRoOXmrOgFKDg4BCdsjW8EnT69eqdYGmRpJwiPVYNrCaW3g==}\n    engines: {node: '>= 0.4'}\n\n  es-errors@1.3.0:\n    resolution: {integrity: sha512-Zf5H2Kxt2xjTvbJvP2ZWLEICxA6j+hAmMzIlypy4xcBg1vKVnx89Wy0GbS+kf5cwCVFFzdCFh2XSCFNULS6csw==}\n    engines: {node: '>= 0.4'}\n\n  es-module-lexer@0.7.1:\n    resolution: {integrity: sha512-MgtWFl5No+4S3TmhDmCz2ObFGm6lEpTnzbQi+Dd+pw4mlTIZTmM2iAs5gRlmx5zS9luzobCSBSI90JM/1/JgOw==}\n\n  es-object-atoms@1.0.0:\n    resolution: {integrity: sha512-MZ4iQ6JwHOBQjahnjwaC1ZtIBH+2ohjamzAO3oaHcXYup7qxjF2fixyH+Q71voWHeOkI2q/TnJao/KfXYIZWbw==}\n    engines: {node: '>= 0.4'}\n\n  es5-imcompatible-versions@0.1.90:\n    resolution: {integrity: sha512-2MPI0t/VV4j/oz1qbMekb4gCW81dewTpM2XJHKnPpZiPGu+1rVWmhTnwcq1vt8AFwWrkNF4RE7OZ9ibnKFYKwg==}\n\n  esbuild@0.12.15:\n    resolution: {integrity: sha512-72V4JNd2+48eOVCXx49xoSWHgC3/cCy96e7mbXKY+WOWghN00cCmlGnwVLRhRHorvv0dgCyuMYBZlM2xDM5OQw==}\n    hasBin: true\n\n  escalade@3.2.0:\n    resolution: {integrity: sha512-WUj2qlxaQtO4g6Pq5c29GTcWGDyd8itL8zTlipgECz3JesAiiOKotd8JU6otB3PACgG6xkJUyVhboMS+bje/jA==}\n    engines: {node: '>=6'}\n\n  escape-string-regexp@1.0.5:\n    resolution: {integrity: sha512-vbRorB5FUQWvla16U8R/qgaFIya2qGzwDrNmCZuYKrbdSUMG6I1ZCGQRefkRVhuOkIGVne7BQ35DSfo1qvJqFg==}\n    engines: {node: '>=0.8.0'}\n\n  escape-string-regexp@2.0.0:\n    resolution: {integrity: sha512-UpzcLCXolUWcNu5HtVMHYdXJjArjsF9C0aNnquZYY4uW/Vu0miy5YoWvbV345HauVvcAUnpRuhMMcqTcGOY2+w==}\n    engines: {node: '>=8'}\n\n  escodegen@2.1.0:\n    resolution: {integrity: sha512-2NlIDTwUWJN0mRPQOdtQBzbUHvdGY2P1VXSyU83Q3xKxM7WHX2Ql8dKq782Q9TgQUNOLEzEYu9bzLNj1q88I5w==}\n    engines: {node: '>=6.0'}\n    hasBin: true\n\n  esprima@4.0.1:\n    resolution: {integrity: sha512-eGuFFw7Upda+g4p+QHvnW0RyTX/SVeJBDM/gCtMARO0cLuT2HcEKnTPvhjV6aGeqrCB/sbNop0Kszm0jsaWU4A==}\n    engines: {node: '>=4'}\n    hasBin: true\n\n  estraverse@5.3.0:\n    resolution: {integrity: sha512-MMdARuVEQziNTeJD8DgMqmhwR11BRQ/cBP+pLtYdSTnf3MIO8fFeiINEbX36ZdNlfU/7A9f3gUw49B3oQsvwBA==}\n    engines: {node: '>=4.0'}\n\n  esutils@2.0.3:\n    resolution: {integrity: sha512-kVscqXk4OCp68SZ0dkgEKVi6/8ij300KBWTJq32P/dYeWTSwK41WyTxalN1eRmA5Z9UU/LX9D7FWSmV9SAYx6g==}\n    engines: {node: '>=0.10.0'}\n\n  events@3.3.0:\n    resolution: {integrity: sha512-mQw+2fkQbALzQ7V0MY0IqdnXNOeTtP4r0lN9z7AAawCXgqea7bDii20AYrIBrFd/Hx0M2Ocz6S111CaFkUcb0Q==}\n    engines: {node: '>=0.8.x'}\n\n  evp_bytestokey@1.0.3:\n    resolution: {integrity: sha512-/f2Go4TognH/KvCISP7OUsHn85hT9nUkxxA9BEWxFn+Oj9o8ZNLm/40hdlgSLyuOimsrTKLUMEorQexp/aPQeA==}\n\n  exec-sh@0.3.6:\n    resolution: {integrity: sha512-nQn+hI3yp+oD0huYhKwvYI32+JFeq+XkNcD1GAo3Y/MjxsfVGmrrzrnzjWiNY6f+pUCP440fThsFh5gZrRAU/w==}\n\n  execa@0.8.0:\n    resolution: {integrity: sha512-zDWS+Rb1E8BlqqhALSt9kUhss8Qq4nN3iof3gsOdyINksElaPyNBtKUMTR62qhvgVWR0CqCX7sdnKe4MnUbFEA==}\n    engines: {node: '>=4'}\n\n  execa@1.0.0:\n    resolution: {integrity: sha512-adbxcyWV46qiHyvSp50TKt05tB4tK3HcmF7/nxfAdhnox83seTDbwnaqKO4sXRy7roHAIFqJP/Rw/AuEbX61LA==}\n    engines: {node: '>=6'}\n\n  execa@4.1.0:\n    resolution: {integrity: sha512-j5W0//W7f8UxAn8hXVnwG8tLwdiUy4FJLcSupCg6maBYZDpyBvTApK7KyuI4bKj8KOh1r2YH+6ucuYtJv1bTZA==}\n    engines: {node: '>=10'}\n\n  exenv@1.2.2:\n    resolution: {integrity: sha512-Z+ktTxTwv9ILfgKCk32OX3n/doe+OcLTRtqK9pcL+JsP3J1/VW8Uvl4ZjLlKqeW4rzK4oesDOGMEMRIZqtP4Iw==}\n\n  exit@0.1.2:\n    resolution: {integrity: sha512-Zk/eNKV2zbjpKzrsQ+n1G6poVbErQxJ0LBOJXaKZ1EViLzH+hrLu9cdXI4zw9dBQJslwBEpbQ2P1oS7nDxs6jQ==}\n    engines: {node: '>= 0.8.0'}\n\n  expand-brackets@2.1.4:\n    resolution: {integrity: sha512-w/ozOKR9Obk3qoWeY/WDi6MFta9AoMR+zud60mdnbniMcBxRuFJyDt2LdX/14A1UABeqk+Uk+LDfUpvoGKppZA==}\n    engines: {node: '>=0.10.0'}\n\n  expect@26.6.2:\n    resolution: {integrity: sha512-9/hlOBkQl2l/PLHJx6JjoDF6xPKcJEsUlWKb23rKE7KzeDqUZKXKNMW27KIue5JMdBV9HgmoJPcc8HtO85t9IA==}\n    engines: {node: '>= 10.14.2'}\n\n  extend-shallow@2.0.1:\n    resolution: {integrity: sha512-zCnTtlxNoAiDc3gqY2aYAWFx7XWWiasuF2K8Me5WbN8otHKTUKBwjPtNpRs/rbUZm7KxWAaNj7P1a/p52GbVug==}\n    engines: {node: '>=0.10.0'}\n\n  extend-shallow@3.0.2:\n    resolution: {integrity: sha512-BwY5b5Ql4+qZoefgMj2NUmx+tehVTH/Kf4k1ZEtOHNFcm2wSxMRo992l6X3TIgni2eZVTZ85xMOjF31fwZAj6Q==}\n    engines: {node: '>=0.10.0'}\n\n  extglob@2.0.4:\n    resolution: {integrity: sha512-Nmb6QXkELsuBr24CJSkilo6UHHgbekK5UiZgfE6UHD3Eb27YC6oD+bhcT+tJ6cl8dmsgdQxnWlcry8ksBIBLpw==}\n    engines: {node: '>=0.10.0'}\n\n  fast-deep-equal@3.1.1:\n    resolution: {integrity: sha512-8UEa58QDLauDNfpbrX55Q9jrGHThw2ZMdOky5Gl1CDtVeJDPVrG4Jxx1N8jw2gkWaff5UUuX1KJd+9zGe2B+ZA==}\n\n  fast-deep-equal@3.1.3:\n    resolution: {integrity: sha512-f3qQ9oQy9j2AhBe/H9VC91wLmKBCCU/gDOnKNAYG5hswO7BLKj09Hc5HYNz9cGI++xlpDCIgDaitVs03ATR84Q==}\n\n  fast-json-stable-stringify@2.1.0:\n    resolution: {integrity: sha512-lhd/wF+Lk98HZoTCtlVraHtfh5XYijIjalXck7saUtuanSDyLMxnHhSXEDJqHxD7msR8D0uCmqlkwjCV8xvwHw==}\n\n  fb-watchman@2.0.2:\n    resolution: {integrity: sha512-p5161BqbuCaSnB8jIbzQHOlpgsPmK5rJVDfDKO91Axs5NC1uu3HRQm6wt9cd9/+GtQQIO53JdGXXoyDpTAsgYA==}\n\n  fbjs@0.8.18:\n    resolution: {integrity: sha512-EQaWFK+fEPSoibjNy8IxUtaFOMXcWsY0JaVrQoZR9zC8N2Ygf9iDITPWjUTVIax95b6I742JFLqASHfsag/vKA==}\n\n  fill-range@4.0.0:\n    resolution: {integrity: sha512-VcpLTWqWDiTerugjj8e3+esbg+skS3M9e54UuR3iCeIDMXCLTsAH8hTSzDQU/X6/6t3eYkOKoZSef2PlU6U1XQ==}\n    engines: {node: '>=0.10.0'}\n\n  fill-range@7.1.1:\n    resolution: {integrity: sha512-YsGpe3WHLK8ZYi4tWDg2Jy3ebRz2rXowDxnld4bkQB00cc/1Zw9AWnC0i9ztDJitivtQvaI9KaLyKrc+hBW0yg==}\n    engines: {node: '>=8'}\n\n  filter-obj@1.1.0:\n    resolution: {integrity: sha512-8rXg1ZnX7xzy2NGDVkBVaAy+lSlPNwad13BtgSlLuxfIslyt5Vg64U7tFcCt4WS1R0hvtnQybT/IyCkGZ3DpXQ==}\n    engines: {node: '>=0.10.0'}\n\n  find-up@4.1.0:\n    resolution: {integrity: sha512-PpOwAdQ/YlXQ2vj8a3h8IipDuYRi3wceVQQGYWxNINccq40Anw7BlsEXCMbt1Zt+OLA6Fq9suIpIWD0OsnISlw==}\n    engines: {node: '>=8'}\n\n  flatten@1.0.3:\n    resolution: {integrity: sha512-dVsPA/UwQ8+2uoFe5GHtiBMu48dWLTdsuEd7CKGlZlD78r1TTWBvDuFaFGKCo/ZfEr95Uk56vZoX86OsHkUeIg==}\n    deprecated: flatten is deprecated in favor of utility frameworks such as lodash.\n\n  for-in@1.0.2:\n    resolution: {integrity: sha512-7EwmXrOjyL+ChxMhmG5lnW9MPt1aIeZEwKhQzoBUdTV0N3zuwWDZYVJatDvZ2OyzPUvdIAZDsCetk3coyMfcnQ==}\n    engines: {node: '>=0.10.0'}\n\n  form-data@3.0.2:\n    resolution: {integrity: sha512-sJe+TQb2vIaIyO783qN6BlMYWMw3WBOHA1Ay2qxsnjuafEOQFJ2JakedOQirT6D5XPRxDvS7AHYyem9fTpb4LQ==}\n    engines: {node: '>= 6'}\n\n  fragment-cache@0.2.1:\n    resolution: {integrity: sha512-GMBAbW9antB8iZRHLoGw0b3HANt57diZYFO/HL1JGIC1MjKrdmhxvrJbupnVvpys0zsz7yBApXdQyfepKly2kA==}\n    engines: {node: '>=0.10.0'}\n\n  fs.realpath@1.0.0:\n    resolution: {integrity: sha512-OO0pH2lK6a0hZnAdau5ItzHPI6pUlvI7jMVnxUQRtw4owF2wk8lOSabtGDCTP4Ggrg2MbGnWO9X8K1t4+fGMDw==}\n\n  fsevents@2.3.3:\n    resolution: {integrity: sha512-5xoDfX+fL7faATnagmWPpbFtwh/R77WmMMqqHGS65C3vvB0YHrgF+B1YmZ3441tMj5n63k0212XNoJwzlhffQw==}\n    engines: {node: ^8.16.0 || ^10.6.0 || >=11.0.0}\n    os: [darwin]\n\n  function-bind@1.1.2:\n    resolution: {integrity: sha512-7XHNxH7qX9xG5mIwxkhumTox/MIRNcOgDrxWsMt2pAr23WHp6MrRlN7FBSFpCpr+oVO0F744iUgR82nJMfG2SA==}\n\n  gensync@1.0.0-beta.2:\n    resolution: {integrity: sha512-3hN7NaskYvMDLQY55gnW3NQ+mesEAepTqlg+VEbj7zzqEMBVNhzcGYYeqFo/TlYz6eQiFcp1HcsCZO+nGgS8zg==}\n    engines: {node: '>=6.9.0'}\n\n  get-caller-file@2.0.5:\n    resolution: {integrity: sha512-DyFP3BM/3YHTQOCUL/w0OZHR0lpKeGrxotcHWcqNEdnltqFwXVfhEBQ94eIo34AfQpo0rGki4cyIiftY06h2Fg==}\n    engines: {node: 6.* || 8.* || >= 10.*}\n\n  get-intrinsic@1.2.6:\n    resolution: {integrity: sha512-qxsEs+9A+u85HhllWJJFicJfPDhRmjzoYdl64aMWW9yRIJmSyxdn8IEkuIM530/7T+lv0TIHd8L6Q/ra0tEoeA==}\n    engines: {node: '>= 0.4'}\n\n  get-own-enumerable-property-symbols@3.0.2:\n    resolution: {integrity: sha512-I0UBV/XOz1XkIJHEUDMZAbzCThU/H8DxmSfmdGcKPnVhu2VfFqr34jr9777IyaTYvxjedWhqVIilEDsCdP5G6g==}\n\n  get-package-type@0.1.0:\n    resolution: {integrity: sha512-pjzuKtY64GYfWizNAJ0fr9VqttZkNiK2iS430LtIHzjBEr6bX8Am2zm4sW4Ro5wjWW5cAlRL1qAMTcXbjNAO2Q==}\n    engines: {node: '>=8.0.0'}\n\n  get-stream@3.0.0:\n    resolution: {integrity: sha512-GlhdIUuVakc8SJ6kK0zAFbiGzRFzNnY4jUuEbV9UROo4Y+0Ny4fjvcZFVTeDA4odpFyOQzaw6hXukJSq/f28sQ==}\n    engines: {node: '>=4'}\n\n  get-stream@4.1.0:\n    resolution: {integrity: sha512-GMat4EJ5161kIy2HevLlr4luNjBgvmj413KaQA7jt4V8B4RDsfpHk7WQ9GVqfYyyx8OS/L66Kox+rJRNklLK7w==}\n    engines: {node: '>=6'}\n\n  get-stream@5.2.0:\n    resolution: {integrity: sha512-nBF+F1rAZVCu/p7rjzgA+Yb4lfYXrpl7a6VmJrU8wF9I1CKvP/QwPNZHnOlwbTkY6dvtFIzFMSyQXbLoTQPRpA==}\n    engines: {node: '>=8'}\n\n  get-value@2.0.6:\n    resolution: {integrity: sha512-Ln0UQDlxH1BapMu3GPtf7CuYNwRZf2gwCuPqbyG6pB8WfmFpzqcy4xtAaAMUhnNqjMKTiCPZG2oMT3YSx8U2NA==}\n    engines: {node: '>=0.10.0'}\n\n  glob-parent@5.1.2:\n    resolution: {integrity: sha512-AOIgSQCepiJYwP3ARnGx+5VnTu2HBYdzbGP45eLw1vr3zB3vZLeyed1sC9hnbcOc9/SrMyM5RPQrkGz4aS9Zow==}\n    engines: {node: '>= 6'}\n\n  glob@7.2.3:\n    resolution: {integrity: sha512-nFR0zLpU2YCaRxwoCJvL6UvCH2JFyFVIvwTLsIf21AuHlMskA1hhTdk+LlYJtOlYt9v6dvszD2BGRqBL+iQK9Q==}\n    deprecated: Glob versions prior to v9 are no longer supported\n\n  global@4.4.0:\n    resolution: {integrity: sha512-wv/LAoHdRE3BeTGz53FAamhGlPLhlssK45usmGFThIi4XqnBmjKQ16u+RNbP7WvigRZDxUsM0J3gcQ5yicaL0w==}\n\n  globals@11.12.0:\n    resolution: {integrity: sha512-WOBp/EEGUiIsJSp7wcv/y6MO+lV9UoncWqxuFfm8eBwzWNgyfBd6Gz+IeKQ9jCmyhoH99g15M3T+QaVHFjizVA==}\n    engines: {node: '>=4'}\n\n  gopd@1.2.0:\n    resolution: {integrity: sha512-ZUKRh6/kUFoAiTAtTYPZJ3hw9wNxx+BIBOijnlG9PnrJsCcSjs1wyyD6vJpaYtgnzDrKYRSqf3OO6Rfa93xsRg==}\n    engines: {node: '>= 0.4'}\n\n  graceful-fs@4.2.11:\n    resolution: {integrity: sha512-RbJ5/jmFcNNCcDV5o9eTnBLJ/HszWV0P73bc+Ff4nS/rJj+YaS6IGyiOL0VoBYX+l1Wrl3k63h/KrH+nhJ0XvQ==}\n\n  growly@1.3.0:\n    resolution: {integrity: sha512-+xGQY0YyAWCnqy7Cd++hc2JqMYzlm0dG30Jd0beaA64sROr8C4nt8Yc9V5Ro3avlSUDTN0ulqP/VBKi1/lLygw==}\n\n  harmony-reflect@1.6.2:\n    resolution: {integrity: sha512-HIp/n38R9kQjDEziXyDTuW3vvoxxyxjxFzXLrBr18uB47GnSt+G9D29fqrpM5ZkspMcPICud3XsBJQ4Y2URg8g==}\n\n  has-flag@3.0.0:\n    resolution: {integrity: sha512-sKJf1+ceQBr4SMkvQnBDNDtf4TXpVhVGateu0t918bl30FnbE2m4vNLX+VWe/dpjlb+HugGYzW7uQXH98HPEYw==}\n    engines: {node: '>=4'}\n\n  has-flag@4.0.0:\n    resolution: {integrity: sha512-EykJT/Q1KjTWctppgIAgfSO0tKVuZUjhgMr17kqTumMl6Afv3EISleU7qZUzoXDFTAHTDC4NOoG/ZxU3EvlMPQ==}\n    engines: {node: '>=8'}\n\n  has-property-descriptors@1.0.2:\n    resolution: {integrity: sha512-55JNKuIW+vq4Ke1BjOTjM2YctQIvCT7GFzHwmfZPGo5wnrgkid0YQtnAleFSqumZm4az3n2BS+erby5ipJdgrg==}\n\n  has-symbols@1.1.0:\n    resolution: {integrity: sha512-1cDNdwJ2Jaohmb3sg4OmKaMBwuC48sYni5HUw2DvsC8LjGTLK9h+eb1X6RyuOHe4hT0ULCW68iomhjUoKUqlPQ==}\n    engines: {node: '>= 0.4'}\n\n  has-value@0.3.1:\n    resolution: {integrity: sha512-gpG936j8/MzaeID5Yif+577c17TxaDmhuyVgSwtnL/q8UUTySg8Mecb+8Cf1otgLoD7DDH75axp86ER7LFsf3Q==}\n    engines: {node: '>=0.10.0'}\n\n  has-value@1.0.0:\n    resolution: {integrity: sha512-IBXk4GTsLYdQ7Rvt+GRBrFSVEkmuOUy4re0Xjd9kJSUQpnTrWR4/y9RpfexN9vkAPMFuQoeWKwqzPozRTlasGw==}\n    engines: {node: '>=0.10.0'}\n\n  has-values@0.1.4:\n    resolution: {integrity: sha512-J8S0cEdWuQbqD9//tlZxiMuMNmxB8PlEwvYwuxsTmR1G5RXUePEX/SJn7aD0GMLieuZYSwNH0cQuJGwnYunXRQ==}\n    engines: {node: '>=0.10.0'}\n\n  has-values@1.0.0:\n    resolution: {integrity: sha512-ODYZC64uqzmtfGMEAX/FvZiRyWLpAC3vYnNunURUnkGVTS+mI0smVsWaPydRBsE3g+ok7h960jChO8mFcWlHaQ==}\n    engines: {node: '>=0.10.0'}\n\n  hash-base@3.0.5:\n    resolution: {integrity: sha512-vXm0l45VbcHEVlTCzs8M+s0VeYsB2lnlAaThoLKGXr3bE/VWDOelNUnycUPEhKEaXARL2TEFjBOyUiM6+55KBg==}\n    engines: {node: '>= 0.10'}\n\n  hash.js@1.1.7:\n    resolution: {integrity: sha512-taOaskGt4z4SOANNseOviYDvjEJinIkRgmp7LbKP2YTTmVxWBl87s/uzK9r+44BclBSp2X7K1hqeNfz9JbBeXA==}\n\n  hasown@2.0.2:\n    resolution: {integrity: sha512-0hJU9SCPvmMzIBdZFqNPXWa6dqh7WdH0cII9y+CyS8rG3nL48Bclra9HmKhVVUHyPWNH5Y7xDwAB7bfgSjkUMQ==}\n    engines: {node: '>= 0.4'}\n\n  history-with-query@4.10.4:\n    resolution: {integrity: sha512-JnskQK8X+PbRFHSdDAExhoJyhLnlLZL+UuHQuQhys+Se9/ukRDRBWU4JVTjsiIfbv1fcEmR3oqKW56OYmk5M5w==}\n\n  history@4.10.1:\n    resolution: {integrity: sha512-36nwAD620w12kuzPAsyINPWJqlNbij+hpK1k9XRloDtym8mxzGYl2c17LnV6IAGB2Dmg4tEa7G7DlawS0+qjew==}\n\n  history@5.3.0:\n    resolution: {integrity: sha512-ZqaKwjjrAYUYfLG+htGaIIZ4nioX2L70ZUMIFysS3xvBsSG4x/n1V6TXV3N8ZYNuFGlDirFg32T7B6WOUPDYcQ==}\n\n  hmac-drbg@1.0.1:\n    resolution: {integrity: sha512-Tti3gMqLdZfhOQY1Mzf/AanLiqh1WTiJgEj26ZuYQ9fbkLomzGchCws4FyrSd4VkpBfiNhaE1On+lOz894jvXg==}\n\n  hoist-non-react-statics@3.3.2:\n    resolution: {integrity: sha512-/gGivxi8JPKWNm/W0jSmzcMPpfpPLc3dY/6GxhX2hQ9iGj3aDfklV4ET7NjKpSinLpJ5vafa9iiGIEZg10SfBw==}\n\n  hosted-git-info@2.8.9:\n    resolution: {integrity: sha512-mxIDAb9Lsm6DoOJ7xH+5+X4y1LU/4Hi50L9C5sIswK3JzULS4bwk1FvjdBgvYR4bzT4tuUQiC15FE2f5HbLvYw==}\n\n  html-encoding-sniffer@2.0.1:\n    resolution: {integrity: sha512-D5JbOMBIR/TVZkubHT+OyT2705QvogUW4IBn6nHd756OwieSF9aDYFj4dv6HHEVGYbHaLETa3WggZYWWMyy3ZQ==}\n    engines: {node: '>=10'}\n\n  html-entities@2.5.2:\n    resolution: {integrity: sha512-K//PSRMQk4FZ78Kyau+mZurHn3FH0Vwr+H36eE0rPbeYkRRi9YxceYPhuN60UwWorxyKHhqoAJl2OFKa4BVtaA==}\n\n  html-escaper@2.0.2:\n    resolution: {integrity: sha512-H2iMtd0I4Mt5eYiapRdIDjp+XzelXQ0tFE4JS7YFwFevXXMmOp9myNrUvCg0D6ws8iqkRPBfKHgbwig1SmlLfg==}\n\n  http-proxy-agent@4.0.1:\n    resolution: {integrity: sha512-k0zdNgqWTGA6aeIRVpvfVob4fL52dTfaehylg0Y4UvSySvOq/Y+BOyPrgpUrA7HylqvU8vIZGsRuXmspskV0Tg==}\n    engines: {node: '>= 6'}\n\n  https-browserify@1.0.0:\n    resolution: {integrity: sha512-J+FkSdyD+0mA0N+81tMotaRMfSL9SGi+xpD3T6YApKsc3bGSXJlfXri3VyFOeYkfLRQisDk1W+jIFFKBeUBbBg==}\n\n  https-proxy-agent@5.0.1:\n    resolution: {integrity: sha512-dFcAjpTQFgoLMzC2VwU+C/CbS7uRL0lWmxDITmqm7C+7F0Odmj6s9l6alZc6AELXhrnggM2CeWSXHGOdX2YtwA==}\n    engines: {node: '>= 6'}\n\n  human-signals@1.1.1:\n    resolution: {integrity: sha512-SEQu7vl8KjNL2eoGBLF3+wAjpsNfA9XMlXAYj/3EdaNfAlxKthD1xjEQfGOUhllCGGJVNY34bRr6lPINhNjyZw==}\n    engines: {node: '>=8.12.0'}\n\n  iconv-lite@0.4.24:\n    resolution: {integrity: sha512-v3MXnZAcvnywkTUEZomIActle7RXXeedOR31wwl7VlyoXO4Qi9arvSenNQWne1TcRwhCL1HwLI21bEqdpj8/rA==}\n    engines: {node: '>=0.10.0'}\n\n  iconv-lite@0.6.3:\n    resolution: {integrity: sha512-4fCk79wshMdzMp2rH06qWrJE4iolqLhCUH+OiuIgU++RB0+94NlDL81atO7GX55uUKueo0txHNtvEyI6D7WdMw==}\n    engines: {node: '>=0.10.0'}\n\n  identity-obj-proxy@3.0.0:\n    resolution: {integrity: sha512-00n6YnVHKrinT9t0d9+5yZC6UBNJANpYEQvL2LlX6Ab9lnmxzIRcEmTPuyGScvl1+jKuCICX1Z0Ab1pPKKdikA==}\n    engines: {node: '>=4'}\n\n  ieee754@1.2.1:\n    resolution: {integrity: sha512-dcyqhDvX1C46lXZcVqCpK+FtMRQVdIMN6/Df5js2zouUsqG7I6sFxitIC+7KYK29KdXOLHdu9zL4sFnoVQnqaA==}\n\n  immer@7.0.15:\n    resolution: {integrity: sha512-yM7jo9+hvYgvdCQdqvhCNRRio0SCXc8xDPzA25SvKWa7b1WVPjLwQs1VYU5JPXjcJPTqAa5NP5dqpORGYBQ2AA==}\n\n  immutable@3.8.2:\n    resolution: {integrity: sha512-15gZoQ38eYjEjxkorfbcgBKBL6R7T459OuK+CpcWt7O3KF4uPCx2tD0uFETlUDIyo+1789crbMhTvQBSR5yBMg==}\n    engines: {node: '>=0.10.0'}\n\n  import-cwd@2.1.0:\n    resolution: {integrity: sha512-Ew5AZzJQFqrOV5BTW3EIoHAnoie1LojZLXKcCQ/yTRyVZosBhK1x1ViYjHGf5pAFOq8ZyChZp6m/fSN7pJyZtg==}\n    engines: {node: '>=4'}\n\n  import-fresh@2.0.0:\n    resolution: {integrity: sha512-eZ5H8rcgYazHbKC3PG4ClHNykCSxtAhxSSEM+2mb+7evD2CKF5V7c0dNum7AdpDh0ZdICwZY9sRSn8f+KH96sg==}\n    engines: {node: '>=4'}\n\n  import-fresh@3.3.0:\n    resolution: {integrity: sha512-veYYhQa+D1QBKznvhUHxb8faxlrwUnxseDAbAp457E0wLNio2bOSKnjYDhMj+YiAq61xrMGhQk9iXVk5FzgQMw==}\n    engines: {node: '>=6'}\n\n  import-from@2.1.0:\n    resolution: {integrity: sha512-0vdnLL2wSGnhlRmzHJAg5JHjt1l2vYhzJ7tNLGbeVg0fse56tpGaH0uzH+r9Slej+BSXXEHvBKDEnVSLLE9/+w==}\n    engines: {node: '>=4'}\n\n  import-local@3.2.0:\n    resolution: {integrity: sha512-2SPlun1JUPWoM6t3F0dw0FkCF/jWY8kttcY4f599GLTSjh2OCuuhdTkJQsEcZzBqbXZGKMK2OqW1oZsjtf/gQA==}\n    engines: {node: '>=8'}\n    hasBin: true\n\n  imurmurhash@0.1.4:\n    resolution: {integrity: sha512-JmXMZ6wuvDmLiHEml9ykzqO6lwFbof0GG4IkcGaENdCRDDmMVnny7s5HsIgHCbaq0w2MyPhDqkhTUgS2LU2PHA==}\n    engines: {node: '>=0.8.19'}\n\n  indent-string@4.0.0:\n    resolution: {integrity: sha512-EdDDZu4A2OyIK7Lr/2zG+w5jmbuk1DVBnEwREQvBzspBJkCEbRa8GxU1lghYcaGJCnRWibjDXlq779X1/y5xwg==}\n    engines: {node: '>=8'}\n\n  indexes-of@1.0.1:\n    resolution: {integrity: sha512-bup+4tap3Hympa+JBJUG7XuOsdNQ6fxt0MHyXMKuLBKn0OqsTfvUxkUrroEX1+B2VsSHvCjiIcZVxRtYa4nllA==}\n\n  inflight@1.0.6:\n    resolution: {integrity: sha512-k92I/b08q4wvFscXCLvqfsHCrjrF7yiXsQuIVvVE7N82W3+aqpzuUdBbfhWcy/FZR3/4IgflMgKLOsvPDrGCJA==}\n    deprecated: This module is not supported, and leaks memory. Do not use it. Check out lru-cache if you want a good and tested way to coalesce async requests by a key value, which is much more comprehensive and powerful.\n\n  inherits@2.0.3:\n    resolution: {integrity: sha512-x00IRNXNy63jwGkJmzPigoySHbaqpNuzKbBOmzK+g2OdZpQ9w+sxCN+VSB3ja7IAge2OP2qpfxTjeNcyjmW1uw==}\n\n  inherits@2.0.4:\n    resolution: {integrity: sha512-k/vGaX4/Yla3WzyMCvTQOXYeIHvqOKtnqBduzTHpzpQZzAskKMhZ2K+EnBiSM9zGSoIFeMpXKxa4dYeZIQqewQ==}\n\n  intl-format-cache@4.3.1:\n    resolution: {integrity: sha512-OEUYNA7D06agqPOYhbTkl0T8HA3QKSuwWh1HiClEnpd9vw7N+3XsQt5iZ0GUEchp5CW1fQk/tary+NsbF3yQ1Q==}\n\n  intl-messageformat-parser@3.6.4:\n    resolution: {integrity: sha512-RgPGwue0mJtoX2Ax8EmMzJzttxjnva7gx0Q7mKJ4oALrTZvtmCeAw5Msz2PcjW4dtCh/h7vN/8GJCxZO1uv+OA==}\n    deprecated: We've written a new parser that's 6x faster and is backwards compatible. Please use @formatjs/icu-messageformat-parser\n\n  intl-messageformat@7.8.4:\n    resolution: {integrity: sha512-yS0cLESCKCYjseCOGXuV4pxJm/buTfyCJ1nzQjryHmSehlptbZbn9fnlk1I9peLopZGGbjj46yHHiTAEZ1qOTA==}\n\n  intl@1.2.5:\n    resolution: {integrity: sha512-rK0KcPHeBFBcqsErKSpvZnrOmWOj+EmDkyJ57e90YWaQNqbcivcqmKDlHEeNprDWOsKzPsh1BfSpPQdDvclHVw==}\n\n  invariant@2.2.4:\n    resolution: {integrity: sha512-phJfQVBuaJM5raOpJjSfkiD6BpbCE4Ns//LaXl6wGYtUBY83nWS6Rf9tXm2e8VaK60JEjYldbPif/A2B1C2gNA==}\n\n  is-accessor-descriptor@1.0.1:\n    resolution: {integrity: sha512-YBUanLI8Yoihw923YeFUS5fs0fF2f5TSFTNiYAAzhhDscDa3lEqYuz1pDOEP5KvX94I9ey3vsqjJcLVFVU+3QA==}\n    engines: {node: '>= 0.10'}\n\n  is-arrayish@0.2.1:\n    resolution: {integrity: sha512-zz06S8t0ozoDXMG+ube26zeCTNXcKIPJZJi8hBrF4idCLms4CG9QtK7qBl1boi5ODzFpjswb5JPmHCbMpjaYzg==}\n\n  is-binary-path@2.1.0:\n    resolution: {integrity: sha512-ZMERYes6pDydyuGidse7OsHxtbI7WVeUEozgR/g7rd0xUimYNlvZRE/K2MgZTjWy725IfelLeVcEM97mmtRGXw==}\n    engines: {node: '>=8'}\n\n  is-buffer@1.1.6:\n    resolution: {integrity: sha512-NcdALwpXkTm5Zvvbk7owOUSvVvBKDgKP5/ewfXEznmQFfs4ZRmanOeKBTjRVjka3QFoN6XJ+9F3USqfHqTaU5w==}\n\n  is-ci@1.2.1:\n    resolution: {integrity: sha512-s6tfsaQaQi3JNciBH6shVqEDvhGut0SUXr31ag8Pd8BBbVVlcGfWhpPmEOoM6RJ5TFhbypvf5yyRw/VXW1IiWg==}\n    hasBin: true\n\n  is-ci@2.0.0:\n    resolution: {integrity: sha512-YfJT7rkpQB0updsdHLGWrvhBJfcfzNNawYDNIyQXJz0IViGf75O8EBPKSdvw2rF+LGCsX4FZ8tcr3b19LcZq4w==}\n    hasBin: true\n\n  is-core-module@2.15.1:\n    resolution: {integrity: sha512-z0vtXSwucUJtANQWldhbtbt7BnL0vxiFjIdDLAatwhDYty2bad6s+rijD6Ri4YuYJubLzIJLUidCh09e1djEVQ==}\n    engines: {node: '>= 0.4'}\n\n  is-data-descriptor@1.0.1:\n    resolution: {integrity: sha512-bc4NlCDiCr28U4aEsQ3Qs2491gVq4V8G7MQyws968ImqjKuYtTJXrl7Vq7jsN7Ly/C3xj5KWFrY7sHNeDkAzXw==}\n    engines: {node: '>= 0.4'}\n\n  is-descriptor@0.1.7:\n    resolution: {integrity: sha512-C3grZTvObeN1xud4cRWl366OMXZTj0+HGyk4hvfpx4ZHt1Pb60ANSXqCK7pdOTeUQpRzECBSTphqvD7U+l22Eg==}\n    engines: {node: '>= 0.4'}\n\n  is-descriptor@1.0.3:\n    resolution: {integrity: sha512-JCNNGbwWZEVaSPtS45mdtrneRWJFp07LLmykxeFV5F6oBvNF8vHSfJuJgoT472pSfk+Mf8VnlrspaFBHWM8JAw==}\n    engines: {node: '>= 0.4'}\n\n  is-directory@0.3.1:\n    resolution: {integrity: sha512-yVChGzahRFvbkscn2MlwGismPO12i9+znNruC5gVEntG3qu0xQMzsGg/JFbrsqDOHtHFPci+V5aP5T9I+yeKqw==}\n    engines: {node: '>=0.10.0'}\n\n  is-docker@2.2.1:\n    resolution: {integrity: sha512-F+i2BKsFrH66iaUFc0woD8sLy8getkwTwtOBjvs56Cx4CgJDeKQeqfz8wAYiSb8JOprWhHH5p77PbmYCvvUuXQ==}\n    engines: {node: '>=8'}\n    hasBin: true\n\n  is-extendable@0.1.1:\n    resolution: {integrity: sha512-5BMULNob1vgFX6EjQw5izWDxrecWK9AM72rugNr0TFldMOi0fj6Jk+zeKIt0xGj4cEfQIJth4w3OKWOJ4f+AFw==}\n    engines: {node: '>=0.10.0'}\n\n  is-extendable@1.0.1:\n    resolution: {integrity: sha512-arnXMxT1hhoKo9k1LZdmlNyJdDDfy2v0fXjFlmok4+i8ul/6WlbVge9bhM74OpNPQPMGUToDtz+KXa1PneJxOA==}\n    engines: {node: '>=0.10.0'}\n\n  is-extglob@2.1.1:\n    resolution: {integrity: sha512-SbKbANkN603Vi4jEZv49LeVJMn4yGwsbzZworEoyEiutsN3nJYdbO36zfhGJ6QEDpOZIFkDtnq5JRxmvl3jsoQ==}\n    engines: {node: '>=0.10.0'}\n\n  is-fullwidth-code-point@3.0.0:\n    resolution: {integrity: sha512-zymm5+u+sCsSWyD9qNaejV3DFvhCKclKdizYaJUuHA83RLjb7nSuGnddCHGv0hk+KY7BMAlsWeK4Ueg6EV6XQg==}\n    engines: {node: '>=8'}\n\n  is-generator-fn@2.1.0:\n    resolution: {integrity: sha512-cTIB4yPYL/Grw0EaSzASzg6bBy9gqCofvWN8okThAYIxKJZC+udlRAmGbM0XLeniEJSs8uEgHPGuHSe1XsOLSQ==}\n    engines: {node: '>=6'}\n\n  is-glob@4.0.3:\n    resolution: {integrity: sha512-xelSayHH36ZgE7ZWhli7pW34hNbNl8Ojv5KVmkJD4hBdD3th8Tfk9vYasLM+mXWOZhFkgZfxhLSnrwRr4elSSg==}\n    engines: {node: '>=0.10.0'}\n\n  is-number@3.0.0:\n    resolution: {integrity: sha512-4cboCqIpliH+mAvFNegjZQ4kgKc3ZUhQVr3HvWbSh5q3WH2v82ct+T2Y1hdU5Gdtorx/cLifQjqCbL7bpznLTg==}\n    engines: {node: '>=0.10.0'}\n\n  is-number@7.0.0:\n    resolution: {integrity: sha512-41Cifkg6e8TylSpdtTpeLVMqvSBEVzTttHvERD741+pnZ8ANv0004MRL43QKPDlK9cGvNp6NZWZUBlbGXYxxng==}\n    engines: {node: '>=0.12.0'}\n\n  is-obj@1.0.1:\n    resolution: {integrity: sha512-l4RyHgRqGN4Y3+9JHVrNqO+tN0rV5My76uW5/nuO4K1b6vw5G8d/cmFjP9tRfEsdhZNt0IFdZuK/c2Vr4Nb+Qg==}\n    engines: {node: '>=0.10.0'}\n\n  is-plain-obj@1.1.0:\n    resolution: {integrity: sha512-yvkRyxmFKEOQ4pNXCmJG5AEQNlXJS5LaONXo5/cLdTZdWvsZ1ioJEonLGAosKlMWE8lwUy/bJzMjcw8az73+Fg==}\n    engines: {node: '>=0.10.0'}\n\n  is-plain-object@2.0.4:\n    resolution: {integrity: sha512-h5PpgXkWitc38BBMYawTYMWJHFZJVnBquFE57xFpjB8pJFiF6gZ+bU+WyI/yqXiFR5mdLsgYNaPe8uao6Uv9Og==}\n    engines: {node: '>=0.10.0'}\n\n  is-potential-custom-element-name@1.0.1:\n    resolution: {integrity: sha512-bCYeRA2rVibKZd+s2625gGnGF/t7DSqDs4dP7CrLA1m7jKWz6pps0LpYLJN8Q64HtmPKJ1hrN3nzPNKFEKOUiQ==}\n\n  is-regexp@1.0.0:\n    resolution: {integrity: sha512-7zjFAPO4/gwyQAAgRRmqeEeyIICSdmCqa3tsVHMdBzaXXRiqopZL4Cyghg/XulGWrtABTpbnYYzzIRffLkP4oA==}\n    engines: {node: '>=0.10.0'}\n\n  is-stream@1.1.0:\n    resolution: {integrity: sha512-uQPm8kcs47jx38atAcWTVxyltQYoPT68y9aWYdV6yWXSyW8mzSat0TL6CiWdZeCdF3KrAvpVtnHbTv4RN+rqdQ==}\n    engines: {node: '>=0.10.0'}\n\n  is-stream@2.0.1:\n    resolution: {integrity: sha512-hFoiJiTl63nn+kstHGBtewWSKnQLpyb155KHheA1l39uvtO9nWIop1p3udqPcUd/xbF1VLMO4n7OI6p7RbngDg==}\n    engines: {node: '>=8'}\n\n  is-typedarray@1.0.0:\n    resolution: {integrity: sha512-cyA56iCMHAh5CdzjJIa4aohJyeO1YbwLi3Jc35MmRU6poroFjIGZzUzupGiRPOjgHg9TLu43xbpwXk523fMxKA==}\n\n  is-unicode-supported@0.1.0:\n    resolution: {integrity: sha512-knxG2q4UC3u8stRGyAVJCOdxFmv5DZiRcdlIaAQXAbSfJya+OhopNotLQrstBhququ4ZpuKbDc/8S6mgXgPFPw==}\n    engines: {node: '>=10'}\n\n  is-windows@1.0.2:\n    resolution: {integrity: sha512-eXK1UInq2bPmjyX6e3VHIzMLobc4J94i4AWn+Hpq3OU5KkrRC96OAcR3PRJ/pGu6m8TRnBHP9dkXQVsT/COVIA==}\n    engines: {node: '>=0.10.0'}\n\n  is-wsl@2.2.0:\n    resolution: {integrity: sha512-fKzAra0rGJUUBwGBgNkHZuToZcn+TtXHpeCgmkMJMMYx1sQDYaCSyjJBSCa2nH1DGm7s3n1oBnohoVTBaN7Lww==}\n    engines: {node: '>=8'}\n\n  isarray@0.0.1:\n    resolution: {integrity: sha512-D2S+3GLxWH+uhrNEcoh/fnmYeP8E8/zHl644d/jdA0g2uyXvy3sb0qxotE+ne0LtccHknQzWwZEzhak7oJ0COQ==}\n\n  isarray@1.0.0:\n    resolution: {integrity: sha512-VLghIWNM6ELQzo7zwmcg0NmTVyWKYjvIeM83yjp0wRDTmUnrM678fQbcKBo6n2CJEF0szoG//ytg+TKla89ALQ==}\n\n  isexe@2.0.0:\n    resolution: {integrity: sha512-RHxMLp9lnKHGHRng9QFhRCMbYAcVpn69smSGcq3f36xjgVVWThj4qqLbTLlq7Ssj8B+fIQ1EuCEGI2lKsyQeIw==}\n\n  isobject@2.1.0:\n    resolution: {integrity: sha512-+OUdGJlgjOBZDfxnDjYYG6zp487z0JGNQq3cYQYg5f5hKR+syHMsaztzGeml/4kGG55CSpKSpWTY+jYGgsHLgA==}\n    engines: {node: '>=0.10.0'}\n\n  isobject@3.0.1:\n    resolution: {integrity: sha512-WhB9zCku7EGTj/HQQRz5aUQEUeoQZH2bWcltRErOpymJ4boYE6wL9Tbr23krRPSZ+C5zqNSrSw+Cc7sZZ4b7vg==}\n    engines: {node: '>=0.10.0'}\n\n  isomorphic-fetch@2.2.1:\n    resolution: {integrity: sha512-9c4TNAKYXM5PRyVcwUZrF3W09nQ+sO7+jydgs4ZGW9dhsLG2VOlISJABombdQqQRXCwuYG3sYV/puGf5rp0qmA==}\n\n  istanbul-lib-coverage@3.2.2:\n    resolution: {integrity: sha512-O8dpsF+r0WV/8MNRKfnmrtCWhuKjxrq2w+jpzBL5UZKTi2LeVWnWOmWRxFlesJONmc+wLAGvKQZEOanko0LFTg==}\n    engines: {node: '>=8'}\n\n  istanbul-lib-instrument@4.0.3:\n    resolution: {integrity: sha512-BXgQl9kf4WTCPCCpmFGoJkz/+uhvm7h7PFKUYxh7qarQd3ER33vHG//qaE8eN25l07YqZPpHXU9I09l/RD5aGQ==}\n    engines: {node: '>=8'}\n\n  istanbul-lib-instrument@5.2.1:\n    resolution: {integrity: sha512-pzqtp31nLv/XFOzXGuvhCb8qhjmTVo5vjVk19XE4CRlSWz0KoeJ3bw9XsA7nOp9YBf4qHjwBxkDzKcME/J29Yg==}\n    engines: {node: '>=8'}\n\n  istanbul-lib-report@3.0.1:\n    resolution: {integrity: sha512-GCfE1mtsHGOELCU8e/Z7YWzpmybrx/+dSTfLrvY8qRmaY6zXTKWn6WQIjaAFw069icm6GVMNkgu0NzI4iPZUNw==}\n    engines: {node: '>=10'}\n\n  istanbul-lib-source-maps@4.0.1:\n    resolution: {integrity: sha512-n3s8EwkdFIJCG3BPKBYvskgXGoy88ARzvegkitk60NxRdwltLOTaH7CUiMRXvwYorl0Q712iEjcWB+fK/MrWVw==}\n    engines: {node: '>=10'}\n\n  istanbul-reports@3.1.7:\n    resolution: {integrity: sha512-BewmUXImeuRk2YY0PVbxgKAysvhRPUQE0h5QRM++nVWyubKGV0l8qQ5op8+B2DOmwSe63Jivj0BjkPQVf8fP5g==}\n    engines: {node: '>=8'}\n\n  javascript-stringify@2.1.0:\n    resolution: {integrity: sha512-JVAfqNPTvNq3sB/VHQJAFxN/sPgKnsKrCwyRt15zwNCdrMMJDdcEOdubuy+DuJYYdm0ox1J4uzEuYKkN+9yhVg==}\n\n  jest-changed-files@26.6.2:\n    resolution: {integrity: sha512-fDS7szLcY9sCtIip8Fjry9oGf3I2ht/QT21bAHm5Dmf0mD4X3ReNUf17y+bO6fR8WgbIZTlbyG1ak/53cbRzKQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-cli@26.6.3:\n    resolution: {integrity: sha512-GF9noBSa9t08pSyl3CY4frMrqp+aQXFGFkf5hEPbh/pIUFYWMK6ZLTfbmadxJVcJrdRoChlWQsA2VkJcDFK8hg==}\n    engines: {node: '>= 10.14.2'}\n    hasBin: true\n\n  jest-config@26.6.3:\n    resolution: {integrity: sha512-t5qdIj/bCj2j7NFVHb2nFB4aUdfucDn3JRKgrZnplb8nieAirAzRSHP8uDEd+qV6ygzg9Pz4YG7UTJf94LPSyg==}\n    engines: {node: '>= 10.14.2'}\n    peerDependencies:\n      ts-node: '>=9.0.0'\n    peerDependenciesMeta:\n      ts-node:\n        optional: true\n\n  jest-diff@26.6.2:\n    resolution: {integrity: sha512-6m+9Z3Gv9wN0WFVasqjCL/06+EFCMTqDEUl/b87HYK2rAPTyfz4ZIuSlPhY51PIQRWx5TaxeF1qmXKe9gfN3sA==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-docblock@26.0.0:\n    resolution: {integrity: sha512-RDZ4Iz3QbtRWycd8bUEPxQsTlYazfYn/h5R65Fc6gOfwozFhoImx+affzky/FFBuqISPTqjXomoIGJVKBWoo0w==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-each@26.6.2:\n    resolution: {integrity: sha512-Mer/f0KaATbjl8MCJ+0GEpNdqmnVmDYqCTJYTvoo7rqmRiDllmp2AYN+06F93nXcY3ur9ShIjS+CO/uD+BbH4A==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-environment-jsdom@26.6.2:\n    resolution: {integrity: sha512-jgPqCruTlt3Kwqg5/WVFyHIOJHsiAvhcp2qiR2QQstuG9yWox5+iHpU3ZrcBxW14T4fe5Z68jAfLRh7joCSP2Q==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-environment-node@26.6.2:\n    resolution: {integrity: sha512-zhtMio3Exty18dy8ee8eJ9kjnRyZC1N4C1Nt/VShN1apyXc8rWGtJ9lI7vqiWcyyXS4BVSEn9lxAM2D+07/Tag==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-get-type@26.3.0:\n    resolution: {integrity: sha512-TpfaviN1R2pQWkIihlfEanwOXK0zcxrKEE4MlU6Tn7keoXdN6/3gK/xl0yEh8DOunn5pOVGKf8hB4R9gVh04ig==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-haste-map@26.6.2:\n    resolution: {integrity: sha512-easWIJXIw71B2RdR8kgqpjQrbMRWQBgiBwXYEhtGUTaX+doCjBheluShdDMeR8IMfJiTqH4+zfhtg29apJf/8w==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-jasmine2@26.6.3:\n    resolution: {integrity: sha512-kPKUrQtc8aYwBV7CqBg5pu+tmYXlvFlSFYn18ev4gPFtrRzB15N2gW/Roew3187q2w2eHuu0MU9TJz6w0/nPEg==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-leak-detector@26.6.2:\n    resolution: {integrity: sha512-i4xlXpsVSMeKvg2cEKdfhh0H39qlJlP5Ex1yQxwF9ubahboQYMgTtz5oML35AVA3B4Eu+YsmwaiKVev9KCvLxg==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-matcher-utils@26.6.2:\n    resolution: {integrity: sha512-llnc8vQgYcNqDrqRDXWwMr9i7rS5XFiCwvh6DTP7Jqa2mqpcCBBlpCbn+trkG0KNhPu/h8rzyBkriOtBstvWhw==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-message-util@26.6.2:\n    resolution: {integrity: sha512-rGiLePzQ3AzwUshu2+Rn+UMFk0pHN58sOG+IaJbk5Jxuqo3NYO1U2/MIR4S1sKgsoYSXSzdtSa0TgrmtUwEbmA==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-mock@26.6.2:\n    resolution: {integrity: sha512-YyFjePHHp1LzpzYcmgqkJ0nm0gg/lJx2aZFzFy1S6eUqNjXsOqTK10zNRff2dNfssgokjkG65OlWNcIlgd3zew==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-pnp-resolver@1.2.3:\n    resolution: {integrity: sha512-+3NpwQEnRoIBtx4fyhblQDPgJI0H1IEIkX7ShLUjPGA7TtUTvI1oiKi3SR4oBR0hQhQR80l4WAe5RrXBwWMA8w==}\n    engines: {node: '>=6'}\n    peerDependencies:\n      jest-resolve: '*'\n    peerDependenciesMeta:\n      jest-resolve:\n        optional: true\n\n  jest-regex-util@26.0.0:\n    resolution: {integrity: sha512-Gv3ZIs/nA48/Zvjrl34bf+oD76JHiGDUxNOVgUjh3j890sblXryjY4rss71fPtD/njchl6PSE2hIhvyWa1eT0A==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-resolve-dependencies@26.6.3:\n    resolution: {integrity: sha512-pVwUjJkxbhe4RY8QEWzN3vns2kqyuldKpxlxJlzEYfKSvY6/bMvxoFrYYzUO1Gx28yKWN37qyV7rIoIp2h8fTg==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-resolve@26.6.2:\n    resolution: {integrity: sha512-sOxsZOq25mT1wRsfHcbtkInS+Ek7Q8jCHUB0ZUTP0tc/c41QHriU/NunqMfCUWsL4H3MHpvQD4QR9kSYhS7UvQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-runner@26.6.3:\n    resolution: {integrity: sha512-atgKpRHnaA2OvByG/HpGA4g6CSPS/1LK0jK3gATJAoptC1ojltpmVlYC3TYgdmGp+GLuhzpH30Gvs36szSL2JQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-runtime@26.6.3:\n    resolution: {integrity: sha512-lrzyR3N8sacTAMeonbqpnSka1dHNux2uk0qqDXVkMv2c/A3wYnvQ4EXuI013Y6+gSKSCxdaczvf4HF0mVXHRdw==}\n    engines: {node: '>= 10.14.2'}\n    hasBin: true\n\n  jest-serializer@26.6.2:\n    resolution: {integrity: sha512-S5wqyz0DXnNJPd/xfIzZ5Xnp1HrJWBczg8mMfMpN78OJ5eDxXyf+Ygld9wX1DnUWbIbhM1YDY95NjR4CBXkb2g==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-snapshot@26.6.2:\n    resolution: {integrity: sha512-OLhxz05EzUtsAmOMzuupt1lHYXCNib0ECyuZ/PZOx9TrZcC8vL0x+DUG3TL+GLX3yHG45e6YGjIm0XwDc3q3og==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-util@26.6.2:\n    resolution: {integrity: sha512-MDW0fKfsn0OI7MS7Euz6h8HNDXVQ0gaM9uW6RjfDmd1DAFcaxX9OqIakHIqhbnmF08Cf2DLDG+ulq8YQQ0Lp0Q==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-validate@26.6.2:\n    resolution: {integrity: sha512-NEYZ9Aeyj0i5rQqbq+tpIOom0YS1u2MVu6+euBsvpgIme+FOfRmoC4R5p0JiAUpaFvFy24xgrpMknarR/93XjQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-watcher@26.6.2:\n    resolution: {integrity: sha512-WKJob0P/Em2csiVthsI68p6aGKTIcsfjH9Gsx1f0A3Italz43e3ho0geSAVsmj09RWOELP1AZ/DXyJgOgDKxXQ==}\n    engines: {node: '>= 10.14.2'}\n\n  jest-worker@24.9.0:\n    resolution: {integrity: sha512-51PE4haMSXcHohnSMdM42anbvZANYTqMrr52tVKPqqsPJMzoP6FYYDVqahX/HrAoKEKz3uUPzSvKs9A3qR4iVw==}\n    engines: {node: '>= 6'}\n\n  jest-worker@26.6.2:\n    resolution: {integrity: sha512-KWYVV1c4i+jbMpaBC+U++4Va0cp8OisU185o73T1vo99hqi7w8tSJfUXYswwqqrjzwxa6KpRK54WhPvwf5w6PQ==}\n    engines: {node: '>= 10.13.0'}\n\n  jest@26.6.3:\n    resolution: {integrity: sha512-lGS5PXGAzR4RF7V5+XObhqz2KZIDUA1yD0DG6pBVmy10eh0ZIXQImRuzocsI/N2XZ1GrLFwTS27In2i2jlpq1Q==}\n    engines: {node: '>= 10.14.2'}\n    hasBin: true\n\n  js-tokens@4.0.0:\n    resolution: {integrity: sha512-RdJUflcE3cUzKiMqQgsCu06FPu9UdIJO0beYbPhHN4k6apgJtifcoCtT9bcxOpYBtpD2kCM6Sbzg4CausW/PKQ==}\n\n  js-yaml@3.14.1:\n    resolution: {integrity: sha512-okMH7OXXJ7YrN9Ok3/SXrnu4iX9yOk+25nqX4imS2npuvTYDmo/QEZoqwZkYaIDk3jVvBOTOIEgEhaLOynBS9g==}\n    hasBin: true\n\n  jsdom@16.7.0:\n    resolution: {integrity: sha512-u9Smc2G1USStM+s/x1ru5Sxrl6mPYCbByG1U/hUmqaVsm4tbNyS7CicOSRyuGQYZhTu0h84qkZZQ/I+dzizSVw==}\n    engines: {node: '>=10'}\n    peerDependencies:\n      canvas: ^2.5.0\n    peerDependenciesMeta:\n      canvas:\n        optional: true\n\n  jsesc@3.1.0:\n    resolution: {integrity: sha512-/sM3dO2FOzXjKQhJuo0Q173wf2KOo8t4I8vHy6lF9poUp7bKT0/NHE8fPX23PwfhnykfqnC2xRxOnVw5XuGIaA==}\n    engines: {node: '>=6'}\n    hasBin: true\n\n  json-parse-better-errors@1.0.2:\n    resolution: {integrity: sha512-mrqyZKfX5EhL7hvqcV6WG1yYjnjeuYDzDhhcAAUrq8Po85NBQBJP+ZDUT75qZQ98IkUoBqdkExkukOU7Ts2wrw==}\n\n  json-parse-even-better-errors@2.3.1:\n    resolution: {integrity: sha512-xyFwyhro/JEof6Ghe2iz2NcXoj2sloNsWr/XsERDK/oiPCfaNhl5ONfp+jQdAZRQQ0IJWNzH9zIZF7li91kh2w==}\n\n  json-schema-traverse@0.4.1:\n    resolution: {integrity: sha512-xbbCH5dCYU5T8LcEhhuh7HJ88HXuW3qsI3Y0zOZFKfZEHcpWiHU/Jxzk629Brsab/mMiHQti9wMP+845RPe3Vg==}\n\n  json2mq@0.2.0:\n    resolution: {integrity: sha512-SzoRg7ux5DWTII9J2qkrZrqV1gt+rTaoufMxEzXbS26Uid0NwaJd123HcoB80TgubEppxxIGdNxCx50fEoEWQA==}\n\n  json5@1.0.2:\n    resolution: {integrity: sha512-g1MWMLBiz8FKi1e4w0UyVL3w+iJceWAFBAaBnnGKOpNa5f8TLktkbre1+s6oICydWAm+HRUGTmI+//xv2hvXYA==}\n    hasBin: true\n\n  json5@2.2.3:\n    resolution: {integrity: sha512-XmOWe7eyHYH14cLdVPoyg+GOH3rYX++KpzrylJwSW98t3Nk+U8XOl8FWKOgwtzdb8lXGf6zYwDUzeHMWfxasyg==}\n    engines: {node: '>=6'}\n    hasBin: true\n\n  kind-of@3.2.2:\n    resolution: {integrity: sha512-NOW9QQXMoZGg/oqnVNoNTTIFEIid1627WCffUBJEdMxYApq7mNE7CpzucIPc+ZQg25Phej7IJSmX3hO+oblOtQ==}\n    engines: {node: '>=0.10.0'}\n\n  kind-of@4.0.0:\n    resolution: {integrity: sha512-24XsCxmEbRwEDbz/qz3stgin8TTzZ1ESR56OMCN0ujYg+vRutNSiOj9bHH9u85DKgXguraugV5sFuvbD4FW/hw==}\n    engines: {node: '>=0.10.0'}\n\n  kind-of@6.0.3:\n    resolution: {integrity: sha512-dcS1ul+9tmeD95T+x28/ehLgd9mENa3LsvDTtzm3vyBEO7RPptvAD+t44WVXaUjTBRcrpFeFlC8WCruUR456hw==}\n    engines: {node: '>=0.10.0'}\n\n  kleur@3.0.3:\n    resolution: {integrity: sha512-eTIzlVOSUR+JxdDFepEYcBMtZ9Qqdef+rnzWdRZuMbOywu5tO2w2N7rqjoANZ5k9vywhL6Br1VRjUIgTQx4E8w==}\n    engines: {node: '>=6'}\n\n  leven@3.1.0:\n    resolution: {integrity: sha512-qsda+H8jTaUaN/x5vzW2rzc+8Rw4TAQ/4KjB46IwK5VH+IlVeeeje/EoZRpiXvIqjFgK84QffqPztGI3VBLG1A==}\n    engines: {node: '>=6'}\n\n  lines-and-columns@1.2.4:\n    resolution: {integrity: sha512-7ylylesZQ/PV29jhEDl3Ufjo6ZX7gCqJr5F7PKrqc93v7fzSymt1BpwEU8nAUXs8qzzvqhbjhK5QZg6Mt/HkBg==}\n\n  lint-staged@10.5.4:\n    resolution: {integrity: sha512-EechC3DdFic/TdOPgj/RB3FicqE6932LTHCUm0Y2fsD9KGlLB+RwJl2q1IYBIvEsKzDOgn0D4gll+YxG5RsrKg==}\n    hasBin: true\n\n  listr2@3.14.0:\n    resolution: {integrity: sha512-TyWI8G99GX9GjE54cJ+RrNMcIFBfwMPxc3XTFiAYGN4s10hWROGtOg7+O6u6LE3mNkyld7RSLE6nrKBvTfcs3g==}\n    engines: {node: '>=10.0.0'}\n    peerDependencies:\n      enquirer: '>= 2.3.0 < 3'\n    peerDependenciesMeta:\n      enquirer:\n        optional: true\n\n  loader-utils@1.4.2:\n    resolution: {integrity: sha512-I5d00Pd/jwMD2QCduo657+YM/6L3KZu++pmX9VFncxaxvHcru9jx1lBaFft+r4Mt2jK0Yhp41XlRAihzPxHNCg==}\n    engines: {node: '>=4.0.0'}\n\n  locate-path@5.0.0:\n    resolution: {integrity: sha512-t7hw9pI+WvuwNJXwk5zVHpyhIqzg2qTlklJOf0mVxGSbe3Fp2VieZcduNYjaLDoy6p9uGpQEGWG87WpMKlNq8g==}\n    engines: {node: '>=8'}\n\n  lodash.debounce@4.0.8:\n    resolution: {integrity: sha512-FT1yDzDYEoYWhnSGnpE/4Kj1fLZkDFyqRb7fNt6FdYOSxlUWAtp42Eh6Wb0rGIv/m9Bgo7x4GhQbm5Ys4SG5ow==}\n\n  lodash.isequal@4.5.0:\n    resolution: {integrity: sha512-pDo3lu8Jhfjqls6GkMgpahsF9kCyayhgykjyLMNFTKWrpVdAQtYyB4muAMWozBB4ig/dtWAmsMxLEI8wuz+DYQ==}\n\n  lodash.merge@4.6.2:\n    resolution: {integrity: sha512-0KpjqXRVvrYyCsX1swR/XTK0va6VQkQM6MNo7PqW77ByjAhoARA8EfrP1N4+KlKj8YS0ZUCtRT/YUuhyYDujIQ==}\n\n  lodash.throttle@4.1.1:\n    resolution: {integrity: sha512-wIkUCfVKpVsWo3JSZlc+8MB5it+2AN5W8J7YVMST30UrvcQNZ1Okbj+rbVniijTWE6FGYy4XJq/rHkas8qJMLQ==}\n\n  lodash@4.17.21:\n    resolution: {integrity: sha512-v2kDEe57lecTulaDIuNTPy3Ry4gLGJ6Z1O3vE1krgXZNrsQ+LFTGHVxVjcXPs17LhbZVGedAJv8XZ1tvj5FvSg==}\n\n  log-symbols@4.1.0:\n    resolution: {integrity: sha512-8XPvpAA8uyhfteu8pIvQxpJZ7SYYdpUivZpGy6sFsBuKRY/7rQGavedeB8aK+Zkyq6upMFVL/9AW6vOYzfRyLg==}\n    engines: {node: '>=10'}\n\n  log-update@4.0.0:\n    resolution: {integrity: sha512-9fkkDevMefjg0mmzWFBW8YkFP91OrizzkW3diF7CpG+S2EYdy4+TVfGwz1zeF8x7hCx1ovSPTOE9Ngib74qqUg==}\n    engines: {node: '>=10'}\n\n  loose-envify@1.4.0:\n    resolution: {integrity: sha512-lyuxPGr/Wfhrlem2CL/UcnUc1zcqKAImBDzukY7Y5F/yQiNdko6+fRLevlw1HgMySw7f611UIY408EtxRSoK3Q==}\n    hasBin: true\n\n  lru-cache@4.1.5:\n    resolution: {integrity: sha512-sWZlbEP2OsHNkXrMl5GYk/jKk70MBng6UU4YI/qGDYbgf6YbP4EvmqISbXCoJiRKs+1bSpFHVgQxvJ17F2li5g==}\n\n  lru-cache@5.1.1:\n    resolution: {integrity: sha512-KpNARQA3Iwv+jTA0utUVVbrh+Jlrr1Fv0e56GGzAFOXN7dk/FviaDW8LHmK52DlcH4WP2n6gI8vN1aesBFgo9w==}\n\n  make-dir@4.0.0:\n    resolution: {integrity: sha512-hXdUTZYIVOt1Ex//jAQi+wTZZpUpwBj/0QsOzqegb3rGMMeJiSEu5xLHnYfBrRV4RH2+OCSOO95Is/7x1WJ4bw==}\n    engines: {node: '>=10'}\n\n  makeerror@1.0.12:\n    resolution: {integrity: sha512-JmqCvUhmt43madlpFzG4BQzG2Z3m6tvQDNKdClZnO3VbIudJYmxsT0FNJMeiB2+JTSlTQTSbU8QdesVmwJcmLg==}\n\n  map-cache@0.2.2:\n    resolution: {integrity: sha512-8y/eV9QQZCiyn1SprXSrCmqJN0yNRATe+PO8ztwqrvrbdRLA3eYJF0yaR0YayLWkMbsQSKWS9N2gPcGEc4UsZg==}\n    engines: {node: '>=0.10.0'}\n\n  map-visit@1.0.0:\n    resolution: {integrity: sha512-4y7uGv8bd2WdM9vpQsiQNo41Ln1NvhvDRuVt0k2JZQ+ezN2uaQes7lZeZ+QQUHOLQAtDaBJ+7wCbi+ab/KFs+w==}\n    engines: {node: '>=0.10.0'}\n\n  math-intrinsics@1.0.0:\n    resolution: {integrity: sha512-4MqMiKP90ybymYvsut0CH2g4XWbfLtmlCkXmtmdcDCxNB+mQcu1w/1+L/VD7vi/PSv7X2JYV7SCcR+jiPXnQtA==}\n    engines: {node: '>= 0.4'}\n\n  md5.js@1.3.5:\n    resolution: {integrity: sha512-xitP+WxNPcTTOgnTJcrhM0xvdPepipPSf3I8EIpGKeFLjt3PlJLIDG3u8EX53ZIubkb+5U2+3rELYpEhHhzdkg==}\n\n  memoize-one@5.2.1:\n    resolution: {integrity: sha512-zYiwtZUcYyXKo/np96AGZAckk+FWWsUdJ3cHGGmld7+AhvcWmQyGCYUh1hc4Q/pkOhb65dQR/pqCyK0cOaHz4Q==}\n\n  merge-stream@2.0.0:\n    resolution: {integrity: sha512-abv/qOcuPfk3URPfDzmZU1LKmuw8kT+0nIHvKrKgFrwifol/doWcdA4ZqsWQ8ENrFKkd67Mfpo/LovbIUsbt3w==}\n\n  micromatch@3.1.10:\n    resolution: {integrity: sha512-MWikgl9n9M3w+bpsY3He8L+w9eF9338xRl8IAO5viDizwSzziFEyUzo2xrrloB64ADbTf8uA8vRqqttDTOmccg==}\n    engines: {node: '>=0.10.0'}\n\n  micromatch@4.0.8:\n    resolution: {integrity: sha512-PXwfBhYu0hBCPw8Dn0E+WDYb7af3dSLVWKi3HGv84IdF4TyFoC0ysxFd0Goxw7nSv4T/PzEJQxsYsEiFCKo2BA==}\n    engines: {node: '>=8.6'}\n\n  miller-rabin@4.0.1:\n    resolution: {integrity: sha512-115fLhvZVqWwHPbClyntxEVfVDfl9DLLTuJvq3g2O/Oxi8AiNouAHvDSzHS0viUJc+V5vm3eq91Xwqn9dp4jRA==}\n    hasBin: true\n\n  mime-db@1.52.0:\n    resolution: {integrity: sha512-sPU4uV7dYlvtWJxwwxHD0PuihVNiE7TyAbQ5SWxDCB9mUYvOgroQOwYQQOKPJ8CIbE+1ETVlOoK1UC2nU3gYvg==}\n    engines: {node: '>= 0.6'}\n\n  mime-types@2.1.35:\n    resolution: {integrity: sha512-ZDY+bPm5zTTF+YpCrAU9nK0UgICYPT0QtT1NZWFv4s++TNkcgVaT0g6+4R2uI4MjQjzysHB1zxuWL50hzaeXiw==}\n    engines: {node: '>= 0.6'}\n\n  mime@1.4.1:\n    resolution: {integrity: sha512-KI1+qOZu5DcW6wayYHSzR/tXKCDC5Om4s1z2QJjDULzLcmf3DvzS7oluY4HCTrc+9FiKmWUgeNLg7W3uIQvxtQ==}\n    hasBin: true\n\n  mimic-fn@2.1.0:\n    resolution: {integrity: sha512-OqbOk5oEQeAZ8WXWydlu9HJjz9WVdEIvamMCcXmuqUYjTknH/sqsWvhQ3vgwKFRR1HpjvNBKQ37nbJgYzGqGcg==}\n    engines: {node: '>=6'}\n\n  min-document@2.19.0:\n    resolution: {integrity: sha512-9Wy1B3m3f66bPPmU5hdA4DR4PB2OfDU/+GS3yAB7IQozE3tqXaVv2zOjgla7MEGSRv95+ILmOuvhLkOK6wJtCQ==}\n\n  mini-create-react-context@0.4.1:\n    resolution: {integrity: sha512-YWCYEmd5CQeHGSAKrYvXgmzzkrvssZcuuQDDeqkT+PziKGMgE+0MCCtcKbROzocGBG1meBLl2FotlRwf4gAzbQ==}\n    deprecated: Package no longer supported. Contact Support at https://www.npmjs.com/support for more info.\n    peerDependencies:\n      prop-types: ^15.0.0\n      react: ^0.14.0 || ^15.0.0 || ^16.0.0 || ^17.0.0\n\n  minimalistic-assert@1.0.1:\n    resolution: {integrity: sha512-UtJcAD4yEaGtjPezWuO9wC4nwUnVH/8/Im3yEHQP4b67cXlD/Qr9hdITCU1xDbSEXg2XKNaP8jsReV7vQd00/A==}\n\n  minimalistic-crypto-utils@1.0.1:\n    resolution: {integrity: sha512-JIYlbt6g8i5jKfJ3xz7rF0LXmv2TkDxBLUkiBeZ7bAx4GnnNMr8xFpGnOxn6GhTEHx3SjRrZEoU+j04prX1ktg==}\n\n  minimatch@3.1.2:\n    resolution: {integrity: sha512-J7p63hRiAjw1NDEww1W7i37+ByIrOWO5XQQAzZ3VOcL0PNybwpfmV/N05zFAzwQ9USyEcX6t3UO+K5aqBQOIHw==}\n\n  minimist@1.2.8:\n    resolution: {integrity: sha512-2yyAR8qBkN3YuheJanUpWC5U3bb5osDywNB8RzDVlDwDHbocAJveqqj1u8+SVD7jkWT4yvsHCpWqqWqAxb0zCA==}\n\n  mixin-deep@1.3.2:\n    resolution: {integrity: sha512-WRoDn//mXBiJ1H40rqa3vH0toePwSsGb45iInWlTySa+Uu4k3tYUSxa2v1KqAiLtvlrSzaExqS1gtk96A9zvEA==}\n    engines: {node: '>=0.10.0'}\n\n  moment@2.30.1:\n    resolution: {integrity: sha512-uEmtNhbDOrWPFS+hdjFCBfy9f2YoyzRpwcl+DqpC6taX21FzsTLQVbMV/W7PzNSX6x/bhC1zA3c2UQ5NzH6how==}\n\n  ms@2.0.0:\n    resolution: {integrity: sha512-Tpp60P6IUJDTuOq/5Z8cdskzJujfwqfOTkrwIwj7IRISpnkJnT6SyJ4PCPnGMoFjC9ddhal5KVIYtAt97ix05A==}\n\n  ms@2.1.3:\n    resolution: {integrity: sha512-6FlzubTLZG3J2a/NVCAleEhjzq5oxgHyaCU9yYXvcLsvoVaHJq/s5xXI6/XXP6tz7R9xAOtHnSO/tXtF3WRTlA==}\n\n  nanomatch@1.2.13:\n    resolution: {integrity: sha512-fpoe2T0RbHwBTBUOftAfBPaDEi06ufaUai0mE6Yn1kacc3SnTErfb/h+X94VXzI64rKFHYImXSvdwGGCmwOqCA==}\n    engines: {node: '>=0.10.0'}\n\n  natural-compare@1.4.0:\n    resolution: {integrity: sha512-OWND8ei3VtNC9h7V60qff3SVobHr996CTwgxubgyQYEpg290h9J0buyECNNJexkFm5sOajh5G116RYA1c8ZMSw==}\n\n  nice-try@1.0.5:\n    resolution: {integrity: sha512-1nh45deeb5olNY7eX82BkPO7SSxR5SSYJiPTrTdFUVYwAl8CKMA5N9PjTYkHiRjisVcxcQ1HXdLhx2qxxJzLNQ==}\n\n  node-fetch@1.7.3:\n    resolution: {integrity: sha512-NhZ4CsKx7cYm2vSrBAr2PvFOe6sWDf0UYLRqA6svUYg7+/TSfVAu49jYC4BvQ4Sms9SZgdqGBgroqfDhJdTyKQ==}\n\n  node-int64@0.4.0:\n    resolution: {integrity: sha512-O5lz91xSOeoXP6DulyHfllpq+Eg00MWitZIbtPfoSEvqIHdl5gfcY6hYzDWnj0qD5tz52PI08u9qUvSVeUBeHw==}\n\n  node-libs-browser@2.2.1:\n    resolution: {integrity: sha512-h/zcD8H9kaDZ9ALUWwlBUDo6TKF8a7qBSCSEGfjTVIYeqsioSKaAX+BN7NgiMGp6iSIXZ3PxgCu8KS3b71YK5Q==}\n\n  node-notifier@8.0.2:\n    resolution: {integrity: sha512-oJP/9NAdd9+x2Q+rfphB2RJCHjod70RcRLjosiPMMu5gjIfwVnOUGq2nbTjTUbmy0DJ/tFIVT30+Qe3nzl4TJg==}\n\n  node-releases@2.0.19:\n    resolution: {integrity: sha512-xxOWJsBKtzAq7DY0J+DTzuz58K8e7sJbdgwkbMWQe8UYB6ekmsQ45q0M/tJDsGaZmbC+l7n57UV8Hl5tHxO9uw==}\n\n  normalize-package-data@2.5.0:\n    resolution: {integrity: sha512-/5CMN3T0R4XTj4DcGaexo+roZSdSFW/0AOOTROrjxzCG1wrWXEsGbRKevjlIL+ZDE4sZlJr5ED4YW0yqmkK+eA==}\n\n  normalize-path@1.0.0:\n    resolution: {integrity: sha512-7WyT0w8jhpDStXRq5836AMmihQwq2nrUVQrgjvUo/p/NZf9uy/MeJ246lBJVmWuYXMlJuG9BNZHF0hWjfTbQUA==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-path@2.1.1:\n    resolution: {integrity: sha512-3pKJwH184Xo/lnH6oyP1q2pMd7HcypqqmRs91/6/i2CGtWwIKGCkOOMTm/zXbgTEWHw1uNpNi/igc3ePOYHb6w==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-path@3.0.0:\n    resolution: {integrity: sha512-6eZs5Ls3WtCisHWp9S2GUy8dqkpGi4BVSz3GaqiE6ezub0512ESztXUwUB6C6IKbQkY2Pnb/mD4WYojCRwcwLA==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-range@0.1.2:\n    resolution: {integrity: sha512-bdok/XvKII3nUpklnV6P2hxtMNrCboOjAcyBuQnWEhO665FwrSNRxU+AqpsyvO6LgGYPspN+lu5CLtw4jPRKNA==}\n    engines: {node: '>=0.10.0'}\n\n  normalize-url@1.9.1:\n    resolution: {integrity: sha512-A48My/mtCklowHBlI8Fq2jFWK4tX4lJ5E6ytFsSOq1fzpvT0SQSgKhSg7lN5c2uYFOrUAOQp6zhhJnpp1eMloQ==}\n    engines: {node: '>=4'}\n\n  normalize.css@7.0.0:\n    resolution: {integrity: sha512-LYaFZxj2Q1Q9e1VJ0f6laG46Rt5s9URhKyckNaA2vZnL/0gwQHWhM7ALQkp3WBQKM5sXRLQ5Ehrfkp+E/ZiCRg==}\n\n  npm-run-path@2.0.2:\n    resolution: {integrity: sha512-lJxZYlT4DW/bRUtFh1MQIWqmLwQfAxnqWG4HhEdjMlkrJYnJn0Jrr2u3mgxqaWsdiBc76TYkTG/mhrnYTuzfHw==}\n    engines: {node: '>=4'}\n\n  npm-run-path@4.0.1:\n    resolution: {integrity: sha512-S48WzZW777zhNIrn7gxOlISNAqi9ZC/uQFnRdbeIHhZhCA6UqpkOT8T1G7BvfdgP4Er8gF4sUbaS0i7QvIfCWw==}\n    engines: {node: '>=8'}\n\n  num2fraction@1.2.2:\n    resolution: {integrity: sha512-Y1wZESM7VUThYY+4W+X4ySH2maqcA+p7UR+w8VWNWVAd6lwuXXWz/w/Cz43J/dI2I+PS6wD5N+bJUF+gjWvIqg==}\n\n  nwsapi@2.2.16:\n    resolution: {integrity: sha512-F1I/bimDpj3ncaNDhfyMWuFqmQDBwDB0Fogc2qpL3BWvkQteFD/8BzWuIRl83rq0DXfm8SGt/HFhLXZyljTXcQ==}\n\n  object-assign@4.1.1:\n    resolution: {integrity: sha512-rJgTQnkUnH1sFw8yT6VSU3zD3sWmu6sZhIseY8VX+GRu3P6F7Fu+JNDoXfklElbLJSnc3FUQHVe4cU5hj+BcUg==}\n    engines: {node: '>=0.10.0'}\n\n  object-copy@0.1.0:\n    resolution: {integrity: sha512-79LYn6VAb63zgtmAteVOWo9Vdj71ZVBy3Pbse+VqxDpEP83XuujMrGqHIwAXJ5I/aM0zU7dIyIAhifVTPrNItQ==}\n    engines: {node: '>=0.10.0'}\n\n  object-inspect@1.13.3:\n    resolution: {integrity: sha512-kDCGIbxkDSXE3euJZZXzc6to7fCrKHNI/hSRQnRuQ+BWjFNzZwiFF8fj/6o2t2G9/jTj8PSIYTfCLelLZEeRpA==}\n    engines: {node: '>= 0.4'}\n\n  object-keys@1.1.1:\n    resolution: {integrity: sha512-NuAESUOUMrlIXOfHKzD6bpPu3tYt3xvjNdRIQ+FeT0lNb4K8WR70CaDxhuNguS2XG+GjkyMwOzsN5ZktImfhLA==}\n    engines: {node: '>= 0.4'}\n\n  object-visit@1.0.1:\n    resolution: {integrity: sha512-GBaMwwAVK9qbQN3Scdo0OyvgPW7l3lnaVMj84uTOZlswkX0KpF6fyDBJhtTthf7pymztoN36/KEr1DyhF96zEA==}\n    engines: {node: '>=0.10.0'}\n\n  object.assign@4.1.5:\n    resolution: {integrity: sha512-byy+U7gp+FVwmyzKPYhW2h5l3crpmGsxl7X2s8y43IgxvG4g3QZ6CffDtsNQy1WsmZpQbO+ybo0AlW7TY6DcBQ==}\n    engines: {node: '>= 0.4'}\n\n  object.pick@1.3.0:\n    resolution: {integrity: sha512-tqa/UMy/CCoYmj+H5qc07qvSL9dqcs/WZENZ1JbtWBlATP+iVOe778gE6MSijnyCnORzDuX6hU+LA4SZ09YjFQ==}\n    engines: {node: '>=0.10.0'}\n\n  omit.js@2.0.2:\n    resolution: {integrity: sha512-hJmu9D+bNB40YpL9jYebQl4lsTW6yEHRTroJzNLqQJYHm7c+NQnJGfZmIWh8S3q3KoaxV1aLhV6B3+0N0/kyJg==}\n\n  once@1.4.0:\n    resolution: {integrity: sha512-lNaJgI+2Q5URQBkccEKHTQOPaXdUxnZZElQTZY0MFUAuaEqe1E+Nyvgdz/aIyNi6Z9MzO5dv1H8n58/GELp3+w==}\n\n  onetime@5.1.2:\n    resolution: {integrity: sha512-kbpaSSGJTWdAY5KPVeMOKXSrPtr8C8C7wodJbcsd51jRnmD+GZu8Y0VoU6Dm5Z4vWr0Ig/1NKuWRKf7j5aaYSg==}\n    engines: {node: '>=6'}\n\n  os-browserify@0.3.0:\n    resolution: {integrity: sha512-gjcpUc3clBf9+210TRaDWbf+rZZZEshZ+DlXMRCeAjp0xhTrnQsKHypIy1J3d5hKdUzj69t708EHtU8P6bUn0A==}\n\n  p-each-series@2.2.0:\n    resolution: {integrity: sha512-ycIL2+1V32th+8scbpTvyHNaHe02z0sjgh91XXjAk+ZeXoPN4Z46DVUnzdso0aX4KckKw0FNNFHdjZ2UsZvxiA==}\n    engines: {node: '>=8'}\n\n  p-finally@1.0.0:\n    resolution: {integrity: sha512-LICb2p9CB7FS+0eR1oqWnHhp0FljGLZCWBE9aix0Uye9W8LTQPwMTYVGWQWIw9RdQiDg4+epXQODwIYJtSJaow==}\n    engines: {node: '>=4'}\n\n  p-limit@2.3.0:\n    resolution: {integrity: sha512-//88mFWSJx8lxCzwdAABTJL2MyWB12+eIY7MDL2SqLmAkeKU9qxRvWuSyTjm3FUmpBEMuFfckAIqEaVGUDxb6w==}\n    engines: {node: '>=6'}\n\n  p-locate@4.1.0:\n    resolution: {integrity: sha512-R79ZZ/0wAxKGu3oYMlz8jy/kbhsNrS7SKZ7PxEHBgJ5+F2mtFW2fK2cOtBh1cHYkQsbzFV7I+EoRKe6Yt0oK7A==}\n    engines: {node: '>=8'}\n\n  p-map@4.0.0:\n    resolution: {integrity: sha512-/bjOqmgETBYB5BoEeGVea8dmvHb2m9GLy1E9W43yeyfP6QQCZGFNa+XRceJEuDB6zqr+gKpIAmlLebMpykw/MQ==}\n    engines: {node: '>=10'}\n\n  p-try@2.2.0:\n    resolution: {integrity: sha512-R4nPAVTAU0B9D35/Gk3uJf/7XYbQcyohSKdvAxIRSNghFl4e71hVoGnBNQz9cWaXxO2I10KTC+3jMdvvoKw6dQ==}\n    engines: {node: '>=6'}\n\n  pako@1.0.11:\n    resolution: {integrity: sha512-4hLB8Py4zZce5s4yd9XzopqwVv/yGNhV1Bl8NTmCq1763HeK2+EwVTv+leGeL13Dnh2wfbqowVPXCIO0z4taYw==}\n\n  parent-module@1.0.1:\n    resolution: {integrity: sha512-GQ2EWRpQV8/o+Aw8YqtfZZPfNRWZYkbidE9k5rpl/hC3vtHHBfGm2Ifi6qWV+coDGkrUKZAxE3Lot5kcsRlh+g==}\n    engines: {node: '>=6'}\n\n  parse-asn1@5.1.7:\n    resolution: {integrity: sha512-CTM5kuWR3sx9IFamcl5ErfPl6ea/N8IYwiJ+vpeB2g+1iknv7zBl5uPwbMbRVznRVbrNY6lGuDoE5b30grmbqg==}\n    engines: {node: '>= 0.10'}\n\n  parse-json@4.0.0:\n    resolution: {integrity: sha512-aOIos8bujGN93/8Ox/jPLh7RwVnPEysynVFE+fQZyg6jKELEHwzgKdLRFHUgXJL6kylijVSBC4BvN9OmsB48Rw==}\n    engines: {node: '>=4'}\n\n  parse-json@5.2.0:\n    resolution: {integrity: sha512-ayCKvm/phCGxOkYRSCM82iDwct8/EonSEgCSxWxD7ve6jHggsFl4fZVQBPRNgQoKiuV/odhFrGzQXZwbifC8Rg==}\n    engines: {node: '>=8'}\n\n  parse5@6.0.1:\n    resolution: {integrity: sha512-Ofn/CTFzRGTTxwpNEs9PP93gXShHcTq255nzRYSKe8AkVpZY7e1fpmTfOyoIvjP5HG7Z2ZM7VS9PPhQGW2pOpw==}\n\n  pascalcase@0.1.1:\n    resolution: {integrity: sha512-XHXfu/yOQRy9vYOtUDVMN60OEJjW013GoObG1o+xwQTpB9eYJX/BjXMsdW13ZDPruFhYYn0AG22w0xgQMwl3Nw==}\n    engines: {node: '>=0.10.0'}\n\n  path-browserify@0.0.1:\n    resolution: {integrity: sha512-BapA40NHICOS+USX9SN4tyhq+A2RrN/Ws5F0Z5aMHDp98Fl86lX8Oti8B7uN93L4Ifv4fHOEA+pQw87gmMO/lQ==}\n\n  path-exists@4.0.0:\n    resolution: {integrity: sha512-ak9Qy5Q7jYb2Wwcey5Fpvg2KoAc/ZIhLSLOSBmRmygPsGwkVVt0fZa0qrtMz+m6tJTAHfZQ8FnmB4MG4LWy7/w==}\n    engines: {node: '>=8'}\n\n  path-is-absolute@1.0.1:\n    resolution: {integrity: sha512-AVbw3UJ2e9bq64vSaS9Am0fje1Pa8pbGqTTsmXfaIiMpnr5DlDhfJOuLj9Sf95ZPVDAUerDfEk88MPmPe7UCQg==}\n    engines: {node: '>=0.10.0'}\n\n  path-key@2.0.1:\n    resolution: {integrity: sha512-fEHGKCSmUSDPv4uoj8AlD+joPlq3peND+HRYyxFz4KPw4z926S/b8rIuFs2FYJg3BwsxJf6A9/3eIdLaYC+9Dw==}\n    engines: {node: '>=4'}\n\n  path-key@3.1.1:\n    resolution: {integrity: sha512-ojmeN0qd+y0jszEtoY48r0Peq5dwMEkIlCOu6Q5f41lfkswXuKtYrhgoTpLnyIcHm24Uhqx+5Tqm2InSwLhE6Q==}\n    engines: {node: '>=8'}\n\n  path-parse@1.0.7:\n    resolution: {integrity: sha512-LDJzPVEEEPR+y48z93A0Ed0yXb8pAByGWo/k5YYdYgpY2/2EsOsksJrq7lOHxryrVOn1ejG6oAp8ahvOIQD8sw==}\n\n  path-to-regexp@1.9.0:\n    resolution: {integrity: sha512-xIp7/apCFJuUHdDLWe8O1HIkb0kQrOMb/0u6FXQjemHn/ii5LrIzU6bdECnsiTF/GjZkMEKg1xdiZwNqDYlZ6g==}\n\n  path-to-regexp@2.4.0:\n    resolution: {integrity: sha512-G6zHoVqC6GGTQkZwF4lkuEyMbVOjoBKAEybQUypI1WTkqinCOrq2x6U2+phkJ1XsEMTy4LjtwPI7HW+NVrRR2w==}\n\n  path-type@4.0.0:\n    resolution: {integrity: sha512-gDKb8aZMDeD/tZWs9P6+q0J9Mwkdl6xMV8TjnGP3qJVJ06bdMgkbBlLU8IdfOsIsFz2BW1rNVT3XuNEl8zPAvw==}\n    engines: {node: '>=8'}\n\n  pbkdf2@3.1.2:\n    resolution: {integrity: sha512-iuh7L6jA7JEGu2WxDwtQP1ddOpaJNC4KlDEFfdQajSGgGPNi4OyDc2R7QnbY2bR9QjBVGwgvTdNJZoE7RaxUMA==}\n    engines: {node: '>=0.12'}\n\n  performance-now@2.1.0:\n    resolution: {integrity: sha512-7EAHlyLHI56VEIdK57uwHdHKIaAGbnXPiw0yWbarQZOKaKpvUIgW0jWRVLiatnM+XXlSwsanIBH/hzGMJulMow==}\n\n  picocolors@0.2.1:\n    resolution: {integrity: sha512-cMlDqaLEqfSaW8Z7N5Jw+lyIW869EzT73/F5lhtY9cLGoVxSXznfgfXMO0Z5K0o0Q2TkTXq+0KFsdnSe3jDViA==}\n\n  picocolors@1.1.1:\n    resolution: {integrity: sha512-xceH2snhtb5M9liqDsmEw56le376mTZkEX/jEb/RxNFyegNul7eNslCXP9FDj/Lcu0X8KEyMceP2ntpaHrDEVA==}\n\n  picomatch@2.3.1:\n    resolution: {integrity: sha512-JU3teHTNjmE2VCGFzuY8EXzCDVwEqB2a8fsIvwaStHhAWJEeVd1o1QD80CU6+ZdEXXSLbSsuLwJjkCBWqRQUVA==}\n    engines: {node: '>=8.6'}\n\n  pirates@4.0.6:\n    resolution: {integrity: sha512-saLsH7WeYYPiD25LDuLRRY/i+6HaPYr6G1OUlN39otzkSTxKnubR9RTxS3/Kk50s1g2JTgFwWQDQyplC5/SHZg==}\n    engines: {node: '>= 6'}\n\n  pkg-dir@4.2.0:\n    resolution: {integrity: sha512-HRDzbaKjC+AOWVXxAU/x54COGeIv9eb+6CkDSQoNTt4XyWoIJvuPsXizxu/Fr23EiekbtZwmh1IcIG/l/a10GQ==}\n    engines: {node: '>=8'}\n\n  please-upgrade-node@3.2.0:\n    resolution: {integrity: sha512-gQR3WpIgNIKwBMVLkpMUeR3e1/E1y42bqDQZfql+kDeXd8COYfM8PQA4X6y7a8u9Ua9FHmsrrmirW2vHs45hWg==}\n\n  posix-character-classes@0.1.1:\n    resolution: {integrity: sha512-xTgYBc3fuo7Yt7JbiuFxSYGToMoz8fLoE6TC9Wx1P/u+LfeThMOAqmuyECnlBaaJb+u1m9hHiXUEtwW4OzfUJg==}\n    engines: {node: '>=0.10.0'}\n\n  postcss-attribute-case-insensitive@4.0.2:\n    resolution: {integrity: sha512-clkFxk/9pcdb4Vkn0hAHq3YnxBQ2p0CGD1dy24jN+reBck+EWxMbxSUqN4Yj7t0w8csl87K6p0gxBe1utkJsYA==}\n\n  postcss-color-functional-notation@2.0.1:\n    resolution: {integrity: sha512-ZBARCypjEDofW4P6IdPVTLhDNXPRn8T2s1zHbZidW6rPaaZvcnCS2soYFIQJrMZSxiePJ2XIYTlcb2ztr/eT2g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-gray@5.0.0:\n    resolution: {integrity: sha512-q6BuRnAGKM/ZRpfDascZlIZPjvwsRye7UDNalqVz3s7GDxMtqPY6+Q871liNxsonUw8oC61OG+PSaysYpl1bnw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-hex-alpha@5.0.3:\n    resolution: {integrity: sha512-PF4GDel8q3kkreVXKLAGNpHKilXsZ6xuu+mOQMHWHLPNyjiUBOr75sp5ZKJfmv1MCus5/DWUGcK9hm6qHEnXYw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-mod-function@3.0.3:\n    resolution: {integrity: sha512-YP4VG+xufxaVtzV6ZmhEtc+/aTXH3d0JLpnYfxqTvwZPbJhWqp8bSY3nfNzNRFLgB4XSaBA82OE4VjOOKpCdVQ==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-color-rebeccapurple@4.0.1:\n    resolution: {integrity: sha512-aAe3OhkS6qJXBbqzvZth2Au4V3KieR5sRQ4ptb2b2O8wgvB3SJBsdG+jsn2BZbbwekDG8nTfcCNKcSfe/lEy8g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-custom-media@7.0.8:\n    resolution: {integrity: sha512-c9s5iX0Ge15o00HKbuRuTqNndsJUbaXdiNsksnVH8H4gdc+zbLzr/UasOwNG6CTDpLFekVY4672eWdiiWu2GUg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-custom-properties@8.0.11:\n    resolution: {integrity: sha512-nm+o0eLdYqdnJ5abAJeXp4CEU1c1k+eB2yMCvhgzsds/e0umabFrN6HoTy/8Q4K5ilxERdl/JD1LO5ANoYBeMA==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-custom-selectors@5.1.2:\n    resolution: {integrity: sha512-DSGDhqinCqXqlS4R7KGxL1OSycd1lydugJ1ky4iRXPHdBRiozyMHrdu0H3o7qNOCiZwySZTUI5MV0T8QhCLu+w==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-dir-pseudo-class@5.0.0:\n    resolution: {integrity: sha512-3pm4oq8HYWMZePJY+5ANriPs3P07q+LW6FAdTlkFH2XqDdP4HeeJYMOzn0HYLhRSjBO3fhiqSwwU9xEULSrPgw==}\n    engines: {node: '>=4.0.0'}\n\n  postcss-double-position-gradients@1.0.0:\n    resolution: {integrity: sha512-G+nV8EnQq25fOI8CH/B6krEohGWnF5+3A6H/+JEpOncu5dCnkS1QQ6+ct3Jkaepw1NGVqqOZH6lqrm244mCftA==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-env-function@2.0.2:\n    resolution: {integrity: sha512-rwac4BuZlITeUbiBq60h/xbLzXY43qOsIErngWa4l7Mt+RaSkT7QBjXVGTcBHupykkblHMDrBFh30zchYPaOUw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-flexbugs-fixes@4.2.1:\n    resolution: {integrity: sha512-9SiofaZ9CWpQWxOwRh1b/r85KD5y7GgvsNt1056k6OYLvWUun0czCvogfJgylC22uJTwW1KzY3Gz65NZRlvoiQ==}\n\n  postcss-focus-visible@4.0.0:\n    resolution: {integrity: sha512-Z5CkWBw0+idJHSV6+Bgf2peDOFf/x4o+vX/pwcNYrWpXFrSfTkQ3JQ1ojrq9yS+upnAlNRHeg8uEwFTgorjI8g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-focus-within@3.0.0:\n    resolution: {integrity: sha512-W0APui8jQeBKbCGZudW37EeMCjDeVxKgiYfIIEo8Bdh5SpB9sxds/Iq8SEuzS0Q4YFOlG7EPFulbbxujpkrV2w==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-font-variant@4.0.1:\n    resolution: {integrity: sha512-I3ADQSTNtLTTd8uxZhtSOrTCQ9G4qUVKPjHiDk0bV75QSxXjVWiJVJ2VLdspGUi9fbW9BcjKJoRvxAH1pckqmA==}\n\n  postcss-gap-properties@2.0.0:\n    resolution: {integrity: sha512-QZSqDaMgXCHuHTEzMsS2KfVDOq7ZFiknSpkrPJY6jmxbugUPTuSzs/vuE5I3zv0WAS+3vhrlqhijiprnuQfzmg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-image-set-function@3.0.1:\n    resolution: {integrity: sha512-oPTcFFip5LZy8Y/whto91L9xdRHCWEMs3e1MdJxhgt4jy2WYXfhkng59fH5qLXSCPN8k4n94p1Czrfe5IOkKUw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-initial@3.0.4:\n    resolution: {integrity: sha512-3RLn6DIpMsK1l5UUy9jxQvoDeUN4gP939tDcKUHD/kM8SGSKbFAnvkpFpj3Bhtz3HGk1jWY5ZNWX6mPta5M9fg==}\n\n  postcss-lab-function@2.0.1:\n    resolution: {integrity: sha512-whLy1IeZKY+3fYdqQFuDBf8Auw+qFuVnChWjmxm/UhHWqNHZx+B99EwxTvGYmUBqe3Fjxs4L1BoZTJmPu6usVg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-load-config@2.1.2:\n    resolution: {integrity: sha512-/rDeGV6vMUo3mwJZmeHfEDvwnTKKqQ0S7OHUi/kJvvtx3aWtyWG2/0ZWnzCt2keEclwN6Tf0DST2v9kITdOKYw==}\n    engines: {node: '>= 4'}\n\n  postcss-loader@3.0.0:\n    resolution: {integrity: sha512-cLWoDEY5OwHcAjDnkyRQzAXfs2jrKjXpO/HQFcc5b5u/r7aa471wdmChmwfnv7x2u840iat/wi0lQ5nbRgSkUA==}\n    engines: {node: '>= 6'}\n\n  postcss-logical@3.0.0:\n    resolution: {integrity: sha512-1SUKdJc2vuMOmeItqGuNaC+N8MzBWFWEkAnRnLpFYj1tGGa7NqyVBujfRtgNa2gXR+6RkGUiB2O5Vmh7E2RmiA==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-media-minmax@4.0.0:\n    resolution: {integrity: sha512-fo9moya6qyxsjbFAYl97qKO9gyre3qvbMnkOZeZwlsW6XYFsvs2DMGDlchVLfAd8LHPZDxivu/+qW2SMQeTHBw==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-nesting@7.0.1:\n    resolution: {integrity: sha512-FrorPb0H3nuVq0Sff7W2rnc3SmIcruVC6YwpcS+k687VxyxO33iE1amna7wHuRVzM8vfiYofXSBHNAZ3QhLvYg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-overflow-shorthand@2.0.0:\n    resolution: {integrity: sha512-aK0fHc9CBNx8jbzMYhshZcEv8LtYnBIRYQD5i7w/K/wS9c2+0NSR6B3OVMu5y0hBHYLcMGjfU+dmWYNKH0I85g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-page-break@2.0.0:\n    resolution: {integrity: sha512-tkpTSrLpfLfD9HvgOlJuigLuk39wVTbbd8RKcy8/ugV2bNBUW3xU+AIqyxhDrQr1VUj1RmyJrBn1YWrqUm9zAQ==}\n\n  postcss-place@4.0.1:\n    resolution: {integrity: sha512-Zb6byCSLkgRKLODj/5mQugyuj9bvAAw9LqJJjgwz5cYryGeXfFZfSXoP1UfveccFmeq0b/2xxwcTEVScnqGxBg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-preset-env@6.7.0:\n    resolution: {integrity: sha512-eU4/K5xzSFwUFJ8hTdTQzo2RBLbDVt83QZrAvI07TULOkmyQlnYlpwep+2yIK+K+0KlZO4BvFcleOCCcUtwchg==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-pseudo-class-any-link@6.0.0:\n    resolution: {integrity: sha512-lgXW9sYJdLqtmw23otOzrtbDXofUdfYzNm4PIpNE322/swES3VU9XlXHeJS46zT2onFO7V1QFdD4Q9LiZj8mew==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-replace-overflow-wrap@3.0.0:\n    resolution: {integrity: sha512-2T5hcEHArDT6X9+9dVSPQdo7QHzG4XKclFT8rU5TzJPDN7RIRTbO9c4drUISOVemLj03aezStHCR2AIcr8XLpw==}\n\n  postcss-safe-parser@4.0.2:\n    resolution: {integrity: sha512-Uw6ekxSWNLCPesSv/cmqf2bY/77z11O7jZGPax3ycZMFU/oi2DMH9i89AdHc1tRwFg/arFoEwX0IS3LCUxJh1g==}\n    engines: {node: '>=6.0.0'}\n\n  postcss-selector-matches@4.0.0:\n    resolution: {integrity: sha512-LgsHwQR/EsRYSqlwdGzeaPKVT0Ml7LAT6E75T8W8xLJY62CE4S/l03BWIt3jT8Taq22kXP08s2SfTSzaraoPww==}\n\n  postcss-selector-not@4.0.1:\n    resolution: {integrity: sha512-YolvBgInEK5/79C+bdFMyzqTg6pkYqDbzZIST/PDMqa/o3qtXenD05apBG2jLgT0/BQ77d4U2UK12jWpilqMAQ==}\n\n  postcss-selector-parser@5.0.0:\n    resolution: {integrity: sha512-w+zLE5Jhg6Liz8+rQOWEAwtwkyqpfnmsinXjXg6cY7YIONZZtgvE0v2O0uhQBs0peNomOJwWRKt6JBfTdTd3OQ==}\n    engines: {node: '>=4'}\n\n  postcss-selector-parser@6.1.2:\n    resolution: {integrity: sha512-Q8qQfPiZ+THO/3ZrOrO0cJJKfpYCagtMUkXbnEfmgUjwXg6z/WBeOyS9APBBPCTSiDV+s4SwQGu8yFsiMRIudg==}\n    engines: {node: '>=4'}\n\n  postcss-value-parser@4.2.0:\n    resolution: {integrity: sha512-1NNCs6uurfkVbeXG4S8JFT9t19m45ICnif8zWLd5oPSZ50QnwMfK+H3jv408d4jw/7Bttv5axS5IiHoLaVNHeQ==}\n\n  postcss-values-parser@2.0.1:\n    resolution: {integrity: sha512-2tLuBsA6P4rYTNKCXYG/71C7j1pU6pK503suYOmn4xYrQIzW+opD+7FAFNuGSdZC/3Qfy334QbeMu7MEb8gOxg==}\n    engines: {node: '>=6.14.4'}\n\n  postcss@7.0.32:\n    resolution: {integrity: sha512-03eXong5NLnNCD05xscnGKGDZ98CyzoqPSMjOe6SuoQY7Z2hIj0Ld1g/O/UQRuOle2aRtiIRDg9tDcTGAkLfKw==}\n    engines: {node: '>=6.0.0'}\n\n  prepend-http@1.0.4:\n    resolution: {integrity: sha512-PhmXi5XmoyKw1Un4E+opM2KcsJInDvKyuOumcjjw3waw86ZNjHwVUOOWLc4bCzLdcKNaWBH9e99sbWzDQsVaYg==}\n    engines: {node: '>=0.10.0'}\n\n  prettier@2.2.1:\n    resolution: {integrity: sha512-PqyhM2yCjg/oKkFPtTGUojv7gnZAoG80ttl45O6x2Ug/rMJw4wcc9k6aaf2hibP7BGVCCM33gZoGjyvt9mm16Q==}\n    engines: {node: '>=10.13.0'}\n    hasBin: true\n\n  prettier@2.8.8:\n    resolution: {integrity: sha512-tdN8qQGvNjw4CHbY+XXk0JgCXn9QiF21a55rBe5LJAU+kDyC4WQn4+awm2Xfk2lQMk5fKup9XgzTZtGkjBdP9Q==}\n    engines: {node: '>=10.13.0'}\n    hasBin: true\n\n  pretty-format@26.6.2:\n    resolution: {integrity: sha512-7AeGuCYNGmycyQbCqd/3PWH4eOoX/OiCa0uphp57NVTeAGdJGaAliecxwBDHYQCIvrW7aDBZCYeNTP/WX69mkg==}\n    engines: {node: '>= 10'}\n\n  process-nextick-args@2.0.1:\n    resolution: {integrity: sha512-3ouUOpQhtgrbOa17J7+uxOTpITYWaGP7/AhoR3+A+/1e9skrzelGi/dXzEYyvbxubEF6Wn2ypscTKiKJFFn1ag==}\n\n  process@0.11.10:\n    resolution: {integrity: sha512-cdGef/drWFoydD1JsMzuFf8100nZl+GT+yacc2bEced5f9Rjk4z+WtFUTBu9PhOi9j/jfmBPu0mMEY4wIdAF8A==}\n    engines: {node: '>= 0.6.0'}\n\n  promise@7.3.1:\n    resolution: {integrity: sha512-nolQXZ/4L+bP/UGlkfaIujX9BKxGwmQ9OT4mOt5yvy8iK1h3wqTEJCijzGANTCCl9nWjY41juyAn2K3Q1hLLTg==}\n\n  prompts@2.4.2:\n    resolution: {integrity: sha512-NxNv/kLguCA7p3jE8oL2aEBsrJWgAakBpgmgK6lpPWV+WuOmY6r2/zbAVnP+T8bQlA0nzHXSJSJW0Hq7ylaD2Q==}\n    engines: {node: '>= 6'}\n\n  prop-types@15.8.1:\n    resolution: {integrity: sha512-oj87CgZICdulUohogVAR7AjlC0327U4el4L6eAvOqCeudMDVU0NThNaV+b9Df4dXgSP1gXMTnPdhfe/2qDH5cg==}\n\n  pseudomap@1.0.2:\n    resolution: {integrity: sha512-b/YwNhb8lk1Zz2+bXXpS/LK9OisiZZ1SNsSLxN1x2OXVEhW2Ckr/7mWE5vrC1ZTiJlD9g19jWszTmJsB+oEpFQ==}\n\n  psl@1.15.0:\n    resolution: {integrity: sha512-JZd3gMVBAVQkSs6HdNZo9Sdo0LNcQeMNP3CozBJb3JYC/QUYZTnKxP+f8oWRX4rHP5EurWxqAHTSwUCjlNKa1w==}\n\n  public-encrypt@4.0.3:\n    resolution: {integrity: sha512-zVpa8oKZSz5bTMTFClc1fQOnyyEzpl5ozpi1B5YcvBrdohMjH2rfsBtyXcuNuwjsDIXmBYlF2N5FlJYhR29t8Q==}\n\n  pump@3.0.2:\n    resolution: {integrity: sha512-tUPXtzlGM8FE3P0ZL6DVs/3P58k9nk8/jZeQCurTJylQA8qFYzHFfhBJkuqyE0FifOsQ0uKWekiZ5g8wtr28cw==}\n\n  punycode@1.4.1:\n    resolution: {integrity: sha512-jmYNElW7yvO7TV33CjSmvSiE2yco3bV2czu/OzDKdMNVZQWfxCblURLhf+47syQRBntjfLdd/H0egrzIG+oaFQ==}\n\n  punycode@2.3.1:\n    resolution: {integrity: sha512-vYt7UD1U9Wg6138shLtLOvdAu+8DsC/ilFtEVHcH+wydcSpNE20AfSOduf6MkRFahL5FY7X1oU7nKVZFtfq8Fg==}\n    engines: {node: '>=6'}\n\n  qs@6.13.1:\n    resolution: {integrity: sha512-EJPeIn0CYrGu+hli1xilKAPXODtJ12T0sP63Ijx2/khC2JtuaN3JyNIpvmnkmaEtha9ocbG4A4cMcr+TvqvwQg==}\n    engines: {node: '>=0.6'}\n\n  query-string@4.3.4:\n    resolution: {integrity: sha512-O2XLNDBIg1DnTOa+2XrIwSiXEV8h2KImXUnjhhn2+UsvZ+Es2uyd5CCRTNQlDGbzUQOW3aYCBx9rVA6dzsiY7Q==}\n    engines: {node: '>=0.10.0'}\n\n  query-string@6.14.1:\n    resolution: {integrity: sha512-XDxAeVmpfu1/6IjyT/gXHOl+S0vQ9owggJ30hhWKdHAsNPOcasn5o9BW0eejZqL2e4vMjhAxoW3jVHcD6mbcYw==}\n    engines: {node: '>=6'}\n\n  querystring-es3@0.2.1:\n    resolution: {integrity: sha512-773xhDQnZBMFobEiztv8LIl70ch5MSF/jUQVlhwFyBILqq96anmoctVIYz+ZRp0qbCKATTn6ev02M3r7Ga5vqA==}\n    engines: {node: '>=0.4.x'}\n\n  querystringify@2.2.0:\n    resolution: {integrity: sha512-FIqgj2EUvTa7R50u0rGsyTftzjYmv/a3hO345bZNrqabNqjtgiDMgmo4mkUjd+nzU5oF3dClKqFIPUKybUyqoQ==}\n\n  raf@3.4.1:\n    resolution: {integrity: sha512-Sq4CW4QhwOHE8ucn6J34MqtZCeWFP2aQSmrlroYgqAV1PjStIhJXxYuTgUIfkEk7zTLjmIjLmU5q+fbD1NnOJA==}\n\n  randombytes@2.1.0:\n    resolution: {integrity: sha512-vYl3iOX+4CKUWuxGi9Ukhie6fsqXqS9FE2Zaic4tNFD2N2QQaXOMFbuKK4QmDHC0JO6B1Zp41J0LpT0oR68amQ==}\n\n  randomfill@1.0.4:\n    resolution: {integrity: sha512-87lcbR8+MhcWcUiQ+9e+Rwx8MyR2P7qnt15ynUlbm3TU/fjbgz4GsvfSUDTemtCCtVCqb4ZcEFlyPNTh9bBTLw==}\n\n  rc-align@2.4.5:\n    resolution: {integrity: sha512-nv9wYUYdfyfK+qskThf4BQUSIadeI/dCsfaMZfNEoxm9HwOIioQ+LyqmMK6jWHAZQgOzMLaqawhuBXlF63vgjw==}\n\n  rc-align@4.0.15:\n    resolution: {integrity: sha512-wqJtVH60pka/nOX7/IspElA8gjPNQKIx/ZqJ6heATCkXpe1Zg4cPVrMD2vC96wjsFFL8WsmhPbx9tdMo1qqlIA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-animate@2.11.1:\n    resolution: {integrity: sha512-1NyuCGFJG/0Y+9RKh5y/i/AalUCA51opyyS/jO2seELpgymZm2u9QV3xwODwEuzkmeQ1BDPxMLmYLcTJedPlkQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-cascader@3.7.3:\n    resolution: {integrity: sha512-KBpT+kzhxDW+hxPiNk4zaKa99+Lie2/8nnI11XF+FIOPl4Bj9VlFZi61GrnWzhLGA7VEN+dTxAkNOjkySDa0dA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-checkbox@2.0.3:\n    resolution: {integrity: sha512-sSDV5AcxK5CxBTyUNj9pb0zfhdgLLsWKHwJG18ikeGoIwklcxXvIF6cI/KGVbPLFDa8mPS5WLOlLRqbq/1/ouw==}\n\n  rc-checkbox@3.0.1:\n    resolution: {integrity: sha512-k7nxDWxYF+jDI0ZcCvuvj71xONmWRVe5+1MKcERRR9MRyP3tZ69b+yUCSXXh+sik4/Hc9P5wHr2nnUoGS2zBjA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-collapse@1.9.3:\n    resolution: {integrity: sha512-8cG+FzudmgFCC9zRGKXJZA36zoI9Dmyjp6UDi8N80sXUch0JOpsZDxgcFzw4HPpPpK/dARtTilEe9zyuspnW0w==}\n\n  rc-collapse@3.4.2:\n    resolution: {integrity: sha512-jpTwLgJzkhAgp2Wpi3xmbTbbYExg6fkptL67Uu5LCRVEj6wqmy0DHTjjeynsjOLsppHGHu41t1ELntZ0lEvS/Q==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-dialog@9.0.4:\n    resolution: {integrity: sha512-pmnPRZKd9CGzGgf4a1ysBvMhxm8Afx5fF6M7AzLtJ0qh8X1bshurDlqnK4MBNAB4hAeAMMbz6Ytb1rkGMvKFbQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-drawer@6.3.0:\n    resolution: {integrity: sha512-uBZVb3xTAR+dBV53d/bUhTctCw3pwcwJoM7g5aX+7vgwt2zzVzoJ6aqFjYJpBlZ9zp0dVYN8fV+hykFE7c4lig==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-dropdown@4.0.1:\n    resolution: {integrity: sha512-OdpXuOcme1rm45cR0Jzgfl1otzmU4vuBVb+etXM8vcaULGokAKVpKlw8p6xzspG7jGd/XxShvq+N3VNEfk/l5g==}\n    peerDependencies:\n      react: '>=16.11.0'\n      react-dom: '>=16.11.0'\n\n  rc-field-form@1.38.2:\n    resolution: {integrity: sha512-O83Oi1qPyEv31Sg+Jwvsj6pXc8uQI2BtIAkURr5lvEYHVggXJhdU/nynK8wY1gbw0qR48k731sN5ON4egRCROA==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-gesture@0.0.22:\n    resolution: {integrity: sha512-6G6qrCE0MUTXyjh/powj91XkjRjoFL4HiJLPU5lALXHvGX+/efcUjGYUrHrrw0mwQdmrmg4POqnY/bibns+G3g==}\n\n  rc-image@5.13.0:\n    resolution: {integrity: sha512-iZTOmw5eWo2+gcrJMMcnd7SsxVHl3w5xlyCgsULUdJhJbnuI8i/AL0tVOsE7aLn9VfOh1qgDT3mC2G75/c7mqg==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-input-number@7.3.11:\n    resolution: {integrity: sha512-aMWPEjFeles6PQnMqP5eWpxzsvHm9rh1jQOWXExUEIxhX62Fyl/ptifLHOn17+waDG1T/YUb6flfJbvwRhHrbA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-input@0.1.4:\n    resolution: {integrity: sha512-FqDdNz+fV2dKNgfXzcSLKvC+jEs1709t7nD+WdfjrdSaOcefpgc7BUJYadc3usaING+b7ediMTfKxuJBsEFbXA==}\n    peerDependencies:\n      react: '>=16.0.0'\n      react-dom: '>=16.0.0'\n\n  rc-mentions@1.13.1:\n    resolution: {integrity: sha512-FCkaWw6JQygtOz0+Vxz/M/NWqrWHB9LwqlY2RtcuFqWJNFK9njijOOzTSsBGANliGufVUzx/xuPHmZPBV0+Hgw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-menu@9.8.4:\n    resolution: {integrity: sha512-lmw2j8I2fhdIzHmC9ajfImfckt0WDb2KVJJBBRIsxPEw2kGkEfjLMUoB1NgiNT/Q5cC8PdjGOGQjHJIJMwyNMw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-motion@2.9.4:\n    resolution: {integrity: sha512-TAPUUufDqhPO669qJobI0d9U0XZ/VPNQyZTivUxxzU1EyuPe3PtHSx7Kb902KuzQgu7sS18z8GguaxZEALV/ww==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-notification@4.6.1:\n    resolution: {integrity: sha512-NSmFYwrrdY3+un1GvDAJQw62Xi9LNMSsoQyo95tuaYrcad5Bn9gJUL8AREufRxSQAQnr64u3LtP3EUyLYT6bhw==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-overflow@1.3.2:\n    resolution: {integrity: sha512-nsUm78jkYAoPygDAcGZeC2VwIg/IBGSodtOY3pMof4W3M9qRJgqaDYm03ZayHlde3I6ipliAxbN0RUcGf5KOzw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-pagination@3.2.0:\n    resolution: {integrity: sha512-5tIXjB670WwwcAJzAqp2J+cOBS9W3cH/WU1EiYwXljuZ4vtZXKlY2Idq8FZrnYBz8KhN3vwPo9CoV/SJS6SL1w==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-picker@2.7.6:\n    resolution: {integrity: sha512-H9if/BUJUZBOhPfWcPeT15JUI3/ntrG9muzERrXDkSoWmDj4yzmBvumozpxYrHwjcKnjyDGAke68d+whWwvhHA==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-progress@3.4.2:\n    resolution: {integrity: sha512-iAGhwWU+tsayP+Jkl9T4+6rHeQTG9kDz8JAHZk4XtQOcYN5fj9H34NXNEdRdZx94VUDHMqCb1yOIvi8eJRh67w==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-rate@2.9.3:\n    resolution: {integrity: sha512-2THssUSnRhtqIouQIIXqsZGzRczvp4WsH4WvGuhiwm+LG2fVpDUJliP9O1zeDOZvYfBE/Bup4SgHun/eCkbjgQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-resize-observer@1.4.1:\n    resolution: {integrity: sha512-JbAeFDsaaZRPwaTlXnCqgeO9c6E7qoaE/hxsub08cdnnPn6767c/j9+r/TifUdfvwXtdcfHygKbZ7ecM/PXo/Q==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-segmented@2.3.0:\n    resolution: {integrity: sha512-I3FtM5Smua/ESXutFfb8gJ8ZPcvFR+qUgeeGFQHBOvRiRKyAk4aBE5nfqrxXx+h8/vn60DQjOt6i4RNtrbOobg==}\n    peerDependencies:\n      react: '>=16.0.0'\n      react-dom: '>=16.0.0'\n\n  rc-select@14.1.18:\n    resolution: {integrity: sha512-4JgY3oG2Yz68ECMUSCON7mtxuJvCSj+LJpHEg/AONaaVBxIIrmI/ZTuMJkyojall/X50YdBe5oMKqHHPNiPzEg==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '*'\n      react-dom: '*'\n\n  rc-slider@10.0.1:\n    resolution: {integrity: sha512-igTKF3zBet7oS/3yNiIlmU8KnZ45npmrmHlUUio8PNbIhzMcsh+oE/r2UD42Y6YD2D/s+kzCQkzQrPD6RY435Q==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-slider@8.2.0:\n    resolution: {integrity: sha512-rnO36M3VhMoPWh1kRuCeJoluT4duAW7+5aLaAn9oLu2pKEKsuOFUh5DmA2kEo88UmvPV6nr7HHDeZuC8SNM/lA==}\n\n  rc-steps@5.0.0:\n    resolution: {integrity: sha512-9TgRvnVYirdhbV0C3syJFj9EhCRqoJAsxt4i1rED5o8/ZcSv5TLIYyo4H8MCjLPvbe2R+oBAm/IYBEtC+OS1Rw==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-swipeout@2.0.11:\n    resolution: {integrity: sha512-d37Lgn4RX4OOQyuA2BFo0rGlUwrmZk5q83srH3ixJ1Y1jidr2GKjgJDbNeGUVZPNfYBL91Elu6+xfVGftWf4Lg==}\n\n  rc-switch@3.2.2:\n    resolution: {integrity: sha512-+gUJClsZZzvAHGy1vZfnwySxj+MjLlGRyXKXScrtCTcmiYNPzxDFOxdQ/3pK1Kt/0POvwJ/6ALOR8gwdXGhs+A==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-table@7.26.0:\n    resolution: {integrity: sha512-0cD8e6S+DTGAt5nBZQIPFYEaIukn17sfa5uFL98faHlH/whZzD8ii3dbFL4wmUDEL4BLybhYop+QUfZJ4CPvNQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-tabs@12.5.10:\n    resolution: {integrity: sha512-Ay0l0jtd4eXepFH9vWBvinBjqOpqzcsJTerBGwJy435P2S90Uu38q8U/mvc1sxUEVOXX5ZCFbxcWPnfG3dH+tQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-textarea@0.4.7:\n    resolution: {integrity: sha512-IQPd1CDI3mnMlkFyzt2O4gQ2lxUsnBAeJEoZGJnkkXgORNqyM9qovdrCj9NzcRfpHgLdzaEbU3AmobNFGUznwQ==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-tooltip@3.7.3:\n    resolution: {integrity: sha512-dE2ibukxxkrde7wH9W8ozHKUO4aQnPZ6qBHtrTH9LoO836PjDdiaWO73fgPB05VfJs9FbZdmGPVEbXCeOP99Ww==}\n\n  rc-tooltip@5.2.2:\n    resolution: {integrity: sha512-jtQzU/18S6EI3lhSGoDYhPqNpWajMtS5VV/ld1LwyfrDByQpYmw/LW6U7oFXXLukjfDHQ7Ju705A82PRNFWYhg==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-tree-select@5.5.5:\n    resolution: {integrity: sha512-k2av7jF6tW9bIO4mQhaVdV4kJ1c54oxV3/hHVU+oD251Gb5JN+m1RbJFTMf1o0rAFqkvto33rxMdpafaGKQRJw==}\n    peerDependencies:\n      react: '*'\n      react-dom: '*'\n\n  rc-tree@5.7.12:\n    resolution: {integrity: sha512-LXA5nY2hG5koIAlHW5sgXgLpOMz+bFRbnZZ+cCg0tQs4Wv1AmY7EDi1SK7iFXhslYockbqUerQan82jljoaItg==}\n    engines: {node: '>=10.x'}\n    peerDependencies:\n      react: '*'\n      react-dom: '*'\n\n  rc-trigger@2.6.5:\n    resolution: {integrity: sha512-m6Cts9hLeZWsTvWnuMm7oElhf+03GOjOLfTuU0QmdB9ZrW7jR2IpI5rpNM7i9MvAAlMAmTx5Zr7g3uu/aMvZAw==}\n\n  rc-trigger@5.3.4:\n    resolution: {integrity: sha512-mQv+vas0TwKcjAO2izNPkqR4j86OemLRmvL2nOzdP9OWNWA1ivoTt5hzFqYNW9zACwmTezRiN8bttrC7cZzYSw==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-upload@4.3.6:\n    resolution: {integrity: sha512-Bt7ESeG5tT3IY82fZcP+s0tQU2xmo1W6P3S8NboUUliquJLQYLkUcsaExi3IlBVr43GQMCjo30RA2o0i70+NjA==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-util@4.21.1:\n    resolution: {integrity: sha512-Z+vlkSQVc1l8O2UjR3WQ+XdWlhj5q9BMQNLk2iOBch75CqPfrJyGtcWMcnhRlNuDu0Ndtt4kLVO8JI8BrABobg==}\n\n  rc-util@5.44.1:\n    resolution: {integrity: sha512-h6z91oGfWJPZgunkFBWSobfL0CkyLeaUNWP1ru7b05GMUSe2uHgTk0EiFEQ11v+zJBrORuXFl6Htf949ZSDdOw==}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  rc-virtual-list@3.16.0:\n    resolution: {integrity: sha512-tRpWBC0msU+MxFxnD6+y4v0P17Yzplf+mbiHrqRvfVanx0S4o0XV+2zu4vv7hM9nNfcucO+MPHivqpRT2lfnFQ==}\n    engines: {node: '>=8.x'}\n    peerDependencies:\n      react: '>=16.9.0'\n      react-dom: '>=16.9.0'\n\n  react-dom@16.14.0:\n    resolution: {integrity: sha512-1gCeQXDLoIqMgqD3IO2Ah9bnf0w9kzhwN5q4FGnHZ67hBm9yePzB5JJAIQCc8x3pFnNlwFq4RidZggNAAkzWWw==}\n    peerDependencies:\n      react: ^16.14.0\n\n  react-dom@17.0.2:\n    resolution: {integrity: sha512-s4h96KtLDUQlsENhMn1ar8t2bEa+q/YAtj8pPPdIjPDGBDIVNsrD9aXNWqspUe6AzKCIG0C1HZZLqLV7qpOBGA==}\n    peerDependencies:\n      react: 17.0.2\n\n  react-fast-compare@3.2.2:\n    resolution: {integrity: sha512-nsO+KSNgo1SbJqJEYRE9ERzo7YtYbou/OqjSQKxV7jcKox7+usiUVZOAC+XnDOABXggQTno0Y1CpVnuWEc1boQ==}\n\n  react-helmet@6.1.0:\n    resolution: {integrity: sha512-4uMzEY9nlDlgxr61NL3XbKRy1hEkXmKNXhjbAIOVw5vcFrsdYbH2FEwcNyWvWinl103nXgzYNlns9ca+8kFiWw==}\n    peerDependencies:\n      react: '>=16.3.0'\n\n  react-intl@3.12.1:\n    resolution: {integrity: sha512-cgumW29mwROIqyp8NXStYsoIm27+8FqnxykiLSawWjOxGIBeLuN/+p2srei5SRIumcJefOkOIHP+NDck05RgHg==}\n    peerDependencies:\n      react: ^16.3.0\n\n  react-is@16.13.1:\n    resolution: {integrity: sha512-24e6ynE2H+OKt4kqsOvNd8kBpV65zoxbA4BVsEOB3ARVWQki/DHzaUoC5KuON/BiccDaCCTZBuOcfZs70kR8bQ==}\n\n  react-is@17.0.2:\n    resolution: {integrity: sha512-w2GsyukL62IJnlaff/nRegPQR94C/XXamvMWmSHRJ4y7Ts/4ocGRmTHvOs8PSE6pB3dWOrD/nueuU5sduBsQ4w==}\n\n  react-is@18.3.1:\n    resolution: {integrity: sha512-/LLMVyas0ljjAtoYiPqYiL8VWXzUUdThrmU5+n20DZv+a+ClRoevUzw5JxU+Ieh5/c87ytoTBV9G1FiKfNJdmg==}\n\n  react-lifecycles-compat@3.0.4:\n    resolution: {integrity: sha512-fBASbA6LnOU9dOU2eW7aQ8xmYBSXUIWr+UmF9b1efZBazGNO+rcXT/icdKnYm2pTwcRylVUYwW7H1PHfLekVzA==}\n\n  react-native-swipeout@2.3.6:\n    resolution: {integrity: sha512-t9suUCspzck4vp2pWggWe0frS/QOtX6yYCawHnEes75A7dZCEE74bxX2A1bQzGH9cUMjq6xsdfC94RbiDKIkJg==}\n    deprecated: Package no longer supported. Use at your own risk or consider using https://github.com/software-mansion/react-native-gesture-handler\n\n  react-redux@7.2.9:\n    resolution: {integrity: sha512-Gx4L3uM182jEEayZfRbI/G11ZpYdNAnBs70lFVMNdHJI76XYtR+7m0MN+eAs7UHBPhWXcnFPaS+9owSCJQHNpQ==}\n    peerDependencies:\n      react: ^16.8.3 || ^17 || ^18\n      react-dom: '*'\n      react-native: '*'\n    peerDependenciesMeta:\n      react-dom:\n        optional: true\n      react-native:\n        optional: true\n\n  react-refresh@0.10.0:\n    resolution: {integrity: sha512-PgidR3wST3dDYKr6b4pJoqQFpPGNKDSCDx4cZoshjXipw3LzO7mG1My2pwEzz2JVkF+inx3xRpDeQLFQGH/hsQ==}\n    engines: {node: '>=0.10.0'}\n\n  react-router-config@5.1.1:\n    resolution: {integrity: sha512-DuanZjaD8mQp1ppHjgnnUnyOlqYXZVjnov/JzFhjLEwd3Z4dYjMSnqrEzzGThH47vpCOqPPwJM2FtthLeJ8Pbg==}\n    peerDependencies:\n      react: '>=15'\n      react-router: '>=5'\n\n  react-router-dom@5.2.0:\n    resolution: {integrity: sha512-gxAmfylo2QUjcwxI63RhQ5G85Qqt4voZpUXSEqCwykV0baaOTQDR1f0PmY8AELqIyVc0NEZUj0Gov5lNGcXgsA==}\n    peerDependencies:\n      react: '>=15'\n\n  react-router-dom@5.3.4:\n    resolution: {integrity: sha512-m4EqFMHv/Ih4kpcBCONHbkT68KoAeHN4p3lAGoNryfHi0dMy0kCzEZakiKRsvg5wHZ/JLrLW8o8KomWiz/qbYQ==}\n    peerDependencies:\n      react: '>=15'\n\n  react-router@5.2.0:\n    resolution: {integrity: sha512-smz1DUuFHRKdcJC0jobGo8cVbhO3x50tCL4icacOlcwDOEQPq4TMqwx3sY1TP+DvtTgz4nm3thuo7A+BK2U0Dw==}\n    peerDependencies:\n      react: '>=15'\n\n  react-router@5.3.4:\n    resolution: {integrity: sha512-Ys9K+ppnJah3QuaRiLxk+jDWOR1MekYQrlytiXxC1RyfbdsZkS5pvKAzCCr031xHixZwpnsYNT5xysdFHQaYsA==}\n    peerDependencies:\n      react: '>=15'\n\n  react-side-effect@2.1.2:\n    resolution: {integrity: sha512-PVjOcvVOyIILrYoyGEpDN3vmYNLdy1CajSFNt4TDsVQC5KpTijDvWVoR+/7Rz2xT978D8/ZtFceXxzsPwZEDvw==}\n    peerDependencies:\n      react: ^16.3.0 || ^17.0.0 || ^18.0.0\n\n  react-sortable-hoc@2.0.0:\n    resolution: {integrity: sha512-JZUw7hBsAHXK7PTyErJyI7SopSBFRcFHDjWW5SWjcugY0i6iH7f+eJkY8cJmGMlZ1C9xz1J3Vjz0plFpavVeRg==}\n    peerDependencies:\n      prop-types: ^15.5.7\n      react: ^16.3.0 || ^17.0.0\n      react-dom: ^16.3.0 || ^17.0.0\n\n  react-tween-state@0.1.5:\n    resolution: {integrity: sha512-sJQpjsdn0wjlDIUpfpb7jQGnOG8hAEW2e8k0KPA+xmf5KFa6Xat2JldbmxBhaqP0S/uIXhVE5ymKyH/b9X8nYA==}\n\n  react@16.14.0:\n    resolution: {integrity: sha512-0X2CImDkJGApiAlcf0ODKIneSwBPhqJawOa5wCtKbu7ZECrmS26NvtSILynQ66cgkT/RJ4LidJOc3bUESwmU8g==}\n    engines: {node: '>=0.10.0'}\n\n  react@17.0.2:\n    resolution: {integrity: sha512-gnhPt75i/dq/z3/6q/0asP78D0u592D5L1pd7M8P+dck6Fu/jJeL6iVVK23fptSUZj8Vjf++7wXA8UNclGQcbA==}\n    engines: {node: '>=0.10.0'}\n\n  read-pkg-up@7.0.1:\n    resolution: {integrity: sha512-zK0TB7Xd6JpCLmlLmufqykGE+/TlOePD6qKClNW7hHDKFh/J7/7gCWGR7joEQEW1bKq3a3yUZSObOoWLFQ4ohg==}\n    engines: {node: '>=8'}\n\n  read-pkg@5.2.0:\n    resolution: {integrity: sha512-Ug69mNOpfvKDAc2Q8DRpMjjzdtrnv9HcSMX+4VsZxD1aZ6ZzrIE7rlzXBtWTyhULSMKg076AW6WR5iZpD0JiOg==}\n    engines: {node: '>=8'}\n\n  readable-stream@2.3.8:\n    resolution: {integrity: sha512-8p0AUk4XODgIewSi0l8Epjs+EVnWiK7NoDIEGU0HhE7+ZyY8D1IMY7odu5lRrFXGg71L15KG8QrPmum45RTtdA==}\n\n  readdirp@3.5.0:\n    resolution: {integrity: sha512-cMhu7c/8rdhkHXWsY+osBhfSy0JikwpHK/5+imo+LpeasTF8ouErHrlYkwT0++njiyuDvc7OFY5T3ukvZ8qmFQ==}\n    engines: {node: '>=8.10.0'}\n\n  redbox-react@1.6.0:\n    resolution: {integrity: sha512-mLjM5eYR41yOp5YKHpd3syFeGq6B4Wj5vZr64nbLvTZW5ZLff4LYk7VE4ITpVxkZpCY6OZuqh0HiP3A3uEaCpg==}\n    peerDependencies:\n      react: ^0.14.0 || ^15.0.0 || ^16.0.0-beta || ^16.0.0\n      react-dom: ^0.14.0 || ^15.0.0 || ^16.0.0-beta || ^16.0.0\n\n  redux-saga@0.16.2:\n    resolution: {integrity: sha512-iIjKnRThI5sKPEASpUvySemjzwqwI13e3qP7oLub+FycCRDysLSAOwt958niZW6LhxfmS6Qm1BzbU70w/Koc4w==}\n\n  redux@4.2.1:\n    resolution: {integrity: sha512-LAUYz4lc+Do8/g7aeRa8JkyDErK6ekstQaqWQrNRW//MY1TvCEpMtpTWvlQ+FPbWCx+Xixu/6SHt5N0HR+SB4w==}\n\n  regenerate-unicode-properties@10.0.1:\n    resolution: {integrity: sha512-vn5DU6yg6h8hP/2OkQo3K7uVILvY4iu0oI4t3HFa81UPkhGJwkRwM10JEc3upjdhHjs/k8GJY1sRBhk5sr69Bw==}\n    engines: {node: '>=4'}\n\n  regenerate@1.4.2:\n    resolution: {integrity: sha512-zrceR/XhGYU/d/opr2EKO7aRHUeiBI8qjtfHqADTwZd6Szfy16la6kqD0MIUs5z5hx6AaKa+PixpPrR289+I0A==}\n\n  regenerator-runtime@0.11.1:\n    resolution: {integrity: sha512-MguG95oij0fC3QV3URf4V2SDYGJhJnJGqvIIgdECeODCT98wSWDAJ94SSuVpYQUoTcGUIL6L4yNB7j1DFFHSBg==}\n\n  regenerator-runtime@0.13.11:\n    resolution: {integrity: sha512-kY1AZVr2Ra+t+piVaJ4gxaFaReZVH40AKNo7UCX6W+dEwBo/2oZJzqfuN1qLq1oL45o56cPaTXELwrTh8Fpggg==}\n\n  regenerator-runtime@0.13.5:\n    resolution: {integrity: sha512-ZS5w8CpKFinUzOwW3c83oPeVXoNsrLsaCoLtJvAClH135j/R77RuymhiSErhm2lKcwSCIpmvIWSbDkIfAqKQlA==}\n\n  regenerator-runtime@0.14.1:\n    resolution: {integrity: sha512-dYnhHh0nJoMfnkZs6GmmhFknAGRrLznOu5nc9ML+EJxGvrx6H7teuevqVqCuPcPK//3eDrrjQhehXVx9cnkGdw==}\n\n  regex-not@1.0.2:\n    resolution: {integrity: sha512-J6SDjUgDxQj5NusnOtdFxDwN/+HWykR8GELwctJ7mdqhcyy1xEc4SRFHUXvxTp661YaVKAjfRLZ9cCqS6tn32A==}\n    engines: {node: '>=0.10.0'}\n\n  remove-trailing-separator@1.1.0:\n    resolution: {integrity: sha512-/hS+Y0u3aOfIETiaiirUFwDBDzmXPvO+jAfKTitUngIPzdKc6Z0LoFjM/CK5PL4C+eKwHohlHAb6H0VFfmmUsw==}\n\n  repeat-element@1.1.4:\n    resolution: {integrity: sha512-LFiNfRcSu7KK3evMyYOuCzv3L10TW7yC1G2/+StMjK8Y6Vqd2MG7r/Qjw4ghtuCOjFvlnms/iMmLqpvW/ES/WQ==}\n    engines: {node: '>=0.10.0'}\n\n  repeat-string@1.6.1:\n    resolution: {integrity: sha512-PV0dzCYDNfRi1jCDbJzpW7jNNDRuCOG/jI5ctQcGKt/clZD+YcPS3yIlWuTJMmESC8aevCFmWJy5wjAFgNqN6w==}\n    engines: {node: '>=0.10'}\n\n  require-directory@2.1.1:\n    resolution: {integrity: sha512-fGxEI7+wsG9xrvdjsrlmL22OMTTiHRwAMroiEeMgq8gzoLC/PQr7RsRDSTLUg/bZAZtF+TVIkHc6/4RIKrui+Q==}\n    engines: {node: '>=0.10.0'}\n\n  require-main-filename@2.0.0:\n    resolution: {integrity: sha512-NKN5kMDylKuldxYLSUfrbo5Tuzh4hd+2E8NPPX02mZtn1VuREQToYe/ZdlJy+J3uCpfaiGF05e7B8W0iXbQHmg==}\n\n  requires-port@1.0.0:\n    resolution: {integrity: sha512-KigOCHcocU3XODJxsu8i/j8T9tzT4adHiecwORRQ0ZZFcp7ahwXuRU1m+yuO90C5ZUyGeGfocHDI14M3L3yDAQ==}\n\n  resize-observer-polyfill@1.5.1:\n    resolution: {integrity: sha512-LwZrotdHOo12nQuZlHEmtuXdqGoOD0OhaxopaNFxWzInpEgaLWoVuAMbTzixuosCx2nEG58ngzW3vxdWoxIgdg==}\n\n  resolve-cwd@3.0.0:\n    resolution: {integrity: sha512-OrZaX2Mb+rJCpH/6CpSqt9xFVpN++x01XnN2ie9g6P5/3xelLAkXWVADpdz1IHD/KFfEXyE6V0U01OQ3UO2rEg==}\n    engines: {node: '>=8'}\n\n  resolve-from@3.0.0:\n    resolution: {integrity: sha512-GnlH6vxLymXJNMBo7XP1fJIzBFbdYt49CuTwmB/6N53t+kMPRMFKz783LlQ4tv28XoQfMWinAJX6WCGf2IlaIw==}\n    engines: {node: '>=4'}\n\n  resolve-from@4.0.0:\n    resolution: {integrity: sha512-pb/MYmXstAkysRFx8piNI1tGFNQIFA3vkE3Gq4EuA1dF6gHp/+vgZqsCGJapvy8N3Q+4o7FwvquPJcnZ7RYy4g==}\n    engines: {node: '>=4'}\n\n  resolve-from@5.0.0:\n    resolution: {integrity: sha512-qYg9KP24dD5qka9J47d0aVky0N+b4fTU89LN9iDnjB5waksiC49rvMB0PrUJQGoTmH50XPiqOvAjDfaijGxYZw==}\n    engines: {node: '>=8'}\n\n  resolve-pathname@3.0.0:\n    resolution: {integrity: sha512-C7rARubxI8bXFNB/hqcp/4iUeIXJhJZvFPFPiSPRnhU5UPxzMFIl+2E6yY6c4k9giDJAhtV+enfA+G89N6Csng==}\n\n  resolve-url@0.2.1:\n    resolution: {integrity: sha512-ZuF55hVUQaaczgOIwqWzkEcEidmlD/xl44x1UZnhOXcYuFN2S6+rcxpG+C1N3So0wvNI3DmJICUFfu2SxhBmvg==}\n    deprecated: https://github.com/lydell/resolve-url#deprecated\n\n  resolve@1.22.8:\n    resolution: {integrity: sha512-oKWePCxqpd6FlLvGV1VU0x7bkPmmCNolxzjMf4NczoDnQcIWrAF+cPtZn5i6n+RfD2d9i0tzpKnG6Yk168yIyw==}\n    hasBin: true\n\n  restore-cursor@3.1.0:\n    resolution: {integrity: sha512-l+sSefzHpj5qimhFSE5a8nufZYAM3sBSVMAPtYkmC+4EH2anSGaEMXSD0izRQbu9nfyQ9y5JrVmp7E8oZrUjvA==}\n    engines: {node: '>=8'}\n\n  ret@0.1.15:\n    resolution: {integrity: sha512-TTlYpa+OL+vMMNG24xSlQGEJ3B/RzEfUlLct7b5G/ytav+wPrplCpVMFuwzXbkecJrb6IYo1iFb0S9v37754mg==}\n    engines: {node: '>=0.12'}\n\n  rfdc@1.4.1:\n    resolution: {integrity: sha512-q1b3N5QkRUWUl7iyylaaj3kOpIT0N2i9MqIEQXP73GVsN9cw3fdx8X63cEmWhJGi2PPCF23Ijp7ktmd39rawIA==}\n\n  rimraf@3.0.2:\n    resolution: {integrity: sha512-JZkJMZkAGFFPP2YqXZXPbMlMBgsxzE8ILs4lMIX/2o0L9UBw9O/Y3o6wFw/i9YLapcUJWwqbi3kdxIPdC62TIA==}\n    deprecated: Rimraf versions prior to v4 are no longer supported\n    hasBin: true\n\n  ripemd160@2.0.2:\n    resolution: {integrity: sha512-ii4iagi25WusVoiC4B4lq7pbXfAp3D9v5CwfkY33vffw2+pkDjY1D8GaN7spsxvCSx8dkPqOZCEZyfxcmJG2IA==}\n\n  rmc-align@1.0.0:\n    resolution: {integrity: sha512-3gEa5/+hqqoEVoeQ25KoRc8DOsXIdSaVpaBq1zQFaV941LR3xvZIRTlxTDT/IagYwoGM1KZea/jd7cNMYP34Rg==}\n\n  rmc-calendar@1.1.4:\n    resolution: {integrity: sha512-xxQZaPFDnpHt4IFO8mukYrXSgC1W8LcNVp+EoX4iyeOJFimungOKB/iP5/cy+st8yXq8lUgk9TXsHNtM6Xo6ZA==}\n\n  rmc-cascader@5.0.3:\n    resolution: {integrity: sha512-PxDhMjWViDdG4SMZqoXtAthGwgDyYnyxxZEE17IDDYsiCHpWtOhoIL8nsI+/hZ212UT/XF2LpqCsOlMoJiYk+w==}\n\n  rmc-date-picker@6.0.10:\n    resolution: {integrity: sha512-/9+I6lm3EDEl6M7862V6++zFuxwsM0UEq8wSHbotYIPPmyB/65gx1cviblghOv2QfB0O9+U2w3qEJlRP/WsMrA==}\n\n  rmc-dialog@1.1.1:\n    resolution: {integrity: sha512-28aJqtPTX6v13Z/aU1WBy1AFIXkE74PxZXde7JvtEIy9hQDTjH8fqOi822BpzAbXCyNE7jF9iFomy3H2ClsDJA==}\n\n  rmc-drawer@0.4.11:\n    resolution: {integrity: sha512-YfB9XEJ8iM0MMuLWAK4313uOxSM8NAljC8Cqun1KamXutglYTuRviUuTLNSOzV8HHPp5kNpsVduvPCGLWXvThw==}\n    engines: {node: '>=4.0.0'}\n\n  rmc-feedback@2.0.0:\n    resolution: {integrity: sha512-5PWOGOW7VXks/l3JzlOU9NIxRpuaSS8d9zA3UULUCuTKnpwBHNvv1jSJzxgbbCQeYzROWUpgKI4za3X4C/mKmQ==}\n\n  rmc-input-number@1.0.5:\n    resolution: {integrity: sha512-prPkEtoOVde77GnEnEaBeWjBobMOPgGqU5bd0gxfp1kt1pUN740mMpVAcH7uxpJjVfmw+kuGWtiz4S7CueagSg==}\n\n  rmc-list-view@0.11.5:\n    resolution: {integrity: sha512-eMOC5394tLNawcdEEhF7boMpQgpjJGDdL5lS+LblAWdBec7Q4EYkUdnrKNbt+O9k5RGM6nSLAGZK5oB4FN85Lg==}\n\n  rmc-notification@1.0.0:\n    resolution: {integrity: sha512-9sPxjltFvtRLt2v312Hu7OXwk53pHkBYgINRDmnJ3A5NF1qtJeCCcdN0Xr0fzJ6sbQvtGju822tWHdzYA9u7Vw==}\n\n  rmc-nuka-carousel@3.0.1:\n    resolution: {integrity: sha512-w2EPTERMUUZqcUSKFuejjin7xsMlhrLrtS0A/igTXpFJGq3kemDKcRi7q3pSYDuZBHYBl5iV4UqsLLkjdFtrYA==}\n\n  rmc-picker@5.0.10:\n    resolution: {integrity: sha512-KZ70+WjcaZHnG5GyCxWCPFWAZ12s6NqyrbW73LeqH0WEqaTMMs0sOrk2f4mQAZ/CGT0XcFN6VZLw7Ozoxfn7LA==}\n\n  rmc-pull-to-refresh@1.0.13:\n    resolution: {integrity: sha512-iYLsURiR7G/sKmRA6p2kq6ZXicn7Hyeo6VQFljssV1eMW+fzDgihhaz0kv5mza0f88vphGJvjOihT9E6+xGb6Q==}\n\n  rmc-steps@1.0.1:\n    resolution: {integrity: sha512-8ijtwp4D1CYTtI2yerXJYqCv+GQbiBc9T12nrFngd/vM0y+58CnznGphTAueF6IWf7qbxBwcjTrcFgg7bP2YGA==}\n\n  rmc-tabs@1.2.29:\n    resolution: {integrity: sha512-wiJS9WSJi9JH9GQO+FqncX+zaHP31qHa/S8nDW9UXUx0qbCX294QcJEnvfB+WmsfUws7rXjs6sOQp5EDiObnHg==}\n\n  rmc-tooltip@1.0.1:\n    resolution: {integrity: sha512-fSDArf2BlMVrHExmBiqb2TkCRJHshvXFJQ/7tMraLellwaJLNiwrxtWpW329k3S+zTtoVG8UxFS1TjBGEsMzRg==}\n\n  rmc-trigger@1.0.12:\n    resolution: {integrity: sha512-AccQniX7PX7Pm8hBhHEsnf3JU6CA61Xc7fAt2WbO+oXrGaI/jqN8C3COhhOXG54S5iTOjLS26j858zshwAxR9A==}\n\n  rsvp@4.8.5:\n    resolution: {integrity: sha512-nfMOlASu9OnRJo1mbEk2cz0D56a1MBNrJ7orjRZQG10XDyuvwksKbuXNp6qa+kbn839HwjwhBzhFmdsaEAfauA==}\n    engines: {node: 6.* || >= 7.*}\n\n  rxjs@7.8.1:\n    resolution: {integrity: sha512-AA3TVj+0A2iuIoQkWEK/tqFjBq2j+6PO6Y0zJcvzLAFhEFIO3HL0vls9hWLncZbAAbK0mar7oZ4V079I/qPMxg==}\n\n  safe-buffer@5.1.2:\n    resolution: {integrity: sha512-Gd2UZBJDkXlY7GbJxfsE8/nvKkUEU1G38c1siN6QP6a9PT9MmHB8GnpscSmMJSoF8LOIrt8ud/wPtojys4G6+g==}\n\n  safe-buffer@5.2.1:\n    resolution: {integrity: sha512-rp3So07KcdmmKbGvgaNxQSJr7bGVSVk5S9Eq1F+ppbRo70+YeaDxkw5Dd8NPN+GD6bjnYm2VuPuCXmpuYvmCXQ==}\n\n  safe-regex@1.1.0:\n    resolution: {integrity: sha512-aJXcif4xnaNUzvUuC5gcb46oTS7zvg4jpMTnuqtrEPlR3vFr4pxtdTwaF1Qs3Enjn9HK+ZlwQui+a7z0SywIzg==}\n\n  safer-buffer@2.1.2:\n    resolution: {integrity: sha512-YZo3K82SD7Riyi0E1EQPojLz7kpepnSQI9IyPbHHg1XXXevb5dJI7tpyN2ADxGcQbHG7vcyRHk0cbwqcQriUtg==}\n\n  sane@4.1.0:\n    resolution: {integrity: sha512-hhbzAgTIX8O7SHfp2c8/kREfEn4qO/9q8C9beyY6+tvZ87EpoZ3i1RIEvp27YBswnNbY9mWd6paKVmKbAgLfZA==}\n    engines: {node: 6.* || 8.* || >= 10.*}\n    deprecated: some dependency vulnerabilities fixed, support for node < 10 dropped, and newer ECMAScript syntax/features added\n    hasBin: true\n\n  saxes@5.0.1:\n    resolution: {integrity: sha512-5LBh1Tls8c9xgGjw3QrMwETmTMVk0oFgvrFSvWx62llR2hcEInrKNZ2GZCCuuy2lvWrdl5jhbpeqc5hRYKFOcw==}\n    engines: {node: '>=10'}\n\n  scheduler@0.19.1:\n    resolution: {integrity: sha512-n/zwRWRYSUj0/3g/otKDRPMh6qv2SYMWNq85IEa8iZyAv8od9zDYpGSnpBEjNgcMNq6Scbu5KfIPxNF72R/2EA==}\n\n  scheduler@0.20.2:\n    resolution: {integrity: sha512-2eWfGgAqqWFGqtdMmcL5zCMK1U8KlXv8SQFGglL3CEtd0aDVDWgeF/YoCmvln55m5zSk3J/20hTaSBeSObsQDQ==}\n\n  schema-utils@1.0.0:\n    resolution: {integrity: sha512-i27Mic4KovM/lnGsy8whRCHhc7VicJajAjTrYg11K9zfZXnYIt4k5F+kZkwjnrhKzLic/HLU4j11mjsz2G/75g==}\n    engines: {node: '>= 4'}\n\n  schema-utils@3.3.0:\n    resolution: {integrity: sha512-pN/yOAvcC+5rQ5nERGuwrjLlYvLTbCibnZ1I7B1LaiAz9BRBlE9GMgE/eqV30P7aJQUf7Ddimy/RsbYO/GrVGg==}\n    engines: {node: '>= 10.13.0'}\n\n  scroll-into-view-if-needed@2.2.31:\n    resolution: {integrity: sha512-dGCXy99wZQivjmjIqihaBQNjryrz5rueJY7eHfTdyWEiR4ttYpsajb14rn9s5d4DY4EcY6+4+U/maARBXJedkA==}\n\n  seamless-immutable@7.1.4:\n    resolution: {integrity: sha512-XiUO1QP4ki4E2PHegiGAlu6r82o5A+6tRh7IkGGTVg/h+UoeX4nFBeCGPOhb4CYjvkqsfm/TUtvOMYC1xmV30A==}\n\n  semver-compare@1.0.0:\n    resolution: {integrity: sha512-YM3/ITh2MJ5MtzaM429anh+x2jiLVjqILF4m4oyQB18W7Ggea7BfqdH/wGMK7dDiMghv/6WG7znWMwUDzJiXow==}\n\n  semver@5.7.2:\n    resolution: {integrity: sha512-cBznnQ9KjJqU67B52RMC65CMarK2600WFnbkcaiwWq3xy/5haFJlshgnpjovMVJ+Hff49d8GEn0b87C5pDQ10g==}\n    hasBin: true\n\n  semver@6.3.1:\n    resolution: {integrity: sha512-BR7VvDCVHO+q2xBEWskxS6DJE1qRnb7DxzUrogb71CWoSficBxYsiAGd+Kl0mmq/MprG9yArRkyrQxTO6XjMzA==}\n    hasBin: true\n\n  semver@7.6.3:\n    resolution: {integrity: sha512-oVekP1cKtI+CTDvHWYFUcMtsK/00wmAEfyqKfNdARm8u1wNVhSgaX7A8d4UuIlUI5e84iEwOhs7ZPYRmzU9U6A==}\n    engines: {node: '>=10'}\n    hasBin: true\n\n  set-blocking@2.0.0:\n    resolution: {integrity: sha512-KiKBS8AnWGEyLzofFfmvKwpdPzqiy16LvQfK3yv/fVH7Bj13/wl3JSR1J+rfgRE9q7xUJK4qvgS8raSOeLUehw==}\n\n  set-function-length@1.2.2:\n    resolution: {integrity: sha512-pgRc4hJ4/sNjWCSS9AmnS40x3bNMDTknHgL5UaMBTMyJnU90EgWh1Rz+MC9eFu4BuN/UwZjKQuY/1v3rM7HMfg==}\n    engines: {node: '>= 0.4'}\n\n  set-value@2.0.1:\n    resolution: {integrity: sha512-JxHc1weCN68wRY0fhCoXpyK55m/XPHafOmK4UWD7m2CI14GMcFypt4w/0+NV5f/ZMby2F6S2wwA7fgynh9gWSw==}\n    engines: {node: '>=0.10.0'}\n\n  setimmediate@1.0.5:\n    resolution: {integrity: sha512-MATJdZp8sLqDl/68LfQmbP8zKPLQNV6BIZoIgrscFDQ+RsvK/BxeDQOgyxKKoh0y/8h3BqVFnCqQ/gd+reiIXA==}\n\n  sha.js@2.4.11:\n    resolution: {integrity: sha512-QMEp5B7cftE7APOjk5Y6xgrbWu+WkLVQwk8JNjZ8nKRciZaByEW6MubieAiToS7+dwvrjGhH8jRXz3MVd0AYqQ==}\n    hasBin: true\n\n  shallow-equal@1.2.1:\n    resolution: {integrity: sha512-S4vJDjHHMBaiZuT9NPb616CSmLf618jawtv3sufLl6ivK8WocjAo58cXwbRV1cgqxH0Qbv+iUt6m05eqEa2IRA==}\n\n  shallowequal@1.1.0:\n    resolution: {integrity: sha512-y0m1JoUZSlPAjXVtPPW70aZWfIL/dSP7AFkRnniLCrK/8MDKog3TySTBmckD+RObVxH0v4Tox67+F14PdED2oQ==}\n\n  shebang-command@1.2.0:\n    resolution: {integrity: sha512-EV3L1+UQWGor21OmnvojK36mhg+TyIKDh3iFBKBohr5xeXIhNBcx8oWdgkTEEQ+BEFFYdLRuqMfd5L84N1V5Vg==}\n    engines: {node: '>=0.10.0'}\n\n  shebang-command@2.0.0:\n    resolution: {integrity: sha512-kHxr2zZpYtdmrN1qDjrrX/Z1rR1kG8Dx+gkpK1G4eXmvXswmcE1hTWBWYUzlraYw1/yZp6YuDY77YtvbN0dmDA==}\n    engines: {node: '>=8'}\n\n  shebang-regex@1.0.0:\n    resolution: {integrity: sha512-wpoSFAxys6b2a2wHZ1XpDSgD7N9iVjg29Ph9uV/uaP9Ex/KXlkTZTeddxDPSYQpgvzKLGJke2UU0AzoGCjNIvQ==}\n    engines: {node: '>=0.10.0'}\n\n  shebang-regex@3.0.0:\n    resolution: {integrity: sha512-7++dFhtcx3353uBaq8DDR4NuxBetBzC7ZQOhmTQInHEd6bSrXdiEyzCvG07Z44UYdLShWUyXt5M/yhz8ekcb1A==}\n    engines: {node: '>=8'}\n\n  shellwords@0.1.1:\n    resolution: {integrity: sha512-vFwSUfQvqybiICwZY5+DAWIPLKsWO31Q91JSKl3UYv+K5c2QRPzn0qzec6QPu1Qc9eHYItiP3NdJqNVqetYAww==}\n\n  side-channel-list@1.0.0:\n    resolution: {integrity: sha512-FCLHtRD/gnpCiCHEiJLOwdmFP+wzCmDEkc9y7NsYxeF4u7Btsn1ZuwgwJGxImImHicJArLP4R0yX4c2KCrMrTA==}\n    engines: {node: '>= 0.4'}\n\n  side-channel-map@1.0.1:\n    resolution: {integrity: sha512-VCjCNfgMsby3tTdo02nbjtM/ewra6jPHmpThenkTYh8pG9ucZ/1P8So4u4FGBek/BjpOVsDCMoLA/iuBKIFXRA==}\n    engines: {node: '>= 0.4'}\n\n  side-channel-weakmap@1.0.2:\n    resolution: {integrity: sha512-WPS/HvHQTYnHisLo9McqBHOJk2FkHO/tlpvldyrnem4aeQp4hai3gythswg6p01oSoTl58rcpiFAjF2br2Ak2A==}\n    engines: {node: '>= 0.4'}\n\n  side-channel@1.1.0:\n    resolution: {integrity: sha512-ZX99e6tRweoUXqR+VBrslhda51Nh5MTQwou5tnUDgbtyM0dBgmhEDtWGP/xbKn6hqfPRHujUNwz5fy/wbbhnpw==}\n    engines: {node: '>= 0.4'}\n\n  signal-exit@3.0.7:\n    resolution: {integrity: sha512-wnD2ZE+l+SPC/uoS0vXeE9L1+0wuaMqKlfz9AMUo38JsyLSBWSFcHR1Rri62LZc12vLr1gb3jl7iwQhgwpAbGQ==}\n\n  sisteransi@1.0.5:\n    resolution: {integrity: sha512-bLGGlR1QxBcynn2d5YmDX4MGjlZvy2MRBDRNHLJ8VI6l6+9FUiyTFNJ0IveOSP0bcXgVDPRcfGqA0pjaqUpfVg==}\n\n  slash@3.0.0:\n    resolution: {integrity: sha512-g9Q1haeby36OSStwb4ntCGGGaKsaVSjQ68fBxoQcutl5fS1vuY18H3wSt3jFyFtrkx+Kz0V1G85A4MyAdDMi2Q==}\n    engines: {node: '>=8'}\n\n  slice-ansi@3.0.0:\n    resolution: {integrity: sha512-pSyv7bSTC7ig9Dcgbw9AuRNUb5k5V6oDudjZoMBSr13qpLBG7tB+zgCkARjq7xIUgdz5P1Qe8u+rSGdouOOIyQ==}\n    engines: {node: '>=8'}\n\n  slice-ansi@4.0.0:\n    resolution: {integrity: sha512-qMCMfhY040cVHT43K9BFygqYbUPFZKHOg7K73mtTWJRb8pyP3fzf4Ixd5SzdEJQ6MRUg/WBnOLxghZtKKurENQ==}\n    engines: {node: '>=10'}\n\n  snapdragon-node@2.1.1:\n    resolution: {integrity: sha512-O27l4xaMYt/RSQ5TR3vpWCAB5Kb/czIcqUFOM/C4fYcLnbZUc1PkjTAMjof2pBWaSTwOUd6qUHcFGVGj7aIwnw==}\n    engines: {node: '>=0.10.0'}\n\n  snapdragon-util@3.0.1:\n    resolution: {integrity: sha512-mbKkMdQKsjX4BAL4bRYTj21edOf8cN7XHdYUJEe+Zn99hVEYcMvKPct1IqNe7+AZPirn8BCDOQBHQZknqmKlZQ==}\n    engines: {node: '>=0.10.0'}\n\n  snapdragon@0.8.2:\n    resolution: {integrity: sha512-FtyOnWN/wCHTVXOMwvSv26d+ko5vWlIDD6zoUJ7LW8vh+ZBC8QdljveRP+crNrtBwioEUWy/4dMtbBjA4ioNlg==}\n    engines: {node: '>=0.10.0'}\n\n  sort-keys@1.1.2:\n    resolution: {integrity: sha512-vzn8aSqKgytVik0iwdBEi+zevbTYZogewTUM6dtpmGwEcdzbub/TX4bCzRhebDCRC3QzXgJsLRKB2V/Oof7HXg==}\n    engines: {node: '>=0.10.0'}\n\n  source-map-resolve@0.5.3:\n    resolution: {integrity: sha512-Htz+RnsXWk5+P2slx5Jh3Q66vhQj1Cllm0zvnaY98+NFx+Dv2CF/f5O/t8x+KaNdrdIAsruNzoh/KpialbqAnw==}\n    deprecated: See https://github.com/lydell/source-map-resolve#deprecated\n\n  source-map-support@0.5.21:\n    resolution: {integrity: sha512-uBHU3L3czsIyYXKX88fdrGovxdSCoTGDRZ6SYXtSRxLZUzHg5P/66Ht6uoUlHu9EZod+inXhKo3qQgwXUT/y1w==}\n\n  source-map-url@0.4.1:\n    resolution: {integrity: sha512-cPiFOTLUKvJFIg4SKVScy4ilPPW6rFgMgfuZJPNoDuMs3nC1HbMUycBoJw77xFIp6z1UJQJOfx6C9GMH80DiTw==}\n    deprecated: See https://github.com/lydell/source-map-url#deprecated\n\n  source-map@0.5.6:\n    resolution: {integrity: sha512-MjZkVp0NHr5+TPihLcadqnlVoGIoWo4IBHptutGh9wI3ttUYvCG26HkSuDi+K6lsZ25syXJXcctwgyVCt//xqA==}\n    engines: {node: '>=0.10.0'}\n\n  source-map@0.5.7:\n    resolution: {integrity: sha512-LbrmJOMUSdEVxIKvdcJzQC+nQhe8FUZQTXQy6+I75skNgn3OoQ0DZA8YnFa7gp8tqtL3KPf1kmo0R5DoApeSGQ==}\n    engines: {node: '>=0.10.0'}\n\n  source-map@0.6.1:\n    resolution: {integrity: sha512-UjgapumWlbMhkBgzT7Ykc5YXUT46F0iKu8SGXq0bcwP5dz/h0Plj6enJqjz1Zbq2l5WaqYnrVbwWOWMyF3F47g==}\n    engines: {node: '>=0.10.0'}\n\n  source-map@0.7.4:\n    resolution: {integrity: sha512-l3BikUxvPOcn5E74dZiq5BGsTb5yEwhaTSzccU6t4sDOH8NWJCstKO5QT2CvtFoK6F0saL7p9xHAqHOlCPJygA==}\n    engines: {node: '>= 8'}\n\n  sourcemapped-stacktrace@1.1.11:\n    resolution: {integrity: sha512-O0pcWjJqzQFVsisPlPXuNawJHHg9N9UgpJ/aDmvi9+vnS3x1C0NhwkVFzzZ1VN0Xo+bekyweoqYvBw5ZBKiNnQ==}\n\n  spdx-correct@3.2.0:\n    resolution: {integrity: sha512-kN9dJbvnySHULIluDHy32WHRUu3Og7B9sbY7tsFLctQkIqnMh3hErYgdMjTYuqmcXX+lK5T1lnUt3G7zNswmZA==}\n\n  spdx-exceptions@2.5.0:\n    resolution: {integrity: sha512-PiU42r+xO4UbUS1buo3LPJkjlO7430Xn5SVAhdpzzsPHsjbYVflnnFdATgabnLude+Cqu25p6N+g2lw/PFsa4w==}\n\n  spdx-expression-parse@3.0.1:\n    resolution: {integrity: sha512-cbqHunsQWnJNE6KhVSMsMeH5H/L9EpymbzqTQ3uLwNCLZ1Q481oWaofqH7nO6V07xlXwY6PhQdQ2IedWx/ZK4Q==}\n\n  spdx-license-ids@3.0.20:\n    resolution: {integrity: sha512-jg25NiDV/1fLtSgEgyvVyDunvaNHbuwF9lfNV17gSmPFAlYzdfNBlLtLzXTevwkPj7DhGbmN9VnmJIgLnhvaBw==}\n\n  split-on-first@1.1.0:\n    resolution: {integrity: sha512-43ZssAJaMusuKWL8sKUBQXHWOpq8d6CfN/u1p4gUzfJkM05C8rxTmYrkIPTXapZpORA6LkkzcUulJ8FqA7Uudw==}\n    engines: {node: '>=6'}\n\n  split-string@3.1.0:\n    resolution: {integrity: sha512-NzNVhJDYpwceVVii8/Hu6DKfD2G+NrQHlS/V/qgv763EYudVwEcMQNxd2lh+0VrUByXN/oJkl5grOhYWvQUYiw==}\n    engines: {node: '>=0.10.0'}\n\n  sprintf-js@1.0.3:\n    resolution: {integrity: sha512-D9cPgkvLlV3t3IzL0D0YLvGA9Ahk4PcvVwUbN0dSGr1aP0Nrt4AEnTUbuGvquEC0mA64Gqt1fzirlRs5ibXx8g==}\n\n  stack-utils@2.0.6:\n    resolution: {integrity: sha512-XlkWvfIm6RmsWtNJx+uqtKLS8eqFbxUg0ZzLXqY0caEy9l7hruX8IpiDnjsLavoBgqCCR71TqWO8MaXYheJ3RQ==}\n    engines: {node: '>=10'}\n\n  stackframe@0.3.1:\n    resolution: {integrity: sha512-XmoiF4T5nuWEp2x2w92WdGjdHGY/cZa6LIbRsDRQR/Xlk4uW0PAUlH1zJYVffocwKpCdwyuypIp25xsSXEtZHw==}\n\n  stackframe@1.3.4:\n    resolution: {integrity: sha512-oeVtt7eWQS+Na6F//S4kJ2K2VbRlS9D43mAlMyVpVWovy9o+jfgH8O9agzANzaiLjclA0oYzUXEM4PurhSUChw==}\n\n  static-extend@0.1.2:\n    resolution: {integrity: sha512-72E9+uLc27Mt718pMHt9VMNiAL4LMsmDbBva8mxWUCkT07fSzEGMYUCk0XWY6lp0j6RBAG4cJ3mWuZv2OE3s0g==}\n    engines: {node: '>=0.10.0'}\n\n  stream-browserify@2.0.2:\n    resolution: {integrity: sha512-nX6hmklHs/gr2FuxYDltq8fJA1GDlxKQCz8O/IM4atRqBH8OORmBNgfvW5gG10GT/qQ9u0CzIvr2X5Pkt6ntqg==}\n\n  stream-http@2.8.3:\n    resolution: {integrity: sha512-+TSkfINHDo4J+ZobQLWiMouQYB+UVYFttRA94FpEzzJ7ZdqcL4uUUQ7WkdkI4DSozGmgBUE/a47L+38PenXhUw==}\n\n  strict-uri-encode@1.1.0:\n    resolution: {integrity: sha512-R3f198pcvnB+5IpnBlRkphuE9n46WyVl8I39W/ZUTZLz4nqSP/oLYUrcnJrw462Ds8he4YKMov2efsTIw1BDGQ==}\n    engines: {node: '>=0.10.0'}\n\n  strict-uri-encode@2.0.0:\n    resolution: {integrity: sha512-QwiXZgpRcKkhTj2Scnn++4PKtWsH0kpzZ62L2R6c/LUVYv7hVnZqcg2+sMuT6R7Jusu1vviK/MFsu6kNJfWlEQ==}\n    engines: {node: '>=4'}\n\n  string-argv@0.3.1:\n    resolution: {integrity: sha512-a1uQGz7IyVy9YwhqjZIZu1c8JO8dNIe20xBmSS6qu9kv++k3JGzCVmprbNN5Kn+BgzD5E7YYwg1CcjuJMRNsvg==}\n    engines: {node: '>=0.6.19'}\n\n  string-convert@0.2.1:\n    resolution: {integrity: sha512-u/1tdPl4yQnPBjnVrmdLo9gtuLvELKsAoRapekWggdiQNvvvum+jYF329d84NAa660KQw7pB2n36KrIKVoXa3A==}\n\n  string-length@4.0.2:\n    resolution: {integrity: sha512-+l6rNN5fYHNhZZy41RXsYptCjA2Igmq4EG7kZAYFQI1E1VTXarr6ZPXBg6eq7Y6eK4FEhY6AJlyuFIb/v/S0VQ==}\n    engines: {node: '>=10'}\n\n  string-width@4.2.3:\n    resolution: {integrity: sha512-wKyQRQpjJ0sIp62ErSZdGsjMJWsap5oRNihHhu6G7JVO/9jIB6UyevL+tXuOqrng8j/cxKTWyWUwvSTriiZz/g==}\n    engines: {node: '>=8'}\n\n  string_decoder@1.1.1:\n    resolution: {integrity: sha512-n/ShnvDi6FHbbVfviro+WojiFzv+s8MPMHBczVePfUpDJLwoLT0ht1l4YwBCbi8pJAveEEdnkHyPyTP/mzRfwg==}\n\n  string_decoder@1.3.0:\n    resolution: {integrity: sha512-hkRX8U1WjJFd8LsDJ2yQ/wWWxaopEsABU1XfkM8A+j0+85JAGppt16cr1Whg6KIbb4okU6Mql6BOj+uup/wKeA==}\n\n  stringify-object@3.3.0:\n    resolution: {integrity: sha512-rHqiFh1elqCQ9WPLIC8I0Q/g/wj5J1eMkyoiD6eoQApWHP0FtlK7rqnhmabL5VUY9JQCcqwwvlOaSuutekgyrw==}\n    engines: {node: '>=4'}\n\n  strip-ansi@6.0.1:\n    resolution: {integrity: sha512-Y38VPSHcqkFrCpFnQ9vuSXmquuv5oXOKpGeT6aGrr3o3Gc9AlVa6JBfUSOCnbxGGZF+/0ooI7KrPuUSztUdU5A==}\n    engines: {node: '>=8'}\n\n  strip-bom@4.0.0:\n    resolution: {integrity: sha512-3xurFv5tEgii33Zi8Jtp55wEIILR9eh34FAW00PZf+JnSsTmV/ioewSgQl97JHvgjoRGwPShsWm+IdrxB35d0w==}\n    engines: {node: '>=8'}\n\n  strip-eof@1.0.0:\n    resolution: {integrity: sha512-7FCwGGmx8mD5xQd3RPUvnSpUXHM3BWuzjtpD4TXsfcZ9EL4azvVVUscFYwD9nx8Kh+uCBC00XBtAykoMHwTh8Q==}\n    engines: {node: '>=0.10.0'}\n\n  strip-final-newline@2.0.0:\n    resolution: {integrity: sha512-BrpvfNAE3dcvq7ll3xVumzjKjZQ5tI1sEUIKr3Uoks0XUl45St3FlatVqef9prk4jRDzhW6WZg+3bk93y6pLjA==}\n    engines: {node: '>=6'}\n\n  strip-indent@2.0.0:\n    resolution: {integrity: sha512-RsSNPLpq6YUL7QYy44RnPVTn/lcVZtb48Uof3X5JLbF4zD/Gs7ZFDv2HWol+leoQN2mT86LAzSshGfkTlSOpsA==}\n    engines: {node: '>=4'}\n\n  supports-color@5.5.0:\n    resolution: {integrity: sha512-QjVjwdXIt408MIiAqCX4oUKsgU2EqAGzs2Ppkm4aQYbjm+ZEWEcW4SfFNTr4uMNZma0ey4f5lgLrkB0aX0QMow==}\n    engines: {node: '>=4'}\n\n  supports-color@6.1.0:\n    resolution: {integrity: sha512-qe1jfm1Mg7Nq/NSh6XE24gPXROEVsWHxC1LIx//XNlD9iw7YZQGjZNjYN7xGaEG6iKdA8EtNFW6R0gjnVXp+wQ==}\n    engines: {node: '>=6'}\n\n  supports-color@7.2.0:\n    resolution: {integrity: sha512-qpCAvRl9stuOHveKsn7HncJRvv501qIacKzQlO/+Lwxc9+0q2wLyv4Dfvt80/DPn2pqOBsJdDiogXGR9+OvwRw==}\n    engines: {node: '>=8'}\n\n  supports-hyperlinks@2.3.0:\n    resolution: {integrity: sha512-RpsAZlpWcDwOPQA22aCH4J0t7L8JmAvsCxfOSEwm7cQs3LshN36QaTkwd70DnBOXDWGssw2eUoc8CaRWT0XunA==}\n    engines: {node: '>=8'}\n\n  supports-preserve-symlinks-flag@1.0.0:\n    resolution: {integrity: sha512-ot0WnXS9fgdkgIcePe6RHNk1WA8+muPa6cSjeR3V8K27q9BB1rTE3R1p7Hv0z1ZyAc8s6Vvv8DIyWf681MAt0w==}\n    engines: {node: '>= 0.4'}\n\n  swr@1.3.0:\n    resolution: {integrity: sha512-dkghQrOl2ORX9HYrMDtPa7LTVHJjCTeZoB1dqTbnnEDlSvN8JEKpYIYurDfvbQFUUS8Cg8PceFVZNkW0KNNYPw==}\n    peerDependencies:\n      react: ^16.11.0 || ^17.0.0 || ^18.0.0\n\n  symbol-tree@3.2.4:\n    resolution: {integrity: sha512-9QNk5KwDF+Bvz+PyObkmSYjI5ksVUYtjW7AU22r2NKcfLJcXp96hkDWU3+XndOsUb+AQ9QhfzfCT2O+CNWT5Tw==}\n\n  terminal-link@2.1.1:\n    resolution: {integrity: sha512-un0FmiRUQNr5PJqy9kP7c40F5BOfpGlYTrxonDChEZB7pzZxRNp/bt+ymiy9/npwXya9KH99nJ/GXFIiUkYGFQ==}\n    engines: {node: '>=8'}\n\n  terser@5.14.2:\n    resolution: {integrity: sha512-oL0rGeM/WFQCUd0y2QrWxYnq7tfSuKBiqTjRPWrRgB46WD/kiwHwF8T23z78H6Q6kGCuuHcPB+KULHRdxvVGQA==}\n    engines: {node: '>=10'}\n    hasBin: true\n\n  test-exclude@6.0.0:\n    resolution: {integrity: sha512-cAGWPIyOHU6zlmg88jwm7VRyXnMN7iV68OGAbYDk/Mh/xC/pzVPlQtY6ngoIH/5/tciuhGfvESU8GrHrcxD56w==}\n    engines: {node: '>=8'}\n\n  throat@5.0.0:\n    resolution: {integrity: sha512-fcwX4mndzpLQKBS1DVYhGAcYaYt7vsHNIvQV+WXMvnow5cgjPphq5CaayLaGsjRdSCKZFNGt7/GYAuXaNOiYCA==}\n\n  throttle-debounce@5.0.2:\n    resolution: {integrity: sha512-B71/4oyj61iNH0KeCamLuE2rmKuTO5byTOSVwECM5FA7TiAiAW+UqTKZ9ERueC4qvgSttUhdmq1mXC3kJqGX7A==}\n    engines: {node: '>=12.22'}\n\n  through@2.3.8:\n    resolution: {integrity: sha512-w89qg7PI8wAdvX60bMDP+bFoD5Dvhm9oLheFp5O4a2QF0cSBGsBX4qZmadPMvVqlLJBBci+WqGGOAPvcDeNSVg==}\n\n  timers-browserify@2.0.12:\n    resolution: {integrity: sha512-9phl76Cqm6FhSX9Xe1ZUAMLtm1BLkKj2Qd5ApyWkXzsMRaA7dgr81kf4wJmQf/hAvg8EEyJxDo3du/0KlhPiKQ==}\n    engines: {node: '>=0.6.0'}\n\n  tiny-invariant@1.3.3:\n    resolution: {integrity: sha512-+FbBPE1o9QAYvviau/qC5SE3caw21q3xkvWKBtja5vgqOWIHHJ3ioaq1VPfn/Szqctz2bU/oYeKd9/z5BL+PVg==}\n\n  tiny-warning@1.0.3:\n    resolution: {integrity: sha512-lBN9zLN/oAf68o3zNXYrdCt1kP8WsiGW8Oo2ka41b2IM5JL/S1CTyX1rW0mb/zSuJun0ZUrDxx4sqvYS2FWzPA==}\n\n  tmpl@1.0.5:\n    resolution: {integrity: sha512-3f0uOEAQwIqGuWW2MVzYg8fV/QNnc/IpuJNG837rLuczAaLVHslWHZQj4IGiEl5Hs3kkbhwL9Ab7Hrsmuj+Smw==}\n\n  to-arraybuffer@1.0.1:\n    resolution: {integrity: sha512-okFlQcoGTi4LQBG/PgSYblw9VOyptsz2KJZqc6qtgGdes8VktzUQkj4BI2blit072iS8VODNcMA+tvnS9dnuMA==}\n\n  to-object-path@0.3.0:\n    resolution: {integrity: sha512-9mWHdnGRuh3onocaHzukyvCZhzvr6tiflAy/JRFXcJX0TjgfWA9pk9t8CMbzmBE4Jfw58pXbkngtBtqYxzNEyg==}\n    engines: {node: '>=0.10.0'}\n\n  to-regex-range@2.1.1:\n    resolution: {integrity: sha512-ZZWNfCjUokXXDGXFpZehJIkZqq91BcULFq/Pi7M5i4JnxXdhMKAK682z8bCW3o8Hj1wuuzoKcW3DfVzaP6VuNg==}\n    engines: {node: '>=0.10.0'}\n\n  to-regex-range@5.0.1:\n    resolution: {integrity: sha512-65P7iz6X5yEr1cwcgvQxbbIw7Uk3gOy5dIdtZ4rDveLqhrdJP+Li/Hx6tyK0NEb+2GCyneCMJiGqrADCSNk8sQ==}\n    engines: {node: '>=8.0'}\n\n  to-regex@3.0.2:\n    resolution: {integrity: sha512-FWtleNAtZ/Ki2qtqej2CXTOayOH9bHDQF+Q48VpWyDXjbYxA4Yz8iDB31zXOBUlOHHKidDbqGVrTUvQMPmBGBw==}\n    engines: {node: '>=0.10.0'}\n\n  toggle-selection@1.0.6:\n    resolution: {integrity: sha512-BiZS+C1OS8g/q2RRbJmy59xpyghNBqrr6k5L/uKBGRsTfxmu3ffiRnd8mlGPUVayg8pvfi5urfnu8TU7DVOkLQ==}\n\n  tough-cookie@4.1.4:\n    resolution: {integrity: sha512-Loo5UUvLD9ScZ6jh8beX1T6sO1w2/MpCRpEP7V280GKMVUQ0Jzar2U3UJPsrdbziLEMMhu3Ujnq//rhiFuIeag==}\n    engines: {node: '>=6'}\n\n  tr46@2.1.0:\n    resolution: {integrity: sha512-15Ih7phfcdP5YxqiB+iDtLoaTz4Nd35+IiAv0kQ5FNKHzXgdWqPoTIqEDDJmXceQt4JZk6lVPT8lnDlPpGDppw==}\n    engines: {node: '>=8'}\n\n  tslib@2.8.1:\n    resolution: {integrity: sha512-oJFu94HQb+KVduSUQL7wnpmqnfmLsOA/nAh6b6EH0wCEoK0/mPeXU6c3wKDV83MkOuHPRHtSXKKU99IBazS/2w==}\n\n  tty-browserify@0.0.0:\n    resolution: {integrity: sha512-JVa5ijo+j/sOoHGjw0sxw734b1LhBkQ3bvUGNdxnVXDCX81Yx7TFgnZygxrIIWn23hbfTaMYLwRmAxFyDuFmIw==}\n\n  tween-functions@1.2.0:\n    resolution: {integrity: sha512-PZBtLYcCLtEcjL14Fzb1gSxPBeL7nWvGhO5ZFPGqziCcr8uvHp0NDmdjBchp6KHL+tExcg0m3NISmKxhU394dA==}\n\n  type-detect@4.0.8:\n    resolution: {integrity: sha512-0fr/mIH1dlO+x7TlcMy+bIDqKPsw/70tVyeHW787goQjhmqaZe10uwLujubK9q9Lg6Fiho1KUKDYz0Z7k7g5/g==}\n    engines: {node: '>=4'}\n\n  type-fest@0.21.3:\n    resolution: {integrity: sha512-t0rzBq87m3fVcduHDUFhKmyyX+9eo6WQjZvf51Ea/M0Q7+T374Jp1aUiyUl0GKxp8M/OETVHSDvmkyPgvX+X2w==}\n    engines: {node: '>=10'}\n\n  type-fest@0.6.0:\n    resolution: {integrity: sha512-q+MB8nYR1KDLrgr4G5yemftpMC7/QLqVndBmEEdqzmNj5dcFOO4Oo8qlwZE3ULT3+Zim1F8Kq4cBnikNhlCMlg==}\n    engines: {node: '>=8'}\n\n  type-fest@0.8.1:\n    resolution: {integrity: sha512-4dbzIzqvjtgiM5rw1k5rEHtBANKmdudhGyBEajN01fEyhaAIhsoKNy6y7+IN93IfpFtwY9iqi7kD+xwKhQsNJA==}\n    engines: {node: '>=8'}\n\n  typedarray-to-buffer@3.1.5:\n    resolution: {integrity: sha512-zdu8XMNEDepKKR+XYOXAVPtWui0ly0NtohUscw+UmaHiAWT8hrV1rr//H6V+0DvJ3OQ19S979M0laLfX8rm82Q==}\n\n  typescript@4.9.5:\n    resolution: {integrity: sha512-1FXk9E2Hm+QzZQ7z+McJiHL4NW1F2EzMu9Nq9i3zAaGqibafqYwCVU6WyWAuyQRRzOlxou8xZSyXLEN8oKj24g==}\n    engines: {node: '>=4.2.0'}\n    hasBin: true\n\n  ua-parser-js@0.7.39:\n    resolution: {integrity: sha512-IZ6acm6RhQHNibSt7+c09hhvsKy9WUr4DVbeq9U8o71qxyYtJpQeDxQnMrVqnIFMLcQjHO0I9wgfO2vIahht4w==}\n    hasBin: true\n\n  umi-request@1.4.0:\n    resolution: {integrity: sha512-OknwtQZddZHi0Ggi+Vr/olJ7HNMx4AzlywyK0W3NZBT7B0stjeZ9lcztA85dBgdAj3KVk8uPJPZSnGaDjELhrA==}\n\n  umi@3.5.43:\n    resolution: {integrity: sha512-WWusH/o3MTGIJ+S6MiUquz5OwOAQKVdgGHD0CwYBBXcUmwodeZ1mpQSfj8u7VO/OLgVfCmBw8ENsdaWEK6OMtw==}\n    hasBin: true\n\n  undici-types@6.20.0:\n    resolution: {integrity: sha512-Ny6QZ2Nju20vw1SRHe3d9jVu6gJ+4e3+MMpqu7pqE5HT6WsTSlce++GQmK5UXS8mzV8DSYHrQH+Xrf2jVcuKNg==}\n\n  union-value@1.0.1:\n    resolution: {integrity: sha512-tJfXmxMeWYnczCVs7XAEvIV7ieppALdyepWMkHkwciRpZraG/xwT+s2JN8+pr1+8jCRf80FFzvr+MpQeeoF4Xg==}\n    engines: {node: '>=0.10.0'}\n\n  uniq@1.0.1:\n    resolution: {integrity: sha512-Gw+zz50YNKPDKXs+9d+aKAjVwpjNwqzvNpLigIruT4HA9lMZNdMqs9x07kKHB/L9WRzqp4+DlTU5s4wG2esdoA==}\n\n  universalify@0.2.0:\n    resolution: {integrity: sha512-CJ1QgKmNg3CwvAv/kOFmtnEN05f0D/cn9QntgNOQlQF9dgvVTHj3t+8JPdjqawCHk7V/KA+fbUqzZ9XWhcqPUg==}\n    engines: {node: '>= 4.0.0'}\n\n  unset-value@1.0.0:\n    resolution: {integrity: sha512-PcA2tsuGSF9cnySLHTLSh2qrQiJ70mn+r+Glzxv2TWZblxsxCC52BDlZoPCsz7STd9pN7EZetkWZBAvk4cgZdQ==}\n    engines: {node: '>=0.10.0'}\n\n  unstated-next@1.1.0:\n    resolution: {integrity: sha512-AAn47ZncPvgBGOvMcn8tSRxsrqwf2VdAPxLASTuLJvZt4rhKfDvUkmYZLGfclImSfTVMv7tF4ynaVxin0JjDCA==}\n\n  update-browserslist-db@1.1.1:\n    resolution: {integrity: sha512-R8UzCaa9Az+38REPiJ1tXlImTJXlVfgHZsglwBD/k6nj76ctsH1E3q4doGrukiLQd3sGQYu56r5+lo5r94l29A==}\n    hasBin: true\n    peerDependencies:\n      browserslist: '>= 4.21.0'\n\n  uri-js@4.4.1:\n    resolution: {integrity: sha512-7rKUyy33Q1yc98pQ1DAmLtwX109F7TIfWlW1Ydo8Wl1ii1SeHieeh0HHfPeL2fMXK6z0s8ecKs9frCuLJvndBg==}\n\n  urix@0.1.0:\n    resolution: {integrity: sha512-Am1ousAhSLBeB9cG/7k7r2R0zj50uDRlZHPGbazid5s9rlF1F/QKYObEKSIunSjIOkJZqwRRLpvewjEkM7pSqg==}\n    deprecated: Please see https://github.com/lydell/urix#deprecated\n\n  url-parse@1.5.10:\n    resolution: {integrity: sha512-WypcfiRhfeUP9vvF0j6rw0J3hrWrw6iZv3+22h6iRMJ/8z1Tj6XfLP4DsUix5MhMPnXpiHDoKyoZ/bdCkwBCiQ==}\n\n  url@0.11.4:\n    resolution: {integrity: sha512-oCwdVC7mTuWiPyjLUz/COz5TLk6wgp0RCsN+wHZ2Ekneac9w8uuV0njcbbie2ME+Vs+d6duwmYuR3HgQXs1fOg==}\n    engines: {node: '>= 0.4'}\n\n  use-json-comparison@1.0.6:\n    resolution: {integrity: sha512-xPadt5yMRbEmVfOSGFSMqjjICrq7nLbfSH3rYIXsrtcuFX7PmbYDN/ku8ObBn3v8o/yZelO1OxUS5+5TI3+fUw==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  use-media-antd-query@1.1.0:\n    resolution: {integrity: sha512-B6kKZwNV4R+l4Rl11sWO7HqOay9alzs1Vp1b4YJqjz33YxbltBCZtt/yxXxkXN9rc1S7OeEL/GbwC30Wmqhw6Q==}\n    peerDependencies:\n      react: '>=16.9.0'\n\n  use-subscription@1.5.1:\n    resolution: {integrity: sha512-Xv2a1P/yReAjAbhylMfFplFKj9GssgTwN7RlcTxBujFQcloStWNDQdc4g4NRWH9xS4i/FDk04vQBptAXoF3VcA==}\n    peerDependencies:\n      react: ^16.8.0 || ^17.0.0\n\n  use@3.1.1:\n    resolution: {integrity: sha512-cwESVXlO3url9YWlFW/TA9cshCEhtu7IKJ/p5soJ/gGpj7vbvFrAY/eIioQ6Dw23KjZhYgiIo8HOs1nQ2vr/oQ==}\n    engines: {node: '>=0.10.0'}\n\n  util-deprecate@1.0.2:\n    resolution: {integrity: sha512-EPD5q1uXyFxJpCrLnCc1nHnq3gOa6DZBocAIiI2TaSCA7VCJ1UJDMagCzIkXNsUYfD1daK//LTEQ8xiIbrHtcw==}\n\n  util@0.10.4:\n    resolution: {integrity: sha512-0Pm9hTQ3se5ll1XihRic3FDIku70C+iHUdT/W926rSgHV5QgXsYbKZN8MSC3tJtSkhuROzvsQjAaFENRXr+19A==}\n\n  util@0.11.1:\n    resolution: {integrity: sha512-HShAsny+zS2TZfaXxD9tYj4HQGlBezXZMZuM/S5PKLLoZkShZiGk9o5CzukI1LVHZvjdvZ2Sj1aW/Ndn2NB/HQ==}\n\n  uuid@8.3.2:\n    resolution: {integrity: sha512-+NYs2QeMWy+GWFOEm9xnn6HCDp0l7QBD7ml8zLUmJ+93Q5NF0NocErnwkTkXVFNiX3/fpC6afS8Dhb/gz7R7eg==}\n    hasBin: true\n\n  v8-compile-cache@2.3.0:\n    resolution: {integrity: sha512-l8lCEmLcLYZh4nbunNZvQCJc5pv7+RCwa8q/LdUx8u7lsWvPDKmpodJAJNwkAhJC//dFY48KuIEmjtd4RViDrA==}\n\n  v8-to-istanbul@7.1.2:\n    resolution: {integrity: sha512-TxNb7YEUwkLXCQYeudi6lgQ/SZrzNO4kMdlqVxaZPUIUjCv6iSSypUQX70kNBSERpQ8fk48+d61FXk+tgqcWow==}\n    engines: {node: '>=10.10.0'}\n\n  validate-npm-package-license@3.0.4:\n    resolution: {integrity: sha512-DpKm2Ui/xN7/HQKCtpZxoRWBhZ9Z0kqtygG8XCgNQ8ZlDnxuQmWhj566j8fN4Cu3/JmbhsDo7fcAJq4s9h27Ew==}\n\n  value-equal@1.0.1:\n    resolution: {integrity: sha512-NOJ6JZCAWr0zlxZt+xqCHNTEKOsrks2HQd4MqhP1qy4z1SkbEP467eNx6TgDKXMvUOb+OENfJCZwM+16n7fRfw==}\n\n  vm-browserify@1.1.2:\n    resolution: {integrity: sha512-2ham8XPWTONajOR0ohOKOHXkm3+gaBmGut3SRuu75xLd/RRaY6vqgh8NBYYk7+RW3u5AtzPQZG8F10LHkl0lAQ==}\n\n  w3c-hr-time@1.0.2:\n    resolution: {integrity: sha512-z8P5DvDNjKDoFIHK7q8r8lackT6l+jo/Ye3HOle7l9nICP9lf1Ci25fy9vHd0JOWewkIFzXIEig3TdKT7JQ5fQ==}\n    deprecated: Use your platform's native performance.now() and performance.timeOrigin.\n\n  w3c-xmlserializer@2.0.0:\n    resolution: {integrity: sha512-4tzD0mF8iSiMiNs30BiLO3EpfGLZUT2MSX/G+o7ZywDzliWQ3OPtTZ0PTC3B3ca1UAf4cJMHB+2Bf56EriJuRA==}\n    engines: {node: '>=10'}\n\n  walker@1.0.8:\n    resolution: {integrity: sha512-ts/8E8l5b7kY0vlWLewOkDXMmPdLcVV4GmOQLyxuSswIJsweeFZtAsMF7k1Nszz+TYBQrlYRmzOnr398y1JemQ==}\n\n  warning@3.0.0:\n    resolution: {integrity: sha512-jMBt6pUrKn5I+OGgtQ4YZLdhIeJmObddh6CsibPxyQ5yPZm1XExSyzC1LCNX7BzhxWgiHmizBWJTHJIjMjTQYQ==}\n\n  warning@4.0.3:\n    resolution: {integrity: sha512-rpJyN222KWIvHJ/F53XSZv0Zl/accqHR8et1kpaMTD/fLCRxtV8iX8czMzY7sVZupTI3zcUTg8eycS2kNF9l6w==}\n\n  webidl-conversions@5.0.0:\n    resolution: {integrity: sha512-VlZwKPCkYKxQgeSbH5EyngOmRp7Ww7I9rQLERETtf5ofd9pGeswWiOtogpEO850jziPRarreGxn5QIiTqpb2wA==}\n    engines: {node: '>=8'}\n\n  webidl-conversions@6.1.0:\n    resolution: {integrity: sha512-qBIvFLGiBpLjfwmYAaHPXsn+ho5xZnGvyGvsarywGNc8VyQJUMHJ8OBKGGrPER0okBeMDaan4mNBlgBROxuI8w==}\n    engines: {node: '>=10.4'}\n\n  webpack-chain@6.5.1:\n    resolution: {integrity: sha512-7doO/SRtLu8q5WM0s7vPKPWX580qhi0/yBHkOxNkv50f6qB76Zy9o2wRTrrPULqYTvQlVHuvbA8v+G5ayuUDsA==}\n    engines: {node: '>=8'}\n    deprecated: Package no longer supported. Contact Support at https://www.npmjs.com/support for more info.\n\n  whatwg-encoding@1.0.5:\n    resolution: {integrity: sha512-b5lim54JOPN9HtzvK9HFXvBma/rnfFeqsic0hSpjtDbVxR3dJKLc+KB4V6GgiGOvl7CY/KNh8rxSo9DKQrnUEw==}\n\n  whatwg-fetch@3.6.20:\n    resolution: {integrity: sha512-EqhiFU6daOA8kpjOWTL0olhVOF3i7OrFzSYiGsEMB8GcXS+RrzauAERX65xMeNWVqxA6HXH2m69Z9LaKKdisfg==}\n\n  whatwg-mimetype@2.3.0:\n    resolution: {integrity: sha512-M4yMwr6mAnQz76TbJm914+gPpB/nCwvZbJU28cUD6dR004SAxDLOOSUaB1JDRqLtaOV/vi0IC5lEAGFgrjGv/g==}\n\n  whatwg-url@8.7.0:\n    resolution: {integrity: sha512-gAojqb/m9Q8a5IV96E3fHJM70AzCkgt4uXYX2O7EmuyOnLrViCQlsEBmF9UQIu3/aeAIp2U17rtbpZWNntQqdg==}\n    engines: {node: '>=10'}\n\n  which-module@2.0.1:\n    resolution: {integrity: sha512-iBdZ57RDvnOR9AGBhML2vFZf7h8vmBjhoaZqODJBFWHVtKkDmKuHai3cx5PgVMrX5YDNp27AofYbAwctSS+vhQ==}\n\n  which@1.3.1:\n    resolution: {integrity: sha512-HxJdYWq1MTIQbJ3nw0cqssHoTNU267KlrDuGZ1WYlxDStUtKUhOaJmh112/TZmHxxUfuJqPXSOm7tDyas0OSIQ==}\n    hasBin: true\n\n  which@2.0.2:\n    resolution: {integrity: sha512-BLI3Tl1TW3Pvl70l3yq3Y64i+awpwXqsGBYWkkqMtnbXgrMD+yj7rhW0kuEDxzJaYXGjEW5ogapKNMEKNMjibA==}\n    engines: {node: '>= 8'}\n    hasBin: true\n\n  wrap-ansi@6.2.0:\n    resolution: {integrity: sha512-r6lPcBGxZXlIcymEu7InxDMhdW0KDxpLgoFLcguasxCaJ/SOIZwINatK9KY/tf+ZrlywOKU0UDj3ATXUBfxJXA==}\n    engines: {node: '>=8'}\n\n  wrap-ansi@7.0.0:\n    resolution: {integrity: sha512-YVGIj2kamLSTxw6NsZjoBxfSwsn0ycdesmc4p+Q21c5zPuZ1pl+NfxVdxPtdHvmNVOQ6XSYG4AUtyt/Fi7D16Q==}\n    engines: {node: '>=10'}\n\n  wrappy@1.0.2:\n    resolution: {integrity: sha512-l4Sp/DRseor9wL6EvV2+TuQn63dMkPjZ/sp9XkghTEbV9KlPS1xUsZ3u7/IQO4wxtcFB4bgpQPRcR3QCvezPcQ==}\n\n  write-file-atomic@3.0.3:\n    resolution: {integrity: sha512-AvHcyZ5JnSfq3ioSyjrBkH9yW4m7Ayk8/9My/DD9onKeu/94fwrMocemO2QAJFAlnnDN+ZDS+ZjAR5ua1/PV/Q==}\n\n  ws@7.5.10:\n    resolution: {integrity: sha512-+dbF1tHwZpXcbOJdVOkzLDxZP1ailvSxM6ZweXTegylPny803bFhA+vqBYw4s31NSAk4S2Qz+AKXK9a4wkdjcQ==}\n    engines: {node: '>=8.3.0'}\n    peerDependencies:\n      bufferutil: ^4.0.1\n      utf-8-validate: ^5.0.2\n    peerDependenciesMeta:\n      bufferutil:\n        optional: true\n      utf-8-validate:\n        optional: true\n\n  xml-name-validator@3.0.0:\n    resolution: {integrity: sha512-A5CUptxDsvxKJEU3yO6DuWBSJz/qizqzJKOMIfUJHETbBw/sFaDxgd6fxm1ewUaM0jZ444Fc5vC5ROYurg/4Pw==}\n\n  xmlchars@2.2.0:\n    resolution: {integrity: sha512-JZnDKK8B0RCDw84FNdDAIpZK+JuJw+s7Lz8nksI7SIuU3UXJJslUthsi+uWBUYOwPFwW7W7PRLRfUKpxjtjFCw==}\n\n  xtend@4.0.2:\n    resolution: {integrity: sha512-LKYU1iAXJXUgAXn9URjiu+MWhyUXHsvfp7mcuYm9dSUKK0/CjtrUwFAxD82/mCWbtLsGjFIad0wIsod4zrTAEQ==}\n    engines: {node: '>=0.4'}\n\n  y18n@4.0.3:\n    resolution: {integrity: sha512-JKhqTOwSrqNA1NY5lSztJ1GrBiUodLMmIZuLiDaMRJ+itFd+ABVE8XBjOvIWL+rSqNDC74LCSFmlb/U4UZ4hJQ==}\n\n  yallist@2.1.2:\n    resolution: {integrity: sha512-ncTzHV7NvsQZkYe1DW7cbDLm0YpzHmZF5r/iyP3ZnQtMiJ+pjzisCiMNI+Sj+xQF5pXhSHxSB3uDbsBTzY/c2A==}\n\n  yallist@3.1.1:\n    resolution: {integrity: sha512-a4UGQaWPH59mOXUYnAG2ewncQS4i4F43Tv3JoAM+s2VDAmS9NsK8GpDMLrCHPksFT7h3K6TOoUNn2pb7RoXx4g==}\n\n  yaml@1.10.2:\n    resolution: {integrity: sha512-r3vXyErRCYJ7wg28yvBY5VSoAF8ZvlcW9/BwUzEtUsjvX/DKs24dIkuwjtuprwJJHsbyUbLApepYTR1BN4uHrg==}\n    engines: {node: '>= 6'}\n\n  yargs-parser@18.1.3:\n    resolution: {integrity: sha512-o50j0JeToy/4K6OZcaQmW6lyXXKhq7csREXcDwk2omFPJEwUNOVtJKvmDr9EI1fAJZUyZcRF7kxGBWmRXudrCQ==}\n    engines: {node: '>=6'}\n\n  yargs@15.4.1:\n    resolution: {integrity: sha512-aePbxDmcYW++PaqBsJ+HYUFwCdv4LVvdnhBy78E57PIor8/OVvhMrADFFEDh8DHDFRv/O9i3lPhsENjO7QX0+A==}\n    engines: {node: '>=8'}\n\n  yorkie@2.0.0:\n    resolution: {integrity: sha512-jcKpkthap6x63MB4TxwCyuIGkV0oYP/YRyuQU5UO0Yz/E/ZAu+653/uov+phdmO54n6BcvFRyyt0RRrWdN2mpw==}\n    engines: {node: '>=4'}\n\n  zscroller@0.4.8:\n    resolution: {integrity: sha512-G5NiNLKx2+QhhvZi2yV1jjVXY50otktxkseX2hG2N/eixohOUk0AY8ZpbAxNqS9oJS/NxItCsowupy2tsXxAMw==}\n\nsnapshots:\n\n  '@ahooksjs/use-request@2.8.15(react@17.0.2)':\n    dependencies:\n      lodash.debounce: 4.0.8\n      lodash.throttle: 4.1.1\n      react: 17.0.2\n\n  '@ampproject/remapping@2.3.0':\n    dependencies:\n      '@jridgewell/gen-mapping': 0.3.8\n      '@jridgewell/trace-mapping': 0.3.25\n\n  '@ant-design/colors@6.0.0':\n    dependencies:\n      '@ctrl/tinycolor': 3.6.1\n\n  '@ant-design/icons-svg@4.4.2': {}\n\n  '@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@ant-design/colors': 6.0.0\n      '@ant-design/icons-svg': 4.4.2\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      lodash: 4.17.21\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  '@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-provider': 1.10.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-utils': 1.45.3(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@babel/runtime': 7.26.0\n      '@umijs/route-utils': 2.2.2\n      '@umijs/ssr-darkreader': 4.9.45\n      '@umijs/use-params': 1.0.9(react@17.0.2)\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      lodash.merge: 4.6.2\n      omit.js: 2.0.2\n      path-to-regexp: 2.4.0\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      swr: 1.3.0(react@17.0.2)\n      unstated-next: 1.1.0\n      use-json-comparison: 1.0.6(react@17.0.2)\n      use-media-antd-query: 1.1.0(react@17.0.2)\n      warning: 4.0.3\n    transitivePeerDependencies:\n      - prop-types\n      - react-dom\n\n  '@ant-design/pro-provider@1.10.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@babel/runtime': 7.26.0\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      swr: 1.3.0(react@17.0.2)\n    transitivePeerDependencies:\n      - react-dom\n\n  '@ant-design/pro-utils@1.45.3(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-provider': 1.10.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@babel/runtime': 7.26.0\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      moment: 2.30.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-sortable-hoc: 2.0.0(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      swr: 1.3.0(react@17.0.2)\n    transitivePeerDependencies:\n      - prop-types\n\n  '@ant-design/react-slick@1.0.2(react@17.0.2)':\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      json2mq: 0.2.0\n      react: 17.0.2\n      resize-observer-polyfill: 1.5.1\n      throttle-debounce: 5.0.2\n\n  '@babel/code-frame@7.26.2':\n    dependencies:\n      '@babel/helper-validator-identifier': 7.25.9\n      js-tokens: 4.0.0\n      picocolors: 1.1.1\n\n  '@babel/compat-data@7.26.3': {}\n\n  '@babel/core@7.18.6':\n    dependencies:\n      '@ampproject/remapping': 2.3.0\n      '@babel/code-frame': 7.26.2\n      '@babel/generator': 7.26.3\n      '@babel/helper-compilation-targets': 7.25.9\n      '@babel/helper-module-transforms': 7.26.0(@babel/core@7.18.6)\n      '@babel/helpers': 7.26.0\n      '@babel/parser': 7.26.3\n      '@babel/template': 7.25.9\n      '@babel/traverse': 7.26.4\n      '@babel/types': 7.26.3\n      convert-source-map: 1.9.0\n      debug: 4.4.0\n      gensync: 1.0.0-beta.2\n      json5: 2.2.3\n      semver: 6.3.1\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/generator@7.26.3':\n    dependencies:\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n      '@jridgewell/gen-mapping': 0.3.8\n      '@jridgewell/trace-mapping': 0.3.25\n      jsesc: 3.1.0\n\n  '@babel/helper-compilation-targets@7.25.9':\n    dependencies:\n      '@babel/compat-data': 7.26.3\n      '@babel/helper-validator-option': 7.25.9\n      browserslist: 4.24.2\n      lru-cache: 5.1.1\n      semver: 6.3.1\n\n  '@babel/helper-module-imports@7.25.9':\n    dependencies:\n      '@babel/traverse': 7.26.4\n      '@babel/types': 7.26.3\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/helper-module-transforms@7.26.0(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-module-imports': 7.25.9\n      '@babel/helper-validator-identifier': 7.25.9\n      '@babel/traverse': 7.26.4\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/helper-plugin-utils@7.25.9': {}\n\n  '@babel/helper-string-parser@7.25.9': {}\n\n  '@babel/helper-validator-identifier@7.25.9': {}\n\n  '@babel/helper-validator-option@7.25.9': {}\n\n  '@babel/helpers@7.26.0':\n    dependencies:\n      '@babel/template': 7.25.9\n      '@babel/types': 7.26.3\n\n  '@babel/parser@7.26.3':\n    dependencies:\n      '@babel/types': 7.26.3\n\n  '@babel/plugin-syntax-async-generators@7.8.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-bigint@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-class-properties@7.12.13(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-class-static-block@7.14.5(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-import-attributes@7.26.0(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-import-meta@7.10.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-json-strings@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-logical-assignment-operators@7.10.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-nullish-coalescing-operator@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-numeric-separator@7.10.4(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-object-rest-spread@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-optional-catch-binding@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-optional-chaining@7.8.3(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-private-property-in-object@7.14.5(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/plugin-syntax-top-level-await@7.14.5(@babel/core@7.18.6)':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/helper-plugin-utils': 7.25.9\n\n  '@babel/runtime@7.18.6':\n    dependencies:\n      regenerator-runtime: 0.13.11\n\n  '@babel/runtime@7.26.0':\n    dependencies:\n      regenerator-runtime: 0.14.1\n\n  '@babel/template@7.25.9':\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n\n  '@babel/traverse@7.26.4':\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      '@babel/generator': 7.26.3\n      '@babel/parser': 7.26.3\n      '@babel/template': 7.25.9\n      '@babel/types': 7.26.3\n      debug: 4.4.0\n      globals: 11.12.0\n    transitivePeerDependencies:\n      - supports-color\n\n  '@babel/types@7.26.3':\n    dependencies:\n      '@babel/helper-string-parser': 7.25.9\n      '@babel/helper-validator-identifier': 7.25.9\n\n  '@bcoe/v8-coverage@0.2.3': {}\n\n  '@bloomberg/record-tuple-polyfill@0.0.3': {}\n\n  '@cnakazawa/watch@1.0.4':\n    dependencies:\n      exec-sh: 0.3.6\n      minimist: 1.2.8\n\n  '@csstools/convert-colors@1.4.0': {}\n\n  '@ctrl/tinycolor@3.6.1': {}\n\n  '@formatjs/intl-displaynames@1.2.10':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-listformat@1.4.8':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-pluralrules@1.5.9':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-relativetimeformat@4.5.16':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-unified-numberformat@3.3.7':\n    dependencies:\n      '@formatjs/intl-utils': 2.3.0\n\n  '@formatjs/intl-utils@2.3.0': {}\n\n  '@istanbuljs/load-nyc-config@1.1.0':\n    dependencies:\n      camelcase: 5.3.1\n      find-up: 4.1.0\n      get-package-type: 0.1.0\n      js-yaml: 3.14.1\n      resolve-from: 5.0.0\n\n  '@istanbuljs/schema@0.1.3': {}\n\n  '@jest/console@26.6.2':\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      jest-message-util: 26.6.2\n      jest-util: 26.6.2\n      slash: 3.0.0\n\n  '@jest/core@26.6.3':\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/reporters': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      ansi-escapes: 4.3.2\n      chalk: 4.1.2\n      exit: 0.1.2\n      graceful-fs: 4.2.11\n      jest-changed-files: 26.6.2\n      jest-config: 26.6.3\n      jest-haste-map: 26.6.2\n      jest-message-util: 26.6.2\n      jest-regex-util: 26.0.0\n      jest-resolve: 26.6.2\n      jest-resolve-dependencies: 26.6.3\n      jest-runner: 26.6.3\n      jest-runtime: 26.6.3\n      jest-snapshot: 26.6.2\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      jest-watcher: 26.6.2\n      micromatch: 4.0.8\n      p-each-series: 2.2.0\n      rimraf: 3.0.2\n      slash: 3.0.0\n      strip-ansi: 6.0.1\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@jest/environment@26.6.2':\n    dependencies:\n      '@jest/fake-timers': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      jest-mock: 26.6.2\n\n  '@jest/fake-timers@26.6.2':\n    dependencies:\n      '@jest/types': 26.6.2\n      '@sinonjs/fake-timers': 6.0.1\n      '@types/node': 22.10.2\n      jest-message-util: 26.6.2\n      jest-mock: 26.6.2\n      jest-util: 26.6.2\n\n  '@jest/globals@26.6.2':\n    dependencies:\n      '@jest/environment': 26.6.2\n      '@jest/types': 26.6.2\n      expect: 26.6.2\n\n  '@jest/reporters@26.6.2':\n    dependencies:\n      '@bcoe/v8-coverage': 0.2.3\n      '@jest/console': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      collect-v8-coverage: 1.0.2\n      exit: 0.1.2\n      glob: 7.2.3\n      graceful-fs: 4.2.11\n      istanbul-lib-coverage: 3.2.2\n      istanbul-lib-instrument: 4.0.3\n      istanbul-lib-report: 3.0.1\n      istanbul-lib-source-maps: 4.0.1\n      istanbul-reports: 3.1.7\n      jest-haste-map: 26.6.2\n      jest-resolve: 26.6.2\n      jest-util: 26.6.2\n      jest-worker: 26.6.2\n      slash: 3.0.0\n      source-map: 0.6.1\n      string-length: 4.0.2\n      terminal-link: 2.1.1\n      v8-to-istanbul: 7.1.2\n    optionalDependencies:\n      node-notifier: 8.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  '@jest/source-map@26.6.2':\n    dependencies:\n      callsites: 3.1.0\n      graceful-fs: 4.2.11\n      source-map: 0.6.1\n\n  '@jest/test-result@26.6.2':\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/istanbul-lib-coverage': 2.0.6\n      collect-v8-coverage: 1.0.2\n\n  '@jest/test-sequencer@26.6.3':\n    dependencies:\n      '@jest/test-result': 26.6.2\n      graceful-fs: 4.2.11\n      jest-haste-map: 26.6.2\n      jest-runner: 26.6.3\n      jest-runtime: 26.6.3\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@jest/transform@26.6.2':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@jest/types': 26.6.2\n      babel-plugin-istanbul: 6.1.1\n      chalk: 4.1.2\n      convert-source-map: 1.9.0\n      fast-json-stable-stringify: 2.1.0\n      graceful-fs: 4.2.11\n      jest-haste-map: 26.6.2\n      jest-regex-util: 26.0.0\n      jest-util: 26.6.2\n      micromatch: 4.0.8\n      pirates: 4.0.6\n      slash: 3.0.0\n      source-map: 0.6.1\n      write-file-atomic: 3.0.3\n    transitivePeerDependencies:\n      - supports-color\n\n  '@jest/types@26.6.2':\n    dependencies:\n      '@types/istanbul-lib-coverage': 2.0.6\n      '@types/istanbul-reports': 3.0.4\n      '@types/node': 22.10.2\n      '@types/yargs': 15.0.19\n      chalk: 4.1.2\n\n  '@jridgewell/gen-mapping@0.3.8':\n    dependencies:\n      '@jridgewell/set-array': 1.2.1\n      '@jridgewell/sourcemap-codec': 1.5.0\n      '@jridgewell/trace-mapping': 0.3.25\n\n  '@jridgewell/resolve-uri@3.1.2': {}\n\n  '@jridgewell/set-array@1.2.1': {}\n\n  '@jridgewell/source-map@0.3.6':\n    dependencies:\n      '@jridgewell/gen-mapping': 0.3.8\n      '@jridgewell/trace-mapping': 0.3.25\n\n  '@jridgewell/sourcemap-codec@1.5.0': {}\n\n  '@jridgewell/trace-mapping@0.3.25':\n    dependencies:\n      '@jridgewell/resolve-uri': 3.1.2\n      '@jridgewell/sourcemap-codec': 1.5.0\n\n  '@qixian.cs/path-to-regexp@6.1.0': {}\n\n  '@rc-component/portal@1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)':\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  '@sinonjs/commons@1.8.6':\n    dependencies:\n      type-detect: 4.0.8\n\n  '@sinonjs/fake-timers@6.0.1':\n    dependencies:\n      '@sinonjs/commons': 1.8.6\n\n  '@tootallnate/once@1.1.2': {}\n\n  '@types/babel__core@7.20.5':\n    dependencies:\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n      '@types/babel__generator': 7.6.8\n      '@types/babel__template': 7.4.4\n      '@types/babel__traverse': 7.20.6\n\n  '@types/babel__generator@7.6.8':\n    dependencies:\n      '@babel/types': 7.26.3\n\n  '@types/babel__template@7.4.4':\n    dependencies:\n      '@babel/parser': 7.26.3\n      '@babel/types': 7.26.3\n\n  '@types/babel__traverse@7.20.6':\n    dependencies:\n      '@babel/types': 7.26.3\n\n  '@types/graceful-fs@4.1.9':\n    dependencies:\n      '@types/node': 22.10.2\n\n  '@types/history@4.7.11': {}\n\n  '@types/history@5.0.0':\n    dependencies:\n      history: 5.3.0\n\n  '@types/hoist-non-react-statics@3.3.6':\n    dependencies:\n      '@types/react': 17.0.83\n      hoist-non-react-statics: 3.3.2\n\n  '@types/invariant@2.2.37': {}\n\n  '@types/isomorphic-fetch@0.0.35': {}\n\n  '@types/istanbul-lib-coverage@2.0.6': {}\n\n  '@types/istanbul-lib-report@3.0.3':\n    dependencies:\n      '@types/istanbul-lib-coverage': 2.0.6\n\n  '@types/istanbul-reports@3.0.4':\n    dependencies:\n      '@types/istanbul-lib-report': 3.0.3\n\n  '@types/json-schema@7.0.15': {}\n\n  '@types/node@22.10.2':\n    dependencies:\n      undici-types: 6.20.0\n\n  '@types/normalize-package-data@2.4.4': {}\n\n  '@types/parse-json@4.0.2': {}\n\n  '@types/prettier@2.7.3': {}\n\n  '@types/prop-types@15.7.14': {}\n\n  '@types/react-dom@16.9.25(@types/react@16.14.62)':\n    dependencies:\n      '@types/react': 16.14.62\n\n  '@types/react-dom@17.0.26(@types/react@17.0.83)':\n    dependencies:\n      '@types/react': 17.0.83\n\n  '@types/react-helmet@6.1.11':\n    dependencies:\n      '@types/react': 17.0.83\n\n  '@types/react-redux@7.1.34':\n    dependencies:\n      '@types/hoist-non-react-statics': 3.3.6\n      '@types/react': 17.0.83\n      hoist-non-react-statics: 3.3.2\n      redux: 4.2.1\n\n  '@types/react-router-config@5.0.2':\n    dependencies:\n      '@types/history': 5.0.0\n      '@types/react': 17.0.83\n      '@types/react-router': 5.1.20\n\n  '@types/react-router-dom@5.1.7':\n    dependencies:\n      '@types/history': 5.0.0\n      '@types/react': 17.0.83\n      '@types/react-router': 5.1.12\n\n  '@types/react-router-dom@5.3.3':\n    dependencies:\n      '@types/history': 4.7.11\n      '@types/react': 17.0.83\n      '@types/react-router': 5.1.20\n\n  '@types/react-router@5.1.12':\n    dependencies:\n      '@types/history': 5.0.0\n      '@types/react': 17.0.83\n\n  '@types/react-router@5.1.20':\n    dependencies:\n      '@types/history': 4.7.11\n      '@types/react': 17.0.83\n\n  '@types/react@16.14.62':\n    dependencies:\n      '@types/prop-types': 15.7.14\n      '@types/scheduler': 0.16.8\n      csstype: 3.1.3\n\n  '@types/react@17.0.83':\n    dependencies:\n      '@types/prop-types': 15.7.14\n      '@types/scheduler': 0.16.8\n      csstype: 3.1.3\n\n  '@types/scheduler@0.16.8': {}\n\n  '@types/stack-utils@2.0.3': {}\n\n  '@types/yargs-parser@21.0.3': {}\n\n  '@types/yargs@15.0.19':\n    dependencies:\n      '@types/yargs-parser': 21.0.3\n\n  '@umijs/ast@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-plugin-auto-css-modules@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-plugin-import-to-await-require@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-plugin-lock-core-js-3@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n      core-js: 3.6.5\n\n  '@umijs/babel-plugin-no-anonymous-default-export@3.5.43':\n    dependencies:\n      '@umijs/utils': 3.5.43\n\n  '@umijs/babel-preset-umi@3.5.43':\n    dependencies:\n      '@babel/runtime': 7.18.6\n      '@umijs/babel-plugin-auto-css-modules': 3.5.43\n      '@umijs/babel-plugin-import-to-await-require': 3.5.43\n      '@umijs/babel-plugin-lock-core-js-3': 3.5.43\n      '@umijs/babel-plugin-no-anonymous-default-export': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/utils': 3.5.43\n\n  '@umijs/bundler-utils@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n    transitivePeerDependencies:\n      - react\n      - react-dom\n      - react-router\n\n  '@umijs/bundler-webpack@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@umijs/bundler-utils': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/case-sensitive-paths-webpack-plugin': 1.0.1\n      '@umijs/deps': 3.5.43\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n      jest-worker: 26.6.2\n      node-libs-browser: 2.2.1\n      normalize-url: 1.9.1\n      postcss: 7.0.32\n      postcss-flexbugs-fixes: 4.2.1\n      postcss-loader: 3.0.0\n      postcss-preset-env: 6.7.0\n      postcss-safe-parser: 4.0.2\n      terser: 5.14.2\n      webpack-chain: 6.5.1\n    transitivePeerDependencies:\n      - react\n      - react-dom\n      - react-router\n\n  '@umijs/case-sensitive-paths-webpack-plugin@1.0.1': {}\n\n  '@umijs/core@3.5.43':\n    dependencies:\n      '@umijs/ast': 3.5.43\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/utils': 3.5.43\n\n  '@umijs/deps@3.5.43':\n    dependencies:\n      '@bloomberg/record-tuple-polyfill': 0.0.3\n      chokidar: 3.5.1\n      clipboardy: 2.3.0\n      esbuild: 0.12.15\n      jest-worker: 24.9.0\n      prettier: 2.2.1\n      regenerate: 1.4.2\n      regenerate-unicode-properties: 10.0.1\n\n  '@umijs/plugin-access@2.4.3(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@umijs/plugin-initial-state': 2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-model': 2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-analytics@0.2.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-antd@0.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      antd-mobile: 2.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      semver: 7.6.3\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  '@umijs/plugin-crossorigin@1.2.1(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-dva@0.13.0(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      babel-plugin-dva-hmr: 0.4.2(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))\n      dva: 2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)\n      dva-immer: 0.5.2(dva@2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2))\n      dva-loading: 3.0.25(dva-core@2.0.4(redux@4.2.1))\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - dva-core\n      - react\n      - react-dom\n      - react-native\n      - react-router\n      - redbox-react\n\n  '@umijs/plugin-helmet@1.1.3(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@types/react-helmet': 6.1.11\n      react-helmet: 6.1.0(react@17.0.2)\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - react\n\n  '@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-layout@0.18.1(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-locale@0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/pro-layout': 6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@umijs/plugin-initial-state': 2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-locale': 0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-model': 2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/route-utils': 2.2.2\n      antd: 4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      lodash: 4.17.21\n      path-to-regexp: 1.9.0\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  '@umijs/plugin-locale@0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@formatjs/intl-pluralrules': 1.5.9\n      '@formatjs/intl-relativetimeformat': 4.5.16\n      intl: 1.2.5\n      moment: 2.30.1\n      react-intl: 3.12.1(react@17.0.2)\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n      warning: 4.0.3\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  '@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      fast-deep-equal: 3.1.1\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n\n  '@umijs/plugin-request@2.8.0(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@ahooksjs/use-request': 2.8.15(react@17.0.2)\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n      umi-request: 1.4.0\n    transitivePeerDependencies:\n      - react\n\n  '@umijs/plugin-test@1.0.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@umijs/test': 3.5.43\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@umijs/preset-built-in@3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@types/react-router-config': 5.0.2\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/bundler-webpack': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/renderer-mpa': 3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)\n      '@umijs/renderer-react': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      '@umijs/server': 3.5.43\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n      ansi-html: 0.0.9\n      core-js: 3.6.5\n      core-js-pure: 3.39.0\n      error-stack-parser: 2.1.4\n      es-module-lexer: 0.7.1\n      es5-imcompatible-versions: 0.1.90\n      history-with-query: 4.10.4\n      html-entities: 2.5.2\n      mime: 1.4.1\n      react: 16.14.0\n      react-refresh: 0.10.0\n      react-router: 5.2.0(react@17.0.2)\n      react-router-config: 5.1.1(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      react-router-dom: 5.2.0(react@16.14.0)\n      regenerator-runtime: 0.13.5\n      schema-utils: 3.3.0\n    transitivePeerDependencies:\n      - react-dom\n\n  '@umijs/preset-react@1.8.32(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))':\n    dependencies:\n      '@umijs/plugin-access': 2.4.3(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-analytics': 0.2.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-antd': 0.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-crossorigin': 1.2.1(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-dva': 0.13.0(dva-core@2.0.4(redux@4.2.1))(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@17.0.2))(react@17.0.2)(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-helmet': 1.1.3(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-initial-state': 2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-layout': 0.18.1(@ant-design/icons@4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@ant-design/pro-layout@6.38.22(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(@umijs/plugin-initial-state@2.4.0(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-locale@0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(@umijs/plugin-model@2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0))))(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-locale': 0.15.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-model': 2.6.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-request': 2.8.0(react@17.0.2)(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      '@umijs/plugin-test': 1.0.2(umi@3.5.43(react-router@5.2.0(react@16.14.0)))\n      umi: 3.5.43(react-router@5.2.0(react@16.14.0))\n    transitivePeerDependencies:\n      - '@ant-design/icons'\n      - '@ant-design/pro-layout'\n      - bufferutil\n      - canvas\n      - dva-core\n      - react\n      - react-dom\n      - react-native\n      - react-router\n      - redbox-react\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@umijs/renderer-mpa@3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@types/react': 16.14.62\n      '@types/react-dom': 16.9.25(@types/react@16.14.62)\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      react: 16.14.0\n      react-dom: 16.14.0(react@16.14.0)\n\n  '@umijs/renderer-react@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@types/react': 16.14.62\n      '@types/react-dom': 16.9.25(@types/react@16.14.62)\n      '@types/react-router-config': 5.0.2\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      react: 16.14.0\n      react-dom: 16.14.0(react@16.14.0)\n      react-router-config: 5.1.1(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n    transitivePeerDependencies:\n      - react-router\n\n  '@umijs/route-utils@2.2.2':\n    dependencies:\n      '@qixian.cs/path-to-regexp': 6.1.0\n      fast-deep-equal: 3.1.3\n      lodash.isequal: 4.5.0\n      memoize-one: 5.2.1\n\n  '@umijs/runtime@3.5.43(react@16.14.0)':\n    dependencies:\n      '@types/react-router': 5.1.12\n      '@types/react-router-dom': 5.1.7\n      history-with-query: 4.10.4\n      react: 16.14.0\n      react-router: 5.2.0(react@16.14.0)\n      react-router-dom: 5.2.0(react@16.14.0)\n      use-subscription: 1.5.1(react@16.14.0)\n\n  '@umijs/server@3.5.43':\n    dependencies:\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/utils': 3.5.43\n\n  '@umijs/ssr-darkreader@4.9.45': {}\n\n  '@umijs/test@3.5.43':\n    dependencies:\n      '@babel/core': 7.18.6\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/utils': 3.5.43\n      babel-jest: 26.6.3(@babel/core@7.18.6)\n      core-js: 3.8.2\n      identity-obj-proxy: 3.0.0\n      jest: 26.6.3\n      jest-cli: 26.6.3\n      regenerator-runtime: 0.13.11\n      whatwg-fetch: 3.6.20\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  '@umijs/types@3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)':\n    dependencies:\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/renderer-react': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/server': 3.5.43\n      '@umijs/utils': 3.5.43\n      webpack-chain: 6.5.1\n    transitivePeerDependencies:\n      - react\n      - react-dom\n      - react-router\n\n  '@umijs/use-params@1.0.9(react@17.0.2)':\n    dependencies:\n      react: 17.0.2\n\n  '@umijs/utils@3.5.43':\n    dependencies:\n      '@umijs/babel-preset-umi': 3.5.43\n      '@umijs/deps': 3.5.43\n\n  abab@2.0.6: {}\n\n  acorn-globals@6.0.0:\n    dependencies:\n      acorn: 7.4.1\n      acorn-walk: 7.2.0\n\n  acorn-walk@7.2.0: {}\n\n  acorn@7.4.1: {}\n\n  acorn@8.14.0: {}\n\n  add-dom-event-listener@1.1.0:\n    dependencies:\n      object-assign: 4.1.1\n\n  agent-base@6.0.2:\n    dependencies:\n      debug: 4.4.0\n    transitivePeerDependencies:\n      - supports-color\n\n  aggregate-error@3.1.0:\n    dependencies:\n      clean-stack: 2.2.0\n      indent-string: 4.0.0\n\n  ajv-errors@1.0.1(ajv@6.12.6):\n    dependencies:\n      ajv: 6.12.6\n\n  ajv-keywords@3.5.2(ajv@6.12.6):\n    dependencies:\n      ajv: 6.12.6\n\n  ajv@6.12.6:\n    dependencies:\n      fast-deep-equal: 3.1.3\n      fast-json-stable-stringify: 2.1.0\n      json-schema-traverse: 0.4.1\n      uri-js: 4.4.1\n\n  ansi-colors@4.1.3: {}\n\n  ansi-escapes@4.3.2:\n    dependencies:\n      type-fest: 0.21.3\n\n  ansi-html@0.0.9: {}\n\n  ansi-regex@5.0.1: {}\n\n  ansi-styles@3.2.1:\n    dependencies:\n      color-convert: 1.9.3\n\n  ansi-styles@4.3.0:\n    dependencies:\n      color-convert: 2.0.1\n\n  antd-mobile@2.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      array-tree-filter: 2.1.0\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      normalize.css: 7.0.0\n      rc-checkbox: 2.0.3\n      rc-collapse: 1.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-slider: 8.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-swipeout: 2.0.11\n      rmc-calendar: 1.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-cascader: 5.0.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-date-picker: 6.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-dialog: 1.1.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-drawer: 0.4.11\n      rmc-feedback: 2.0.0\n      rmc-input-number: 1.0.5\n      rmc-list-view: 0.11.5\n      rmc-notification: 1.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-nuka-carousel: 3.0.1\n      rmc-picker: 5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-pull-to-refresh: 1.0.13\n      rmc-steps: 1.0.1\n      rmc-tabs: 1.2.29\n      rmc-tooltip: 1.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  antd@4.24.16(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@ant-design/colors': 6.0.0\n      '@ant-design/icons': 4.8.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      '@ant-design/react-slick': 1.0.2(react@17.0.2)\n      '@babel/runtime': 7.26.0\n      '@ctrl/tinycolor': 3.6.1\n      classnames: 2.5.1\n      copy-to-clipboard: 3.3.3\n      lodash: 4.17.21\n      moment: 2.30.1\n      rc-cascader: 3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-checkbox: 3.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-collapse: 3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-dialog: 9.0.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-drawer: 6.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-dropdown: 4.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-field-form: 1.38.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-image: 5.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-input: 0.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-input-number: 7.3.11(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-mentions: 1.13.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-menu: 9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-notification: 4.6.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-pagination: 3.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-picker: 2.7.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-progress: 3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-rate: 2.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-segmented: 2.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-select: 14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-slider: 10.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-steps: 5.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-switch: 3.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-table: 7.26.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tabs: 12.5.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-textarea: 0.4.7(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tooltip: 5.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree: 5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree-select: 5.5.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-upload: 4.3.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      scroll-into-view-if-needed: 2.2.31\n\n  anymatch@2.0.0:\n    dependencies:\n      micromatch: 3.1.10\n      normalize-path: 2.1.1\n    transitivePeerDependencies:\n      - supports-color\n\n  anymatch@3.1.3:\n    dependencies:\n      normalize-path: 3.0.0\n      picomatch: 2.3.1\n\n  arch@2.2.0: {}\n\n  argparse@1.0.10:\n    dependencies:\n      sprintf-js: 1.0.3\n\n  arr-diff@4.0.0: {}\n\n  arr-flatten@1.1.0: {}\n\n  arr-union@3.1.0: {}\n\n  array-tree-filter@2.1.0: {}\n\n  array-unique@0.3.2: {}\n\n  asap@2.0.6: {}\n\n  asn1.js@4.10.1:\n    dependencies:\n      bn.js: 4.12.1\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n\n  assert@1.5.1:\n    dependencies:\n      object.assign: 4.1.5\n      util: 0.10.4\n\n  assign-symbols@1.0.0: {}\n\n  astral-regex@2.0.0: {}\n\n  async-validator@4.2.5: {}\n\n  asynckit@0.4.0: {}\n\n  atob@2.1.2: {}\n\n  autoprefixer@9.8.8:\n    dependencies:\n      browserslist: 4.24.2\n      caniuse-lite: 1.0.30001688\n      normalize-range: 0.1.2\n      num2fraction: 1.2.2\n      picocolors: 0.2.1\n      postcss: 7.0.32\n      postcss-value-parser: 4.2.0\n\n  babel-jest@26.6.3(@babel/core@7.18.6):\n    dependencies:\n      '@babel/core': 7.18.6\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/babel__core': 7.20.5\n      babel-plugin-istanbul: 6.1.1\n      babel-preset-jest: 26.6.2(@babel/core@7.18.6)\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      slash: 3.0.0\n    transitivePeerDependencies:\n      - supports-color\n\n  babel-plugin-dva-hmr@0.4.2(redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)):\n    dependencies:\n      redbox-react: 1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n\n  babel-plugin-istanbul@6.1.1:\n    dependencies:\n      '@babel/helper-plugin-utils': 7.25.9\n      '@istanbuljs/load-nyc-config': 1.1.0\n      '@istanbuljs/schema': 0.1.3\n      istanbul-lib-instrument: 5.2.1\n      test-exclude: 6.0.0\n    transitivePeerDependencies:\n      - supports-color\n\n  babel-plugin-jest-hoist@26.6.2:\n    dependencies:\n      '@babel/template': 7.25.9\n      '@babel/types': 7.26.3\n      '@types/babel__core': 7.20.5\n      '@types/babel__traverse': 7.20.6\n\n  babel-preset-current-node-syntax@1.1.0(@babel/core@7.18.6):\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/plugin-syntax-async-generators': 7.8.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-bigint': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-class-properties': 7.12.13(@babel/core@7.18.6)\n      '@babel/plugin-syntax-class-static-block': 7.14.5(@babel/core@7.18.6)\n      '@babel/plugin-syntax-import-attributes': 7.26.0(@babel/core@7.18.6)\n      '@babel/plugin-syntax-import-meta': 7.10.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-json-strings': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-logical-assignment-operators': 7.10.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-nullish-coalescing-operator': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-numeric-separator': 7.10.4(@babel/core@7.18.6)\n      '@babel/plugin-syntax-object-rest-spread': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-optional-catch-binding': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-optional-chaining': 7.8.3(@babel/core@7.18.6)\n      '@babel/plugin-syntax-private-property-in-object': 7.14.5(@babel/core@7.18.6)\n      '@babel/plugin-syntax-top-level-await': 7.14.5(@babel/core@7.18.6)\n\n  babel-preset-jest@26.6.2(@babel/core@7.18.6):\n    dependencies:\n      '@babel/core': 7.18.6\n      babel-plugin-jest-hoist: 26.6.2\n      babel-preset-current-node-syntax: 1.1.0(@babel/core@7.18.6)\n\n  babel-runtime@6.26.0:\n    dependencies:\n      core-js: 2.6.12\n      regenerator-runtime: 0.11.1\n\n  balanced-match@1.0.2: {}\n\n  base64-js@1.5.1: {}\n\n  base@0.11.2:\n    dependencies:\n      cache-base: 1.0.1\n      class-utils: 0.3.6\n      component-emitter: 1.3.1\n      define-property: 1.0.0\n      isobject: 3.0.1\n      mixin-deep: 1.3.2\n      pascalcase: 0.1.1\n\n  big.js@5.2.2: {}\n\n  binary-extensions@2.3.0: {}\n\n  bn.js@4.12.1: {}\n\n  bn.js@5.2.1: {}\n\n  brace-expansion@1.1.11:\n    dependencies:\n      balanced-match: 1.0.2\n      concat-map: 0.0.1\n\n  braces@2.3.2:\n    dependencies:\n      arr-flatten: 1.1.0\n      array-unique: 0.3.2\n      extend-shallow: 2.0.1\n      fill-range: 4.0.0\n      isobject: 3.0.1\n      repeat-element: 1.1.4\n      snapdragon: 0.8.2\n      snapdragon-node: 2.1.1\n      split-string: 3.1.0\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  braces@3.0.3:\n    dependencies:\n      fill-range: 7.1.1\n\n  brorand@1.1.0: {}\n\n  browser-process-hrtime@1.0.0: {}\n\n  browserify-aes@1.2.0:\n    dependencies:\n      buffer-xor: 1.0.3\n      cipher-base: 1.0.6\n      create-hash: 1.2.0\n      evp_bytestokey: 1.0.3\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  browserify-cipher@1.0.1:\n    dependencies:\n      browserify-aes: 1.2.0\n      browserify-des: 1.0.2\n      evp_bytestokey: 1.0.3\n\n  browserify-des@1.0.2:\n    dependencies:\n      cipher-base: 1.0.6\n      des.js: 1.1.0\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  browserify-rsa@4.1.1:\n    dependencies:\n      bn.js: 5.2.1\n      randombytes: 2.1.0\n      safe-buffer: 5.2.1\n\n  browserify-sign@4.2.3:\n    dependencies:\n      bn.js: 5.2.1\n      browserify-rsa: 4.1.1\n      create-hash: 1.2.0\n      create-hmac: 1.1.7\n      elliptic: 6.6.1\n      hash-base: 3.0.5\n      inherits: 2.0.4\n      parse-asn1: 5.1.7\n      readable-stream: 2.3.8\n      safe-buffer: 5.2.1\n\n  browserify-zlib@0.2.0:\n    dependencies:\n      pako: 1.0.11\n\n  browserslist@4.24.2:\n    dependencies:\n      caniuse-lite: 1.0.30001688\n      electron-to-chromium: 1.5.73\n      node-releases: 2.0.19\n      update-browserslist-db: 1.1.1(browserslist@4.24.2)\n\n  bser@2.1.1:\n    dependencies:\n      node-int64: 0.4.0\n\n  buffer-from@1.1.2: {}\n\n  buffer-xor@1.0.3: {}\n\n  buffer@4.9.2:\n    dependencies:\n      base64-js: 1.5.1\n      ieee754: 1.2.1\n      isarray: 1.0.0\n\n  builtin-status-codes@3.0.0: {}\n\n  cache-base@1.0.1:\n    dependencies:\n      collection-visit: 1.0.0\n      component-emitter: 1.3.1\n      get-value: 2.0.6\n      has-value: 1.0.0\n      isobject: 3.0.1\n      set-value: 2.0.1\n      to-object-path: 0.3.0\n      union-value: 1.0.1\n      unset-value: 1.0.0\n\n  call-bind-apply-helpers@1.0.1:\n    dependencies:\n      es-errors: 1.3.0\n      function-bind: 1.1.2\n\n  call-bind@1.0.8:\n    dependencies:\n      call-bind-apply-helpers: 1.0.1\n      es-define-property: 1.0.1\n      get-intrinsic: 1.2.6\n      set-function-length: 1.2.2\n\n  call-bound@1.0.2:\n    dependencies:\n      call-bind: 1.0.8\n      get-intrinsic: 1.2.6\n\n  caller-callsite@2.0.0:\n    dependencies:\n      callsites: 2.0.0\n\n  caller-path@2.0.0:\n    dependencies:\n      caller-callsite: 2.0.0\n\n  callsites@2.0.0: {}\n\n  callsites@3.1.0: {}\n\n  camelcase@5.3.1: {}\n\n  camelcase@6.3.0: {}\n\n  caniuse-lite@1.0.30001688: {}\n\n  capture-exit@2.0.0:\n    dependencies:\n      rsvp: 4.8.5\n\n  chalk@2.4.2:\n    dependencies:\n      ansi-styles: 3.2.1\n      escape-string-regexp: 1.0.5\n      supports-color: 5.5.0\n\n  chalk@4.1.2:\n    dependencies:\n      ansi-styles: 4.3.0\n      supports-color: 7.2.0\n\n  char-regex@1.0.2: {}\n\n  chokidar@3.5.1:\n    dependencies:\n      anymatch: 3.1.3\n      braces: 3.0.3\n      glob-parent: 5.1.2\n      is-binary-path: 2.1.0\n      is-glob: 4.0.3\n      normalize-path: 3.0.0\n      readdirp: 3.5.0\n    optionalDependencies:\n      fsevents: 2.3.3\n\n  ci-info@1.6.0: {}\n\n  ci-info@2.0.0: {}\n\n  cipher-base@1.0.6:\n    dependencies:\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  cjs-module-lexer@0.6.0: {}\n\n  class-utils@0.3.6:\n    dependencies:\n      arr-union: 3.1.0\n      define-property: 0.2.5\n      isobject: 3.0.1\n      static-extend: 0.1.2\n\n  classnames@2.5.1: {}\n\n  clean-stack@2.2.0: {}\n\n  cli-cursor@3.1.0:\n    dependencies:\n      restore-cursor: 3.1.0\n\n  cli-truncate@2.1.0:\n    dependencies:\n      slice-ansi: 3.0.0\n      string-width: 4.2.3\n\n  clipboardy@2.3.0:\n    dependencies:\n      arch: 2.2.0\n      execa: 1.0.0\n      is-wsl: 2.2.0\n\n  cliui@6.0.0:\n    dependencies:\n      string-width: 4.2.3\n      strip-ansi: 6.0.1\n      wrap-ansi: 6.2.0\n\n  co@4.6.0: {}\n\n  collect-v8-coverage@1.0.2: {}\n\n  collection-visit@1.0.0:\n    dependencies:\n      map-visit: 1.0.0\n      object-visit: 1.0.1\n\n  color-convert@1.9.3:\n    dependencies:\n      color-name: 1.1.3\n\n  color-convert@2.0.1:\n    dependencies:\n      color-name: 1.1.4\n\n  color-name@1.1.3: {}\n\n  color-name@1.1.4: {}\n\n  colorette@2.0.20: {}\n\n  combined-stream@1.0.8:\n    dependencies:\n      delayed-stream: 1.0.0\n\n  commander@2.20.3: {}\n\n  commander@6.2.1: {}\n\n  component-classes@1.2.6:\n    dependencies:\n      component-indexof: 0.0.3\n\n  component-emitter@1.3.1: {}\n\n  component-indexof@0.0.3: {}\n\n  compute-scroll-into-view@1.0.20: {}\n\n  concat-map@0.0.1: {}\n\n  connected-react-router@6.5.2(history@4.10.1)(react-redux@7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)(redux@4.2.1):\n    dependencies:\n      history: 4.10.1\n      immutable: 3.8.2\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-redux: 7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react-router: 5.2.0(react@17.0.2)\n      redux: 4.2.1\n      seamless-immutable: 7.1.4\n\n  console-browserify@1.2.0: {}\n\n  constants-browserify@1.0.0: {}\n\n  convert-source-map@1.9.0: {}\n\n  copy-descriptor@0.1.1: {}\n\n  copy-to-clipboard@3.3.3:\n    dependencies:\n      toggle-selection: 1.0.6\n\n  core-js-pure@3.39.0: {}\n\n  core-js@1.2.7: {}\n\n  core-js@2.6.12: {}\n\n  core-js@3.6.5: {}\n\n  core-js@3.8.2: {}\n\n  core-util-is@1.0.3: {}\n\n  cosmiconfig@5.2.1:\n    dependencies:\n      import-fresh: 2.0.0\n      is-directory: 0.3.1\n      js-yaml: 3.14.1\n      parse-json: 4.0.0\n\n  cosmiconfig@7.1.0:\n    dependencies:\n      '@types/parse-json': 4.0.2\n      import-fresh: 3.3.0\n      parse-json: 5.2.0\n      path-type: 4.0.0\n      yaml: 1.10.2\n\n  create-ecdh@4.0.4:\n    dependencies:\n      bn.js: 4.12.1\n      elliptic: 6.6.1\n\n  create-hash@1.2.0:\n    dependencies:\n      cipher-base: 1.0.6\n      inherits: 2.0.4\n      md5.js: 1.3.5\n      ripemd160: 2.0.2\n      sha.js: 2.4.11\n\n  create-hmac@1.1.7:\n    dependencies:\n      cipher-base: 1.0.6\n      create-hash: 1.2.0\n      inherits: 2.0.4\n      ripemd160: 2.0.2\n      safe-buffer: 5.2.1\n      sha.js: 2.4.11\n\n  create-react-class@15.7.0:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  cross-spawn@5.1.0:\n    dependencies:\n      lru-cache: 4.1.5\n      shebang-command: 1.2.0\n      which: 1.3.1\n\n  cross-spawn@6.0.6:\n    dependencies:\n      nice-try: 1.0.5\n      path-key: 2.0.1\n      semver: 5.7.2\n      shebang-command: 1.2.0\n      which: 1.3.1\n\n  cross-spawn@7.0.6:\n    dependencies:\n      path-key: 3.1.1\n      shebang-command: 2.0.0\n      which: 2.0.2\n\n  crypto-browserify@3.12.1:\n    dependencies:\n      browserify-cipher: 1.0.1\n      browserify-sign: 4.2.3\n      create-ecdh: 4.0.4\n      create-hash: 1.2.0\n      create-hmac: 1.1.7\n      diffie-hellman: 5.0.3\n      hash-base: 3.0.5\n      inherits: 2.0.4\n      pbkdf2: 3.1.2\n      public-encrypt: 4.0.3\n      randombytes: 2.1.0\n      randomfill: 1.0.4\n\n  css-animation@1.6.1:\n    dependencies:\n      babel-runtime: 6.26.0\n      component-classes: 1.2.6\n\n  css-blank-pseudo@0.1.4:\n    dependencies:\n      postcss: 7.0.32\n\n  css-has-pseudo@0.10.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  css-prefers-color-scheme@3.1.1:\n    dependencies:\n      postcss: 7.0.32\n\n  cssdb@4.4.0: {}\n\n  cssesc@2.0.0: {}\n\n  cssesc@3.0.0: {}\n\n  cssom@0.3.8: {}\n\n  cssom@0.4.4: {}\n\n  cssstyle@2.3.0:\n    dependencies:\n      cssom: 0.3.8\n\n  csstype@3.1.3: {}\n\n  data-urls@2.0.0:\n    dependencies:\n      abab: 2.0.6\n      whatwg-mimetype: 2.3.0\n      whatwg-url: 8.7.0\n\n  date-fns@2.30.0:\n    dependencies:\n      '@babel/runtime': 7.26.0\n\n  dayjs@1.11.13: {}\n\n  debug@2.6.9:\n    dependencies:\n      ms: 2.0.0\n\n  debug@4.4.0:\n    dependencies:\n      ms: 2.1.3\n\n  decamelize@1.2.0: {}\n\n  decimal.js@10.4.3: {}\n\n  decode-uri-component@0.2.2: {}\n\n  dedent@0.7.0: {}\n\n  deepmerge@1.5.2: {}\n\n  deepmerge@4.3.1: {}\n\n  define-data-property@1.1.4:\n    dependencies:\n      es-define-property: 1.0.1\n      es-errors: 1.3.0\n      gopd: 1.2.0\n\n  define-properties@1.2.1:\n    dependencies:\n      define-data-property: 1.1.4\n      has-property-descriptors: 1.0.2\n      object-keys: 1.1.1\n\n  define-property@0.2.5:\n    dependencies:\n      is-descriptor: 0.1.7\n\n  define-property@1.0.0:\n    dependencies:\n      is-descriptor: 1.0.3\n\n  define-property@2.0.2:\n    dependencies:\n      is-descriptor: 1.0.3\n      isobject: 3.0.1\n\n  delayed-stream@1.0.0: {}\n\n  des.js@1.1.0:\n    dependencies:\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n\n  detect-newline@3.1.0: {}\n\n  diff-sequences@26.6.2: {}\n\n  diffie-hellman@5.0.3:\n    dependencies:\n      bn.js: 4.12.1\n      miller-rabin: 4.0.1\n      randombytes: 2.1.0\n\n  dom-align@1.12.4: {}\n\n  dom-walk@0.1.2: {}\n\n  domain-browser@1.2.0: {}\n\n  domexception@2.0.1:\n    dependencies:\n      webidl-conversions: 5.0.0\n\n  dunder-proto@1.0.0:\n    dependencies:\n      call-bind-apply-helpers: 1.0.1\n      es-errors: 1.3.0\n      gopd: 1.2.0\n\n  dva-core@2.0.4(redux@4.2.1):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      flatten: 1.0.3\n      global: 4.4.0\n      invariant: 2.2.4\n      is-plain-object: 2.0.4\n      redux: 4.2.1\n      redux-saga: 0.16.2\n      warning: 3.0.0\n\n  dva-immer@0.5.2(dva@2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      dva: 2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)\n      immer: 7.0.15\n\n  dva-loading@3.0.25(dva-core@2.0.4(redux@4.2.1)):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      dva-core: 2.0.4(redux@4.2.1)\n\n  dva@2.6.0-beta.23(react-dom@17.0.2(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@types/isomorphic-fetch': 0.0.35\n      '@types/react-redux': 7.1.34\n      '@types/react-router-dom': 5.3.3\n      connected-react-router: 6.5.2(history@4.10.1)(react-redux@7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2))(react-router@5.2.0(react@16.14.0))(react@17.0.2)(redux@4.2.1)\n      dva-core: 2.0.4(redux@4.2.1)\n      global: 4.4.0\n      history: 4.10.1\n      invariant: 2.2.4\n      isomorphic-fetch: 2.2.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-redux: 7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react-router-dom: 5.3.4(react@17.0.2)\n      redux: 4.2.1\n    transitivePeerDependencies:\n      - react-native\n      - react-router\n\n  electron-to-chromium@1.5.73: {}\n\n  elliptic@6.6.1:\n    dependencies:\n      bn.js: 4.12.1\n      brorand: 1.1.0\n      hash.js: 1.1.7\n      hmac-drbg: 1.0.1\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n      minimalistic-crypto-utils: 1.0.1\n\n  emittery@0.7.2: {}\n\n  emoji-regex@8.0.0: {}\n\n  emojis-list@3.0.0: {}\n\n  encoding@0.1.13:\n    dependencies:\n      iconv-lite: 0.6.3\n\n  end-of-stream@1.4.4:\n    dependencies:\n      once: 1.4.0\n\n  enquirer@2.4.1:\n    dependencies:\n      ansi-colors: 4.1.3\n      strip-ansi: 6.0.1\n\n  error-ex@1.3.2:\n    dependencies:\n      is-arrayish: 0.2.1\n\n  error-stack-parser@1.3.6:\n    dependencies:\n      stackframe: 0.3.1\n\n  error-stack-parser@2.1.4:\n    dependencies:\n      stackframe: 1.3.4\n\n  es-define-property@1.0.1: {}\n\n  es-errors@1.3.0: {}\n\n  es-module-lexer@0.7.1: {}\n\n  es-object-atoms@1.0.0:\n    dependencies:\n      es-errors: 1.3.0\n\n  es5-imcompatible-versions@0.1.90: {}\n\n  esbuild@0.12.15: {}\n\n  escalade@3.2.0: {}\n\n  escape-string-regexp@1.0.5: {}\n\n  escape-string-regexp@2.0.0: {}\n\n  escodegen@2.1.0:\n    dependencies:\n      esprima: 4.0.1\n      estraverse: 5.3.0\n      esutils: 2.0.3\n    optionalDependencies:\n      source-map: 0.6.1\n\n  esprima@4.0.1: {}\n\n  estraverse@5.3.0: {}\n\n  esutils@2.0.3: {}\n\n  events@3.3.0: {}\n\n  evp_bytestokey@1.0.3:\n    dependencies:\n      md5.js: 1.3.5\n      safe-buffer: 5.2.1\n\n  exec-sh@0.3.6: {}\n\n  execa@0.8.0:\n    dependencies:\n      cross-spawn: 5.1.0\n      get-stream: 3.0.0\n      is-stream: 1.1.0\n      npm-run-path: 2.0.2\n      p-finally: 1.0.0\n      signal-exit: 3.0.7\n      strip-eof: 1.0.0\n\n  execa@1.0.0:\n    dependencies:\n      cross-spawn: 6.0.6\n      get-stream: 4.1.0\n      is-stream: 1.1.0\n      npm-run-path: 2.0.2\n      p-finally: 1.0.0\n      signal-exit: 3.0.7\n      strip-eof: 1.0.0\n\n  execa@4.1.0:\n    dependencies:\n      cross-spawn: 7.0.6\n      get-stream: 5.2.0\n      human-signals: 1.1.1\n      is-stream: 2.0.1\n      merge-stream: 2.0.0\n      npm-run-path: 4.0.1\n      onetime: 5.1.2\n      signal-exit: 3.0.7\n      strip-final-newline: 2.0.0\n\n  exenv@1.2.2: {}\n\n  exit@0.1.2: {}\n\n  expand-brackets@2.1.4:\n    dependencies:\n      debug: 2.6.9\n      define-property: 0.2.5\n      extend-shallow: 2.0.1\n      posix-character-classes: 0.1.1\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  expect@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      ansi-styles: 4.3.0\n      jest-get-type: 26.3.0\n      jest-matcher-utils: 26.6.2\n      jest-message-util: 26.6.2\n      jest-regex-util: 26.0.0\n\n  extend-shallow@2.0.1:\n    dependencies:\n      is-extendable: 0.1.1\n\n  extend-shallow@3.0.2:\n    dependencies:\n      assign-symbols: 1.0.0\n      is-extendable: 1.0.1\n\n  extglob@2.0.4:\n    dependencies:\n      array-unique: 0.3.2\n      define-property: 1.0.0\n      expand-brackets: 2.1.4\n      extend-shallow: 2.0.1\n      fragment-cache: 0.2.1\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  fast-deep-equal@3.1.1: {}\n\n  fast-deep-equal@3.1.3: {}\n\n  fast-json-stable-stringify@2.1.0: {}\n\n  fb-watchman@2.0.2:\n    dependencies:\n      bser: 2.1.1\n\n  fbjs@0.8.18:\n    dependencies:\n      core-js: 1.2.7\n      isomorphic-fetch: 2.2.1\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      promise: 7.3.1\n      setimmediate: 1.0.5\n      ua-parser-js: 0.7.39\n\n  fill-range@4.0.0:\n    dependencies:\n      extend-shallow: 2.0.1\n      is-number: 3.0.0\n      repeat-string: 1.6.1\n      to-regex-range: 2.1.1\n\n  fill-range@7.1.1:\n    dependencies:\n      to-regex-range: 5.0.1\n\n  filter-obj@1.1.0: {}\n\n  find-up@4.1.0:\n    dependencies:\n      locate-path: 5.0.0\n      path-exists: 4.0.0\n\n  flatten@1.0.3: {}\n\n  for-in@1.0.2: {}\n\n  form-data@3.0.2:\n    dependencies:\n      asynckit: 0.4.0\n      combined-stream: 1.0.8\n      mime-types: 2.1.35\n\n  fragment-cache@0.2.1:\n    dependencies:\n      map-cache: 0.2.2\n\n  fs.realpath@1.0.0: {}\n\n  fsevents@2.3.3:\n    optional: true\n\n  function-bind@1.1.2: {}\n\n  gensync@1.0.0-beta.2: {}\n\n  get-caller-file@2.0.5: {}\n\n  get-intrinsic@1.2.6:\n    dependencies:\n      call-bind-apply-helpers: 1.0.1\n      dunder-proto: 1.0.0\n      es-define-property: 1.0.1\n      es-errors: 1.3.0\n      es-object-atoms: 1.0.0\n      function-bind: 1.1.2\n      gopd: 1.2.0\n      has-symbols: 1.1.0\n      hasown: 2.0.2\n      math-intrinsics: 1.0.0\n\n  get-own-enumerable-property-symbols@3.0.2: {}\n\n  get-package-type@0.1.0: {}\n\n  get-stream@3.0.0: {}\n\n  get-stream@4.1.0:\n    dependencies:\n      pump: 3.0.2\n\n  get-stream@5.2.0:\n    dependencies:\n      pump: 3.0.2\n\n  get-value@2.0.6: {}\n\n  glob-parent@5.1.2:\n    dependencies:\n      is-glob: 4.0.3\n\n  glob@7.2.3:\n    dependencies:\n      fs.realpath: 1.0.0\n      inflight: 1.0.6\n      inherits: 2.0.4\n      minimatch: 3.1.2\n      once: 1.4.0\n      path-is-absolute: 1.0.1\n\n  global@4.4.0:\n    dependencies:\n      min-document: 2.19.0\n      process: 0.11.10\n\n  globals@11.12.0: {}\n\n  gopd@1.2.0: {}\n\n  graceful-fs@4.2.11: {}\n\n  growly@1.3.0:\n    optional: true\n\n  harmony-reflect@1.6.2: {}\n\n  has-flag@3.0.0: {}\n\n  has-flag@4.0.0: {}\n\n  has-property-descriptors@1.0.2:\n    dependencies:\n      es-define-property: 1.0.1\n\n  has-symbols@1.1.0: {}\n\n  has-value@0.3.1:\n    dependencies:\n      get-value: 2.0.6\n      has-values: 0.1.4\n      isobject: 2.1.0\n\n  has-value@1.0.0:\n    dependencies:\n      get-value: 2.0.6\n      has-values: 1.0.0\n      isobject: 3.0.1\n\n  has-values@0.1.4: {}\n\n  has-values@1.0.0:\n    dependencies:\n      is-number: 3.0.0\n      kind-of: 4.0.0\n\n  hash-base@3.0.5:\n    dependencies:\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  hash.js@1.1.7:\n    dependencies:\n      inherits: 2.0.4\n      minimalistic-assert: 1.0.1\n\n  hasown@2.0.2:\n    dependencies:\n      function-bind: 1.1.2\n\n  history-with-query@4.10.4:\n    dependencies:\n      '@babel/runtime': 7.26.0\n      loose-envify: 1.4.0\n      query-string: 6.14.1\n      resolve-pathname: 3.0.0\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n      value-equal: 1.0.1\n\n  history@4.10.1:\n    dependencies:\n      '@babel/runtime': 7.26.0\n      loose-envify: 1.4.0\n      resolve-pathname: 3.0.0\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n      value-equal: 1.0.1\n\n  history@5.3.0:\n    dependencies:\n      '@babel/runtime': 7.26.0\n\n  hmac-drbg@1.0.1:\n    dependencies:\n      hash.js: 1.1.7\n      minimalistic-assert: 1.0.1\n      minimalistic-crypto-utils: 1.0.1\n\n  hoist-non-react-statics@3.3.2:\n    dependencies:\n      react-is: 16.13.1\n\n  hosted-git-info@2.8.9: {}\n\n  html-encoding-sniffer@2.0.1:\n    dependencies:\n      whatwg-encoding: 1.0.5\n\n  html-entities@2.5.2: {}\n\n  html-escaper@2.0.2: {}\n\n  http-proxy-agent@4.0.1:\n    dependencies:\n      '@tootallnate/once': 1.1.2\n      agent-base: 6.0.2\n      debug: 4.4.0\n    transitivePeerDependencies:\n      - supports-color\n\n  https-browserify@1.0.0: {}\n\n  https-proxy-agent@5.0.1:\n    dependencies:\n      agent-base: 6.0.2\n      debug: 4.4.0\n    transitivePeerDependencies:\n      - supports-color\n\n  human-signals@1.1.1: {}\n\n  iconv-lite@0.4.24:\n    dependencies:\n      safer-buffer: 2.1.2\n\n  iconv-lite@0.6.3:\n    dependencies:\n      safer-buffer: 2.1.2\n\n  identity-obj-proxy@3.0.0:\n    dependencies:\n      harmony-reflect: 1.6.2\n\n  ieee754@1.2.1: {}\n\n  immer@7.0.15: {}\n\n  immutable@3.8.2: {}\n\n  import-cwd@2.1.0:\n    dependencies:\n      import-from: 2.1.0\n\n  import-fresh@2.0.0:\n    dependencies:\n      caller-path: 2.0.0\n      resolve-from: 3.0.0\n\n  import-fresh@3.3.0:\n    dependencies:\n      parent-module: 1.0.1\n      resolve-from: 4.0.0\n\n  import-from@2.1.0:\n    dependencies:\n      resolve-from: 3.0.0\n\n  import-local@3.2.0:\n    dependencies:\n      pkg-dir: 4.2.0\n      resolve-cwd: 3.0.0\n\n  imurmurhash@0.1.4: {}\n\n  indent-string@4.0.0: {}\n\n  indexes-of@1.0.1: {}\n\n  inflight@1.0.6:\n    dependencies:\n      once: 1.4.0\n      wrappy: 1.0.2\n\n  inherits@2.0.3: {}\n\n  inherits@2.0.4: {}\n\n  intl-format-cache@4.3.1: {}\n\n  intl-messageformat-parser@3.6.4:\n    dependencies:\n      '@formatjs/intl-unified-numberformat': 3.3.7\n\n  intl-messageformat@7.8.4:\n    dependencies:\n      intl-format-cache: 4.3.1\n      intl-messageformat-parser: 3.6.4\n\n  intl@1.2.5: {}\n\n  invariant@2.2.4:\n    dependencies:\n      loose-envify: 1.4.0\n\n  is-accessor-descriptor@1.0.1:\n    dependencies:\n      hasown: 2.0.2\n\n  is-arrayish@0.2.1: {}\n\n  is-binary-path@2.1.0:\n    dependencies:\n      binary-extensions: 2.3.0\n\n  is-buffer@1.1.6: {}\n\n  is-ci@1.2.1:\n    dependencies:\n      ci-info: 1.6.0\n\n  is-ci@2.0.0:\n    dependencies:\n      ci-info: 2.0.0\n\n  is-core-module@2.15.1:\n    dependencies:\n      hasown: 2.0.2\n\n  is-data-descriptor@1.0.1:\n    dependencies:\n      hasown: 2.0.2\n\n  is-descriptor@0.1.7:\n    dependencies:\n      is-accessor-descriptor: 1.0.1\n      is-data-descriptor: 1.0.1\n\n  is-descriptor@1.0.3:\n    dependencies:\n      is-accessor-descriptor: 1.0.1\n      is-data-descriptor: 1.0.1\n\n  is-directory@0.3.1: {}\n\n  is-docker@2.2.1: {}\n\n  is-extendable@0.1.1: {}\n\n  is-extendable@1.0.1:\n    dependencies:\n      is-plain-object: 2.0.4\n\n  is-extglob@2.1.1: {}\n\n  is-fullwidth-code-point@3.0.0: {}\n\n  is-generator-fn@2.1.0: {}\n\n  is-glob@4.0.3:\n    dependencies:\n      is-extglob: 2.1.1\n\n  is-number@3.0.0:\n    dependencies:\n      kind-of: 3.2.2\n\n  is-number@7.0.0: {}\n\n  is-obj@1.0.1: {}\n\n  is-plain-obj@1.1.0: {}\n\n  is-plain-object@2.0.4:\n    dependencies:\n      isobject: 3.0.1\n\n  is-potential-custom-element-name@1.0.1: {}\n\n  is-regexp@1.0.0: {}\n\n  is-stream@1.1.0: {}\n\n  is-stream@2.0.1: {}\n\n  is-typedarray@1.0.0: {}\n\n  is-unicode-supported@0.1.0: {}\n\n  is-windows@1.0.2: {}\n\n  is-wsl@2.2.0:\n    dependencies:\n      is-docker: 2.2.1\n\n  isarray@0.0.1: {}\n\n  isarray@1.0.0: {}\n\n  isexe@2.0.0: {}\n\n  isobject@2.1.0:\n    dependencies:\n      isarray: 1.0.0\n\n  isobject@3.0.1: {}\n\n  isomorphic-fetch@2.2.1:\n    dependencies:\n      node-fetch: 1.7.3\n      whatwg-fetch: 3.6.20\n\n  istanbul-lib-coverage@3.2.2: {}\n\n  istanbul-lib-instrument@4.0.3:\n    dependencies:\n      '@babel/core': 7.18.6\n      '@istanbuljs/schema': 0.1.3\n      istanbul-lib-coverage: 3.2.2\n      semver: 6.3.1\n    transitivePeerDependencies:\n      - supports-color\n\n  istanbul-lib-instrument@5.2.1:\n    dependencies:\n      '@babel/core': 7.18.6\n      '@babel/parser': 7.26.3\n      '@istanbuljs/schema': 0.1.3\n      istanbul-lib-coverage: 3.2.2\n      semver: 6.3.1\n    transitivePeerDependencies:\n      - supports-color\n\n  istanbul-lib-report@3.0.1:\n    dependencies:\n      istanbul-lib-coverage: 3.2.2\n      make-dir: 4.0.0\n      supports-color: 7.2.0\n\n  istanbul-lib-source-maps@4.0.1:\n    dependencies:\n      debug: 4.4.0\n      istanbul-lib-coverage: 3.2.2\n      source-map: 0.6.1\n    transitivePeerDependencies:\n      - supports-color\n\n  istanbul-reports@3.1.7:\n    dependencies:\n      html-escaper: 2.0.2\n      istanbul-lib-report: 3.0.1\n\n  javascript-stringify@2.1.0: {}\n\n  jest-changed-files@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      execa: 4.1.0\n      throat: 5.0.0\n\n  jest-cli@26.6.3:\n    dependencies:\n      '@jest/core': 26.6.3\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      exit: 0.1.2\n      graceful-fs: 4.2.11\n      import-local: 3.2.0\n      is-ci: 2.0.0\n      jest-config: 26.6.3\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      prompts: 2.4.2\n      yargs: 15.4.1\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-config@26.6.3:\n    dependencies:\n      '@babel/core': 7.18.6\n      '@jest/test-sequencer': 26.6.3\n      '@jest/types': 26.6.2\n      babel-jest: 26.6.3(@babel/core@7.18.6)\n      chalk: 4.1.2\n      deepmerge: 4.3.1\n      glob: 7.2.3\n      graceful-fs: 4.2.11\n      jest-environment-jsdom: 26.6.2\n      jest-environment-node: 26.6.2\n      jest-get-type: 26.3.0\n      jest-jasmine2: 26.6.3\n      jest-regex-util: 26.0.0\n      jest-resolve: 26.6.2\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      micromatch: 4.0.8\n      pretty-format: 26.6.2\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - utf-8-validate\n\n  jest-diff@26.6.2:\n    dependencies:\n      chalk: 4.1.2\n      diff-sequences: 26.6.2\n      jest-get-type: 26.3.0\n      pretty-format: 26.6.2\n\n  jest-docblock@26.0.0:\n    dependencies:\n      detect-newline: 3.1.0\n\n  jest-each@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      jest-get-type: 26.3.0\n      jest-util: 26.6.2\n      pretty-format: 26.6.2\n\n  jest-environment-jsdom@26.6.2:\n    dependencies:\n      '@jest/environment': 26.6.2\n      '@jest/fake-timers': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      jest-mock: 26.6.2\n      jest-util: 26.6.2\n      jsdom: 16.7.0\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - utf-8-validate\n\n  jest-environment-node@26.6.2:\n    dependencies:\n      '@jest/environment': 26.6.2\n      '@jest/fake-timers': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      jest-mock: 26.6.2\n      jest-util: 26.6.2\n\n  jest-get-type@26.3.0: {}\n\n  jest-haste-map@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/graceful-fs': 4.1.9\n      '@types/node': 22.10.2\n      anymatch: 3.1.3\n      fb-watchman: 2.0.2\n      graceful-fs: 4.2.11\n      jest-regex-util: 26.0.0\n      jest-serializer: 26.6.2\n      jest-util: 26.6.2\n      jest-worker: 26.6.2\n      micromatch: 4.0.8\n      sane: 4.1.0\n      walker: 1.0.8\n    optionalDependencies:\n      fsevents: 2.3.3\n    transitivePeerDependencies:\n      - supports-color\n\n  jest-jasmine2@26.6.3:\n    dependencies:\n      '@babel/traverse': 7.26.4\n      '@jest/environment': 26.6.2\n      '@jest/source-map': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      co: 4.6.0\n      expect: 26.6.2\n      is-generator-fn: 2.1.0\n      jest-each: 26.6.2\n      jest-matcher-utils: 26.6.2\n      jest-message-util: 26.6.2\n      jest-runtime: 26.6.3\n      jest-snapshot: 26.6.2\n      jest-util: 26.6.2\n      pretty-format: 26.6.2\n      throat: 5.0.0\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-leak-detector@26.6.2:\n    dependencies:\n      jest-get-type: 26.3.0\n      pretty-format: 26.6.2\n\n  jest-matcher-utils@26.6.2:\n    dependencies:\n      chalk: 4.1.2\n      jest-diff: 26.6.2\n      jest-get-type: 26.3.0\n      pretty-format: 26.6.2\n\n  jest-message-util@26.6.2:\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      '@jest/types': 26.6.2\n      '@types/stack-utils': 2.0.3\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      micromatch: 4.0.8\n      pretty-format: 26.6.2\n      slash: 3.0.0\n      stack-utils: 2.0.6\n\n  jest-mock@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n\n  jest-pnp-resolver@1.2.3(jest-resolve@26.6.2):\n    optionalDependencies:\n      jest-resolve: 26.6.2\n\n  jest-regex-util@26.0.0: {}\n\n  jest-resolve-dependencies@26.6.3:\n    dependencies:\n      '@jest/types': 26.6.2\n      jest-regex-util: 26.0.0\n      jest-snapshot: 26.6.2\n    transitivePeerDependencies:\n      - supports-color\n\n  jest-resolve@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      jest-pnp-resolver: 1.2.3(jest-resolve@26.6.2)\n      jest-util: 26.6.2\n      read-pkg-up: 7.0.1\n      resolve: 1.22.8\n      slash: 3.0.0\n\n  jest-runner@26.6.3:\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/environment': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      emittery: 0.7.2\n      exit: 0.1.2\n      graceful-fs: 4.2.11\n      jest-config: 26.6.3\n      jest-docblock: 26.0.0\n      jest-haste-map: 26.6.2\n      jest-leak-detector: 26.6.2\n      jest-message-util: 26.6.2\n      jest-resolve: 26.6.2\n      jest-runtime: 26.6.3\n      jest-util: 26.6.2\n      jest-worker: 26.6.2\n      source-map-support: 0.5.21\n      throat: 5.0.0\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-runtime@26.6.3:\n    dependencies:\n      '@jest/console': 26.6.2\n      '@jest/environment': 26.6.2\n      '@jest/fake-timers': 26.6.2\n      '@jest/globals': 26.6.2\n      '@jest/source-map': 26.6.2\n      '@jest/test-result': 26.6.2\n      '@jest/transform': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/yargs': 15.0.19\n      chalk: 4.1.2\n      cjs-module-lexer: 0.6.0\n      collect-v8-coverage: 1.0.2\n      exit: 0.1.2\n      glob: 7.2.3\n      graceful-fs: 4.2.11\n      jest-config: 26.6.3\n      jest-haste-map: 26.6.2\n      jest-message-util: 26.6.2\n      jest-mock: 26.6.2\n      jest-regex-util: 26.0.0\n      jest-resolve: 26.6.2\n      jest-snapshot: 26.6.2\n      jest-util: 26.6.2\n      jest-validate: 26.6.2\n      slash: 3.0.0\n      strip-bom: 4.0.0\n      yargs: 15.4.1\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  jest-serializer@26.6.2:\n    dependencies:\n      '@types/node': 22.10.2\n      graceful-fs: 4.2.11\n\n  jest-snapshot@26.6.2:\n    dependencies:\n      '@babel/types': 7.26.3\n      '@jest/types': 26.6.2\n      '@types/babel__traverse': 7.20.6\n      '@types/prettier': 2.7.3\n      chalk: 4.1.2\n      expect: 26.6.2\n      graceful-fs: 4.2.11\n      jest-diff: 26.6.2\n      jest-get-type: 26.3.0\n      jest-haste-map: 26.6.2\n      jest-matcher-utils: 26.6.2\n      jest-message-util: 26.6.2\n      jest-resolve: 26.6.2\n      natural-compare: 1.4.0\n      pretty-format: 26.6.2\n      semver: 7.6.3\n    transitivePeerDependencies:\n      - supports-color\n\n  jest-util@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      chalk: 4.1.2\n      graceful-fs: 4.2.11\n      is-ci: 2.0.0\n      micromatch: 4.0.8\n\n  jest-validate@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      camelcase: 6.3.0\n      chalk: 4.1.2\n      jest-get-type: 26.3.0\n      leven: 3.1.0\n      pretty-format: 26.6.2\n\n  jest-watcher@26.6.2:\n    dependencies:\n      '@jest/test-result': 26.6.2\n      '@jest/types': 26.6.2\n      '@types/node': 22.10.2\n      ansi-escapes: 4.3.2\n      chalk: 4.1.2\n      jest-util: 26.6.2\n      string-length: 4.0.2\n\n  jest-worker@24.9.0:\n    dependencies:\n      merge-stream: 2.0.0\n      supports-color: 6.1.0\n\n  jest-worker@26.6.2:\n    dependencies:\n      '@types/node': 22.10.2\n      merge-stream: 2.0.0\n      supports-color: 7.2.0\n\n  jest@26.6.3:\n    dependencies:\n      '@jest/core': 26.6.3\n      import-local: 3.2.0\n      jest-cli: 26.6.3\n    transitivePeerDependencies:\n      - bufferutil\n      - canvas\n      - supports-color\n      - ts-node\n      - utf-8-validate\n\n  js-tokens@4.0.0: {}\n\n  js-yaml@3.14.1:\n    dependencies:\n      argparse: 1.0.10\n      esprima: 4.0.1\n\n  jsdom@16.7.0:\n    dependencies:\n      abab: 2.0.6\n      acorn: 8.14.0\n      acorn-globals: 6.0.0\n      cssom: 0.4.4\n      cssstyle: 2.3.0\n      data-urls: 2.0.0\n      decimal.js: 10.4.3\n      domexception: 2.0.1\n      escodegen: 2.1.0\n      form-data: 3.0.2\n      html-encoding-sniffer: 2.0.1\n      http-proxy-agent: 4.0.1\n      https-proxy-agent: 5.0.1\n      is-potential-custom-element-name: 1.0.1\n      nwsapi: 2.2.16\n      parse5: 6.0.1\n      saxes: 5.0.1\n      symbol-tree: 3.2.4\n      tough-cookie: 4.1.4\n      w3c-hr-time: 1.0.2\n      w3c-xmlserializer: 2.0.0\n      webidl-conversions: 6.1.0\n      whatwg-encoding: 1.0.5\n      whatwg-mimetype: 2.3.0\n      whatwg-url: 8.7.0\n      ws: 7.5.10\n      xml-name-validator: 3.0.0\n    transitivePeerDependencies:\n      - bufferutil\n      - supports-color\n      - utf-8-validate\n\n  jsesc@3.1.0: {}\n\n  json-parse-better-errors@1.0.2: {}\n\n  json-parse-even-better-errors@2.3.1: {}\n\n  json-schema-traverse@0.4.1: {}\n\n  json2mq@0.2.0:\n    dependencies:\n      string-convert: 0.2.1\n\n  json5@1.0.2:\n    dependencies:\n      minimist: 1.2.8\n\n  json5@2.2.3: {}\n\n  kind-of@3.2.2:\n    dependencies:\n      is-buffer: 1.1.6\n\n  kind-of@4.0.0:\n    dependencies:\n      is-buffer: 1.1.6\n\n  kind-of@6.0.3: {}\n\n  kleur@3.0.3: {}\n\n  leven@3.1.0: {}\n\n  lines-and-columns@1.2.4: {}\n\n  lint-staged@10.5.4:\n    dependencies:\n      chalk: 4.1.2\n      cli-truncate: 2.1.0\n      commander: 6.2.1\n      cosmiconfig: 7.1.0\n      debug: 4.4.0\n      dedent: 0.7.0\n      enquirer: 2.4.1\n      execa: 4.1.0\n      listr2: 3.14.0(enquirer@2.4.1)\n      log-symbols: 4.1.0\n      micromatch: 4.0.8\n      normalize-path: 3.0.0\n      please-upgrade-node: 3.2.0\n      string-argv: 0.3.1\n      stringify-object: 3.3.0\n    transitivePeerDependencies:\n      - supports-color\n\n  listr2@3.14.0(enquirer@2.4.1):\n    dependencies:\n      cli-truncate: 2.1.0\n      colorette: 2.0.20\n      log-update: 4.0.0\n      p-map: 4.0.0\n      rfdc: 1.4.1\n      rxjs: 7.8.1\n      through: 2.3.8\n      wrap-ansi: 7.0.0\n    optionalDependencies:\n      enquirer: 2.4.1\n\n  loader-utils@1.4.2:\n    dependencies:\n      big.js: 5.2.2\n      emojis-list: 3.0.0\n      json5: 1.0.2\n\n  locate-path@5.0.0:\n    dependencies:\n      p-locate: 4.1.0\n\n  lodash.debounce@4.0.8: {}\n\n  lodash.isequal@4.5.0: {}\n\n  lodash.merge@4.6.2: {}\n\n  lodash.throttle@4.1.1: {}\n\n  lodash@4.17.21: {}\n\n  log-symbols@4.1.0:\n    dependencies:\n      chalk: 4.1.2\n      is-unicode-supported: 0.1.0\n\n  log-update@4.0.0:\n    dependencies:\n      ansi-escapes: 4.3.2\n      cli-cursor: 3.1.0\n      slice-ansi: 4.0.0\n      wrap-ansi: 6.2.0\n\n  loose-envify@1.4.0:\n    dependencies:\n      js-tokens: 4.0.0\n\n  lru-cache@4.1.5:\n    dependencies:\n      pseudomap: 1.0.2\n      yallist: 2.1.2\n\n  lru-cache@5.1.1:\n    dependencies:\n      yallist: 3.1.1\n\n  make-dir@4.0.0:\n    dependencies:\n      semver: 7.6.3\n\n  makeerror@1.0.12:\n    dependencies:\n      tmpl: 1.0.5\n\n  map-cache@0.2.2: {}\n\n  map-visit@1.0.0:\n    dependencies:\n      object-visit: 1.0.1\n\n  math-intrinsics@1.0.0: {}\n\n  md5.js@1.3.5:\n    dependencies:\n      hash-base: 3.0.5\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  memoize-one@5.2.1: {}\n\n  merge-stream@2.0.0: {}\n\n  micromatch@3.1.10:\n    dependencies:\n      arr-diff: 4.0.0\n      array-unique: 0.3.2\n      braces: 2.3.2\n      define-property: 2.0.2\n      extend-shallow: 3.0.2\n      extglob: 2.0.4\n      fragment-cache: 0.2.1\n      kind-of: 6.0.3\n      nanomatch: 1.2.13\n      object.pick: 1.3.0\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  micromatch@4.0.8:\n    dependencies:\n      braces: 3.0.3\n      picomatch: 2.3.1\n\n  miller-rabin@4.0.1:\n    dependencies:\n      bn.js: 4.12.1\n      brorand: 1.1.0\n\n  mime-db@1.52.0: {}\n\n  mime-types@2.1.35:\n    dependencies:\n      mime-db: 1.52.0\n\n  mime@1.4.1: {}\n\n  mimic-fn@2.1.0: {}\n\n  min-document@2.19.0:\n    dependencies:\n      dom-walk: 0.1.2\n\n  mini-create-react-context@0.4.1(prop-types@15.8.1)(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      prop-types: 15.8.1\n      react: 16.14.0\n      tiny-warning: 1.0.3\n\n  mini-create-react-context@0.4.1(prop-types@15.8.1)(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      tiny-warning: 1.0.3\n\n  minimalistic-assert@1.0.1: {}\n\n  minimalistic-crypto-utils@1.0.1: {}\n\n  minimatch@3.1.2:\n    dependencies:\n      brace-expansion: 1.1.11\n\n  minimist@1.2.8: {}\n\n  mixin-deep@1.3.2:\n    dependencies:\n      for-in: 1.0.2\n      is-extendable: 1.0.1\n\n  moment@2.30.1: {}\n\n  ms@2.0.0: {}\n\n  ms@2.1.3: {}\n\n  nanomatch@1.2.13:\n    dependencies:\n      arr-diff: 4.0.0\n      array-unique: 0.3.2\n      define-property: 2.0.2\n      extend-shallow: 3.0.2\n      fragment-cache: 0.2.1\n      is-windows: 1.0.2\n      kind-of: 6.0.3\n      object.pick: 1.3.0\n      regex-not: 1.0.2\n      snapdragon: 0.8.2\n      to-regex: 3.0.2\n    transitivePeerDependencies:\n      - supports-color\n\n  natural-compare@1.4.0: {}\n\n  nice-try@1.0.5: {}\n\n  node-fetch@1.7.3:\n    dependencies:\n      encoding: 0.1.13\n      is-stream: 1.1.0\n\n  node-int64@0.4.0: {}\n\n  node-libs-browser@2.2.1:\n    dependencies:\n      assert: 1.5.1\n      browserify-zlib: 0.2.0\n      buffer: 4.9.2\n      console-browserify: 1.2.0\n      constants-browserify: 1.0.0\n      crypto-browserify: 3.12.1\n      domain-browser: 1.2.0\n      events: 3.3.0\n      https-browserify: 1.0.0\n      os-browserify: 0.3.0\n      path-browserify: 0.0.1\n      process: 0.11.10\n      punycode: 1.4.1\n      querystring-es3: 0.2.1\n      readable-stream: 2.3.8\n      stream-browserify: 2.0.2\n      stream-http: 2.8.3\n      string_decoder: 1.3.0\n      timers-browserify: 2.0.12\n      tty-browserify: 0.0.0\n      url: 0.11.4\n      util: 0.11.1\n      vm-browserify: 1.1.2\n\n  node-notifier@8.0.2:\n    dependencies:\n      growly: 1.3.0\n      is-wsl: 2.2.0\n      semver: 7.6.3\n      shellwords: 0.1.1\n      uuid: 8.3.2\n      which: 2.0.2\n    optional: true\n\n  node-releases@2.0.19: {}\n\n  normalize-package-data@2.5.0:\n    dependencies:\n      hosted-git-info: 2.8.9\n      resolve: 1.22.8\n      semver: 5.7.2\n      validate-npm-package-license: 3.0.4\n\n  normalize-path@1.0.0: {}\n\n  normalize-path@2.1.1:\n    dependencies:\n      remove-trailing-separator: 1.1.0\n\n  normalize-path@3.0.0: {}\n\n  normalize-range@0.1.2: {}\n\n  normalize-url@1.9.1:\n    dependencies:\n      object-assign: 4.1.1\n      prepend-http: 1.0.4\n      query-string: 4.3.4\n      sort-keys: 1.1.2\n\n  normalize.css@7.0.0: {}\n\n  npm-run-path@2.0.2:\n    dependencies:\n      path-key: 2.0.1\n\n  npm-run-path@4.0.1:\n    dependencies:\n      path-key: 3.1.1\n\n  num2fraction@1.2.2: {}\n\n  nwsapi@2.2.16: {}\n\n  object-assign@4.1.1: {}\n\n  object-copy@0.1.0:\n    dependencies:\n      copy-descriptor: 0.1.1\n      define-property: 0.2.5\n      kind-of: 3.2.2\n\n  object-inspect@1.13.3: {}\n\n  object-keys@1.1.1: {}\n\n  object-visit@1.0.1:\n    dependencies:\n      isobject: 3.0.1\n\n  object.assign@4.1.5:\n    dependencies:\n      call-bind: 1.0.8\n      define-properties: 1.2.1\n      has-symbols: 1.1.0\n      object-keys: 1.1.1\n\n  object.pick@1.3.0:\n    dependencies:\n      isobject: 3.0.1\n\n  omit.js@2.0.2: {}\n\n  once@1.4.0:\n    dependencies:\n      wrappy: 1.0.2\n\n  onetime@5.1.2:\n    dependencies:\n      mimic-fn: 2.1.0\n\n  os-browserify@0.3.0: {}\n\n  p-each-series@2.2.0: {}\n\n  p-finally@1.0.0: {}\n\n  p-limit@2.3.0:\n    dependencies:\n      p-try: 2.2.0\n\n  p-locate@4.1.0:\n    dependencies:\n      p-limit: 2.3.0\n\n  p-map@4.0.0:\n    dependencies:\n      aggregate-error: 3.1.0\n\n  p-try@2.2.0: {}\n\n  pako@1.0.11: {}\n\n  parent-module@1.0.1:\n    dependencies:\n      callsites: 3.1.0\n\n  parse-asn1@5.1.7:\n    dependencies:\n      asn1.js: 4.10.1\n      browserify-aes: 1.2.0\n      evp_bytestokey: 1.0.3\n      hash-base: 3.0.5\n      pbkdf2: 3.1.2\n      safe-buffer: 5.2.1\n\n  parse-json@4.0.0:\n    dependencies:\n      error-ex: 1.3.2\n      json-parse-better-errors: 1.0.2\n\n  parse-json@5.2.0:\n    dependencies:\n      '@babel/code-frame': 7.26.2\n      error-ex: 1.3.2\n      json-parse-even-better-errors: 2.3.1\n      lines-and-columns: 1.2.4\n\n  parse5@6.0.1: {}\n\n  pascalcase@0.1.1: {}\n\n  path-browserify@0.0.1: {}\n\n  path-exists@4.0.0: {}\n\n  path-is-absolute@1.0.1: {}\n\n  path-key@2.0.1: {}\n\n  path-key@3.1.1: {}\n\n  path-parse@1.0.7: {}\n\n  path-to-regexp@1.9.0:\n    dependencies:\n      isarray: 0.0.1\n\n  path-to-regexp@2.4.0: {}\n\n  path-type@4.0.0: {}\n\n  pbkdf2@3.1.2:\n    dependencies:\n      create-hash: 1.2.0\n      create-hmac: 1.1.7\n      ripemd160: 2.0.2\n      safe-buffer: 5.2.1\n      sha.js: 2.4.11\n\n  performance-now@2.1.0: {}\n\n  picocolors@0.2.1: {}\n\n  picocolors@1.1.1: {}\n\n  picomatch@2.3.1: {}\n\n  pirates@4.0.6: {}\n\n  pkg-dir@4.2.0:\n    dependencies:\n      find-up: 4.1.0\n\n  please-upgrade-node@3.2.0:\n    dependencies:\n      semver-compare: 1.0.0\n\n  posix-character-classes@0.1.1: {}\n\n  postcss-attribute-case-insensitive@4.0.2:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 6.1.2\n\n  postcss-color-functional-notation@2.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-gray@5.0.0:\n    dependencies:\n      '@csstools/convert-colors': 1.4.0\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-hex-alpha@5.0.3:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-mod-function@3.0.3:\n    dependencies:\n      '@csstools/convert-colors': 1.4.0\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-color-rebeccapurple@4.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-custom-media@7.0.8:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-custom-properties@8.0.11:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-custom-selectors@5.1.2:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  postcss-dir-pseudo-class@5.0.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  postcss-double-position-gradients@1.0.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-env-function@2.0.2:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-flexbugs-fixes@4.2.1:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-focus-visible@4.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-focus-within@3.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-font-variant@4.0.1:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-gap-properties@2.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-image-set-function@3.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-initial@3.0.4:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-lab-function@2.0.1:\n    dependencies:\n      '@csstools/convert-colors': 1.4.0\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-load-config@2.1.2:\n    dependencies:\n      cosmiconfig: 5.2.1\n      import-cwd: 2.1.0\n\n  postcss-loader@3.0.0:\n    dependencies:\n      loader-utils: 1.4.2\n      postcss: 7.0.32\n      postcss-load-config: 2.1.2\n      schema-utils: 1.0.0\n\n  postcss-logical@3.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-media-minmax@4.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-nesting@7.0.1:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-overflow-shorthand@2.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-page-break@2.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-place@4.0.1:\n    dependencies:\n      postcss: 7.0.32\n      postcss-values-parser: 2.0.1\n\n  postcss-preset-env@6.7.0:\n    dependencies:\n      autoprefixer: 9.8.8\n      browserslist: 4.24.2\n      caniuse-lite: 1.0.30001688\n      css-blank-pseudo: 0.1.4\n      css-has-pseudo: 0.10.0\n      css-prefers-color-scheme: 3.1.1\n      cssdb: 4.4.0\n      postcss: 7.0.32\n      postcss-attribute-case-insensitive: 4.0.2\n      postcss-color-functional-notation: 2.0.1\n      postcss-color-gray: 5.0.0\n      postcss-color-hex-alpha: 5.0.3\n      postcss-color-mod-function: 3.0.3\n      postcss-color-rebeccapurple: 4.0.1\n      postcss-custom-media: 7.0.8\n      postcss-custom-properties: 8.0.11\n      postcss-custom-selectors: 5.1.2\n      postcss-dir-pseudo-class: 5.0.0\n      postcss-double-position-gradients: 1.0.0\n      postcss-env-function: 2.0.2\n      postcss-focus-visible: 4.0.0\n      postcss-focus-within: 3.0.0\n      postcss-font-variant: 4.0.1\n      postcss-gap-properties: 2.0.0\n      postcss-image-set-function: 3.0.1\n      postcss-initial: 3.0.4\n      postcss-lab-function: 2.0.1\n      postcss-logical: 3.0.0\n      postcss-media-minmax: 4.0.0\n      postcss-nesting: 7.0.1\n      postcss-overflow-shorthand: 2.0.0\n      postcss-page-break: 2.0.0\n      postcss-place: 4.0.1\n      postcss-pseudo-class-any-link: 6.0.0\n      postcss-replace-overflow-wrap: 3.0.0\n      postcss-selector-matches: 4.0.0\n      postcss-selector-not: 4.0.1\n\n  postcss-pseudo-class-any-link@6.0.0:\n    dependencies:\n      postcss: 7.0.32\n      postcss-selector-parser: 5.0.0\n\n  postcss-replace-overflow-wrap@3.0.0:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-safe-parser@4.0.2:\n    dependencies:\n      postcss: 7.0.32\n\n  postcss-selector-matches@4.0.0:\n    dependencies:\n      balanced-match: 1.0.2\n      postcss: 7.0.32\n\n  postcss-selector-not@4.0.1:\n    dependencies:\n      balanced-match: 1.0.2\n      postcss: 7.0.32\n\n  postcss-selector-parser@5.0.0:\n    dependencies:\n      cssesc: 2.0.0\n      indexes-of: 1.0.1\n      uniq: 1.0.1\n\n  postcss-selector-parser@6.1.2:\n    dependencies:\n      cssesc: 3.0.0\n      util-deprecate: 1.0.2\n\n  postcss-value-parser@4.2.0: {}\n\n  postcss-values-parser@2.0.1:\n    dependencies:\n      flatten: 1.0.3\n      indexes-of: 1.0.1\n      uniq: 1.0.1\n\n  postcss@7.0.32:\n    dependencies:\n      chalk: 2.4.2\n      source-map: 0.6.1\n      supports-color: 6.1.0\n\n  prepend-http@1.0.4: {}\n\n  prettier@2.2.1: {}\n\n  prettier@2.8.8: {}\n\n  pretty-format@26.6.2:\n    dependencies:\n      '@jest/types': 26.6.2\n      ansi-regex: 5.0.1\n      ansi-styles: 4.3.0\n      react-is: 17.0.2\n\n  process-nextick-args@2.0.1: {}\n\n  process@0.11.10: {}\n\n  promise@7.3.1:\n    dependencies:\n      asap: 2.0.6\n\n  prompts@2.4.2:\n    dependencies:\n      kleur: 3.0.3\n      sisteransi: 1.0.5\n\n  prop-types@15.8.1:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      react-is: 16.13.1\n\n  pseudomap@1.0.2: {}\n\n  psl@1.15.0:\n    dependencies:\n      punycode: 2.3.1\n\n  public-encrypt@4.0.3:\n    dependencies:\n      bn.js: 4.12.1\n      browserify-rsa: 4.1.1\n      create-hash: 1.2.0\n      parse-asn1: 5.1.7\n      randombytes: 2.1.0\n      safe-buffer: 5.2.1\n\n  pump@3.0.2:\n    dependencies:\n      end-of-stream: 1.4.4\n      once: 1.4.0\n\n  punycode@1.4.1: {}\n\n  punycode@2.3.1: {}\n\n  qs@6.13.1:\n    dependencies:\n      side-channel: 1.1.0\n\n  query-string@4.3.4:\n    dependencies:\n      object-assign: 4.1.1\n      strict-uri-encode: 1.1.0\n\n  query-string@6.14.1:\n    dependencies:\n      decode-uri-component: 0.2.2\n      filter-obj: 1.1.0\n      split-on-first: 1.1.0\n      strict-uri-encode: 2.0.0\n\n  querystring-es3@0.2.1: {}\n\n  querystringify@2.2.0: {}\n\n  raf@3.4.1:\n    dependencies:\n      performance-now: 2.1.0\n\n  randombytes@2.1.0:\n    dependencies:\n      safe-buffer: 5.2.1\n\n  randomfill@1.0.4:\n    dependencies:\n      randombytes: 2.1.0\n      safe-buffer: 5.2.1\n\n  rc-align@2.4.5:\n    dependencies:\n      babel-runtime: 6.26.0\n      dom-align: 1.12.4\n      prop-types: 15.8.1\n      rc-util: 4.21.1\n\n  rc-align@4.0.15(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      dom-align: 1.12.4\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      resize-observer-polyfill: 1.5.1\n\n  rc-animate@2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      css-animation: 1.6.1\n      prop-types: 15.8.1\n      raf: 3.4.1\n      rc-util: 4.21.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-lifecycles-compat: 3.0.4\n\n  rc-cascader@3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      array-tree-filter: 2.1.0\n      classnames: 2.5.1\n      rc-select: 14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree: 5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-checkbox@2.0.3:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-util: 4.21.1\n\n  rc-checkbox@3.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-collapse@1.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      classnames: 2.5.1\n      css-animation: 1.6.1\n      prop-types: 15.8.1\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-collapse@3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-dialog@9.0.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@rc-component/portal': 1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-drawer@6.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@rc-component/portal': 1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-dropdown@4.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-field-form@1.38.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      async-validator: 4.2.5\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-gesture@0.0.22:\n    dependencies:\n      babel-runtime: 6.26.0\n\n  rc-image@5.13.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@rc-component/portal': 1.1.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      classnames: 2.5.1\n      rc-dialog: 9.0.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-input-number@7.3.11(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-input@0.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-mentions@1.13.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-menu: 9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-textarea: 0.4.7(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-menu@9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-overflow: 1.3.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-motion@2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-notification@4.6.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-overflow@1.3.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-pagination@3.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-picker@2.7.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      date-fns: 2.30.0\n      dayjs: 1.11.13\n      moment: 2.30.1\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-progress@3.4.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-rate@2.9.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-resize-observer@1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      resize-observer-polyfill: 1.5.1\n\n  rc-segmented@2.3.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-select@14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-overflow: 1.3.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-virtual-list: 3.16.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-slider@10.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-slider@8.2.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-tooltip: 3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n      shallowequal: 1.1.0\n      warning: 3.0.0\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-steps@5.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-swipeout@2.0.11:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      rc-gesture: 0.0.22\n      react-native-swipeout: 2.3.6\n\n  rc-switch@3.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-table@7.26.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-tabs@12.5.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-dropdown: 4.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-menu: 9.8.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-textarea@0.4.7(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      shallowequal: 1.1.0\n\n  rc-tooltip@3.7.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      prop-types: 15.8.1\n      rc-trigger: 2.6.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-tooltip@5.2.2(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-trigger: 5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-tree-select@5.5.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-select: 14.1.18(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-tree: 5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-tree@5.7.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-virtual-list: 3.16.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-trigger@2.6.5(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-align: 2.4.5\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n      react-lifecycles-compat: 3.0.4\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rc-trigger@5.3.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-align: 4.0.15(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-motion: 2.9.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-upload@4.3.6(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  rc-util@4.21.1:\n    dependencies:\n      add-dom-event-listener: 1.1.0\n      prop-types: 15.8.1\n      react-is: 16.13.1\n      react-lifecycles-compat: 3.0.4\n      shallowequal: 1.1.0\n\n  rc-util@5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      react-is: 18.3.1\n\n  rc-virtual-list@3.16.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      classnames: 2.5.1\n      rc-resize-observer: 1.4.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 5.44.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  react-dom@16.14.0(react@16.14.0):\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n      react: 16.14.0\n      scheduler: 0.19.1\n\n  react-dom@17.0.2(react@17.0.2):\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      react: 17.0.2\n      scheduler: 0.20.2\n\n  react-fast-compare@3.2.2: {}\n\n  react-helmet@6.1.0(react@17.0.2):\n    dependencies:\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-fast-compare: 3.2.2\n      react-side-effect: 2.1.2(react@17.0.2)\n\n  react-intl@3.12.1(react@17.0.2):\n    dependencies:\n      '@formatjs/intl-displaynames': 1.2.10\n      '@formatjs/intl-listformat': 1.4.8\n      '@formatjs/intl-relativetimeformat': 4.5.16\n      '@formatjs/intl-unified-numberformat': 3.3.7\n      '@formatjs/intl-utils': 2.3.0\n      '@types/hoist-non-react-statics': 3.3.6\n      '@types/invariant': 2.2.37\n      hoist-non-react-statics: 3.3.2\n      intl-format-cache: 4.3.1\n      intl-messageformat: 7.8.4\n      intl-messageformat-parser: 3.6.4\n      react: 17.0.2\n      shallow-equal: 1.2.1\n\n  react-is@16.13.1: {}\n\n  react-is@17.0.2: {}\n\n  react-is@18.3.1: {}\n\n  react-lifecycles-compat@3.0.4: {}\n\n  react-native-swipeout@2.3.6:\n    dependencies:\n      create-react-class: 15.7.0\n      prop-types: 15.8.1\n      react-tween-state: 0.1.5\n\n  react-redux@7.2.9(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      '@types/react-redux': 7.1.34\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-is: 17.0.2\n    optionalDependencies:\n      react-dom: 17.0.2(react@17.0.2)\n\n  react-refresh@0.10.0: {}\n\n  react-router-config@5.1.1(react-router@5.2.0(react@16.14.0))(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      react: 16.14.0\n      react-router: 5.2.0(react@17.0.2)\n\n  react-router-dom@5.2.0(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      loose-envify: 1.4.0\n      prop-types: 15.8.1\n      react: 16.14.0\n      react-router: 5.2.0(react@16.14.0)\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router-dom@5.3.4(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      loose-envify: 1.4.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-router: 5.3.4(react@17.0.2)\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router@5.2.0(react@16.14.0):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      mini-create-react-context: 0.4.1(prop-types@15.8.1)(react@16.14.0)\n      path-to-regexp: 1.9.0\n      prop-types: 15.8.1\n      react: 16.14.0\n      react-is: 16.13.1\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router@5.2.0(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      mini-create-react-context: 0.4.1(prop-types@15.8.1)(react@17.0.2)\n      path-to-regexp: 1.9.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-is: 16.13.1\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-router@5.3.4(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      history: 4.10.1\n      hoist-non-react-statics: 3.3.2\n      loose-envify: 1.4.0\n      path-to-regexp: 1.9.0\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-is: 16.13.1\n      tiny-invariant: 1.3.3\n      tiny-warning: 1.0.3\n\n  react-side-effect@2.1.2(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  react-sortable-hoc@2.0.0(prop-types@15.8.1)(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      '@babel/runtime': 7.26.0\n      invariant: 2.2.4\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n\n  react-tween-state@0.1.5:\n    dependencies:\n      raf: 3.4.1\n      tween-functions: 1.2.0\n\n  react@16.14.0:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n\n  react@17.0.2:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  read-pkg-up@7.0.1:\n    dependencies:\n      find-up: 4.1.0\n      read-pkg: 5.2.0\n      type-fest: 0.8.1\n\n  read-pkg@5.2.0:\n    dependencies:\n      '@types/normalize-package-data': 2.4.4\n      normalize-package-data: 2.5.0\n      parse-json: 5.2.0\n      type-fest: 0.6.0\n\n  readable-stream@2.3.8:\n    dependencies:\n      core-util-is: 1.0.3\n      inherits: 2.0.4\n      isarray: 1.0.0\n      process-nextick-args: 2.0.1\n      safe-buffer: 5.1.2\n      string_decoder: 1.1.1\n      util-deprecate: 1.0.2\n\n  readdirp@3.5.0:\n    dependencies:\n      picomatch: 2.3.1\n\n  redbox-react@1.6.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      error-stack-parser: 1.3.6\n      object-assign: 4.1.1\n      prop-types: 15.8.1\n      react: 17.0.2\n      react-dom: 17.0.2(react@17.0.2)\n      sourcemapped-stacktrace: 1.1.11\n\n  redux-saga@0.16.2: {}\n\n  redux@4.2.1:\n    dependencies:\n      '@babel/runtime': 7.26.0\n\n  regenerate-unicode-properties@10.0.1:\n    dependencies:\n      regenerate: 1.4.2\n\n  regenerate@1.4.2: {}\n\n  regenerator-runtime@0.11.1: {}\n\n  regenerator-runtime@0.13.11: {}\n\n  regenerator-runtime@0.13.5: {}\n\n  regenerator-runtime@0.14.1: {}\n\n  regex-not@1.0.2:\n    dependencies:\n      extend-shallow: 3.0.2\n      safe-regex: 1.1.0\n\n  remove-trailing-separator@1.1.0: {}\n\n  repeat-element@1.1.4: {}\n\n  repeat-string@1.6.1: {}\n\n  require-directory@2.1.1: {}\n\n  require-main-filename@2.0.0: {}\n\n  requires-port@1.0.0: {}\n\n  resize-observer-polyfill@1.5.1: {}\n\n  resolve-cwd@3.0.0:\n    dependencies:\n      resolve-from: 5.0.0\n\n  resolve-from@3.0.0: {}\n\n  resolve-from@4.0.0: {}\n\n  resolve-from@5.0.0: {}\n\n  resolve-pathname@3.0.0: {}\n\n  resolve-url@0.2.1: {}\n\n  resolve@1.22.8:\n    dependencies:\n      is-core-module: 2.15.1\n      path-parse: 1.0.7\n      supports-preserve-symlinks-flag: 1.0.0\n\n  restore-cursor@3.1.0:\n    dependencies:\n      onetime: 5.1.2\n      signal-exit: 3.0.7\n\n  ret@0.1.15: {}\n\n  rfdc@1.4.1: {}\n\n  rimraf@3.0.2:\n    dependencies:\n      glob: 7.2.3\n\n  ripemd160@2.0.2:\n    dependencies:\n      hash-base: 3.0.5\n      inherits: 2.0.4\n\n  rmc-align@1.0.0:\n    dependencies:\n      babel-runtime: 6.26.0\n      dom-align: 1.12.4\n      rc-util: 4.21.1\n\n  rmc-calendar@1.1.4(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-date-picker: 6.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-cascader@5.0.3(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      array-tree-filter: 2.1.0\n      babel-runtime: 6.26.0\n      rmc-picker: 5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-date-picker@6.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rmc-picker: 5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-dialog@1.1.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-drawer@0.4.11:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n\n  rmc-feedback@2.0.0:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n\n  rmc-input-number@1.0.5:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      rmc-feedback: 2.0.0\n\n  rmc-list-view@0.11.5:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      fbjs: 0.8.18\n      prop-types: 15.8.1\n      warning: 3.0.0\n      zscroller: 0.4.8\n\n  rmc-notification@1.0.0(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      prop-types: 15.8.1\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-nuka-carousel@3.0.1:\n    dependencies:\n      exenv: 1.2.2\n      raf: 3.4.1\n\n  rmc-picker@5.0.10(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n      rmc-dialog: 1.1.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rmc-feedback: 2.0.0\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-pull-to-refresh@1.0.13:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n\n  rmc-steps@1.0.1:\n    dependencies:\n      babel-runtime: 6.26.0\n      classnames: 2.5.1\n\n  rmc-tabs@1.2.29:\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-gesture: 0.0.22\n\n  rmc-tooltip@1.0.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rmc-trigger: 1.0.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rmc-trigger@1.0.12(react-dom@17.0.2(react@17.0.2))(react@17.0.2):\n    dependencies:\n      babel-runtime: 6.26.0\n      rc-animate: 2.11.1(react-dom@17.0.2(react@17.0.2))(react@17.0.2)\n      rc-util: 4.21.1\n      rmc-align: 1.0.0\n    transitivePeerDependencies:\n      - react\n      - react-dom\n\n  rsvp@4.8.5: {}\n\n  rxjs@7.8.1:\n    dependencies:\n      tslib: 2.8.1\n\n  safe-buffer@5.1.2: {}\n\n  safe-buffer@5.2.1: {}\n\n  safe-regex@1.1.0:\n    dependencies:\n      ret: 0.1.15\n\n  safer-buffer@2.1.2: {}\n\n  sane@4.1.0:\n    dependencies:\n      '@cnakazawa/watch': 1.0.4\n      anymatch: 2.0.0\n      capture-exit: 2.0.0\n      exec-sh: 0.3.6\n      execa: 1.0.0\n      fb-watchman: 2.0.2\n      micromatch: 3.1.10\n      minimist: 1.2.8\n      walker: 1.0.8\n    transitivePeerDependencies:\n      - supports-color\n\n  saxes@5.0.1:\n    dependencies:\n      xmlchars: 2.2.0\n\n  scheduler@0.19.1:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  scheduler@0.20.2:\n    dependencies:\n      loose-envify: 1.4.0\n      object-assign: 4.1.1\n\n  schema-utils@1.0.0:\n    dependencies:\n      ajv: 6.12.6\n      ajv-errors: 1.0.1(ajv@6.12.6)\n      ajv-keywords: 3.5.2(ajv@6.12.6)\n\n  schema-utils@3.3.0:\n    dependencies:\n      '@types/json-schema': 7.0.15\n      ajv: 6.12.6\n      ajv-keywords: 3.5.2(ajv@6.12.6)\n\n  scroll-into-view-if-needed@2.2.31:\n    dependencies:\n      compute-scroll-into-view: 1.0.20\n\n  seamless-immutable@7.1.4: {}\n\n  semver-compare@1.0.0: {}\n\n  semver@5.7.2: {}\n\n  semver@6.3.1: {}\n\n  semver@7.6.3: {}\n\n  set-blocking@2.0.0: {}\n\n  set-function-length@1.2.2:\n    dependencies:\n      define-data-property: 1.1.4\n      es-errors: 1.3.0\n      function-bind: 1.1.2\n      get-intrinsic: 1.2.6\n      gopd: 1.2.0\n      has-property-descriptors: 1.0.2\n\n  set-value@2.0.1:\n    dependencies:\n      extend-shallow: 2.0.1\n      is-extendable: 0.1.1\n      is-plain-object: 2.0.4\n      split-string: 3.1.0\n\n  setimmediate@1.0.5: {}\n\n  sha.js@2.4.11:\n    dependencies:\n      inherits: 2.0.4\n      safe-buffer: 5.2.1\n\n  shallow-equal@1.2.1: {}\n\n  shallowequal@1.1.0: {}\n\n  shebang-command@1.2.0:\n    dependencies:\n      shebang-regex: 1.0.0\n\n  shebang-command@2.0.0:\n    dependencies:\n      shebang-regex: 3.0.0\n\n  shebang-regex@1.0.0: {}\n\n  shebang-regex@3.0.0: {}\n\n  shellwords@0.1.1:\n    optional: true\n\n  side-channel-list@1.0.0:\n    dependencies:\n      es-errors: 1.3.0\n      object-inspect: 1.13.3\n\n  side-channel-map@1.0.1:\n    dependencies:\n      call-bound: 1.0.2\n      es-errors: 1.3.0\n      get-intrinsic: 1.2.6\n      object-inspect: 1.13.3\n\n  side-channel-weakmap@1.0.2:\n    dependencies:\n      call-bound: 1.0.2\n      es-errors: 1.3.0\n      get-intrinsic: 1.2.6\n      object-inspect: 1.13.3\n      side-channel-map: 1.0.1\n\n  side-channel@1.1.0:\n    dependencies:\n      es-errors: 1.3.0\n      object-inspect: 1.13.3\n      side-channel-list: 1.0.0\n      side-channel-map: 1.0.1\n      side-channel-weakmap: 1.0.2\n\n  signal-exit@3.0.7: {}\n\n  sisteransi@1.0.5: {}\n\n  slash@3.0.0: {}\n\n  slice-ansi@3.0.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      astral-regex: 2.0.0\n      is-fullwidth-code-point: 3.0.0\n\n  slice-ansi@4.0.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      astral-regex: 2.0.0\n      is-fullwidth-code-point: 3.0.0\n\n  snapdragon-node@2.1.1:\n    dependencies:\n      define-property: 1.0.0\n      isobject: 3.0.1\n      snapdragon-util: 3.0.1\n\n  snapdragon-util@3.0.1:\n    dependencies:\n      kind-of: 3.2.2\n\n  snapdragon@0.8.2:\n    dependencies:\n      base: 0.11.2\n      debug: 2.6.9\n      define-property: 0.2.5\n      extend-shallow: 2.0.1\n      map-cache: 0.2.2\n      source-map: 0.5.7\n      source-map-resolve: 0.5.3\n      use: 3.1.1\n    transitivePeerDependencies:\n      - supports-color\n\n  sort-keys@1.1.2:\n    dependencies:\n      is-plain-obj: 1.1.0\n\n  source-map-resolve@0.5.3:\n    dependencies:\n      atob: 2.1.2\n      decode-uri-component: 0.2.2\n      resolve-url: 0.2.1\n      source-map-url: 0.4.1\n      urix: 0.1.0\n\n  source-map-support@0.5.21:\n    dependencies:\n      buffer-from: 1.1.2\n      source-map: 0.6.1\n\n  source-map-url@0.4.1: {}\n\n  source-map@0.5.6: {}\n\n  source-map@0.5.7: {}\n\n  source-map@0.6.1: {}\n\n  source-map@0.7.4: {}\n\n  sourcemapped-stacktrace@1.1.11:\n    dependencies:\n      source-map: 0.5.6\n\n  spdx-correct@3.2.0:\n    dependencies:\n      spdx-expression-parse: 3.0.1\n      spdx-license-ids: 3.0.20\n\n  spdx-exceptions@2.5.0: {}\n\n  spdx-expression-parse@3.0.1:\n    dependencies:\n      spdx-exceptions: 2.5.0\n      spdx-license-ids: 3.0.20\n\n  spdx-license-ids@3.0.20: {}\n\n  split-on-first@1.1.0: {}\n\n  split-string@3.1.0:\n    dependencies:\n      extend-shallow: 3.0.2\n\n  sprintf-js@1.0.3: {}\n\n  stack-utils@2.0.6:\n    dependencies:\n      escape-string-regexp: 2.0.0\n\n  stackframe@0.3.1: {}\n\n  stackframe@1.3.4: {}\n\n  static-extend@0.1.2:\n    dependencies:\n      define-property: 0.2.5\n      object-copy: 0.1.0\n\n  stream-browserify@2.0.2:\n    dependencies:\n      inherits: 2.0.4\n      readable-stream: 2.3.8\n\n  stream-http@2.8.3:\n    dependencies:\n      builtin-status-codes: 3.0.0\n      inherits: 2.0.4\n      readable-stream: 2.3.8\n      to-arraybuffer: 1.0.1\n      xtend: 4.0.2\n\n  strict-uri-encode@1.1.0: {}\n\n  strict-uri-encode@2.0.0: {}\n\n  string-argv@0.3.1: {}\n\n  string-convert@0.2.1: {}\n\n  string-length@4.0.2:\n    dependencies:\n      char-regex: 1.0.2\n      strip-ansi: 6.0.1\n\n  string-width@4.2.3:\n    dependencies:\n      emoji-regex: 8.0.0\n      is-fullwidth-code-point: 3.0.0\n      strip-ansi: 6.0.1\n\n  string_decoder@1.1.1:\n    dependencies:\n      safe-buffer: 5.1.2\n\n  string_decoder@1.3.0:\n    dependencies:\n      safe-buffer: 5.2.1\n\n  stringify-object@3.3.0:\n    dependencies:\n      get-own-enumerable-property-symbols: 3.0.2\n      is-obj: 1.0.1\n      is-regexp: 1.0.0\n\n  strip-ansi@6.0.1:\n    dependencies:\n      ansi-regex: 5.0.1\n\n  strip-bom@4.0.0: {}\n\n  strip-eof@1.0.0: {}\n\n  strip-final-newline@2.0.0: {}\n\n  strip-indent@2.0.0: {}\n\n  supports-color@5.5.0:\n    dependencies:\n      has-flag: 3.0.0\n\n  supports-color@6.1.0:\n    dependencies:\n      has-flag: 3.0.0\n\n  supports-color@7.2.0:\n    dependencies:\n      has-flag: 4.0.0\n\n  supports-hyperlinks@2.3.0:\n    dependencies:\n      has-flag: 4.0.0\n      supports-color: 7.2.0\n\n  supports-preserve-symlinks-flag@1.0.0: {}\n\n  swr@1.3.0(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  symbol-tree@3.2.4: {}\n\n  terminal-link@2.1.1:\n    dependencies:\n      ansi-escapes: 4.3.2\n      supports-hyperlinks: 2.3.0\n\n  terser@5.14.2:\n    dependencies:\n      '@jridgewell/source-map': 0.3.6\n      acorn: 8.14.0\n      commander: 2.20.3\n      source-map-support: 0.5.21\n\n  test-exclude@6.0.0:\n    dependencies:\n      '@istanbuljs/schema': 0.1.3\n      glob: 7.2.3\n      minimatch: 3.1.2\n\n  throat@5.0.0: {}\n\n  throttle-debounce@5.0.2: {}\n\n  through@2.3.8: {}\n\n  timers-browserify@2.0.12:\n    dependencies:\n      setimmediate: 1.0.5\n\n  tiny-invariant@1.3.3: {}\n\n  tiny-warning@1.0.3: {}\n\n  tmpl@1.0.5: {}\n\n  to-arraybuffer@1.0.1: {}\n\n  to-object-path@0.3.0:\n    dependencies:\n      kind-of: 3.2.2\n\n  to-regex-range@2.1.1:\n    dependencies:\n      is-number: 3.0.0\n      repeat-string: 1.6.1\n\n  to-regex-range@5.0.1:\n    dependencies:\n      is-number: 7.0.0\n\n  to-regex@3.0.2:\n    dependencies:\n      define-property: 2.0.2\n      extend-shallow: 3.0.2\n      regex-not: 1.0.2\n      safe-regex: 1.1.0\n\n  toggle-selection@1.0.6: {}\n\n  tough-cookie@4.1.4:\n    dependencies:\n      psl: 1.15.0\n      punycode: 2.3.1\n      universalify: 0.2.0\n      url-parse: 1.5.10\n\n  tr46@2.1.0:\n    dependencies:\n      punycode: 2.3.1\n\n  tslib@2.8.1: {}\n\n  tty-browserify@0.0.0: {}\n\n  tween-functions@1.2.0: {}\n\n  type-detect@4.0.8: {}\n\n  type-fest@0.21.3: {}\n\n  type-fest@0.6.0: {}\n\n  type-fest@0.8.1: {}\n\n  typedarray-to-buffer@3.1.5:\n    dependencies:\n      is-typedarray: 1.0.0\n\n  typescript@4.9.5: {}\n\n  ua-parser-js@0.7.39: {}\n\n  umi-request@1.4.0:\n    dependencies:\n      isomorphic-fetch: 2.2.1\n      qs: 6.13.1\n\n  umi@3.5.43(react-router@5.2.0(react@16.14.0)):\n    dependencies:\n      '@umijs/bundler-webpack': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/core': 3.5.43\n      '@umijs/deps': 3.5.43\n      '@umijs/preset-built-in': 3.5.43(react-dom@16.14.0(react@16.14.0))(react@16.14.0)\n      '@umijs/runtime': 3.5.43(react@16.14.0)\n      '@umijs/types': 3.5.43(react-dom@16.14.0(react@16.14.0))(react-router@5.2.0(react@16.14.0))(react@16.14.0)\n      '@umijs/utils': 3.5.43\n      react: 16.14.0\n      react-dom: 16.14.0(react@16.14.0)\n      v8-compile-cache: 2.3.0\n    transitivePeerDependencies:\n      - react-router\n\n  undici-types@6.20.0: {}\n\n  union-value@1.0.1:\n    dependencies:\n      arr-union: 3.1.0\n      get-value: 2.0.6\n      is-extendable: 0.1.1\n      set-value: 2.0.1\n\n  uniq@1.0.1: {}\n\n  universalify@0.2.0: {}\n\n  unset-value@1.0.0:\n    dependencies:\n      has-value: 0.3.1\n      isobject: 3.0.1\n\n  unstated-next@1.1.0: {}\n\n  update-browserslist-db@1.1.1(browserslist@4.24.2):\n    dependencies:\n      browserslist: 4.24.2\n      escalade: 3.2.0\n      picocolors: 1.1.1\n\n  uri-js@4.4.1:\n    dependencies:\n      punycode: 2.3.1\n\n  urix@0.1.0: {}\n\n  url-parse@1.5.10:\n    dependencies:\n      querystringify: 2.2.0\n      requires-port: 1.0.0\n\n  url@0.11.4:\n    dependencies:\n      punycode: 1.4.1\n      qs: 6.13.1\n\n  use-json-comparison@1.0.6(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  use-media-antd-query@1.1.0(react@17.0.2):\n    dependencies:\n      react: 17.0.2\n\n  use-subscription@1.5.1(react@16.14.0):\n    dependencies:\n      object-assign: 4.1.1\n      react: 16.14.0\n\n  use@3.1.1: {}\n\n  util-deprecate@1.0.2: {}\n\n  util@0.10.4:\n    dependencies:\n      inherits: 2.0.3\n\n  util@0.11.1:\n    dependencies:\n      inherits: 2.0.3\n\n  uuid@8.3.2:\n    optional: true\n\n  v8-compile-cache@2.3.0: {}\n\n  v8-to-istanbul@7.1.2:\n    dependencies:\n      '@types/istanbul-lib-coverage': 2.0.6\n      convert-source-map: 1.9.0\n      source-map: 0.7.4\n\n  validate-npm-package-license@3.0.4:\n    dependencies:\n      spdx-correct: 3.2.0\n      spdx-expression-parse: 3.0.1\n\n  value-equal@1.0.1: {}\n\n  vm-browserify@1.1.2: {}\n\n  w3c-hr-time@1.0.2:\n    dependencies:\n      browser-process-hrtime: 1.0.0\n\n  w3c-xmlserializer@2.0.0:\n    dependencies:\n      xml-name-validator: 3.0.0\n\n  walker@1.0.8:\n    dependencies:\n      makeerror: 1.0.12\n\n  warning@3.0.0:\n    dependencies:\n      loose-envify: 1.4.0\n\n  warning@4.0.3:\n    dependencies:\n      loose-envify: 1.4.0\n\n  webidl-conversions@5.0.0: {}\n\n  webidl-conversions@6.1.0: {}\n\n  webpack-chain@6.5.1:\n    dependencies:\n      deepmerge: 1.5.2\n      javascript-stringify: 2.1.0\n\n  whatwg-encoding@1.0.5:\n    dependencies:\n      iconv-lite: 0.4.24\n\n  whatwg-fetch@3.6.20: {}\n\n  whatwg-mimetype@2.3.0: {}\n\n  whatwg-url@8.7.0:\n    dependencies:\n      lodash: 4.17.21\n      tr46: 2.1.0\n      webidl-conversions: 6.1.0\n\n  which-module@2.0.1: {}\n\n  which@1.3.1:\n    dependencies:\n      isexe: 2.0.0\n\n  which@2.0.2:\n    dependencies:\n      isexe: 2.0.0\n\n  wrap-ansi@6.2.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      string-width: 4.2.3\n      strip-ansi: 6.0.1\n\n  wrap-ansi@7.0.0:\n    dependencies:\n      ansi-styles: 4.3.0\n      string-width: 4.2.3\n      strip-ansi: 6.0.1\n\n  wrappy@1.0.2: {}\n\n  write-file-atomic@3.0.3:\n    dependencies:\n      imurmurhash: 0.1.4\n      is-typedarray: 1.0.0\n      signal-exit: 3.0.7\n      typedarray-to-buffer: 3.1.5\n\n  ws@7.5.10: {}\n\n  xml-name-validator@3.0.0: {}\n\n  xmlchars@2.2.0: {}\n\n  xtend@4.0.2: {}\n\n  y18n@4.0.3: {}\n\n  yallist@2.1.2: {}\n\n  yallist@3.1.1: {}\n\n  yaml@1.10.2: {}\n\n  yargs-parser@18.1.3:\n    dependencies:\n      camelcase: 5.3.1\n      decamelize: 1.2.0\n\n  yargs@15.4.1:\n    dependencies:\n      cliui: 6.0.0\n      decamelize: 1.2.0\n      find-up: 4.1.0\n      get-caller-file: 2.0.5\n      require-directory: 2.1.1\n      require-main-filename: 2.0.0\n      set-blocking: 2.0.0\n      string-width: 4.2.3\n      which-module: 2.0.1\n      y18n: 4.0.3\n      yargs-parser: 18.1.3\n\n  yorkie@2.0.0:\n    dependencies:\n      execa: 0.8.0\n      is-ci: 1.2.1\n      normalize-path: 1.0.0\n      strip-indent: 2.0.0\n\n  zscroller@0.4.8:\n    dependencies:\n      babel-runtime: 6.26.0\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/files/README.md.ts
function getFile18() {
  return [
    ["."],
    {
      name: "README",
      ext: "md",
      content: "# umi project\n\n## Getting Started\n\nInstall dependencies,\n\n```bash\n$ yarn\n```\n\nStart the dev server,\n\n```bash\n$ yarn start\n```\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/files/tsconfig.json.ts
function getFile19() {
  return [
    ["."],
    {
      name: "tsconfig",
      ext: "json",
      content: '{\n  "compilerOptions": {\n    "target": "esnext",\n    "module": "esnext",\n    "moduleResolution": "node",\n    "resolveJsonModule": true,\n    "importHelpers": true,\n    "jsx": "react-jsx",\n    "esModuleInterop": true,\n    "sourceMap": true,\n    "baseUrl": "./",\n    "strict": true,\n    "paths": {\n      "@/*": ["src/*"],\n      "@@/*": ["src/.umi/*"]\n    },\n    "allowSyntheticDefaultImports": true\n  },\n  "include": [\n    "mock/**/*",\n    "src/**/*",\n    "config/**/*",\n    ".umirc.ts",\n    "typings.d.ts"\n  ],\n  "exclude": [\n    "node_modules",\n    "lib",\n    "es",\n    "dist",\n    "typings",\n    "**/__test__",\n    "test",\n    "docs",\n    "tests"\n  ]\n}\n'
    }
  ];
}

// src/plugins/project/framework/gant/template/files/typings.d.ts.ts
function getFile20() {
  return [
    ["."],
    {
      name: "typings.d",
      ext: "ts",
      content: "declare module '*.css';\ndeclare module '*.less';\ndeclare module '*.png';\ndeclare module '*.svg' {\n  export function ReactComponent(\n    props: React.SVGProps<SVGSVGElement>,\n  ): React.ReactElement;\n  const url: string;\n  export default url;\n}\n"
    }
  ];
}

// src/plugins/project/framework/gant/template/static-files.ts
function generateStaticFiles2(root = createResultDir(".")) {
  runFileGenerator(root, getFile11);
  runFileGenerator(root, getFile12);
  runFileGenerator(root, getFile13);
  runFileGenerator(root, getFile14);
  runFileGenerator(root, getFile15);
  runFileGenerator(root, getFile16);
  runFileGenerator(root, getFile17);
  runFileGenerator(root, getFile18);
  runFileGenerator(root, getFile19);
  runFileGenerator(root, getFile20);
  return root;
}

// src/plugins/project/framework/gant/template/index.ts
var gantChunkTemplate2 = (rootPaths = ["src"], pagePaths = ["pages"], configPaths = []) => ({
  slots: {
    root: {
      path: [rootPaths[0]]
    },
    components: {
      path: [...rootPaths, "components"]
    },
    pages: {
      path: [...rootPaths, ...pagePaths]
    },
    router: {
      path: rootPaths,
      fileName: "routes"
    },
    entry: {
      path: rootPaths,
      fileName: "app"
    },
    constants: {
      path: rootPaths,
      fileName: "constants"
    },
    utils: {
      path: rootPaths,
      fileName: "utils"
    },
    i18n: {
      path: rootPaths,
      fileName: "i18n"
    },
    globalStyle: {
      path: rootPaths,
      fileName: "global"
    },
    htmlEntry: {
      path: ["public"],
      fileName: "index"
    },
    packageJSON: {
      path: [],
      fileName: "package"
    },
    lowcodeConfigJSON: {
      path: [...configPaths],
      fileName: "lowcode.config"
    }
  },
  generateTemplate() {
    return generateStaticFiles2();
  }
});
var template_default2 = gantChunkTemplate2;

// src/plugins/project/framework/gant/plugins/entry.ts
var pluginFactory27 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.ExternalDepsImport,
      content: `
        import { createApp } from 'ice';
      `,
      linkAfter: []
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: `
        const appConfig = {
          app: {
            rootId: 'app',
          },
          router: {
            type: 'hash',
          },
        };
        createApp(appConfig);
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    return next;
  };
  return plugin;
};
var entry_default2 = pluginFactory27;

// src/plugins/project/framework/gant/plugins/globalStyle.ts
var pluginFactory28 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "scss" /* SCSS */,
      name: COMMON_CHUNK_NAME.StyleDepsImport,
      content: `
        // \u5F15\u5165\u9ED8\u8BA4\u5168\u5C40\u6837\u5F0F
        @import '@alifd/next/reset.scss';
      `,
      linkAfter: []
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "scss" /* SCSS */,
      name: COMMON_CHUNK_NAME.StyleCssContent,
      content: `
        body {
          -webkit-font-smoothing: antialiased;
        }
      `,
      linkAfter: [COMMON_CHUNK_NAME.StyleDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "scss" /* SCSS */,
      name: COMMON_CHUNK_NAME.StyleCssContent,
      content: ir.css || "",
      linkAfter: [COMMON_CHUNK_NAME.StyleDepsImport]
    });
    return next;
  };
  return plugin;
};
var globalStyle_default2 = pluginFactory28;

// src/plugins/project/framework/gant/plugins/packageJSON.ts
var pluginFactory29 = (cfg) => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const packageJson = {
      name: (cfg == null ? void 0 : cfg.packageName) || "gant-lowcode-demo-app",
      version: (cfg == null ? void 0 : cfg.packageVersion) || "0.1.5",
      dependencies: {
        ...buildDataSourceDependencies(ir, cfg == null ? void 0 : cfg.datasourceConfig)
      },
      devDependencies: {}
    };
    ir.packages.forEach((packageInfo) => {
      packageJson.dependencies[packageInfo.package] = packageInfo.version;
    });
    next.chunks.push({
      type: "json" /* JSON */,
      fileType: "json" /* JSON */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: packageJson,
      linkAfter: []
    });
    return next;
  };
  return plugin;
};
var packageJSON_default2 = pluginFactory29;

// src/plugins/project/framework/gant/plugins/lowcodeConfigJSON.ts
var pluginFactory30 = (cfg) => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    const lowcodeConfigJSON = {
      route: ir.routes
    };
    next.chunks.push({
      type: "json" /* JSON */,
      fileType: "json" /* JSON */,
      name: COMMON_CHUNK_NAME.FileMainContent,
      content: lowcodeConfigJSON,
      linkAfter: []
    });
    return next;
  };
  return plugin;
};
var lowcodeConfigJSON_default2 = pluginFactory30;

// src/plugins/project/framework/gant/plugins/router.ts
var pluginFactory31 = () => {
  const plugin = async (pre) => {
    const next = {
      ...pre
    };
    const ir = next.ir;
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.InternalDepsImport,
      content: `
        import BasicLayout from '@/layouts/BasicLayout';
      `,
      linkAfter: [COMMON_CHUNK_NAME.ExternalDepsImport]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileVarDefine,
      content: `
        const routerConfig = [
          {
            path: '/',
            component: BasicLayout,
            children: [
              ${ir.routes.map(
        (route) => `
                    {
                      path: '${route.path}',
                      component: ${route.componentName},
                    }
                  `
      ).join(",")}
            ],
          },
        ];
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileUtilDefine
      ]
    });
    next.chunks.push({
      type: "string" /* STRING */,
      fileType: "js" /* JS */,
      name: COMMON_CHUNK_NAME.FileExport,
      content: `
        export default routerConfig;
      `,
      linkAfter: [
        COMMON_CHUNK_NAME.ExternalDepsImport,
        COMMON_CHUNK_NAME.InternalDepsImport,
        COMMON_CHUNK_NAME.FileUtilDefine,
        COMMON_CHUNK_NAME.ImportAliasDefine,
        COMMON_CHUNK_NAME.FileVarDefine,
        COMMON_CHUNK_NAME.FileMainContent
      ]
    });
    return next;
  };
  return plugin;
};
var router_default2 = pluginFactory31;

// src/plugins/project/framework/gant/index.ts
var gant_default = {
  template: template_default2,
  plugins: {
    entry: entry_default2,
    globalStyle: globalStyle_default2,
    packageJSON: packageJSON_default2,
    lowcodeConfigJSON: lowcodeConfigJSON_default2,
    router: router_default2
  }
};

// src/index.ts
var src_default = {
  createProjectBuilder,
  createModuleBuilder,
  solutions: {
    gant: createGantChunkProjectBuilder,
    gantLegacy: createGantChunkProjectBuilder2
  },
  solutionParts: {
    gant: gant_default,
    gantLegacy: gant_legacy_default
  },
  publishers: {
    disk: createDiskPublisher,
    zip: createZipPublisher
  },
  plugins: {
    common: {
      esmodule: esmodule_default,
      esModule: esmodule_default,
      requireUtils: requireUtils_default,
      styleImport: styleImport_default
    },
    style: {
      css: css_default
    },
    project: {
      constants: constants_default,
      i18n: i18n_default,
      utils: utils_default
    },
    gantLegacy: {
      ...plugins2
    },
    gant: {
      ...plugins
    },
    react: {
      ...plugins2
    }
  },
  postprocessor: {
    prettier: prettier_default
  },
  utils: utils_exports,
  chunkNames: {
    COMMON_CHUNK_NAME,
    CLASS_DEFINE_CHUNK_NAME,
    REACT_CHUNK_NAME
  },
  defaultLinkAfter: {
    COMMON_DEFAULT_LINK_AFTER: DEFAULT_LINK_AFTER
  },
  constants: const_exports
};
export {
  BUILTIN_SLOT_NAMES,
  CLASS_DEFINE_CHUNK_NAME,
  COMMON_CHUNK_NAME,
  COMMON_SUB_MODULE_NAME,
  CONTAINER_TYPE,
  ChunkBuilder,
  ChunkType,
  CodeBuilder,
  CodeGeneratorError,
  CompatibilityError,
  ComponentValidationError,
  DEFAULT_LINK_AFTER,
  DependencyType,
  FILE_TYPE_FAMILY,
  FUNCTION_DEFINE_CHUNK_NAME,
  FileType,
  InternalDependencyType,
  NATIVE_ELE_PKG,
  PIECE_TYPE,
  PluginType,
  ProjectBuilder,
  PublisherError,
  SUPPORT_SCHEMA_VERSION_LIST,
  SchemaParser,
  componentAnalyzer,
  createModuleBuilder,
  createProjectBuilder,
  src_default as default,
  groupChunks,
  isBuiltinSlotName
};
//# sourceMappingURL=index.js.map
